debug equ 0

comment %


Beyond Castle Wolfenstein
version 0.2 - july 17th 2004


=============================================================================
copyright and disclaimer:

Original game concept and programming by Silas Warner.

Donated by Kari Ann Owen to the public domain,
in loving memory of her husband, Silas Warner.
His memory shall live on through his work.

         
This game was disassembled, commented and slightly tweaked by jeff leyda. 
jeff@silent.net
Major playtesting, prodding, and error reporting done by Jeremy Kapp.

CPU detect routines taken from the book "Undocumented PC"


This project is a labor of love.  Let's keep it that way.  Keep this source
open and free.  If you use any portion of the following code in your own for-
profit program, Silas will find you in the next life, and it won't be pretty.



None of the people listed above shall be responsible for damage done to your
computer or data lost through the use of this code.  
=============================================================================



Just in case anyone else is actually going to look at this code,
here's some notes on variables and label naming:

All variables which have unknown functions (which most are at this time)
are labelled as "v407, vecd3, v9034" etc.  The value after the "v" is the
phsyical address where this particular variable is located when running the
original bootable diskette.  I do this so that I can always have a cross
reference point between this converted code and the original.  IE, I can boot
up the original under soft-ice and watch any particular variable to make sure
it acts the same way in this code.  Any variables added to the code
for enhanced features get stored in locations that are outside the original
code base, for simplicity in debugging and to avoid contaiminating buffers.



For code labels, I've retained most all of the original sourcer output labels
for ease of referencing back into the archives of pre-released code to help
quickly locate the same code sections in earlier releases.  This also helps
keep things in line when doing FC based file compares between 2 versions.

%


	

.8086

	INCLUDE constant.inc



VIDSEG		equ	0b800h			; default video segment
PCJR_ID		equ	0FDh			; machine code for PCjr
DEFAULT_PITCH	equ	211			; 22050 sample rate

codeSeg         segment para public
                assume  cs:codeSeg
		assume	es:dataSeg
		assume	ds:dataSeg
		assume  ss:stackSeg
		





QUIT macro
		xor	ax, ax
		int	16h
		jmp	exitprogram

endm



DEBUGIT macro
		pusha
       		mov	ax, 3
		int	10h
		mov	ax, 1104h
		int	10h
		popa
		
		int 3
endm

FATAL macro  
	mov	ax, 3
	int	10h
	mov	ax, 1104h
	int 	10h


	mov	ah, 9
	push	cs
	pop	ds
	lea	dx, badError
	int	21h
	QUIT
endm
badError 	db	"Fatal error!  Press any key to exit$"












main:
		mov	ax, dataSeg		; set up our segment pointers
		mov	ds, ax

		call	checkRequirements	; powerful enough computer?

		call	checkCommandLine	; check options, flags

	      	call 	sbLocate		; is there a soundblaster?
	      	jc	startGame
	      	mov	cs:[sbbase], dx
	      	call	moveSamples		; position samples in pages
		jnc	startGame

		; eek!  we've run out of memory!

		lea	dx, nonMemMsg
		mov	ah, 9
		int	21h
		jmp	exitProgram


startGame:

		; instead of reloading the same data from disk, just copy
		; and restore data from a scratchpad area.

		call	copySectors900		; copy some data to scratchpad
	   	call	copySectorsD00

		mov	ah, 0ch			; flush keyboard buffer
		int	21h

		mov	al, CR			; default startup key

if debug eq 0
		mov     ax, 4
                int     10h
endif              

		jmp	loc_411


monitorType	db	01	;@00c	add	[bx+si],ax
v0d             db      0
v0e             db      0
v0f             db      0
v10             dw      0
v12             db      0
v13             db      0
v14             db      0
bufSeg900	dw	?	; pointer to a scratchpad area
bufSegD00	dw	?	; ditto

;
;                              SUBROUTINE
;

checkBribeKey	proc	near
                cmp     byte ptr cs:[v4c6], 0   ;data_349e,0
		je	loc_ret_7		; Jump if equal
                mov     bx, 5                   ;data_330e
                mov     ax,cs:[ctrlKey]            ;data_394e
loc_5::
                cmp     al,byte ptr cs:[v3D+bx]
		jne	loc_6			; Jump if not equal
		call	bribeGuard			;sub_125
                mov     word ptr cs:[ctrlKey], 0   ;data_394e,0
		retn
loc_6::
		dec	bx
		jns	loc_5			; Jump if not sign
                cmp     word ptr cs:[ctrlKey] , 1Dh        ;data_394e,1Dh
		jb	loc_ret_7		; Jump if below

loc_ret_7::
		retn
checkBribeKey	endp

v3d		db   	1Fh, 20h, 21h		; available control keys
                db      22h, 23h, 1dh           ; pass #s 1-5 or M





    
loc_8::


	   	push	cs
	   	pop	ds
                mov     byte ptr cs:[startKey],al
                call    setDSto0D00             ; laod DS to d00 
		push	ds
		pop	es
		xor	bx,bx			; Zero register

		mov	ch,15h
		xor	dx,dx			; Zero register

		; this data is already loaded in memory upon start.

loc_9::
	
		mov	ax,208h
		mov	cl,1			; es:bx=c1,c9,c1,c8,c8,c8,a0
;		int	13h			; Disk  dl=drive a  ah=func 02h
						;  read sectors to memory es:bx
						;   al=#,ch=cyl,cl=sectr,dh=head
		add	bx,1000h
		inc	ch
		cmp	bx, 3000h
		jb	loc_9			; Jump if below

		call	restoreSectorsD00


		
	     	push	cs
	     	pop	ds
		mov	ax,4
		if debug eq 0
		int	10h			; Video display   ah=functn 00h
						;  set display mode in al
		endif
		mov	ax, 0F000h
		mov	es, ax
		mov	si, 0fffeh		; data_565e
		mov	al, es:[si]		; read ID byte
           ;     mov     byte ptr cs:[cpuType],0 ;  this is done earlier now
		cmp	al, PCJR_ID    		; PCjr ID?
		jne	loc_15			; Jump if not equal
                inc     byte ptr cs:[cpuType]     ; 
loc_15::
		mov	ax, VIDSEG 		; 0B800h
		mov	es, ax
		push	es
		call	newGamePrep		;draw opening menu
		pop	es
                mov     al,byte ptr cs:[roomIndex]
                call    loadRoomData           ;sub_83 ; writes 80h bytes
		call	sub_79
		call	refreshScreen	;sub_21	; draws opening screen

		

mainLoop::
                test    byte ptr cs:[v4d5], BIT7 ;data_355e,80h
		jnz	loc_17			; Jump if not zero
		call	sub_18
		jc	loc_17			; Jump if carry Set
		jmp	loc_299
loc_17::

		xor	bh,bh			; Zero register
                mov     bl,byte ptr cs:[v4E5]
                mov     al,byte ptr cs:[v4EE]
                mov     byte ptr cs:[v505+bx],al
                cmp     byte ptr cs:[v4ED],0
		je	loc_18			; Jump if equal
     

  		; hit a wall

		call    getakey			; why?
		call	sub_26			; modify player's sprite?
		call	printBombtime		;sub_60
		call	screenGarbage
		call	refreshScreen		;sub_21
		xor	al,al			; Zero register
                mov     byte ptr cs:[v4ED],al	;
                mov     byte ptr cs:[moveDir],al; stop moving
                mov     byte ptr cs:[gunDir],al ; holster gun
		jmp	short mainLoop		;loc_16



loc_18::
                inc     byte ptr cs:[v4EE]
		jnz	loc_19			; Jump if not zero
		call	sub_76
                inc     byte ptr cs:[v4EF]
loc_19::
                cmp     byte ptr cs:[v4D3],1
		jne	loc_20			; Jump if not equal
		call	setHealth		;sub_15
loc_20::
                call    guardAlert              ;uh oh!  sub_142
                mov     byte ptr cs:[easyflag], 1       ; simplified
                call    checkAlarm         ;sub_138; was 137
		call	kybdJoystick
		call    getakey
		call	printBombtime		;sub_60
                

                mov     bl,byte ptr cs:[moveDir]
                cmp     bl,cs:[v0d]             ;data_10e
		je	loc_21			; Jump if equal
                mov     cs:[v0e], bl            ;data_11e,bl
loc_21::
                cmp     byte ptr cs:[v4F0],0
		je	loc_22			; Jump if equal
                cmp     byte ptr cs:[moveDir],0
		jne	loc_27			; Jump if not equal
                mov     al,byte ptr cs:[gunDir]
                cmp     al,cs:[v12]             ;data_14e
		jne	loc_27			; Jump if not equal
                
                mov     al,byte ptr cs:[bullets]
                cmp     al,cs:[v13]             ; data_15e
		jne	loc_27			; Jump if not equal
                dec     byte ptr cs:[v4F0]
		jnz	loc_22			; Jump if not zero
                mov     si,word ptr cs:[v4F1]
		cmp	si,80h
		jb	loc_22			; Jump if below
		
		
		call	searchResults		;sub_49	;* ->1975
		jmp	loc_28
			                        ;* No entry point to code
		nop


loc_22::
                cmp     byte ptr cs:[v4F8],0
		je	loc_25			; Jump if equal
                cmp     byte ptr cs:[moveDir],0
		jne	loc_27			; Jump if not equal
                dec     byte ptr cs:[v4F8]
		jnz	loc_24			; Jump if not zero
                mov     word ptr cs:[bombTimer], 1000 ;3E8h

;
;                              SUBROUTINE
;

sub_4		proc	near
loc_23::
		mov	bx,4Eh			; 78  'Done!'
                call    locateAndPrint
loc_24::
		jmp	short loc_28
		db	90h
loc_25::
                cmp     byte ptr cs:[v504], 0   ;data_391e,0
		je	loc_26			; Jump if equal
                cmp     byte ptr cs:[moveDir],0    ;data_366e,0
		jne	loc_27			; Jump if not equal
                dec     byte ptr cs:[v504]      ;data_391e
		jnz	loc_24			; Jump if not zero
                dec     byte ptr cs:[aidKits]      ;data_346e
		call	clearHealth		;sub_14
		jmp	short loc_23
loc_26::
                cmp     byte ptr cs:[v4d8],0     ;data_357e,0
		je	loc_28			; Jump if equal
                cmp     byte ptr cs:[moveDir], 0   ;data_366e,0
		jne	loc_27			; Jump if not equal
		call	sub_5
		jmp	short loc_28
		db	90h
loc_27::
		mov	bx,2
                call    locateAndPrint                  ;'  '
		mov	ax,0
                mov     cs:[v4f0], al           ;data_375e,al
                mov     cs:[v4f1], ax           ;data_376e,ax
                mov     byte ptr cs:[v4f8], 0   ;data_381e,0
                mov     byte ptr cs:[v504], 0   ;data_391e,0
                mov     byte ptr cs:[v4d8],0    ;data_357e,0
loc_28::
                shr     byte ptr cs:[v4d3],1    ;data_353e,1 ; Shift w/zeros fill
		jc	loc_29			; Jump if carry Set
                mov     al,byte ptr cs:[v0E]
                mov     byte ptr cs:[v0F],al
		or	al,al			; Zero ?
		jz	loc_29			; Jump if zero

		mov     byte ptr cs:[speakerDelay], 1  ;data_548e,1 optimized
	    	;call    speaker_short
		mov	cs:[clickSound], 400h
		call	footstep

loc_29::
                mov     bl,byte ptr cs:[v0F]
                mov     cs:[moveDir], bl           ;data_366e,bl
                mov     byte ptr cs:[v0D],bl
                shr     byte ptr cs:[health], 1   ;data_387e,1    1/2 health
		jc	loc_32			; Jump if carry Set
		call	sub_27 			; modify player sprite
                mov     di,word ptr cs:[v4E6]
                mov     dx,word ptr cs:[v4E8]
		mov	cx,303h
		call    putSprite?
                mov     bl,cs:[v4e5]            ;data_368e
                mov     al,cs:[moveDir]            ;data_366e
		cbw				; Convrt byte to word
		xor	bh,bh			; Zero register
		mov	si,ax
                mov     al,cs:[v597+bx]         ;data_400e[bx]
                and     al,cs:[v766+si]         ;data_427e[si]
		jnz	loc_30			; Jump if not zero
                mov     al,cs:[v59f+bx]         ;data_408e[bx]
                and     al,cs:[v75a+si]         ;data_426e[si]
		jz	loc_31			; Jump if zero
loc_30::
		jmp	loc_47
loc_31::
		call	sub_25
loc_32::
                cmp     byte ptr cs:[moveDir], 0   ;data_366e,0
		je	loc_34			; Jump if equal
loc_33::
		jmp	short loc_36
		db	90h

loc_34::
		; optimize.  je loc_38 instead of 36
		; if ctrl key is zero, if definately isn't 17h or 19h

                cmp     word ptr cs:[ctrlKey], 0   ;data_394e,0
		je	loc_36			  ;loc_33	; redundant
		call	checkBribeKey		  ;sub_3
                
		; isn't this the same test as above?

                mov     bx, cs:[ctrlKey]            ;data_394e
		or	bx,bx			; Zero ?
		jz	loc_36		;loc_33	;redundandt

		cmp	bx, 1Ah
		jb	loc_35			; Jump if below
                mov     bx, 18h                 ;data_17e
loc_35::
		sub	bx,11h
		shl	bx,1			; Shift w/zeros fill
                call    word ptr cs:[ctrlRoutine+bx]  ;data_342e[bx]       ;*


		;
		; why aren't these done in the jmp table?
		;
loc_36::
                cmp     word ptr cs:[ctrlKey], 17h ;data_394e,17h  ;23d
		jne	loc_37			; Jump if not equal
		call	holster			; put the gun away
loc_37::
                cmp     word ptr cs:[ctrlKey], 19h ;data_394e,19h  ;25d
		jne	loc_38			; Jump if not equal
		call	shoot			;sub_9

		

loc_38::
                call    guardAlert              ; uh oh! sub_142

                mov     byte ptr cs:[easyFlag],0        ;added to simplify code
                call    checkAlarm         ;sub_138
                mov     al,cs:[v0d]             ;data_10e
                mov     byte ptr cs:[moveDir],al
                shr     byte ptr cs:[v4D3],1    ; Shift w/zeros fill
		jnc	loc_39			; Jump if carry=0
		jmp	loc_49
loc_39::
                mov     al,byte ptr cs:[moveDir]
                mov     bl,byte ptr cs:[v4E5]
		call	sub_24
                mov     cs:[v14], bl            ;data_16e,bl
                mov     cs:[v10], dx            ;data_13e,dx
		or	dl,dl			; Zero ?
		jns	loc_40			; Jump if not sign
		jmp	loc_305
loc_40::
		cmp	dl,8
		jb	loc_41			; Jump if below
		jmp	loc_308
loc_41::
		or	dh,dh			; Zero ?
		jns	loc_42			; Jump if not sign
		jmp	loc_309
loc_42::
		cmp	dh,8
		jb	loc_43			; Jump if below
		jmp	loc_310
loc_43::
		xor	ah,ah			; Zero register
		xor	bh,bh			; Zero register
                mov     al,byte ptr cs:[v54F+bx]
		or	al,al			; Zero ?
		jz	loc_44			; Jump if zero
		mov	si,ax
                mov     al,byte ptr cs:[v597+si]
		cmp	al,30h			; '0'
		jne	loc_45			; Jump if not equal
loc_44::
                mov     al,byte ptr cs:[v557+bx]
		or	al,al			; Zero ?
		jz	loc_46			; Jump if zero
		mov	si,ax
                mov     al,byte ptr cs:[v597+si]
		cmp	al,30h			; '0'
		je	loc_46			; Jump if equal
loc_45::
		cmp	al,40h			; '@'
		je	loc_46			; Jump if equal
		or	al,al			; Zero ?
		jz	loc_46			; Jump if zero
		call	sub_58
		jc	loc_47			; Jump if carry Set
loc_46::
                mov     bl,cs:[v14]             ;data_16e
		xor	bh,bh			; Zero register
                mov     al,byte ptr cs:[moveDir]
		cbw				; Convrt byte to word
		mov	si,ax
                mov     al,byte ptr cs:[v597+bx]
                and     al, cs:[si+v742]                ;data_128[si]
		jnz	loc_47			; Jump if not zero
                mov     al,byte ptr cs:[v59F+bx]
                and     al, cs:[si+v74e]                ;data_129[si]
		jz	loc_48			; Jump if zero
loc_47::
                mov     bl,byte ptr cs:[v4E5]
                mov     cs:[v14], bl            ;data_16e,bl
		call	decodeBCD		;sub_44
                mov     cs:[v10], dx            ;data_13e,dx
                mov     byte ptr cs:[v4ED],1
		jmp	short loc_50
		db	90h
loc_48::
                mov     byte ptr cs:[v4E5],bl
                cmp     byte ptr cs:[moveDir],0
		je	loc_49			; Jump if equal

		mov     byte ptr cs:[speakerDelay], 1  ;data_548e,1 optimized
		mov	cs:[clickSound], 200h
	    ;	call    speaker_short
	      	call	footstep
loc_49::
                shr     byte ptr cs:[health],1    ;data_387e,1    ; Shift w/zeros fill
		jc	loc_50			; Jump if carry Set
                mov     di,word ptr cs:[v4E6]
                mov     dx,word ptr cs:[v4E8]
		mov	cx,303h
		call    putSprite?
		call	sub_26
loc_50::
		jmp	mainLoop		; loc_16
sub_4		endp





firstAid:					;v36a:
                cmp     byte ptr cs:[aidKits], 0   ;data_346e,0
		je	loc_ret_52		; Jump if equal
loc_51::
                call    getRand
		and	al,14h
		jz	loc_51			; Jump if zero
                mov     cs:[v504], al           ;data_391e,al
		mov	bx, 51h			; 'bandaging yourself'
		jmp	locateAndPrint		;loc_236
loc_ret_52::
		retn


; play the footstep sample
; a footstep is basically a click.  Just play any sample for a short time 
; and you'll get a nice click sound.  Just the act of shutting down the SB
; makes a little pop noise.
footstep proc
       	cmp	word ptr cs:[sbbase], -1
       	jz	speakerFootstep

	cmp	cs:[alarmSounding], -1		; no footsteps during alarm
	jz	noFS				; jl added


	push	ax
	push	bx
	push	cx
	push	dx
   	mov	dx, cs:[sbBase]
   					; play just a few samples
	mov	ax, cs:[sampleSeg]		; of anything to make a click
	lea	bx, soundBlasterSeg:heil	; load offset
	add	bx, cs:[clickSound]			
	mov	cx, 46				; load # of samples
	call	playSample
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	ret

speakerFootstep:
       	call    speaker_short
noFS:
       	ret
footstep endp




;
;                              SUBROUTINE
;

sub_5		proc	near
                dec     byte ptr cs:[v4d8]      ;data_357e
		jnz	loc_ret_53		; Jump if not zero
                xor     byte ptr cs:[v4d9], 0ffh        ;data_358e,0FFh
		call	sub_4

loc_ret_53::					;@390
		retn
sub_5		endp


;
;                              SUBROUTINE
;

fireGun		proc	near
                cmp     byte ptr cs:[bullets], 0  ; no bullets? bail!
		jne	loc_54			; Jump if not equal

		mov	al,1Dh			; optimize
		jmp	speaker_high		;loc_639
loc_54::
                mov     bl,cs:[v4e5]            ;data_368e
		xor	bh,bh			; Zero register
                call    getScreenPos
                mov     bl,cs:[gunDir]            ;data_367e
		xor	bh,bh			; Zero register
                add     dl,cs:[v8b6+bx]         ;data_432e[bx]
		shl	bx,1			; Shift w/zeros fill
                add     di,cs:[v8c2+bx]         ;data_433e[bx]
		call	modifySprite		;sub_40
		push	di
		push	dx
		
		call	startTime

		
		mov	al, 71h			; 
                call    draw2Screen            ; draws the "bang"
		pop	dx
		pop	di
		
		
		call	fireGunSound
       		call	delayTime
	   
	      	mov	al,1Bh			
                call    draw2Screen            ; erase the "bang"
		call	sub_104



                dec     byte ptr cs:[bullets]   ; minus 1 bullet
                mov     bl,cs:[v4e5]            ; data_368e
                mov     al,cs:[gunDir]          ; pointing at villan?
   		call	colDetect?		; collision detect?
   		or	al,al			; Zero ?
   		jns	loc_ret_57		; Jump if not sign
		xor	ah,ah			; Zero register
		mov	si,ax
                
		
      	  	call    getRand			; random chance of hitting
      	  	cmp	al, 50h			; 69% chance of hitting
      	  	jb	loc_ret_57		; missed!  exit

                mov     bl,cs:[v598+si]         ;data_401e[si]
                mov     al,cs:[v597+si]         ;data_400e[si]
       		
       		or	al,al			; Zero ?
       		jz	loc_ret_57		; Jump if zero
       		cmp	al,10h
       		jne	loc_55			; Jump if not equal
		jmp	deadGuy			;loc_570   hit!
loc_55::
		cmp	al,20h			; ' '
		jne	loc_56			; Jump if not equal
		jmp	loc_156
loc_56::
		cmp	al,50h			; 'P'
		jne	loc_ret_57		; Jump if not equal
		jmp	loc_575

loc_ret_57::
		retn
fireGun		endp


;
;                              SUBROUTINE
;
holster 	proc	near			  ; sub_8
                mov     byte ptr cs:[gunDir], 0   ;data_367e,0
		retn
holster 	endp






ctrlRoutine	dw	offset quitNReboot	;ESC v3731 reboot  ;@40a
		dw	offset qInventory	;CR	; quick inventory
		dw	offset resetTimer       ;R      ; vf0d 
		dw	offset setBomb		;B 	ve84 
		dw	offset firstAid 	;F      v36a 
		dw	offset switchWeapons	;:	;v427
		dw	offset loc_ret_53	;h	holster
		dw	offset doSearch		;space
     		dw	offset loc_ret_53	;l	;fire
		
	
v41c		db	 01h, 01h
		db	 01h, 01h, 00h, 00h, 00h, 01h
		db	 01h, 01h, 01h

;
; toggle between dagger and gun 
;
switchWeapons:						;v427:
                cmp     byte ptr cs:[numDaggers], 0   ; no dagger? can't switch
		jz	bail
		mov	bx, 4fh			; 'switching weapons'
                call    locateAndPrint                  ;1f46
                mov     byte ptr cs:[v4d8], 5
bail:		
		ret




doSearch: 
                mov     bl,cs:[v4e5]            ;data_368e
		xor	bh,bh			; Zero register
		xor	ah,ah			; Zero register
                mov     al,cs:[v54f+bx]         ;data_396e[bx]
		or	al,al			; Zero ?
		jz	loc_58			; Jump if zero
		mov	si,ax
                cmp     byte ptr cs:[v597+si], 30h      ;data_400e[si],30h      ; '0'
		jne	loc_60			; Jump if not equal
loc_58::
                mov     al,cs:[v557+bx]        ;data_398e[bx]
		or	al,al			; Zero ?
		jz	loc_59			; Jump if zero
		mov	si,ax
                cmp     byte ptr cs:[v597+si], 30h      ;data_400e[si],30h      ; '0'
		jne	loc_60			; Jump if not equal
loc_59::
		call	sub_23
                cmp     bx, 0c0h                ;data_340e
		jae	loc_ret_61		; Jump if above or =
                mov     al,cs:[v54f+bx]         ;data_396e[bx]
		or	al,al			; Zero ?
		jz	loc_ret_61		; Jump if zero
		mov	si,ax
loc_60::
                mov     al,cs:[gunDir]            ; data_367e
                mov     cs:[v12], al            ; data_333e,al
                mov     al,cs:[bullets]            ;data_369e
                mov     cs:[v13], al            ;data_334e,al
                mov     byte ptr cs:[moveDir], 0   ;data_366e,0
		call	searchOrBodyMove	;sub_49

loc_ret_61::
		retn

;
;                              SUBROUTINE
;

shoot 		proc	near
                cmp     byte ptr cs:[gunDir], 0 ;data_367e,0  holstered?
		je	loc_ret_62		; Jump if equal
                cmp     byte ptr cs:[v4d9], 0   ;data_358e,0
		jne	loc_ret_62		; Jump if not equal
		call	fireGun

loc_ret_62::
		retn
shoot		endp


;
; SUBROUTINE  getaKey - return a keypress in AL
;
getakey proc near
       		mov	ah,1
       		int	16h			; Keyboard i/o  ah=function 01h
       						;  get status, if zf=0  al=char
       		jz	loc_ret_64		; Jump if zero

		xor	ah,ah			; Zero register
       		int	16h			; Keyboard i/o  ah=function 00h
       						;  get keybd char in al, ah=scan
       		jmp	getakey
loc_ret_64::
		retn
getakey endp

getIntroKey proc
 	push	dx
 	mov	ah, 06
 	mov	dl, -1
 	int	21h
 	pop	dx
	ret	
getIntroKey endp





		db	15 dup (0)

numBombs        db      3       ;4c0    ;F0 bytes get copied here from
numDaggers      db      0       ;4c1	
toolkits	db	0	;v4c2
aidKits         db      0       ;4c3
bombSet		db	0	;v4c4            db      0       ;4c4
numKeys         db      0       ;4c5
v4c6            db      0      ;4c6
v4c7            db      1,2,3,4,5,6,7,8,9      ;4c7-4cf

v4d0            db      0       ;4d0
v4d1            db      0       ;4d1
v4d2            db      0       ;4d2
v4d3            db      0       ;4d3
v4d4            db      0       ;4d4
v4d5            db      0       ;4d5
v4d6            db      0       ;4d6
                db      0       ;4d7
v4d8            db      0       ;4d8
v4d9            db      0       ;4d9
                db      0       ;4da
startKey        db      0       ;4db    
v4dc            db      0       ;4dc
doorOpenAttempts	db	0 ;v4dd            db      0       ;4dd
v4de            db      0       ;4de
v4df            db      0       ;4df
bombTimer       dw      0       ;4e0-1

roomIndex       db      1       ;data_106 ;4e2
moveDir         db      0       ;@4e3
gunDir          db      0       ;@4e4
v4e5            db      24h     ;@4e5  (36)
v4e6            db      00h     ;@4e6
                db      00h     ;@4e7
v4e8            db      00h     ;@4e8
                db      00h     ;@4e9
bullets         db      10      ;@4ea
v4eb            db      01h     ;@4eb
marks           db      100     ;@4ec  
v4ed            db      00h     ;@4ed
v4ee		db	0	;@4ee
v4ef            db      0       ;@4ef
v4f0            db      0       ;@4f0  ; gets a 10 when doors are unlocked
v4f1            dw      0       ;@4f1-2 ; gets SI.  object/room pointer?
v4f3            db      0       ;@4f3
		db	0	;@4f4
v4f5            db      1       ;@4f5

v4f6            db      0       ;@4f6
v4f7            db      0       ;@4f7
v4f8            db      0       ;@4f8
passes          db      0       ;@4f9 

skillLevel      db      0       ;@4fa
resumeGame      db      0       ;@4fb
keyz            db      0       ;@4fc   ; probably keys
passez          db      0       ;@4fd   ; probably passes
v4fe            db      0       ;@4fe
v4ff		db	0	;@4ff
health          dw      0       ;@500-1

v502            db      0       ;@502
v503            db      0       ;@503
v504            db      0       ;@504
v505            db      0       ;@505

                db      0       ;@506
                db      0       ;@507
                db      0       ;@508
                db      0       ;@509
                db      0       ;@50a

                db      66  dup (0)
ctrlKey         dw      0       ;@54d-e ; escape, space, cr, etc
v54f            db      0       ;@54f

                db      0       ;@550
                db      0       ;@551
                db      0       ;@552
                db      0       ;@553
                db      0       ;@554
                db      0       ;@555
v556            db      0       ;@556
v557            db      0       ;@557
                db      0  	;@558
		db      54 dup (0)

		
v58f		db	0
		db	7 dup (0)

;
; Room data.  Each room is 80h bytes
;
v597            db      5       ;data_111        db      5  @597
v598            db      4       ;598
v599            db      6       ; closet contents?
v59a		db	1
v59b            dw      0502
;v59c		db	05    ;@59b 2, 5
v59d            db      4
v59e		db	6
v59f		db	9 
v5a0		db	0
v5a1		db	0
v5a2		db	0
v5a3            db      0;data_112       db      0                       ; Data table (indexed access)
v5a4            dw       00h
v5a6            db       0Ah
                dw       0106h  ;, 01h
                db       08h
		db	 00h, 00h, 08h, 02h, 05h
        	db	0Ah			; Data table (indexed access)

		
		db	 03h, 05h, 00h, 00h, 06h, 03h
		db	 09h, 0Dh, 02h, 01h, 00h
         	db	0			; Data table (indexed access)
		db	 02h, 01h, 0Eh, 06h, 03h, 09h
		db	 00h, 00h, 0Ah, 03h, 05h
        	dw	10Ah			; Data table (indexed access)
		db	 04h, 00h, 00h, 04h, 02h, 09h
		db	 05h, 00h, 08h, 00h, 00h, 08h
		db	 00h, 06h, 09h, 0Ah, 07h, 09h
		db	 0Ah, 07h
		db	 09h, 0Ah
        	db	1			; Data table (indexed access)
v5e0		db	46h			;@5e0
v5e1		db	46h			;@5e1
v5e2		db	02h			;@5e2
v5e3		db	46h			;@5e3
v5e4		db	46h			;@5e4
		db	0			
		db	0, 0, 0, 0
        	db	0			; Data table (indexed access)

                db      0
                db      0
                db      0
                db      0
                db      0
                db      0               ;@5f0
                db      0
                db      0
                db      0
                db      0





        	db	0			; Data table (indexed access)
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
        	db	0			; Data table (indexed access)
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
        	db	0			; Data table (indexed access)
                db      0
                db      0
                db      0
                db      0
                db      0
                db      0
		db      0
                db      0
                db      0
                db      0
         	db	0			; Data table (indexed access)

; end of 80h bytes copied.  no idea what the below data is.


		
		db	 20h, 00h, 00h, 00h,0F0h
		db	0, 0, 0, 0, 0
         	db	0			; Data table (indexed access)
		db	 00h, 00h, 00h, 00h, 00h, 60h
		db	 23h, 09h, 01h, 00h
         	dw	5 dup (0)		; Data table (indexed access)
		db	0
         	db	40h			; Data table (indexed access)
		db	44h
		db	9 dup (0)
         	db	0			; Data table (indexed access)
		db	11 dup (0)
         	db	0			; Data table (indexed access)
		db	11 dup (0)
         	db	0			; Data table (indexed access)
		db	11 dup (0)
         	db	0			; Data table (indexed access)
		db	12 dup (0)
         	db	0
		dw	0		;data_133
         	dw	0
		db	31 dup (0)
v697		db	0
		db	 08h, 24h, 00h, 01h, 09h, 25h
		db	 00h, 02h, 0Ah, 26h, 00h

v6a3		db	 00h
		db	 24h, 08h, 00h, 02h, 26h, 0Ah
		db	 00h, 01h, 25h, 09h, 00h


v6af		db	 00h
		db	 00h, 00h, 00h,0FFh,0FFh,0FFh
		db	 00h, 01h, 01h, 01h, 00h
v6bb		db	 00h
		db	 01h,0FFh, 00h, 00h, 01h,0FFh
		db	 00h, 00h, 01h,0FFh, 00h
v6c7		db	 00h
		db	 00h, 40h, 01h,0C0h,0FEh, 00h
		db	 00h, 00h, 00h
		db	40h
        	db	1
		db	0C0h,0FEh, 00h, 00h, 00h, 00h
		db	 40h, 01h,0C0h,0FEh, 00h, 00h
v6df		db	 56h, 56h
		db	'V', 0
		db	'^_]', 0
		db	'VVV'
v6ea		db	'WX\', 0
		db	'WWW', 0
		db	'ZY['
v6f5		db	'VVV', 0
		db	27h, '(!', 0
		db	'VVV'
v700		db	'W,)', 0
		db	'WWW', 0
		db	 1Dh, 1Ch, 1Fh

v70b		db	'HIJ', 0   	; indexed data base on move dir
		db	'SSS', 0
		db	'PPP'
v716		db	'HJI', 0
		db	'RRR', 0
		db	'QQQ'
v721		db	'ffe', 0
		db	'|||', 0
		db	'zzz'
v72c		db	' DD    ' 
v733		db	' DDD'
v737		db	'    EEE'
		db	'    '
v742		db	 00h, 00h, 00h, 00h, 4Ah, 6Eh
		db	 4Ah, 00h, 09h, 0Dh, 09h, 00h
v74e		db	 00h, 00h, 00h, 00h, 26h, 26h
                db       6Eh, 00h, 25h, 25h, 5Dh, 00h ;754
v75a            db       00h, 48h, 00h, 00h, 01h, 49h ;75a
                db       01h, 00h, 02h, 4Ah, 02h, 00h ;760

v766            db       00h, 00h, 24h, 00h, 01h, 01h

                db       25h, 00h, 02h, 02h, 26h, 00h ;@76c
		db	0C3h
v773            db       00h


demoKeyPtr	dw	?		; 1005  

; pointer into random number field for demo mode
rndPtr		dw	? 		; 1205

;
;                              SUBROUTINE
;

kybdJoystick 	proc	near

                cmp     byte ptr cs:[startKey],0  ; demo mode?
	     	je	loc_70			; Jump if equal

    
		; demo mode.  Look only for an ESC key to get out.
	     	mov	ah,1
		int	16h			; Keyboard i/o  ah=function 01h
						;  get status, if zf=0  al=char
		jz	loc_65			; Jump if zero
		mov	ah,0
		int	16h			; Keyboard i/o  ah=function 00h
						;  get keybd char in al, ah=scan
		cmp	al, ESCAPE		; 1Bh
		jne	loc_65			; Jump if not equal
		jmp	loc_411

		;
		; get the next key from the demo key sequencer
		;
loc_65::


            	mov     word ptr cs:[ctrlKey],0
		push	es
		;call    esto900h		; changed to data segment
                mov	si, dataSeg
		mov	es, si

		mov     si, cs:[demoKeyPtr]           ;data_133
                mov     bx, word ptr cs:[v4EE]  ; end of demo flag?
		cmp	bx, es:[si]
		jne	loc_69			; Jump if not equal
		add	si,2
		mov	al, es:[si]
		inc	si			; next key for next time
loc_66::
		cmp	bx, es:[si]
		jne	loc_67			; Jump if not equal
		add	si,3
		jnz	loc_66			; Jump if not zero
loc_67::
                mov     cs:[demoKeyPtr], si           ;data_133,si
		and	al, NOT BIT7 		;7Fh
		cmp	al, 40h			; '@'
		jb	loc_68			; Jump if below
		add	al, 20h			; ' '
loc_68::
                call    checkKey
loc_69::
		pop	es
		retn


loc_70::
        
                mov     word ptr cs:[ctrlKey],0
                call    joystickInit            ;sub_17


;		jmp	short loc_71

;
; here's some WACK stuff.
; the routine joystickinit actually changes the below 0ebh byte into 
; a 72h, thus changing a JMP loc_71 to a JB loc_71
; It then checks it later and runs other code depending on if this byte
; has beeen changed.  WTF is this all about?
;

codeModify	db	0ebh			; JMP  		;@7d2h
		db	05			; +5, aka loc_71





	     	
	     	mov	al, bl
	     	call	loc_74

loc_71::
		mov	ah,1
		int	16h			; Keyboard i/o  ah=function 01h
						;  get status, if zf=0  al=char
		jz	loc_ret_72		; Jump if zero
		mov	ah,0
		int	16h			; Keyboard i/o  ah=function 00h
						;  get keybd char in al, ah=scan
		
                call    checkKey

loc_ret_72::
		retn
kybdJoystick	endp


;
;                              SUBROUTINE
;
;input: AL=key to check
;
checkKey        proc    near
		mov	bx, 27h			; data_335e

loc_73::
                cmp     al,byte ptr cs:[bx+allowedKeys]    ;data_137+8[bx] ; ('P')
		je	loc_74			; Jump if equal
		dec	bx
		jns	loc_73			; Jump if not sign
		retn

loc_74::

		cmp	bx,11h			; Escape key or higher
		jae	loc_76			; Jump if above or =

                mov     cl,byte ptr cs:[bx+directions] ;83Bh][bx]       ; 
		or	cl,cl			; Zero ?
		jns	loc_75			; Jump if not sign
		and	cl, NOT BIT7 		; 7Fh
                mov     byte ptr cs:[gunDir],cl   ; store gun value
		retn
loc_75::
                mov     byte ptr cs:[moveDir],cl   ; store move value
		retn
loc_76::
                mov     word ptr cs:[ctrlKey],bx
		retn
checkKey        endp

allowedKeys	db	'qwedcxza'		; movement keys @813
		db	'siop;/.,k'		; gun keys
		db	ESCAPE, CR, 'r'		; control keys

                db      'bf:h l'                ; bomb, 1st aid, holster
		db	 14h, 0Bh
                db      'um0123456789'          ; use, money, pass#, key#s

directions	db	 06h, 02h, 0Ah, 08h, 09h, 01h, 05h, 04h, 00h ;@83b
		db	 86h, 82h, 8Ah, 88h, 89h, 81h, 85h, 84h, 00h

;
;                              SUBROUTINE
;
;returns a "random" value in al or ax
; ZF set if random value just happens to be zero.

getRand   	proc	near
				
                cmp     byte ptr cs:[startKey],0    ; data_359e,0  @84d
		je	loc_77			; Jump if equal
		; demo mode "random" values

	      
		
		push	si
		push	es
              ;  call    esto900h		; changed to dataSeg
	      mov	si, dataSeg
	      mov	es, si

                mov     si, cs:[rndPtr]		;v776]           ; data_429e
                inc     word ptr cs:[rndPtr]	;v776]      ;data_429e
		mov	al, es:[si]  		; 
		or	al, al			; Zero ?
		pop	es
		pop	si
		retn

loc_77::

	;
	; non demo mode "random" values.  Reads a byte from BIOS segment!
	; values are not time based, yet the seed is generated while waiting
	; in the main menu for the user to select a game.  Cool idea.
	;

		push	si
		push	ds
                mov     si, cs:[seed]                   ;data_430e (seed)
		mov	ax, 0F800h			
		mov	ds, ax				
                mov     ax, ds:[si]
		pop	ds
badValue:                
		add     word ptr cs:[seed], 1567        ; 61Fh
		; BUGFIX!
		cmp	word ptr cs:[seed], -1		; reading a word from
		jz	badValue			; FFFF will GPF! 
		; end 
		or	al,al				; Zero ?
		pop	si
		retn
getRand         endp

seed		dw	1234			;04D2h  @881



;
;                              SUBROUTINE
;

clearHealth	proc	near	;sub_14		proc	near
                mov     byte ptr cs:[v4d4], 0           ;data_354e,0
                mov     byte ptr cs:[v4ff], 0           ;data_386e,0
                mov     byte ptr cs:[health+1], 0         ;data_387e+1,0

; External Entry into Subroutine 

setHealth::					;sub_15::
                mov     al,byte ptr cs:[v4D4]
                mov     byte ptr cs:[v4D3],al
                mov     al,byte ptr cs:[v4FF]
                mov     byte ptr cs:[health],al
		retn
clearHealth	endp				;sub_14		endp


;
;                              SUBROUTINE
;
; input al=direction?

xlatDir 	proc near	;sub_16		proc	near
		push	bx
		mov	bx, offset cs:v8a6	;data_431e
		xlat				; al=[al+[bx]] table
		pop	bx
		retn
xlatDir		endp	;sub_16		endp

v8a6		db	 00h, 02h, 01h, 08h, 08h, 0Ah
		db	 09h, 02h, 04h, 06h, 05h, 01h
		db	 02h, 01h, 08h, 04h

v8b6            db       00h, 06h
		db	 06h, 00h, 00h, 00h, 00h, 00h
		db	 08h, 08h, 08h, 00h

v8c2		dw	 00h
		db	 0C0h, 03h, 40h, 01h, 00h, 00h
		db	 80h, 02h,0C0h, 03h, 40h, 01h
		db	 00h, 00h, 80h, 02h,0C0h, 03h
		db	 40h, 01h, 00h, 00h

;
; SUBROUTINE joystickInit
;

joystickInit    proc    near
		mov	dx,201h
		out	dx,al			; port 201h, start game 1-shots
		mov	cx,3Ch

locloop_78::
		loop	locloop_78		; Loop if cx > 0

		in	al,dx			; port 201h, start game 1-shots
		mov	ah,al
		out	dx,al			; port 201h, start game 1-shots
		mov	cx,3Ch

locloop_79::
		loop	locloop_79		; Loop if cx > 0

		in	al,dx			; port 201h, start game 1-shots
		push	ax
		and	ax,101h
		mov	bl,8
		cmp	ah,al
		jne	loc_81			; Jump if not equal
		and	al,1
		jnz	loc_80			; Jump if not zero
		mov	bl,7
		jmp	short loc_81
loc_80::
		mov	bl,3
loc_81::
		pop	ax
		and	ax,202h
		cmp	ah,al
		jne	loc_83			; Jump if not equal
		and	al,2
		jnz	loc_82			; Jump if not zero
		sub	bl,7
		jnc	loc_83			; Jump if carry=0
		mov	bl,2
		jmp	short loc_83
loc_82::
		dec	bl
		cmp	bl,6
		je	loc_83			; Jump if equal
		sub	bl,2
		cmp	bl,5
		je	loc_83			; Jump if equal
		mov	bl,4
loc_83::
		cmp	bl,1
		jne	loc_84			; Jump if not equal
	     
		
; this changes the code above from a JMP to a JB.  Nasty!
                mov     cs:[codeModify], 72h   ;data_135,72h   ; 'r'


loc_84::
		in	al,dx			; port 201h, start game 1-shots
		mov	ah,al
		and	al,20h			; ' '
		jnz	loc_85			; Jump if not zero
		add	bl,9
		cmp	bl,11h
		jne	loc_85			; Jump if not equal
		mov	bl,17h
loc_85::
		and	ah,10h
		jnz	loc_86			; Jump if not zero
		mov	bl,19h
loc_86::
                cmp     bl, cs:[v733]              ;data_132
		mov	[v733], bl		;data_132,bl
		jnz	loc_87			; Jump if not zero
		stc				; Set carry flag
		retn
loc_87::
		clc				; Clear carry flag
		retn
joystickInit    endp

v958		db	0
v959		db	0
v95a		db	0
v95b		db	0
v95c		db	0
v95d		db	0
v95e		db	0
v95f		db	0
v960		db	0
v961		db	0
v962		db	0
passRow		db	0		;@963
v964		db	0
	  

someProc3:	;@965

                mov     al, cs:[v4dc]                   ; a0 dc 04
                cmp     al, cs:[roomIndex]              ; 3a 06 e2...
		jz	loc_89
		call	sub_whatever
		mov	al, 7eh
                cmp     byte ptr cs:[v4f3], 0
		jz	loc_87b
		inc	ax

                test    byte ptr cs:[si+v599], 1
		jz	loc_87b
		mov	al, 20h
loc_87b:		
                call    draw2Screen
                mov     bl, cs:[si+v59a]
		xor	bh, bh
		or	bl, bl
		jz	loc_88
                mov     al, byte ptr cs:[bx+v598]
                sub     al, byte ptr cs:[si+v598]
		jz	loc_89
		cmp	al, 0f8h
		jz	loc_89
                mov     byte ptr cs:[si+v59a], 0

loc_88::
		mov	ax,si
                mov     bl,cs:[v598+si]         ;data_401e[si]
		xor	bh,bh			; Zero register
                mov     cs:[v54f+bx], al        ;data_396e[bx],al
loc_89::
                inc     byte ptr cs:[v599+si]   ;data_402e[si]
		retn
     
		
sub_whatever proc		
						;* No entry point to code
                mov     bl,cs:[v598+si]         ;data_401e[si]
		xor	bh,bh			; Zero register
                call    getScreenPos
		add	dx,2
                test    byte ptr cs:[v598+si], BIT2        ;data_401e[si],4
		jz	loc_ret_90		; Jump if zero
		add	dx,4

loc_ret_90::
		retn
sub_whatever endp

;
;                              SUBROUTINE
;

sub_18		proc	near
                mov     byte ptr cs:[v4d2], 0ffh        ;data_352e,0FFh
                cmp     byte ptr cs:[v4d6], 0   ;data_356e,0
		je	loc_92			; Jump if equal
                cmp     byte ptr cs:[v4d6], 1   ;data_356e,1
		jne	loc_91			; Jump if not equal
		call	sub_19
                cmp     byte ptr cs:[v503], 0ah ;data_390e,0Ah
		jae	loc_91			; Jump if above or =
                mov     byte ptr cs:[v503], 0   ;data_390e,0
                mov     byte ptr cs:[v4d2], 0   ;data_352e,0
loc_91::
                dec     byte ptr cs:[v4d6]      ;data_356e
		jmp	loc_100
loc_92::
                cmp     byte ptr cs:[v962], 0   ;data_436e,0
		je	loc_95			; Jump if equal
                mov     al,cs:[v961]            ;data_435e
		cmp	al,1
		jb	loc_94			; Jump if below
		cmp	al,5
		jne	loc_93			; Jump if not equal
                mov     bl,cs:[v960]            ; data_434e
		xor	bh,bh			; Zero register
		inc	bx
		call	sub_34
loc_93::
                dec     byte ptr cs:[v961]      ;data_435e
		call	sub_33
		mov	al,20h			; ' '
                call    draw2Screen
		jmp	loc_100
		
loc_94::
                mov     bl,cs:[v960]            ;data_434e
		call	sub_34
                mov     byte ptr cs:[v962],0    ;data_436e,0
		jmp	short loc_100
		db	90h
loc_95::
                mov     al,cs:[v961]            ;data_435e
		cmp	al,7
		jae	loc_98			; Jump if above or =
		cmp	al,0
		jne	loc_96			; Jump if not equal
                mov     bl,cs:[v4d5]            ;data_355e
		xor	bh,bh			; Zero register
		add	bx,8
                cmp     bl,cs:[v4e5]            ;data_368e
		je	loc_98			; Jump if equal
                cmp     byte ptr cs:[v54f+bx], 0        ;data_396e[bx],0
		jne	loc_99			; Jump if not equal
                mov     bl,cs:[v960]            ;data_434e
		call	sub_35
		jmp	short loc_97
loc_96::
		cmp	al,4
		jne	loc_97			; Jump if not equal
		mov	bl,9
		xor	bh,bh			; Zero register
                add     bl,cs:[v4d5]            ;data_355e
                cmp     bl,cs:[v4e5]            ;data_368e
		je	loc_98			; Jump if equal
                cmp     byte ptr cs:[v54f+bx],0  ;data_396e[bx],0
		jne	loc_99			; Jump if not equal
                mov     bl,cs:[v960]            ;data_434e
		inc	bx
		call	sub_35
loc_97::
                inc     byte ptr cs:[v961]      ;data_435e
		call	sub_33
		jmp	short loc_100
loc_98::
                mov     bl,cs:[v4d5]            ;data_355e
                cmp     bl,cs:[v4e5]            ;data_368e
		je	loc_101			; Jump if equal
		inc	bx
                cmp     bl,cs:[v4e5]            ;data_368e
		je	loc_101			; Jump if equal
loc_99::
		call	sub_20
loc_100::
		stc				; Set carry flag
		retn
loc_101::
		call	sub_20
		clc				; Clear carry flag
		retn
sub_18		endp


;
;                              SUBROUTINE
;

sub_19		proc	near
		call	sub_36
		mov	al,6Ah			; 'j'
                mov     bl,cs:[v5e4]            ;data_419e
                cmp     bl,cs:[roomIndex]            ; data_365e
		jb	loc_102			; Jump if below
		mov	al,7Bh			; '{'
loc_102::
                jmp     draw2Screen                    ;loc_147
sub_19		endp


;
;                              SUBROUTINE
;

sub_20		proc	near
		call	sub_36
		mov	al,55h			; 'U'
                call    draw2Screen
                mov     byte ptr cs:[v962], 1   ;data_436e,1
                mov     byte ptr cs:[v4d6], 0fh ;data_356e,0Fh
		retn
sub_20		endp	


;
;                              SUBROUTINE
;

refreshScreen	proc	near		;sub_21		proc	near
		call    cls                      
		call    printPasses

		call	setHealth		;sub_15
                mov     byte ptr cs:[v4D5],0FFh
		xor	bx,bx			; Zero register
loc_103::
		push	bx
		call	drawScreen		;sub_32
		pop	bx
                mov     byte ptr cs:[v54F+bx],0
		inc	bx
		cmp	bx,48h
		jne	loc_103			; Jump if not equal
		mov	si, 80h			; data_26e
loc_104::
                mov     al,byte ptr cs:[v597+si]
		and	al,0F0h
		or	al,al			; Zero ?
		jz	loc_105			; Jump if zero
                mov     bl,byte ptr cs:[v598+si]
		call	sub_22
loc_105::
		add	si,10h
		cmp	si,100h
		jne	loc_104			; Jump if not equal
		jmp	short sub_26		;loc_109
		db	90h

; External Entry into Subroutine 

sub_22::
		cbw				; Convrt byte to word
		xor	bh,bh			; Zero register
		shr	ax,1			; Shift w/zeros fill
		shr	ax,1			; Shift w/zeros fill
		shr	ax,1			; Shift w/zeros fill
		mov	di,ax
		push	si
                call    word ptr cs:[vC74+di]  ;*
		pop	si
		retn

; External Entry into Subroutine 

sub_23::
                mov     bl,cs:[v4e5]            ;data_368e
		xor	bh,bh			; Zero register
                mov     al,cs:[gunDir]            ; data_367e
		cbw				; Convrt byte to word
		mov	di,ax
		or	al,al			; Zero ?
		jnz	loc_107			; Jump if not zero
loc_106::
		mov	bl,0C0h
		retn
loc_107::
		cmp	al,2
		je	loc_108			; Jump if equal
		add	bx,8
loc_108::
                mov     cl,cs:[v597+bx]         ;data_400e[bx]
                and     cl,cs:[v697+di]         ;data_420e[di]
		jnz	loc_106			; Jump if not zero

; External Entry into Subroutine 

sub_24::
		call	decodeBCD		;sub_44
		cbw				; Convrt byte to word
		mov	bx,ax
                add     dl,cs:[v6af+bx]            ;data_113[bx]
                add     dh,cs:[v6bb+bx]            ;data_114[bx]
		mov	bl,dh
		shl	bl,1			; Shift w/zeros fill
		shl	bl,1			; Shift w/zeros fill
		shl	bl,1			; Shift w/zeros fill
		or	bl,dl
		retn

; External Entry into Subroutine 

sub_25::
		xor	bh,bh			; Zero register
                mov     bl,cs:[v4e5]            ;data_368e
                call    getScreenPos
		xor	bh,bh			; Zero register
                mov     bl,cs:[moveDir]            ; data_366e
                mov     al,cs:[v6af+bx]         ;data_421e[bx]
		shl	al,1			; Shift w/zeros fill
		shl	al,1			; Shift w/zeros fill
		add	dl,al
		shl	bx,1			; Shift w/zeros fill
                add     di,cs:[offset v6c7+bx]          ;data_422e[bx]
		jmp	short loc_110
		db	90h

; External Entry into Subroutine 

sub_26::
;loc_109::
		xor	bh,bh			; Zero register
                mov     bl,byte ptr cs:[moveDir]
                mov     al,cs:[v70b+bx]           ; data_121[bx]
                mov     byte ptr cs:[v10B8],al
                mov     bl,byte ptr cs:[v4E5]
                call    getScreenPos
loc_110::
		add	dx,2
		add	di, 140h		; offset data_28
                mov     word ptr cs:[xpos],dx
                mov     word ptr cs:[v4E6],di
                mov     word ptr cs:[v4E8],dx
		xor	bh,bh			; Zero register
                mov     bl,byte ptr cs:[gunDir]
                mov     al,cs:[v6df+bx]            ;data_116[bx]
                mov     ah,cs:[v6ea+bx]            ;data_118[bx]
                cmp     byte ptr cs:[v4D9],0
		je	loc_111			; Jump if equal
                mov     al,cs:[v6f5+bx]            ;data_119[bx]
                mov     ah,cs:[v700+bx]            ;data_120[bx]
loc_111::
                mov     byte ptr cs:[v10B3],al
                mov     byte ptr cs:[v10B5],ah
                test    byte ptr cs:[bombSet], BIT7 ;v4C4], BIT7	;80h
		jz	loc_113			; Jump if zero
		or	bx,bx			; Zero ?
		jnz	loc_112			; Jump if not zero
                mov     bl,byte ptr cs:[v4DE]
loc_112::
                mov     byte ptr cs:[v4DE],bl
                mov     al,byte ptr cs:[v72c+bx]   ;data_125[bx]
                mov     byte ptr cs:[v10B7],al
                mov     al,cs:[v737+bx]            ;data_126[bx]
                mov     byte ptr cs:[v10B9],al
loc_113::
		mov	si, 1ah			; player sprite data
                call    put_gfx
                mov     bl,byte ptr cs:[v4E5]
		xor	bh,bh			; Zero register
                mov     si,word ptr cs:[v54F+bx]
		and	si,0FFh
		jz	loc_114			; Jump if zero
                cmp     byte ptr cs:[v597+si], 40h      ; '@'
		jne	loc_114			; Jump if not equal
		call	sub_50
loc_114::
                mov     bl,byte ptr cs:[v4E5]
		xor	bh,bh			; Zero register
                mov     si,word ptr cs:[v557+bx]
		and	si,0FFh
		jz	loc_115			; Jump if zero
                cmp     byte ptr cs:[v597+si], 40h      ; '@'
		jne	loc_115			; Jump if not equal
		call	sub_50
loc_115::
                test    byte ptr cs:[BombSet], BIT0
		jz	loc_ret_117		; Jump if zero
                mov     al,byte ptr cs:[v4F5]
                cmp     byte ptr cs:[roomIndex],al
		jne	loc_ret_117		; Jump if not equal
                mov     bl,byte ptr cs:[v4F6]
		xor	bh,bh			; Zero register
                call    getScreenPos
                cmp     byte ptr cs:[v4DF],0
		jne	loc_116			; Jump if not equal
		add	dx,4
loc_116::
		add	dx, 2
		add	di, 3C0h
		mov	al, 46h			; 'F'
                call    draw2Screen

loc_ret_117::
		retn
refreshScreen	endp			;sub_21		endp


;
;                              SUBROUTINE
;
; looks like it changes a sprite based on move direction.
; adds gun shape maybe?
;
sub_27		proc	near
		mov	al,75h			; 'u'
                mov     bl,cs:[moveDir]            ;data_366e
		cmp	bl,2
		je	loc_118			; Jump if equal
		mov	al,77h			; 'w'
loc_118::
                mov     byte ptr cs:[v10B4],al
		xor	bh,bh			; Zero register
                mov     al,byte ptr cs:[v721+bx]
                mov     byte ptr cs:[v10B0],al
                mov     al,byte ptr cs:[v716+bx]
                mov     byte ptr cs:[v10B8],al
		retn
sub_27		endp

	
vc74		dw	offset loc_ret_143 ;	38h, 00fh
		dw	offset v3a84
		dw	offset vd1e
     		dw	offset someProc3	;v965
		dw	offset loc_121		;vcc7
		dw	offset vc82
		dw	offset vd0b		;@0d0b

vc82:
                mov     al, cs:[v4dc]
                cmp     cs:[roomIndex], al
		jnz	sub_28
		jmp	loc_571			;44c3


;
;                              SUBROUTINE
;

sub_28		proc	near
                mov     bl,cs:[v598+si]         ;data_401e[si]
                call    getScreenPos
		add	di, 140h		; 320 next line
		push	bx
		mov	cx,1
                mov     al, byte ptr cs:[v59b+si] ;data_404e[si]
		cmp	al,5
		jb	loc_119			; Jump if below
		mov	cx,6
		dec	bx
loc_119::
		mov	ax,si

locloop_120::
                mov     cs:[v54f+bx], al        ;data_396e[bx],al
                mov     cs:[v557+bx], al       ;data_398e[bx],al
		inc	bx
		loop	locloop_120		; Loop if cx > 0

		pop	bx
                mov     al, byte ptr cs:[v59b+si]        ;data_404e[si]
		xor	ah,ah			; Zero register
		mov	si,ax
		shl	si,1			; Shift w/zeros fill
		add	si,0Ch			; 
		jmp	put_gfx			;loc_152
sub_28		endp

loc_121::					;@cc7
		call	sub_29
loc_122::
		call	sub_30
		mov	si,0Ah
		jmp	put_gfx			; loc_152

;
;                              SUBROUTINE
;

sub_29		proc	near
                mov     al,cs:[v54f+bx]         ;data_396e[bx]
		or	al,al			; Zero ?
		jz	loc_123			; Jump if zero
		xor	ah,ah			; Zero register
		cmp	ax,si
		je	loc_123			; Jump if equal
		mov	di,ax
                mov     al,cs:[v597+di]         ;data_400e[di]
		cmp	al,10h
		je	loc_123			; Jump if equal
		mov	ax,si
                mov     cs:[v59a+si], al        ;data_403e[di],al
loc_123::
		mov	ax,si
                mov     cs:[v54f+bx], al        ;data_396e[bx],al
		retn
sub_29		endp


;
;                              SUBROUTINE
;

sub_30		proc	near
                mov     bl,byte ptr cs:[v598+si]
                call    getScreenPos
		add	di,140h			;320, next screen line
		add	dx,2
                mov     word ptr cs:[xpos],dx
		retn
sub_30		endp


vd0b:			                        
		mov	ax, si
                mov     byte ptr cs:[ctrlKey+1+bx], al  ;data_394e+1[bx],al
                mov     cs:[v556+bx], al                ;data_397e[bx],al
                call    getScreenPos
		mov	si, 8
		jmp	put_gfx				;loc_152
			
		
vd1e:					
		push	bx
		mov	bx,2		; '  '
                call    locateAndPrint
		pop	bx

;
;                              SUBROUTINE
;

sub_31		proc	near
loc_124::
                mov     bl,byte ptr cs:[v598+si]
		xor	bh,bh			; Zero register
                mov     al,byte ptr cs:[v4DC]
                cmp     byte ptr cs:[roomIndex],al
		jne	loc_125			; Jump if not equal
                mov     byte ptr cs:[v597+si],0
		retn
loc_125::
		mov	ax,si
                mov     byte ptr cs:[v54F+bx],al
                mov     byte ptr cs:[v557+bx],al
                mov     al,byte ptr cs:[v59b+si]
		
		xor	si,si			; Zero register
		or	al,al			; Zero ?
		jz	loc_126			; Jump if zero
		add	si,2
loc_126::
                call    getScreenPos
		add	dx,2
                mov     word ptr cs:[xpos],dx
                call    put_gfx
		retn
sub_31		endp


;
;                              SUBROUTINE
;

drawScreen	proc	near		;sub_32		proc	near
                call    getScreenPos
		push	bx
                mov     cl,byte ptr cs:[bx+v597]
                mov     byte ptr cs:[v964], cl
                test    byte ptr cs:[v964], BIT2   ;4
		jz	loc_127			; Jump if zero
		push	dx
		
		mov	si, 4			;  walls
                call    put_gfx
		pop	dx
loc_127::
                test    byte ptr cs:[v964], BIT3        ;8
		jz	loc_128			; Jump if zero
		push	di
		push	dx
		add	di, 280h
		
		mov	si, 4			; walls
                call    put_gfx
		pop	dx
		pop	di
loc_128::
                test    byte ptr cs:[v964], BIT0        ;1
		jz	loc_129			; Jump if zero
		push	di
		push	dx
		
		mov	si, 6			; data_7e
                call    put_gfx
		pop	dx
		pop	di
loc_129::
                test    byte ptr cs:[v964], BIT1        ;2
		jz	loc_130			; Jump if zero
		push	di
		push	dx
                push    word ptr cs:[xpos]
		add	dx,8
                mov     word ptr cs:[xpos],dx

		mov	si, 6			; data_7e
                call    put_gfx
                pop     word ptr cs:[xpos]
		pop	dx
		pop	di
loc_130::
		pop	bx
                test    byte ptr cs:[v964], BIT4        ;10h
		jz	loc_ret_133		; Jump if zero
                mov     byte ptr cs:[v4D5],bl
                cmp     word ptr cs:[v4EE],0
		jne	loc_131			; Jump if not equal
                mov     byte ptr cs:[v4D6],0
                mov     byte ptr cs:[v962],1
                mov     byte ptr cs:[v961],7
		add	bx,10h
                mov     byte ptr cs:[v960],bl
		call	sub_35
		inc	bx
		call	sub_35
loc_131::
		call	sub_36
		mov	al,55h			; 'U'
                call    draw2Screen

; External Entry into Subroutine 

sub_33::
                mov     bl,cs:[v4d5]            ;data_355e
		xor	bh,bh			; Zero register
		add	bx,10h
                call    getScreenPos
		add	dx,2
                mov     bl,cs:[v961]            ;data_435e
		or	bl,bl			; Zero ?
		jz	loc_ret_133		; Jump if zero
loc_132::
		mov	al,76h			; 'v'
		push	bx
                call    draw2Screen
		pop	bx
		dec	bx
		jnz	loc_132			; Jump if not zero

loc_ret_133::
	
		retn
drawScreen	endp			;sub_32		endp


;
;                              SUBROUTINE
;

sub_34		proc	near
		xor	bh,bh			; Zero register
                and     byte ptr cs:[v597+bx], NOT BIT5 ;0dfh   ;data_400e[bx],0DFh
                and     byte ptr cs:[v58f+bx], NOT BIT6 ;0bfh   ;data_399e[bx],0BFh
		retn
sub_34		endp


;
;                              SUBROUTINE
;

sub_35		proc	near
		xor	bh,bh			; Zero register
                or      byte ptr cs:[v597+bx], BIT5 ;20h  ;data_400e[bx],20h    ; ' '
                or      byte ptr cs:[v58f+bx], BIT6 ;40h  ;data_399e[bx],40h    ; '@'
		retn
sub_35		endp


;
;                              SUBROUTINE
;

sub_36		proc	near
                mov     bl,cs:[v4d5]            ;data_355e
		xor	bh,bh			; Zero register
                call    getScreenPos
		add	dx,2
		retn
sub_36		endp


;
;                              SUBROUTINE
;
; draws the available passes on left side of screen
printPasses     proc    near
		mov	di, 0c80h		; starting row prolly
                mov     al, cs:[passes]           ; data_382e
		
		mov     byte ptr cs:[passRow], 14h      ;data_437e,14h
loc_135::
		shr	al, 1			; Shift w/zeros fill
		mov	bx, 2020h
		push	ax
		jnc	loc_136			; Jump if carry=0
                mov     bl, cs:[passRow]                ;data_437e
		mov	bh, 13h
loc_136::
		push	bx
		mov	al, bl
		xor	dx, dx			; Zero register
                call    draw2Screen            ; 1st draws [1]
		pop	bx
		mov	al, bh
                call    draw2Screen
		add	di, 280h		;640 (2 rows down)
		pop	ax
                inc     byte ptr cs:[passRow]   ;data_437e
                cmp     byte ptr cs:[passRow], 19h      ;data_437e,19h
		jne	loc_135			; Jump if not equal
		retn
printPasses     endp


;
;                              SUBROUTINE
;
;input: es points to video segment 
cls proc    near

                xor     di,di                   ; Zero register
		mov	ax,di
		mov	cx,2000h
		rep	stosw			; Rep when cx >0 Store ax to es:[di]

loc_ret_137::
		retn
cls endp





setBomb:					;ve84: 
                mov     cl,cs:[v4e5]            ;data_368e
                mov     ch,cs:[roomIndex]            ;data_365e
		xor	bh,bh			; Zero register
                test    byte ptr cs:[bombSet], BIT7 ;80h ;data_347e,80h
		jz	loc_138			; Jump if zero
                mov     bl,cs:[v4de]            ;data_362e
                mov     al,cs:[vf02+bx]         ;data_440e[bx]
                mov     cs:[v4df], al           ;data_363e,al
                mov     cs:[v4f6], cl           ;data_379e,cl
                mov     cs:[v4f5], ch           ;data_378e,ch
                mov     al,cs:[v4eb]            ;data_370e
                mov     cs:[v4f7], al           ;data_380e,al
                mov     byte ptr cs:[bombSet], BIT0    ;data_347e,1
                mov     byte ptr cs:[v10b7], 20h        ;data_449e,20h  ; ' '
                mov     byte ptr cs:[v10b9], 20h        ;data_450e,20h  ; ' '
		jmp	loc_278
loc_138::
		; can only carry 1 bomb.
                cmp     byte ptr cs:[numBombs], 0   ;data_343e,0
		jne	loc_139			; Jump if not equal
                mov     bx, 47h                 ;data_338e 'your load too heavy'
		jmp	locateAndPrint		;loc_236
loc_139::
                cmp     cs:[v4f5], ch           ;data_378e,ch
		jne	loc_ret_137		; Jump if not equal
                cmp     cs:[v4f6], cl           ;data_379e,cl
		jne	loc_ret_137		; Jump if not equal

                mov     bl,cs:[gunDir]            ; data_367e
                mov     al,cs:[vf02+bx]         ;data_440e[bx]
                cmp     al,cs:[v4df]            ;data_363e
		je	loc_140			; Jump if equal
                mov     byte ptr cs:[gunDir], 0   ;data_367e,0
loc_140::
                mov     byte ptr cs:[bombSet], BIT7 ;data_347e,80h
		mov	al,0
                mov     cs:[v4f5], al           ;data_378e,al
                mov     cs:[v4f7], al           ;data_380e,al
                mov     cs:[v4f6], al           ;data_379e,al
                mov     cs:[v4df], al           ;data_363e,al
		jmp	loc_278


vf02            db       01h, 01h, 01h, 01h, 00h, 00h
		db	 00h, 01h, 01h, 01h, 01h
		
		
resetTimer:						;vf0d:
                test    byte ptr cs:[bombSet], BIT7	;80h
		jnz	loc_ret_143
                mov     al, cs:[v4f5]
                cmp     al, cs:[roomIndex]
		jnz	loc_ret_143
                mov     al, cs:[v4f6]
                cmp     al, cs:[v4e5]
		jnz	loc_ret_143
                call    getRand
		and	al,0Fh
		jnz	loc_142			; Jump if not zero
		mov	al,14h
loc_142::
                mov     cs:[v4f8], al           ;data_381e,al
		mov	bx,4Dh			; 'resetting bomb timer'
                call    locateAndPrint
loc_ret_143::
		retn			;@f38
		
		db	0
		db	0
		db	0
		db	0
		db	0
		db	0
		db	0
		
xpos            dw      0       ;@f40-1
ypos            dw      0       ;f42
		

	       
;
;                              SUBROUTINE
;
;input: dx = row, col of desired cursor location

locate          proc    near
		push	bx
                xor     bh,bh                   ; page zero
		mov	ah,2
                int     10h                     ;  set cursor location in dx
		pop	bx
		retn
locate          endp


;
;                              SUBROUTINE
;

modifySprite proc near		;sub_40		proc	near
		add	di,dx
		mov	ax,es:[di]
                mov     word ptr cs:[v1274],ax     
                mov     ax,word ptr es:[2000h+di]
                mov     word ptr cs:[v1276],ax
		mov	ax,es:[di+50h]
                mov     word ptr cs:[v1278],ax
                mov     ax,word ptr es:[2050h+di]
                mov     word ptr cs:[v127A],ax
                mov     ax,word ptr es:[0A0h+di]
                mov     word ptr cs:[v127C],ax
                mov     ax,word ptr es:[20A0h+di]
                mov     word ptr cs:[v127E],ax
                mov     ax,word ptr es:[0F0h+di]
                mov     word ptr cs:[v1280],ax
                mov     ax,word ptr es:[20F0h+di]
                mov     word ptr cs:[v1282],ax
		sub	di,dx
		retn
modifySprite	endp		;sub_40		endp


;
;                              SUBROUTINE
;

putSprite?      proc    near
;loc_144::
	     ;	call	starttime

		push	si
		xor	ax,ax			; Zero register
		mov	bl,ch
		shl	bl,1			; Shift w/zeros fill
		shl	bl,1			; Shift w/zeros fill
		shl	bl,1			; Shift w/zeros fill
		xor	ch,ch			; Zero register
		mov	si,cx
		add	di,dx
loc_145::
		push	di
		rep	stosw			; Rep when cx >0 Store ax to es:[di]
		pop	di
		mov	cx,si
		add	di,2000h
		cmp	di,4000h
		jb	loc_146			; Jump if below
		sub	di,3FB0h
loc_146::
		dec	bl
		jnz	loc_145			; Jump if not zero
		pop	si
	     ;	call	delaytime
		retn
putSprite?      endp


;
;                              SUBROUTINE
;
; input: al=sprite to draw?
;        di, dx=position something
draw2Screen          proc    near
;loc_147::
		push	si
		cmp	al, 0Dh
		je	loc_150			; Jump if equal
		
		push	di
		add	di,dx
		xor	ah,ah			; Zero register
		shl	ax,1			; Shift w/zeros fill
		shl	ax,1			; Shift w/zeros fill
		shl	ax,1			; Shift w/zeros fill
		shl	ax,1			; Shift w/zeros fill

                cmp     byte ptr cs:[monitorType],1     ;data_9e,1
		je	loc_148			; Jump if equal
		
		cmp	ax, 1B0h		; erase graphic?
		je	loc_148			; Jump if equal
		
		add	ax, offset cs:v11A4    	; this is dumb code
		jmp	short loc_149
loc_148::
		add	ax, offset cs:v11A4  
loc_149::
		sub	ax,0E0h
		mov	si,ax
		movsw				; Mov [si] to es:[di]
		add	di, 1ffeh		; data_560e
		movsw				; Mov [si] to es:[di]
		sub	di, 1FB2h		; 1ffe/1fb2 interlaced CGA
		movsw				; Mov [si] to es:[di]
		add	di, 1ffeh		; data_560e
		movsw				; Mov [si] to es:[di]
		sub	di, 1FB2h
		movsw				; Mov [si] to es:[di]
		add	di, 1ffeh		; data_560e
		movsw				; Mov [si] to es:[di]
		sub	di, 1FB2h
		movsw				; Mov [si] to es:[di]
		add	di, 1ffeh		; data_560e
		movsw				; Mov [si] to es:[di]
		pop	di
		add	dx, 2
		cmp	dx, 50h
		jne	loc_151			; Jump if not equal
loc_150::
                mov     dx, word ptr cs:[xpos]
		add	di, 320			; next line 140h
loc_151::
		pop	si
		clc				; Clear carry flag
		retn
draw2Screen    endp


;
;                              SUBROUTINE
;

; input SI points to thing to draw (brick, player, etc)

put_gfx          proc    near

                mov     si,word ptr cs:[gfxTable+si]       ; 106Ah][si]
		jmp	short loc_154
loc_153::
                call    draw2Screen
loc_154::
		lodsb				; String [si] to al
		or	al,al			; Zero ?
		jnz	loc_153			; Jump if not zero
		retn
put_gfx          endp


;
;                              SUBROUTINE
;
;input: bl=8bit value BCD?
;outpt: dx=decoded value
decodeBCD	proc	near		;sub_44		proc	near
		mov	dl,bl
		and	dl,7		; dl=bits2:0
		mov	dh,bl		; dh=6:4
		shr	dh,1			; Shift w/zeros fill
		shr	dh,1			; Shift w/zeros fill
		shr	dh,1			; Shift w/zeros fill
		retn
decodeBCD  	endp


;
;                              SUBROUTINE
;
; input bx=desired position?
; output dx, dx= x,y coords?

getScreenPos          proc    near
		call	decodeBCD		;sub_44
		shl	dl,1			; Shift w/zeros fill
		shl	dl,1			; Shift w/zeros fill
		add	dl,5
		shl	dh,1			; Shift w/zeros fill
		add	dh,2
		mov	al,dh
		xor	ah,ah			; Zero register
		shl	ax,1			; Shift w/zeros fill
		shl	ax,1			; Shift w/zeros fill
		shl	ax,1			; Shift w/zeros fill
		shl	ax,1			; Shift w/zeros fill
		shl	ax,1			; Shift w/zeros fill
		shl	ax,1			; Shift w/zeros fill
		add	ah,dh
		mov	di,ax
		xor	dh,dh			; Zero register
		shl	dx,1			; Shift w/zeros fill
                mov     cs:[xpos], dx           ;data_441e,dx
                mov     word ptr cs:[ypos],di
		retn
getScreenPos          endp



;
; pointers to various sprites
;
gfxTable	dw	offset v1189
		dw	offset v1195
		dw	offset v1096		; walls
		dw	offset v109c
     		dw	offset v108e
     		dw	offset v1107
     		dw	offset v10da		
     		dw	offset v10e9
     		dw	offset v10f8
     		dw	offset v10bc
		dw	offset v10cb
		dw	offset v110b
		dw	offset v114a
		dw	offset v10af		; player
		dw	offset v108a
		dw	offset v10a2



v108a db 020h,020h,020h,000h
v108e db 06eh,00dh,070h,00dh,070h,00dh,070h,000h
v1096 db 054h,054h,054h,054h,054h,000h               ; bricks it seems
v109c db 055h,00dh,055h,00dh,054h,000h
v10a2 db 020h
v10a3 db 040h
v10a4 db 020h,00dh
v10a6 db 056h
v10a7 db 075h
v10a8 db 057h,00dh,020h
v10ab db 049h,020h,00dh,000h

v10af db 020h				; this is the dude's graphics
v10b0 db 066h,020h,00dh
v10b3 db 05fh
v10b4 db 077h
v10b5 db 057h,00dh
v10b7 db 020h
v10b8 db 052h
v10b9 db 020h,00dh,000h
v10bc db 020h,020h,020h,020h,00dh,02bh,019h,02fh,03ch,00dh,03eh,03dh,02dh,022h,000h
v10cb db 020h,020h,020h,020h,00dh,02bh,01ah,023h,025h,00dh,03eh,03dh,02dh,022h,000h
v10da db 020h,020h,026h,020h,00dh,02bh,03bh,03fh,025h,00dh,03eh,03dh,02dh,022h,000h
v10e9 db 020h,02ah,026h,020h,00dh,02bh,019h,03fh,025h,00dh,03eh,03dh,02dh,022h,000h
v10f8 db 020h,064h,040h,079h,00dh,02bh,019h,01eh,025h,00dh,03eh,03dh,02dh,022h,000h
v1107 db 061h,062h,063h,000h
v110b db 020h,020h,020h,026h,020h,026h,020h,026h,020h,020h,020h,026h,020h,026h,020h
      db 026h,020h,026h,020h,020h,00dh,02bh,019h,03bh,03fh,03bh,03fh,03bh,03fh,019h,02fh
      db 03bh,03fh,03bh,03fh,03bh,03fh,03bh,03fh,019h,03ch,00dh,03eh,03dh,03dh,03dh,03dh
      db 03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,02dh,022h,000h

v114a db 020h,020h,02ah,026h,02ah,026h,02ah,026h,020h,020h,02ah,026h,02ah,026h,02ah,026h
  db 02ah,026h,020h,020h,00dh,02bh,019h,019h,03fh,019h,03fh,019h,03fh,019h,02fh,019h
  db 03fh,019h,03fh,019h,03fh,019h,03fh,019h,03ch,00dh,03eh,03dh,03dh,03dh,03dh,03dh
  db 03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,03dh,02dh,022h,000h

v1189  db 04ch,06ch,00dh,068h,04dh,00dh,07dh,047h,00dh,04fh,069h,000h

v1195  db 04ch,06ch,00dh
       db 07dh,06dh,020h,00dh,07dh,072h,020h,00dh,073h,074h,020h,000h
  
  
v11a4 db 00ah,0a0h,00ah,0a0h,00ah,0a0h
  db 0aah,0a0h,0aah,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,0aah,00ah,0aah,00ah,0a0h,00ah,0a0h,00ah,0a0h,000h,000h,000h,000h,000h,000h
  db 0aah,000h,0aah,0a0h,00ah,0a0h,00ah,0a0h,00ah,0a0h,000h,000h,000h,000h,000h,000h
  db 0aah,0aah,0aah,0aah,000h,000h,000h,000h,000h,000h,00ah,0a0h,00ah,0a0h,00ah,0a0h
  db 00ah,0aah,000h,0aah,000h,000h,000h,000h,000h,000h,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh
  db 0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0f0h,0ffh,0c0h,0ffh,0f0h,0ffh
  db 0f0h,0ffh,0f0h,0ffh,0f0h,0ffh,000h,00fh,0ffh,0ffh,0c0h,03fh,00fh,00fh,0ffh,00fh
  db 0f0h,03fh,0c3h,0ffh,00fh,00fh,000h,00fh,0ffh,0ffh,0c0h,03fh,00fh,00fh,0ffh,00fh
  db 0f0h,03fh,0ffh,00fh,00fh,00fh,0c0h,03fh,0ffh,0ffh,0fch,00fh,0f0h,00fh,0c3h,00fh
  db 00fh,00fh,000h,003h,0ffh,00fh,0fch,003h,0ffh,0ffh,000h,00fh,00fh,0ffh,000h,03fh
  db 0ffh,00fh,0ffh,00fh,00fh,00fh,0c0h,03fh,0ffh,0ffh,000h,000h,000h,000h,000h,000h
  db 0ffh,0ffh,000h,000h,000h,000h,0ffh,0ffh,000h,000h,000h,000h,000h,005h,008h,050h
  db 050h,0feh,00fh,000h,000h,0f8h,0ffh,0ffh,000h,000h

v1274 dw 000h
v1276 dw 000h
v1278 dw 000h
v127a dw 000h
v127c dw 000h
v127e dw 000h
v1280 dw 000h
v1282 dw 000h

  db 0c0h,000h,0c0h,000h,060h,000h
  db 03bh,000h,00ch,000h,033h,000h,000h,0c0h,000h,000h,0c0h,000h,0c0h,000h,070h,000h
  db 031h,080h,00fh,0feh,001h,080h,000h,000h,000h,000h,01ch,083h,0f1h,08fh,055h,055h
  db 0ffh,0ffh,000h,000h,000h,000h,0ffh,0ffh,000h,000h,0c0h,00ch,0c0h,030h,0cch,0c0h
  db 073h,000h,03ch,0c0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,030h,003h,00ch,003h,003h,033h
  db 000h,0ceh,003h,03ch,000h,000h,000h,000h,000h,000h,0f4h,04fh,0f4h,04fh,0f4h,04fh
  db 0f4h,04fh,0f4h,04fh,0f4h,0f0h,0ffh,000h,0f0h,000h,008h,080h,0f4h,0f8h,020h,0f4h
  db 08ah,08fh,044h,0c8h,000h,0f0h,0ffh,0ffh,000h,000h,0feh,07fh,0f8h,003h,0c6h,07fh
  db 0f8h,01fh,0feh,063h,0c0h,01fh,0feh,07fh,0ffh,0ffh,000h,000h,000h,000h,0f0h,000h
  db 0ffh,0ffh,000h,0ffh,00fh,04fh,0f4h,04fh,0f4h,04fh,000h,000h,055h,055h,00fh,0f0h
  db 033h,0cch,03fh,0fch,00ch,030h,003h,0c0h,015h,054h,000h,003h,000h,003h,000h,00eh
  db 001h,08ch,07fh,0f0h,001h,080h,000h,000h,000h,000h,000h,003h,000h,003h,000h,006h
  db 000h,0dch,000h,030h,000h,0cch,003h,000h,000h,000h,0c1h,0c0h,0c1h,0c0h,0e1h,0c0h
  db 067h,0f0h,019h,0c0h,007h,000h,000h,000h,000h,000h,000h,0c0h,000h,0c0h,000h,0c0h
  db 000h,0c0h,000h,0c0h,000h,0c0h,000h,014h,000h,005h,000h,000h,000h,000h,000h,000h
  db 000h,00fh,000h,0f0h,00fh,000h,0ffh,0ffh,0f0h,000h,0e0h,000h,038h,000h,018h,000h
  db 007h,000h,01fh,0c0h,007h,000h,007h,000h,007h,000h,044h,040h,044h,040h,044h,040h
  db 044h,040h,044h,040h,044h,040h,000h,000h,0ffh,0ffh,00ah,0a0h,00ah,0a0h,00ah,0a0h
  db 00ah,0a0h,00ah,0a0h,00ah,0a0h,00ah,0a0h,00ah,0a0h,008h,080h,099h,099h,099h,099h
  db 0ffh,0ffh,000h,000h,000h,000h,0ffh,0ffh,000h,000h,000h,000h,000h,000h,000h,000h

;1354 (guessing) erase a block
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00fh,000h,03ch,000h,0c0h
  db 073h,01fh,00fh,000h,000h,000h,0ffh,0ffh,000h,000h,000h,000h,000h,000h,000h,000h
  db 0ffh,0ffh,000h,0ffh,00fh,04fh,0f4h,04fh,0f4h,04fh,044h,044h,044h,044h,044h,044h
  db 044h,044h,044h,044h,044h,044h,000h,000h,0ffh,0ffh,0f0h,044h,0f0h,044h,0f0h,044h
  db 0f0h,044h,0f0h,044h,0f0h,044h,0f0h,000h,0ffh,0ffh,0c1h,083h,0f1h,08fh,055h,055h
  db 0ffh,0f3h,000h,01ch,003h,0fch,0ffh,0ffh,000h,000h,055h,055h,00fh,0f0h,033h,0cch
  db 00fh,0f0h,00ch,030h,003h,0c0h,005h,050h,055h,054h,015h,040h,055h,054h,033h,0d5h
  db 03fh,0f0h,00fh,0f0h,003h,0c0h,005h,054h,055h,054h,001h,054h,015h,055h,0c7h,00ch
  db 00fh,0fch,00fh,0f0h,003h,0c0h,015h,050h,055h,054h,055h,055h,000h,000h,03fh,0fch
  db 03fh,0fch,00fh,0f0h,003h,0c0h,005h,050h,015h,055h,003h,080h,003h,0ech,003h,0ech
  db 003h,0ech,000h,0ech,000h,01ch,000h,000h,000h,000h,001h,0c0h,06ch,0c0h,06ch,0c0h
  db 06ch,0c0h,06eh,000h,068h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 00fh,0f0h,0c0h,00ch,0cch,0cch,0cch,0cch,0cch,0cch,000h,005h,000h,005h,000h,005h
  db 000h,005h,000h,005h,000h,005h,008h,005h,008h,005h,014h,014h,014h,014h,014h,014h
  db 00ch,030h,00ch,030h,00ch,030h,00ch,030h,028h,028h,014h,014h,014h,014h,014h,014h
  db 00ch,030h,00ch,030h,00ch,028h,00ch,000h,028h,000h,014h,014h,014h,014h,014h,014h
  db 00ch,030h,00ch,030h,028h,030h,000h,030h,000h,028h,004h,040h,03eh,044h,031h,08ch
  db 03ch,03eh,03ch,03eh,00eh,0e0h,001h,080h,001h,010h,082h,0aah,000h,000h,0aah,082h
  db 000h,000h,000h,000h,000h,005h,000h,055h,005h,050h,055h,055h,000h,005h,000h,005h
  db 000h,005h,000h,005h,000h,005h,000h,005h,000h,005h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,015h,000h,015h,000h,015h,000h
  db 015h,000h,015h,000h,015h,000h,015h,000h,015h,055h,005h,014h,005h,014h,005h,014h
  db 00ch,0c0h,00ch,0c0h,00ch,0c0h,00ch,0c0h,00ah,0a0h,005h,050h,001h,050h,001h,050h
  db 000h,0c0h,003h,0c0h,00ch,0c0h,030h,0c0h,028h,0a0h,014h,050h,014h,050h,014h,050h
  db 003h,030h,003h,030h,003h,030h,003h,030h,00ah,0a0h,005h,050h,005h,040h,005h,040h
  db 003h,000h,003h,0c0h,003h,030h,003h,00ch,00ah,028h,082h,0aah,000h,000h,0aah,082h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,082h,0aah,000h,000h,0aah,082h
  db 000h,000h,082h,0aah,000h,000h,0aah,082h,000h,000h,000h,001h,000h,005h,000h,005h
  db 000h,005h,000h,00ch,000h,00ch,000h,00ch,000h,00ch,040h,000h,050h,000h,050h,000h
  db 050h,000h,030h,000h,030h,000h,030h,000h,030h,000h,040h,000h,050h,000h,014h,000h
  db 004h,000h,0a8h,000h,028h,000h,008h,000h,008h,000h,040h,000h,050h,000h,010h,000h
  db 014h,000h,00ah,000h,00ah,080h,028h,0a0h,000h,028h,040h,000h,040h,000h,010h,000h
  db 01ah,0a8h,002h,080h,002h,000h,000h,000h,000h,000h,040h,00ah,050h,028h,010h,0a0h
  db 012h,080h,00eh,0a0h,000h,020h,000h,000h,000h,000h,042h,000h,042h,000h,052h,000h
  db 012h,080h,012h,0a0h,00ch,000h,000h,000h,000h,000h,0a0h,001h,028h,005h,00ah,004h
  db 002h,084h,00ah,0b0h,008h,000h,000h,000h,000h,000h,000h,001h,000h,001h,000h,005h
  db 02ah,0ach,002h,080h,000h,080h,000h,000h,000h,000h,000h,001h,000h,005h,000h,004h
  db 000h,014h,000h,0a0h,002h,0a0h,00ah,028h,028h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,0aah,0a0h,011h,001h,010h,011h,001h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,001h,000h,011h,011h,011h,001h,011h,011h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,011h,000h,001h,011h,010h,011h,003h,000h,001h,000h,001h,000h
  db 001h,000h,001h,000h,001h,000h,000h,054h,000h,005h,00fh,0f0h,03fh,0fch,03fh,0fch
  db 03fh,0fch,00fh,0f0h,003h,0c0h,005h,050h,015h,055h,00fh,0f0h,03fh,0fch,033h,0cch
  db 03fh,0fch,00ch,030h,003h,0c0h,005h,050h,055h,054h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,015h,055h,015h,000h,015h,000h
  db 015h,000h,015h,000h,015h,000h,015h,000h,015h,000h,000h,005h,000h,005h,000h,005h
  db 000h,005h,000h,005h,000h,005h,000h,005h,055h,055h,0aah,0aah,0aah,0aah,0a8h,0aah
  db 0a0h,02ah,080h,00ah,000h,002h,0aah,0aah,0aah,0aah,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,082h,0aah,000h,000h,0aah,082h
  db 005h,050h,055h,050h,050h,050h,000h,050h,000h,050h,000h,050h,000h,050h,000h,050h
  db 000h,050h,000h,050h,000h,050h,000h,050h,000h,050h,01fh,0f8h,014h,014h,01fh,0f8h
  db 002h,080h,002h,080h,002h,080h,002h,080h,002h,080h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,080h,002h,080h,002h,080h
  db 002h,080h,002h,080h,002h,080h,002h,080h,002h,080h,061h,086h,01fh,098h,005h,0a0h
  db 064h,098h,006h,0a6h,019h,090h,061h,09ah,061h,080h,000h,050h,000h,050h,000h,050h
  db 008h,050h,008h,050h,000h,050h,000h,050h,000h,050h,015h,000h,015h,000h,015h,000h
  db 015h,000h,015h,000h,015h,005h,015h,055h,015h,050h,000h,050h,000h,050h,000h,050h
  db 005h,050h,055h,000h,050h,000h,000h,000h,000h,000h,045h,055h,011h,055h,014h,054h
  db 015h,014h,000h,002h,055h,05ah,055h,056h,015h,054h,0ffh,0ffh,080h,084h,0ffh,0ffh
  db 000h,000h,000h

v182d  db 000h,000h,000h,000h,000h,000h,000h,055h,051h,015h,044h,015h,044h
  db 015h,014h,029h,014h,068h,045h,058h,055h,011h,014h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0c0h,000h,040h,000h,040h
  db 000h,040h,000h,040h,000h,040h,015h,000h,050h,000h,00fh,0f0h,03fh,0fch,03fh,0cch
  db 03fh,0fch,00fh,0f0h,003h,0c0h,005h,050h,055h,054h,0aah,0aah,0aah,0aah,000h,002h
  db 080h,00ah,0a0h,02ah,0a8h,0aah,0aah,0aah,0aah,0aah,00fh,0f0h,03fh,0fch,033h,0fch
  db 03fh,0fch,00fh,0f0h,003h,0c0h,005h,050h,055h,054h,015h,000h,015h,000h,015h,000h
  db 015h,000h,015h,000h,015h,000h,015h,000h,015h,000h,000h,000h,000h,000h,004h,040h
  db 040h,004h,004h,040h,000h,000h,000h,000h,000h,000h,061h,008h,018h,020h,00ah,040h
  db 061h,011h,006h,080h,018h,020h,061h,004h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h

NumItemsFound	db	0	;v18d0  	db 000h
v18d1	db 000h
v18d2	db 000h
v18d3	db 000h
v18d4	db 000h
v18d5	db 000h
currentDigit	db	0	;v18d6	db 000h
digitCounter	db	0	;v18d7	db 000h	 # of digits solved on door
alarmBoxArmed 	db 	0	;v18d8	db 000h






loc_ret_155::
		retn
loc_156::
                mov     al,cs:[v598+si]         ;data_401e[si]
		inc	ax
                cmp     al,cs:[v4e5]            ;data_368e
		jne	loc_ret_155		; Jump if not equal
                mov     dl,cs:[v599+si]         ;data_402e[si]
		
		cmp	dl, 4
		je	loc_157			; Jump if equal
		
		cmp	dl, 0Fh
		jne	loc_158			; Jump if not equal
loc_157::
                mov     byte ptr cs:[v18d1], 31  ;1fh    ;data_452e,1Fh
		call	blast
                call    cls
		mov	dx,0C02h
                call    locate
		mov	bx, 5Ch			; you were blown up...
                call    printMsg
		jmp	loc_634			; pause and restart





loc_158::
                cmp     byte ptr cs:[v59b+si], 0       ;data_404e[si],0
		jne	loc_159			; Jump if not equal
		cmp	dl,0Ah
		jne	loc_159			; Jump if not equal
                call    getRand
		cmp	al,0AFh
		jb	loc_160			; Jump if below
		xor	al,al			; Zero register
                mov     cs:[v18d1], al          ;data_452e,al
		jmp	short loc_161
loc_159::
                call    getRand
		cmp	al,24h			; '$'
		jae	loc_ret_155		; Jump if above or =
		jmp	loc_170
loc_160::
                mov     byte ptr cs:[v18d1],  175 ;0afh       ;data_452e,0AFh
		mov	al,1
loc_161::
                mov     cs:[v59d+si], al        ;data_406e[si],al
                mov     cs:[v4f3], al           ;data_377e,al
		retn

;
;                              SUBROUTINE
;

actionBranch	proc	near		;sub_46		proc	near
                mov     si, 80h                 ;data_339e
loc_162::
                mov     bl,cs:[v598+si]         ; data_401e[si]
                mov     al,cs:[v597+si]         ; data_400e[si]
		xor	ah,ah			; Zero register
		shr	al,1			; Shift w/zeros fill
		shr	al,1			; Shift w/zeros fill
		shr	al,1			; Shift w/zeros fill
		mov	di,ax
		push	si
                call    word ptr cs:[v1967+di]  ;data_459e[di]  ;*
		pop	si
		add	si,10h
		cmp	si,100h
		jne	loc_162			; Jump if not equal
		jmp	loc_602
actionBranch	endp

	     
v1967:	  	dw	offset 	dflt_ret		; 1db9
		dw	offset 	loc_531			; 4123
		dw	offset	v1ed2			; 1ed2
		dw	offset  dflt_ret		; 1db9
		dw	offset  dflt_ret		; 1db9
		dw	offset	v450b			; 450b
		dw	offset 	dflt_ret		; 1db9
							






searchResults:	  ;@1975

	
                mov     bl, cs:[si+v598]
                mov     cl, cs:[si+v597]
		cmp	cl, 40h
	     	jz	loc_163			; Jump if zero
		jmp	loc_169




loc_163::
		mov	bx,2			; '  '
                call    locateAndPrint
                mov     byte ptr cs:[NumItemsFound], 0  ;data_451e,0
                mov     al, cs:[si+v59e]        ;data_407e[si] #sprint bullets?
		or	al, al			; Zero ?
		jz	loc_164			; Jump if zero

                cmp     al, cs:[bullets]        ;data_369e
		jb	loc_164			; Jump if below
		jz	loc_164			; Jump if zero how about JBE?

                xchg    cs:[bullets], al        ;data_369e,al
                mov     cs:[v59e+si], al        ;data_407e[si],al  

		inc     byte ptr cs:[NumItemsFound]     ;data_451e

		mov     dl, cs:[bullets]        ; column data_369e
		xor	dh, dh			; zero row
		mov	bx, 1bh			; 27, "bullets"
                call    printMsg
loc_164::
                mov     al,cs:[v5a0+si]         ;get new pass data_409e[si]
		and	al, 1Fh			; bits 4:0 only
		jz	loc_165			; Jump if zero
                or      al,cs:[passes]          ; merge with existing data_382e
                cmp     al,cs:[passes]          ; data_382e
		je	loc_165			; Jump if equal
		mov	ah,al
                xor     ah,cs:[passes]          ;data_382e
                mov     cs:[passes], al         ;data_382e,al
                xor     cs:[v5a0+si], ah        ;data_409e[si],ah
		push	ax
		call	multipleItemsFound 	;sub_61
		pop	ax
		call	countBits		;sub_62
		mov	bx, 1Ch			; line 28, passes
                call    printMsg	
                inc     byte ptr cs:[NumItemsFound]     ;data_451e
loc_165::
                mov     dl,cs:[v59f+si]         ;data_408e[si]
		or	dl,dl			; Zero ?
		jz	loc_166			; Jump if zero
		xor	dh,dh			; Zero register
		push	dx
		call	multipleItemsFound	;sub_61
		pop	dx
		mov	bx,1Eh			; line 30 'marks'
                call    printMsg		
                inc     byte ptr cs:[NumItemsFound]     ;data_451e
                call    addMarks              ;sub_63
                mov     cs:[v59f+si], dl        ;data_408e[si],dl
loc_166::
                cmp     byte ptr cs:[NumItemsFound], 0  ;data_451e,0
		jne	loc_167			; Jump if not equal
		mov	bx,1Fh		 	; line 31, 'nothing'
                call    printMsg
loc_167::
                call    printPasses
		jmp	loc_193

loc_ret_168::
		retn


loc_169::
		cmp	cl, 20h			; ' '
		jne	loc_ret_168		; Jump if not equal
                cmp     byte ptr cs:[alarmBoxArmed], 0 ;v18d8], 0  ;data_458e,0
		jne	loc_171			; Jump if not equal
                
		cmp     byte ptr cs:[v59b+1+si], 0     ;data_404e+1[si],0
		je	loc_170			; Jump if equal
		jmp	loc_265
loc_170::
                mov     byte ptr cs:[v59b+si], 0       ;data_404e[si],0
                jmp     openCloset               ;loc_187

;
;                              SUBROUTINE
;

alarmboxstuff 	proc	near
loc_171::
                mov     al,cs:[v18d3]           ;data_454e
                mov     cs:[v4f3], al           ;data_377e,al
		or	al,al			; Zero ?
		jnz	loc_172			; Jump if not zero
                mov     cs:[v18d1], al          ;data_452e,al
		mov	bx,5
                call    locateAndPrint          ; 'alarm is off'
		jmp	short loc_173
loc_172::
		mov	bx,6
                call    locateAndPrint          ; ' alarm box is jammed'
                mov     byte ptr cs:[v18d1], 175 ;0afh  ;data_452e,0AFh
loc_173::
                mov     byte ptr cs:[alarmBoxArmed], 0 ;v18d8], 0  ;data_458e,0
                mov     al,cs:[v18d2]           ;data_453e
                mov     cs:[v59d+si], al        ;data_406e[si],al
		retn
alarmboxstuff	endp





loc_174::
                cmp     byte ptr cs:[v59d+si], 0        ;data_406e[si],0
		je	loc_176			; Jump if equal
loc_175::
		mov	bx,6
                call    printMsg		; alarm box is jammed
		jmp	short loc_173
loc_176::
                cmp     byte ptr cs:[v18d2], 0  ;data_453e,0
		jne	loc_175			; Jump if not equal
                cmp     word ptr cs:[ctrlKey], 1fh ;data_394e,1Fh
		je	loc_179			; Jump if equal
                cmp     word ptr cs:[ctrlKey], " " ;20h ;data_394e,20h
		je	loc_179			; Jump if equal
                cmp     byte ptr cs:[toolkits], 0   ;data_345e,0
		je	loc_177			; Jump if equal
                cmp     word ptr cs:[ctrlKey], 1ah ;data_394e,1Ah
		je	loc_185			; Jump if equal
loc_177::
                cmp     word ptr cs:[ctrlKey], 1ch ;data_394e,1Ch
		je	loc_186			; Jump if equal
                cmp     byte ptr cs:[numKeys], 0   ;data_348e,0
		je	loc_178			; Jump if equal

                cmp     word ptr cs:[ctrlKey], ESCAPE ;1bh ;data_394e,1Bh
		je	loc_183			; Jump if equal
loc_178::
		clc				; Clear carry flag
		retn
loc_179::
                mov     ax, cs:[ctrlKey]        ;data_394e
                xor     al, cs:[v4c7]           ; data_350e
		shr	al, 1			; Shift w/zeros fill
loc_180::
		mov	cl, 0
		jnc	loc_181			; Jump if carry=0
		inc	cx
loc_181::
                mov     cs:[v18d3], cl          ;data_454e,cl
                mov     cs:[v18d2], cl          ;data_453e,cl
		mov	al,6
loc_182::
		call	sub_73			;sub_54 (optimized)
                mov     byte ptr cs:[alarmBoxArmed], -1 ;v18d8], 0ffh       ;data_458e,0FFh
		mov	bx,54h
                call    locateAndPrint          ; 'resetting alarm'
		stc				; Set carry flag
		retn
loc_183::
                mov     bl,cs:[v4eb]            ;data_370e
		xor	bh,bh			; Zero register
                mov     al,cs:[keyz+bx]         ;data_385e[bx]
                and     al,cs:[numKeys]         ;data_348e
		mov	cx,0
		jnz	loc_184			; Jump if not zero
		inc	cx
loc_184::
                mov     cs:[v18d3], cl          ;data_454e,cl
		mov	al,2
		jmp	short loc_182
loc_185::
                call    getRand
		jz	loc_185			; Jump if zero
		cmp	al,0C8h
		jmp	short loc_180
loc_186::
		mov	bx,46h
                call    locateAndPrint          ; CR
		mov	bx,55h			; '2 circuit breakers...'	
		jmp	printMsg		;loc_237


		

		
openCloset::  		;loc_187::      ; open closet


		push	cx		; delay a bit for suspense
		mov	cx, 5
closetWait:		
		call	starttime
		call	delaytime
		loop	closetWait
		pop	cx


                mov     al,cs:[v599+si]         ;data_402e[si] closet contents
		cmp	al,0Eh
		je	loc_188			; Jump if equal
		cmp	al,0Ah
		je	loc_188			; Jump if equal
                cmp     byte ptr cs:[v59a+si], 0 ;data_403e[si],0
		jne	loc_188			; Jump if not equal
                mov     byte ptr cs:[v599+si], 0 ;data_402e[si],0
loc_188::
		mov	bx,2
                call    locateAndPrint          ; '  '
                call    printClosetContents      ;sub_57
                mov     al,cs:[v599+si]         ;data_402e[si]
		or	al,al			; Zero ?
		jz	loc_192			; Jump if zero
		cmp	al,0Ah
		je	loc_192			; Jump if equal
		cmp	al,0Eh
		je	loc_189			; Jump if equal
		mov	bx,7
                call    printMsg		; "u to use"
		jmp	short loc_192
loc_189::
                mov     al,cs:[v4eb]            ;data_370e
                mov     bl,cs:[v5a1+si]         ;data_410e[si]
		cmp	al,1
		jne	loc_190			; Jump if not equal
		cmp	bl,19h
		jb	loc_192			; Jump if below
		mov	bx,8
                call    printMsg		; "downstairs"
		jmp	short loc_192
		
loc_190::
		cmp	al,2
		jne	loc_191			; Jump if not equal
		cmp	bl,19h
		jb	loc_194			; Jump if below
		cmp	bl,31h			; '1'
		jae	loc_194			; Jump if above or =
		jc	loc_192			; Jump if carry Set
loc_191::
		cmp	bl,31h			; '1'
		jb	loc_194			; Jump if below
loc_192::
		call	sub_31
loc_193::
                mov     byte ptr cs:[v4F0],0
                mov     word ptr cs:[v4F1],0
		retn
loc_194::
		mov	bx,9
                call    printMsg		; "upstairs"
		jmp	short loc_192






;
;                              SUBROUTINE
;
; if spacebar is pressed and gun is holstered, a body is searched.
; otherwise it's dragged.
searchOrBodyMove proc near		;sub_49		proc	near
                mov     bl, cs:[v598+si]        ;data_401e[si]
                mov     cl, cs:[v597+si]        ;data_400e[si]
		cmp	cl, 40h			; '@'
		jne	loc_199			; Jump if not equal
                
                cmp     word ptr cs:[ctrlKey], 18h ; search? data_394e,18h
		jne	loc_ret_198		; Jump if not equal
                
                mov     al, cs:[v4e5]           ;data_368e
		sub	al, bl
		jz	printSearch   		; Jump if zero print search
		
		cmp	al, 0F8h
		je	printSearch   		; 
		
		
		push	si
                mov     byte ptr cs:[v54f+bx],0 ;data_396e[bx],0
		call	sub_30
                mov     si, 1ch                 ;data_19e
                call    put_gfx
		pop	si
                mov     al, cs:[gunDir]         ;data_367e
		call	xlatDir			;sub_16
                mov     bl, cs:[v598+si]        ;data_401e[si]
		call	sub_24
                mov     cs:[v598+si], bl        ;data_401e[si],bl
		call	sub_29
		jmp	short loc_195


; External Entry into Subroutine 

sub_50::    ;@1bce
                cmp     byte ptr cs:[v59A+si],0
		jne	loc_196			; Jump if not equal
loc_195::
                mov     byte ptr cs:[v59A+si],0FFh
loc_196::
		call	sub_30
		mov	al,61h			; 'a'
                call    draw2Screen
		add	dx,2
		mov	al,63h			; 'c'
                jmp     draw2Screen            ; loc_147





		
printSearch::
		mov	al,6
		call	sub_73				;sub_54	 optimized
		mov	bx,1Ah
                call    locateAndPrint                  ; 'searching'

loc_ret_198::
		retn




loc_199::
		cmp	cl,20h			; ' '
		jne	loc_ret_198		; Jump if not equal
                cmp     byte ptr cs:[v5A4+1+si],0  ;was 5a5h!
		jne	loc_201			; Jump if not equal
                mov     al,byte ptr cs:[v599+si]
		or	al,al			; Zero ?
		jnz	loc_200			; Jump if not zero
		mov	al,1
loc_200::
                mov     byte ptr cs:[v5A4+1+si],al  ;was 5a5h!
loc_201::
		cmp	[alarmBoxArmed], 0	;v18d8], 0		;data_203,0
		jne	loc_ret_202		; Jump if not equal
		inc	bx
                cmp     bl,byte ptr cs:[v4E5]
		jne	loc_ret_202		; Jump if not equal
                cmp     byte ptr cs:[gunDir],4
		je	loc_203			; Jump if equal

loc_ret_202::
		retn
loc_203::
		cmp	[v18d5], 0		;data_200,0
		jne	loc_204			; Jump if not equal
                cmp     word ptr cs:[ctrlKey],1Ch
		jne	loc_205			; Jump if not equal
loc_204::
		jmp	loc_253
loc_205::
                cmp     byte ptr cs:[v59B+si],0
		jne	loc_206			; Jump if not equal
                cmp     byte ptr cs:[v599+si],0Ah
		jne	loc_ret_209		; Jump if not equal
		jz	loc_204			; Jump if zero
loc_206::
		cmp	[digitCounter], 0	;v18d7], 0  ;data_202,0
		jne	loc_207			; Jump if not equal
		call	check0thru9		;sub_56
		jnc	loc_207			; Jump if carry=0
                cmp     byte ptr cs:[doorOpenAttempts],0
		jne	loc_207			; Jump if not equal
                cmp     word ptr cs:[ctrlKey],1Ah
		je	loc_207			; Jump if equal
                cmp     word ptr cs:[ctrlKey],18h
		jne	loc_ret_209		; Jump if not equal
                cmp     byte ptr cs:[v5A4+1+si],0Ah ;was 5a5h!
		jb	loc_208			; Jump if below
                
		mov     al,byte ptr cs:[v5A3+si]; get keypress
		or	al,al			; Zero ?
		jz	loc_207			; Jump if zero
		js	loc_208			; Jump if sign=1
		mov	bx,0
		jmp	locateAndPrint		;loc_236
loc_207::
		call	unlockDoor		;sub_51
		jc	loc_ret_209		; Jump if carry Set
		
		cmp	[digitCounter], 3	;v18d7], 3   ;data_202,3
		jb	loc_ret_209		; Jump if below
		mov	[digitCounter], 0	;v18d7], 0  ;data_202,0
loc_208::
		mov	al,1
		call	sub_73			;sub_54	optimized
                mov     byte ptr cs:[v59b+1+si],0 ;was v59c
		mov     byte ptr cs:[doorOpenAttempts],0	  ;was call	sub_53
		jmp	loc_124

loc_ret_209::
		retn

;
;                              SUBROUTINE
;
unlockDoor	proc near			;sub_51::
                cmp     byte ptr cs:[v5A4+1+si],0Ah  ;was 5a5h
		jb	loc_215			; Jump if below

		mov	bx,1			; 'Locked!'
                call    locateAndPrint
                cmp     byte ptr cs:[doorOpenAttempts],0
		jne	loc_210			; Jump if not equal
                cmp     word ptr cs:[ctrlKey],1Ah
		jne	pickLock		;loc_211 ; Jump if not equal
loc_210::
		call	forceOpenDoor		;sub_52
		jnc	pickLock		;loc_211  ; Jump if carry=0
		clc				; Clear carry flag
		retn

pickLock:					;loc_211::
		
		call	check0thru9		;sub_56
		jc	loc_214			; Jump if carry Set
		call	sub_55
                mov     bl, cs:[digitCounter]	;v18d7]          ;data_202
		xor	bh,bh			; Zero register
                
		add     bl, cs:[currentDigit]	;v18d6]          ;data_201
                
		
		mov     al,byte ptr cs:[v4C7+bx]
		and	al,0Fh
		cmp	al,0Ah
		jb	loc_212			; Jump if below
		and	al,7
loc_212::
		add	al,1Eh
                cmp     al,byte ptr cs:[ctrlKey] ;correct keypress?
		jne	loc_214			; Jump if not equal
		inc	[digitCounter]		;v18d7]			; next digit in combo data_202

	   	call	startTime		; slight delay 
	   	call	delayTime		; speaker won't go w/o it?!?
	   	call	playClick

loc_213::
		clc				; Clear carry flag
		retn
loc_214::
		mov	[digitCounter], 0	;v18d7], 0		; restart to 0   data_202,0 
                mov     byte ptr cs:[doorOpenAttempts],0
loc_215::
		stc				; Set carry flag
		retn
unlockDoor 	endp



; play a click sound to represent the tumbler going into the lock.
playClick proc
	cmp	cs:[sbBase], -1
	jz	speakerCLick
	
	push	ax
	push	bx
	push	cx
	push	dx
	
	mov	dx, cs:[sbBase]
						; play just a few samples
	mov	ax, cs:[sampleSeg]		; of anything to make a click
	lea	bx, soundBlasterSeg:heil	; load offset
	add	bx, 400
	mov	cx, 46				; load # of samples
	call	playSample

		
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	ret




speakerClick:
	call	do_speaker
	ret
playClick endp




;
;                              SUBROUTINE
;
;use a toolkit to unlock a door, otherwise we have to pick it.
; entry: si=room pointer perhaps?
forceOpenDoor proc near					;sub_52::
                cmp     byte ptr cs:[toolkits],0 ; no tools? bail
		je	loc_217			; Jump if equal (was loc_213)
                cmp     byte ptr cs:[doorOpenAttempts],0    ; already unlocked?
		jne	loc_217			; Jump if not equal
                inc     byte ptr cs:[doorOpenAttempts]
loc_216::
                call    getRand
		jz	loc_216			; Jump if zero
		js	loc_218			; Jump if sign=1 6% chance?

		mov	al,0Ah			; of failing.
		call	sub_73			;sub_54	optimized
		mov	bx,3
                call    locateAndPrint          ; 'opening door'
loc_217::
		clc				; Clear carry flag
		retn
loc_218::
		mov	bx,4			
                call    locateAndPrint          ; 'still locked!'
		mov	[digitCounter], 0	;v18d7], 0		; digitcounter data_202,0
		clc				; Clear carry flag
		retn

forceOpenDoor endp

; External Entry into Subroutine 
; moved.  no point to make this a subroutine
;sub_53::
;                mov     byte ptr cs:[doorOpenAttempts],0
;		retn

; External Entry into Subroutine 
; same as sub_73
;sub_54::
;                mov     cs:[v4f1], si           ;data_376e,si
;                mov     cs:[v4f0], al           ;data_375e,al
;		retn

; External Entry into Subroutine 

sub_55::
                mov     al,byte ptr cs:[v5A4+1+si] ;was 5a5h
		sub	al,0Ah

		mov	[currentDigit], al	;v18d6], al  	;data_201,al
		retn


;
;                              SUBROUTINE
;
; checks current keypress and returns CY=0 if 0-9
check0thru9 proc near 					;sub_56::
                cmp     word ptr cs:[ctrlKey],1Eh 
		jb	loc_219			; Jump if below
                cmp     word ptr cs:[ctrlKey],28h
		jae	loc_219			; Jump if above or =
		clc				; Clear carry flag
		retn
loc_219:
		stc				; Set carry flag
		retn
check0thru9 endp






; External Entry into Subroutine 

printClosetContents::            ;sub_57::
                and     byte ptr cs:[v599+si], 0fh      ;data_402e[si],0Fh
                mov     bl,cs:[v599+si]         ;data_402e[si]
		add	bl,0Ah
		jmp	printMsg		;loc_237







; External Entry into Subroutine 

sub_58::
                mov     bl,byte ptr cs:[v598+si]
                mov     al,byte ptr cs:[v597+si]
		xor	ah,ah			; Zero register
		shr	al,1			; Shift w/zeros fill
		shr	al,1			; Shift w/zeros fill
		shr	al,1			; Shift w/zeros fill
		mov	di,ax
		push	si
                call    word ptr cs:[v1DA9+di] ;*
		pop	si
		retn

v1d83:		;* No entry point to code
                mov     al,byte ptr cs:[v5A1+si]
                cmp     al,byte ptr cs:[v4DC]
		je	loc_220			; Jump if equal
                cmp     byte ptr cs:[v599+si],0Eh
		jne	loc_220			; Jump if not equal
                cmp     byte ptr cs:[v59B+si],0
		jne	loc_220			; Jump if not equal
		mov	ax,bx
		inc	ax
                cmp     al,byte ptr cs:[v4E5]
		je	loc_221			; Jump if equal
loc_220::
		stc				; Set carry flag
		retn
loc_221::
		jmp	loc_298
	      
v1da9:	   	dw	offset 	dflt_ret		;1db9
		dw	offset	v4370
		dw	offset 	v1d83
      		dw	offset 	dflt_ret
		dw	offset	sub_50			;->1bce
		dw	offset	dflt_cy_ret
		dw	offset  v1d83

dflt_cy_ret::	   		    ;@1db7	
		stc
		ret
dflt_ret::			    ;@1db9 
		clc
		ret
	       
; External Entry into Subroutine 

detonateBomb:					;sub_59::
                mov     byte ptr cs:[v4F3],0
		call	sub_144
                
                mov     al,byte ptr cs:[v4F5]   ; timer countdown?
		or	al,al			; Zero ?
		jz	blastFail		; Jump if zero
                cmp     al,byte ptr cs:[roomIndex]
		jne	blastPass		; Jump if not equal

blastFail::
		call	blast			;sub_143
                call    cls
		mov	dx,0C04h
                call    locate
		mov	bx,5Ch			; you were blown up
                call    printMsg
		stc				; Set carry flag
		retn


blastPass::					; loc_223
		call	blast			;sub_143
                mov     al,byte ptr cs:[v4F5]
                mov     byte ptr cs:[v4DC],al
		xor	al,al			; Zero register
		mov	[v18d1], al		; data_197,al
                mov     byte ptr cs:[bombSet],al
                mov     byte ptr cs:[v4F5],al
                mov     byte ptr cs:[v4F6],al
                mov     byte ptr cs:[v4F7],al
                mov     byte ptr cs:[v4F3],1
		call	sub_104
		clc				; Clear carry flag
		retn

; External Entry into Subroutine 

printBombtime::					;sub_60::
                cmp     byte ptr cs:[bombSet],0
	 	jz	loc_999			; Jump if equal

                dec     word ptr cs:[bombTimer] ; tick!
	 	jnz	loc_224			;$+15h 	; Jump if not zero

		xor	dx,dx			; Zero register
                call    locate
		mov	bx,50h			; cr/lf's
                call    printMsg
		call	detonateBomb		;sub_59
	 	jnc	loc_999		;!jnc	$+2Eh 	; Jump if carry=0
	 	jmp	loc_634
loc_224::
		mov	dx,200h
                call    locate
		mov	bx,48h
                call    printMsg		; "time"
		
		mov	bx,49h
                mov     dx,word ptr cs:[bombTimer] ; get time to print it
		cmp	dx, 1000		;3E8h
		jae	loc_225			; Jump if above or =
		inc	bx
loc_225::
		cmp	dx, 100			;64h
		jae	loc_226			; Jump if above or =
		inc	bx
loc_226::
		cmp	dx, 10			;0Ah
		jae	loc_227			; Jump if above or =
		inc	bx
loc_227::
                call    printMsg




loc_999::	mov     si, 80h                 ;data_339e

loc_9999:       mov     bl,byte ptr cs:[v598+si]
		xor	bh,bh			; Zero register
                mov     al,byte ptr cs:[v597+si]
		xor	ah,ah			; Zero register
		shr	al,1			; divide AL by 8
		shr	al,1			; 
		shr	al,1			; 
		mov	di,ax
		push	si
                
		
		; debug does this ever happen?
		cmp	di, 12
		ja	crashola


		
		
		call    word ptr cs:[v1E7A+di] ;*
		pop	si
		add	si,10h
                cmp     si, 100h                ; data_341e
		jnz	loc_9999		;jne	$-21h			; Jump if not equal
		jmp	loc_8999		;jmp	$+19FAh

crashola:
	
       		FATAL
       



v1e7a		dw	offset dflt_ret		;->1db9
	 	dw	offset someProc		;->3b6a
	 	dw	offset someproc2	;->1ec3
		dw	offset someproc3	;->0965
      		dw	offset v1e88
		dw	offset v455a
		dw	offset dflt_ret		;-1db9

		
v1e88:	       
                mov     al, cs:[si+v59a]
		or	al, al
		jz	somewhere
		cmp	al, -1
		jnz	somewhereelse
                mov     al, cs:[v4e5]
		sub	al, bl
		jz	somewhere
		cmp	al, 0f8h
		jnz	loc_228
somewhere:		
		ret

	
somewhereElse:
						
	    	mov	di, ax
                mov     al, cs:[bx+v54f]
		or	al, al
		jz	loc_228
		cmp	ax, si
		jz	loc_228
                cmp     byte ptr cs:[di+v597], 40h
		jnz	loc_229			;jmp 1ec0
		jmp	loc_122			;jmp 0cca

loc_228::
                mov     byte ptr cs:[v59A+si],0
		jmp	loc_121
loc_229::
		jmp	loc_196


someProc2:
			                        ;* No entry point to code
                cmp     byte ptr cs:[v59B+si],0
		jne	loc_ret_231		; Jump if not equal
		inc	bx
                cmp     bl,byte ptr cs:[v4E5]
		je	loc_ret_231		; Jump if equal
		dec	bx
v1ed2::                
                mov     byte ptr cs:[v59B+si],0F0h
		mov	bx,2			
		call    locateAndPrint          ; '  '
                mov     al,cs:[v18d2]              ;data_198
		or	al,al			; Zero ?
		jz	loc_230			; Jump if zero
                mov     byte ptr cs:[v59D+si],al
loc_230::
		xor	al,al			; Zero register
		mov	cs:[v18d5], al		;data_200,al
		mov	cs:[v18d4], al		;data_199,al
		mov	cs:[digitCounter], al	;v18d7], al  	;data_202,al
                mov     cs:[doorOpenAttempts],al
		mov	cs:[alarmBoxArmed], al	;v18d8], al		;data_203,al
		mov	cs:[v18d2], al		;data_198,al
                mov     byte ptr cs:[v59b+1+si],al      ; was v59c
		jmp	loc_124

loc_ret_231::
		retn

; External Entry into Subroutine 

multipleItemsFound::				;sub_61::
                cmp     byte ptr cs:[NumItemsFound], 0  ;data_451e,0
		je	loc_ret_234		; Jump if equal
		mov	bx,1Dh
                jmp     printMsg		;loc_237  ', '

; External Entry into Subroutine 
; input ah=value (usually only a 5 bit value)
; output: dx=# of bits set in ah
; destroys ah, cx

countBits::
		xor	dx,dx			; Zero register
		mov	cx,5

locloop_232::
		shr	ah,1			; Shift w/zeros fill
		jnc	loc_233			; Jump if carry=0
		inc	dx
loc_233::
		loop	locloop_232		; Loop if cx > 0


loc_ret_234::
		retn

;
;                              SUBROUTINE
;
; input dl=value to add
; exits dl=remaining marks if > 100?  
; maximum of 101 marks

addMarks proc                                 ;sub_63::
                cmp     byte ptr cs:[marks], 101 ;65h ;data_371e,65h       ; 'e'
		jae	loc_ret_235		; Jump if above or =
                
                add     cs:[marks], dl           ;data_371e,dl
		xor	dl, dl			; Zero register
                cmp     byte ptr cs:[marks], 101 ;65h ;data_371e,65h       ; 'e'
		jb	loc_ret_235		; Jump if below
                
                mov     dl, cs:[marks]            ;data_371e
		sub	dl, 100			; 'd'
                mov     byte ptr cs:[marks], 100 ;data_371e,64h       ; 'd'

loc_ret_235::
		retn

addMarks      endp

		db	0
v1f40		dw	0 
v1f42		dw	0
v1f44		db	0
remainder	db	0	;v1f45		db	0







locateAndPrint::
;loc_236::				;@1f46
		push	si
		push	di
		push	bx
		push	dx
		xor	dx, dx			; Zero register
                mov     di, 1b80h	;offset v1b80 ; data_461e ??
		mov	cx, 228h
                call    putSprite?
		pop	dx
		pop	bx
		pop	di
		pop	si
		push	dx
		push	bx
                mov     dx, 1608h               ; row, col
                call    locate
		pop	bx
		pop	dx

; External Entry into Subroutine 
; input: bl= message # to print.  
;        dx= value to print, if string contains and FF   (prolly just DL)

printMsg::
;loc_237::
		push	si
		push	di
                mov     si, offset messages	;v206e        ;data_471e
		or	bl, bl			; Zero ?
		jz	loc_239			; Jump if zero
loc_238::
                mov     al,cs:[si]                 ; get length of string
		xor	ah, ah			; 
		add	si, ax			; add to pointer
		dec	bl			; go to next string
		jnz	loc_238			; Jump if not zero
loc_239::
		lodsb				; String [si] to al
		mov	cl, al			; length of string
		xor	ch, ch			; Zero register
		dec	cx			; -1 for length value

locloop_240::
		lodsb				; String [si] to al
		cmp	al,0FFh			; # placeholder?
		je	printNumber		;loc_242 ; Jump if equal
		mov	ah, 0Eh
		mov	bx, 3			; page # to print
		int	10h			; Video display   ah=functn 0Eh
						;  write char al, teletype mode
loc_241::
		loop	locloop_240		; Loop if cx > 0

		pop	di
		pop	si
		retn


printNumber:					;loc_242::
		push	dx
		push	cx
		push	si
		call	printDecimal		;sub_66
		pop	si
		pop	cx
		pop	dx
		mov	bx, 3
		jmp	short loc_241
searchOrBodyMove	endp			;sub_49		endp


;
;                              SUBROUTINE
;
;input dx=hex value to be printed in decimal.
;
printDecimal	proc	near			; sub_66
                mov     bx, 8                   ;data_332e
                mov     byte ptr cs:[remainder], 0  ;data_469e,0
loc_243::
		xor	cx,cx			; Zero register
loc_244::
                cmp     dx,cs:[decLookup+bx]	;v1fda+bx]        ;data_470e[bx]
		jb	loc_245			; Jump if below
                sub     dx,cs:[decLookup+bx]	;v1fda+bx]        ;data_470e[bx]
		inc	cx
		jnz	loc_244			; Jump if not zero
loc_245::
		or	cx,cx			; Zero ?
		jnz	loc_246			; Jump if not zero
                cmp     byte ptr cs:[remainder], 0  ;data_469e,0
		jne	loc_246			; Jump if not equal
		or	bx,bx			; Zero ?
		jnz	loc_247			; Jump if not zero
loc_246::
                inc     byte ptr cs:[remainder]     ;data_469e
		or	cl,30h			; '0'
		push	dx
		push	bx
		mov	bx,1
		mov	al,cl			; char to print
		mov	ah,0Eh
		int	10h			; Video display   ah=functn 0Eh
						;  write char al, teletype mode
		pop	bx
		pop	dx
loc_247::
		dec	bx
		dec	bx
		jns	loc_243			; Jump if not sign
		retn
printDecimal	endp


decLookup	dw	01			;@1fda
		dw	10
		dw	100
		dw	1000
		dw	10000

	
qInventory: 					;@1fe4
                mov     dl, cs:[bullets]
		xor	dh, dh
		mov	bx, 27h			; 'bullets'
		call    locateAndPrint          ;1f46 
             
	
		
                mov     dl, cs:[marks]
		xor	dh, dh
		mov	bx, 28h			; "marks"
		call	printMsg		;1f63

		
;
;                              SUBROUTINE
;

fullInventory	proc	near			;sub_67		proc	near
		xor	ax,ax			; Zero register
                mov     cs:[v1f40], ax          ;data_464e,ax
                mov     cs:[v1f42], ax          ;data_466e,ax
                mov     cs:[v1f44], al          ;data_468e,al
		mov	dx, 1700h
                call    locate

                cmp     byte ptr cs:[numDaggers], 0   ;data_344e,0  dagger flag?
		je	loc_248			; Jump if equal
		call	sub_68
                mov     byte ptr cs:[v1f40+1], al       ;data_464e+1,al
		mov	bx, 29h			; "dagger"
                call    printMsg
loc_248::
                cmp     byte ptr cs:[toolkits], 0   ;data_345e,0
		je	loc_249			; Jump if equal
		call	sub_68
                mov     byte ptr cs:[v1f42], al         ;data_466e,al
		mov	bx, 2Ah			; "tool kit"
                call    printMsg
loc_249::
                cmp     byte ptr cs:[aidKits], 0   ;data_346e,0
		je	loc_250			; Jump if equal
		call	sub_68
                mov     byte ptr cs:[v1f42+1], al       ;data_466e+1,al
		mov	bx, 2Bh			; "first aid kit"
                call    printMsg
loc_250::
                test    byte ptr cs:[bombSet], BIT7  ;data_347e,80h
		jz	loc_ret_251		; Jump if zero
		call	sub_68
                mov     cs:[v1f44], al          ;data_468e,al
		mov	bx, 2Ch
                call    printMsg		; "the bomb"

loc_ret_251::
		retn
fullInventory	endp				;sub_67		endp


;
;                              SUBROUTINE
;

sub_68		proc	near
                inc     byte ptr cs:[v1f40]     ;data_464e
                mov     al, byte ptr cs:[v1f40]           ;data_464e
		or	al, 30h			; '0'
		mov	ah, 0Eh
		mov	bx, 3
		int	10h			; Video display   ah=functn 0Eh
						;  write char al, teletype mode
                mov     al, byte ptr cs:[v1f40]           ;data_464e
		retn
sub_68		endp


; an FF character specifies that a number will be printed with the string.

messages	db	0Eh, "It's jammed !"	;@206e
		db	9,   'Locked !'
		db	02h, ' '
		db	10h, 'Opening door...'
		db	0Fh, 'Still locked !'
		db	0Fh, 'Alarm is off !'
		db	16h, 'Alarm box is jammed !'
		db	0Ch, ' (U to Use)'
		db	0Eh, ' downstairs !'
		db	0Ch, ' upstairs !'
		db	0Bh, "It's empty"		; line 10
		db	 8h, 'Bullets'
		db	06h, 'Money'
		db	07h, 'Passes'
		db	0Ch, 'Powder Kegs'
		db	0Dh, 'A coat check'
		db	0Ch, 'Art Objects'
		db	05h, 'Keys'
		db	05h, 'Keys'
		db	0Fh, "Hitler's Diary"
		db	13h, 'The Alarm Controls'	; line 20
		db	 9h, 'A dagger'
		db	10h, 'A first aid kit'
		db	0Bh, 'A tool kit'
		db	11h, 'A secret passage'
		db	9  , 'The BOMB'
		db	0Dh, 'Searching...'
		db	0Ah, 0FFh, ' Bullets'		; line 27
		db	 9, 0FFh, ' Passes'
		db	03h, ', '
		db	08h, 0FFh, ' Marks'		; line 30
		db	 8h, 'Nothing'
		db	0Ch, '    ALERT !'
		db	03h, 0FFh, ' '
		db	0Dh,'      Stop !'
		db	0Dh,'      Heil !'
		db	0Eh,'  Come here !'
		db	0Eh,'  Your pass !'
		db	04h, 0Ah, 0Ah, 0Dh
		db	0Bh, 'Bullets: ',0FFh
		db	0Eh, '     Marks: ', 0FFh       ; 40
		db	9  , ')Dagger '
		db	0Bh, ')Tool kit '
		db	10h, ')First aid kit '
		db	0Ah, ')The BOMB'
		db	0Ch, 'Dropping...'
		db	0Bh, 'Getting - '
		db	04h, '...'
		db	1Ah, 'Load too heavy, swap with'
		db	05h, 'Drop'
		db	0Eh, ' item (1,2,3)'		; line 50
		db	0Ah, 'You have '
		db      0Bh, 0FFh, ' bullets.'
		db	12h, 'a first aid kit !'
		db	0Dh, 'a tool kit !'
		db	0Bh, 'a dagger !'
		db	07h, 'keys !'
		db	0Bh, 'the BOMB !'
		db	18h, 'You already have that !'
		db	12h, "They're too heavy"
		db	12h, "No good, it's wet"	; 60
		db	02h, ' '
		db	16h, 'Property of Eva Braun'
		db	16h, 'Property of A. Hitler'
		db	11h, 'Too surrealistic'
		db	14h, "They're forgeries !"
		db	16h, "You can't read German"
		db	18h, 'Not enough time to read'
		db	0Ch, 'the dough !'
		db	16h, 'Your wallet is full !'
		db	02h,  0Dh			    ; 70
		db	19h, 'Your load is too heavy !'
		db	0Dh, 'TIME', 0Ah, 0Dh, 'BOMB', 0Ah, 0Dh  ; 72
		db	02h,  0FFh
		db	03h, ' ', 0FFh
		db	04h, '  ',0FFh
		db	05h, '   ',0FFh
		db	18h, 'Resetting BOMB timer...'
		db	07h, 'Done !'
		db	15h, 'Switching weapons...'		; line 79
		db	13h, 0Ah, 0Ah, '    ', 0Ah, 0Dh, '    ',0Ah, 0Dh, '    '
		db	16h, 'Bandaging yourself...'
		db	18h, "       You're wounded !"
		db	1Bh, " You're severely wounded !"
		db	13h, 'Resetting alarm...'
		db	29h, '2 circuit breakers and a locked panel...'
		db	07h, 'PASS ',0FFh
		db	12h, 'Circuit breaker ',0FFh
		db	17h, 'Stab only from behind.'
		db	14h, 'Keys very valuable.'
		db	1Bh, "Don't be seen using tools."
		db	11h, 'Shoot if jammed.'
		db	25h, 'You were blown up in the explosion !' ; line 92
		db	0Fh, 'They got you !'
		db	0F0h
		db	'Skill Level: ', 0Ah, 0Ah, 0Ah, 0Dh
		db	'Select Option by letter :', 0Ah, 0Ah, 0Ah, 0Dh 
		db	' A) Start a new game with a new bunker', 0Ah, 0Dh
		db	'    and preserve current skill level.', 0Ah, 0Ah, 0Dh
		db	' B) Start a new game with a new bunker', 0Ah, 0Dh
		db	'    and set skill level one.', 0Ah, 0Ah, 0Dh
		db	' C) Start a new game with same bunker.', 0Ah, 0Ah, 0Ah, 0Dh
		db	27h,' D) Resume game currently in progress.'
		db	13h, 'Resistance fighter'		; 96
		db	1Ah, 'Allied intelligence agent'
		db	15h, 'Top secret operative'
		db	10h, 'Master saboteur'
		db	17h, 'Elite strike force spy'
		db	19h, 'Press return to begin...'
	      ;	db	3fh					; 102
	      ;	db	'Game saved ...', 0Ah, 0Ah, 0Dh
	      ;	db	'Insert disk to be booted and', 0Ah, 0Dh
	      ; db	'press spacebar.'
	       	
	      	db	44
	      	db	'Game saved ...', 0Ah, 0Ah, 0Dh
	      	db	'Press spacebar to restart.'
	      
		
		
		db	0Eh, 'Boot error', 0Ah, 0Ah, 0Dh	; 103
		db	0C4h
		db	'Top secret from Allied Headquarters:', 0Ah, 0Ah, 0Dh
		db	'Mission reported successful stop', 0Ah, 0Ah, 0Dh
		db	'Hitler and most of cabinet dead stop', 0Ah, 0Ah, 0Dh
		db	'awaiting safe return of your agent stop', 0Ah, 0Ah, 0Dh
		db	'recommendation for promotion enclosed', 0Ah, 0Ah, 0Dh, 0AFh
		db	'stop this could be the turning point', 0Ah, 0Ah, 0Dh
		db	'of the war stop congratulations on your', 0Ah, 0Ah, 0Dh 
		db	"choice of agent stop it's doubtful that", 0Ah, 0Ah, 0Dh
		db	'any other could have succeeded stop', 0Ah, 0Ah, 0Ah, 0Dh
		db	'Press return'
		db	9Bh
		db	'Top secret from Allied Headquarters:', 0Ah, 0Ah, 0Dh
		db	'Regret to report failure of mission', 0Ah, 0Ah, 0Dh
		db	'stop underground confirms report of', 0Ah, 0Ah, 0Dh 
		db	'major explosion in the fuehrerbunker', 0Ah, 0Ah, 0Dh, 0A8h
		db	'stop also verifies reports that', 0Ah, 0Ah, 0Dh
		db	'Fuehrer escaped unharmed stop', 0Ah, 0Ah, 0Dh
		db	'urgent we try again stop we may have', 0Ah, 0Ah, 0Dh
		db	'no other hope stop your agent must', 0Ah, 0Ah, 0Dh
		db	'try again', 0Ah, 0Ah, 0Ah, 0Dh
		db	'Press return'
		db	48h
		db	'Current monitor type: Composite', 0Ah, 0Dh
		db	'Press control-C for RGB monitor.      '
		db	48h
		db	'Current monitor type: RGB      ', 0Ah, 0Dh
		db	'Press control-C for composite monitor.'
		db	 02h, 41h, 02h, 41h, 02h, 41h
		db	 02h, 41h, 02h, 41h, 02h, 41h
		db	 02h, 41h, 02h, 41h, 02h, 41h
		db	 02h, 41h
		db	15 dup (0)

v2ad0		dw	0
v2ad2		db	0
v2ad3		dw	0 

loc_253::
		mov	bx,2
                call    locateAndPrint                  ; '  '
                cmp     byte ptr cs:[v599+si], 0eh      ;data_402e[si],0Eh
		je	loc_ret_254		; Jump if equal
                cmp     byte ptr cs:[v599+si], 0ah      ;data_402e[si],0Ah
		jne	loc_256			; Jump if not equal
                cmp     byte ptr cs:[alarmBoxArmed], 0 ;v18d8], 0          ;data_458e,0
		je	loc_255			; Jump if equal

loc_ret_254::
		retn
loc_255::
		jmp	loc_174
loc_256::
		call	sub_72
                cmp     byte ptr cs:[v18d5], 0  ;data_456e,0
		jne	loc_258			; Jump if not equal
                cmp     byte ptr cs:[v59b+si], 0       ;data_404e[si],0
		jne	loc_ret_254		; Jump if not equal
                cmp     byte ptr cs:[v599+si], 0        ;data_402e[si],0
		je	loc_257			; Jump if equal
                cmp     byte ptr cs:[numBombs], 0   ;data_343e,0
		je	loc_258			; Jump if equal
		jnz	loc_260			; Jump if not zero
loc_257::
                cmp     byte ptr cs:[numBombs], 3   ;data_343e,3
		jae	loc_259			; Jump if above or =
loc_258::
		call	getOrDrop		;sub_69
                cmp     byte ptr cs:[v18d5], 0  ;data_456e,0
		je	loc_260			; Jump if equal
                cmp     byte ptr cs:[v18d4], 0  ;data_455e,0
		jne	loc_260			; Jump if not equal
		retn
loc_259::
		mov	bx,0Ah
		jmp	locateAndPrint		;loc_236
loc_260::
                cmp     byte ptr cs:[v599+si], 0        ;data_402e[si],0
		jne	loc_261			; Jump if not equal
		mov	bx,2Dh
                call    locateAndPrint          ; 'dropping'
		jmp	short loc_262
loc_261::
                cmp     byte ptr cs:[v599+si], 0ah      ;data_402e[si],0Ah
		je	loc_263			; Jump if equal
		mov	bx, 2Eh
                call    locateAndPrint          ; 'Getting'
                call    printclosetContents      ;sub_57
		mov	bx,2Fh			; "..."
                call    printMsg
loc_262::
                mov     al,cs:[v599+si]         ;data_402e[si]
		xor	ah,ah			; Zero register
		mov	di,ax
                mov     al,cs:[v2cec+di]        ;data_477e[di]
		call	sub_73
loc_263::
		mov	al,0FFh
loc_264::
                mov     byte ptr cs:[v59b+1+si], al ;data_404e+1[si],al
		retn

		
loc_265::
                cmp     byte ptr cs:[v59b+si], 0       ;data_404e[si],0
		je	loc_266			; Jump if equal
		mov	al,0
		jmp	short loc_264
loc_266::
                cmp     byte ptr cs:[v599+si], 10       ;data_402e[si],0Ah
		jne	loc_268			; Jump if not equal
                cmp     byte ptr cs:[alarmBoxArmed], 0 ;v18d8], 0  ;data_458e,0
		jne	loc_267			; Jump if not equal
		retn

		
loc_267::
		call	alarmboxstuff			;sub_48
                mov     byte ptr cs:[v18d4], 0  ;data_455e,0
		jmp	short loc_270


loc_268::
                mov     al,cs:[v599+si]         ;data_402e[si]
		xor	ah,ah			; Zero register
		shl	ax,1			; Shift w/zeros fill
                cmp     byte ptr cs:[v18d4], 0  ;data_455e,0
		je	loc_269			; Jump if equal
		push	ax
		call	clearInventory	  	;sub_70
		mov	bx,4Eh
                call    locateAndPrint          ; 'done!'
		pop	ax
loc_269::
		mov	di,ax
                call    word ptr cs:[v2cfc+di]  ;data_478e[di]  ;*
                cmp     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
		jne	loc_270			; Jump if not equal
                mov     byte ptr cs:[v599+si], 0        ;data_402e[si],0
loc_270::
                mov     word ptr cs:[v4f1], 0   ;data_376e,0
                mov     byte ptr cs:[v4f0], 0   ;data_375e,0
                mov     byte ptr cs:[v59b+1+si], 0     ;data_404e+1[si],0
                cmp     byte ptr cs:[v18d4], 0  ;data_455e,0
		je	loc_ret_272		; Jump if equal
                cmp     byte ptr cs:[v599+si], 0        ;data_402e[si],0
		jne	loc_271			; Jump if not equal
                inc     byte ptr cs:[numBombs]      ;data_343e
loc_271::
		call	sub_71

loc_ret_272::
		retn

;
;                              SUBROUTINE
;

getOrDrop	proc near	;sub_69		proc	near
		mov	bx,2
                call    locateAndPrint                  ; '  '
                mov     al,cs:[v599+si]         ;data_402e[si]
		or	al,al			; Zero ?
		jz	loc_273			; Jump if zero
		cmp	al,0Bh
		jb	loc_276			; Jump if below
		cmp	al,0Eh
		je	loc_276			; Jump if equal
		mov	bx,46h
                call    locateAndPrint          ; CR
		mov	bx,30h
                call    printMsg		; "load too heavy"
		jmp	short loc_274
		db	90h
loc_273::
		mov	bx,31h			; "drop"
                call    printMsg
loc_274::
		mov	bx,32h			; "you have 1,2,3"
                call    printMsg
		call	fullInventory		;sub_67
                mov     byte ptr cs:[v18d5], 0ffh       ;data_456e,0FFh
                cmp     word ptr cs:[ctrlKey], 1fh ;data_394e,1Fh
		jb	loc_276			; Jump if below
                cmp     word ptr cs:[ctrlKey], 22h ;data_394e,22h
		jae	loc_276			; Jump if above or =
                mov     dx,cs:[ctrlKey]            ;data_394e
		sub	dl,1Eh
                mov     byte ptr cs:[v18d4], 0ffh       ;data_455e,0FFh
		or	dl,dl			; Zero ?
		jz	loc_276			; Jump if zero
                mov     di, 0                   ;data_329e
loc_275::
                cmp     dl,byte ptr cs:[v1f40+1+di]     ;data_464e+1[di]
		je	loc_277			; Jump if equal
		inc	di
		cmp	di,4
		jb	loc_275			; Jump if below
loc_276::
                mov     byte ptr cs:[v18d4], 0  ;data_455e,0
		retn
loc_277::
                mov     al,cs:[v2c8c+di]        ;data_476e[di]
                mov     cs:[v2ad2], al          ;data_473e,al
                mov     cs:[v2ad3], di          ;data_474e,di
		shl	di,1			; Shift w/zeros fill
                mov     cs:[v2ad0], di          ;data_472e,di
		retn
getOrDrop	endp	;sub_69		endp


;
;                              SUBROUTINE
;

clearInventory	proc near	;sub_70		proc	near
                mov     di,cs:[v2ad0]           ;data_472e
		xor	al,al			; Zero register
                jmp     word ptr cs:[v2c84+di]  ;data_475e[di]  ;*
clearInventory	endp		;sub_70		endp


;
;                              SUBROUTINE
;

sub_71		proc	near
                mov     al,cs:[v2ad2]           ;data_473e
                mov     cs:[v599+si], al        ;data_402e[si],al
                mov     byte ptr cs:[v18d5], 0  ;data_456e,0
                mov     byte ptr cs:[v18d4], 0  ;data_455e,0
                mov     byte ptr cs:[v59a+si], 1        ;data_403e[si],1
		retn
sub_71		endp




v2c84:	     
		dw	offset noDaggers	;v2c90
      		dw	offset noToolkits	;v2c97
      		dw	offset noaidkits	;v2c9b
		dw	offset v2ca2		; passes?
	
v2c8c		db	0bh ,0dh,0ch,0fh




noDaggers:
                mov     cs:[v4d9], al           ;data_358e,al
                mov     cs:[numDaggers], al     ;data_344e,al
		retn
noToolkits:			            
		mov     cs:[toolkits], al       ;data_345e,al
		retn
noAidkits:			              
		mov     cs:[aidKits], al        ;data_346e,al
                mov     cs:[v504], al           ;data_391e,al
		retn
v2ca2:			                        ;* No entry point to code
                mov     cs:[bombSet], al           ;data_347e,al
                mov     byte ptr cs:[v10b7], 20h        ;data_449e,20h  ; ' '
                mov     byte ptr cs:[v10b9], 20h        ;data_450e,20h  ; ' '
		xor	dx,dx			; Zero register
                call    locate
		mov	bx,50h			;' cr/lfs'
		jmp	printMsg		;loc_237

;
;                              SUBROUTINE
;

sub_72		proc	near
loc_278::
		push	cx
		mov	cx,3
                cmp     byte ptr cs:[numDaggers], 0   ;data_344e,0
		je	loc_279			; Jump if equal
		dec	cx
loc_279::
                cmp     byte ptr cs:[toolkits], 0   ;data_345e,0
		je	loc_280			; Jump if equal
		dec	cx
loc_280::
                cmp     byte ptr cs:[aidKits], 0   ;data_346e,0
		je	loc_281			; Jump if equal
		dec	cx
loc_281::
                test    byte ptr cs:[bombSet], BIT7  ;data_347e,80h
		jz	loc_282			; Jump if zero
		dec	cx
loc_282::
                mov     cs:[numBombs], cl           ;data_343e,cl
		pop	cx
		retn
sub_72		endp


;
;                              SUBROUTINE
;

sub_73		proc	near
                mov     cs:[v4f0], al           ;data_375e,al
                mov     cs:[v4f1], si           ;data_376e,si
		retn
sub_73		endp







v2cec		db 	0ah, 03, 03, 0ah, 7, 2, 12h, 16h
		db	18h, 3, 3, 0ah, 7, 2, 32h, 2

v2cfc		dw	offset aret		;->2e16
		dw	offset v2d1c
		dw	offset getMarks			;v2e8a
      		dw	offset v2da8
		dw	offset cantGet		; v2ea9
		dw	offset printOwner	;v2eb5
		dw	offset badPaintings	;v2eba
	      	dw	offset v2dfe
		dw	offset v2dfe
		dw	offset cantRead		;v2ebf
		dw	offset aret
		dw	offset v2ddb
      		dw	offset v2d5b
		dw	offset v2d85
      		dw	offset aret
		dw	offset v2e1f

	
v2d1c:
		mov	al, 10			; new weapon?
                sub     al, cs:[bullets]
		jz	v2d49
                cmp     al, cs:[si+v59a]
		jb	v2d35
                mov     al, cs:[si+v59a]
                mov     byte ptr cs:[si+v59a],0
		jmp	v2d45


v2d35:
		mov	ah, al
                sub     al, cs:[si+v59a]
		xor	al, -1
		add	al, 1
                mov     cs:[si+v59a], al
		mov	al, ah
		
v2d45:          add     cs:[bullets], al

v2d49:		mov	bx, 33h
                call    locateAndPrint          ;1f46 'you have'
                mov     dl, cs:[bullets]
		xor	dh, dh
		mov	bx, 34h			; 'xx bullets'
		jmp	printMsg		;1f63


		
v2d5b:          cmp     byte ptr cs:[aidKits], 0
		jz	loc_283			;2d65
		jmp	pickupItem		;loc_291	;2e4e

loc_283::
                call    getRand
		and	al,3
		jnz	loc_284			; Jump if not zero
		mov	al,2
loc_284::
                mov     cs:[aidKits], al           ;data_346e,al
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
		mov	bx,33h
                call    locateAndPrint          ; ' you have'
		mov	bx,35h
                call    printMsg		; line 53 ' a first aid kit!'
		jmp	loc_289
v2d85:			                        ;* No entry point to code
                cmp     byte ptr cs:[toolkits], 0   ;data_345e,0
		je	loc_285			; Jump if equal
		jmp	pickupItem		;loc_291

		
loc_285::
		mov	bx,33h
                call    locateAndPrint          ; 'you have'
		mov	bx,36h	   		; "a tool kit"
                call    printMsg
                mov     byte ptr cs:[toolkits], -1  ;data_345e,0FFh
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
		jmp	loc_289

v2da8:			                        ;* No entry point to code
                mov     al,cs:[passes]            ;data_382e
                or      al,cs:[v59a+si]         ;data_403e[si]
                cmp     al,cs:[passes]            ;data_382e
		jne	loc_286			; Jump if not equal
		jmp	loc_294
loc_286::
		mov	ah,al
                xor     ah,cs:[passes]            ;data_382e
                xor     cs:[v59a+si], ah        ;data_403e[si],ah
		push	ax
		mov	bx,33h
                call    locateAndPrint          ; 'you have'
		pop	ax
                mov     cs:[passes], al         ;data_382e,al
		mov	ah,al
		call	countBits		;sub_62
		mov	bx,1Ch			; 28
                call    printMsg		; "passes"
                jmp     printPasses             ;loc_134



v2ddb:			                        ;* No entry point to code
                cmp     byte ptr cs:[numDaggers], 0   ;data_344e,0
		je	loc_287			; Jump if equal
		jmp	short pickupItem	;loc_291

loc_287::
                mov     byte ptr cs:[numDaggers], -1  ;data_344e,0FFh
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
		mov	bx,33h
                call    locateAndPrint          ; 'you have'
		mov	bx,37h
                call    printMsg		; 'a dagger'
		jmp	short loc_289

		
v2dfe:		
		call	rand5bits		; bits 4:0 
                or      cs:[numKeys], al        ;data_348e,al
		mov	bx, 33h			; ' you have'
                call    locateAndPrint          ; 
		mov	bx, 38h			;
                call    printMsg		; "keys"
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
aret:
		retn

;
;                              SUBROUTINE
;

rand5bits	proc	near	;sub_74		proc	near		
                call    getRand
		and	al,1Fh			; allow bits 4:0
		jz	rand5bits		;loc_288  	; Jump if zero
		retn
rand5bits	endp		;sub_74		endp





v2e1f: 
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
		mov	bx,33h
                call    locateAndPrint          ; 'you have'
		mov	bx,39h
                call    printMsg		; the bomb!
                mov     byte ptr cs:[bombSet], BIT7  ;data_347e,80h

                cmp     word ptr cs:[bombTimer], 0   ;data_364e,0
		jne	loc_289			; Jump if not equal
                mov     word ptr cs:[bombTimer], 999 ;3e7h  ;data_364e,3E7h
loc_289::
                cmp     byte ptr cs:[numBombs], 0   ;data_343e,0
		je	loc_ret_290		; Jump if equal
                dec     byte ptr cs:[numBombs]      ;data_343e

loc_ret_290::
		retn







pickupItem:					;loc_291:: ;@2e4e
                cmp     byte ptr cs:[v18d4], 0  ;data_455e,0
		je	loc_292			; Jump if equal
                cmp     byte ptr cs:[numBombs], 3   ;data_343e,3
		jae	loc_292			; Jump if above or =
                inc     byte ptr cs:[numBombs]      ;data_343e
loc_292::
                mov     byte ptr cs:[v59a+si], 1  ;data_403e[si],1
                mov     al,cs:[v599+si]         ;data_402e[si]
                mov     cs:[v2ad2], al          ;data_473e,al
                cmp     byte ptr cs:[v18d4], 0  ;data_455e,0
		je	loc_294			; Jump if equal

		mov	al,1
                mov     di,cs:[v2ad3]           ;data_474e
		cmp	di,3
		jne	loc_293			; Jump if not equal
		mov	al,80h
loc_293::
                mov     cs:[numDaggers+di], al       ;data_344e[di],al
loc_294::
		mov	bx,3Ah			;'you already have that'
		jmp	locateAndPrint		;loc_236




getMarks:					;v2e8a:
                mov     dl,cs:[v59a+si]         ;data_403e[si]
                call    addMarks              ;sub_63
                mov     cs:[v59a+si], dl        ;data_403e[si],dl
		jnc	loc_295			; Jump if carry=0
		mov	bx,33h			; 
                call    locateAndPrint          ; 'you have'
		mov	bx,44h
		jmp	printmsg		;loc_237
loc_295::
		mov	bx, 45h			; 'your wallet is full'
		jmp	locateAndPrint		;loc_236





; object we can't get
cantGet:					;2ea9:
		mov	bx, 3bh			; 'too heavy'
loc_296::     ;@2eac
                call    getRand
		js	loc_297			; Jump if sign=1
		inc	bx			; 'its wet'
loc_297::
		jmp	locateAndPrint		;


		
printOwner:  	mov	bx, 3Eh	 		; eva braun/hitler ;@2eb5
		jmp	short loc_296

		
badPaintings: 	mov	bx, 40h			; too surreal/forgeries 2eba
		jmp	short loc_296


cantRead:	mov	bx, 42h			; can't read/no time  @2ebf
		jmp	loc_296	





		db	13 dup (0)
v2ed1		db	0
v2ed2		db	0
v2ed3		db	0
v2ed4		db	0





loc_298::
                mov     al,cs:[v5a0+si]         ;data_409e[si]
		inc	ax
                mov     cs:[v4e5], al           ;data_368e,al
                mov     al,cs:[v5a1+si]         ;data_410e[si]
		push	ax
		call	actionBranch		;sub_46
		pop	ax
                call    saveRoomData                    ;sub_82
		mov	al,0FFh
		jmp	loc_312



loc_299::
                mov     byte ptr cs:[v2ed2], 1  ;data_482e,1
                mov     al,cs:[v4e5]            ;data_368e
                sub     al,cs:[v4d5]            ;data_355e
                mov     cs:[v2ed3], al          ;data_483e,al
		jz	loc_300			; Jump if zero
                mov     byte ptr cs:[v2ed2], 0ffh       ;data_482e,0FFh
loc_300::
                mov     al,cs:[roomIndex]       ;data_365e
                mov     cs:[v2ed1], al          ;data_481e,al
		call	actionBranch		;sub_46
                mov     al,cs:[v5e4]            ;data_419e
                call    saveRoomData            ;sub_82
                mov     bx, 3fh                 ;data_336e
loc_301::
                test    byte ptr cs:[v597+bx], 10h      ;data_400e[bx],10h
		jnz	loc_302			; Jump if not zero
		dec	bx
		jns	loc_301			; Jump if not sign
		mov	bx,24h
loc_302::
		mov	al,bl
                add     al,cs:[v2ed3]           ;data_483e
                mov     cs:[v4e5], al           ;data_368e,al
		call	sub_75
		jmp	loc_311

;
;                              SUBROUTINE
;

sub_75		proc	near
		mov	al,cs:[v2ed1]		;data_481e
                cmp     al,cs:[v4f5]            ;data_378e
		jne	loc_ret_304		; Jump if not equal
                mov     al,cs:[v4f6]            ;data_379e
                sub     al,cs:[v4d5]            ;data_355e
		jz	loc_303			; Jump if zero
		cmp	al,1
		jne	loc_ret_304		; Jump if not equal
		inc	bx
loc_303::
                mov     cs:[v4f6], al           ;data_379e,bl
                mov     al,cs:[roomIndex]            ;data_365e
                mov     cs:[v4f5], al           ;data_378e,al
loc_ret_304::
		retn
sub_75		endp









loc_305::
		call	actionBranch		;sub_46
                mov     al,cs:[v5e0]            ;data_415e
                call    saveRoomData            ;sub_82
                mov     byte ptr cs:[v2ed2], 0  ;data_482e,0
                mov     bx, 7                   ; data_331e
		mov	ah,2
loc_306::
                mov     al,cs:[v597+bx]         ;data_400e[bx]
		and	al,ah
		jz	loc_307			; Jump if zero
		add	bx,8
		jmp	short loc_306
loc_307::
                mov     cs:[v4e5], bl           ;data_368e,bl
		jmp	short loc_311
		db	90h
loc_308::
		call	actionBranch		;sub_46
                mov     al,cs:[v5e1]            ;data_416e
                call    saveRoomData            ;sub_82
                mov     byte ptr cs:[v2ed2], 0  ;data_482e,0
		mov	bx,0
		mov	ah,1
		jmp	short loc_306
loc_309::
		call	actionBranch		;sub_46
                mov     bl,cs:[v4e5]            ;data_368e
		mov	ah,4
		call	sub_77
                mov     al,cs:[v5e2]            ;data_417e
                call    saveRoomData            ;sub_82
                mov     bx, 40h                 ;data_337e
		mov	ah,8
		call	sub_78
                or      byte ptr cs:[v4e5], 38h         ;data_368e,38h       ; '8'
		jmp	short loc_311
		db	90h
loc_310::
		call	actionBranch		;sub_46
                mov     bl,cs:[v4e5]            ;data_368e
		add	bl,8
		mov	ah,8
		call	sub_77
                mov     al,cs:[v5e3]            ;data_418e
                call    saveRoomData            ;sub_82
		xor	bx,bx			; Zero register
		mov	ah,4
		call	sub_78
loc_311::
                mov     al,cs:[v4e5]            ;data_368e
loc_312::
                mov     cs:[v502], al           ;data_389e,al
                mov     byte ptr cs:[moveDir], 0   ;data_366e,0
                mov     word ptr cs:[v4ee], 0   ;data_373e,0
                mov     byte ptr cs:[v2ed3], 0  ;data_483e,0
                mov     al,cs:[roomIndex]            ;data_365e
                cmp     al,cs:[v4dc]            ;data_360e
		jne	loc_314			; Jump if not equal
                cmp     byte ptr cs:[v2ed4],0           ;data_484e,0
		jne	loc_314			; Jump if not equal
                mov     bx, 12h                 ;data_333e
loc_313::
                mov     byte ptr cs:[v597+bx], 0        ;data_400e[bx],0
		inc	bx
		mov	cx,bx
		and	cx,7
		cmp	cx,7
		jb	loc_313			; Jump if below
		inc	bx
		inc	bx
		cmp	bx,25h
		jb	loc_313			; Jump if below
                inc     byte ptr cs:[v2ed4]     ;data_484e
loc_314::
		call	sub_79
		call	refreshScreen			;sub_21
                
		;jl added.  clear no footstep flag if alarm is sounding
		; when the player exits the screen
		mov	cs:[alarmSounding], 0
		
		
		mov     byte ptr cs:[v773], -1          ;data_428e,0FFh
                mov     byte ptr cs:[v18d1], 0          ;data_452e,0
                mov     byte ptr cs:[v4c6], 0           ;data_349e,0
                cmp     byte ptr cs:[v4f3], 0           ;data_377e,0
                je      loc_315                         ; Jump if equal
                or      byte ptr cs:[v4f3], BIT7        ;data_377e,80h
		call	sub_104
loc_315::
		call	sub_76
		mov	bx,1
                mov     al,cs:[roomIndex]            ;data_365e
		cmp	al,19h
		jb	loc_316			; Jump if below
		inc	bx
		cmp	al,31h			; '1'
		jb	loc_316			; Jump if below
		inc	bx
loc_316::
                mov     cs:[v4eb], bl           ;data_370e,bl
		cmp	al,1
		jne	loc_317			; Jump if not equal
                mov     al,cs:[v4dc]            ;data_360e
		or	al,al			; Zero ?
		jnz	loc_318			; Jump if not zero
                mov     al,cs:[v4f5]            ;data_378e
		or	al,al			; Zero ?
		jnz	loc_318			; Jump if not zero
loc_317::
		jmp	mainLoop		;loc_16
loc_318::
		cmp	al,3Ch			; '<'
		jne	loc_319			; Jump if not equal
                mov     cs:[resumeGame], al     ;data_384e,al
loc_319::
		jmp	endofGame		;loc_404

;
;                              SUBROUTINE
;

sub_76		proc	near
		xor	al,al			; Zero register
                mov     si, 3fh                 ;data_336e
loc_320::
                mov     byte ptr cs:[v505+si],al
		dec	si
		jns	loc_320			; Jump if not sign
		retn
sub_76		endp


;
;                              SUBROUTINE
;

sub_77		proc	near
		xor	bh,bh			; Zero register
		mov	dx,100h
		mov	cx,bx
		and	cx,7
		cmp	cx,7
		je	loc_321			; Jump if equal
                mov     al,cs:[v598+bx]         ;data_401e[bx]
		and	al,ah
		jnz	loc_321			; Jump if not zero
                mov     al,cs:[moveDir]            ;data_366e
		and	al,0Ch
		jnz	loc_322			; Jump if not zero
		jz	loc_323			; Jump if zero
loc_321::
                mov     al,cs:[moveDir]            ;data_366e
		and	al,0Ch
		jnz	loc_323			; Jump if not zero
loc_322::
		inc	dl
		mov	dh,0FFh
loc_323::
                mov     cs:[v4e5], dl           ;data_368e,dl
                mov     cs:[v2ed2], dh          ;data_482e,dh
		retn
sub_77		endp


;
;                              SUBROUTINE
;

sub_78		proc	near
		xor	bh,bh			; Zero register
		mov	cx,bx
		add	cx,7
loc_324::
                mov     al,cs:[v597+bx]         ;data_400e[bx]
		and	al,ah
		jz	loc_325			; Jump if zero
		inc	bx
		cmp	bx,cx
		jne	loc_324			; Jump if not equal
		mov	bx,3
loc_325::
		and	bx,7
                add     cs:[v4e5], bl           ;data_368e,bl
		retn
sub_78		endp


;
;                              SUBROUTINE
;

sub_79		proc	near
		cmp	[v5e2],0		; data_106,0
		jne	loc_326			; Jump if not equal
		xor	bx,bx			; Zero register
		mov	ah, BIT2		; 4
		call	sub_81			; NFI bx=offset
loc_326::
                cmp     cs:[v5e3],0             ; data_107,0
		jne	loc_327			; Jump if not equal
		mov	bx, 40h			;! data_23e
		mov	ah, BIT3		; 8
		call	sub_81
loc_327::
                cmp     cs:[v5e0], 0            ; data_104,0
		jne	loc_328			; Jump if not equal
		xor	bx,bx			; Zero register
		mov	ah,BIT0			;1
		call	sub_80			; screen wrap maybe?
loc_328::
                cmp     cs:[v5e1], 0            ; data_105,0
		jne	loc_329			; Jump if not equal
		mov	bx, 7 			; data_8e
		mov	ah, BIT1		; 2 
		call	sub_80
loc_329::
                cmp     cs:[v5e4], 0            ; data_108,0
		jne	loc_ret_331		; Jump if not equal
		mov	bx, 47h			; data_24e
loc_330::
                and     byte ptr cs:[bx+v597], NOT BIT4 ;0EFh
		dec	bx
		jns	loc_330			; Jump if not sign

loc_ret_331::
		retn
sub_79		endp


;
;                              SUBROUTINE
;

sub_80		proc	near
;loc_332::
                or      byte ptr cs:[v597+bx],ah
		add	bx,8
		cmp	bx,50h
		jb	sub_80		;loc_332	; Jump if below
		retn
sub_80		endp


;
;                              SUBROUTINE
;

sub_81		proc	near
;loc_333::
                or      byte ptr cs:[v597+bx],ah
		inc	bx
		mov	cx,bx
		and	cx,7
		jnz	sub_81		;loc_333  	; Jump if not zero
		retn
sub_81		endp


;
;                              SUBROUTINE
;
;
; copy data from cs:597 to 900:x
saveRoomData    proc    near    ;sub_82         proc    near
		push	es
		push	ds
		push	cs
		pop	ds
		push	ax
                mov     ah, cs:[roomIndex]           ; room index?  data_365e
		xor	al, al			; Zero register
		mov	di, ax
		mov	si, offset v597
                call    esto900h
		mov	cx, 80h
		rep	movsw			; Rep when cx >0 Mov [si] to es:[di]
		pop	ax
		pop	ds
		pop	es

; External Entry into Subroutine 
; copy data from 900:x to cs:597
loadRoomData::                                 ;sub_83::
		push	es
		push	ds
                mov     byte ptr cs:[roomIndex],al   ; room # or something
		mov	ah,al			; creates an offset to laod
		xor	al,al			; Zero register
		mov	si,ax
                call    esto900h
		push	es			; ds:si=900:100 ->room data?
		pop	ds			; es:di=50:v597
		push	cs			;
		pop	es			;
		mov	di, offset v597		; roomdata
		mov	cx,80h			;
		rep	movsw			; Rep when cx >0 Mov [si] to es:[di]
		pop	ds
		pop	es
		retn
saveRoomData    endp                    ;sub_82         endp

		db	0, 0, 0

;
;                              SUBROUTINE
;

setDefaults	proc	near		;sub_84		proc	near
		call	assignKeysNPasses		;sub_87
                mov     byte ptr cs:[v4E5], 36          ;24h  ; '$'
                mov     byte ptr cs:[numBombs],3
                mov     byte ptr cs:[roomIndex], 1
                mov     byte ptr cs:[v4EB], 1
                mov     byte ptr cs:[marks], 100 ;64h  ; 'd'
loc_334::
                call    getRand				;
		and	al,1Fh				; 5 passes only
		jz	loc_334				; Jump if zero
                mov     byte ptr cs:[passes], al
                mov     byte ptr cs:[bullets], 10      ;0Ah
                mov     word ptr cs:[v4EE], 0
		retn
setDefaults endp		;sub_84		endp

menuSelect	db	0FFh		; 31a2

;
;                              SUBROUTINE
;

newGamePrep	proc	near			; sub_85
                cmp     byte ptr cs:[startKey],0
	    	jnz	loc_335			; Jump if not equal
		mov	ch,1Eh			; track #  default game?
	   
  

		; copy game demo data from memory to 900:4
		; copy 4*8*512 bytes



	    ;	call	loadSectors ;sub_97  	; load 4*32 sectors from FDD
		;				; prolly bunker data
		; ax=208, bx=4004, cx=2201, dx=0
		; es=900, ds=cs

	    	call	restoreSectors900	; load up default game 
		
	    ;	call	loadDemoData


		call	resetVars               ;sub_103; copy data into a buffer
				
		mov	cs:[demoKeyPtr], offset ds:demoKeys
		mov	cs:[rndPtr], offset ds:demoRand

	       ;	mov     cs:[demoKeyPtr], 1005h ;offset demoKeys  ; 1005h
               ; mov     cs:[rndPtr], 1205h ;offset demoRand	     ; 1205h init random
		retn				; pointer for demo mode


		;
		; draw opening menu 
		;
		
loc_335::
                mov     byte ptr cs:[menuSelect],0FFh
		
		
		; load savegame.  If it exists, option D will be available
		; on the menu

	    	call	loadSavedGame		; load savegame to 900:4
		push	es
        
		call    esto900h		; load from track 9
						; to 900:4
	 	mov	ax,201h
	 	mov	bx, 4 			; data_3e
	 	mov	cx,901h
	 	xor	dx,dx			; Zero register
	

	
	;	int	13h			; Disk  dl=drive a  ah=func 02h
						;  read sectors to memory es:bx
						;   al=#,ch=cyl,cl=sectr,dh=head
		call	restoreVariables	;sub_98 copies from 900:4
		pop	es
  
		cmp     byte ptr cs:[resumeGame],3Ch  ; '<'  60
		jne	loc_336			; Jump if not equal
		jmp	loc_347

; this section asks the user for game type A,B or C.
		
loc_336::
		mov	dx,0Dh			; top o' screen
                call    locate
		mov     bl,byte ptr cs:[skillLevel] ;0-4
		xor	bh,bh			; Zero register
		add	bx,60h			; 96
                call    printMsg		; 
		xor	dx,dx			; Zero register
                call    locate
		mov	bx,5Eh
                call    printMsg		; "skill level..."
                
		cmp     byte ptr cs:[resumeGame],0FFh
		jne	loc_337			; Jump if not equal
		mov	bx, 5Fh
                call    printMsg		; "D) resume game"
loc_337::
		mov	dx,1700h
                call    locate
		mov	bx, 6Ch			; monitor type
                cmp     byte ptr cs:[monitorType],1     ;data_9e,1
		je	loc_338			; Jump if equal
		inc	bx
loc_338::
                call    printMsg
                call    getakey
loc_339::
		mov	ah,1
		int	16h			; Keyboard i/o  ah=function 01h
						;  get status, if zf=0  al=char
		jnz	loc_340			; Jump if not zero
                call    getRand			; seed the rnd generator while we wait
		jmp	short loc_339
loc_340::
		mov	ah,0
		int	16h			; Keyboard i/o  ah=function 00h
						;  get keybd char in al, ah=scan
		cmp	al, CR
		je	loc_343			; Jump if equal

		cmp	al, ESCAPE
		je	exitProgram

		cmp	al,3
		jne	loc_341			; Jump if not equal
                xor     byte ptr cs:[monitorType], 21h  ;data_9e,21h    ; '!'
	  

		;jl patch monitor type to change palettes instead.
		push	ax
		push	bx
		mov	ax, 0b00h
		mov 	bh, 01
		mov	bl, cs:[monitorType]
		and	bl, 1
		int	10h
		pop	bx
		pop	ax
		;jl end patch


		
		; you get here if you press ctrl-C

      	       ; saves the first 512bytes of this game's code (and variables)
	       ; back to the game disk.

	  ; save current data back to floppy.  No!
	  ;	push	es
	  ;	push	cs
	  ;	pop	es
          ;      mov     bx, 0                   ;data_5e
	  ;	mov	ax, 301h
	  ;	mov	cx, 1801h
	  ;	mov	dx, 0
	  ;	int	13h			; Disk  dl=drive a  ah=func 03h
	  ;					;  write sectors from mem es:bx
	  ;					;   al=#,ch=cyl,cl=sectr,dh=head
	  ;	pop	es

	  
	  
	  
	  
	  
	  	jmp	short loc_337
loc_341::
		sub	al, 61h			; 'a'
		cmp	al, 3			; > d? get input again
		ja	loc_339			; Jump if above
		jnz	loc_342			; Jump if not zero
                cmp     byte ptr cs:[resumeGame],0FFh
		jne	loc_339			; Jump if not equal
loc_342::
		call	drawSelectionBorder	;sub_95
		mov	dx,1301h
                call    locate
		mov	bx, 65h			; "press return to begin"
                call    printMsg
		jmp	short loc_339
loc_343::
                cmp     byte ptr cs:[menuSelect],0FFh
		je	loc_339			; Jump if equal
                mov     bl,byte ptr cs:[menuSelect]
		
		cmp	bl,0			; a
		je	choice_A		;loc_346; Jump if equal
		
		cmp	bl,1			; b
		je	choice_B		;loc_345; Jump if equal
		
		cmp	bl,2			; c 
		je	choice_C		;loc_344 	; Jump if equal
		
		;
		; D from the menu, continue saved game
		;
	      
	      	mov	ch,9			; track #
	      	call	loadSectors		;sub_97
		
	   
       	     	call	loadSavedGame



		call	restoreVariables	;sub_98
                mov     byte ptr cs:[resumeGame],0
		retn

;
; New game, same bunker.  Reload current bunker data from disk.
;

choice_C:					;@329c
		mov	ch,0Dh			; track #
	      	call	loadSectors		;sub_97
	       
	      	call	loadOptionC

		call	resetVars		;sub_103
                mov     byte ptr cs:[resumeGame],0
		call	setDefaults		;sub_84
		retn


;
; new game, new bunker, skill level reset to 1.
;

choice_B:					;loc_345::
                mov     byte ptr cs:[skillLevel],0

;
; new game, new bunker
;

choice_A:					;loc_346::
                mov     byte ptr cs:[resumeGame],3Ch  ; '<'
loc_347::
		mov	ch, 5			; track #
	      	call	loadSectors		;sub_97 sets ES=900

	      	call	loadOptionA

		mov	si, 150h		; data_557e
loc_348::
		mov	ax,si
		mov	es:[si],ah
		add	si, 100h
		cmp	si, 4000h
		jb	loc_348			; Jump if below
                
		mov     bl,byte ptr cs:[skillLevel]
		xor	bh,bh			; Zero register
		cmp	bx,4
		jae	loc_351			; Jump if above or =
                mov     bl,byte ptr cs:[v3545+bx]
		mov	si,100h
loc_349::
		add	si, 80h			;data_554e
		add	si, bx
loc_350::
		mov	es:[si],bh
		add	si,10h
		mov	ax,si
		or	al,al			; Zero ?
		jnz	loc_350			; Jump if not zero
		cmp	si, 3B00h
		jb	loc_349			; Jump if below
loc_351::
		call	sub_92
                mov     si, 180h                ;data_558e
loc_352::
		mov	al,es:[si]
		and	al,0F0h
		cmp	al,10h
		jne	loc_355			; Jump if not equal
                call    getRand
		and	al,0Fh
		cmp	al,0Bh
		jb	loc_353			; Jump if below
		sub	al,6
loc_353::
		mov	es:[si+7],al
loc_354::
                call    getRand
		cmp	al,15h
		jae	loc_354			; Jump if above or =
		mov	es:[si+8],al
		xor	al,al			; Zero register
		mov	es:[si+3],al
		mov	es:[si+6],al
		mov	es:[si+0Ch],al
                call    getRand
		and	al,1Fh
		mov	es:[si+9],al
loc_355::
		add	si,10h
		mov	ax,si
		or	al,al			; Zero ?
		jnz	loc_352			; Jump if not zero
		add	si,80h
		cmp	si,4000h
		jb	loc_352			; Jump if below
                mov     bl,byte ptr cs:[skillLevel]
		xor	bh,bh			; Zero register
                mov     cl,byte ptr cs:[v3549+bx]
                mov     ch,byte ptr cs:[v354E+bx]
                mov     dh,byte ptr cs:[v3549+bx]
                mov     si, 180h                ;data_558e
		xor	dl,dl			; Zero register
loc_356::
		mov	al,es:[si]
		and	al,0F0h
		cmp	al,20h			; ' '
		jne	loc_365			; Jump if not equal
		mov	al,dl
		and	al,0Fh
		cmp	al,0Ah
		je	loc_358			; Jump if equal
		cmp	al,0Bh
		je	loc_361			; Jump if equal
		cmp	al,0Ch
		je	loc_359			; Jump if equal
		cmp	al,0Dh
		je	loc_357			; Jump if equal
		
		cmp	al,0Fh
		je	loc_363			; Jump if equal
		jnz	loc_364			; Jump if not zero
loc_357::
		or	cl,cl			; Zero ?
		jz	loc_358			; Jump if zero
		dec	cl
		mov	al,0Dh
		jmp	short loc_364
loc_358::
		mov	al,5
		jmp	short loc_364
loc_359::
		or	ch,ch			; Zero ?
		jz	loc_360			; Jump if zero
		dec	ch
		mov	al,0Ch
		jmp	short loc_364
loc_360::
		mov	al,4
		jmp	short loc_364
loc_361::
		or	dh,dh			; Zero ?
		jz	loc_362			; Jump if zero
		dec	dh
		mov	al,0Bh
		jmp	short loc_364
loc_362::
		mov	al,1
		jmp	short loc_364
loc_363::
		mov	al,6
loc_364::
		mov	es:[si+2],al
		inc	dl
		call	sub_89			; randomize passes?
		mov	byte ptr es:[si+4],0F0h
		mov	al,77h			; 'w'
		mov	es:[si+0Bh],al
		mov	byte ptr es:[si+0Ch],0
		mov	byte ptr es:[si+0Dh],0
		mov	byte ptr es:[si+0Eh],0
loc_365::
		add	si,10h
		mov	ax,si
		or	al,al			; Zero ?
		jz	loc_367			; Jump if zero
loc_366::
		jmp	short loc_356
loc_367::
		add	si,80h
		cmp	si,3D00h
		jb	loc_356			;loc_366  ; Jump if below
		call	sub_92
loc_368::
                call    getRand
		and	al,2Fh			; '/'
		cmp	al,1Ch
		jb	loc_368			; Jump if below
		mov	bl,al
		xor	bh,bh			; Zero register
                mov     si, 3dh                 ;data_21e
		call	sub_93
loc_369::
                call    getRand
		and	al,3Fh			; '?'
		cmp	al,3Bh			; ';'
		jae	loc_369			; Jump if above or =
		cmp	al,32h			; '2'
		jb	loc_369			; Jump if below
		mov	bl,al
		xor	bh,bh			; Zero register
                mov     si, 3eh                 ;data_22e
		call	sub_93
		call	sub_91
		xor	di, di			; Zero register
		xor	bx, bx			; Zero register
                mov     si, 180h                ;data_558e
loc_370::
		cmp	byte ptr es:[si],20h	; ' '
		jne	loc_371			; Jump if not equal
		cmp	byte ptr es:[si+2],0Eh
		jne	loc_371			; Jump if not equal
		call	sub_90
loc_371::
		add	si,10h
		mov	ax,si
		or	al,al			; Zero ?
		jnz	loc_370			; Jump if not zero
		add	si,80h
		cmp	si,4000h
		jb	loc_370			; Jump if below
		or	bl,bl			; Zero ?
		jz	loc_372			; Jump if zero
		mov	byte ptr es:[di+2],0
loc_372::
		mov	si, 1080h		;data_559e
loc_373::
		cmp	byte ptr es:[si],20h	; ' '
		jne	loc_374			; Jump if not equal
		cmp	byte ptr es:[si+2],0Ah
		jb	loc_376			; Jump if below
loc_374::
		add	si,10h
		mov	ax,si
		or	al,al			; Zero ?
		jnz	loc_373			; Jump if not zero
		add	si,80h
		cmp	si,2400h
		jb	loc_373			; Jump if below
		mov	si, 1080h		;data_559e
loc_375::
		cmp	byte ptr es:[si],20h	; ' '
		je	loc_376			; Jump if equal
		add	si,10h
		mov	ax,si
		or	al,al			; Zero ?
		jnz	loc_375			; Jump if not zero
		add	si,80h
		jmp	short loc_375


loc_376::
		mov	byte ptr es:[si+2],0Fh
		call	resetVars		;sub_103
		mov	bx,7
loc_377::
                call    getRand
		jz	loc_377			; Jump if zero
                
		mov     byte ptr cs:[v4C7+bx],al
		dec	bx
		jns	loc_377			; Jump if not sign
		call	setDefaults		;sub_84
		call	restoreVariables
		

	     	mov	ch,0Dh 			; track #
	     	call	saveSectors		; sub_96

		call	saveOptionC
		mov	cs:[startKey], 0

		retn
newGamePrep	endp


;
;                              SUBROUTINE
;
; input: none
; output: random bitmasks for keys and # of passes set.
assignKeysNPasses	proc near	;sub_87		proc	near
		call	getRandBits			;sub_88
                mov     byte ptr cs:[keyz],al
loc_378::
		call	getRandBits			;sub_88
                cmp     al,byte ptr cs:[keyz]
		je	loc_378			; Jump if equal
                mov     byte ptr cs:[passez],al
loc_379::
		call	getRandBits			;sub_88
                cmp     al,byte ptr cs:[keyz]
		je	loc_379			; Jump if equal
                cmp     al,byte ptr cs:[passez]
		je	loc_379			; Jump if equal
                mov     byte ptr cs:[v4FE],al
		retn
assignKeysNPasses 	endp	;sub_87		endp


;
;                              SUBROUTINE
;
; returns: al=at least 2 random bits in 4:0 set.
;
getRandBits	proc	near		;sub_88		proc	near
;loc_380::
                call    getRand
		and	al,1Fh			; mask to bits 4:0 
		cmp	al,1			; gotta have at least 2 bits
		je	loc_ret_381		; Jump if equal
		cmp	al,2
		je	loc_ret_381		; Jump if equal
		cmp	al,4
		je	loc_ret_381		; Jump if equal
		cmp	al,8
		je	loc_ret_381		; Jump if equal
		cmp	al,10h
		jne	getRandBits		;loc_380  ; Jump if not equal

loc_ret_381::
		retn
getRandBits	endp


;
;                              SUBROUTINE
;
; input SI -> user's game data?
;       AL=? maxumum 6?
sub_89		proc	near
		mov	byte ptr es:[si+3],1
		cmp	al,0
		je	loc_383			; Jump if equal
		cmp	al,3
		je	loc_385			; Jump if equal
		jnc	loc_ret_384		; Jump if carry=0
		dec	al
		cbw				; Convrt byte to word
		mov	di,ax
		shl	di,1			; 
		shl	di,1			; di=di*4
                add     al,byte ptr cs:[skillLevel]
		add	di,ax
loc_382::
                call    getRand
                cmp     al,byte ptr cs:[v353B+di]
		jae	loc_382			; Jump if above or =
loc_383::
		mov	es:[si+3],al
loc_ret_384::
		retn





loc_385::
                call    getRand			; bits 4:0 only
		and	al,1Fh
		jz	loc_385			; Jump if zero

		push	dx
		mov	ah,al
		push	cx
		call	countBits		; sub_62
		pop	cx
                mov     bl,byte ptr cs:[skillLevel]
		xor	bh,bh			; Zero register
                cmp     dl,byte ptr cs:[v3536+bx]
		pop	dx
		jnc	loc_385			; Jump if carry=0
		mov	es:[si+3],al
		retn
sub_89		endp


; skilllevel based seeds for room data
	     
v3536		db	04,04,03,03,02 		; level based maximums
						; for something.

v353b		db	50, 40, 30, 20, 10  	
		db	60, 50, 40, 30, 20

v3545		db	30h,40h,50h
		db	 60h			  ;3548
v3549		db	 03h, 03h, 02h, 02h, 01h  
v354e		db	 09h, 07h, 06h, 05h, 02h

;
;                              SUBROUTINE
;
; input: bl=?
sub_90		proc	near
		or	bl,bl			; Zero ?
		jnz	loc_386			; Jump if not zero
		mov	bl,es:[si+1]
		mov	bh,es:[si+8]
		mov	di,si
		retn
loc_386::
		mov	es:[si+9],bx
		mov	bl,es:[si+1]
		mov	bh,es:[si+8]
		mov	es:[di+9],bx
		xor	bx,bx			; Zero register
		xor	di,di			; Zero register
		retn
sub_90		endp


;
;                              SUBROUTINE
;

sub_91		proc	near
                mov     si, 180h                ;data_558e
		mov	bx,1
loc_387::
		cmp	byte ptr es:[si],20h	; ' '
		jne	loc_388			; Jump if not equal
		mov	es:[si+8],bl
loc_388::
		add	si,10h
		mov	ax,si
		or	al,al			; Zero ?
		jnz	loc_387			; Jump if not zero
		add	si,80h
		inc	bx
		cmp	si,4000h
		jb	loc_387			; Jump if below
		retn
sub_91		endp


;
;                              SUBROUTINE
;

sub_92		proc	near
		mov	bx,2
loc_389:
                call    getRand
		mov	cx,bx
		shr	cx,1			; Shift w/zeros fill
		rcl	al,1			; Rotate thru carry
		xor	al,1
		and	al,3Fh			; '?'
		cmp	al,3Ah			; ':'
		jae	loc_389			; Jump if above or =
		cmp	al,2
		jb	loc_389			; Jump if below
		xor	ah,ah			; Zero register
		mov	si,ax
		call	sub_93
		inc	bx
		cmp	bx,3Ah
		jb	loc_389			; Jump if below
		retn
sub_92		endp


;
;                              SUBROUTINE
;

sub_93		proc	near
		push	bx
		mov	cx,8
		shl	si,cl			; Shift w/zeros fill
		shl	bx,cl			; Shift w/zeros fill
		mov	cx,49h	  		; 73
		call	sub_94
		mov	cx,0B1h			; 171
		add	bx,6
		add	si,6
		call	sub_94
		pop	bx
		retn
sub_93		endp


;
;                              SUBROUTINE
;

sub_94		proc	near

;locloop_390::
		mov	al,es:[si]
		mov	ah,es:[bx]
		mov	es:[bx],al
		mov	es:[si],ah
		inc	si
		inc	bx
		loop	sub_94		;locloop_390; Loop if cx > 0
		retn
sub_94		endp


; v35ef	 	dw	640h		; selection offsets
;		dw	0a00h		; based on pickin a-d from menu
;      		dw	0dc0h
;		dw	1180h
; relocated into procedure that actually uses these values



;
;                              SUBROUTINE
;

drawSelectionBorder	proc near	;sub_95		proc	near
		xor	bh,bh			; Zero register
                mov     word ptr cs:[xpos],0
                cmp     byte ptr cs:[menuSelect],0FFh   ;demo?
		je	loc_394			; Jump if equal
		push	ax
                mov     bl, byte ptr cs:[menuSelect]
		shl	bx, 1			; Shift w/zeros fill
                mov     di, word ptr cs:[v35EF+bx]
		xor	dx, dx			; Zero register
		mov	cx, 28h	    		; 40

locloop_391::
		mov	al, 20h			; ' ' top horizontal row
                call    draw2Screen
		loop	locloop_391		; Loop if cx > 0

		mov	cx,2

locloop_392::
		mov	al, 20h			; ' '	 ; two columns
                call    draw2Screen
		add	dx, 4Ch			; 76
		mov	al, 20h			; ' '
                call    draw2Screen
		loop	locloop_392		; Loop if cx > 0

		mov	cx,28h			; 40

locloop_393::
		mov	al,20h			; ' '	bottom horizontal
                call    draw2Screen
		loop	locloop_393		; Loop if cx > 0

		pop	ax
loc_394::
		mov	bl, al
		xor	bh, bh			; Zero register
                mov     byte ptr cs:[menuSelect],al
		shl	bx, 1			; Shift w/zeros fill
                mov     di, word ptr cs:[v35EF+bx]
		xor	dx, dx			; Zero register
		mov	al, 0Fh
                call    draw2Screen
		mov	cx, 26h

locloop_395::
		mov	al,11h
                call    draw2Screen
		loop	locloop_395		; Loop if cx > 0

		mov	al,10h
                call    draw2Screen
		mov	cx,2

locloop_396::
		mov	al,2Eh			; '.'
                call    draw2Screen
		add	dx,4Ch
		mov	al,2Eh			; '.'
                call    draw2Screen
		loop	locloop_396		; Loop if cx > 0

		mov	al,12h
                call    draw2Screen
		mov	cx,26h

locloop_397::
		mov	al,11h
                call    draw2Screen
		loop	locloop_397		; Loop if cx > 0

		mov	al,0Eh
                call    draw2Screen
		retn

v35ef	 	dw	640h		; selection offsets
		dw	0a00h		; based on pickin a-d from menu
      		dw	0dc0h
		dw	1180h

drawSelectionBorder endp		;sub_95		endp


;
;                              SUBROUTINE
;

saveSectors	proc near			;sub_96		proc	near
		mov	ah,3			; save sectors
		jmp	short loc_398

; External Entry into Subroutine 


;
; load 8*4 sectors of data to 900:4.  I think this is the save game.
; input ch=track# to read
;
;
; most of the loaded data is already in memory.  load only saved game data.
;
loadSectors:: 					;sub_97::
	    	mov	ah,2
loc_398::   
	    	mov	bx,4
	    	push	ax
                call    esto900h                ; load ES to 900h
	    	pop	ax
loc_399::   
	    	mov	al,8
	    	mov	cl,1
	    	xor	dx,dx			; Zero register
	    	mov	di,5			; retry limit
	    	push	ax			; load 8 sectors to 900:4?
	    ;	int	13h			; Disk  dl=drive a  ah=func 02h
	    ;					;  read sectors to memory es:bx
	    ;					;   al=#,ch=cyl,cl=sectr,dh=head
	    	pop	ax
	    	jc	loc_400			; Jump if carry Set
	    	inc	ch
	    	add	bx,1000h
	    	cmp	bx,4000h
	    	jb	loc_399			; Jump if below
		retn
loc_400::
	    	dec	di
	    	jnz	loc_399			; Jump if not zero
loc_401::   
	    	jmp	short loc_401
saveSectors	endp				;sub_96	    	endp




; restore original game sectors
restoreSectors900 proc
	push	cx
	push	si
	push	ds
	call	esto900h
	mov	di, 4
	mov	si, cs:[bufSeg900]
	mov	ds, si
	xor	si, si
	mov	cx, 8 * 4 * 512
	rep	movsb
	pop	ds
	pop	si
	pop	cx
	ret
restoreSectors900 endp

; restore original game sectors
restoreSectorsD00 proc
	push	cx
	push	si
	push	ds
	push	es
	
	call	setDSto0D00
	push	ds
	pop	es

	mov	di, 0
	mov	si, cs:[bufSegD00]
	mov	ds, si
	xor	si, si
	mov	cx, 8 * 3 * 512
	rep	movsb
	pop	es
	pop	ds
	pop	si
	pop	cx
	ret
restoreSectorsD00 endp



; make a copy of 8 sectors from original game to scratchpad
copySectors900 proc
	push	ax
	push	es
	push	ds
	push	di
	push	si
	push	cx
	call	esto900h
	push	es
	pop	ds
	mov	di, cs:[bufseg900]
	mov	es, di
	xor	di, di
	mov	si, 4
	mov	cx, 8 * 4 * 512
	rep	movsb
	pop	cx
	pop	si
	pop	di
	pop	ds
	pop	es
	pop	ax
	ret
copySectors900 endp


; make a copy of 8 sectors from original game to scratchpad
copySectorsD00 proc
	push	ax
	push	es
	push	ds
	push	di
	push	si
	push	cx
	call	setDSto0D00
	mov	di, cs:[bufsegD00]
	mov	es, di
	xor	di, di
	mov	si, 0
	mov	cx, 8 * 3 * 512
	rep	movsb
	pop	cx
	pop	si
	pop	di
	pop	ds
	pop	es
	pop	ax
	ret
copySectorsD00 endp








; restarts game.  Full  re-load.  
loc_402::
                cmp     byte ptr cs:[startKey],0
		jne	loc_411			;loc_403  simplify
		call	saveVariables

		call 	saveGameFile
	
		
		mov	ch,9			; track #
		call	saveSectors		;sub_96
		jmp	loc_415			; display logo?
;loc_403::
;		jmp	loc_411



        ; read disk sectors directly into video ram.


endOfGame::					;loc_404::
		; load up final image.  neat.


                cmp     byte ptr cs:[resumeGame],3Ch  ; '<'
	   	jne	loc_407			; Jump if not equal

		;jl display from .exe file instead of from disk

		push	ds
		mov	si, bcwLogoSeg
		mov	ds, si
		mov	si, offset finalScreen	; point DS:SI to screen data
		mov     di, VIDSEG              ; copy directly to video seg
                mov     es, di                  ;
                xor     di, di
                mov     cx, 16 * 1024           ; 16k worth of data
                rep     movsb
		pop	ds

		; retain ES->vidseg for CLS routine below

;
;		
;		mov     ax, VIDSEG              ; 0B800h  @36cf
;		mov	es,ax
;		xor	bx,bx			; Zero register
;		mov	ch,11h
;loc_405:
;		xor	dx,dx			; Zero register
;		mov	ax,208h
;		mov	cl,1
;	      ;	int	13h			; Disk  dl=drive a  ah=func 02h
;						;  read sectors to memory es:bx
;						;   al=#,ch=cyl,cl=sectr,dh=head
;
;		add	bx,1000h
;		inc	ch
;		cmp	bx,4000h
;		jne	loc_405			; Jump if not equal

; old cpu based delay
;		
;		mov	bx,3Ch
;                cmp     word ptr cs:[cpuType],0
;		je	locloop_406		; Jump if equal
;		shr	bx,1			; Shift w/zeros fill
;
;locloop_406::
;		loop	locloop_406		; Loop if cx > 0
;
;		dec	bx
;		jnz	locloop_406		; Jump if not zero


; wait for a keypress or timeout

                mov     cx, 100
witsome:		
                call    starttime               ; wait
	      	call	getintrokey
	      	cmp	al, CR
	      	jz	rdy
	      	call	delaytime		
	     	loop	witsome
rdy: 

		; advance to next level
		; and restarts game

		mov     al,byte ptr cs:[skillLevel]
		inc	ax
		cmp	al,5
		jae	loc_407			; Jump if above or =
                mov     byte ptr cs:[skillLevel],al 
loc_407::
                call    cls
		xor	dx,dx			; Zero register
                call    locate		
		mov	bx, 68h			; 104  end of game msg
                cmp     byte ptr cs:[resumeGame],3Ch  ; '<'
		je	loc_408			; Jump if equal
		add	bx,2
loc_408::
		push	bx
                call    printMsg
		pop	bx
		inc	bx
                call    printMsg
kbd1:
		mov	ah,0
		int	16h			; Keyboard i/o  ah=function 00h
						;  get keybd char in al, ah=scan
		cmp	al,0Dh
		jne	kbd1			; Jump if not equal
		jmp	startGame		;loc_402

		
		
quitNReboot:					;v3731:		
                mov     byte ptr cs:[resumeGame],0FFh
                mov     al,byte ptr cs:[roomIndex]
                call    saveRoomData            ;sub_82
		call	saveVariables		;sub_99
	     
	      ;	mov	ch,9			; track #
	      ;	call	saveSectors		;sub_96
   
	     
        	call 	saveGameFile
		
		mov	ax,4
		if debug eq 0
		int	10h			; Video display   ah=functn 00h
		endif				;  set display mode in al
		mov	bx, 102			; " game saved..."
                call    printMsg
loc_410::
		mov	ah,0
		int	16h			; Keyboard i/o  ah=function 00h
						;  get keybd char in al, ah=scan
		cmp	al,20h			; ' '
		jne	loc_410			; Jump if not equal



loc_411::

        ; intro code - load up title and timeout on a keypress.
	; if timeout w/o CR key, run the demo again.
  	
			    
 		push	ds
		push	es
		mov	si, bcwLogoSeg
		mov	ds, si
		xor	si, si			; point DS:SI to logo data
		mov     di, VIDSEG              ; copy directly to video seg
                mov     es, di                  ;
                xor     di, di
                mov     cx, 16 * 1024           ; 16k worth of data
                rep     movsb
  		pop	es
		pop	ds


; wait for a keypress or timeout

                mov     cx, 100
waitsome:		
                call    starttime               ; wait
	      	call	getintrokey
	      	cmp	al, CR
	      	jz	ready
	      	call	delaytime		
	     	loop	waitsome
		mov	al, 0	                ; start key
ready:          
	     	jmp     loc_8

;
;                              SUBROUTINE
;
; resets all variables back to original values, 240 of them in fact.

restoreVariables proc	near
                call    esto900h                 ; set ES=900
		
	 	mov	cx,0F0h
		xor	si,si			; Zero register

locloop_413::
		mov	al,es:[si+4]
                mov     byte ptr cs:[numBombs+si],al
		inc	si
		loop	locloop_413		; Loop if cx > 0

		retn
restoreVariables endp				;sub_98	


;
;                              SUBROUTINE
;
; saves all variables to scartch buffer.
saveVariables	proc	near			; sub_99
                call    esto900h
		mov	cx,0F0h
		xor	si,si			; Zero register

locloop_414::
                mov     al,byte ptr cs:[numBombs+si]
		mov	es:[si+4],al
		inc	si
		loop	locloop_414		; Loop if cx > 0

		retn
saveVariables	endp


;
;                              SUBROUTINE
;

esto900h         proc    near
	
		push	bx
		mov	bx, dataSeg
		lea	ax, ds:bcwDemoData
		shr	ax, 1
		shr 	ax, 1
		shr	ax, 1
		shr	ax, 1
	     	add	ax, bx
		mov	es, ax
		pop	bx
		ret
esto900h         endp


;
;                              SUBROUTINE
;

setDSto0D00         proc    near
	mov	ax, dataSeg
	mov	ds, ax
	ret
setDSto0D00         endp





loc_415::

;
; it would be really bad if we go here.
	FATAL



		mov	ax,50h
		mov	es,ax
		sub	bx,bx
		mov	ch,18h
loc_416::
		call	sub_102
                add     bx, 1000h               ;data_2e
		inc	ch
		cmp	ch,1Dh
		jne	loc_416			; Jump if not equal
;*		jmp	far ptr loc_2		;*
		db	0EAh
		dw	3, 50h			;  Fixup - byte match

;
;                              SUBROUTINE
;

sub_102		proc	near
		
	FATAL
	      ;	loadSectors  CH=18h  

		mov	di,0Ah
loc_417::
		mov	dx,0
		mov	ax,208h
		mov	cl,1
		int	13h			; Disk  dl=drive a  ah=func 02h
						;  read sectors to memory es:bx
						;   al=#,ch=cyl,cl=sectr,dh=head
		jc	loc_418			; Jump if carry Set
		retn
loc_418::
		sub	ax,ax
		int	13h			; Disk  dl=drive a  ah=func 00h
						;  reset disk, al=return status
		dec	di
		jnz	loc_417			; Jump if not zero
loc_419::
		jmp	short loc_419
sub_102		endp

		db	 00h, 00h,0D0h, 0Fh, 00h, 00h
		db	 00h, 14h

;
;                              SUBROUTINE
;

resetVars 	proc	near  ;sub_103
		mov     al,byte ptr cs:[skillLevel]
		push	ax
		call	restoreVariables ;sub_98 ; copy loaded data into buffer
		pop	ax
                mov     byte ptr cs:[skillLevel],al
		retn
resetVars	endp

		

v37f8		db 0
v37f9		db 0
v37fa		db 0
v37fb		db 0
v37fc		db 0
v37fd		db 0
v37fe		db 0
v37ff		db 0
v3800		db 0
v3801		db 0
v3802		db 0
v3803		db 0
v3804		db	0
v3805		db	0
v3806		db	0
v3807		db	0
v3808		db	0 
v3809		dw	0
v380b		db	0
v380c		db	0
v380d		db	0
v380e		db	0
v380f		db	0
v3810		db	0
v3811		db	0
v3812		db	0
v3813		db	0
v3814		db	0
v3815		db	0
v3816		db	0
v3817		db	0
v3818		db	0
v3819		db	0
v381a		db	0
v381b		db	0
v381c		db	0
v381d		db	0
v381e		db	0
v381f		db	 01h, 02h, 04h, 08h, 10h, 20h
		db	 40h, 80h
v3827		db	 00h, 40h, 00h, 07h
v382b		db	 08h, 08h, 01h, 01h
v382f		db	 04h, 08h
		db	 01h, 02h
v3833		db	 01h, 01h, 00h, 00h
v3837		db	 00h
v3838		db	 00h
v3839		db	 00h
v383a		db	 00h
v383b		db	 10h, 00h
		db	 00h, 00h, 00h, 00h, 01h, 0Ah
		db	 00h
		db	0
		db	0
		db	0
		db	0
		db	0
		db	0
		db	0
v384b		dw	0 ;384b-c
v384d		dw	0 ;384d-e
v384f		db	0
v3850		db	0, 0		
v3852		dw	0    ;3852-3
v3854		db	0    ;3854
v3855		dw	 0   ;3855
		db	 0Ah ;3856
v3857		db	 08h ;3857
		db	 07h ;3858
		db	 06h ;3859
		db	 05h ;385a
		db	 14h ;385b
v385c		db	 0Fh ;385c
		db	 0Ah, 09h, 08h
v3861		db	 0Ah, 09h
		db	 08h, 07h, 06h, 04h
v3867		db	 0D0h,0A0h
		db	 70h, 60h, 50h

v386c		db	 25, 35, 45, 50, 60   ; skill level based
	

loc_8999:		
                cmp     byte ptr cs:[v4f3],0       ;80h, 3Eh,0F3h, 04h
		jz	loc_421			;db	 00h, 74h, 22h,0F6h, 06h,0F3h
                test    byte ptr cs:[v4f3], 80h    ;db      04h, 80h, 75h, 05h,0C6h, 06h
		jnz	loc_421			;db	0D1h, 18h,0AFh
                mov     byte ptr cs:[v18d1],175		; 0afh
loc_420::
                cmp     byte ptr cs:[roomIndex], 1           ;data_365e,1
		je	loc_421			; Jump if equal
                cmp     byte ptr cs:[v503], 0   ;data_390e,0
		jne	loc_421			; Jump if not equal
                mov     byte ptr cs:[v384f], 0  ;data_528e,0
		call	sub_105
loc_421::
                dec     byte ptr cs:[v503]
		retn

;
;                              SUBROUTINE
;

sub_104		proc	near
		push	si
                mov     si, 80h                 ;data_339e
loc_422::
                mov     al,cs:[v597+si]         ;data_400e[si]
		cmp	al, 10h
		je	loc_423			; Jump if equal
		cmp	al, 50h			; 'P'
		jne	loc_424			; Jump if not equal
loc_423::
                and     byte ptr cs:[v59d+si], NOT BIT7 ;data_406e[si],7Fh
                or      byte ptr cs:[v59d+si], BIT0     ;data_406e[si],1
                mov     byte ptr cs:[v5a3+si], 0        ;data_412e[si],0
loc_424::
		add	si,10h
		cmp	si,100h
		jne	loc_422			; Jump if not equal
		pop	si
		retn
sub_104		endp


;
;                              SUBROUTINE
;

sub_105		proc	near
		push	si
		call	sub_106
		pop	si
		retn
sub_105		endp


;
;                              SUBROUTINE
;

sub_106		proc	near
                mov     word ptr cs:[v384b], 0  ;data_526e,0
                mov     word ptr cs:[v384d], 0  ;data_527e,0
                mov     si, 80h                 ;data_339e
loc_425::
                mov     al,cs:[v597+si]         ;data_400e[si]
		or	al,al			; Zero ?
		jz	loc_431			; Jump if zero
		cmp	al,40h			; '@'
		je	loc_427			; Jump if equal
loc_426::
                add     si, 10h
                cmp     si, 100h                ;data_341e
		jne	loc_425			; Jump if not equal
		jz	loc_429			; Jump if zero
loc_427::
                cmp     word ptr cs:[v384b], 0  ;data_526e,0
		jne	loc_428			; Jump if not equal
                mov     cs:[v384b], si          ;data_526e,si
loc_428::
                mov     al,cs:[v59a+si]         ;data_403e[si]
		or	al,al			; Zero ?
		jz	loc_426			; Jump if zero
		cmp	al,0FFh
		je	loc_426			; Jump if equal
		mov	bl,al
		xor	bh,bh			; Zero register
                mov     al,cs:[v597+bx]         ;data_400e[bx]
		cmp	al,40h			; '@'
		jne	loc_426			; Jump if not equal
                mov     cs:[v384b], si          ;data_526e,si
                mov     cs:[v384d], si          ;data_527e,si
		jmp	short loc_426
loc_429::
                mov     bx,cs:[v384b]           ;data_526e
		or	bx,bx			; Zero ?
		jz	loc_432			; Jump if zero
                cmp     word ptr cs:[v384d], 0  ;data_527e,0
		jne	loc_430			; Jump if not equal
                mov     al,cs:[v598+bx]         ;data_401e[bx]
		xor	ah,ah			; Zero register
		mov	di,ax
                mov     byte ptr cs:[v54f+di], 0        ;data_396e[di],0
loc_430::
		mov	si,bx
loc_431::
		call	sub_108
		or	bl,bl			; Zero ?
		js	loc_432			; Jump if sign=1
		call	sub_107
		jnc	loc_433			; Jump if carry=0
                add     bl,cs:[v3837]           ;data_521e
		call	sub_107
		jnc	loc_433			; Jump if carry=0
loc_432::
                mov     byte ptr cs:[v503], 40h ;data_390e,40h       ; '@'
		stc				; Set carry flag
		retn
loc_433::
		xor	di,di			; Zero register
loc_434::
                mov     al,cs:[v383b+di]        ;data_525e[di]
                mov     cs:[v597+si], al        ;data_400e[si],al
		inc	si
		inc	di
		cmp	di,10h
		jne	loc_434			; Jump if not equal
		sub	si,10h
                mov     cs:[v598+si], bl        ;data_401e[si],bl
                mov     byte ptr cs:[v59b+si], bl       ;data_404e[si],bl
		mov	al, -1				; optimize
		call	sub_129				; was sub_128
                mov     al,byte ptr cs:[v599+si]
                mov     byte ptr cs:[v59A+si],al
		call	sub_111
		jnz	loc_435			; Jump if not zero
		mov	ax,di
                mov     byte ptr cs:[v5A6+si],al
                mov     byte ptr cs:[v59A+si],al
loc_435::
                mov     bl,byte ptr cs:[v598+si]
		xor	bh,bh			; Zero register
                call    getScreenPos
		call	sub_110
		mov	al,5
		call	sub_141
                call    getRand
		and	al,0Fh
		add	al,28h			; '('
                cmp     byte ptr cs:[startKey],0
		je	loc_436			; Jump if equal
		add	al,14h
loc_436::
                mov     byte ptr cs:[v503],al
		clc				; Clear carry flag
		retn
sub_106		endp


;
;                              SUBROUTINE
;

sub_107		proc	near
		mov	al,bl
                sub     al,cs:[v4e5]            ;data_368e
		jz	loc_438			; Jump if zero
		cmp	al,8
		je	loc_438			; Jump if equal
		cmp	al,0F8h
		je	loc_438			; Jump if equal
                mov     al,cs:[v54f+bx]         ;data_396e[bx]
		or	al,al			; Zero ?
		jz	loc_437			; Jump if zero
		xor	ah,ah			; Zero register
		mov	di,ax

		mov     al,cs:[v597+di]         ;data_400e[di]
		call	sub_118			; optimize was 117

		jc	loc_438			; Jump if carry Set
loc_437::
                mov     al,byte ptr cs:[v557+bx]
		or	al,al			; Zero ?
		jz	loc_439			; Jump if zero
		xor	ah,ah			; Zero register
		mov	di,ax

		mov     al,cs:[v597+di]         ;data_400e[di]
		call	sub_118			; optimize, was 117
		jnc	loc_439			; Jump if carry=0
loc_438::
		stc				; Set carry flag
		retn
loc_439::
		clc				; Clear carry flag
		retn
sub_107		endp


;
;                              SUBROUTINE
;

sub_108		proc	near
                cmp     byte ptr cs:[v384f], 0  ;data_528e,0
		je	loc_440			; Jump if equal
                mov     di,cs:[v3852]           ;data_530e
                mov     byte ptr cs:[v3837],0   ;data_521e,0
                mov     bl,cs:[v598+di]         ;data_401e[di]
		dec	bl
		xor	bh,bh			; Zero register
		retn
loc_440::
                call    getRand
		and	al,7
		cmp	al,4
sub_108		endp


;
;                              SUBROUTINE
;

sub_109		proc	near
		jb	loc_441			; Jump if below
		shr	al,1			; Shift w/zeros fill
loc_441::
		mov	bl,al
		xor	bh,bh			; Zero register
                mov     al,cs:[v382f+bx]        ;data_519e[bx]
                mov     cs:[v3838], al          ;data_522e,al
                mov     al,cs:[v3827+bx]        ;data_517e[bx]
                mov     cs:[v383a], al          ;data_524e,al
                mov     al,cs:[v382b+bx]        ;data_518e[bx]
                mov     cs:[v3839], al          ;data_523e,al
                mov     al,cs:[v3833+bx]        ;data_520e[bx]
                mov     cs:[v3837], al          ;data_521e,al
loc_442::
                mov     bl,cs:[v383a]           ;data_524e
		xor	bh,bh			; Zero register
                mov     al,cs:[v597+bx]         ;data_400e[bx]
                and     al,cs:[v3838]           ;data_522e
		jnz	loc_443			; Jump if not zero
		retn
loc_443::
                mov     bl,cs:[v383a]           ;data_524e
                mov     al,cs:[v3839]           ;data_523e
		call	sub_24
		cmp	dl,8
		jae	loc_444			; Jump if above or =
		cmp	dh,8
		jae	loc_444			; Jump if above or =
                mov     cs:[v383a], bl          ;data_524e,bl
		jmp	short loc_442
loc_444::
                mov     al,cs:[v2ed2]           ;data_482e
                mov     cs:[v3837], al          ;data_521e,al
                mov     bl,cs:[v4d5]            ;data_355e
		or	bl,bl			; Zero ?
		js	loc_446			; Jump if sign=1
                cmp     bl,cs:[v502]            ;data_389e
		je	loc_445			; Jump if equal
		inc	bx
                cmp     bl,cs:[v502]            ;data_389e
		jne	loc_446			; Jump if not equal
loc_445::
                test    byte ptr cs:[v4d2], BIT7  ;data_352e,80h
		jnz	loc_ret_447		; Jump if not zero
loc_446::
                mov     bl,cs:[v502]            ;data_389e

loc_ret_447::
		retn
sub_109		endp




v3a84:
                cmp     byte ptr cs:[v4ee],0    ;data_373e,0
		jne	loc_449			; Jump if not equal
                mov     byte ptr cs:[v5a1+si], 0        ;data_410e[si],0
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
                cmp     byte ptr cs:[v5a3+si], 0        ;data_412e[si],0
		jne	loc_448			; Jump if not equal
		xor	al, al			; optimize
		call	sub_129
loc_448::
                mov     al,cs:[roomIndex]            ;data_365e
                cmp     al,cs:[v4dc]            ;data_360e
		jne	loc_449			; Jump if not equal
                cmp     byte ptr cs:[v4d1], 0   ;data_351e,0
		jne	loc_449			; Jump if not equal
		jmp	loc_571
loc_449::
                mov     bl,cs:[v598+si]         ;data_401e[si]
                call    getScreenPos
                mov     al,cs:[v4e5]            ;data_368e
		sub	al,bl
		jz	loc_450			; Jump if zero
		cmp	al,8
		je	loc_450			; Jump if equal
		cmp	al,0F8h
		jne	loc_451			; Jump if not equal
loc_450::
                mov     byte ptr cs:[v597+si], 0        ;data_400e[si],0
		retn

;
;                              SUBROUTINE
;

sub_110		proc	near
loc_451::
		xor	bh,bh			; Zero register
		mov	ax,si
                mov     byte ptr cs:[v54f+bx],al
                mov     byte ptr cs:[v557+bx],al
                mov     bl,byte ptr cs:[v599+si]
                mov     al,cs:[v70b+bx]            ;data_121[bx]
                mov     byte ptr cs:[v10AB],al
loc_452::
		add	dx,2
		add	di,140h
                mov     word ptr cs:[xpos],dx
                mov     bl,byte ptr cs:[v599+si]
		mov	al,75h			; 'u'
		cmp	bl,2
		je	loc_453			; Jump if equal
		mov	al,77h			; 'w'
loc_453::
                mov     byte ptr cs:[v10A7],al
		xor	bh,bh			; Zero register
                mov     al,byte ptr cs:[v44E9+bx]
                cmp     byte ptr cs:[roomIndex],3Ch  ; '<'
		jne	loc_454			; Jump if not equal
                cmp     si, 80h                 ;data_339e
		jne	loc_454			; Jump if not equal
		xor	bl,bl			; Zero register
		mov	al,4Bh			; 'K'
loc_454::
                mov     byte ptr cs:[v10A3],al
		xor	bh,bh			; Zero register
                cmp     byte ptr cs:[roomIndex],3Ch  ; '<'
		je	loc_455			; Jump if equal
                mov     bl,byte ptr cs:[v59A+si]
loc_455::
                mov     al,cs:[v6df+bx]            ;data_116[bx]
		mov	ah,20h			; ' '
                cmp     byte ptr cs:[v3808],0
		je	loc_456			; Jump if equal
                dec     byte ptr cs:[v3808]
		mov	al, ah
		mov	ah, 64h			; 'd'
                mov     byte ptr cs:[v10A4],al
loc_456::
                mov     byte ptr cs:[v10A2],ah
                mov     byte ptr cs:[v10A6],al
                mov     al,cs:[v6ea+bx]            ;data_118[bx]
                mov     byte ptr cs:[v10A8],al
		mov	ax,di
		shl	ax,1			; Shift w/zeros fill
		add	ax,dx
                mov     word ptr cs:[v5A4+si],ax
		push	si
                cmp     byte ptr cs:[v599+si],0
		je	loc_457			; Jump if equal


		; footstep sound?
		mov     byte ptr cs:[speakerDelay],2	; optimzied
	       ;	call    speaker_short			; was long
	        mov	cs:[clickSound], 400h
	       	call	footstep
loc_457::
                mov     si, 1eh                 ;data_20e
                call    put_gfx
		pop	si
		retn
sub_110		endp




someProc:
			                        ;* No entry point to code
		call	sub_135
                cmp     byte ptr cs:[v5a3+si], 0        ;data_412e[si],0
		je	loc_458			; Jump if equal
		call	sub_124
		jmp	loc_471
loc_458::
                inc     byte ptr cs:[v5a1+si]           ;data_410e[si]
                test    byte ptr cs:[v5a1+si], BIT0     ;data_410e[si],1
		jnz	loc_459			; Jump if not zero
		jmp	loc_472
loc_459::
		call	sub_115
		call	sub_119
                mov     al,cs:[v3802]           ;data_492e
		or	al,al			; Zero ?
		jz	loc_460			; Jump if zero
		call	xlatDir			;sub_16
                cmp     al,cs:[v599+si]         ;data_402e[si]
		jne	loc_461			; Jump if not equal
loc_460::
		call	sub_111
		jz	loc_461			; Jump if zero
		call	sub_119
		jnc	loc_462			; Jump if carry=0
		jmp	loc_466
		
loc_461::
		mov	ax,di
                mov     cs:[v5a6+si], al        ;data_414e[si],al
                and     byte ptr cs:[v59d+si], NOT BIT1 ;0fdh   ;data_406e[si],0FDh
		jmp	loc_477
loc_462::
                cmp     byte ptr cs:[v4f3], 0   ;data_377e,0
		jne	loc_465			; Jump if not equal
                mov     al,cs:[v59d+si]         ;data_406e[si]
		shr	al,1			; Shift w/zeros fill
		jnc	loc_465			; Jump if carry=0
		shr	al,1			; Shift w/zeros fill
		jc	loc_465			; Jump if carry Set
                mov     byte ptr cs:[v3806], 0  ;data_496e,0
		mov	al,11h
                mov     byte ptr cs:[v381B],al
		jmp	short loc_464
loc_463::
                shl     byte ptr cs:[v381B],1   ; Shift w/zeros fill
		jc	loc_465			; Jump if carry Set
                mov     al,byte ptr cs:[v381B]
loc_464::
		and	al,0Fh
                mov     bl,cs:[v598+si]         ;data_401e[si]
		call	colDetect?		; sub_121
                mov     al,cs:[v3806]           ;data_496e
		or	al,al			; Zero ?
		jz	loc_463			; Jump if zero
		sub	al,8
                mov     byte ptr cs:[v59b+1+si], al    ;data_404e+1[si],al
                mov     al,cs:[v598+si]         ;data_401e[si]
                mov     byte ptr cs:[v59b+si], al       ;data_404e[si],al
                mov     al,cs:[v3807]                   ;data_497e
                mov     cs:[v599+si], al                ;data_402e[si],al
                or      byte ptr cs:[v59d+si], 2        ;data_406e[si],2
		jmp	short loc_466
loc_465::
                mov     al,cs:[v598+si]         ;data_401e[si]
                cmp     al,byte ptr cs:[v59b+1+si]     ;data_404e+1[si]
		je	loc_467			; Jump if equal
                cmp     al, byte ptr cs:[v59b+si]        ;data_404e[si]
		je	loc_467			; Jump if equal
loc_466::
		call	sub_127
		jnc	loc_471			; Jump if carry=0
		call	sub_118
		jnc	loc_471			; Jump if carry=0
                and     byte ptr cs:[v59d+si], NOT BIT1 ;0fdh   ;data_406e[si],0FDh
loc_467::
                mov     al,cs:[v59d+si]         ;data_406e[si]
		shr	al,1			; Shift w/zeros fill
		jnc	loc_470			; Jump if carry=0
		shr	al,1			; Shift w/zeros fill
		jnc	loc_468			; Jump if carry=0
		call	sub_120
loc_468::
		mov	al, -1			; optimize
		call	sub_129			; was sub_128
		call	sub_111
		pushf				; Push flags
		mov	cx,di
		jz	loc_469			; Jump if zero
		xor	cl,cl			; Zero register
                call    getRand
		jns	loc_469			; Jump if not sign
                mov     cl,byte ptr cs:[v599+si]
loc_469::
                mov     byte ptr cs:[v5A6+si], cl
                mov     byte ptr cs:[v59A+si], cl
		popf				; Pop flags
		jnz	loc_471			; Jump if not zero
		call	shootingGuard		;we're being fired on! sub_131
		jmp	short loc_471
		db	90h
loc_470::
		xor	al, al			
		call	sub_129
loc_471::
                mov     bl,cs:[v598+si]         ;data_401e[si]
                call    getScreenPos
		xor	bh,bh			; Zero register
                mov     bl,cs:[v599+si]         ;data_402e[si]
                mov     al,cs:[v6af+bx]         ;data_421e[bx]
		shl	al,1			; Shift w/zeros fill
		shl	al,1			; Shift w/zeros fill
		add	dl,al
		shl	bx,1			; Shift w/zeros fill
                add     di,cs:[offset v6c7+bx]          ; data_422e[bx]
		shr	bx,1			; Shift w/zeros fill
                mov     al,byte ptr cs:[v716+bx]
                mov     cs:[v10ab], al          ;data_448e,al
		jmp	loc_452
loc_472::
		call	sub_127
		jnc	loc_475			; Jump if carry=0
		cmp	al,0FFh
		jne	loc_473			; Jump if not equal
                mov     al,cs:[v59d+si]         ;data_406e[si]
		or	al,al			; Zero ?
		js	loc_474			; Jump if sign=1
		shr	al,1			; Shift w/zeros fill
		jnc	loc_477			; Jump if carry=0
		jmp	caught
loc_473::
		call	sub_118
		jnc	loc_475			; Jump if carry=0
loc_474::
		call	sub_114
		jmp	short loc_476
		db	90h
loc_475::
		push	bx
                mov     bl,cs:[v598+si]         ;data_401e[si]
		xor	bh,bh			; Zero register
                mov     byte ptr cs:[v54f+bx], 0        ;data_396e[bx],0
                mov     byte ptr cs:[v557+bx], 0       ;data_398e[bx],0
		pop	bx
                mov     cs:[v598+si], bl        ;data_401e[si],bl
loc_476::
                mov     bl,cs:[v598+si]         ;data_401e[si]
                call    getScreenPos
		jmp	loc_451
loc_477::
                test    byte ptr cs:[v59d+si], 1        ;data_406e[si],1
		jnz	loc_479			; Jump if not zero
                cmp     byte ptr cs:[v4f8], 0   ;data_381e,0
		jne	loc_478			; Jump if not equal
                cmp     byte ptr cs:[doorOpenAttempts], 0   ;data_361e,0
		jne	loc_478			; Jump if not equal
                mov     al,cs:[gunDir]            ;data_367e
		or	al,al			; Zero ?
		jz	loc_483			; Jump if zero
                cmp     byte ptr cs:[v4d9], 0   ;data_358e,0
		jne	loc_478			; Jump if not equal
		call	xlatDir			;sub_16
                cmp     al,cs:[v5a6+si]         ;data_414e[si]
		je	loc_478			; Jump if equal
                test    byte ptr cs:[v59d+si], 80h      ;data_406e[si],80h
		jnz	loc_482			; Jump if not zero
loc_478::
		call	sub_153
		call	sub_141			; added to simplify
		mov	al,5
		call	sub_141
		call	sub_104
loc_479::
                cmp     byte ptr cs:[v59e+si], 0        ;data_407e[si],0
		jne	loc_480			; Jump if not equal
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
		jz	loc_482			; Jump if zero
loc_480::
                mov     al,cs:[v3803]           ;data_493e
                add     al,cs:[v4e5]            ;data_368e
                mov     byte ptr cs:[v59b+1+si], al ;data_404e+1[si],al
                mov     al,cs:[v5a6+si]         ;data_414e[si]
                mov     cs:[v599+si], al        ;data_402e[si],al
                cmp     al,cs:[v59a+si]         ;data_403e[si]
		je	loc_481			; Jump if equal
                mov     cs:[v59a+si], al        ;data_403e[si],al
		jnz	loc_482			; Jump if not zero
loc_481::
		call	shootingGuard			;sub_131
loc_482::
		jmp	loc_466
loc_483::
                test    byte ptr cs:[v59d+si], 80h      ;data_406e[si],80h
		jz	loc_484			; Jump if zero
		jmp	loc_465
loc_484::
                mov     byte ptr cs:[v599+si], 0        ;data_402e[si],0
                mov     byte ptr cs:[v381e], 0          ;data_516e,0
                mov     byte ptr cs:[v380c], 0          ;data_501e,0
                mov     byte ptr cs:[v381d], 0          ;data_515e,0
                mov     byte ptr cs:[v5a3+si], 80h      ;data_412e[si],80h
                mov     al,cs:[v598+si]         ;data_401e[si]
                mov     byte ptr cs:[v59b+1+si], al ;data_404e+1[si],al
		call	sub_153
		call	sub_141			; added to simplify
		mov	al,1
		call	sub_141
		call	sub_130
		jmp	loc_471

;
;                              SUBROUTINE
;

sub_111		proc	near
                mov     byte ptr cs:[v3804],0
;loc_485::
                mov     al,cs:[v599+si]         ;data_402e[si]
		call	sub_113
		jz	loc_ret_488		; Jump if zero
		mov	bx, offset cs:v4494
                call    getRand
		jns	loc_486			; Jump if not sign
		mov	bx, offset cs:v44a0		;data_541e
loc_486::
                mov     al,cs:[v599+si]         ;data_402e[si]
		xlat				; al=[al+[bx]] table
		call	sub_113
		jz	loc_ret_488		; Jump if zero
                test    byte ptr cs:[v59d+si], 1 ;data_406e[si],1
		jnz	loc_487			; Jump if not zero
		mov	al,1
		or	al,al			; Zero ?
		retn
loc_487::
                mov     al,cs:[v599+si]         ;data_402e[si]
		call	xlatDir			;sub_16

; External Entry into Subroutine 

sub_113::
                mov     bl,cs:[v598+si]         ;data_401e[si]
		call	sub_122			; collision detect?
		cmp	al,40h			; '@'

loc_ret_488::
		retn
sub_111		endp


;
;                              SUBROUTINE
;

sub_114		proc	near
                mov     al,cs:[v599+si]         ;data_402e[si]
		call	xlatDir			;sub_16
                mov     cs:[v599+si], al        ;data_402e[si],al
                mov     ax,cs:[v59b+si]        ;data_404e[si]
		xchg	ah,al
                mov     cs:[v59b+si], ax       ;data_404e[si],ax
		retn
sub_114		endp


;
;                              SUBROUTINE
;

sub_115		proc	near
                mov     byte ptr cs:[v3804], 0          ;data_494e,0
                mov     word ptr cs:[v3855], -1         ;data_532e,0FFFFh
loc_489::
                inc     word ptr cs:[v3855]             ;data_532e
                mov     bx,cs:[v3855]           ;data_532e
                mov     al,cs:[v448b+bx]        ;data_540e[bx]
                mov     cs:[v3802], al          ;data_492e,al
		or	al,al			; Zero ?
		jz	loc_494			; Jump if zero
		xor	ah,ah			; Zero register
		mov	di,ax
                mov     bl,cs:[v598+si]         ;data_401e[si]
		cmp	di,1
		jne	loc_490			; Jump if not equal
		add	bl,8
loc_490::
		call	sub_123
		jc	loc_489			; Jump if carry Set
		push	bx
		xor	bh,bh			; Zero register
                mov     bl,cs:[v54f+bx]         ;data_396e[bx]
                mov     al,cs:[v597+bx]         ;data_400e[bx]
		cmp	al,40h			; '@'
		jne	loc_491			; Jump if not equal
                mov     al,cs:[v598+bx]         ;data_401e[bx]
                mov     cs:[v3804], al          ;data_494e,al
loc_491::
		pop	bx
                cmp     byte ptr cs:[v3802], 2  ;data_492e,2
		jne	loc_492			; Jump if not equal
		sub	bl,8
loc_492::
                cmp     bl,cs:[v4e5]            ;data_368e
		jne	loc_489			; Jump if not equal
loc_493::
		clc				; Clear carry flag
		retn
loc_494::
                cmp     byte ptr cs:[v3804], 0  ;data_494e,0
		jne	loc_493			; Jump if not equal
		stc				; Set carry flag
		retn
sub_115		endp


;
;                              SUBROUTINE
;

;sub_117		proc	near
;                mov     al,cs:[v597+di]         ;data_400e[di]
;
;; External Entry into Subroutine 

sub_118 proc near				;::
		cmp	al,40h			; '@'
		jne	loc_495			; Jump if not equal
                test    byte ptr cs:[v59d+si], 1        ;data_406e[si],1
		jnz	loc_496			; Jump if not zero
		call	sub_104
		jmp	short loc_496
loc_495::
		cmp	al,30h			; '0'
		je	loc_496			; Jump if equal
		stc				; Set carry flag
		retn
loc_496::
		mov	ax,si
                mov     cs:[v59a+di], al        ;data_403e[di],al
		clc				; Clear carry flag
		retn
sub_118	endp				;sub_117		endp


;
;                              SUBROUTINE
;

sub_119		proc	near
                mov     bl,cs:[v3804]           ;data_494e
		or	bl,bl			; Zero ?
		jz	loc_497			; Jump if zero
                test    byte ptr cs:[v59d+si], 1        ;data_406e[si],1
		jnz	loc_497			; Jump if not zero
                mov     byte ptr cs:[v59b+1+si], bl ;data_404e+1[si],bl
                mov     al,cs:[v3805]           ;data_495e
                mov     cs:[v599+si], al        ;data_402e[si],al
		call	sub_104
		mov	al,5
		call	sub_141
		stc				; Set carry flag
		retn
loc_497::
		clc				; Clear carry flag
		retn
sub_119		endp


;
;                              SUBROUTINE
;

sub_120		proc	near
                mov     byte ptr cs:[v4f3], 1   ;data_377e,1
                mov     byte ptr cs:[v59d+si], 1        ;data_406e[si],1
                mov     byte ptr cs:[v503], 0   ;data_390e,0
                mov     byte ptr cs:[v18d1], 175 ;0afh       ;data_452e,0AFh
		push	si
                mov     si, 80h                 ;data_339e
loc_498::
                mov     al,cs:[v597+si]         ;data_400e[si]
		cmp	al,10h
		jne	loc_499			; Jump if not equal
                mov     byte ptr cs:[v59d+si], 1        ;data_406e[si],1
loc_499::
		add	si,10h
		cmp	si,100h
		jne	loc_498			; Jump if not equal
		pop	si
		retn
sub_120		endp


;
;                              SUBROUTINE
;
; input al=direction?
; looks like bl means something too
; returns value in AL
;
colDetect?  proc near		;sub_121		proc	near
		cmp	al,2			; straight up?
		je	loc_501			; Jump if equal
		jnz	loc_500			; Jump if not zero

; External Entry into Subroutine 

sub_122::
		cmp	al,1			; up+left?
		jne	loc_501			; Jump if not equal
loc_500::
		add	bl,8
loc_501::
                mov     cs:[v3801], al          ;data_491e,al
                mov     cs:[v3800], bl          ;data_490e,bl
loc_502::
                mov     al,cs:[v3801]           ;data_491e
                mov     bl,cs:[v3800]           ;data_490e
		xor	ah,ah			; Zero register
		mov	di,ax
		call	sub_123
		jnc	loc_503			; Jump if carry=0
		xor	al,al			; Zero register
		retn


loc_503::
                mov     cs:[v3800], bl          ;data_490e,bl
                sub     bl,cs:[v4e5]            ;data_368e
		jz	loc_504			; Jump if zero
		cmp	bl,8
		jne	loc_505			; Jump if not equal
loc_504::
                mov     cs:[v3803], bl          ;data_493e,bl
                mov     bl,cs:[v3800]           ;data_490e
                mov     al,cs:[v3801]           ;data_491e
		xor	ah,ah			; Zero register
		mov	di,ax
		mov	al,40h			; '@'
		or	al,al			; Zero ?
		retn


loc_505::
                mov     bl,cs:[v3800]           ;data_490e
		xor	bh,bh			; Zero register
                mov     al,cs:[v54f+bx]         ;data_396e[bx]
		or	al,al			; Zero ?
		jz	loc_502			; Jump if zero
		mov	bl,al
                mov     cl,cs:[v3800]           ;data_490e
                mov     ch,cs:[v3801]           ;data_491e
                mov     al,cs:[v597+bx]         ;data_400e[bx]
		cmp	al,30h			; '0'
		je	loc_506			; Jump if equal
		cmp	al,40h			; '@'
		jne	loc_508			; Jump if not equal
                mov     cs:[v3804], cl          ;data_494e,cl
                mov     cs:[v3805], ch          ;data_495e,ch
		jmp	short loc_507
loc_506::
                mov     cs:[v3806], cl          ;data_496e,cl
                mov     cs:[v3807], ch          ;data_497e,ch
loc_507::
		jmp	short loc_502
loc_508::
                mov     bl,cs:[v3800]           ;data_490e
		xor	bh,bh			; Zero register
		xor	ah,ah			; Zero register
                mov     al,cs:[v54f+bx]         ;data_396e[bx]
		or	al,al			; Zero ?
		retn
colDetect?	endp		;sub_121		endp


;
;                              SUBROUTINE
;
; input di, bl
; exit CY set if something.
;
sub_123		proc	near
		xor	bh,bh			; Zero register
                mov     al,cs:[v597+bx]         ;data_400e[bx]
                and     al,cs:[v697+di]         ;data_420e[di]
		jnz	loc_509			; Jump if not zero
		mov	ax,di
		call	sub_24
		cmp	dl,8
		jae	loc_509			; Jump if above or =
		cmp	dh,9
		jae	loc_509			; Jump if above or =
                mov     al,cs:[v597+bx]         ;data_400e[bx]
                and     al,byte ptr cs:[v6A3+di]
		jnz	loc_509			; Jump if not zero
		clc				; Clear carry flag
		retn
loc_509::
		stc				; Set carry flag
		retn
sub_123		endp


;
;                              SUBROUTINE
;

sub_124		proc	near
                test    byte ptr cs:[v5a3+si], 80h      ;data_412e[si],80h
		jnz	loc_510			; Jump if not zero
		jmp	loc_516
loc_510::
		call	sub_115
		jc	loc_511			; Jump if carry Set
                mov     bl,cs:[v598+si]         ;data_401e[si]
                mov     al,cs:[v3802]           ;data_492e
		xor	ah,ah			; Zero register
		mov	di,ax
		call	sub_123
		jc	loc_511			; Jump if carry Set
                mov     al,cs:[v3802]           ;data_492e
                mov     cs:[v5a6+si], al        ;data_414e[si],al
                mov     byte ptr cs:[v5a3+si], 1        ;data_412e[si],1
                mov     bl,cs:[skillLevel]            ;data_383e
		xor	bh,bh			; Zero register
                mov     al,cs:[v385c+bx]        ;data_534e[bx]
                mov     cs:[v5a2+si], al        ;data_411e[si],al
                mov     byte ptr cs:[v4c6], -1  ;data_349e,0FFh
                mov     byte ptr cs:[v380b], 0  ;data_500e,0
                mov     cs:[v3809], si          ;data_499e,si
		jmp	loc_520
loc_511::
                cmp     byte ptr cs:[gunDir], 0   ;data_367e,0
		jne	loc_513			; Jump if not equal
                cmp     byte ptr cs:[v381d], 0  ;data_515e,0
		jne	loc_512			; Jump if not equal
                inc     byte ptr cs:[v381d]     ;data_515e
		mov	al,3
		call	sub_141
		call	sub_126
                mov     bl,cs:[skillLevel]            ;data_383e
		xor	bh,bh			; Zero register
                add     al,cs:[v3857+bx]        ;data_533e[bx]
                mov     cs:[v5a2+si], al        ;data_411e[si],al
loc_512::
                dec     byte ptr cs:[v5a2+si]   ;data_411e[si]
		jnz	loc_515			; Jump if not zero
loc_513::
		call	sub_104
                mov     byte ptr cs:[v4c6], 0   ;data_349e,0
		mov	al,5
		call	sub_141
		mov	al, -1
		call	sub_129			; was sub_128
		jmp	loc_521
loc_514::
		mov	al,2
		call	sub_141
                mov     byte ptr cs:[v59D+si],80h
                mov     byte ptr cs:[v5A3+si],0
                mov     byte ptr cs:[v4C6],0
                mov     byte ptr cs:[v59A+si],0
                mov     byte ptr cs:[v3808],1
		xor	al, al
		call	sub_129
loc_515::
		jmp	loc_521
		
loc_516::
		call	sub_115
		jc	loc_513			; Jump if carry Set
                cmp     byte ptr cs:[gunDir],0
		jne	loc_513			; Jump if not equal
                cmp     byte ptr cs:[v381E],0
		jne	loc_517			; Jump if not equal
                dec     byte ptr cs:[v5A2+si]
		jz	loc_518			; Jump if zero
		jmp	short loc_521
		db	90h

		
		
loc_517::

                mov     bl,byte ptr cs:[v4EB]
		xor	bh,bh			; Zero register
		dec	bx
                mov     al,byte ptr cs:[v381E]
                and     al,byte ptr cs:[keyz+bx]
		jnz	loc_514			; Jump if not zero
		push	ax
                mov     al,byte ptr cs:[v381E]
		push	ax
                or      byte ptr cs:[v5A0+si],al
		pop	ax
                xor     byte ptr cs:[passes],al
		pop	ax
                mov     byte ptr cs:[v381E],al
		push	si
                call    printPasses
		pop	si
loc_518::
                cmp     byte ptr cs:[v380C],0
		je	loc_519			; Jump if equal
		jmp	loc_513
loc_519::
                inc     byte ptr cs:[v380C]
                mov     bl,byte ptr cs:[skillLevel]
		xor	bh,bh			; Zero register
                mov     al,byte ptr cs:[v3861+bx]
                mov     byte ptr cs:[v5A2+si],al
                call    getRand
                cmp     al,byte ptr cs:[v3867+bx]
		jb	loc_520			; Jump if below
                mov     al,byte ptr cs:[v5A6+si]
                mov     byte ptr cs:[v59A+si],al
loc_520::
		mov	al,4
		call	sub_141
loc_521::
                inc     byte ptr cs:[v5A1+si]
		retn
sub_124		endp


;
;                              SUBROUTINE
;
; bribe guard or show pass
bribeGuard	proc	near		;sub_125		proc	near

		mov     si,cs:[v3809]           ;data_499e
		cmp	bl,5			; showing a pass?
		jne	loc_528			; Jump if not equal
                


		cmp     byte ptr cs:[marks], 0   ;data_371e,0 no cash?
		je	loc_524			; Jump if equal
                
		call    getRand			; get acceptable cash amount
		jnz	loc_523			; Jump if not zero
loc_522::
		shr	al,1			; divide by 2
		jnz	loc_523			; Jump if not zero
		mov	al, 19			; minimum value 
loc_523::
                mov     bl,cs:[skillLevel]      ; data_383e
		xor	bh,bh			; Zero register
                cmp     al,byte ptr cs:[v386C+bx] ;too much for this skill lvl?
		jae	loc_522			; try again
		
		;
		; found an acceptable bribe amount.  higher the skill level
		; the more the guard will take
		;		
		mov	ah,al			 ; 
                mov     al,cs:[marks]            ; do we have enough $?
		sub	al,ah			 ;
		jnc	loc_525			 ; Jump if carry=0
                mov     byte ptr cs:[marks], 0   ; take everyhing data_371e,0
loc_524::
                mov     byte ptr cs:[v381e], 80h ;data_516e,80h
                mov     byte ptr cs:[v380c], 80h ;data_501e,80h
		jmp	short loc_527
loc_525::
                mov     cs:[marks], al           ; save remainder data_371e,al
                mov     al,cs:[v59f+si]          ;data_408e[si]
		add	al,ah
		cmp	al,65h			 ; 101
		jb	loc_526			 ; Jump if below
		mov	al,ah
loc_526::
                mov     cs:[v59f+si], al        ;data_408e[si],al
                mov     bl,cs:[v4eb]            ;data_370e
		xor	bh,bh			; Zero register
		dec	bx
                mov     al,cs:[keyz+bx]        ;data_385e[bx]
                mov     cs:[v381e], al          ;data_516e,al
                mov     cs:[v380b], al          ;data_500e,al
loc_527::
		mov	al,24h			; display a '$'
		jmp	short loc_529
loc_528::
                mov     al,cs:[passes]		;v5f9]       ;data_382e
                and     al,byte ptr cs:[v381F+bx]
		jz	loc_ret_530		; Jump if zero
                
		
		mov     cs:[v381e], al          ;data_516e,al
		mov	al,bl
		add	al,14h
loc_529::
		push	ax
                mov     bl,cs:[v4e5]            ;data_368e
                call    getScreenPos
		add	di,280h
		add	dx,4
		pop	ax
                call    draw2Screen

		mov	al,13h			; " "
                call    draw2Screen

loc_ret_530::
		retn
bribeGuard	endp			; sub_125		endp






loc_531::		;@4123
                test    byte ptr cs:[v59d+si], 1        ;data_406e[si],1
		jz	loc_532			; Jump if zero
		call	sub_126
		cmp	al,5
		jae	loc_532			; Jump if above or =
		call	sub_153
		call	sub_141			; added to simplify
		mov	al,3
		call	sub_141
loc_532::
                mov     byte ptr cs:[v5a3+si], 0        ;data_412e[si],0
                mov     byte ptr cs:[v59d+si], 0        ;data_406e[si],0
		retn

;
;                              SUBROUTINE
;

sub_126		proc	near
                mov     bl,cs:[v598+si]         ;data_401e[si]
		call	decodeBCD		;sub_44
		push	dx
                mov     bl,cs:[v4e5]            ;data_368e
		call	decodeBCD		;sub_44
		pop	ax
		sub	dl,al
		jns	loc_533			; Jump if not sign
		xor	dl,0FFh
loc_533::
		sub	dh,ah
		jns	loc_534			; Jump if not sign
		xor	dh,0FFh
loc_534::
		mov	al,dl
		add	al,dh
		retn
sub_126		endp


;
;                              SUBROUTINE
;

sub_127		proc	near
                mov     bl,cs:[v598+si]         ;data_401e[si]
		xor	bh,bh			; Zero register
                mov     al,cs:[v599+si]         ;data_402e[si]
		xor	ah,ah			; Zero register
		mov	di,ax
		or	al,al			; Zero ?
		jnz	loc_535			; Jump if not zero
		jmp	loc_539
		
loc_535::
                mov     al,cs:[v597+bx]         ;data_400e[bx]
                and     al,cs:[v766+di]         ;data_427e[di]
		jnz	loc_539			; Jump if not zero
                mov     al,cs:[v59f+bx]         ;data_408e[bx]
                and     al,cs:[v75a+di]         ;data_426e[di]
		jnz	loc_539			; Jump if not zero
                mov     al,cs:[v599+si]         ;data_402e[si]
		call	sub_24
		cmp	dl,8
		jae	loc_539			; Jump if above or =
		cmp	dh,8
		jae	loc_539			; Jump if above or =
                mov     al,cs:[v599+si]         ;data_402e[si]
		xor	ah,ah			; Zero register
		mov	di,ax
		xor	bh,bh			; Zero register
                mov     al,cs:[v597+bx]         ;data_400e[bx]
                and     al,byte ptr cs:[v742+di]
		jnz	loc_539			; Jump if not zero
                mov     al,cs:[v59f+bx]         ;data_408e[bx]
                and     al,byte ptr cs:[v74E+di]
		jnz	loc_539			; Jump if not zero
		mov	al,bl
                sub     al,cs:[v4e5]            ;data_368e
		jz	loc_540			; Jump if zero
		cmp	al,8
		je	loc_540			; Jump if equal
		cmp	al,0F8h
		je	loc_540			; Jump if equal
		xor	ah,ah			; Zero register
                mov     al,cs:[v54f+bx]         ;data_396e[bx]
		or	al,al			; Zero ?
		jz	loc_536			; Jump if zero
		cmp	ax,si
		jne	loc_537			; Jump if not equal
loc_536::
                mov     al,cs:[v557+bx]        ;data_398e[bx]
		or	al,al			; Zero ?
		jz	loc_538			; Jump if zero
		cmp	ax,si
		je	loc_538			; Jump if equal
loc_537::
		mov	di,ax
                mov     al,cs:[v597+di]         ;data_400e[di]
		stc				; Set carry flag
		retn
loc_538::
		clc				; Clear carry flag
		retn
loc_539::
		mov	al,0
		stc				; Set carry flag
		retn
loc_540::
		mov	al,0FFh
		stc				; Set carry flag
		retn
sub_127		endp


;
;                              SUBROUTINE
;
; optimized to set AL before entering routine
;sub_128		proc	near
;		mov	al,0FFh
;		jmp	short loc_541
;
;; External Entry into Subroutine 
;
;sub_129::
;		xor	al,al			; Zero register

; entry AL= 0 or -1

sub_129 proc near
;loc_541::
                mov     cs:[v3810], al          ;data_504e,al
		xor	al,al			; Zero register
                mov     cs:[v3811], al          ;data_505e,al
                mov     cs:[v3812], al          ;data_506e,al
                mov     cs:[v3815], al          ;data_509e,al
                mov     cs:[v3814], al          ;data_508e,al
                mov     cs:[v3817], al          ;data_511e,al
                mov     cs:[v3819], al          ;data_513e,al
                mov     cs:[v381a], al          ;data_514e,al
                mov     al,cs:[v598+si]         ;data_401e[si]
                mov     cs:[v380f], al          ;data_503e,al
                mov     cs:[v3813], al          ;data_507e,al
                mov     cs:[v3816], al          ;data_510e,al
                mov     cs:[v3818], al          ;data_512e,al

		
		call    getRand
		and	al,7
		cbw				; Convrt byte to word
		mov	bx,ax
                mov     al,cs:[v448b+bx]        ;data_540e[bx]
                mov     cs:[v380e], al          ;data_502e,al
		jmp	short loc_543
loc_542::
                mov     bl,byte ptr cs:[v380D]
		xor	bh,bh			; Zero register
                
		mov     al,byte ptr cs:[v4494+bx]
                cmp     al,cs:[v380e]           ;data_502e
		jne	loc_543			; Jump if not equal
		jmp	loc_553
loc_543::
                mov     byte ptr cs:[v380D],al
                mov     cs:[v599+si], al        ;data_402e[si],al
                mov     al,cs:[v380f]           ;data_503e
                mov     cs:[v598+si], al        ;data_401e[si],al
loc_544::
		call	sub_127
		jc	loc_547			; Jump if carry Set
loc_545::
                mov     cs:[v598+si], bl        ;data_401e[si],bl
		xor	bh,bh			; Zero register
                cmp     byte ptr cs:[v3810], 0  ;data_504e,0
		je	loc_546			; Jump if equal
                mov     al,cs:[v3815]           ;data_509e
                cmp     al,cs:[v505+bx]        ; data_392e[bx]
		jae	loc_546			; Jump if above or =
                mov     al,cs:[v505+bx]        ;data_392e[bx]
                mov     cs:[v3815], al          ;data_509e,al
                mov     al,cs:[v598+si]         ;data_401e[si]
                mov     cs:[v3816], al          ;data_510e,al
                mov     al,cs:[v599+si]         ;data_402e[si]
                mov     cs:[v3817], al          ;data_511e,al
loc_546::
                inc     byte ptr cs:[v3811]     ;data_505e
		jmp	short loc_544
loc_547::
		cmp	al,0FFh
		jne	loc_549			; Jump if not equal
                test    byte ptr cs:[v59d+si], 80h      ;data_406e[si],80h
		jnz	loc_551			; Jump if not zero
                mov     byte ptr cs:[v59b+1+si], bl    ;data_404e+1[si],bl
loc_548::
                mov     al,cs:[v380f]           ;data_503e
                mov     cs:[v598+si], al        ;data_401e[si],al
                mov     byte ptr cs:[v59b+si], al       ;data_404e[si],al
		retn
loc_549::
		cmp	al,40h			; '@'  ;@42ae
		jne	loc_550			; Jump if not equal
                test    byte ptr cs:[v59d+si], 1        ;data_406e[si],1
		jnz	loc_545			; Jump if not zero
                mov     byte ptr cs:[v59b+1+si], bl    ;data_404e+1[si],bl
		call	sub_104
		mov	al,5
		call	sub_141
		jmp	short loc_548
loc_550::
		cmp	al,30h			; '0'
		je	loc_545			; Jump if equal
loc_551::
                mov     al,cs:[v3812]           ;data_506e
                cmp     al,cs:[v3811]           ;data_505e
		jae	loc_552			; Jump if above or =
                mov     al,cs:[v3811]           ;data_505e
                mov     cs:[v3812], al          ;data_506e,al
                mov     byte ptr cs:[v3811], 0  ;data_505e,0
                mov     al,cs:[v598+si]         ;data_401e[si]
                mov     cs:[v3813], al          ;data_507e,al
                mov     cl,cs:[v599+si]         ;data_402e[si]
                mov     cs:[v3814], cl          ;data_508e,cl
                cmp     byte ptr cs:[v381a], 0  ;data_514e,0
		jne	loc_552			; Jump if not equal
                mov     cs:[v3818], al          ;data_512e,al
                mov     cs:[v3819], cl          ;data_513e,cl
                inc     byte ptr cs:[v381a]     ;data_514e
loc_552::
		jmp	loc_542
loc_553::
                cmp     byte ptr cs:[v3810], 0  ;data_504e,0
		je	loc_556			; Jump if equal
                mov     al,cs:[v3817]           ;data_511e
		or	al,al			; Zero ?
		jz	loc_555			; Jump if zero
                mov     cs:[v599+si], al        ;data_402e[si],al
                mov     al,cs:[v3816]           ;data_510e
                mov     byte ptr cs:[v59b+1+si], al ;data_404e+1[si],al
loc_554::
                mov     al,cs:[v380f]           ;data_503e
                mov     cs:[v598+si], al        ;data_401e[si],al
                mov     byte ptr cs:[v59b+si], al       ;data_404e[si],al
		retn
loc_555::
                mov     al,cs:[v3818]           ;data_512e
                mov     byte ptr cs:[v59b+1+si], al ;data_404e+1[si],al
                mov     al,cs:[v3819]           ;data_513e      
                mov     cs:[v599+si], al        ;data_402e[si],al
		jmp	short loc_554
loc_556::
                mov     al,cs:[v3813]           ;data_507e
                mov     byte ptr cs:[v59b+1+si], al ;data_404e+1[si],al
                mov     al,cs:[v380f]           ;data_503e
                mov     cs:[v598+si], al        ;data_401e[si],al
		push	ax
                mov     al,cs:[v3814]           ;data_508e
		push	ax
		call	xlatDir			;sub_16
                mov     cs:[v599+si], al        ;data_402e[si],al
loc_557::
		call	sub_127
		jc	loc_558			; Jump if carry Set
                mov     cs:[v598+si], bl        ;data_401e[si],bl
		jnc	loc_557			; Jump if carry=0
loc_558::
                mov     al,cs:[v598+si]         ;data_401e[si]
                mov     byte ptr cs:[v59b+si], al       ;data_404e[si],al
		pop	ax
                mov     cs:[v599+si], al        ;data_402e[si],al
		pop	ax
                mov     cs:[v598+si], al        ;data_401e[si],al
		retn
sub_129		endp


v4370:
			                        ;* No entry point to code
                cmp     byte ptr cs:[v4d9], 0   ;data_358e,0  ;@4370
		je	loc_559			; Jump if equal
		call	sub_23
		cmp	bl,0C0h
		jae	loc_559			; Jump if above or =
		xor	bh,bh			; Zero register
                mov     al,cs:[v54f+bx]         ;data_396e[bx]
		xor	ah,ah			; Zero register
		cmp	ax,si
		jne	loc_559			; Jump if not equal
		mov	bx,ax
                mov     al,cs:[v598+bx]         ;data_401e[bx]
                cmp     al,cs:[v598+si]         ;data_401e[si]
		jne	loc_559			; Jump if not equal
		call	sub_134
		clc				; Clear carry flag
		retn
loc_559::
		stc				; Set carry flag
		retn

v439e		db	 40h, 48h, 50h, 60h, 70h

;
;                              SUBROUTINE
;

sub_130		proc	near
		push	si
                mov     si, 80h                 ;data_339e
loc_560::
                mov     al,cs:[v597+si]         ;data_400e[si]
		cmp	al,10h
		je	loc_561			; Jump if equal
		cmp	al,50h			; 'P'
		jne	loc_562			; Jump if not equal
loc_561::
                mov     byte ptr cs:[v59d+si], 80h      ;data_406e[si],80h
loc_562::
		add	si,10h
		cmp	si,100h
		jne	loc_560			; Jump if not equal
		pop	si
		retn
sub_130		endp


;
;                              SUBROUTINE
;

shootingGuard  proc near		;sub_131		proc	near
                cmp     byte ptr cs:[v59E+si],0
		je	loc_564			; Jump if equal
                dec     byte ptr cs:[v59E+si]
                mov     bl,byte ptr cs:[v598+si]
		xor	bh,bh			; Zero register
                call    getScreenPos
                mov     bl,byte ptr cs:[v59A+si]
		xor	bh,bh			; Zero register
                add     dl,byte ptr cs:[v8B6+bx]
		shl	bx,1			; Shift w/zeros fill
                add     di,word ptr cs:[v8C2+bx]
		call	modifySprite		;sub_40
		push	di
		push	dx
		mov	al,71h			; 'q'
		call	starttime		; start the timer
		call    draw2Screen		; draw a bang
		pop	dx
		pop	di
		call	fireGunSound
		call	delaytime		; wait a bit
		mov	al,1Bh
                call    draw2Screen		; erase bang
                mov     al,byte ptr cs:[v59A+si]
                mov     bl,byte ptr cs:[v598+si]
		call	colDetect?		;sub_121
		cmp	al,40h			; '@'
		jne	loc_ret_563		; Jump if not equal
                
		;
		; we've been hit! (I think)
		;

		call    getRand
		add	al,10h
                mov     bl,cs:[skillLevel]      ;data_383e
		xor	bh,bh			; Zero register
                cmp     al,cs:[v439e+bx]        ;data_537e[bx]
		jae	loc_ret_563		; Jump if above or =
		call	adjustHealth		;sub_132
		jnc	loc_ret_563		; Jump if carry=0
		jmp	captured		;loc_617

loc_ret_563::
		retn






loc_564::
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0

		mov	al,1Dh
	     	call	speaker_high		; optimized
		
		call	sub_153
		call	sub_141			; added to simplify

		push	si
                mov     si, 80h                 ;data_26e
loc_565::
                mov     al,cs:[v597+si]         ;data_400e[si]
		cmp	al,10h
		jne	loc_566			; Jump if not equal
		call	sub_153
		call	sub_141			; added to simplify

		mov	al,1
		call	sub_141
		pop	si
		retn
loc_566::
		add	si,10h
		cmp	si,100h
		jne	loc_565			; Jump if not equal
		mov	al,5
		call	sub_141
		pop	si
		retn
shootingGuard	endp		;sub_131		endp


;
;                              SUBROUTINE
;

adjustHealth	proc	near		;sub_132		proc	near
                mov     bl, byte ptr cs:[health+1]; data_387e+1
		xor	bh, bh			; Zero register
		cmp	bx, 2
		jb	loc_567			; Jump if below
		stc				; Set carry flag
		retn
loc_567::
                inc     byte ptr cs:[health+1]    ;data_387e+1
                mov     al,cs:[v4487+bx]          ;data_538e[bx]
                mov     byte ptr cs:[health], al  ;data_387e,al
                mov     cs:[v4ff], al             ;data_386e,al
                mov     al,cs:[v4489+bx]          ;data_539e[bx]
                mov     cs:[v4d3], al             ;data_353e,al
                mov     cs:[v4d4], al             ;data_354e,al

		or	bl, bl			; Zero ?
		mov	bx, 52h
		jz	loc_568			; Jump if zero
		inc	bx
loc_568::
                call    locateAndPrint          ; 'you're wounded'/'severely'
		clc				; Clear carry flag
		retn
adjustHealth	endp		;sub_132		endp

		

v4487  		db 12h, 52h	 	;12h   	; 4487
v4489		db 16h, 76h 		;4489


v448b		db 01, 02, 04, 05, 06, 08, 09, 0ah, 00
v4494		db 01, 09, 06, 00, 05, 01, 04, 00, 0ah, 08, 02, 00
v44a0		db 02, 05, 0ah, 00, 06, 04, 02, 00, 09, 01, 08, 00h

		
deadguy:		     			;@44ac

		call	sub_153			;4ad5
		call	sub_141			; added to simplify

                call    getRand                  ;84d
		mov	al, 0
		js	asdfg

;
;                              SUBROUTINE
;

sub_134		proc	near
		mov	al,6
asdfg::
		call	sub_141
                cmp     byte ptr cs:[v599+si], 0ffh     ;data_402e[si],0FFh
		jne	loc_571			; Jump if not equal
		retn



loc_571::
                mov     byte ptr cs:[v597+si], 40h      ;data_400e[si],40h      ; '@'
                mov     byte ptr cs:[v59a+si], 0        ;data_403e[si],0
                mov     bl,cs:[v598+si]         ;data_401e[si]
		xor	bh,bh			; Zero register
                mov     byte ptr cs:[v54f+bx], 0        ;data_396e[bx],0
		call	sub_135
                mov     bl,cs:[v598+si]         ;data_401e[si]
		add	bl,8
                mov     cs:[v598+si], bl        ;data_401e[si],bl
		jmp	loc_121
sub_134		endp

v44e9		db	 40h, 40h, 43h, 00h, 41h, 41h
		db	 41h, 00h, 42h, 42h, 42h, 00h

;
;                              SUBROUTINE
;

sub_135		proc	near
                mov     di,cs:[v5a4+si]         ;data_413e[si]
		mov	dx,di
		and	dx,7Fh
		shr	di,1			; Shift w/zeros fill
		and	di,0FFC0h
		mov	cx,303h
		jmp	putSprite?		;loc_144
sub_135		endp



v450b:
                mov     byte ptr cs:[v59d+si], 0        ;data_406e[si],0
                cmp     byte ptr cs:[v59b+si], 5       ;data_404e[si],5
		jae	loc_572			; Jump if above or =
                cmp     byte ptr cs:[v59b+si], 3 ; data_404e[si],3
		jae	loc_ret_576		; Jump if above or =
                mov     byte ptr cs:[v59b+si], 0       ;data_404e[si],0
loc_572::
		jmp	loc_531
loc_573::
                cmp     byte ptr cs:[skillLevel],3      ;data_383e,3
		jb	loc_574			; Jump if below
                mov     cs:[v3852], si          ;data_530e,si
                mov     byte ptr cs:[v384f], -1 ;data_528e,0FFh
		call	sub_105
                mov     si,word ptr cs:[v3852]
		jc	loc_574			; Jump if carry Set
                mov     byte ptr cs:[v59B+si],3
loc_574::
		jmp	loc_595
loc_575::
                cmp     byte ptr cs:[v59B+si],3
		jae	loc_ret_576		; Jump if above or =

		call	deadGuy			;*
                mov     byte ptr cs:[v59B+si],4
		jmp	loc_595

loc_ret_576::
		retn
		
		
v455a:							;* No entry point to code
                mov     al, byte ptr cs:[v59b+si]        ;data_404e[si]
		cmp	al,3
		jb	loc_583			; Jump if below
		cmp	al,5
		jae	loc_577			; Jump if above or =
		retn
loc_577::
                cmp     byte ptr cs:[v4f3], 0   ;data_377e,0
		jne	loc_578			; Jump if not equal
                test    byte ptr cs:[v59d+si], 1        ;data_406e[si],1
		jz	loc_578			; Jump if zero
		call	sub_120
loc_578::
                cmp     word ptr cs:[v3850], 0  ;data_529e,0
		jne	loc_580			; Jump if not equal
                mov     byte ptr cs:[v59b+si], 5       ;data_404e[si],5
                call    getRand
		cmp	al,0C4h
		jb	loc_579			; Jump if below
                mov     word ptr cs:[v3850], 2  ;data_529e,2
                mov     byte ptr cs:[v3808], 1  ;data_498e,1
loc_579::
		jmp	loc_595
loc_580::
                dec     word ptr cs:[v3850]     ;data_529e
		jnz	loc_581			; Jump if not zero
                inc     byte ptr cs:[v59b+si]  ;data_404e[si]
		mov	al,87h
		jmp	short loc_582
loc_581::
		mov	al,82h
loc_582::
		call	sub_141
		mov	al,2
		call	sub_141
		jmp	loc_595
loc_583::
                cmp     byte ptr cs:[v5a3+si], 0        ;data_412e[si],0
		je	loc_586			; Jump if equal

                mov     al, byte ptr cs:[v59b+si]        ;data_404e[si]
		push	ax
		call	sub_124
		pop	ax
                mov     byte ptr cs:[v59b+si], al      ;data_404e[si],al
                mov     byte ptr cs:[v599+si], 0ffh     ;data_402e[si],0FFh
                test    byte ptr cs:[v59d+si], BIT0        ;data_406e[si],1
		jz	loc_584			; Jump if zero
		jmp	loc_590
loc_584::
                cmp     byte ptr cs:[v3808], 0  ;data_498e,0
		je	loc_585			; Jump if equal
                mov     byte ptr cs:[v59b+si], 1 ;data_404e[si],1
                mov     byte ptr cs:[v3808], 0  ;data_498e,0
                cmp     byte ptr cs:[v380b], 0  ;data_500e,0
		je	loc_585			; Jump if equal
		call	printSecretMessage	;sub_136
loc_585::
		jmp	loc_595
loc_586::
                mov     byte ptr cs:[v3804], 0  ;data_494e,0
                mov     word ptr cs:[v3855], 0  ;data_532e,0
loc_587::
                mov     bx,cs:[v3855]           ;data_532e
                inc     word ptr cs:[v3855]     ;data_532e
                mov     al,cs:[v448b+bx]        ;data_540e[bx]
		or	al,al			; Zero ?
		jz	loc_592			; Jump if zero
                mov     cs:[v3854], al          ;data_531e,al
                mov     bl,cs:[v598+si]         ;data_401e[si]
		call	sub_122			; collision detect?
		cmp	al,40h			; '@'
		jne	loc_587			; Jump if not equal
                mov     al,cs:[gunDir]            ;data_367e
		or	al,al			; Zero ?
		jz	loc_589			; Jump if zero
                cmp     byte ptr cs:[v4d9], 0   ;data_358e,0
		jne	loc_593			; Jump if not equal
		call	xlatDir			;sub_16
                cmp     al,cs:[v3854]           ;data_531e
		jne	loc_589			 ; Jump if not equal
                cmp     byte ptr cs:[v59b+si], 2 ;data_404e[si],2
		je	loc_588			 ; Jump if equal
                mov     byte ptr cs:[v59d+si], 1 ;data_406e[si],1
                mov     byte ptr cs:[v59b+si], 2 ;data_404e[si],2
		mov	al,5
		call	sub_141
		call	sub_104
loc_588::
		jmp	short loc_595

loc_589::
                cmp     byte ptr cs:[v59b+si], 2 ;data_404e[si],2
		je	loc_593			; Jump if equal

                test    byte ptr cs:[v59d+si], BIT0        ;data_406e[si],1
		jnz	loc_590			; Jump if not zero
		
                cmp     byte ptr cs:[v3804], 0  ;data_494e,0
		je	loc_594			; Jump if equal
loc_590::
                cmp     byte ptr cs:[v4f3], 0   ;data_377e,0
		jne	loc_591			; Jump if not equal
		call	sub_104
		call	sub_120
loc_591::
		jmp	loc_573
loc_592::
                cmp     byte ptr cs:[v59b+si], 2 ;data_404e[si],2
		je	loc_593			; Jump if equal
                cmp     byte ptr cs:[v3804], 0  ;data_494e,0
		jne	loc_590			; Jump if not equal
		jz	loc_595			; Jump if zero
loc_593::
                mov     byte ptr cs:[v59b+si], 0 ;data_404e[si],0
		jmp	short loc_590
loc_594::
                test    byte ptr cs:[v59d+si], BIT7     ;data_406e[si],80h
		jnz	loc_595			; Jump if not zero
                mov     byte ptr cs:[v381e], 0          ;data_516e,0
                mov     byte ptr cs:[v380c], 0          ;data_501e,0
                mov     byte ptr cs:[v381d], 0          ;data_515e,0
                mov     byte ptr cs:[v5a3+si], BIT7     ;data_412e[si],80h
		mov	al,1
		call	sub_141
		call	sub_130
                mov     byte ptr cs:[v59b+si], 1 ;data_404e[si],1
loc_595::
		push	si
		call	sub_28
		pop	si
                cmp     byte ptr cs:[v59b+si],1 ;data_404e[si],1
		jne	loc_ret_596		; Jump if not equal
                dec     byte ptr cs:[v59b+si]  ;data_404e[si]

loc_ret_596::
		retn

;
;                              SUBROUTINE
;
; random message from bribing desk clerk guys.
printSecretMessage proc near ;sub_136		proc	near

		
		mov	bx,2
                call    locateAndPrint                  ; '  '
                call    getRand
		and	al,7
		shl	al,1			; Shift w/zeros fill
		cbw				; Convrt byte to word
		mov	di,ax
                jmp     word ptr cs:[v46da+di]  ;data_543e[di]  ;*1 entry
printSecretMessage endp	;sub_136		endp


v46da		dw	offset	v46EA
		dw	offset  loc_598		;->4704
		dw	offset	v4730		; print  'circuit breaker'
		dw	offset	v4741		; print messages
		dw	offset  v4741
      		dw	offset  v4741
		dw	offset  v4741
		dw	offset	loc_598


v46ea:
                mov     bl,cs:[v4eb]            ;data_370e
		xor	bh,bh			; Zero register
		dec	bx
                mov     al,cs:[keyz+bx]        ;data_385e[bx]
		xor	bx,bx			; Zero register
loc_597::
		inc	bx
		shr	al,1			; Shift w/zeros fill
		jnc	loc_597			; Jump if carry=0
		mov	dx,bx
		mov	bx,56h			; 'PASS'
		jmp	printMsg		;loc_237

		
		
loc_598::
                call    getRand
		and	al,7   			; # between 1 and 7
		jz	loc_598			; Jump if zero
		cbw				; Convrt byte to word
		mov	bx,ax
		mov	cx,3

locloop_599::
                mov     dl,cs:[v4c7+bx]        ; data_350e[bx]
		and	dl,0Fh
		cmp	dl,0Ah			; 
		jb	loc_600			; Jump if below
		and	dl,7
loc_600::
		push	bx
		push	cx
		xor	dh,dh			; Zero register
		mov	bx,21h			; ' '
                call    printMsg
		pop	cx
		pop	bx
		inc	bx
		loop	locloop_599		; Loop if cx > 0
		retn




v4730:
			                        ;* No entry point to code
		mov	dx,1
                test    byte ptr cs:[v4c7], 1   ;data_350e,1
		jnz	loc_601			; Jump if not zero
		inc	dx
loc_601::
                mov     bx, 57h                 ;data_25e 'circuit breaker'
		jmp	printMsg		;loc_237

		
v4741:	
		mov	bx,di
		shr	bx,1			; / 2
		add	bx,55h
		jmp	printMsg		;loc_237

		
		db	 00h, 00h, 00h, 00h, 00h

v4750		db	 0Bh		; speaker delay values depending 
		db	 0Ah, 0Bh	; on voice sample to play
		db	 0Ch, 0Dh


		db	14 dup (0Eh)
shootFlag	db	0		;v4763		db	0
v4764		db	32 dup (0)	;4764-4783
speakerDelay2	dw	0eh  ;v4784  	dw	0Eh		;@4784-5

cpuType         db      0               ;4786 1 if PCjr (slow!)
v4787		dw	0		;4787-8
v4789		dw	0		;4789-a
		
speakerDelay	db	0	;v478b	  db	0   	;478b  ; speaker delay amount?
soundEnabled	db	TRUE	;v478c		db	0		;478c
clickSound	dw	200h

; speaker timing delays
v478d		dw	 1602h 		;478d-e
v478f		dw	 986Fh	        ;478f-90
v4791		dw	 2205h  	;4791-2
v4793		dw	 0a411h 	;4793-4


v4795		db	 00		;4795
v4796		db	 0		;4796
easyFlag	db       0		;4797  0=easy
v4798		db	 1Fh		;4798
v4799		db	 0Fh		;4799
v479a		db	 07h 		;479a

v479b		db	 00h, 22h  	;479b-c  ; message numbers
     		db	 23h, 24h	;479d-e
		db	 25h, 20h, 00h	;479f-a1
capCounter	db	0	;v47a2 pretty much useless counter

alarmSounding	db	0		;jl added flag for no footsteps

timeOuts	dw	 7c00h 		;47a3 timeout values for
     		dw	 7800h 		; checking gun trigger?
		dw	 7400h
		dw	 7000h
		dw	 7c00h
		dw	 7800h
		dw	 7400h
		dw	 7000h
		dw	 8000h
		dw	 8000h
		dw	 8000h

		






loc_602::
                call    guardAlert              ; uh oh! sub_142
                mov     word ptr cs:[v4789],0
                mov     word ptr cs:[v4787],0
		retn

;
;                              SUBROUTINE
;
; get rid of this junk.  now v4797 is set before entry.
;sub_137		proc	near
;               mov     byte ptr cs:[easyFlag],1
;		jmp	short loc_603

; External Entry into Subroutine 

checkAlarm proc                            ;sub_138 proc
;               mov     byte ptr cs:[easyFlag],0
;loc_603::
                mov     byte ptr cs:[shootFlag],0
                cmp     byte ptr cs:[v4F3],0
		je	noAlarm			;loc_609 

		test    byte ptr cs:[v4F3], BIT7
		jnz	noAlarm			;loc_609
		
		mov	cs:[alarmSounding], -1


; sound the alarm!		

		mov	dx,0A00h
                cmp     byte ptr cs:[cpuType],0
		je	loc_604			; Jump if equal
		shr	dx,1			; 1/2 on the PCjr
loc_604::
		xor	bx,bx			; Zero register
loc_605::


	 	cmp	word ptr cs:[sbBase], -1
	 	jz	speakerAlarm

	 	call	sbAlarm

		push	bx
		push	dx
		call	testFireButton		;sub_139
		pop	dx
		pop	bx

	 	jmp	loc_ret_608

speakerAlarm:


	  	push	cx
		mov	cx, 40
		cmp	cs:[cpuType], 0		; pcjr=1, 8088=80h
		jz	alarmLoop
		shr	cx, 1			; 1/2
		shr	cx, 1			; 1/4
		shr	cx, 1			; 1/8
		shr	cx, 1			; 1/16
alarmLoop:
		in	al, 80h
		loop	alarmLoop
		pop	cx

;jl		mov	cx,0Eh			; tiny delay
;jllocloop_606::
;jl		loop	locloop_606		; Loop if cx > 0


		inc	bx
                cmp     bl, cs:[v18d1]             ;data_197
		jb	loc_607			; Jump if below
                call    speaker_toggle
		xor	bx,bx			; Zero register
loc_607::
		dec	dl
		jnz	loc_605			; Jump if not zero
		
		push	bx
		push	dx
		call	testFireButton		;sub_139
		pop	dx
		pop	bx
		dec	dh
		jnz	loc_605			; Jump if not zero

	    	call	starttime
		call	delaytime		
		call	starttime
		call	delaytime
		
		cmp	[v18d1], 0		; data_197,0
		je	loc_ret_608		; Jump if equal
		dec	[v18d1]			;data_197
	     		

loc_ret_608::
		retn





noAlarm::					;loc_609::
                mov     si, 80h                 ;data_26e
		xor	bx,bx			; Zero register
loc_610::
                cmp     byte ptr cs:[v597+si],10h
		je	loc_611			; Jump if equal
                cmp     byte ptr cs:[v597+si],50h      ; 'P'
		jne	loc_611			; Jump if not equal
		
		inc	bx
		inc	bx
loc_611::
		add	si,10h
		cmp	si,100h
		jne	loc_610			; Jump if not equal

		; reaction time based on skill level?
                mov     cx,word ptr cs:[timeOuts+bx]
                cmp     byte ptr cs:[easyFlag],0
		je	loc_612			; Jump if equal
                
                cmp     byte ptr cs:[bombSet],0
		je	loc_612			; Jump if equal
		sub	cx,1000h



		;TODO time this out

loc_612::
		mov	cx, 500h		; jl added: 5 loops.

;                cmp     byte ptr cs:[cpuType],0
;		je	loc_613			; Jump if equal
;		shr	cx,1			; Shift w/zeros fill
loc_613::
;
;		dec	cl
;		jnz	loc_613			; Jump if not zero

	    	call	starttime
		call	delaytime		
		push	cx
		call	testFireButton		;sub_139
		pop	cx
		dec	ch
		jnz	loc_613			; Jump if not zero
		retn
checkAlarm endp            ;sub_138  endp  ; was 137


sbAlarm proc
		push	ax
		push	bx
		push	cx
		push	dx
		mov	dx, cs:[sbBase]
	
		call	starttime
		call	delaytime
		call	starttime
		call	delaytime
	
		mov	ax, cs:[sampleSeg]	 ; needed a 2nd 64k
		add	ax, 1000h			
		mov	bx, offset soundblasterSeg2:alarm ; load offset
                add	bx, 400
		mov     cx, 6850 ;78            ; # of samples
	    	call	playSample

		call	starttime
		call	delaytime
		call	starttime
		call	delaytime

		pop	dx
		pop	cx
		pop	bx
		pop	ax
		ret
sbAlarm endp


;
;                              SUBROUTINE
;

testFireButton 	proc	near
                cmp     byte ptr cs:[shootFlag],0 ; shot already fired?
		jne	loc_ret_616		; Jump if not equal
		
		
		; this checks to see if a JMP has turned into a JB!

		cmp	cs:[codeModify], 72h		;data_135,72h		; 'r'
		jne	loc_614			; Jump if not equal

	      

	
		; read joystick
		mov	dx,201h
		in	al,dx			; port 201h, start game 1-shots
		and	al,10h
		jz	loc_615			; Jump if zero
loc_614::
	

		mov	ah,1
		int	16h			; Keyboard i/o  ah=function 01h
						;  get status, if zf=0  al=char
		jz	loc_ret_616		; Jump if zero

		cmp	al,6Ch			; 'l'  ;fire?
		jne	loc_ret_616		; Jump if not equal
		
		mov	ah,0
		int	16h			; Keyboard i/o  ah=function 00h
						;  get keybd char in al, ah=scan
loc_615::
	
		call	shoot			; sub_9
                inc     byte ptr cs:[shootFlag]

loc_ret_616::
		retn
testFireButton	endp



captured:				;loc_617::
                mov     byte ptr cs:[capCounter],4 ; why not use loop?
loc_618::
		call	screenGarbage
		call	screenGarbage
		mov	al,0FFh
                call    speaker_low
		mov	al,0FFh
                call    speaker_low
                dec     byte ptr cs:[capCounter]
		jnz	loc_618			; Jump if not zero
		jmp	caught




;
;                              SUBROUTINE
;

sub_140		proc	near
                mov     cs:[v4795], al          ;data_549e,al
                mov     cs:[v4796], bl          ;data_550e,bl
		mov	cl,0FFh
loc_619::
		dec	bl
		jnz	loc_620			; Jump if not zero
                call    speaker_toggle
		mov	bl,0
loc_620::
		dec	cl
		jnz	loc_619			; Jump if not zero
                dec     byte ptr cs:[v4795]     ;data_549e
		jnz	loc_619			; Jump if not zero
		retn
sub_140		endp


;
;                              SUBROUTINE
;
; input: al=? 83-86h
;
sub_141		proc	near
;loc_621::
		push	bx
		push	ax
                mov     bx,word ptr cs:[v4787]
                mov     byte ptr cs:[v4764+bx],al
		inc	bx
		and	bx,1Fh
                mov     word ptr cs:[v4787],bx
		pop	ax
		pop	bx
		retn
sub_141		endp


;
;                              SUBROUTINE
;

; you've been spotted by a guard and he wants your attention in a big way.

guardAlert      proc    near            ;sub_142 proc   near @48ea
;loc_622::
                mov     bx,word ptr cs:[v4789]  ; alarm not set?
                cmp     bx,word ptr cs:[v4787]
		jne	loc_623			; Jump if not equal
		retn
loc_623::
	
		mov     al,byte ptr cs:[v4764+bx]
		inc	bx
		and	bx,1Fh
                mov     word ptr cs:[v4789],bx
		or	al,al			; Zero ?
		jns	loc_624			; Jump if not sign
		and	al,7Fh
		cbw				; Convrt byte to word
		mov	di,ax
                mov     al,cs:[v4750+di]        ;data_293[di]
                mov     byte ptr cs:[speakerDelay2],al
                jmp     short guardAlert                ; loc_622
loc_624::
		
		cbw				; Convrt byte to word
		mov	di,ax
		xor	bh,bh			; Zero register
                mov     bl,byte ptr cs:[v479B+di]
		or	bl,bl			; Zero ?
		jz	loc_625			; Jump if zero

		push	di
		push	bx
		xor	dx,dx			; Zero register
		mov	di,1CC0h
		mov	cx,128h
                call    putSprite?
		mov	dx,1708h		
                call    locate
		pop	bx
                call    printMsg	        ; stop! heil! come here! etc
		pop	di

;
; play a voice sample over the speaker
;

loc_625::
		cmp	cs:[sbBase], -1
		jz	speakerOnly
;
; soundblaster patch - DI= voice patch # to play
;
		
		push	bx
		push	dx
		mov	dx, cs:[sbBase]
 		
		mov	ax, cs:[sampleSeg] 		; needed a 2nd 64k

		cmp	di, 0
		jnz	noShift

		;
		; if sample to play is 0, it's a death scream.
		; to add some fun to the game, randomly change the pitch
		;
		call	changePitch
		
noShift:		
		cmp	di, 4			 	; segment for all data
		jbe	gotSeg
		add	ax, 1000h
gotSeg:		
		shl	di, 1				; make word value
		mov	bx, cs:[sbVoiceTable+di]	; load offset
		mov	cx, cs:[sbVoiceTableSize+di]	; load # of samples


		call	playSample
		mov	cs:[samplePlaying], -1		; set wait flag
		mov	cs:[pitch], DEFAULT_PITCH	; restore pitch
		mov	cx, 4000			; timeout
wait4Sample:
		cmp	cs:[samplePlaying], -1		; hang until sample
		jnz	sampleFinished			; is finished.
		call	starttime
		call	delaytime
		loop	wait4Sample

sampleFinished:
		mov	cs:[samplePlaying], 0		; cleanup in case no IRQ
		pop	bx
		pop	dx
		jmp	loc_631

; randomly change the pitch of the death scream
changePitch proc
		push	ax
		call	getRand
		test	al, 10h				; pos or neg?
		pushf
		and	al, 0fh				; max range
		add	cs:[pitch], al
		popf
		jz	exitCP
		sub	cs:[pitch], al
		sub	cs:[pitch], al
exitCP:
		pop	ax
		ret
changePitch endp




sbVoiceTable	dw	offset soundBlasterSeg:aaah    
		dw	offset soundBlasterSeg:halt    
		dw	offset soundBlasterSeg:heil
		dw	offset soundBlasterSeg:comeHere
		dw	offset soundBlasterSeg:yourPass
		dw	offset soundBlasterSeg2:Alert
		dw	offset soundBlasterSeg2:girly	; high pitch shriek		                
		
sbVoiceTableSize dw	11508	; # of samples to play
		 dw	7800	;38
		 dw	8812
		 dw	13300	;88
		 dw	16000 	;92
		 dw	12040	;1996
		 dw	12250	


speakerOnly:
		shl	di,1			; *2 make word values
                mov     di,cs:[voiceTable+di]  ; data_552e[di]
					       ; this is a voice table
		push	ds
 
   		mov     si, cs:[speakerDelay2]     ; data_545e
                
		cmp     byte ptr cs:[cpuType],0 ; data_546e,0
   		je	loc_626			; Jump if equal
   		shr	si,1			; 1/4 delay if PCjr
   		shr	si,1			; 
loc_626::
                call    setDSto0D00

 
loc_627::
		inc	di     			; next sample 
                mov     cl, ds:[di]		; load sample  
		mov	dl, cl			; sample->dl
		add	cx, 2			; ch should be 1 from above
		shr	cx, 1			; 
	       

locloop_628:: 
	      	mov	bx, cx			; save cx

;TODO if cpu=8088, do loop based delay.  Otherwise do IN delay.
; might want to change that for 286, 386 cuz they're too slow to do 60 in's
; in ~45us
		
;	      	mov	cx, si			; speaker delay
;locloop_629:: 
;	      	loop	locloop_629		; Loop if cx > 0


		mov 	cx, 60			; 60us delay, roughly
                test    cs:[flags], IN_WIN
                jz      notWindowsDelay
                shr     cx, 1                   ; if under windows
		shr	cx, 1			; cut delay to 1/8
		shr	cx, 1			;
notWindowsDelay:

		;
		; if we're under windows, this should be 1/2 ish.
		;
		cmp	cs:[cpuType], 0		; 1=PCjr, 80h=8088, 0=other
		jz	tinyDelay
		shr	cx, 1
		shr	cx, 1			; 1/4 delay
		shr	cx, 1			; 1/8 delay
		shr	cx, 1			; 1/16 delay 
		

tinyDelay:					;
		in	al, 80h			; read debug port-harmless
		loop 	tinyDelay

		mov	cx, bx			; restore cx
	      	loop	locloop_628		; Loop if cx > 0


		cmp	dl, 0FEh		; silence
		ja	loc_630			; FF=end of voice
		jz	loc_627			; no sound if FE
		
		cmp	cs:[soundEnabled], FALSE
		je	loc_627

		in	al, 61h			; port 61h, 8255 port B, read
	  	and	al, NOT BIT0		; clear gate timer 2
	  	xor	al, BIT1		; toggle speaker data enable
	  	out	61h, al			; port 61h, 8255 B - spkr, etc
		jmp	short loc_627

loc_630::
		pop	ds

loc_631::
		
		mov	ah,1
		int	16h			; Keyboard i/o  ah=function 01h
						;  get status, if zf=0  al=char
		jz	loc_ret_632		; Jump if zero
		cmp	al, 6Ch			; 'l'
		jne	loc_ret_632		; Jump if not equal
		mov	ah, 0
		int	16h			; Keyboard i/o  ah=function 00h
						;  get keybd char in al, ah=scan
		jmp	short loc_631

loc_ret_632::
		retn
guardAlert      endp

	                        
voiceTable	dw	offset vbcw030		;0030h  ;@4989 aaah    
		dw	offset vbcw615		;0615h	       halt
		dw	offset vbcw915		;0915h	       heil
		dw	offset vbcwed7		;0ed7h	       come Here
		dw	offset vbcw1748		;1748h	       yourPass
		dw	offset vbcw1f89		;1f89h	       Alert
		dw	offset vbcw26dc		;26dch


caught::
				
                call    cls
		mov	dx,0C0Eh		; row, col (center screen)
                call    locate
		mov	bx,5Dh			; "they got you!"
                call    printMsg		
loc_634::
;		mov	bx,7
;
;locloop_635::
;		loop	locloop_635		; Loop if cx > 0
;
;		dec	bx
;		jnz	locloop_635		; Jump if not zero

		mov	bx, 50
w:
		call	startTime
		call	delayTime
		dec	bx
		jnz	w

	      	jmp	loc_411				; loc_402

;
;                              SUBROUTINE
;

blast		proc near		;sub_143		proc	near
		mov	bx, 10
loc_636::
		call	crashSound
		mov	ax,bx
		push	bx
		call	screenGarbage
		pop	bx
		dec	bx
		jnz	loc_636			; Jump if not zero
		retn
blast		endp	;sub_143		endp


;
;                              SUBROUTINE
;

sub_144		proc	near
                mov     al,byte ptr cs:[v4F5]
                sub     al,byte ptr cs:[roomIndex]
		jns	loc_637			; Jump if not sign
		xor	al, 0FFh
		inc	al
loc_637::
		xor	bx,bx			; Zero register
		cmp	al, 25 			; 19h
		jb	loc_638			; Jump if below
		inc	bx
		cmp	al, 49			;31h 	; '1'
		jb	loc_638			; Jump if below
		inc	bx
loc_638::
                mov     al,byte ptr cs:[v4798+bx]
		mov	[v18d1], al		; data_197,al
		retn
sub_144		endp


;
;                              SUBROUTINE
;

do_speaker	proc	near
		mov	al, 25			;19h
                call    speaker_low
		mov	al, 64			;40h   ; '@'
		jmp	short speaker_low	;loc_640
			                        ;* No entry point to code
		nop
		mov	al,0Fh
                call    speaker_high

		mov	al,1Dh			; added after below optimize

; External Entry into Subroutine 
;
;speaker_something::
;loc_639::
;		mov	al,1Dh
;                jmp     speaker_high                 ; delay for I/O
;		nop

; External Entry into Subroutine 

speaker_high::
		push	ax
		push	bx
		xor	bx,bx			; Zero register
		xor	ah,ah			; Zero register
		jmp	short loc_641

; External Entry into Subroutine 
; entry al=mask and delay value?
speaker_low::
;loc_640::
		push	ax
		push	bx
		xor	ah,ah			; Zero register
		mov	bx,ax
		inc	bx
loc_641::
                mov     word ptr cs:[v4791],ax
                mov     word ptr cs:[v4793],bx
		mov	bx,9
loc_642::
                mov     ax,word ptr cs:[v478F]
                and     ax,word ptr cs:[v4791]
                or      ax,word ptr cs:[v4793]
		mov	cl,al
		xor	ch,ch			; Zero register
		shl	cx,1			; *2


		; cpu based delay replaced with a 1us in command
		cmp	cs:[cpuType], 0		;1,80h=8088 based
		jz	locLoop_643
		shr	cx, 1			; 1/2 delay

locloop_643::
     		push	ax
     		in	al, 80h
     		in	al, 80h
		pop	ax

		loop	locloop_643		; Loop if cx > 0

noDelay:
                call    speaker_toggle
                mov     ax, word ptr cs:[v478D]
                ror     word ptr cs:[v478D],1   ; Rotate
                ror     word ptr cs:[v478F],1   ; Rotate
		ror	ax,1			; Rotate
                test    ax,word ptr cs:[v478F]
		jns	loc_644			; Jump if not sign
		or	ax,10h
loc_644::
                test    ax,word ptr cs:[v478F]
		jno	loc_645			; Jump if not overflw
		or	ax,4
loc_645::
                xor     ax,word ptr cs:[v478D]
                mov     word ptr cs:[v478D],ax
		dec	bx
		jnz	loc_642			; Jump if not zero
		pop	bx
		pop	ax
		retn
do_speaker	endp


;
;                              SUBROUTINE
;

speaker_short   proc    near
;                mov     byte ptr cs:[speakerDelay], 1  ;data_548e,1
;		jmp	short loc_646
;		db	90h

; External Entry into Subroutine 

;speaker_long::
;                mov     byte ptr cs:[speakerDelay],2
;loc_646::
                call    speaker_toggle
                mov     al,byte ptr cs:[speakerDelay]
                call    speaker_delay
                call    speaker_toggle
                shl     byte ptr cs:[speakerDelay],1   ; double delay
                mov     al,byte ptr cs:[speakerDelay]
                call    speaker_delay
                call    speaker_toggle
		retn
speaker_short   endp


;
;                              SUBROUTINE
;

crashSound	proc	near

		cmp	cs:[sbBase], -1
		jz	speakerCrash

		;
		; play a crash sound over the soundblaster.
		;

		push	ax
		push	bx
		push	cx
		push	dx
		mov	dx, cs:[sbBase]

		mov	ax, cs:[sampleSeg]	 ; needed a 2nd 64k
		add	ax, 1000h			
                mov     bx, offset soundblasterSeg2:crash ; load offset
                mov     cx, 1200                 ; # of samples
	    	call	playSample

		
		pop	dx
		pop	cx
		pop	bx
		pop	ax
		ret



speakerCrash:
		push	ax
		push	bx
		mov	al,1Fh
                call    speaker_low
		mov	al,1Fh
                call    speaker_high
		mov	al,3Fh			; '?'
                call    speaker_low
		mov	al,3Fh			; '?'
                call    speaker_high
		mov	al,7Fh
                call    speaker_low
		mov	al,7Fh
                call    speaker_high
		mov	al,7Fh
                call    speaker_high
                cmp     byte ptr cs:[cpuType], 0  ;data_546e,0
		jne	loc_647			; Jump if not equal
		mov	al,0FFh
                call    speaker_low
		mov	al,0FFh
                call    speaker_high
loc_647::
		mov	bl,0E0h
		mov	al,2
		call	sub_140
		pop	bx
		pop	ax
		retn
crashSound	endp

;
;                              SUBROUTINE
;

fireGunSound	proc	near

		cmp	cs:[sbBase], -1
		jz	speakergun

		;
		; play a crash sound over the soundblaster.
		;

		push	ax
		push	bx
		push	cx
		push	dx
		mov	dx, cs:[sbBase]

		mov	ax, cs:[sampleSeg]	 ; needed a 2nd 64k
		add	ax, 1000h
		lea	bx, soundBlasterSeg2:gun  ; load offset
                mov     cx, 6980                ; load # of samples
	   	call	playSample

		
		pop	dx
		pop	cx
		pop	bx
		pop	ax
		ret





speakerGun:
		push	ax
		push	bx
		mov	al,1Fh
                call    speaker_low
		mov	al,1Fh
                call    speaker_high
		mov	al,3Fh			; '?'
                call    speaker_low
		mov	al,3Fh			; '?'
                call    speaker_high
		mov	al,7Fh
                call    speaker_low
		mov	al,7Fh
                call    speaker_high
		mov	al,7Fh
                call    speaker_high
                cmp     byte ptr cs:[cpuType], 0  ;data_546e,0
		jne	loc_647_2		; Jump if not equal
		mov	al,0FFh
                call    speaker_low
		mov	al,0FFh
                call    speaker_high
loc_647_2::
		mov	bl,0E0h
		mov	al,2
		call	sub_140
		pop	bx
		pop	ax
		retn
fireGunSound	endp


;
;                              SUBROUTINE
;
; trashes the screen temporarily whenever the player hits a wall
;
screenGarbage	proc	near

		push	ds
		mov	ax, 0F800h
		mov	ds, ax
		mov	cx, 1000h
		mov	di, 2000h		;data_566e

locloop_648::
                mov     ax, ds:[di]
		xor	es:[di], ax
		add	di, 2
		loop	locloop_648		; Loop if cx > 0

		pop	ds
		mov	al, 0FFh
		call	crashSound

		cmp	cs:[cpuType], 0
		jnz	skipDelay
		call	startTime		; slight delay to show effect
		call	delayTime
skipDelay:
	  ;jl	call	speaker_low		;jmp	loc_640
		ret
screenGarbage	endp


;
;                              SUBROUTINE
;
; input: si=?
; outpt: al=83-86h
sub_153		proc	near			;@4ad5
		mov	ax,si
		
		shr	al,1			; Shift w/zeros fill
		shr	al,1			; Shift w/zeros fill
		shr	al,1			; Shift w/zeros fill
		shr	al,1			; Shift w/zeros fill

		and	al,3			; force to 0-3
		add	al,3			; make 3-6
		or	al,80h			; make 83-86
;		jmp	loc_621		; routine is called now 
sub_153		endp

		db	0C3h

;
;                              SUBROUTINE
;
; 
speaker_toggle     proc    near
		push	ax
                cmp     byte ptr cs:[soundEnabled], FALSE	;v478C],0
		je	loc_649			; Jump if not equal
		in	al, 61h			; port 61h, 8255 port B, read
		and	al, NOT BIT0		;0FEh
		xor	al, 2			; speaker data enable
		out	61h,al			; port 61h, 8255 B - spkr, etc
loc_649::
		pop	ax
		retn
speaker_toggle     endp


;
;                              SUBROUTINE
;

speaker_delay         proc    near
;input AL delay amount? WTF is this all about?  looks like a weird delay.

loc_650::
		push	ax
loc_651::
		push	ax
		pop	ax
		sub	al,1
		jnz	loc_651			; Jump if not zero
		pop	ax
		sub	al,1
		jnz	loc_650			; Jump if not zero
		sti				; Enable interrupts
		retn
speaker_delay         endp



; save the current game data to the savegame file.
; sorry, only 1 save game supported at this time.

saveGameFile proc 
	push	ax
	push	bx
	push	dx
	push	cx
	push	es
	push	ds

	call	createSaveFile
	mov	al, 1			; open write
	call	openFile	
	mov	cx, 8 * 4 * 512		; 32 sectors worth
	xor	dx, dx
    ;    mov	dx, 4
	call    esto900h                ; load ES to 900h
	push	es
	pop	ds
	mov	ah, 40h
	mov	bx, cs:[filehandle]
	int	21h

	call	closeFile
	
	pop	ds
	pop	es
	pop	cx
	pop	dx
	pop	bx
	pop	ax
	ret
saveGameFile endp

filename 	db 	"savegame.bcw",0
filehandle 	dw 	?
filehandleC	dw	?
filehandleA     dw      ?
filenameOptionC db	"optionc.dat",0
filenameOptionA db      "optiona.dat",0


; loads a saved game to 900:0
loadSavedGame proc 
	push	ax
	push	bx
	push	dx
	push	cx
	push	es
	push	ds
	mov	al, 0			; open read
	call	openFile
	jc	noSavedGame

	xor	dx, dx			
     ;   mov	dx, 4
	call    esto900h                ; load ES to 900h
 	push	es
	pop	ds
	mov	ah, 3fh			; load cmd

	mov	cx, 8 * 4 * 512	 	; 32 sectors
	
 	mov	bx, cs:[filehandle]	; load data to "900":0
	int	21h			;

	call	closeFile
nosavedGame:
 	pop	ds
	pop	es
	pop	cx
	pop	dx
	pop	bx
	pop	ax
	ret
loadSavedGame endp



; save data from 900:4 to optionC file
saveOptionC proc
	push	ax
	push	bx
	push	cx
	push	dx
        push	ds
	push	es
	
	push	cs
	pop	ds

	mov     dx, offset cs:filenameOptionC
	mov	al, 1		; write
	call	openFileGen
	; jc file open error 

	mov	bx, ax		; file handle
	
        mov	dx, 4
	call    esto900h                ; load ES to 900h
 	push	es
	pop	ds
	mov	ah, 3fh			; load cmd
	mov	cx, 8 * 4 * 512	 	; 32 sectors
	int	21h			;
	call	closeFileGen

	pop	es
	pop	ds
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	ret
saveOptionC endp





loadOptionC proc 
	push	ax
	push	bx
	push	dx
	push	cx
	push	es
	push	ds
	mov	al, 0			; open read
	call	openFileOptionC

	mov	cx, 32 * 512		; 32 sectors worth
        mov	dx, 4		
	call    esto900h                ; load ES to 900:4
 	push	es
	pop	ds
	mov	ah, 3fh			; load cmd

	
 	mov	bx, cs:[filehandleC]	; load data to "900":4
	int	21h			;

	call	closeFileOptionC

	pop	ds
	pop	es
	pop	cx
	pop	dx
	pop	bx
	pop	ax
	ret
loadOptionC endp


loadOptionA proc 
	push	ax
	push	bx
	push	dx
	push	cx
	push	es
	push	ds
	mov	al, 0			; open read
        call    openFileOptionA

	mov	cx, 32 * 512		; 32 sectors worth
        mov	dx, 4		
	call    esto900h                ; load ES to 900:4
 	push	es
	pop	ds
	mov	ah, 3fh			; load cmd

        mov     bx, cs:[filehandleA]    ; load data to "900":4
	int	21h			;

        call    closeFileOptionA

	pop	ds
	pop	es
	pop	cx
	pop	dx
	pop	bx
	pop	ax
	ret
loadOptionA endp


; entry: ds:dx points to filename
;        al=open mode.  1=write 0=read
openFileGen proc
	mov	ah, 3dh
	int	21h
	ret
openFileGen endp


openFileOptionC proc
	; open file, do not create a new one if it doesn't exist
        mov     dx, offset cs:filenameOptionC
        mov     ah, 3dh
 	int     21h             ; Openfile
        mov     cs:[filehandleC], ax          ; save handle
 	jnc     exitOC

	mov	ax, 3
	int	10h
	mov	ax, 1104h
	int	10h
	lea	dx, fileMisC
	mov	ah, 9
	int 	21h
	
	xor	ax, ax
	int	16h
	
	jmp	exitProgram
fileMisC db "Error, file: optionc.dat is missing!",CR,LF,"Press a key to exit.",CR,LF,"$"

exitOC:
	ret
openfileOptionC endp
openFileOptionA proc
	; open file, do not create a new one if it doesn't exist
        mov     dx, offset cs:filenameOptionA
        mov     ah, 3dh
 	int     21h             ; Openfile
        mov     cs:[filehandleA], ax          ; save handle
 	jnc     exitOA

	mov	ax, 3
	int	10h
	mov	ax, 1104h
	int	10h
	lea	dx, fileMisA
	mov	ah, 9
	int 	21h
	
	xor	ax, ax
	int	16h
	
	jmp	exitProgram
fileMisA db "Error, file: optiona.dat is missing!",CR,LF,"Press a key to exit.",CR,LF,"$"

exitOA:
	ret
openfileOptionA endp
closeFileOptionC proc
	;close file
        mov     ax, 3e00h
	mov	bx, cs:[fileHandleC]
	int     21h             ; close file
	ret
closeFileOptionC endp
closeFileOptionA proc
	;close file
        mov     ax, 3e00h
	mov	bx, cs:[fileHandleA]
	int     21h             ; close file
	ret
closeFileOptionA endp




openFile proc
	; open file, do not create a new one if it doesn't exist
        mov     dx, offset cs:filename
        mov     ah, 3dh
 	int     21h             ; Openfile
        mov     cs:[filehandle], ax          ; save handle
 ;	jc      fileerror
	ret
openfile endp

closeFile proc
	;close file
        mov     ax, 3e00h
	mov	bx, cs:[fileHandle]
	int     21h             ; close file
	ret
closeFile endp


; input bx=file handle
closeFileGen proc
	mov	ax, 3e00h
	int	21h
	ret
closeFileGen endp



; destroys the file if it exists.
createSaveFile proc
	; open file

        mov     dx, offset cs:fileName
        mov     ax, 3c00h
	mov	cx, BIT5		; 
 	int     21h             ; create file
	mov 	bx, ax
        mov     ax, 3e00h
        int     21h             ; close file
	ret
createSaveFile	endp



; starttime - read the current time of day and save the current ms
; used in conjunction with delaytime to return only after 1ms has passed.
;
;

starttime proc
		; save the current time (millisec)
                push    ax
                push    cx
                push    dx
		pushf
                
		mov     ah, 2ch
                int     21h
                mov     cs:[ms], dl            ; save current ms

		popf
		pop     dx
                pop     cx
                pop     ax
		ret
starttime	endp




; delaytime - wait at least 1ms before exiting.		
delaytime proc		
		push    ax
                push    cx
                push    dx
		pushf
witforit:
                mov     ah, 2ch
                int     21h
                cmp     dl, cs:[ms]
                jz      witforit

		popf
                pop     dx
                pop     cx
                pop     ax
		ret


ms	db	0
delaytime endp


memalloc	proc
; input: AX = # of paragraphs required
; output: AX = segment of block to use
	push	bx
	mov	bx, ax
	mov	ah, 48h
	int	21h
	pop	bx
	ret
memalloc	endp



;-- SETFREE: Release memory not used  ----------------
;-- Input    : ES = address of PSP
;-- Output   : none
;-- Register : AX, BX, CL and FLAGS are changed 
;-- Info     : Since the stack-segment is always the last segment in an 
;              EXE-file, ES:0000 points to the beginning and SS:SP
;              to the end of the program in memory. Through this the
;              length of the program can be calculated 
; call this routine once at the beginning of the program to free up memory
; assigned to it by DOS.

setfree   proc near

          mov  bx,ss              ;first subtract the two segment addresses
          mov  ax,es              ;from each other. The result is
          sub  bx,ax              ;number of paragraphs from PSP
                                  ;to the beginning of the stack
          mov  ax,sp              ;since the stackpointer is at the end of
          mov  cl,4               ;the stack segment, its content indicates
          shr  ax,cl              ;the length of the stack
          add  bx,ax              ;add to current length
          inc  bx                 ;as precaution add another paragraph

          mov  ah,4ah             ;pass new length to DOS
          int  21h
          ret                     ;back to caller

setfree   endp

cpuDetect proc
; 8088/8086 test - Use rotate quirk - All later CPUs mask the CL
;   register with 0Fh, when shifting a byte by cl bits.  This 
;   test loads CL with a large value (20h) and shifts the AX
;   register right.  With the 8088, any bits in AX are shifted 
;   out, and becomes 0.  On all higher level processors, the
;   CL value of 20h is anded with 0Fh, before the shift.  This
;   means the effective number of shifts is 0, so AX is 
;   unaffected.

        mov     cl, 20h            ; load high CL value
        mov     ax, 1              ; load a non-zero value in AX
        shr     ax, cl             ; do the shift
        cmp     ax, 0              ; if zero, then 8088/86
        jne     up186              ; jump if not 8088/86

; V20/V30 test - It is now either a V20/V30 or a 8088.  I'll use
;   another undocumented trick to find out which.  On the 8088,
;   0Fh performs a POP CS.  On the V20/V30, it is the start of
;   a number of multi-byte instructions.  With the byte string
;   0Fh, 14h, C3h the CPU will perform the following:
;               8088/8086               V20/V30
;             pop     cs              set1   bl, cl  
;             adc     al, 0C3h

        xor     al, al             ; clear al and carry flag
        push    cs
        db      0Fh, 14h, 0C3h     ; instructions (see above)
        cmp     al, 0C3h           ; if al is C3h then 8088/8086
        jne     upV20
        mov     ax, 0              ; set 8088/8086 flag
        jmp     uP_Exit

upV20:
        pop     ax                 ; correct for lack of pop cs
        mov     ax, 200h           ; set V20/V30 flag
        jmp     uP_Exit

; 80186/80188 test - Check what is pushed onto the stack with a 
;   PUSH SP instruction.  The 80186 updates the stack pointer 
;   before the value of SP is pushed onto the stack.  With all
;   higher level processors, the current value of SP is pushed
;   onto the stack, and then the stack pointer is updated.
        
up186:  
        mov     bx, sp             ; save the current stack ptr
        push    sp                 ; do test
        pop     ax                 ; get the pushed value
        cmp     ax, bx             ; did SP change ?
        je      up286              ; if not, it's a 286+ 
        mov     ax, 1              ; set 80186 flag
        jmp     up_Exit

up286:
        mov     ax, 2

uP_Exit:
        ret


cpuDetect endp



; examine the DOS version, CPU type and memory size.
; exits to DOS from here if the machine is too wimpy.
checkRequirements proc

		mov	ax, 3001h
		int	21h
		cmp	al, 2
		jae	DOSok

		; eek! we're on a really old version of DOS!

		lea	dx, dosVerMsg
		mov	ah, 9
		int	21h			; hope this works on DOS 1.x!

		mov	ax, 4c02h		; this too!
		int	21h
		jmp	$			; just in case

nonMemMsg       db      "Error: Insufficient memory to play Beyond Castle Wolfenstein",10,13,"$"
dosVerMsg	db	"Error: Beyond Castle Wolfenstein requires at least DOS 2.0",10,13,"$"

DOSok:
		mov	ax, cs
		mov	ds, ax
                call    setfree                 ; deallocate unused DOS memory
                
		mov     ax, (8 * 4 * 512) / 16  ; 32 sectors in paragraphs
                call    memAlloc                ; reserve for game scratchpad
		jc	memError
                mov     cs:[bufseg900], ax      ; save our segment


		mov     ax, (8 * 3 * 512) / 16  ; 32 sectors in paragraphs
                call    memAlloc                ; reserve for game scratchpad
                mov     cs:[bufsegD00], ax      ; save our segment
		jnc	enoughMem


memError:
		; eek!  we've run out of memory!

		lea	dx, nonMemMsg
		mov	ah, 9
		int	21h
		jmp	exitProgram

enoughMem:

                sti                             ; Enable interrupts
		cld				; Clear direction

		
		call	cpuDetect		; see if it's an 8088 or less
                cmp     ax, 2
                jz      cpuOK
                mov     cs:[cpuType], 80h       ; set flag for OLD cpu!

cpuOK:
                call    underWindows?           ; in a DOS shell?
                jnc     exitCSR
                or      cs:[flags], IN_WIN      ; set flag 
exitCSR:
                ret
checkRequirements endp
flags	dw	0			; misc flags, settable via cmd line
NOSB	equ	BIT0			; no soundblaster flag
IN_WIN  equ     BIT1                    ; running under windows flag


; examine the supplied command line and set flags as appropriate.

checkCommandLine proc
 	push    es
        push    ds
        push    bx
        push    si
	push	ax

        push    ds
        pop     es

        mov     ah, 51h                         ; get PSP
        int     21h
        mov     ds, bx

        mov     si, 80h
        xor	bh, bh
	mov     bl, byte ptr[si]
        add     si, bx
        inc     si

        mov     byte ptr[si], NULL              ; zero terminate

        mov     si, 81h
 	
cmdlineloop:
        lodsb

        cmp     al, " "                 ; found a space?
        jz      cmdlineloop
	cmp	al, "-"
	jz	checkSwitch
	cmp	al, "/"
	jz	checkSwitch
	cmp	al, NULL
	jz	exitCmdLine
	cmp	al, CR
	jz	exitCmdLine
	jmp	cmdlineloop

checkSwitch:
	cmp	word ptr ds:[si], "on"
	jnz	nextcmd

	cmp	word ptr ds:[si+2], "bs"
	jnz	nextcmd

	or	cs:[flags], NOSB
	add	si, 4
	jmp	cmdlineLoop

nextcmd:

	cmp	word ptr ds:[si], "uq"
	jnz	cmdlineloop
	cmp	word ptr ds:[si+2],"ei"
	jnz	cmdlineLoop
	cmp	byte ptr ds:[si+4], "t"
	jnz	cmdlineloop

	mov	cs:[soundEnabled], FALSE
	add	si, 5
	jmp	cmdlineLoop
exitCmdline:
	pop	ax
	pop	si
	pop	bx
	pop	ds
	pop	es

	ret
checkCommandLine endp
; underWindows? - detect if we're running in a DOS box.
; input: none
; outpt: CY set if running under NT or windows 9x/ME
;
underWindows?   proc public
        call    NTDetect
        jc      exitUW

	push    ax
	push	bx
	push	cx
	mov     ax, 160ah
        int     2fh
        cmp     ax, 160ah               ; returns 0 if supported.
	pop	cx
	pop	bx
	pop	ax
	clc
        jz      exitUW
        stc
exitUW:
        ret
underWindows?   endp

; returns CY if under NT based O/S
NTDetect proc public
	push	ax
	push	bx
	push	dx
	mov	ax, 3306h
	int	21h
        cmp     bx, 3205h               ; NT signature
        clc
        jnz     notNT
        stc
notNT:
	pop	dx
	pop	bx
	pop	ax
	ret
NTDetect endp


;===========================================================================
; soundblaster support
;===========================================================================

sbBase	dw	-1			; storage for base address of SB.

; input: dx=port address to check for ready
; outpt: CY set if timeout
sbReadReady? proc
        push    ax
        push    cx
        push    dx
        mov     cx, 1000                ; timeout counter
        add     dx, 0eh                 ; read status port
tryAgain:
        in      al, dx
        test    al, BIT7                ; ready status bit set?
        clc                             ; assume it is
        jnz     exit
        loop    tryAgain
        stc
exit:
        pop     dx
        pop     cx
        pop     ax
        ret
sbReadReady? endp

; input: dx=port address to check for ready
; outpt: CY set if timeout
sbWriteReady? proc
        push    ax
        push    cx
        push    dx
        mov     cx, 1000                ; timeout counter
        add     dx, 0ch                 ; write status port
@@:
        in      al, dx
        test    al, BIT7                ; ready status bit clear?
        clc                             ; assume it is
        jz      @f
        loop    @b
        stc
@@:
        pop     dx
        pop     cx
        pop     ax
        ret
sbWriteReady? endp

; input: dx=base address
; outpt: none
sbReset proc
        push    ax
        push    dx
        add     dx, 6                   ; point to reset port
        mov     al, 1                   ; send a 1, then a 0
        out     dx, al
        in	al, 80h			; do input for delay/flush
	mov     al, 0
        out     dx, al
        pop     dx
        pop     ax
        ret
sbReset endp



; input: dx=base address
; outpt: CY set if no SB detected
sbDetect proc
        push    ax
        push    cx
        call    sbReset			; this generates an IRQ
        call    sbReadReady?
        jc      exit

        mov     cx, 1000                ; timeout count
@@:
        call    sbRead
        cmp     al, 0AAh                ; A-ok signal
        clc
        jz      @f
        loop    @b
        stc
@@:
        pop     cx
        pop     ax
        ret
sbDetect endp

; set up IRQs for all possible soundblaster interrupts so we can determine
; which one is being used.
; input: none
; outpt: none, ISRs revectored to our test routine.  Old vectors saved
; in local storage.
snagISRs proc
	push	ax
	push	bx
	push	es
	; save all old interrupt vectors so we can restore them later.

	mov	al, 3
	call	getIRQVector
	mov	cs:[oldISR3Off], bx
	mov	cs:[oldISR3Seg], es

	mov	al, 5
	call	getIRQVector
	mov	cs:[oldISR5Off], bx
	mov	cs:[oldISR5Seg], es

	mov	al, 7
	call	getIRQVector
	mov	cs:[oldISR7Off], bx
	mov	cs:[oldISR7Seg], es


	; set all interrupt vectors to a tiny test routine that sets a flag
	; se we'll know which one fired an interrupt when the SB was reset.
	push	cs
	pop	es

	lea	bx, newISR3 		; test routine
	mov	al, 3
	call	setIRQVector
	lea	bx, newISR5 		; test routine
	mov	al, 5
	call	setIRQVector
	lea	bx, newISR7 		; test routine
	mov	al, 7
	call	setIRQVector
	
	pop	es
	pop	bx
	pop	ax
	ret
snagISRs endp

; restore any vector that we didn't see a signal from.
unsnagISRs proc
	push	ax
	push	bx
	push	es
	test	cs:[isrFlag], BIT3	
	jnz	restoreIRQ5
	
	mov	bx, oldISR3Seg
	mov	es, bx
	mov	bx, oldISR3Off
	mov	al, 3			; IRQ#
	call	setIRQVector		; restore this ISR
	
restoreIRQ5:
	test	cs:[isrFlag], BIT5	
	jnz	restoreIRQ7

	mov	bx, oldISR5Seg
	mov	es, bx
	mov	bx, oldISR5Off
	mov	al, 5		; IRQ#
	call	setIRQVector	; restore this ISR

restoreIRQ7:
	test	cs:[isrFlag], BIT7	
	jnz	exituISR

	mov	bx, oldISR7Seg
	mov	es, bx
	mov	bx, oldISR7Off
	mov	al, 7		; IRQ#
	call	setIRQVector	; restore this ISR

exituISR:		
	in	al, 21h			; get IRQ mask
	mov	ah, cs:[isrFlag]
	not	ah
	and	al, ah			; clear our IRQ
	out	21h, al			; set it in place

	pop	es
	pop	bx
	pop	ax
	ret
unsnagISRs endp

; set the SB IRQ vector to the routine that'll actually do some work.
setSBIRQroutine	proc
	push	ax
	push	bx
	push	es
	push	cs
	pop	es
	lea	bx, sbHandlerroutine
	mov	al, 3
	test	cs:[isrFlag], BIT3
	jnz	setRoutine
	mov	al, 5
	test	cs:[isrFlag], BIT5
	jnz	setRoutine
	mov	al, 7
	test	cs:[isrFlag], BIT7
	jz	noIRQ
setRoutine:
	call	setIRQVector
noIRQ:
	pop	es
	pop	bx
	pop	ax
	ret
setSBIRQroutine	endp



; input: es:bx seg:offset of routine desired
; al=IRQ desired.
setIRQVector proc
	push	ds
	push	dx
	mov	dx, bx
	push	es
	pop	ds

	mov	ah, 25h
	add	al, 8		; vector # is offset by 8 
	int	21h		; replace ISR 
	pop	dx
	pop	ds
	ret
setIRQVector endp

; input: al=IRQ desired.
; outpt: es:bx seg:offset of current routine
getIRQVector proc
	mov	ah, 35h
	add	al, 8		; vector # is offset by 8 
	int	21h		; get ISR 
	ret
getIRQVector endp


oldISR3Seg	dw	?
oldISR3Off	dw	?
oldISR5Seg	dw	?
oldISR5Off	dw	?
oldISR7Seg	dw	?
oldISR7Off	dw	?

isrFlag		db	0
samplePlaying	db	0		; flag so we can wait until finished

newISR3 proc
	push	ax
	or	cs:[isrFlag], BIT3
	mov	al, 20h
	out	20h, al
	pop	ax
	iret
newISR3 endp
newISR5 proc
	push	ax
	or	cs:[isrFlag], BIT5
	mov	al, 20h
	out	20h, al
	pop	ax
	iret
newISR5 endp
newISR7 proc
	push 	ax
	or	cs:[isrFlag], BIT7
	mov	al, 20h
	out	20h, al
	pop	ax
	iret
newISR7 endp



; top level routine to find a soundblaster device.
; input: none
; outpt: CY clear if SB found, dx=base address
sbLocate proc
	test	cs:[flags], noSB	; no sb override switch?
	stc
	jnz	exitSBL

	mov     dx, 200h                ; starting base address
nextAddress:
        add     dx, 10h                 ; next base address
        cmp     dx, 270h
        stc     
        jz      exitSBL
        call    sbDetect                ; see if we can find a SB
        jc      nextAddress



	;
	; mask off IRQs while we futz with vectors for 3,5,7

	in	al, 21h
	mov	ah, al			; save current setting
	or	al, BIT3+BIT5+BIT7	; block 3,5,7

   	call	snagISRs		; capture vectors 5,7,3
	and	al, NOT BIT3+BIT5+BIT7	; enable IRQs 3,5,7
   	out	21h, al
   
	mov	al, 0d3h
	call	sbWrite			; turn off speakers
	
	push	ax
	mov	ax, 0	
	mov	bx, 0
	mov	cx, 50		
	call	playSample		; play a tiny sample to cause IRQ.
	pop	ax

	;
	; hopefully, we've caused an IRQ.
	;
	call	startTime		; wait around til sample finishes
	call	delayTime
	call	startTime
	call	delayTime
	call	startTime
	call	delayTime

	mov	al, 0eh
	call	sbRead			; force a read == end of interrupt

	mov	cs:[samplePlaying], 0	; clear our flag if it's set.
	mov	al, 20h
	out	20h, al

	mov	al, ah			
	out	21h, al			; restore original IRQ mask

   	call	unSnagISRs		; release any unused IRQs
	call	setSBIRQroutine		; set used IRQ to proper routine
	clc
exitSBL:        
	ret
sbLocate endp

; input: al=data to write to data port
;        dx=base address
; outpt: CY set if data port doesn't become ready for receive.
sbWrite proc
        push    dx
        call    sbWriteReady?
        add     dx, 0ch
        out     dx, al
        pop     dx
        ret
sbWrite endp

; input: dx=base address
; outpt: al=8 bits of data from data register
sbRead proc
        push    dx
        call    sbReadReady?
        add     dx, 0ah
        in      al, dx
        pop     dx
        ret
sbRead endp


; input: ax=segment of sample (should be 64k aligned already)
;        bx=offset of sample
;        cx=size of sample (# of samples)
;	 dx=sound blaster base address
playSample proc
	 	push	ax
		push	bx
		push	cx

		dec	cx			; all calculations are 0 based

		mov	al, 0eh
		call	sbRead			; force a read == end of interrupt

		mov	al, 20h
		out	20h, al


		mov	al, 40h			; set sample rate
	      	call	sbWrite
	      
	      	mov	al, cs:[pitch]   	; 256 - (1000000 / 22050)
	      	call	sbWrite
	
		mov	al, 0d1h		; turn on speaker
		call	sbWrite

		call	findPage		; figure out page#



		; check DMA page boundry crossing.
		; it would be very, very bad if this happened.
		push	bx
		add	bx, cx
		jnc	dmaok

		mov	cx, bx			; shorten sample to fix ovrrun
		dec	cx
		
dmaok: 
		pop	bx
		
		
		call	setupDMA		; program the dma controller


		mov	al, 14h			; send size
		call	sbWrite

		mov	al, cl
		call	sbWrite
		mov	al, ch
		call	sbWrite			; start the sample playing
						; IRQ fired when sample is
						; finished
		pop	cx
		pop	bx
		pop	ax
		ret
playSample endp

pitch	db	DEFAULT_PITCH			; 256 - (1000000 / 22050)


; input: ax=segment of sample data to play 
;        bx=offset of sample to play
; outpt: al=page#, bx=offset
findPage proc
	rol	ax, 1		; convert aligned seg# to page
	rol	ax, 1
	rol	ax, 1
	rol	ax, 1
	and	al, 0fh
	ret
findPage endp





; input: al:bx 20bit physical address
;	cx=size of transfer
setupDMA proc
	push	ax
	push	dx
	mov	dx, ax

	mov	al, 5
	out	0ah, al			; mask off channel 1

	mov	al, 0
	out	0ch, al			; clear flip-flop
	
	mov	al, 49h
	out	0bh, al 		; set transfer mode for dma ch 1


	mov	al, bl
	out	02, al			; send offset low byte
	mov	al, bh
	out	02, al			; send high byte 
	
	mov	al, dl
	out	83h, al			; upper page register
	

	mov	al, cl
	out	03, al			; send size lower bits	channel 1
	mov	al, ch
	out	03, al			; upper bits of xfer size  channel 1

	mov	al, 1
	out	0ah, al			; release DMA controller
	pop	dx
	pop	ax
	ret
setupDMA endp


; this is the interrupt service routine that gets called whenever the SB 
; finished playing a sample.  Its job is to simply turn off the speaker.
sbHandlerRoutine proc
	push	ax
	push	dx
	
	mov	dx, cs:[sbBase]
	mov	al, 0d3h
	call	sbWrite			; turn off speaker

	mov	al, 0eh
	call	sbRead			; force a read == end of interrupt

	mov	cs:[samplePlaying], 0	; clear our flag if it's set.
	mov	al, 20h
	out	20h, al
	pop	dx
	pop	ax
	iret
sbHandlerRoutine endp

; input: none
; outpt: none.  soundblaster IRQ cleared and serviced, ISR unhooked.
sbCleanup proc
		push	ax
		push	dx
		mov	dx, cs:[sbBase]
		mov	al, 0d3h    		; turn off speakers
		call	sbWrite

		mov	al, 0eh			; ack any leftover IRQs
		call	sbRead
		mov	al, 20h
		out	20h, al
		
		mov	ah, cs:[isrFlag]	; mask off our IRQ
		in	al, 21h		
		or	al, ah
		out	21h, al

		mov	cs:[isrFlag], 0		; restore all IRQ vectors
		call	unSnagISRs
		pop	dx
		pop	ax
		ret
sbCleanup endp

; this is seriously lame.
; when transferring data, the DMA controller must never ever ever cross
; a 64k boundry.  Normally this wouldn't be a big deal, except where the
; boundries start and stop are constant, and where the program loads data
; into memory is variable, so all of the samples might need to be juggled
; around in memory to align them all on a 64k page boundry.
; 
; the solution I've come up with to fix this is to allocate 192k of memory.
; somewhere in that 192k of memory, we've got to cross a physical 64k boundry.
; figure out where that boundry is, and copy all the samples to it/around it.
; 
moveSamples proc
	push	ax
	push	bx
	push	cx
	push	si
	push	di
	push	es
	push	ds
	mov	ax, 3 * 64 * (1024 / 16)	; request 192k in paragraphs
	call	memAlloc
	jc	outofmemory			; uh oh
	
	mov	cx, ax				; save starting segment
	; figure out where our 1st 64k page crossing is.

  	
  	rol	ax, 1				; * 16 = physical address
  	rol	ax, 1
  	rol	ax, 1
  	rol	ax, 1
  	mov	bl, al				; div by 64k/page
  	and	bl, 0fh				; bl=page
	
	and	ax, 0fff0h 			; ax=offset
	not	ax
	inc	ax
	shr	ax, 1
	shr 	ax, 1
	shr	ax, 1
	shr	ax, 1

	add	ax, cx				; ax=start of next page (seg)
	
	mov	cs:[sampleSeg], ax
	mov	es, ax
	xor	di, di
	mov	ax, soundblasterSeg
	mov	ds, ax
	xor	si, si
	mov	cx, 64 * (1024 / 2)
	rep	movsw

	;
	; copy the next chunk of sample data into next 64k block
	;

	mov	ax, cs:[sampleSeg]
	add	ax, 1000h			; next 64k block

	mov	es, ax
	xor	di, di
	mov	ax, soundBlasterSeg2
	mov	ds, ax
	xor	si, si
	mov	cx, 64 * (1024 / 2)		; not actually this much
	rep	movsw				; but no big deal
	
	clc
outOfMemory:	
	pop	ds
	pop	es
	pop	di
	pop	si
	pop	cx
	pop	bx
	pop	ax
	ret
sampleSeg	dw	?    		;seg ptr for storage for samples

moveSamples endp




;============================================================================



; exit back to DOS.  We are through.
exitProgram:
		cmp	word ptr cs:[sbBase], -1
		jz	noSBRestore

		call	sbCleanup
noSBRestore:

		in	al, 61h
		and	al, NOT BIT0
		out	61h, al			; shut down speaker

		mov     bx, 0                     
                mov     ax, 3
                int     10h

                mov     ax, 4c00h
                int     21h
codeSeg ends

DataSeg segment para public

bcwdat db 0c1h,0c9h,0c1h
  db 0c8h,0c8h,0c8h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0c1h,0c9h
  db 0c1h,0c8h,0c8h,0c8h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,030h,018h,015h,01eh,000h,001h

  
; voice samples.  Might be cool to move this into their own segment.

vbcw030  db 0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh
  db 0fbh,010h,016h,007h
  db 024h,003h,008h,005h,006h,008h,009h,003h,004h,008h,007h,006h,007h,007h,005h,007h
  db 008h,007h,005h,007h,005h,006h,008h,008h,006h,003h,007h,004h,009h,006h,004h,008h
  db 009h,006h,006h,008h,007h,003h,008h,008h,005h,007h,008h,007h,006h,008h,007h,005h
  db 009h,003h,005h,008h,008h,005h,007h,008h,005h,006h,008h,006h,005h,008h,012h,002h
  db 003h,008h,006h,007h,008h,005h,005h,008h,007h,005h,007h,008h,005h,006h,008h,007h
  db 004h,00bh,016h,008h,006h,007h,007h,004h,006h,007h,008h,006h,006h,007h,004h,006h
  db 008h,008h,005h,00ah,00bh,010h,00ah,001h,008h,009h,008h,005h,007h,008h,012h,006h
  db 007h,00ah,007h,006h,007h,006h,007h,005h,008h,004h,004h,007h,009h,006h,005h,007h
  db 006h,006h,008h,007h,006h,007h,00dh,011h,008h,005h,005h,008h,009h,005h,006h,007h
  db 006h,004h,008h,008h,007h,008h,008h,008h,003h,007h,00ah,002h,005h,008h,009h,006h
  db 006h,009h,003h,004h,009h,008h,007h,007h,007h,002h,004h,011h,012h,008h,009h,006h
  db 006h,007h,005h,004h,007h,008h,008h,00eh,005h,007h,005h,007h,008h,002h,005h,008h
  db 008h,006h,007h,007h,005h,004h,008h,008h,007h,006h,008h,006h,005h,006h,008h,003h
  db 006h,008h,009h,005h,008h,00ch,00dh,008h,007h,006h,008h,006h,004h,006h,00bh,003h
  db 004h,008h,008h,007h,006h,010h,009h,009h,007h,009h,006h,00fh,00eh,002h,004h,009h
  db 00ah,006h,004h,00fh,00dh,00ah,006h,006h,007h,013h,00ah,008h,009h,005h,007h,008h
  db 003h,003h,00ah,008h,005h,007h,008h,007h,006h,008h,00bh,009h,008h,007h,007h,00eh
  db 008h,009h,006h,007h,007h,007h,004h,008h,00ch,00ch,007h,009h,005h,00bh,00ah,00eh
  db 006h,003h,008h,015h,00ah,009h,00ch,003h,009h,00ch,009h,009h,005h,007h,00ah,013h
  db 00bh,009h,009h,007h,006h,003h,003h,008h,008h,009h,008h,004h,007h,009h,006h,005h
  db 00ch,00bh,00ah,006h,004h,00ch,00eh,013h,009h,014h,00eh,009h,009h,003h,006h,010h
  db 009h,006h,006h,008h,015h,00ah,009h,007h,00ah,003h,008h,00eh,00ah,006h,007h,007h
  db 00ah,009h,004h,008h,007h,005h,007h,007h,005h,006h,007h,006h,008h,009h,009h,006h
  db 008h,006h,003h,007h,007h,007h,009h,00ah,00dh,007h,008h,008h,016h,00dh,00dh,00dh
  db 006h,003h,005h,00eh,010h,003h,004h,008h,00bh,010h,009h,007h,009h,007h,004h,009h
  db 001h,003h,00bh,005h,004h,00ah,013h,004h,001h,00ah,004h,004h,008h,008h,012h,011h
  db 00bh,00dh,004h,001h,00dh,00bh,017h,00ch,015h,00dh,013h,00dh,011h,003h,003h,009h
  db 012h,00eh,00fh,007h,007h,005h,009h,007h,008h,007h,00bh,00ch,003h,002h,004h,003h
  db 00ah,00bh,009h,004h,006h,008h,006h,004h,006h,007h,006h,007h,006h,006h,008h,003h
  db 004h,007h,009h,005h,005h,004h,006h,006h,006h,006h,006h,008h,009h,01ch,009h,009h
  db 005h,005h,00bh,00ch,011h,008h,009h,005h,00dh,009h,008h,009h,008h,007h,00eh,002h
  db 006h,005h,001h,007h,00bh,010h,008h,003h,008h,00bh,009h,004h,007h,00ah,003h,003h
  db 00ah,008h,00dh,00ah,005h,009h,00bh,007h,003h,009h,008h,00ah,003h,005h,00dh,00bh
  db 008h,008h,006h,009h,00fh,00eh,009h,009h,004h,009h,009h,008h,013h,011h,00bh,00eh
  db 013h,012h,009h,007h,004h,008h,00fh,00ah,008h,005h,005h,00fh,009h,012h,006h,006h
  db 006h,008h,007h,00eh,012h,008h,012h,010h,00dh,00bh,011h,011h,00dh,00dh,00eh,015h
  db 009h,005h,009h,008h,00ch,008h,009h,009h,006h,006h,00dh,00bh,007h,013h,00fh,013h
  db 009h,011h,010h,00dh,010h,009h,009h,002h,006h,012h,00ah,00dh,001h,005h,009h,00bh
  db 004h,003h,00bh,00ah,008h,003h,00dh,00bh,007h,008h,008h,005h,006h,00eh,015h,009h
  db 00ah,011h,011h,010h,00fh,00ch,013h,00ah,00dh,016h,00bh,00fh,010h,00ah,014h,00bh
  db 01ah,00ah,009h,007h,00bh,004h,008h,009h,005h,005h,008h,007h,00ah,007h,010h,005h
  db 007h,00ah,015h,012h,00eh,00ah,009h,007h,007h,009h,00bh,009h,007h,001h,00dh,016h
  db 00ch,008h,00bh,017h,00ch,012h,00eh,014h,00dh,009h,008h,009h,009h,006h,00ah,00bh
  db 007h,003h,00bh,00ah,016h,009h,009h,007h,00ah,008h,009h,00ch,012h,011h,013h,00ah
  db 008h,008h,009h,008h,009h,00ch,016h,010h,00fh,00fh,015h,00dh,00dh,008h,005h,006h
  db 00ah,010h,00fh,00fh,00fh,013h,00eh,011h,00eh,012h,010h,00bh,00bh,014h,00fh,014h
  db 00ch,013h,010h,00ah,013h,00fh,00ch,00ch,003h,002h,00ch,012h,014h,00dh,00ch,015h
  db 00dh,00ch,005h,003h,009h,013h,011h,00ch,00eh,014h,00dh,00dh,015h,012h,011h,00fh
  db 00bh,00bh,005h,005h,00bh,00ch,016h,011h,010h,00ch,00dh,017h,00eh,013h,00ch,00eh
  db 011h,011h,012h,011h,00ch,00ch,012h,012h,013h,011h,00ah,00fh,012h,00eh,013h,012h
  db 00fh,00fh,010h,011h,013h,00ch,006h,004h,009h,00ah,00eh,007h,002h,010h,00eh,014h
  db 00dh,009h,011h,013h,013h,014h,00dh,00ch,016h,00dh,012h,014h,012h,014h,00bh,00ah
  db 018h,00ch,018h,012h,00eh,006h,008h,008h,009h,00bh,003h,004h,00fh,00ah,00dh,011h
  db 011h,011h,005h,004h,00eh,00ch,010h,010h,00ch,005h,007h,00ch,00fh,019h,00fh,00ah
  db 002h,007h,00dh,00ah,014h,00ch,005h,002h,007h,005h,008h,004h,004h,008h,009h,00bh
  db 00fh,013h,009h,005h,006h,00bh,015h,00eh,007h,006h,009h,00fh,015h,00ch,006h,001h
  db 00bh,00fh,014h,017h,00bh,010h,008h,004h,007h,007h,00dh,015h,010h,003h,007h,006h
  db 009h,003h,009h,00bh,00fh,015h,015h,00ch,002h,005h,010h,009h,006h,007h,00bh,00eh
  db 005h,006h,00bh,009h,008h,006h,006h,006h,010h,014h,007h,006h,009h,00ah,00fh,002h
  db 007h,00bh,014h,013h,014h,00dh,00fh,00ch,00eh,011h,00fh,013h,010h,011h,018h,00dh
  db 00fh,015h,011h,006h,00ch,014h,00eh,009h,007h,00ah,00eh,007h,006h,00ah,013h,014h
  db 014h,009h,003h,008h,00ah,009h,00bh,00ch,019h,014h,012h,010h,019h,00eh,006h,007h
  db 00bh,00ah,006h,00fh,00dh,01ah,009h,007h,009h,00bh,01bh,00ch,023h,012h,012h,008h
  db 007h,00ah,011h,013h,01eh,014h,01ah,00fh,014h,016h,019h,00fh,004h,008h,010h,016h
  db 00ch,019h,00bh,00ah,00ah,01dh,010h,00ch,004h,008h,00ch,00ch,006h,00ah,008h,003h
  db 00dh,01dh,014h,015h,016h,014h,012h,00eh,009h,005h,005h,00bh,00fh,011h,007h,007h
  db 00bh,010h,015h,00ch,009h,006h,009h,007h,009h,005h,00ah,00bh,00fh,003h,00bh,012h
  db 007h,001h,00eh,00ah,00dh,004h,006h,00ah,00ch,013h,00ch,009h,00ah,00dh,005h,006h
  db 00ch,004h,006h,00ah,00ah,014h,00eh,015h,010h,00dh,00ch,01ah,00bh,00eh,00bh,006h
  db 004h,00bh,00fh,00eh,017h,00ch,00dh,003h,007h,008h,008h,00bh,006h,001h,00dh,00ah
  db 00dh,005h,007h,00ah,007h,006h,007h,009h,00ah,00fh,015h,014h,016h,00dh,00ah,006h
  db 00bh,008h,00ah,008h,00eh,006h,005h,009h,008h,006h,014h,00dh,00dh,007h,006h,00ch
  db 017h,00bh,00ah,007h,00ah,008h,00ah,00ch,011h,015h,011h,006h,00ah,00ah,00ch,019h
  db 00dh,009h,00ah,018h,00eh,013h,016h,00ah,00ah,010h,011h,00dh,00dh,010h,014h,010h
  db 011h,013h,00ch,015h,00eh,00dh,012h,010h,00fh,010h,00eh,010h,014h,009h,005h,005h
  db 00eh,00ch,00dh,015h,015h,00eh,011h,014h,008h,006h,00ah,006h,007h,009h,00fh,011h
  db 00ch,010h,010h,00eh,010h,00ch,017h,008h,00ch,00bh,018h,00dh,00bh,006h,006h,00fh
  db 012h,00ch,013h,00eh,00bh,006h,004h,008h,00bh,007h,004h,00ah,00ch,009h,005h,005h
  db 00bh,009h,008h,005h,00ah,00dh,014h,00fh,011h,00ah,019h,008h,00ah,00ah,007h,008h
  db 00ah,00eh,016h,012h,00fh,00dh,015h,00bh,00eh,003h,005h,00dh,013h,012h,00ch,00bh
  db 006h,005h,00bh,00ch,013h,010h,010h,013h,013h,00dh,015h,00bh,017h,007h,00ch,015h
  db 00bh,009h,004h,009h,00ah,008h,009h,008h,00ah,006h,008h,008h,009h,00ah,009h,007h
  db 008h,009h,009h,009h,00ah,015h,019h,00ah,018h,008h,008h,007h,008h,007h,00ah,006h
  db 008h,009h,009h,008h,008h,007h,00ch,006h,00bh,009h,009h,005h,01ch,007h,00bh,01bh
  db 00bh,01bh,00bh,00eh,01bh,015h,00bh,008h,009h,008h,029h,009h,00bh,008h,00ah,007h
  db 008h,006h,03eh,00ah,028h,00eh,008h,007h,00fh,009h,008h,00bh,00ch,006h,01ch,005h
  db 00eh,015h,00dh,00ah,007h,005h,00eh,017h,011h,009h,011h,011h,012h,00ch,034h,014h
  db 00dh,00ah,018h,013h,016h,005h,019h,005h,00dh,017h,00fh,014h,015h,02bh,016h,009h
  db 00fh,007h,019h,012h,00fh,00ah,01ah,014h,04eh,030h,034h,009h,01ch,009h,03bh,00ah
  db 032h,065h,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh
  db 0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0ffh


  db 000h,015h,021h,0c6h,0c8h,0c1h,0cch,0d4h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,000h,000h,000h,000h
  
vbcw615 db 0feh,0feh,0feh,0feh,0feh,031h,00ch,025h,00dh,00bh,007h


  db 00ch,00dh,045h,018h,011h,00fh,01bh,01ch,00bh,006h,015h,003h,015h,00dh,00eh,00bh
  db 00bh,00fh,010h,008h,00ah,00fh,00ah,003h,018h,00fh,003h,009h,005h,003h,006h,012h
  db 005h,003h,00ah,003h,003h,003h,003h,002h,002h,004h,010h,009h,00fh,001h,004h,022h
  db 01eh,00bh,004h,003h,003h,004h,001h,007h,003h,004h,005h,005h,00fh,010h,00bh,00eh
  db 004h,009h,002h,002h,00ch,003h,001h,009h,012h,006h,009h,001h,003h,003h,002h,003h
  db 004h,001h,003h,003h,003h,00ah,005h,002h,002h,00bh,00dh,011h,010h,002h,00ah,001h
  db 003h,002h,004h,001h,006h,004h,003h,00bh,008h,002h,003h,005h,011h,010h,006h,002h
  db 006h,004h,009h,004h,004h,005h,007h,004h,007h,004h,007h,002h,007h,005h,005h,008h
  db 002h,004h,008h,005h,002h,002h,00fh,002h,003h,008h,003h,005h,008h,003h,006h,005h
  db 006h,004h,003h,003h,002h,002h,004h,003h,009h,003h,007h,00eh,010h,00fh,003h,003h
  db 006h,006h,00bh,001h,004h,003h,005h,00eh,010h,004h,006h,004h,007h,00ah,002h,004h
  db 01ah,00fh,010h,005h,002h,009h,005h,003h,006h,002h,008h,006h,008h,002h,004h,004h
  db 003h,003h,002h,003h,009h,003h,003h,003h,003h,002h,005h,003h,00fh,003h,006h,001h
  db 003h,00ch,002h,002h,00bh,00ch,009h,002h,004h,009h,004h,003h,008h,005h,002h,009h
  db 00eh,006h,002h,002h,004h,003h,003h,004h,005h,005h,002h,004h,003h,002h,010h,00ah
  db 013h,010h,004h,001h,005h,002h,002h,004h,002h,005h,002h,004h,001h,002h,003h,002h
  db 003h,002h,002h,008h,004h,001h,009h,010h,004h,002h,004h,00bh,00dh,003h,006h,005h
  db 007h,007h,001h,005h,00fh,009h,001h,007h,005h,002h,004h,004h,002h,003h,009h,003h
  db 004h,007h,001h,009h,00fh,013h,010h,010h,00fh,010h,00eh,010h,011h,016h,003h,003h
  db 003h,003h,006h,002h,002h,00dh,013h,010h,012h,013h,010h,00dh,010h,010h,00fh,00dh
  db 013h,012h,015h,001h,005h,004h,002h,00fh,00ch,00dh,005h,002h,004h,010h,007h,00ah
  db 014h,010h,00fh,00bh,00ch,010h,010h,00eh,006h,003h,003h,014h,016h,011h,012h,021h
  db 00eh,00eh,010h,018h,017h,010h,015h,018h,014h,011h,012h,017h,018h,011h,013h,014h
  db 019h,011h,012h,018h,018h,011h,015h,013h,01ah,011h,015h,015h,016h,010h,011h,001h
  db 004h,01dh,011h,012h,012h,01ah,016h,010h,015h,013h,001h,004h,017h,013h,011h,017h
  db 019h,012h,014h,019h,019h,012h,011h,01ah,018h,013h,014h,013h,01fh,013h,010h,01bh
  db 003h,002h,011h,013h,014h,013h,021h,012h,012h,011h,003h,007h,002h,004h,010h,013h
  db 014h,012h,00eh,003h,010h,014h,013h,010h,008h,00dh,010h,013h,012h,012h,00eh,004h
  db 004h,003h,00eh,00fh,011h,011h,00ch,00eh,00fh,013h,012h,012h,00eh,00dh,00eh,011h
  db 012h,012h,00dh,00eh,010h,013h,012h,012h,00eh,00dh,00fh,012h,012h,013h,00fh,010h
  db 00fh,015h,010h,012h,00eh,00fh,00fh,014h,011h,014h,013h,011h,010h,004h,001h,010h
  db 010h,017h,007h,00eh,010h,016h,017h,013h,013h,010h,011h,002h,002h,010h,016h,010h
  db 00bh,00ch,015h,013h,016h,015h,014h,011h,016h,011h,016h,027h,015h,014h,01ah,015h
  db 014h,012h,016h,011h,015h,01bh,002h,00eh,012h,015h,017h,019h,016h,013h,015h,016h
  db 013h,029h,016h,014h,018h,01eh,016h,011h,017h,015h,019h,024h,016h,017h,018h,019h
  db 01dh,011h,016h,016h,01ah,007h,003h,003h,004h,015h,014h,016h,02ah,017h,010h,015h
  db 017h,018h,029h,016h,01ah,021h,018h,01ah,01ch,010h,018h,016h,02fh,014h,017h,026h
  db 01ah,022h,016h,012h,014h,016h,011h,002h,003h,002h,016h,012h,030h,017h,01bh,01fh
  db 01fh,012h,018h,02bh,017h,013h,02fh,013h,033h,026h,019h,014h,025h,01dh,0feh,0c4h
  db 00eh,0feh,069h,00fh,0deh,009h,0feh,0feh,0feh,0feh,0feh,005h,006h,002h,004h,002h
  db 003h,00bh,001h,005h,003h,001h,003h,003h,003h,00ah,005h,00ah,008h,005h,005h,003h
  db 003h,003h,003h,004h,003h,015h,003h,001h,005h,00dh,002h,003h,003h,004h,003h,015h
  db 003h,004h,003h,003h,002h,004h,001h,01fh,003h,002h,003h,005h,003h,002h,003h,00ch
  db 002h,003h,002h,001h,002h,01bh,003h,00ah,003h,004h,003h,003h,004h,003h,008h,009h
  db 002h,003h,002h,005h,003h,002h,003h,018h,003h,003h,003h,004h,002h,003h,003h,0ffh


  db 012h,0d7h,026h,0c8h,0c5h,0c9h,0cch,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,000h,000h,000h,000h
  
vbcw915 db 01bh,0feh,052h,01dh,0feh,0a7h,00ch,0feh,01dh,024h,0dah
  

  db 03bh,046h,00eh,02eh,046h,084h,00eh,0feh,0ddh,019h,0feh,0eah,011h,08dh,015h,050h
  db 012h,012h,00ch,018h,02bh,040h,015h,012h,003h,012h,010h,011h,00dh,038h,00eh,015h
  db 012h,016h,008h,02eh,003h,010h,017h,045h,018h,012h,007h,004h,002h,011h,004h,008h
  db 00ch,013h,00bh,011h,00fh,016h,010h,026h,00fh,00eh,011h,013h,00eh,012h,012h,014h
  db 00eh,014h,00dh,01ah,00eh,008h,011h,00eh,010h,014h,012h,016h,00bh,014h,005h,003h
  db 004h,010h,010h,00ah,002h,009h,00fh,003h,002h,004h,00ch,005h,003h,00ah,005h,003h
  db 002h,00ah,001h,006h,003h,004h,004h,00ah,005h,014h,00eh,011h,003h,002h,00ah,00dh
  db 011h,00ah,012h,002h,003h,00ch,001h,004h,00fh,007h,004h,005h,004h,004h,007h,005h
  db 002h,00dh,009h,010h,010h,00ah,001h,005h,003h,001h,00bh,00ah,001h,005h,003h,001h
  db 00bh,010h,013h,012h,010h,00fh,013h,00fh,00fh,00eh,005h,003h,00dh,011h,00fh,013h
  db 00fh,003h,004h,009h,00bh,008h,001h,00eh,012h,005h,002h,006h,013h,003h,004h,005h
  db 002h,004h,00fh,00bh,002h,005h,011h,010h,00ah,008h,002h,007h,001h,003h,015h,004h
  db 002h,006h,001h,002h,00fh,010h,00ah,002h,005h,00eh,005h,001h,003h,00ah,002h,003h
  db 002h,004h,002h,003h,005h,002h,003h,008h,003h,007h,005h,004h,005h,00ah,005h,002h
  db 006h,010h,004h,003h,006h,002h,003h,005h,003h,004h,004h,003h,004h,013h,00fh,004h
  db 002h,00ah,004h,004h,006h,006h,002h,005h,003h,003h,00bh,004h,003h,008h,011h,003h
  db 002h,008h,009h,004h,006h,002h,002h,009h,002h,003h,005h,002h,004h,002h,004h,00ah
  db 004h,002h,008h,002h,004h,007h,004h,008h,004h,004h,004h,009h,002h,003h,008h,002h
  db 004h,012h,00ah,00ch,003h,006h,00eh,003h,002h,009h,003h,003h,004h,004h,004h,00fh
  db 005h,004h,00ch,00eh,005h,001h,007h,001h,004h,00fh,00ah,003h,003h,00dh,00dh,015h
  db 00ch,00fh,015h,00dh,011h,010h,010h,011h,00dh,00bh,002h,004h,004h,006h,00ah,012h
  db 011h,00fh,011h,00eh,010h,014h,00ch,013h,00fh,010h,007h,007h,00bh,012h,00eh,013h
  db 00fh,011h,001h,003h,011h,010h,00fh,011h,00eh,011h,011h,004h,001h,00ch,00eh,009h
  db 004h,007h,00fh,012h,005h,002h,00ch,011h,013h,00fh,010h,014h,00dh,005h,002h,009h
  db 006h,005h,005h,008h,003h,006h,004h,003h,007h,009h,002h,009h,010h,010h,007h,002h
  db 00ch,00dh,00dh,004h,001h,011h,008h,002h,008h,005h,003h,008h,006h,006h,006h,007h
  db 003h,005h,006h,003h,005h,008h,005h,007h,00fh,011h,005h,005h,008h,00fh,005h,004h
  db 00dh,00fh,015h,007h,002h,006h,007h,006h,007h,007h,002h,005h,006h,005h,005h,006h
  db 004h,008h,006h,001h,007h,006h,006h,00eh,009h,018h,00eh,012h,013h,007h,002h,006h
  db 007h,005h,008h,007h,002h,005h,006h,005h,00fh,009h,005h,003h,006h,003h,008h,008h
  db 003h,004h,009h,002h,005h,010h,011h,010h,011h,005h,004h,006h,006h,005h,008h,007h
  db 002h,005h,005h,005h,00ah,004h,002h,007h,005h,005h,011h,007h,004h,005h,010h,007h
  db 002h,006h,005h,003h,008h,00fh,00fh,006h,003h,006h,006h,005h,008h,006h,004h,004h
  db 005h,006h,009h,005h,002h,006h,005h,006h,006h,003h,006h,006h,005h,006h,00ah,002h
  db 003h,007h,004h,004h,011h,00fh,010h,006h,003h,006h,006h,005h,008h,006h,004h,005h
  db 004h,006h,009h,005h,002h,006h,005h,006h,010h,006h,005h,006h,002h,004h,006h,009h
  db 005h,004h,002h,004h,00ah,016h,00ah,005h,003h,006h,005h,007h,008h,005h,004h,005h
  db 004h,006h,00ah,003h,003h,006h,005h,007h,003h,003h,008h,006h,006h,00dh,006h,008h
  db 00ch,007h,008h,00ch,005h,004h,00ah,006h,003h,006h,005h,006h,009h,005h,003h,005h
  db 005h,006h,011h,006h,005h,006h,003h,004h,008h,006h,005h,005h,002h,007h,006h,009h
  db 002h,003h,005h,006h,00dh,008h,003h,005h,00bh,005h,003h,006h,005h,007h,008h,005h
  db 003h,005h,005h,006h,011h,006h,005h,005h,002h,006h,009h,005h,004h,004h,004h,007h
  db 008h,005h,002h,005h,005h,007h,00eh,007h,003h,009h,008h,005h,003h,006h,006h,006h
  db 00ah,004h,003h,005h,005h,006h,011h,006h,005h,005h,002h,006h,00ah,005h,003h,005h
  db 004h,009h,009h,00ah,004h,00ch,009h,010h,003h,004h,009h,005h,003h,006h,006h,005h
  db 00ah,004h,002h,007h,004h,006h,011h,007h,003h,005h,004h,005h,012h,007h,002h,008h
  db 00fh,00fh,004h,005h,00fh,011h,00eh,005h,003h,006h,006h,006h,011h,007h,004h,004h
  db 006h,003h,009h,00fh,006h,004h,010h,010h,014h,00eh,01ah,00eh,009h,006h,007h,005h
  db 002h,007h,006h,005h,011h,007h,005h,003h,006h,005h,006h,011h,006h,003h,005h,007h
  db 005h,008h,001h,004h,00ah,00dh,001h,00bh,00eh,01ah,00dh,008h,007h,006h,002h,006h
  db 008h,004h,004h,005h,007h,008h,004h,002h,008h,005h,004h,006h,002h,009h,00fh,006h
  db 005h,010h,00eh,00ah,005h,004h,002h,005h,009h,00eh,005h,00fh,005h,00dh,008h,00fh
  db 007h,004h,005h,005h,006h,008h,003h,004h,007h,004h,005h,005h,003h,009h,007h,001h
  db 006h,007h,001h,007h,005h,006h,00fh,00fh,005h,007h,006h,001h,005h,009h,00eh,005h
  db 007h,00fh,00dh,005h,002h,007h,006h,004h,006h,004h,007h,007h,002h,006h,007h,003h
  db 005h,005h,004h,00ah,002h,005h,006h,004h,004h,006h,004h,008h,004h,004h,006h,011h
  db 005h,004h,003h,005h,007h,006h,003h,005h,005h,00fh,007h,003h,003h,00ch,007h,004h
  db 002h,008h,006h,003h,006h,005h,006h,006h,003h,007h,007h,002h,006h,005h,003h,007h
  db 004h,006h,007h,002h,005h,007h,002h,007h,011h,004h,003h,00ah,002h,003h,008h,005h
  db 003h,008h,002h,007h,00eh,010h,007h,00fh,007h,004h,003h,008h,005h,003h,006h,005h
  db 004h,007h,004h,006h,006h,003h,007h,005h,003h,006h,004h,005h,007h,004h,005h,006h
  db 003h,007h,005h,004h,007h,003h,004h,011h,007h,001h,006h,012h,003h,005h,00fh,008h
  db 003h,005h,004h,00fh,007h,004h,002h,009h,005h,003h,007h,004h,004h,007h,004h,006h
  db 005h,004h,007h,004h,004h,006h,003h,005h,008h,003h,005h,005h,004h,006h,003h,006h
  db 008h,002h,005h,007h,001h,008h,010h,005h,002h,008h,005h,004h,006h,005h,004h,011h
  db 006h,010h,00dh,004h,002h,009h,005h,003h,007h,004h,003h,008h,004h,005h,005h,005h
  db 007h,003h,005h,006h,002h,006h,008h,001h,007h,005h,004h,006h,003h,006h,011h,011h
  db 012h,016h,010h,018h,00fh,013h,008h,003h,003h,009h,003h,004h,007h,003h,005h,007h
  db 003h,005h,005h,006h,005h,004h,006h,005h,003h,007h,003h,005h,008h,002h,005h,007h
  db 002h,006h,005h,004h,010h,010h,011h,011h,003h,003h,010h,012h,011h,014h,010h,004h
  db 003h,009h,002h,005h,007h,002h,006h,007h,002h,006h,005h,004h,007h,003h,006h,005h
  db 003h,007h,004h,004h,011h,010h,004h,003h,011h,012h,018h,011h,014h,012h,011h,015h
  db 00ah,005h,006h,004h,004h,009h,001h,005h,011h,010h,005h,003h,007h,005h,004h,005h
  db 004h,007h,002h,006h,006h,002h,009h,010h,002h,005h,011h,010h,006h,002h,011h,012h
  db 012h,013h,016h,012h,010h,00ah,005h,003h,004h,011h,010h,010h,006h,002h,007h,011h
  db 003h,005h,005h,005h,004h,005h,00fh,011h,006h,001h,008h,011h,003h,004h,007h,005h
  db 004h,005h,004h,011h,00fh,006h,001h,008h,004h,003h,008h,004h,003h,011h,007h,004h
  db 003h,012h,00ch,002h,004h,011h,010h,011h,003h,004h,008h,002h,006h,005h,004h,006h
  db 004h,007h,002h,005h,011h,016h,011h,011h,01bh,013h,011h,014h,011h,011h,010h,02ah
  db 00fh,010h,011h,019h,011h,005h,004h,005h,003h,014h,00fh,018h,010h,015h,014h,023h
  db 00dh,018h,006h,01dh,007h,015h,00eh,01ah,008h,002h,004h,011h,017h,014h,018h,01dh
  db 00fh,01ch,00dh,013h,015h,01ah,00fh,014h,00fh,015h,018h,011h,009h,018h,012h,021h
  db 00ch,02fh,005h,001h,01eh,013h,014h,015h,011h,02eh,00ah,018h,010h,012h,019h,019h
  db 00bh,022h,002h,013h,006h,011h,003h,007h,003h,03fh,00dh,014h,010h,017h,02bh,014h
  db 018h,010h,010h,05eh,00dh,012h,011h,016h,00dh,01bh,012h,01bh,00eh,052h,00ch,011h
  db 012h,078h,005h,01dh,01bh,00eh,012h,00fh,005h,013h,004h,03ch,00dh,018h,00ch,053h
  db 00ch,067h,010h,01bh,00eh,066h,01ah,0b3h,010h,015h,014h,079h,00dh,012h,011h,0feh
  db 060h,019h,027h,019h,07ah,043h,0feh,0feh,0feh,0feh,0feh,0feh,02eh,011h,030h,02bh
  db 016h,010h,0feh,0feh,0feh,0feh,0feh,0feh,0feh,09ch,069h,0feh,0feh,0feh,0feh,0feh
  db 0feh,0ffh
  
  db 003h,048h,02fh,0cbh,0cfh,0cdh,0c5h,0ceh,0d3h,0c9h,0c5h,0a0h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,000h,000h,000h,000h

vbcwed7 db  0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh

  db 0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0f0h,008h,00eh,00eh,00dh,00ch,00dh
  db 00dh,00eh,00ch,00ch,00ch,010h,00dh,010h,00bh,025h,00dh,00dh,00ch,00fh,00ch,012h
  db 00ch,012h,009h,00fh,00dh,016h,010h,010h,013h,00eh,00eh,00dh,009h,004h,007h,009h
  db 003h,009h,00ch,001h,008h,009h,008h,006h,001h,01bh,00bh,012h,008h,00ch,001h,003h
  db 00fh,006h,004h,00eh,011h,00ah,002h,002h,00ch,002h,002h,007h,005h,002h,002h,008h
  db 002h,004h,002h,003h,001h,017h,00ch,009h,00fh,011h,00dh,00fh,00eh,005h,003h,002h
  db 004h,004h,007h,00dh,004h,003h,002h,00fh,003h,00eh,003h,002h,00eh,00ah,001h,003h
  db 008h,007h,009h,002h,009h,01ah,003h,006h,005h,00bh,00dh,002h,007h,003h,003h,007h
  db 002h,004h,003h,006h,004h,001h,005h,006h,003h,003h,006h,002h,005h,008h,009h,007h
  db 003h,009h,003h,001h,004h,003h,006h,004h,002h,005h,005h,003h,003h,006h,004h,004h
  db 006h,009h,003h,007h,005h,008h,006h,004h,003h,005h,003h,004h,004h,009h,002h,003h
  db 002h,006h,005h,005h,006h,00dh,003h,002h,005h,006h,003h,002h,002h,007h,004h,003h
  db 003h,00fh,002h,004h,00dh,00fh,003h,003h,005h,001h,005h,010h,013h,016h,010h,015h
  db 012h,011h,010h,009h,00fh,008h,00eh,00fh,00eh,00ah,00eh,016h,010h,013h,010h,007h
  db 004h,002h,00bh,011h,012h,013h,008h,00fh,00fh,015h,011h,010h,003h,003h,009h,007h
  db 012h,013h,010h,013h,00eh,008h,00dh,014h,012h,00fh,005h,003h,007h,008h,011h,012h
  db 011h,014h,00ah,003h,00fh,014h,014h,00fh,003h,003h,008h,005h,012h,012h,011h,014h
  db 017h,015h,015h,00eh,002h,00ah,001h,005h,012h,012h,012h,011h,015h,012h,011h,001h
  db 005h,00eh,001h,011h,012h,012h,012h,011h,012h,011h,011h,004h,001h,00ah,002h,001h
  db 002h,011h,012h,012h,011h,011h,010h,011h,010h,015h,001h,011h,011h,012h,012h,00fh
  db 00fh,012h,00fh,010h,006h,012h,011h,012h,011h,00eh,00eh,012h,00fh,010h,007h,011h
  db 011h,011h,012h,00ch,00eh,012h,00fh,00fh,007h,011h,012h,010h,011h,00ch,00eh,012h
  db 00fh,00eh,008h,011h,011h,011h,010h,00bh,00fh,013h,015h,009h,005h,013h,012h,011h
  db 00dh,00ch,00eh,014h,014h,007h,00bh,00fh,015h,027h,010h,016h,011h,007h,00bh,015h
  db 015h,01fh,012h,015h,02ah,016h,005h,017h,024h,017h,006h,005h,006h,007h,004h,007h
  db 006h,005h,01ch,015h,017h,009h,003h,006h,005h,006h,012h,015h,01ch,020h,014h,004h
  db 007h,008h,003h,007h,007h,004h,006h,01dh,013h,030h,013h,008h,004h,006h,006h,006h
  db 006h,01ch,01eh,026h,008h,001h,009h,006h,006h,006h,004h,009h,004h,016h,017h,012h
  db 007h,01ah,006h,004h,008h,006h,006h,006h,003h,00ah,004h,007h,002h,013h,01fh,004h
  db 008h,01ah,007h,005h,008h,005h,006h,014h,005h,014h,00fh,004h,013h,006h,006h,019h
  db 008h,005h,008h,005h,006h,013h,007h,011h,00fh,006h,00fh,00dh,003h,01bh,00ah,012h
  db 006h,011h,009h,00bh,00dh,00fh,007h,013h,006h,007h,007h,00ch,00bh,011h,006h,00ah
  db 00fh,00ah,005h,004h,001h,00ah,011h,005h,009h,023h,00dh,006h,001h,00ah,005h,007h
  db 011h,005h,008h,011h,006h,006h,010h,01ah,00ah,008h,009h,007h,001h,00bh,004h,005h
  db 00ah,002h,005h,006h,005h,00bh,004h,003h,007h,004h,00bh,019h,00eh,00eh,008h,007h
  db 004h,011h,009h,007h,005h,005h,002h,009h,007h,005h,011h,01bh,010h,010h,008h,006h
  db 004h,012h,009h,005h,006h,005h,004h,007h,006h,007h,011h,005h,004h,010h,011h,007h
  db 001h,009h,008h,006h,004h,012h,008h,006h,006h,005h,004h,006h,007h,006h,011h,006h
  db 004h,00eh,007h,004h,007h,005h,003h,00ah,009h,005h,005h,010h,009h,006h,007h,005h
  db 003h,006h,007h,007h,010h,005h,006h,00eh,004h,006h,009h,014h,008h,005h,005h,00fh
  db 00ah,006h,007h,005h,003h,006h,006h,008h,007h,004h,005h,004h,006h,008h,002h,006h
  db 002h,005h,008h,005h,003h,00eh,008h,005h,005h,014h,006h,005h,007h,006h,003h,005h
  db 006h,007h,007h,004h,007h,002h,006h,008h,003h,00eh,006h,004h,005h,010h,008h,006h
  db 005h,012h,007h,005h,007h,010h,005h,006h,007h,006h,005h,003h,008h,018h,005h,005h
  db 00eh,00ah,008h,006h,005h,011h,007h,006h,007h,010h,005h,007h,006h,006h,011h,005h
  db 004h,00fh,004h,007h,00dh,00bh,008h,006h,005h,012h,007h,005h,008h,010h,004h,007h
  db 006h,008h,00eh,006h,00ah,007h,005h,010h,005h,00dh,008h,006h,006h,014h,004h,006h
  db 007h,008h,005h,005h,004h,005h,006h,016h,001h,005h,007h,009h,005h,009h,004h,01bh
  db 007h,004h,007h,009h,004h,007h,004h,007h,005h,007h,006h,005h,006h,005h,009h,006h
  db 003h,006h,01dh,02eh,007h,003h,007h,009h,003h,007h,004h,008h,005h,007h,004h,006h
  db 005h,007h,006h,004h,007h,007h,007h,003h,005h,020h,005h,006h,003h,00ch,018h,003h
  db 003h,008h,003h,00bh,002h,008h,003h,007h,005h,008h,006h,005h,013h,045h,00ah,002h
  db 007h,009h,002h,007h,004h,008h,003h,008h,005h,006h,005h,005h,009h,003h,006h,005h
  db 016h,03bh,007h,003h,008h,009h,002h,008h,002h,007h,005h,008h,004h,006h,005h,005h
  db 008h,004h,008h,003h,014h,03dh,00ah,003h,007h,015h,002h,008h,004h,008h,004h,006h
  db 004h,006h,020h,052h,007h,003h,008h,009h,001h,014h,004h,008h,004h,006h,004h,006h
  db 021h,007h,002h,036h,00ch,008h,014h,01fh,005h,009h,003h,007h,004h,006h,021h,038h
  db 017h,00fh,006h,004h,011h,02eh,004h,006h,01dh,037h,013h,039h,01bh,01eh,01bh,00ah
  db 007h,008h,01dh,017h,00eh,022h,007h,00fh,003h,032h,014h,002h,002h,004h,007h,009h
  db 002h,002h,002h,00bh,002h,010h,008h,003h,002h,002h,003h,00fh,003h,008h,007h,004h
  db 002h,001h,009h,021h,01ch,01ch,008h,003h,004h,008h,001h,01ch,017h,01bh,003h,002h
  db 002h,007h,00bh,00bh,008h,014h,007h,010h,003h,008h,007h,01eh,015h,014h,005h,004h
  db 002h,00fh,00dh,008h,003h,004h,008h,009h,002h,002h,003h,003h,001h,008h,002h,003h
  db 002h,009h,001h,016h,002h,002h,008h,003h,003h,002h,007h,00eh,003h,007h,003h,003h
  db 003h,00eh,007h,00ch,008h,00ah,002h,003h,001h,017h,00ah,003h,004h,00dh,00eh,008h
  db 003h,001h,004h,001h,001h,023h,009h,005h,005h,004h,002h,00ch,005h,007h,00fh,009h
  db 004h,007h,003h,003h,004h,00ch,007h,002h,007h,00eh,002h,003h,002h,00ah,007h,006h
  db 003h,002h,003h,002h,003h,004h,00ah,004h,007h,00bh,001h,007h,007h,004h,005h,003h
  db 003h,00ch,006h,006h,005h,003h,004h,005h,00ch,004h,004h,004h,006h,004h,009h,008h
  db 003h,003h,003h,01eh,002h,005h,002h,003h,008h,005h,00eh,014h,002h,003h,007h,005h
  db 007h,003h,002h,00bh,006h,006h,004h,00eh,00bh,005h,006h,005h,002h,005h,006h,009h
  db 005h,006h,003h,003h,006h,007h,006h,00ch,004h,004h,003h,003h,008h,006h,004h,003h
  db 003h,008h,008h,004h,007h,00dh,00ah,006h,006h,006h,003h,003h,007h,008h,007h,005h
  db 006h,002h,004h,007h,007h,007h,008h,001h,003h,005h,006h,00bh,006h,006h,00dh,001h
  db 009h,00dh,007h,004h,006h,00eh,005h,003h,001h,007h,005h,006h,006h,001h,005h,005h
  db 00bh,006h,006h,00dh,005h,008h,007h,00ah,007h,008h,007h,008h,006h,007h,009h,00bh
  db 00ah,005h,006h,00eh,005h,00bh,006h,006h,006h,005h,003h,003h,008h,007h,007h,007h
  db 005h,003h,003h,006h,006h,006h,006h,003h,003h,006h,006h,00dh,004h,007h,006h,006h
  db 006h,009h,006h,005h,005h,00fh,004h,00ah,008h,006h,007h,005h,00eh,006h,007h,009h
  db 007h,00ah,006h,006h,007h,003h,004h,004h,003h,00ch,005h,006h,006h,001h,002h,004h
  db 008h,007h,00bh,004h,006h,00ch,005h,00ch,006h,006h,008h,007h,008h,00ah,006h,007h
  db 006h,00bh,007h,007h,007h,004h,004h,00fh,004h,00ch,005h,007h,006h,007h,005h,004h
  db 007h,004h,006h,00ch,005h,00bh,006h,007h,007h,006h,00bh,007h,007h,008h,005h,00eh
  db 005h,006h,008h,004h,004h,020h,004h,007h,007h,005h,006h,008h,007h,004h,006h,00ch
  db 005h,009h,007h,007h,007h,006h,00bh,006h,007h,009h,005h,008h,00bh,005h,008h,004h
  db 005h,00eh,002h,009h,008h,006h,00ah,004h,006h,00ch,006h,005h,005h,00ch,006h,008h
  db 007h,008h,007h,006h,00ah,007h,006h,009h,006h,007h,007h,009h,007h,005h,008h,008h
  db 006h,008h,006h,006h,00ah,006h,007h,00bh,008h,005h,005h,00ch,006h,007h,007h,008h
  db 007h,006h,00ah,007h,007h,008h,006h,007h,007h,008h,008h,005h,009h,007h,006h,008h
  db 006h,006h,009h,006h,007h,00bh,002h,002h,006h,005h,006h,00bh,006h,008h,007h,008h
  db 007h,006h,009h,007h,007h,008h,006h,008h,006h,008h,009h,005h,007h,009h,005h,008h
  db 007h,006h,009h,006h,007h,013h,005h,005h,006h,00bh,006h,008h,006h,009h,007h,006h
  db 009h,007h,007h,007h,007h,007h,007h,007h,009h,005h,007h,009h,005h,008h,007h,006h
  db 009h,006h,007h,014h,006h,005h,006h,00ah,006h,008h,007h,008h,007h,006h,009h,008h
  db 006h,008h,006h,008h,006h,007h,00ah,006h,007h,007h,005h,009h,006h,007h,009h,006h
  db 00ah,012h,006h,005h,006h,00bh,006h,007h,007h,008h,008h,006h,008h,008h,007h,007h
  db 007h,007h,007h,007h,009h,006h,007h,007h,005h,009h,006h,007h,008h,006h,009h,007h
  db 006h,008h,007h,005h,006h,00ah,006h,008h,006h,009h,007h,006h,009h,007h,007h,008h
  db 006h,008h,007h,007h,009h,006h,007h,007h,006h,008h,006h,008h,007h,006h,009h,007h
  db 005h,00ah,007h,005h,006h,00bh,006h,007h,007h,008h,008h,006h,008h,008h,007h,007h
  db 007h,008h,006h,007h,008h,007h,007h,007h,006h,008h,006h,008h,007h,006h,008h,008h
  db 006h,00ch,007h,005h,006h,00ah,007h,007h,007h,007h,008h,007h,008h,008h,007h,007h
  db 007h,008h,006h,007h,008h,008h,007h,006h,006h,009h,006h,007h,007h,007h,007h,007h
  db 006h,00dh,007h,005h,006h,00ah,006h,008h,006h,007h,009h,006h,007h,009h,006h,008h
  db 006h,008h,007h,006h,008h,007h,007h,007h,006h,008h,006h,008h,006h,007h,008h,006h
  db 007h,010h,006h,005h,006h,00ah,006h,007h,006h,007h,009h,006h,007h,009h,007h,007h
  db 007h,007h,007h,007h,007h,008h,006h,007h,006h,008h,006h,008h,006h,006h,009h,006h
  db 006h,00ah,003h,007h,006h,005h,006h,009h,007h,007h,006h,007h,008h,007h,007h,009h
  db 007h,007h,006h,007h,007h,007h,007h,008h,007h,006h,006h,009h,005h,009h,006h,006h
  db 008h,007h,007h,006h,005h,00ah,009h,004h,006h,00ah,006h,007h,007h,006h,009h,007h
  db 007h,009h,007h,007h,006h,008h,006h,007h,007h,007h,008h,007h,006h,007h,006h,009h
  db 005h,008h,006h,007h,007h,007h,006h,00ah,002h,005h,006h,005h,005h,00ah,006h,007h
  db 006h,007h,008h,007h,007h,009h,007h,007h,006h,007h,007h,007h,006h,007h,008h,006h
  db 007h,008h,006h,008h,005h,008h,006h,007h,007h,007h,007h,009h,003h,008h,008h,005h
  db 006h,009h,006h,007h,006h,007h,008h,008h,007h,00ah,006h,007h,006h,008h,006h,007h
  db 006h,008h,008h,006h,006h,008h,006h,008h,006h,007h,006h,007h,008h,006h,007h,006h
  db 006h,011h,006h,005h,006h,009h,006h,007h,006h,007h,007h,008h,007h,009h,007h,007h
  db 006h,008h,006h,007h,006h,008h,007h,007h,008h,006h,006h,009h,005h,008h,006h,006h
  db 007h,007h,008h,007h,005h,017h,008h,005h,006h,009h,006h,007h,006h,007h,008h,008h
  db 007h,009h,007h,007h,006h,007h,006h,008h,006h,007h,007h,007h,008h,006h,005h,009h
  db 005h,008h,006h,006h,007h,007h,008h,006h,006h,008h,005h,016h,008h,005h,007h,008h
  db 006h,007h,007h,007h,007h,008h,007h,009h,007h,007h,006h,008h,006h,007h,006h,007h
  db 007h,008h,007h,006h,009h,006h,005h,009h,006h,007h,007h,006h,007h,006h,009h,007h
  db 004h,00ah,003h,015h,007h,005h,007h,008h,006h,007h,006h,008h,007h,007h,008h,009h
  db 007h,007h,006h,008h,006h,007h,006h,007h,007h,007h,007h,008h,008h,005h,004h,00ch
  db 004h,007h,005h,007h,007h,005h,00ah,006h,005h,008h,006h,008h,005h,008h,005h,006h
  db 008h,005h,007h,008h,006h,007h,007h,007h,007h,007h,008h,008h,008h,007h,006h,008h
  db 006h,007h,006h,007h,007h,007h,007h,008h,006h,007h,006h,00bh,003h,008h,005h,008h
  db 006h,006h,007h,007h,006h,008h,008h,02fh,009h,005h,006h,008h,006h,007h,006h,008h
  db 007h,007h,007h,007h,009h,007h,006h,008h,006h,007h,006h,007h,007h,007h,007h,007h
  db 007h,008h,006h,007h,005h,009h,006h,006h,006h,007h,006h,009h,005h,008h,005h,008h
  db 007h,009h,003h,026h,007h,006h,006h,008h,006h,007h,006h,007h,007h,007h,008h,007h
  db 008h,007h,0ffh
  
  db 006h,089h,037h,0d2h,0c1h,0d5h,0d3h,0d7h,0c5h,0c9h,0d3h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,000h,000h,000h,000h
 
  

vbcw1748 db 0feh,0aah,034h,013h,00eh,012h,013h,015h
  db 012h,01ch,00ah,01fh,00eh,024h,005h,034h,00ah,036h,012h,017h,00fh,011h,013h,01ch
  db 00ch,012h,014h,016h,012h,050h,00dh,00dh,00ch,005h,005h,00dh,00bh,010h,016h,013h
  db 011h,018h,00fh,011h,019h,013h,012h,00ch,018h,01ah,011h,01bh,013h,012h,014h,014h
  db 013h,012h,010h,011h,00fh,012h,00fh,01ah,011h,014h,018h,012h,00fh,01ch,00eh,012h
  db 018h,00eh,00dh,009h,011h,013h,00eh,01ah,011h,014h,017h,011h,00fh,014h,013h,010h
  db 011h,016h,00fh,012h,00dh,010h,003h,008h,010h,012h,019h,012h,010h,014h,013h,011h
  db 011h,014h,00bh,012h,00eh,00fh,003h,006h,014h,00fh,013h,018h,013h,012h,012h,012h
  db 014h,00dh,00ah,011h,00dh,00fh,005h,006h,001h,004h,00dh,00fh,00fh,010h,003h,00ch
  db 00ch,010h,013h,016h,011h,007h,007h,012h,00eh,00fh,007h,001h,006h,003h,00ch,00fh
  db 010h,010h,019h,010h,010h,012h,01eh,012h,00fh,00fh,005h,003h,014h,010h,011h,012h
  db 002h,003h,010h,010h,010h,014h,003h,003h,010h,013h,00fh,00fh,004h,004h,014h,011h
  db 010h,017h,010h,00fh,00fh,018h,010h,012h,010h,00eh,004h,004h,015h,010h,012h,015h
  db 010h,011h,00eh,010h,012h,012h,010h,00eh,003h,005h,015h,011h,011h,01fh,00fh,010h
  db 00dh,008h,00dh,011h,00fh,00fh,004h,005h,003h,002h,00fh,011h,011h,01dh,00fh,011h
  db 00ah,008h,00dh,011h,00fh,010h,004h,005h,003h,003h,00eh,011h,010h,01dh,00fh,010h
  db 00dh,006h,00ch,010h,010h,00eh,005h,003h,004h,004h,00fh,010h,011h,01ah,010h,010h
  db 01eh,011h,010h,00eh,003h,003h,005h,004h,011h,010h,011h,018h,012h,010h,018h,012h
  db 012h,014h,002h,005h,012h,010h,012h,018h,011h,013h,011h,012h,012h,01ch,012h,010h
  db 015h,01ch,00fh,00fh,010h,011h,014h,01ch,012h,010h,015h,01ch,010h,00dh,00eh,012h
  db 012h,01eh,012h,014h,01ch,010h,012h,00ah,00eh,012h,014h,01fh,011h,014h,005h,006h
  db 011h,011h,013h,008h,00fh,013h,016h,003h,004h,015h,013h,020h,012h,011h,017h,003h
  db 00dh,014h,021h,013h,013h,022h,011h,010h,008h,00fh,012h,013h,023h,012h,013h,004h
  db 00bh,013h,010h,006h,00dh,013h,015h,014h,022h,012h,023h,023h,013h,01ah,00eh,012h
  db 008h,004h,003h,003h,010h,012h,003h,00eh,013h,020h,020h,00dh,00dh,011h,009h,00bh
  db 00fh,022h,00fh,00bh,008h,011h,00dh,006h,00dh,011h,00fh,00eh,009h,00ch,00eh,023h
  db 022h,01eh,010h,013h,008h,004h,00eh,011h,008h,00ch,01fh,011h,01fh,021h,017h,013h
  db 012h,027h,026h,01eh,01eh,00dh,00dh,00bh,007h,01fh,015h,034h,00eh,019h,014h,021h
  db 020h,01ah,008h,012h,01dh,026h,01dh,01dh,001h,00ah,00ah,004h,007h,017h,00ah,009h
  db 001h,039h,012h,001h,003h,00bh,003h,003h,009h,047h,008h,004h,001h,005h,001h,009h
  db 002h,004h,002h,004h,007h,002h,002h,009h,003h,002h,003h,002h,003h,003h,003h,003h
  db 002h,014h,003h,00eh,003h,017h,004h,001h,004h,003h,002h,004h,003h,00dh,002h,021h
  db 003h,025h,003h,00dh,002h,003h,003h,00eh,002h,004h,001h,009h,003h,004h,002h,004h
  db 00bh,002h,003h,016h,002h,003h,002h,004h,002h,014h,002h,004h,003h,025h,00dh,003h
  db 003h,003h,003h,002h,003h,00dh,002h,003h,003h,004h,001h,014h,003h,003h,002h,004h
  db 003h,003h,003h,003h,003h,002h,002h,004h,002h,00ah,002h,003h,003h,003h,002h,00ah
  db 002h,005h,002h,014h,002h,004h,002h,003h,003h,003h,003h,003h,001h,010h,002h,002h
  db 003h,003h,003h,004h,002h,004h,001h,012h,002h,00bh,004h,018h,007h,002h,003h,003h
  db 002h,00fh,003h,003h,003h,002h,002h,00bh,003h,004h,002h,003h,009h,003h,008h,00ah
  db 004h,015h,003h,003h,002h,003h,002h,002h,003h,00dh,002h,009h,003h,003h,002h,013h
  db 002h,003h,002h,005h,004h,005h,002h,002h,003h,010h,003h,003h,003h,003h,00dh,004h
  db 003h,003h,003h,00dh,003h,005h,003h,003h,003h,004h,003h,003h,002h,008h,002h,002h
  db 003h,003h,002h,004h,002h,01ah,004h,002h,003h,004h,004h,003h,005h,001h,004h,002h
  db 002h,004h,002h,00ch,003h,004h,002h,010h,002h,004h,002h,015h,001h,038h,018h,0feh
  db 0feh,0feh,0feh,0feh,0feh,0b7h,027h,027h,013h,007h,026h,026h,029h,024h,012h,028h
  db 012h,00fh,006h,010h,010h,008h,00eh,00dh,00ch,00fh,00bh,007h,00ch,014h,021h,00dh
  db 00dh,01ch,00eh,012h,00ch,004h,011h,012h,006h,005h,004h,002h,00fh,016h,005h,006h
  db 011h,011h,021h,023h,010h,012h,00ch,001h,00fh,017h,018h,012h,01fh,011h,012h,003h
  db 006h,014h,015h,01dh,011h,01eh,012h,019h,015h,015h,018h,00bh,00bh,011h,00eh,003h
  db 004h,004h,004h,010h,012h,01eh,00fh,012h,01dh,012h,017h,016h,011h,01ch,010h,014h
  db 01ch,012h,00ch,014h,00eh,002h,006h,004h,002h,00fh,013h,01ah,011h,011h,01bh,010h
  db 012h,01ch,010h,01dh,00dh,01fh,00dh,012h,012h,00eh,008h,014h,00dh,004h,006h,004h
  db 001h,00dh,00eh,01fh,00eh,01dh,011h,011h,019h,011h,015h,016h,011h,019h,00ch,005h
  db 007h,010h,012h,004h,006h,011h,011h,005h,004h,010h,00fh,01ah,00fh,01ch,00dh,014h
  db 014h,010h,019h,012h,012h,014h,012h,016h,00eh,004h,008h,010h,00ah,003h,00dh,011h
  db 009h,003h,00ch,00eh,01ch,010h,01ah,019h,00fh,012h,018h,018h,00fh,00bh,007h,011h
  db 006h,006h,00dh,00bh,005h,00dh,00bh,01dh,00eh,009h,005h,00bh,00dh,008h,003h,011h
  db 01ch,00dh,01ah,00fh,019h,01eh,008h,013h,007h,013h,002h,007h,00ch,00ch,005h,00ch
  db 00bh,007h,005h,011h,008h,004h,00bh,01ch,00eh,008h,004h,011h,015h,00ch,008h,008h
  db 00ah,007h,006h,023h,008h,00ah,003h,00fh,00ah,005h,00ah,00dh,005h,008h,00eh,01ah
  db 00bh,005h,009h,01bh,00eh,01ah,01ah,017h,00bh,005h,008h,023h,008h,009h,004h,00fh
  db 008h,005h,00ah,01bh,01ch,01ch,018h,01dh,019h,01ah,00dh,006h,006h,037h,008h,009h
  db 003h,00fh,007h,005h,00bh,01bh,004h,008h,01bh,01bh,01bh,029h,022h,011h,005h,006h
  db 01ch,015h,007h,008h,005h,010h,002h,00ah,008h,005h,00ah,028h,01ah,029h,01ah,026h
  db 020h,023h,00ch,006h,006h,008h,008h,008h,005h,00ah,007h,008h,008h,005h,00dh,003h
  db 008h,01bh,028h,081h,01eh,062h,005h,034h,034h,0feh,081h,024h,0c5h,002h,049h,001h
  db 01dh,003h,048h,001h,004h,001h,01ah,002h,00ah,001h,004h,002h,024h,002h,034h,002h
  db 005h,00ah,044h,002h,018h,002h,00ah,001h,004h,002h,029h,003h,003h,002h,003h,003h
  db 004h,001h,005h,001h,005h,001h,004h,002h,036h,003h,011h,002h,003h,002h,00eh,002h
  db 002h,003h,003h,003h,01ah,003h,015h,003h,007h,002h,002h,003h,003h,003h,003h,002h
  db 004h,002h,003h,002h,003h,003h,004h,002h,004h,003h,002h,003h,004h,001h,014h,019h
  db 003h,002h,004h,003h,002h,003h,003h,002h,013h,003h,003h,002h,00ch,002h,003h,003h
  db 004h,002h,003h,003h,004h,003h,002h,003h,004h,002h,005h,003h,00eh,012h,015h,002h
  db 003h,003h,003h,003h,003h,003h,003h,002h,004h,002h,003h,002h,004h,001h,012h,003h
  db 003h,002h,00bh,003h,003h,003h,002h,003h,00ah,003h,003h,002h,00dh,002h,003h,003h
  db 003h,002h,00dh,002h,004h,002h,003h,003h,002h,004h,002h,002h,00bh,002h,004h,002h
  db 004h,003h,009h,003h,003h,002h,003h,003h,008h,002h,002h,003h,004h,001h,00ah,008h
  db 003h,002h,004h,002h,003h,002h,004h,001h,00ch,003h,003h,00bh,001h,002h,01ch,003h
  db 00dh,004h,001h,004h,002h,002h,00ch,003h,002h,002h,011h,006h,00fh,003h,003h,00ch
  db 002h,003h,004h,001h,004h,003h,004h,002h,005h,001h,003h,002h,003h,002h,003h,003h
  db 002h,003h,003h,002h,007h,003h,001h,003h,003h,003h,003h,003h,002h,002h,011h,002h
  db 003h,004h,002h,003h,004h,001h,004h,002h,003h,008h,003h,001h,002h,011h,003h,001h
  db 015h,009h,003h,002h,003h,001h,004h,002h,004h,007h,004h,001h,005h,002h,00bh,004h
  db 003h,003h,002h,009h,00ah,001h,004h,002h,005h,008h,006h,002h,002h,002h,005h,008h
  db 017h,00ah,002h,002h,00dh,001h,005h,002h,006h,003h,003h,004h,002h,003h,003h,003h
  db 004h,003h,003h,009h,013h,00ch,003h,003h,002h,003h,013h,003h,002h,003h,002h,00eh
  db 00eh,001h,004h,002h,003h,003h,003h,004h,001h,003h,017h,003h,001h,00bh,006h,003h
  db 001h,004h,002h,003h,004h,001h,004h,002h,003h,002h,005h,001h,003h,004h,002h,003h
  db 003h,001h,00dh,002h,003h,002h,004h,002h,00bh,003h,002h,009h,013h,003h,001h,003h
  db 004h,004h,002h,003h,003h,003h,002h,00ch,012h,001h,003h,003h,001h,009h,004h,002h
  db 004h,002h,004h,003h,002h,003h,009h,001h,007h,006h,005h,009h,003h,003h,003h,003h
  db 003h,002h,014h,00bh,003h,00bh,002h,003h,004h,003h,001h,003h,002h,002h,003h,003h
  db 002h,003h,00dh,002h,003h,003h,006h,009h,00bh,002h,002h,003h,004h,002h,002h,003h
  db 004h,001h,014h,003h,002h,003h,002h,003h,003h,003h,003h,002h,004h,002h,006h,00ch
  db 00eh,003h,002h,002h,003h,002h,003h,001h,00ch,002h,003h,002h,004h,004h,003h,003h
  db 003h,002h,018h,007h,009h,003h,003h,003h,003h,003h,002h,003h,004h,001h,005h,002h
  db 004h,002h,005h,003h,002h,004h,002h,002h,00bh,002h,002h,003h,004h,002h,003h,002h
  db 004h,003h,002h,009h,01ah,018h,003h,002h,004h,002h,003h,002h,004h,001h,00ch,003h
  db 002h,003h,014h,002h,003h,003h,002h,003h,00eh,009h,00fh,003h,001h,004h,003h,002h
  db 00eh,00ah,003h,004h,001h,003h,012h,001h,003h,002h,003h,003h,002h,002h,008h,003h
  db 003h,004h,001h,00ah,005h,009h,003h,002h,004h,002h,005h,003h,002h,003h,004h,002h
  db 004h,003h,003h,00ah,011h,008h,004h,001h,00ch,003h,002h,003h,004h,002h,005h,002h
  db 004h,004h,002h,003h,004h,002h,004h,004h,002h,002h,004h,003h,018h,003h,002h,004h
  db 003h,002h,004h,003h,003h,003h,004h,002h,005h,001h,007h,00ah,004h,001h,004h,002h
  db 009h,007h,00dh,002h,004h,003h,002h,003h,004h,005h,001h,003h,005h,002h,003h,003h
  db 003h,002h,003h,002h,002h,003h,002h,003h,003h,002h,004h,004h,002h,002h,007h,002h
  db 010h,00fh,003h,001h,018h,00ah,001h,004h,003h,00ah,00ch,002h,003h,00ah,00ch,001h
  db 009h,002h,004h,012h,00fh,004h,002h,003h,004h,002h,004h,002h,004h,003h,001h,003h
  db 007h,003h,003h,002h,003h,002h,017h,003h,001h,004h,003h,002h,003h,003h,003h,002h
  db 011h,003h,002h,004h,003h,003h,002h,002h,016h,002h,004h,004h,003h,00dh,002h,002h
  db 006h,001h,006h,001h,004h,004h,003h,003h,003h,003h,00ch,00ch,004h,003h,002h,003h
  db 00ah,002h,003h,002h,004h,002h,003h,004h,004h,00dh,002h,003h,003h,002h,00bh,002h
  db 004h,001h,004h,009h,003h,001h,006h,001h,006h,002h,004h,003h,002h,003h,004h,004h
  db 003h,003h,004h,003h,003h,003h,003h,002h,00bh,001h,003h,002h,006h,003h,002h,003h
  db 003h,002h,005h,002h,010h,009h,003h,002h,005h,002h,005h,004h,002h,004h,002h,005h
  db 001h,003h,00ch,002h,004h,003h,002h,004h,001h,002h,003h,002h,004h,003h,003h,002h
  db 004h,003h,00ch,009h,004h,01bh,003h,008h,00ah,002h,003h,001h,00bh,002h,005h,008h
  db 012h,002h,003h,004h,004h,002h,003h,004h,003h,004h,004h,001h,005h,003h,004h,004h
  db 002h,004h,004h,002h,004h,002h,005h,003h,003h,003h,003h,003h,00bh,003h,005h,00ah
  db 003h,007h,004h,002h,003h,007h,008h,003h,00bh,002h,003h,004h,003h,001h,003h,002h
  db 005h,001h,00bh,004h,00ah,002h,003h,003h,003h,002h,004h,003h,004h,004h,003h,002h
  db 004h,003h,004h,005h,00bh,003h,003h,002h,016h,003h,002h,003h,00ah,001h,004h,002h
  db 004h,003h,004h,002h,005h,003h,002h,003h,003h,009h,00bh,003h,003h,003h,002h,003h
  db 003h,003h,003h,003h,003h,003h,004h,002h,00eh,003h,00bh,003h,002h,003h,003h,003h
  db 001h,003h,002h,003h,003h,003h,003h,002h,016h,003h,003h,003h,015h,004h,001h,003h
  db 004h,003h,00ch,003h,003h,003h,003h,003h,003h,002h,018h,001h,003h,003h,004h,002h
  db 005h,002h,010h,009h,00bh,006h,01ah,003h,00ch,002h,004h,003h,005h,003h,002h,003h
  db 00eh,003h,01dh,008h,00ah,002h,003h,003h,00ah,002h,038h,002h,004h,003h,015h,001h
  db 005h,003h,00bh,003h,004h,003h,004h,002h,005h,002h,00dh,003h,003h,003h,038h,001h
  db 004h,003h,003h,001h,033h,02bh,022h,01bh,01ah,01eh,028h,02fh,030h,022h,003h,012h
  db 010h,00ah,013h,0ffh
  
  db 010h,0e0h,03eh,0d7h,0c1h,0c3h,0c8h,0d3h,0c1h,0cdh,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,0a0h,000h,000h,000h,000h
    
vbcw1f89  db  0feh,0feh,0feh,0feh,0feh,0feh,0feh
  db 0feh,063h,002h,0feh,0fch,010h,0f0h,012h,012h,006h,01dh,011h,013h,011h,011h,011h
  db 04eh,008h,00eh,010h,009h,002h,007h,006h,006h,004h,012h,012h,011h,012h,012h,006h
  db 004h,007h,004h,003h,016h,004h,002h,017h,002h,003h,015h,013h,014h,029h,016h,018h
  db 014h,004h,005h,013h,013h,019h,01ah,012h,014h,018h,022h,014h,013h,016h,018h,016h
  db 01fh,013h,014h,013h,014h,020h,013h,016h,014h,015h,014h,00eh,003h,00ch,016h,011h
  db 012h,01bh,006h,002h,011h,011h,012h,012h,012h,00eh,006h,00dh,014h,010h,011h,012h
  db 005h,006h,006h,002h,010h,00fh,00eh,003h,001h,011h,009h,005h,004h,006h,007h,00ch
  db 013h,010h,010h,014h,006h,005h,007h,003h,006h,011h,010h,012h,00fh,00ch,007h,00ah
  db 013h,010h,011h,014h,005h,006h,010h,011h,011h,012h,007h,005h,010h,009h,013h,011h
  db 011h,014h,005h,006h,011h,010h,009h,002h,005h,00ah,005h,001h,008h,004h,00dh,00ah
  db 012h,011h,011h,015h,004h,005h,008h,002h,005h,009h,003h,004h,009h,005h,003h,008h
  db 004h,004h,007h,001h,008h,009h,012h,012h,012h,008h,004h,008h,003h,005h,009h,002h
  db 004h,009h,004h,004h,007h,007h,004h,006h,006h,004h,010h,009h,006h,001h,00ah,012h
  db 011h,008h,005h,007h,004h,005h,010h,009h,010h,007h,002h,008h,006h,002h,00eh,009h
  db 006h,002h,008h,011h,00ah,002h,005h,008h,005h,009h,002h,005h,00ah,002h,001h,00bh
  db 00fh,008h,004h,005h,008h,004h,007h,009h,012h,011h,00ah,004h,004h,007h,004h,009h
  db 003h,005h,009h,010h,00eh,008h,005h,005h,007h,004h,006h,008h,007h,001h,009h,009h
  db 002h,005h,00ah,006h,005h,005h,003h,009h,004h,004h,009h,006h,002h,005h,011h,007h
  db 006h,005h,006h,004h,004h,008h,007h,002h,007h,009h,004h,004h,009h,007h,006h,011h
  db 006h,001h,009h,006h,004h,006h,008h,004h,004h,008h,003h,006h,00bh,008h,012h,009h
  db 005h,003h,00ah,006h,007h,012h,00fh,007h,005h,006h,007h,005h,007h,007h,002h,003h
  db 009h,009h,012h,009h,006h,004h,008h,006h,008h,012h,00fh,006h,004h,008h,005h,006h
  db 008h,00ah,00bh,008h,012h,00ah,006h,007h,005h,004h,009h,011h,00ch,007h,007h,013h
  db 008h,009h,00ch,009h,011h,00ah,006h,008h,004h,005h,009h,013h,008h,003h,00ah,015h
  db 009h,008h,00bh,009h,012h,009h,006h,009h,003h,005h,009h,007h,004h,008h,004h,006h
  db 00bh,002h,003h,00dh,00ch,007h,00ah,009h,012h,007h,009h,012h,00ah,006h,007h,003h
  db 004h,00ah,00eh,00ch,00eh,008h,007h,00bh,013h,009h,007h,00ah,010h,00fh,006h,002h
  db 015h,00dh,003h,003h,01ch,00ch,013h,006h,00ah,003h,013h,012h,01fh,00dh,021h,00fh
  db 00dh,013h,010h,00ch,003h,007h,014h,021h,011h,00bh,01fh,00ch,00fh,020h,011h,00ah
  db 021h,00eh,020h,00bh,010h,010h,01eh,00bh,01fh,018h,008h,003h,011h,008h,00bh,010h
  db 04bh,014h,039h,00dh,08fh,012h,068h,01eh,014h,00fh,02fh,013h,02eh,003h,011h,017h
  db 00dh,004h,023h,013h,019h,001h,031h,019h,040h,007h,00eh,00bh,026h,014h,021h,005h
  db 012h,017h,004h,001h,00dh,009h,004h,008h,01bh,00ah,00ah,002h,002h,003h,002h,004h
  db 002h,002h,01bh,018h,003h,002h,011h,003h,003h,003h,003h,002h,00ch,001h,00eh,003h
  db 001h,00ah,004h,003h,00ah,003h,002h,003h,003h,003h,002h,004h,002h,002h,015h,003h
  db 003h,005h,001h,004h,004h,002h,004h,002h,004h,003h,003h,003h,00ch,003h,00ah,001h
  db 003h,001h,002h,008h,004h,001h,014h,002h,004h,003h,003h,008h,002h,003h,005h,00ah
  db 003h,003h,008h,003h,015h,00ah,014h,003h,003h,002h,006h,003h,004h,002h,003h,002h
  db 003h,004h,003h,002h,004h,007h,003h,004h,004h,004h,002h,002h,012h,003h,002h,00dh
  db 00bh,003h,00fh,004h,002h,003h,003h,003h,006h,002h,003h,002h,003h,002h,004h,002h
  db 008h,003h,008h,003h,002h,003h,00bh,002h,00ch,003h,004h,003h,002h,004h,003h,004h
  db 001h,004h,001h,004h,00fh,003h,004h,001h,014h,002h,003h,002h,004h,00dh,004h,007h
  db 006h,002h,003h,00dh,002h,002h,003h,002h,023h,00bh,002h,003h,004h,002h,003h,003h
  db 004h,003h,004h,012h,003h,002h,00dh,003h,004h,002h,004h,002h,00ch,008h,001h,004h
  db 003h,008h,002h,002h,009h,002h,003h,002h,002h,003h,025h,010h,003h,003h,003h,003h
  db 018h,002h,009h,003h,005h,003h,002h,003h,024h,003h,003h,003h,003h,006h,009h,009h
  db 008h,003h,002h,009h,01ch,00eh,002h,003h,005h,003h,00ch,009h,013h,003h,002h,003h
  db 00bh,00dh,003h,002h,00ch,004h,002h,002h,003h,003h,004h,002h,005h,002h,004h,004h
  db 002h,003h,002h,004h,004h,003h,003h,001h,00eh,001h,004h,004h,003h,00bh,003h,002h
  db 004h,004h,002h,004h,00ah,002h,002h,002h,003h,003h,003h,002h,00dh,003h,002h,003h
  db 003h,002h,009h,002h,009h,004h,001h,004h,004h,003h,004h,00ah,00ch,002h,004h,002h
  db 007h,002h,003h,003h,003h,004h,002h,002h,004h,002h,004h,003h,00ch,002h,003h,002h
  db 006h,002h,003h,004h,001h,003h,005h,003h,023h,008h,003h,007h,008h,003h,002h,002h
  db 01ah,004h,00bh,00bh,005h,002h,004h,003h,003h,003h,004h,009h,016h,002h,00ch,003h
  db 003h,00eh,009h,001h,00dh,003h,003h,003h,00eh,002h,004h,003h,00ch,008h,007h,003h
  db 003h,003h,00bh,004h,002h,008h,004h,005h,004h,002h,004h,002h,013h,003h,006h,00eh
  db 009h,002h,004h,00bh,003h,003h,009h,003h,004h,002h,005h,004h,001h,003h,006h,004h
  db 006h,00dh,002h,002h,01bh,00eh,006h,003h,003h,003h,003h,003h,004h,003h,005h,005h
  db 003h,003h,005h,003h,003h,004h,004h,003h,004h,010h,003h,002h,007h,001h,015h,009h
  db 003h,00bh,004h,003h,002h,004h,008h,002h,005h,005h,001h,00bh,01ah,002h,003h,003h
  db 003h,007h,001h,00ah,003h,009h,008h,001h,003h,002h,005h,003h,004h,002h,004h,002h
  db 004h,003h,00bh,00dh,002h,002h,018h,003h,003h,009h,002h,00ch,002h,003h,00eh,003h
  db 003h,003h,00dh,002h,005h,00ah,00dh,003h,009h,002h,006h,003h,002h,004h,001h,00ah
  db 015h,00fh,014h,008h,005h,004h,003h,014h,007h,00ch,00ch,003h,005h,01ch,012h,010h
  db 014h,005h,009h,005h,002h,00ch,004h,001h,008h,005h,007h,002h,008h,008h,001h,005h
  db 006h,008h,005h,002h,00bh,012h,013h,006h,009h,012h,016h,002h,003h,005h,003h,00bh
  db 004h,001h,009h,006h,005h,003h,008h,012h,012h,007h,004h,007h,002h,00bh,011h,003h
  db 003h,00bh,003h,005h,013h,011h,00bh,010h,012h,007h,005h,005h,004h,009h,011h,014h
  db 004h,001h,014h,00fh,013h,010h,00bh,003h,005h,006h,005h,008h,001h,008h,011h,013h
  db 004h,001h,013h,012h,009h,003h,00dh,010h,012h,014h,004h,005h,011h,014h,018h,014h
  db 01ch,00dh,010h,012h,001h,008h,005h,002h,00dh,017h,014h,012h,014h,00ah,008h,00bh
  db 012h,010h,004h,007h,014h,017h,00ah,001h,010h,009h,005h,004h,007h,00bh,011h,009h
  db 012h,018h,018h,012h,01eh,010h,012h,009h,003h,004h,009h,009h,013h,014h,00dh,003h
  db 009h,013h,007h,002h,00ah,004h,005h,00ah,015h,009h,006h,003h,00bh,009h,012h,014h
  db 009h,006h,008h,013h,013h,006h,005h,009h,013h,010h,010h,00ah,012h,009h,002h,007h
  db 007h,006h,011h,00bh,012h,009h,005h,009h,014h,00bh,013h,009h,012h,009h,003h,006h
  db 008h,005h,006h,005h,006h,009h,010h,010h,007h,005h,007h,005h,006h,007h,009h,003h
  db 00ch,009h,012h,007h,003h,007h,008h,003h,007h,005h,005h,012h,008h,002h,004h,009h
  db 005h,006h,008h,004h,006h,007h,019h,009h,012h,008h,001h,008h,007h,004h,006h,005h
  db 006h,012h,013h,005h,006h,005h,007h,005h,006h,008h,015h,00ah,011h,008h,002h,007h
  db 007h,004h,006h,005h,006h,012h,00ch,00eh,010h,005h,007h,006h,005h,004h,00ch,00ah
  db 012h,011h,007h,004h,006h,005h,006h,012h,00eh,00ah,010h,007h,006h,005h,007h,003h
  db 00eh,009h,011h,012h,007h,003h,005h,006h,007h,012h,011h,007h,010h,012h,009h,002h
  db 00fh,00ah,010h,012h,007h,002h,006h,006h,007h,012h,011h,006h,010h,007h,003h,007h
  db 007h,004h,00eh,00bh,011h,011h,007h,002h,006h,006h,007h,012h,011h,008h,010h,011h
  db 008h,003h,008h,003h,006h,00ah,011h,005h,003h,009h,006h,003h,006h,006h,006h,006h
  db 004h,008h,006h,002h,008h,006h,010h,007h,003h,006h,008h,005h,005h,005h,006h,00ah
  db 003h,003h,00ah,004h,003h,009h,006h,002h,007h,006h,007h,004h,005h,009h,004h,004h
  db 006h,008h,00eh,012h,013h,006h,008h,00ah,004h,002h,00ah,004h,003h,00ah,004h,003h
  db 007h,005h,008h,002h,007h,009h,002h,006h,013h,003h,007h,007h,003h,006h,013h,005h
  db 00bh,011h,00bh,003h,003h,012h,009h,002h,014h,011h,012h,004h,007h,005h,004h,008h
  db 007h,002h,007h,005h,00dh,010h,013h,012h,020h,012h,006h,002h,014h,004h,005h,008h
  db 003h,006h,01ch,011h,013h,013h,022h,01ah,01bh,013h,016h,003h,004h,014h,014h,020h
  db 01ah,014h,01fh,015h,01dh,013h,015h,023h,01ch,005h,007h,014h,025h,013h,00ah,014h
  db 008h,003h,009h,003h,009h,005h,005h,014h,006h,005h,005h,007h,013h,011h,00fh,007h
  db 010h,00ah,001h,007h,003h,008h,005h,005h,008h,004h,007h,005h,008h,004h,007h,015h
  db 00fh,011h,013h,00ah,023h,013h,008h,00ah,005h,005h,008h,005h,005h,007h,007h,004h
  db 008h,006h,004h,008h,007h,001h,007h,006h,005h,005h,008h,004h,006h,006h,012h,005h
  db 01dh,007h,00eh,007h,006h,005h,006h,007h,005h,005h,015h,005h,006h,008h,003h,013h
  db 006h,005h,005h,010h,02bh,013h,006h,015h,005h,006h,007h,005h,007h,004h,009h,004h
  db 007h,005h,012h,01ch,00ah,005h,032h,014h,008h,01bh,006h,004h,007h,005h,007h,005h
  db 007h,005h,007h,005h,00ah,003h,005h,012h,012h,004h,006h,006h,008h,004h,01dh,02dh
  db 002h,00ah,005h,005h,008h,004h,008h,004h,008h,005h,007h,005h,008h,006h,006h,019h
  db 008h,010h,02ch,005h,005h,025h,00ah,006h,006h,006h,006h,006h,006h,005h,008h,004h
  db 007h,007h,006h,006h,006h,00fh,014h,004h,006h,005h,015h,017h,024h,012h,008h,006h
  db 006h,006h,006h,006h,006h,005h,009h,003h,007h,008h,006h,006h,00ch,012h,00ah,004h
  db 006h,004h,020h,001h,020h,01eh,011h,008h,005h,005h,007h,006h,006h,004h,00ah,003h
  db 006h,007h,007h,01dh,013h,00fh,035h,02fh,015h,007h,006h,005h,007h,005h,007h,004h
  db 00ah,003h,007h,018h,009h,012h,015h,004h,008h,012h,01ah,02ch,025h,006h,005h,007h
  db 006h,005h,007h,004h,00bh,002h,007h,015h,00ah,013h,009h,006h,005h,004h,016h,014h
  db 030h,015h,022h,007h,006h,005h,007h,006h,006h,004h,015h,02bh,005h,001h,00ch,004h
  db 005h,006h,043h,006h,005h,007h,013h,015h,023h,006h,006h,005h,007h,005h,007h,005h
  db 009h,003h,009h,004h,006h,028h,0d4h,007h,004h,007h,008h,004h,006h,005h,015h,007h
  db 005h,025h,04eh,02ah,06bh,011h,030h,016h,011h,017h,03dh,03ch,047h,010h,0feh,0feh
  db 0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0feh,0ffh
  
  db 003h,0f5h,044h,0d9h,0c9h
  db 0c5h,0c5h,0c5h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h
  db 0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h,0a0h

  
  vbcw26dc db 000h,000h,000h,000h
  db 006h,007h,002h,004h,005h,002h,006h,003h,002h,00ah,001h,003h,004h,004h,00ah,007h
  db 004h,005h,001h,003h,007h,008h,003h,009h,006h,006h,005h,009h,004h,009h,007h,005h
  db 005h,009h,002h,00ah,007h,005h,006h,006h,001h,004h,005h,004h,004h,007h,003h,002h
  db 004h,004h,006h,009h,005h,005h,00ah,003h,005h,002h,002h,008h,002h,007h,007h,006h
  db 006h,007h,00ah,004h,003h,009h,012h,00dh,003h,004h,006h,00ch,002h,008h,007h,006h
  db 009h,009h,004h,005h,00fh,009h,005h,005h,005h,00ah,005h,008h,006h,005h,006h,012h
  db 013h,00bh,001h,005h,00dh,007h,004h,008h,009h,004h,003h,008h,002h,003h,00ah,00fh
  db 001h,005h,003h,002h,00dh,00ch,006h,001h,009h,009h,002h,005h,008h,006h,004h,00ah
  db 006h,005h,005h,00bh,004h,007h,00ah,006h,008h,004h,006h,007h,005h,007h,004h,005h
  db 00ah,008h,00bh,004h,004h,009h,009h,004h,005h,00ch,008h,00eh,001h,004h,005h,004h
  db 002h,004h,004h,005h,004h,002h,006h,014h,007h,005h,005h,00ah,006h,00fh,002h,004h
  db 008h,007h,006h,007h,008h,009h,005h,007h,005h,00ah,004h,007h,00ah,009h,004h,004h
  db 003h,004h,003h,004h,007h,002h,006h,015h,005h,009h,005h,007h,009h,015h,006h,006h
  db 007h,008h,003h,00ah,008h,007h,003h,00ah,010h,00bh,004h,008h,00bh,001h,00eh,008h
  db 00bh,004h,003h,007h,00ah,007h,004h,003h,003h,004h,003h,006h,003h,003h,007h,00fh
  db 001h,003h,006h,008h,002h,004h,003h,002h,006h,006h,00ah,008h,002h,007h,00ah,011h
  db 006h,009h,002h,002h,005h,001h,005h,00dh,008h,013h,007h,009h,008h,012h,00ah,005h
  db 003h,008h,008h,007h,010h,00ah,008h,010h,006h,00bh,006h,004h,005h,008h,009h,012h
  db 008h,007h,00ah,010h,00ah,005h,00ah,010h,008h,006h,003h,004h,006h,00ah,008h,006h
  db 002h,005h,00bh,007h,001h,004h,003h,003h,001h,009h,00ah,00fh,005h,00bh,008h,010h
  db 007h,009h,007h,00fh,009h,00ah,00bh,00ah,005h,00eh,00bh,007h,004h,002h,003h,00dh
  db 00ah,00dh,00ah,006h,00fh,009h,008h,006h,00bh,004h,001h,009h,007h,007h,009h,003h
  db 002h,009h,007h,005h,00ah,00fh,008h,004h,00dh,00bh,010h,004h,005h,00ch,00fh,004h
  db 006h,00dh,00ch,007h,008h,00bh,004h,002h,004h,008h,007h,00dh,00eh,003h,005h,002h
  db 001h,00eh,00ah,002h,005h,013h,010h,015h,00fh,017h,00fh,015h,009h,002h,004h,003h
  db 002h,010h,00eh,004h,003h,00fh,00dh,00ah,003h,00ah,00ch,01eh,00bh,019h,006h,003h
  db 002h,010h,00fh,016h,003h,003h,007h,009h,005h,008h,002h,003h,006h,003h,001h,008h
  db 003h,00eh,003h,004h,002h,007h,004h,003h,004h,006h,003h,005h,001h,003h,010h,006h
  db 003h,004h,001h,004h,010h,006h,002h,004h,008h,002h,003h,001h,007h,00dh,00dh,002h
  db 008h,00eh,00ah,003h,009h,00dh,015h,010h,016h,00fh,015h,00fh,014h,011h,013h,013h
  db 010h,013h,010h,015h,00dh,017h,00ch,018h,00ah,019h,00bh,009h,007h,00ch,004h,010h
  db 002h,004h,004h,003h,004h,004h,001h,004h,001h,002h,00dh,003h,002h,009h,003h,003h
  db 00ch,010h,014h,00eh,017h,00dh,016h,010h,014h,00eh,014h,010h,014h,013h,00eh,015h
  db 00eh,002h,002h,011h,00bh,017h,00ch,008h,009h,00bh,005h,008h,003h,001h,005h,001h
  db 004h,006h,002h,009h,011h,010h,013h,010h,015h,00dh,002h,002h,012h,010h,013h,00fh
  db 013h,013h,010h,014h,00dh,016h,00ch,008h,002h,004h,001h,00bh,006h,008h,002h,003h
  db 009h,005h,004h,008h,002h,003h,00bh,011h,002h,003h,00ch,00fh,003h,002h,010h,012h
  db 011h,011h,012h,012h,010h,014h,00eh,014h,012h,011h,00dh,002h,001h,010h,004h,005h
  db 003h,009h,002h,003h,00eh,00dh,004h,001h,011h,00ch,016h,010h,012h,011h,011h,012h
  db 001h,001h,00eh,010h,001h,002h,00fh,00eh,002h,002h,00eh,013h,00eh,009h,002h,004h
  db 001h,003h,00ch,00ah,003h,001h,013h,00fh,013h,010h,010h,012h,011h,010h,013h,00fh
  db 013h,011h,00fh,012h,002h,001h,00dh,010h,013h,010h,011h,014h,00dh,010h,001h,003h
  db 00dh,00fh,012h,010h,010h,011h,011h,011h,012h,013h,00fh,014h,00eh,012h,013h,00fh
  db 00dh,015h,00dh,00fh,017h,00ch,010h,015h,00dh,010h,001h,002h,012h,00fh,00dh,011h
  db 001h,002h,00dh,00fh,014h,011h,00fh,014h,00fh,00fh,001h,002h,010h,011h,00eh,014h
  db 010h,010h,00fh,013h,00eh,010h,011h,013h,00eh,013h,012h,010h,013h,010h,011h,010h
  db 00eh,013h,00dh,013h,013h,00fh,00eh,015h,010h,00fh,00fh,013h,00fh,012h,013h,00fh
  db 00eh,014h,010h,011h,00eh,013h,011h,010h,012h,011h,011h,00fh,011h,011h,010h,010h
  db 013h,00fh,011h,010h,012h,010h,011h,010h,011h,010h,012h,00fh,00fh,001h,001h,010h
  db 011h,010h,00fh,013h,011h,010h,00dh,014h,012h,010h,00eh,013h,012h,00fh,00dh,014h
  db 013h,00fh,010h,00ch,002h,001h,012h,010h,010h,010h,00eh,015h,011h,010h,00eh,014h
  db 010h,011h,00eh,013h,00fh,014h,00eh,00fh,001h,002h,00eh,00fh,001h,003h,00eh,012h
  db 00eh,013h,00fh,014h,00dh,013h,00eh,014h,00eh,013h,00eh,014h,00eh,014h,00eh,010h
  db 001h,002h,00eh,00fh,002h,002h,00dh,014h,00eh,013h,00fh,014h,00eh,013h,00fh,012h
  db 00eh,014h,00eh,013h,00fh,013h,00eh,014h,00eh,013h,00fh,014h,00dh,015h,00eh,014h
  db 00eh,013h,00fh,013h,00fh,013h,00eh,014h,00eh,014h,00eh,013h,00fh,013h,00eh,014h
  db 00eh,014h,00fh,014h,00dh,010h,002h,001h,00fh,00fh,002h,002h,00eh,010h,001h,002h
  db 00eh,010h,002h,001h,00eh,010h,002h,002h,00eh,00fh,002h,002h,00eh,00fh,013h,00fh
  db 003h,001h,00fh,00fh,002h,001h,00fh,00fh,002h,002h,00eh,010h,013h,00eh,014h,010h
  db 013h,015h,00fh,009h,002h,009h,007h,002h,004h,016h,006h,002h,005h,008h,002h,00ah
  db 006h,001h,005h,008h,003h,00ah,006h,001h,006h,015h,00fh,002h,002h,00fh,00fh,015h
  db 00fh,014h,00fh,014h,00fh,015h,00fh,014h,010h,00fh,002h,002h,010h,00fh,003h,001h
  db 010h,00fh,003h,001h,010h,010h,003h,001h,010h,00fh,00fh,003h,003h,00fh,00ch,005h
  db 003h,00bh,001h,002h,004h,001h,007h,005h,003h,00ah,002h,002h,003h,002h,011h,009h
  db 001h,004h,001h,004h,010h,00fh,002h,004h,00fh,00eh,004h,002h,010h,00eh,017h,00fh
  db 004h,002h,00ah,003h,003h,005h,001h,004h,008h,002h,004h,009h,003h,00bh,008h,003h
  db 002h,00ah,003h,003h,002h,003h,009h,005h,001h,00bh,004h,002h,003h,001h,009h,00bh
  db 002h,003h,007h,002h,001h,010h,00bh,002h,006h,015h,00ah,003h,005h,00dh,003h,003h
  db 009h,006h,003h,00bh,007h,003h,008h,007h,004h,008h,008h,006h,004h,009h,005h,007h
  db 008h,014h,00bh,003h,002h,017h,008h,00eh,001h,008h,003h,002h,00eh,017h,006h,003h
  db 009h,009h,001h,00ch,00fh,001h,004h,009h,002h,003h,003h,003h,00eh,003h,004h,00fh
  db 005h,003h,008h,008h,005h,007h,002h,004h,002h,006h,002h,001h,002h,003h,004h,001h
  db 006h,017h,006h,005h,002h,001h,007h,00dh,003h,006h,006h,002h,005h,002h,004h,00eh
  db 006h,003h,007h,00ah,005h,007h,005h,004h,003h,004h,003h,005h,003h,004h,006h,007h
  db 002h,00ch,004h,006h,00eh,00eh,005h,003h,007h,004h,002h,005h,005h,007h,003h,004h
  db 005h,00eh,004h,003h,006h,007h,001h,00dh,006h,005h,002h,007h,004h,005h,00fh,001h
  db 003h,00fh,012h,010h,017h,00fh,010h,00fh,014h,014h,00fh,011h,00eh,010h,002h,004h
  db 00eh,015h,010h,013h,00eh,00fh,015h,012h,011h,00fh,011h,00eh,014h,017h,014h,016h
  db 00bh,00eh,00dh,011h,009h,013h,00bh,016h,011h,01ah,008h,009h,005h,004h,001h,007h
  db 004h,005h,003h,009h,00ah,00ah,007h,013h,006h,017h,008h,013h,00dh,015h,010h,00fh
  db 009h,002h,004h,010h,001h,005h,00fh,013h,00bh,018h,010h,014h,00eh,014h,010h,014h
  db 013h,011h,00fh,004h,003h,00ch,00ah,017h,011h,012h,015h,010h,011h,00fh,012h,011h
  db 010h,014h,00fh,014h,010h,012h,010h,010h,013h,010h,014h,011h,012h,012h,010h,011h
  db 00bh,015h,014h,013h,011h,014h,011h,00fh,012h,010h,010h,012h,00fh,016h,012h,012h
  db 012h,011h,00fh,00fh,012h,012h,015h,00eh,008h,00ah,002h,004h,003h,007h,00fh,012h
  db 006h,005h,00bh,00bh,009h,017h,00ah,011h,00fh,018h,00bh,010h,00dh,018h,010h,014h
  db 00fh,015h,00eh,018h,00ch,012h,012h,00fh,013h,011h,012h,011h,012h,016h,00fh,014h
  db 00eh,017h,004h,023h,002h,009h,00ah,013h,01ah,00bh,014h,01dh,00ah,00ch,006h,002h
  db 007h,012h,009h,01bh,00dh,01dh,00bh,019h,008h,026h,01ah,018h,009h,00ah,012h,014h
  db 016h,016h,004h,01ah,009h,004h,004h,007h,007h,004h,00ah,00fh,012h,01ch,007h,021h
  db 004h,00eh,003h,025h,008h,010h,015h,013h,013h,00ah,011h,015h,010h,010h,014h,055h
  db 00dh,01ah,009h,014h,003h,006h,007h,01fh,005h,022h,00eh,015h,002h,01dh,008h,013h
  db 004h,002h,015h,015h,009h,014h,00fh,014h,010h,017h,014h,00ch,007h,020h,004h,03ah
  db 011h,014h,010h,012h,00fh,017h,00fh,016h,00dh,016h,00eh,014h,011h,033h,014h,056h
  db 004h,0c7h,004h,021h,004h,020h,004h,087h,070h,0c8h,014h,0feh,01fh,00fh,0feh,0ffh


  ; what is this? 

  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 015h,006h,001h,000h,004h,004h,004h,006h,001h,002h,001h,000h,000h,000h,000h,002h
  db 001h,000h,000h,000h,000h,000h,008h,00ah,001h,000h,000h,002h,001h,002h,005h,004h
  db 000h,000h,000h,002h,001h,002h,009h,000h,008h,008h,008h,00ah,001h,000h,004h,002h
  db 005h,004h,004h,004h,000h,000h,000h,002h,001h,000h,000h,000h,000h,000h,000h,002h
  db 009h,008h,000h,000h,008h,008h,008h,00ah,000h,02ch,000h,000h,028h,000h,000h,000h
  db 00ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 020h,01eh,009h,001h,0f0h,000h,000h,000h,02dh,000h,000h,077h,000h,000h,000h,000h
  db 010h,00dh,001h,000h,03dh,000h,000h,002h,000h,009h,000h,000h,000h,01ah,005h,000h
  db 030h,017h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,022h,002h,000h,022h,000h,000h,000h,000h,000h,000h,000h,000h,00eh,00bh,000h
  db 000h,025h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,038h,008h,000h,038h,000h,000h,000h,000h,000h,000h,000h,000h,006h,011h,000h
  db 000h,014h,001h,000h,03ch,000h,000h,000h,000h,000h,000h,000h,000h,016h,007h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 005h,000h,000h,004h,004h,004h,004h,006h,009h,000h,000h,008h,008h,008h,000h,002h
  db 004h,000h,002h,015h,006h,005h,000h,000h,000h,000h,002h,001h,002h,001h,000h,000h
  db 001h,002h,001h,000h,000h,000h,000h,002h,001h,002h,009h,008h,008h,000h,000h,002h
  db 001h,000h,004h,004h,006h,001h,000h,002h,001h,000h,000h,000h,002h,001h,000h,002h
  db 009h,008h,008h,008h,00ah,001h,000h,00ah,000h,000h,02fh,000h,029h,000h,000h,000h
  db 020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 020h,000h,007h,001h,0f0h,000h,000h,000h,02eh,000h,000h,077h,000h,000h,000h,000h
  db 010h,004h,004h,000h,004h,000h,000h,002h,00ah,000h,000h,000h,000h,016h,003h,000h
  db 030h,00fh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,015h,000h,000h,0f0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,023h,008h,000h,023h,000h,000h,000h,000h,000h,000h,000h,000h,012h,00bh,000h
  db 000h,02ah,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,029h,002h,000h,039h,000h,000h,000h,000h,000h,000h,000h,000h,00ah,00dh,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 005h,004h,004h,004h,000h,002h,015h,006h,001h,000h,000h,000h,008h,002h,001h,002h
  db 001h,000h,000h,002h,005h,000h,000h,002h,001h,000h,000h,002h,009h,008h,008h,002h
  db 001h,000h,008h,002h,005h,004h,004h,000h,000h,002h,005h,002h,001h,000h,000h,000h
  db 000h,002h,009h,00ah,001h,000h,000h,002h,001h,000h,004h,004h,000h,000h,000h,002h
  db 009h,008h,000h,000h,008h,008h,008h,00ah,000h,02eh,030h,000h,02ah,000h,000h,000h
  db 024h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 020h,014h,003h,013h,0f0h,000h,000h,000h,02fh,000h,000h,077h,000h,000h,000h,000h
  db 010h,002h,008h,000h,01ah,000h,000h,006h,000h,002h,000h,000h,000h,00eh,003h,000h
  db 030h,008h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,02ah,000h,000h,0f0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,02dh,008h,000h,03dh,000h,000h,000h,000h,000h,000h,000h,000h,01ah,00dh,000h
  db 000h,047h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,019h,001h,000h,039h,000h,000h,000h,000h,000h,000h,000h,000h,00ah,009h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h






; here+1205h starts "random" data for demo mode
bcwDemoData db 0,0,0,0 ; for some reason, its offset is 4 off when loaded from floppy disk.
  db 003h,000h,000h,000h,000h,000h,000h,09ch,0b2h,09eh,0a7h,014h,0a6h,01eh,0e2h,031h
  db 0a9h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00dh,000h,000h,000h,000h
  db 000h,000h,001h,000h,000h,024h,000h,000h,000h,000h,00ah,001h,064h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,019h,000h,000h,002h,010h,008h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,004h,006h,001h
  db 002h,005h,004h,006h,009h,000h,000h,000h,000h,000h,000h,00ah,006h,001h,008h,000h
  db 000h,008h,002h,005h,00ah,003h,005h,000h,000h,006h,003h,009h,00dh,002h,001h,000h
  db 000h,002h,001h,00eh,006h,003h,009h,000h,000h,00ah,003h,005h,00ah,001h,004h,000h
  db 000h,004h,002h,009h,005h,000h,008h,000h,000h,008h,000h,006h,009h,00ah,007h,009h
  db 00ah,007h,009h,00ah,001h,046h,046h,002h,046h,046h,000h,000h,001h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,004h,004h,000h
  db 002h,005h,004h,006h,001h,000h,000h,008h,00ah,001h,000h,002h,000h,000h,000h,004h
  db 006h,001h,000h,000h,008h,008h,008h,008h,002h,001h,000h,008h,015h,006h,005h,006h
  db 001h,000h,000h,006h,001h,002h,001h,002h,001h,000h,000h,002h,001h,000h,000h,000h
  db 000h,008h,000h,002h,001h,000h,000h,000h,002h,005h,000h,002h,009h,008h,008h,000h
  db 002h,009h,008h,00ah,000h,000h,003h,007h,001h,000h,000h,000h,00eh,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,010h,022h,001h,000h
  db 03ah,000h,000h,001h,009h,01dh,000h,000h,000h,00eh,00bh,000h,020h,03dh,006h,0f0h
  db 0f0h,000h,000h,000h,002h,000h,000h,077h,000h,000h,000h,000h,030h,038h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,008h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,008h,000h
  db 012h,000h,000h,000h,000h,000h,000h,000h,000h,00eh,003h,000h,000h,025h,002h,000h
  db 02dh,000h,000h,000h,000h,000h,000h,000h,000h,01ah,00bh,000h,000h,02fh,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,001h,002h,005h,004h
  db 004h,004h,004h,006h,001h,00ah,001h,000h,000h,000h,000h,002h,003h,005h,000h,000h
  db 000h,000h,000h,002h,003h,001h,000h,008h,008h,000h,000h,002h,001h,000h,002h,015h
  db 006h,001h,000h,002h,000h,000h,002h,001h,002h,009h,000h,002h,008h,000h,000h,000h
  db 000h,006h,001h,002h,005h,000h,000h,000h,000h,002h,001h,000h,009h,008h,008h,008h
  db 000h,002h,009h,008h,000h,002h,004h,008h,000h,000h,000h,000h,029h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,038h,000h,00fh
  db 0f0h,000h,000h,000h,003h,000h,000h,077h,000h,000h,000h,000h,030h,01fh,000h,000h
  db 0f0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,010h,032h,002h,000h
  db 03ah,000h,000h,008h,002h,011h,000h,000h,000h,00eh,00fh,000h,000h,014h,004h,000h
  db 014h,000h,000h,000h,000h,000h,000h,000h,000h,016h,007h,000h,000h,019h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,006h,001h,000h
  db 03eh,000h,000h,000h,000h,000h,000h,000h,000h,01eh,003h,000h,000h,010h,001h,000h
  db 028h,000h,000h,000h,000h,000h,000h,000h,000h,006h,007h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,015h,006h,001h,000h
  db 004h,004h,004h,006h,001h,002h,001h,000h,000h,000h,000h,002h,001h,002h,009h,008h
  db 008h,008h,000h,002h,001h,000h,004h,004h,004h,004h,000h,000h,009h,008h,008h,008h
  db 008h,008h,000h,000h,004h,004h,004h,004h,004h,006h,001h,002h,008h,000h,000h,000h
  db 000h,002h,001h,002h,005h,000h,000h,000h,000h,000h,000h,002h,009h,008h,008h,008h
  db 008h,008h,000h,002h,000h,003h,005h,009h,000h,000h,000h,000h,02ch,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,030h,017h,000h,000h
  db 0f0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,010h,01bh,008h,000h
  db 01bh,000h,000h,000h,003h,014h,000h,000h,000h,012h,009h,000h,020h,038h,001h,02bh
  db 0f0h,000h,000h,000h,004h,000h,000h,077h,000h,000h,000h,000h,000h,006h,001h,000h
  db 03eh,000h,000h,000h,000h,000h,000h,000h,000h,01eh,003h,000h,000h,035h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,03ah,008h,000h
  db 03ah,000h,000h,000h,000h,000h,000h,000h,000h,00eh,011h,000h,000h,020h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,006h,001h,000h
  db 004h,004h,004h,006h,001h,002h,001h,000h,000h,000h,000h,002h,009h,002h,009h,008h
  db 008h,000h,000h,002h,004h,000h,004h,004h,004h,000h,000h,000h,000h,000h,000h,008h
  db 008h,000h,000h,000h,001h,000h,002h,015h,006h,001h,000h,002h,001h,000h,002h,001h
  db 002h,001h,000h,002h,001h,000h,000h,000h,000h,000h,000h,002h,009h,008h,008h,000h
  db 000h,008h,008h,00ah,000h,004h,000h,00ah,000h,000h,000h,000h,00bh,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,010h,01bh,008h,000h
  db 01bh,000h,000h,007h,001h,00dh,000h,000h,000h,012h,009h,000h,030h,030h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,010h,01ch,008h,000h
  db 01ch,000h,000h,005h,003h,016h,000h,000h,000h,016h,009h,000h,000h,000h,000h,000h
  db 0f0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00ch,008h,000h
  db 00ch,000h,000h,000h,000h,000h,000h,000h,000h,016h,005h,000h,000h,017h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,009h,001h,000h
  db 039h,000h,000h,000h,000h,000h,000h,000h,000h,00ah,005h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,004h,004h,004h
  db 000h,002h,015h,006h,001h,000h,000h,000h,008h,002h,001h,002h,001h,000h,000h,002h
  db 005h,000h,000h,002h,001h,000h,000h,002h,009h,008h,008h,002h,001h,000h,008h,002h
  db 005h,004h,004h,000h,000h,002h,005h,002h,001h,000h,000h,000h,000h,002h,009h,00ah
  db 001h,000h,000h,002h,001h,000h,004h,004h,000h,000h,000h,002h,009h,008h,000h,000h
  db 008h,008h,008h,00ah,000h,000h,000h,00bh,000h,000h,000h,000h,024h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,014h,009h,0f0h
  db 0f0h,000h,000h,000h,006h,000h,000h,077h,000h,000h,000h,000h,010h,002h,008h,000h
  db 01ah,000h,000h,002h,007h,01eh,000h,000h,000h,00eh,003h,000h,030h,008h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,02ah,000h,000h
  db 0f0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,02dh,008h,000h
  db 03dh,000h,000h,000h,000h,000h,000h,000h,000h,01ah,00dh,000h,000h,047h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,019h,001h,000h
  db 039h,000h,000h,000h,000h,000h,000h,000h,000h,00ah,009h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,004h,004h,004h
  db 000h,002h,005h,006h,001h,000h,000h,008h,008h,00ah,001h,002h,001h,000h,00ah,005h
  db 004h,004h,000h,000h,001h,002h,005h,000h,008h,008h,000h,000h,001h,002h,001h,002h
  db 015h,006h,001h,002h,000h,000h,000h,002h,001h,002h,001h,002h,008h,008h,008h,00ah
  db 001h,000h,000h,002h,005h,004h,004h,004h,000h,000h,000h,002h,009h,008h,000h,000h
  db 008h,008h,008h,00ah,000h,000h,008h,00ch,002h,000h,000h,000h,039h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,030h,047h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,038h,004h,0f0h
  db 0f0h,000h,000h,000h,007h,000h,000h,077h,000h,000h,000h,000h,010h,014h,008h,000h
  db 014h,000h,000h,007h,004h,004h,000h,000h,000h,016h,007h,000h,000h,001h,008h,000h
  db 001h,000h,000h,000h,000h,000h,000h,000h,000h,00ah,003h,000h,000h,008h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,022h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,023h,002h,000h
  db 02bh,000h,000h,000h,000h,000h,000h,000h,000h,012h,00bh,000h,000h,03dh,004h,000h
  db 03dh,000h,000h,000h,000h,000h,000h,000h,000h,01ah,011h,000h,005h,004h,004h,004h
  db 004h,000h,000h,006h,009h,000h,008h,008h,000h,000h,000h,002h,005h,002h,015h,006h
  db 001h,000h,000h,002h,001h,002h,001h,002h,001h,000h,000h,000h,001h,000h,000h,002h
  db 001h,000h,008h,008h,001h,000h,000h,002h,001h,002h,005h,006h,001h,000h,000h,000h
  db 000h,002h,009h,002h,002h,001h,000h,000h,000h,000h,004h,002h,00ah,009h,008h,008h
  db 008h,008h,000h,002h,000h,007h,009h,00dh,003h,000h,000h,000h,02ah,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,030h,035h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,02eh,006h,0f0h
  db 0f0h,000h,000h,000h,008h,000h,000h,077h,000h,000h,000h,000h,010h,024h,002h,000h
  db 03ch,000h,000h,002h,005h,00dh,000h,000h,000h,016h,00bh,000h,000h,000h,000h,000h
  db 0f0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,008h,000h
  db 002h,000h,000h,000h,000h,000h,000h,000h,000h,00eh,003h,000h,000h,041h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,032h,002h,000h
  db 03ah,000h,000h,000h,000h,000h,000h,000h,000h,00eh,00fh,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,004h,004h,000h
  db 002h,005h,004h,006h,001h,000h,008h,008h,002h,001h,000h,002h,001h,002h,015h,006h
  db 003h,009h,000h,002h,001h,002h,001h,002h,001h,006h,001h,000h,000h,000h,000h,002h
  db 001h,002h,001h,000h,000h,000h,000h,002h,001h,000h,000h,002h,001h,000h,000h,002h
  db 001h,000h,000h,002h,001h,000h,000h,002h,001h,000h,000h,002h,009h,008h,000h,002h
  db 009h,008h,008h,00ah,000h,008h,00ah,000h,004h,000h,000h,000h,027h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,005h,008h,0f0h
  db 0f0h,000h,000h,000h,009h,000h,000h,077h,000h,000h,000h,000h,010h,023h,005h,000h
  db 03bh,000h,000h,001h,00bh,00dh,000h,000h,000h,012h,00bh,000h,030h,040h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,037h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,03fh,004h,000h
  db 03fh,000h,000h,000h,000h,000h,000h,000h,000h,022h,011h,000h,000h,03ch,002h,000h
  db 03ch,000h,000h,000h,000h,000h,000h,000h,000h,016h,011h,000h,000h,025h,001h,000h
  db 03eh,000h,000h,000h,000h,000h,000h,000h,000h,01eh,003h,000h,000h,000h,000h,000h
  db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0ffh,000h,0ffh


  db 3 * 512  dup (0f6h)  ; blank floppy space 3 sectors worth

; if I can get this offset as a variable, I can remove the above blank sectors
;900:1004
db 0A0h

demoKeys:
db 003h,000h,0D7h,009h,000h,0D1h,00Ah,000h,0D3h,00Dh,000h,0B4h,00Dh,000h,0B4h,00Dh
db 000h,0B4h,010h,000h,0CDh,010h,000h,0CDh,013h,000h,0C4h,014h,000h,0D7h,015h,000h
db 0ACh,016h,000h,0D3h,018h,000h,0CCh,01Bh,000h,0D7h,01Dh,000h,0C1h,01Fh,000h,0D1h
db 021h,000h,0D3h,025h,000h,0BBh,029h,000h,0D8h,02Bh,000h,0D3h,02Eh,000h,0CCh,031h
db 000h,0CCh,035h,000h,0C5h,039h,000h,0C4h,03Ch,000h,0C5h,002h,000h,0C4h,006h,000h
db 0D0h,009h,000h,0D7h,00Eh,000h,0CBh,010h,000h,0C5h,013h,000h,0C4h,002h,000h,0BBh
db 003h,000h,0D7h,00Bh,000h,0C5h,00Dh,000h,0D7h,011h,000h,0D3h,013h,000h,0AEh,014h
db 000h,0BBh,015h,000h,0C4h,01Ch,000h,01Fh,01Dh,000h,0C9h,00Ah,000h,03Eh,00Ch,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,004h,0D8h,000h,000h,000h,0FFh,000h,000h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,078h,0FFh,000h,01Bh,0FFh,0FFh,000h,000h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,060h,0FFh,000h,000h,0FFh,0FFh,000h,000h,0A0h


demoRand:  ;@1205
db 000h,000h,000h,080h,000h,080h,060h,038h,01Eh,00Fh,000h,03Ah,00Eh,0BFh,000h
db 000h,000h,000h,000h,000h,000h,01Eh,061h,0BBh,0FEh,01Fh,091h,0AEh,02Eh,04Eh,093h
db 0E4h,039h,08Eh,023h,088h,022h,008h,002h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,0B2h,024h,00Dh,081h,0A1h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0D9h
db 080h,000h,0E4h,0A9h,0EAh,03Ah,00Eh,000h,0A3h,080h,002h,002h,002h,002h,03Bh,0ADh
db 080h,002h,002h,002h,002h,002h,002h,0A9h,0EAh,03Ah,00Eh,0A3h,002h,002h,002h,002h
db 04Ch,002h,0A3h,0A9h,001h,0C0h,000h,022h,001h,001h,001h,000h,000h,001h,001h,001h
db 001h,001h,001h,001h,001h,001h,001h,001h,060h,0FFh,000h,000h,0FFh,0FFh,000h,000h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,002h,0FFh,000h,000h,0FFh,0FFh,000h,000h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0C3h,0FFh,000h,030h,0FFh,0FFh,000h,000h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h
db 0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0A0h,0C6h,0FFh,000h,030h,0FFh,0FFh,000h,000h
db 004h,004h,004h,006h,001h,002h,001h,000h,000h,000h,000h,002h,001h,002h,009h,008h
db 008h,008h,000h,002h,001h,000h,004h,004h,004h,004h,000h,000h,009h,008h,008h,008h
db 008h,008h,000h,000h,004h,004h,004h,004h,004h,006h,001h,002h,008h,000h,000h,000h
db 000h,002h,001h,002h,005h,000h,000h,000h,000h,000h,000h,002h,009h,008h,008h,008h
db 008h,008h,000h,002h,000h,003h,005h,009h,000h,000h,000h,000h,02Ch,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,030h,017h,000h,000h
db 0F0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,010h,01Bh,008h,000h
db 01Bh,000h,000h,000h,003h,014h,000h,000h,000h,012h,009h,000h,020h,038h,001h,02Bh
db 0F0h,000h,000h,000h,004h,000h,000h,077h,000h,000h,000h,000h,000h,006h,001h,000h
db 03Eh,000h,000h,000h,000h,000h,000h,000h,000h,01Eh,003h,000h,000h,035h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,03Ah,008h,000h
db 03Ah,000h,000h,000h,000h,000h,000h,000h,000h,00Eh,011h,000h,000h,020h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,006h,001h,000h
db 004h,004h,004h,006h,001h,002h,001h,000h,000h,000h,000h,002h,009h,002h,009h,008h
db 008h,000h,000h,002h,004h,000h,004h,004h,004h,000h,000h,000h,000h,000h,000h,008h
db 008h,000h,000h,000h,001h,000h,002h,015h,006h,001h,000h,002h,001h,000h,002h,001h
db 002h,001h,000h,002h,001h,000h,000h,000h,000h,000h,000h,002h,009h,008h,008h,000h
db 000h,008h,008h,00Ah,000h,004h,000h,00Ah,000h,000h,000h,000h,00Bh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,010h,01Bh,008h,000h
db 01Bh,000h,000h,007h,001h,00Dh,000h,000h,000h,012h,009h,000h,030h,030h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,010h,01Ch,008h,000h
db 01Ch,000h,000h,005h,003h,016h,000h,000h,000h,016h,009h,000h,000h,000h,000h,000h
db 0F0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,008h,000h
db 00Ch,000h,000h,000h,000h,000h,000h,000h,000h,016h,005h,000h,000h,017h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,009h,001h,000h
db 039h,000h,000h,000h,000h,000h,000h,000h,000h,00Ah,005h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,004h,004h,004h
db 000h,002h,015h,006h,001h,000h,000h,000h,008h,002h,001h,002h,001h,000h,000h,002h
db 005h,000h,000h,002h,001h,000h,000h,002h,009h,008h,008h,002h,001h,000h,008h,002h
db 005h,004h,004h,000h,000h,002h,005h,002h,001h,000h,000h,000h,000h,002h,009h,00Ah
db 001h,000h,000h,002h,001h,000h,004h,004h,000h,000h,000h,002h,009h,008h,000h,000h
db 008h,008h,008h,00Ah,000h,000h,000h,00Bh,000h,000h,000h,000h,024h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,014h,009h,0F0h
db 0F0h,000h,000h,000h,006h,000h,000h,077h,000h,000h,000h,000h,010h,002h,008h,000h
db 01Ah,000h,000h,002h,007h,01Eh,000h,000h,000h,00Eh,003h,000h,030h,008h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,02Ah,000h,000h
db 0F0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,02Dh,008h,000h
db 03Dh,000h,000h,000h,000h,000h,000h,000h,000h,01Ah,00Dh,000h,000h,047h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,019h,001h,000h
db 039h,000h,000h,000h,000h,000h,000h,000h,000h,00Ah,009h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,004h,004h,004h
db 000h,002h,005h,006h,001h,000h,000h,008h,008h,00Ah,001h,002h,001h,000h,00Ah,005h
db 004h,004h,000h,000h,001h,002h,005h,000h,008h,008h,000h,000h,001h,002h,001h,002h
db 015h,006h,001h,002h,000h,000h,000h,002h,001h,002h,001h,002h,008h,008h,008h,00Ah
db 001h,000h,000h,002h,005h,004h,004h,004h,000h,000h,000h,002h,009h,008h,000h,000h
db 008h,008h,008h,00Ah,000h,000h,008h,00Ch,002h,000h,000h,000h,039h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,030h,047h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,038h,004h,0F0h
db 0F0h,000h,000h,000h,007h,000h,000h,077h,000h,000h,000h,000h,010h,014h,008h,000h
db 014h,000h,000h,007h,004h,004h,000h,000h,000h,016h,007h,000h,000h,001h,008h,000h
db 001h,000h,000h,000h,000h,000h,000h,000h,000h,00Ah,003h,000h,000h,008h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,022h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,023h,002h,000h
db 02Bh,000h,000h,000h,000h,000h,000h,000h,000h,012h,00Bh,000h,000h,03Dh,004h,000h
db 03Dh,000h,000h,000h,000h,000h,000h,000h,000h,01Ah,011h,000h,005h,004h,004h,004h
db 004h,000h,000h,006h,009h,000h,008h,008h,000h,000h,000h,002h,005h,002h,015h,006h
db 001h,000h,000h,002h,001h,002h,001h,002h,001h,000h,000h,000h,001h,000h,000h,002h
db 001h,000h,008h,008h,001h,000h,000h,002h,001h,002h,005h,006h,001h,000h,000h,000h
db 000h,002h,009h,002h,002h,001h,000h,000h,000h,000h,004h,002h,00Ah,009h,008h,008h
db 008h,008h,000h,002h,000h,007h,009h,00Dh,003h,000h,000h,000h,02Ah,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,030h,035h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,02Eh,006h,0F0h
db 0F0h,000h,000h,000h,008h,000h,000h,077h,000h,000h,000h,000h,010h,024h,002h,000h
db 03Ch,000h,000h,002h,005h,00Dh,000h,000h,000h,016h,00Bh,000h,000h,000h,000h,000h
db 0F0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,008h,000h
db 002h,000h,000h,000h,000h,000h,000h,000h,000h,00Eh,003h,000h,000h,041h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,032h,002h,000h
db 03Ah,000h,000h,000h,000h,000h,000h,000h,000h,00Eh,00Fh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,005h,004h,004h,000h
db 002h,005h,004h,006h,001h,000h,008h,008h,002h,001h,000h,002h,001h,002h,015h,006h
db 003h,009h,000h,002h,001h,002h,001h,002h,001h,006h,001h,000h,000h,000h,000h,002h
db 001h,002h,001h,000h,000h,000h,000h,002h,001h,000h,000h,002h,001h,000h,000h,002h
db 001h,000h,000h,002h,001h,000h,000h,002h,001h,000h,000h,002h,009h,008h,000h,002h
db 009h,008h,008h,00Ah,000h,008h,00Ah,000h,004h,000h,000h,000h,027h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,005h,008h,0F0h
db 0F0h,000h,000h,000h,009h,000h,000h,077h,000h,000h,000h,000h,010h,023h,005h,000h
db 03Bh,000h,000h,001h,00Bh,00Dh,000h,000h,000h,012h,00Bh,000h,030h,040h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,037h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,03Fh,004h,000h
db 03Fh,000h,000h,000h,000h,000h,000h,000h,000h,022h,011h,000h,000h,03Ch,002h,000h
db 03Ch,000h,000h,000h,000h,000h,000h,000h,000h,016h,011h,000h,000h,025h,001h,000h
db 03Eh,000h,000h,000h,000h,000h,000h,000h,000h,01Eh,003h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0FFh,000h,0FFh
 
;900:1a04
  db 3 * 512  dup (0f6h)  ; blank floppy space 3 sectors worth

;900:2004

db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h
db 055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h
db 055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h
db 055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h
db 055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,00Ch,02Ch,0F0h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,00Ch,0FFh,0F2h,00Ch,020h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,00Fh,0FFh,0F2h,0CFh,0FFh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0CFh,0FFh,020h,00Ch,0FFh,0F0h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,00Ch,0F0h,0CFh,0F0h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,0FFh,0F2h,00Ch,0F0h,00Ch,020h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,002h,0CFh,000h,00Ch,0F0h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Fh,0FFh,0F0h,0CFh,020h,00Ch,020h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,0F0h,0FFh,000h,0F2h,000h,00Ch,0FFh
db 0FFh,0F0h,0F2h,000h,00Fh,020h,00Ch,0F2h,000h,0C2h,000h,00Fh,02Ch,0FFh,0F0h,000h
db 000h,000h,000h,000h,000h,000h,0CFh,0FFh,020h,0CFh,020h,00Ch,020h,000h,000h,0FFh
db 0F0h,000h,00Fh,0FFh,000h,00Fh,0FFh,0FFh,02Ch,0F0h,000h,000h,0CFh,0FFh,0FFh,020h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,0F0h,0FFh,00Fh,0F2h,000h,00Ch,0F0h
db 000h,000h,0F2h,000h,00Fh,020h,0F2h,00Ch,0F0h,0CFh,020h,00Fh,02Ch,0F0h,00Ch,0F0h
db 000h,000h,000h,000h,000h,000h,0FFh,0FFh,000h,0CFh,020h,00Ch,020h,000h,0CFh,020h
db 0CFh,02Ch,0F2h,000h,0F0h,00Fh,0FFh,0FFh,02Ch,0F0h,000h,000h,0CFh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,0F0h,0FFh,00Fh,00Ch,0F2h,00Ch,0F0h
db 000h,000h,00Fh,020h,0F2h,00Ch,0F0h,000h,0F2h,0CFh,0F2h,00Fh,02Ch,0F0h,000h,0F2h
db 000h,000h,000h,000h,000h,000h,0FFh,0FFh,000h,0CFh,020h,00Ch,020h,000h,0CFh,000h
db 00Fh,02Ch,0F2h,000h,000h,000h,00Fh,020h,00Ch,0F0h,000h,000h,0CFh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,0CFh,0F0h,0FFh,00Fh,00Ch,0F2h,00Ch,0FFh
db 0FFh,020h,000h,0FFh,020h,00Ch,0F0h,000h,0F2h,0CFh,0CFh,02Fh,02Ch,0F0h,000h,0F2h
db 000h,000h,000h,000h,000h,000h,0FFh,0FFh,020h,0CFh,020h,00Ch,020h,000h,0CFh,000h
db 00Fh,020h,00Fh,0FFh,0F0h,000h,00Fh,020h,00Ch,0F0h,000h,000h,0CFh,0FFh,0F2h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,0C0h,0F0h,0FFh,00Fh,00Ch,0F2h,00Ch,0F0h
db 000h,000h,000h,0CFh,000h,00Ch,0F0h,000h,0F2h,0CFh,00Ch,0FFh,02Ch,0F0h,000h,0F2h
db 000h,000h,000h,000h,000h,000h,0CFh,0FFh,02Ch,020h,000h,00Ch,020h,000h,0CFh,0FFh
db 0FFh,020h,000h,000h,0F2h,000h,00Fh,020h,00Ch,0F0h,000h,000h,0CFh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,0F0h,0FFh,00Fh,00Ch,0F2h,00Ch,0F0h
db 000h,000h,000h,0CFh,000h,000h,0F2h,00Ch,0F0h,0CFh,000h,0CFh,02Ch,0F0h,00Ch,0F0h
db 000h,000h,000h,000h,000h,000h,00Fh,0FFh,0F2h,000h,000h,00Ch,02Ch,000h,0CFh,000h
db 00Fh,02Ch,0F0h,00Ch,0F2h,000h,00Fh,020h,00Ch,0FFh,0FFh,0F2h,0CFh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,00Ch,02Ch,020h,000h,00Fh,020h,00Ch,0FFh
db 0FFh,0F2h,000h,0CFh,000h,000h,00Ch,0F2h,000h,0CFh,000h,00Ch,02Ch,0FFh,0F2h,000h
db 000h,000h,000h,000h,000h,000h,000h,0FFh,0FFh,0F0h,000h,00Fh,0F0h,000h,0CFh,000h
db 00Fh,020h,00Fh,0FFh,000h,000h,00Fh,020h,00Ch,0FFh,0FFh,0F2h,0CFh,0FFh,0FFh,020h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,0C0h,0FFh,0FFh,0F0h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,00Ch,0FFh,0FFh,0FFh,0FFh,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,00Fh,020h,00Fh,000h,000h,000h,000h
db 000h,00Ch,020h,000h,0CFh,0F0h,000h,000h,000h,000h,000h,000h,00Ch,020h,000h,000h
db 000h,0C2h,000h,000h,000h,000h,000h,000h,000h,000h,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 000h,0FFh,0F0h,0CFh,0FFh,0FFh,0F2h,000h,000h,000h,000h,000h,0CFh,0F2h,000h,000h
db 00Fh,0FFh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,00Fh,0FFh,0F0h
db 0F2h,0CFh,0FFh,0C2h,000h,0FFh,000h,000h,000h,000h,000h,00Ch,0FFh,0F0h,000h,0CFh
db 020h,0FFh,0F2h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,0FFh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,00Ch,020h,0CFh,0F2h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,000h,000h,000h,000h,000h,0CFh,020h,000h,0CFh
db 020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,00Fh,020h,000h,000h,000h,000h,000h,000h,000h,0FFh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,000h,000h,000h,000h,000h,0CFh,020h,000h,0CFh
db 020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,0CFh,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,000h,000h,00Ch,000h,000h,0CFh,020h,000h,0CFh
db 020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,0CFh,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,000h,000h,0FFh,0F0h,000h,0CFh,020h,0CFh,0FFh
db 0FFh,0F2h,000h,000h,0CFh,0F0h,000h,000h,0F2h,000h,0CFh,000h,000h,000h,000h,00Fh
db 0F2h,000h,0CFh,0FFh,0FFh,020h,000h,000h,0CFh,020h,000h,000h,0FFh,000h,000h,0FFh
db 000h,00Ch,020h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0CFh,0FFh,0F0h,0CFh,0FFh,0FFh,000h,000h,0FFh,00Ch,0FFh,0FFh,0CFh,020h,000h,0CFh
db 020h,000h,000h,0C2h,00Ch,0FFh,000h,0CFh,0F2h,0CFh,0FFh,0F0h,000h,000h,0CFh,00Ch
db 0FFh,0F2h,000h,0CFh,020h,000h,000h,0CFh,00Fh,0F2h,000h,000h,0FFh,0F2h,0CFh,0FFh
db 00Ch,0FFh,0F2h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,00Fh,0FFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,00Ch,0F2h,000h,0CFh,020h,0CFh,020h,000h,0CFh
db 020h,000h,0CFh,0F0h,000h,0CFh,0F0h,00Ch,0F2h,000h,0CFh,0FFh,020h,00Fh,0F0h,000h
db 0C2h,000h,000h,0CFh,020h,000h,0CFh,0F0h,000h,0FFh,020h,000h,0FFh,000h,000h,0FFh
db 0F0h,00Fh,0FFh,0F0h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,0CCh,0FFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,00Ch,0F2h,000h,0CFh,020h,0CFh,020h,000h,0CFh
db 020h,000h,0CFh,0F0h,000h,0CFh,000h,00Ch,0F2h,000h,00Fh,0F0h,000h,00Fh,0F0h,00Ch
db 020h,000h,000h,0CFh,020h,000h,0CFh,0F0h,000h,0CFh,000h,000h,0FFh,000h,000h,0FFh
db 000h,000h,0FFh,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,00Ch,0F2h,000h,0CFh,020h,0CFh,020h,000h,0CFh
db 020h,000h,0CFh,0F0h,0CFh,000h,000h,00Ch,0F2h,000h,00Fh,0F0h,000h,00Fh,0FFh,0FFh
db 0FFh,0F0h,000h,0CFh,020h,000h,0CFh,0F0h,0CFh,000h,000h,000h,0FFh,000h,000h,0FFh
db 000h,000h,0FFh,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,00Ch,0F2h,000h,0CFh,020h,0CFh,020h,000h,0CFh
db 020h,000h,0CFh,0FFh,000h,000h,000h,00Ch,0F2h,000h,00Fh,0F0h,000h,00Fh,00Fh,000h
db 0CFh,020h,000h,0CFh,020h,000h,0CFh,0FFh,000h,000h,000h,000h,0FFh,000h,000h,0FFh
db 000h,000h,0FFh,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,00Ch,0F2h,000h,0CFh,020h,0CFh,020h,000h,0CFh
db 020h,000h,0CFh,0FFh,000h,000h,0C2h,00Ch,0F2h,000h,00Fh,0F0h,000h,000h,0F0h,000h
db 0CFh,020h,000h,0CFh,020h,000h,00Fh,0FFh,000h,000h,0C2h,000h,0FFh,000h,000h,0FFh
db 000h,000h,0FFh,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,0CFh,0FFh,0F0h,0CFh,020h,0CFh,0F2h,00Ch,0FFh
db 020h,000h,00Ch,0FFh,0F0h,0CFh,000h,00Ch,0F2h,000h,00Fh,0F0h,000h,0FFh,0F0h,000h
db 0CFh,020h,000h,0FFh,020h,000h,000h,0FFh,0F0h,00Fh,000h,00Fh,0FFh,020h,00Fh,0FFh
db 000h,000h,0FFh,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,000h,00Fh,0FFh,020h,000h,00Fh,0F2h,000h,0CFh
db 0F2h,000h,000h,0CFh,0FFh,000h,000h,0CFh,0FFh,020h,00Fh,0FFh,000h,00Ch,0FFh,0FFh
db 0FFh,020h,000h,0FFh,0F0h,000h,000h,00Fh,0FFh,020h,000h,000h,0FFh,020h,000h,0FFh
db 0F0h,000h,0FFh,0F0h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,00Ch,0FFh,0F0h
db 0C2h,00Ch,0F0h,0C2h,000h,0FFh,000h,000h,000h,0C2h,000h,000h,000h,020h,000h,00Ch
db 000h,000h,000h,00Ch,000h,000h,000h,000h,0F0h,000h,000h,020h,000h,000h,0C2h,000h
db 00Ch,020h,000h,00Fh,000h,000h,000h,000h,0F0h,000h,000h,000h,002h,000h,000h,002h
db 000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,002h,0FFh,0F0h
db 0C2h,0CFh,0F2h,0C2h,0CFh,0FFh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,0FFh
db 0CFh,00Fh,0FFh,0FFh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0FFh
db 000h,000h,0FFh,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,004h,055h,055h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh
db 0FFh,0FFh,0FAh,000h,000h,000h,0FFh,0FFh,0FFh,0AAh,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,000h,000h,000h,004h,055h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,004h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,004h,052h,004h,050h,002h,022h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FAh,0AAh,000h,000h,0FFh,0FFh,0FFh,0AAh,0AAh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,000h,000h,000h,050h,000h,054h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,004h,022h,000h,022h,022h,022h,022h,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0F2h,0C5h,000h,055h,00Fh,0FFh,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FAh,0AAh,0AAh,000h,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,0FFh,0FFh,0F0h,045h,000h,055h,04Fh,0F2h,022h,022h
db 022h,02Fh,0FFh,0FFh,0FFh,0F4h,000h,04Fh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,005h,055h,055h,00Fh,0FFh,020h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FAh,0AAh,0AAh,0AAh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CFh,0F2h,022h,020h,005h,055h,055h,02Fh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0F4h,024h,04Fh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0F0h,000h,000h,0FFh,0FFh,0F0h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FAh,0AAh,0AAh,0AAh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,02Fh,0FFh,0F2h,022h,000h,000h,000h,0CFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0F2h,000h,0CFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0F2h,022h,022h,022h,022h,022h,020h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FAh,0AAh,0AAh,0AAh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0F0h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0F2h,022h,022h,022h,022h,022h,022h,022h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,022h,020h,000h,000h,000h,000h,000h,020h,0FFh
db 0FFh,0FFh,0FAh,0AAh,0AAh,0AAh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0F2h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,022h,000h,000h,002h
db 020h,000h,000h,002h,020h,000h,000h,022h,020h,000h,000h,000h,000h,000h,000h,0FFh
db 0FFh,0FFh,0F0h,0AAh,0AAh,0AAh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0F2h,020h,000h,020h,000h,000h,000h,000h,000h,020h,000h
db 000h,000h,022h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h
db 002h,000h,000h,000h,000h,000h,000h,022h,000h,000h,000h,000h,000h,000h,000h,0FFh
db 0FFh,0FFh,0F0h,020h,0AAh,0AAh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0F2h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,022h,000h,000h,000h,000h,000h,000h,000h,0FFh
db 0FFh,0FFh,0F0h,020h,020h,0AAh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0F2h,020h,000h,020h,000h,000h,000h,000h,002h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,0FFh
db 0FFh,0FFh,0F0h,020h,020h,022h,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,000h,020h,022h,022h,022h,022h,022h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,022h,002h,022h,022h,022h,000h,000h,020h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,022h,022h,022h,022h,022h,020h,002h,000h,002h,022h
db 002h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,020h,000h,022h,000h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,020h,000h,020h,022h,022h,022h,000h,022h,020h
db 022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,020h,020h,022h,000h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,020h,022h,022h,022h,022h,020h,002h,000h
db 000h,002h,022h,002h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,020h,020h,020h,000h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,002h,020h,022h,022h,022h,022h,022h,022h,022h,002h

; 900:3004
db 022h,022h,000h,000h,000h,002h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,000h,020h,020h,000h,000h,000h,0FFh,0FFh,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,022h,022h,022h,000h,002h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,000h,022h,000h,000h,000h,000h,0FFh,0FFh,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0F0h,020h,020h,020h,020h,02Fh,0FFh,0AAh,0AAh,0AAh,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,020h,022h,022h,022h,022h,022h,000h,002h,022h,022h,000h,000h,000h,000h,000h
db 002h,022h,022h,020h,020h,022h,000h,000h,000h,000h,0FFh,0FFh,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0F0h,020h,020h,020h,020h,020h,020h,020h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,020h
db 022h,002h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,000h,000h,002h,000h
db 000h,000h,022h,020h,020h,022h,000h,000h,000h,000h,0FFh,0FFh,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0F0h,020h,020h,020h,020h,020h,020h,020h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,002h,022h,022h,022h,000h,000h,002h,022h,022h,000h,022h,022h
db 020h,022h,022h,000h,020h,020h,000h,000h,000h,000h,0FFh,0FFh,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0F0h,020h,020h,020h,020h,020h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,022h,000h,000h,000h,000h,000h,000h,022h,022h,000h,002h,022h
db 022h,022h,022h,000h,020h,020h,000h,000h,000h,000h,0FFh,0FFh,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0FFh,0FAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0A0h,000h,002h,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,020h,000h,000h,000h,000h,000h,002h,022h,022h,020h,020h,022h,022h
db 022h,002h,020h,000h,022h,000h,000h,000h,000h,000h,0FFh,0FFh,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FAh,0AAh,0AAh,0AAh,0A0h,000h,02Ah,0AAh,0AAh,0AAh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,020h,022h,020h,002h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,022h,022h,020h,022h,022h,022h,002h,022h,020h,000h,000h,000h
db 000h,000h,000h,000h,022h,000h,000h,000h,000h,000h,0FFh,0FFh,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,022h,022h,022h,022h
db 022h,022h,022h,022h,020h,000h,000h,000h,000h,000h,000h,000h,0F0h,020h,020h,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,0AAh,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,022h,022h,022h
db 020h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,0AAh,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,020h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,0CFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,0AAh,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,022h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0AAh,0AAh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,022h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,022h,022h,020h,022h,022h,022h,022h,022h,000h,000h,00Fh,0F2h
db 0F0h,0F0h,020h,002h,022h,020h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0FFh,0FFh,0AAh,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh
db 0CFh,000h,000h,000h,000h,000h,000h,052h,052h,052h,020h,020h,020h,0F2h,0C0h,00Ch
db 020h,0F0h,0F0h,00Ch,022h,022h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,0C0h,0C0h,0C0h,0CCh,0CCh,0CFh,0CCh,0CCh,0CFh,0CFh
db 0CCh,0CCh,0FFh,000h,000h,000h,000h,050h,052h,052h,020h,020h,02Ch,02Fh,0F2h,0F2h
db 002h,0F2h,0F2h,000h,022h,022h,020h,020h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,0C0h
db 0C0h,0CCh,000h,0C0h,000h,000h,000h,052h,050h,052h,020h,020h,02Ch,0C2h,0F2h,0F2h
db 0F0h,000h,0F0h,020h,0C2h,022h,022h,002h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,0C0h,0CCh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh
db 0CFh,0CCh,0C2h,0CFh,0FFh,000h,000h,052h,052h,052h,020h,020h,02Ch,0C2h,0F0h,0FFh
db 0F2h,020h,0F0h,0F0h,00Ch,022h,022h,020h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h
db 0C0h,0C0h,0C2h,000h,000h,00Ch,0F0h,052h,050h,052h,020h,020h,02Ch,0CFh,0F0h,0FFh
db 0F2h,020h,0F0h,0F0h,000h,0F2h,022h,022h,002h,000h,000h,000h,000h,000h,0FFh,0F0h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0FFh,0FCh,0F0h,03Ch,0FFh,0F0h
db 0FFh,0FCh,0FFh,0F0h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,0C0h,0C0h,000h,00Fh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh
db 0CFh,0CFh,0CFh,000h,000h,0C2h,000h,052h,052h,052h,020h,020h,02Ch,00Fh,0F2h,0CFh
db 0F2h,020h,0F0h,0F0h,000h,0C2h,022h,022h,020h,020h,000h,000h,000h,000h,03Ch,03Ch
db 0F3h,0F0h,03Fh,0C0h,03Fh,0F0h,03Fh,0F0h,000h,000h,03Ch,0C0h,0FFh,03Ch,00Fh,000h
db 03Ch,0C0h,03Ch,03Ch,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,000h,0CCh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh,0CFh
db 0CFh,0CFh,0CFh,0C2h,0C2h,000h,000h,000h,0C2h,052h,020h,020h,020h,0FCh,0FCh,02Ch
db 0FFh,0C0h,0F0h,0F0h,000h,00Fh,022h,022h,022h,002h,000h,000h,000h,000h,03Ch,000h
db 03Ch,03Ch,0FFh,0F0h,03Fh,0C0h,03Fh,0C0h,000h,000h,03Ch,0C0h,0F0h,0FCh,00Fh,000h
db 03Ch,0C0h,03Ch,0F0h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,020h,0C0h,0C0h,0C0h,0C0h,0CCh,0CCh,0CCh,0CCh,0CCh
db 0CCh,0CCh,0CCh,0C0h,000h,000h,000h,000h,000h,0C2h,020h,020h,000h,000h,000h,000h
db 000h,0CFh,0FFh,0FFh,0FFh,0FCh,0CFh,0CCh,0CFh,0F0h,000h,000h,000h,000h,0FFh,000h
db 0FFh,000h,03Fh,0C0h,0FFh,0C0h,0FFh,0C0h,000h,000h,0FFh,0FCh,0F0h,03Ch,03Fh,0C0h
db 0FFh,0FCh,0FCh,03Ch,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,000h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,0C0h
db 0C0h,000h,000h,0C0h,000h,000h,00Fh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FCh,0CCh,0CCh,0FCh,000h,000h,000h,000h,000h,000h
db 000h,000h,003h,000h,000h,000h,000h,000h,0FCh,000h,000h,000h,000h,000h,00Fh,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,022h,002h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,022h,022h,022h,022h,022h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0F2h,000h,000h,00Ch,022h,022h,02Fh,000h,000h,000h,000h,000h,000h
db 000h,000h,03Fh,0F0h,03Fh,0C0h,000h,000h,03Ch,000h,03Fh,0C0h,03Fh,03Ch,03Fh,000h
db 0FFh,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,002h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FCh,002h,000h,000h,00Ch,0FFh,0FFh
db 0FFh,0FFh,0FFh,0F2h,005h,002h,020h,022h,022h,022h,000h,000h,000h,000h,000h,000h
db 000h,000h,00Fh,000h,0F0h,0F0h,000h,000h,03Ch,03Ch,0FFh,0F0h,0F0h,0F0h,00Fh,000h
db 0F0h,0F0h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,002h,022h,02Fh,022h,022h,022h,022h,022h,022h,022h
db 022h,02Ch,0FFh,0FFh,0FFh,0F2h,00Fh,0FFh,0FFh,020h,0F0h,000h,00Fh,0FCh,0FFh,0FFh
db 0FFh,022h,0F2h,022h,000h,000h,020h,022h,020h,022h,000h,000h,000h,000h,000h,000h
db 000h,000h,003h,0C0h,03Fh,0C0h,000h,000h,0F3h,0F0h,03Fh,0C0h,000h,0F0h,03Fh,0C0h
db 0F0h,0F0h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,002h,022h,005h,0C5h,050h,002h,022h,022h,022h,022h
db 022h,00Fh,020h,000h,000h,02Fh,002h,022h,022h,020h,0F0h,025h,020h,0F0h,02Fh,022h
db 02Fh,022h,022h,022h,022h,0F2h,02Fh,002h,022h,02Fh,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,002h,022h,005h,0C5h,025h,0C2h,022h,022h,022h,022h
db 022h,020h,020h,005h,000h,000h,002h,022h,022h,020h,000h,05Ch,020h,000h,00Fh,0F2h
db 022h,022h,02Fh,022h,022h,0F2h,022h,022h,02Fh,022h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,022h,020h,000h,000h,022h,022h,022h,022h,022h
db 022h,022h,020h,002h,000h,002h,022h,022h,022h,022h,000h,05Ch,00Ch,022h,022h,022h
db 022h,022h,022h,022h,022h,022h,022h,022h,02Ch,022h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 0F2h,022h,020h,002h,000h,022h,022h,022h,022h,020h,000h,05Ch,00Ch,022h,022h,022h
db 022h,022h,022h,022h,02Fh,0FFh,0FFh,0FFh,0F2h,02Fh,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,022h,020h,002h,050h,000h,000h,000h,000h,000h,002h,05Ch,00Ch,0FFh,0FFh,0FFh
db 0FFh,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,022h,022h,022h,022h,022h,022h,022h,022h,022h
db 022h,020h,000h,055h,055h,002h,022h,022h,05Ch,0CCh,05Ch,05Ch,020h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,002h,002h,022h,022h,022h,022h,022h,022h,022h,02Fh
db 0FFh,0FFh,0F0h,005h,055h,0CCh,0CCh,0CCh,0CCh,0CCh,0CCh,05Ch,020h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,022h,055h,055h,055h,055h,0CCh,0CCh,0C0h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,00Ah,0A0h,000h,000h,000h,000h,000h,000h
db 000h,000h,00Ah,000h,000h,000h,0A8h,000h,002h,000h,000h,015h,000h,000h,000h,001h
db 050h,000h,0EEh,000h,000h,000h,00Eh,000h,009h,099h,099h,099h,09Ch,000h,00Eh,0E0h
db 000h,00Eh,0EEh,000h,005h,055h,000h,055h,055h,055h,055h,055h,055h,055h,055h,055h
db 055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,050h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,0A0h,000h,02Ah,080h,0A2h,0A0h,0A0h,0A0h
db 0A2h,0A0h,02Ah,000h,02Ah,028h,028h,0A0h,02Ah,0A0h,000h,015h,050h,000h,000h,015h
db 050h,000h,0EEh,000h,000h,000h,00Eh,000h,099h,090h,000h,000h,09Ch,000h,00Eh,0E0h
db 000h,000h,00Eh,005h,00Ah,0A8h,005h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,0A0h,000h,0A0h,0A0h,028h,028h,0A0h,0A0h
db 028h,028h,00Ah,000h,0A0h,0A0h,028h,028h,00Ah,000h,000h,015h,055h,000h,000h,050h
db 050h,000h,0EEh,000h,000h,000h,00Eh,009h,099h,000h,000h,000h,000h,000h,00Eh,0E0h
db 000h,000h,000h,005h,00Ah,0A8h,005h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,00Ah,0A0h,02Ah,080h,028h,000h,000h,0A0h
db 0AAh,000h,02Ah,080h,000h,0A0h,0A8h,028h,002h,080h,000h,015h,005h,050h,005h,050h
db 050h,000h,0EEh,000h,000h,000h,00Eh,009h,099h,000h,000h,000h,000h,000h,00Eh,0E0h
db 000h,000h,000h,005h,00Ah,00Ah,005h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,00Ah,000h,02Ah,080h
db 02Ah,080h,0AAh,0A0h,000h,000h,000h,000h,000h,000h,000h,015h,005h,050h,005h,050h
db 050h,000h,0EEh,000h,000h,000h,00Eh,000h,099h,090h,000h,000h,000h,000h,00Eh,0E0h
db 000h,00Eh,000h,000h,005h,055h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,00Ah,000h,0A0h,0A0h
db 0A0h,0A0h,0AAh,080h,000h,000h,000h,000h,000h,000h,000h,015h,000h,050h,005h,000h
db 050h,000h,0EEh,000h,000h,000h,00Eh,000h,009h,099h,099h,090h,000h,000h,00Eh,0EEh
db 0EEh,0EEh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,00Ah,000h,000h,0A0h
db 0A0h,0A0h,000h,0A0h,000h,000h,000h,000h,000h,000h,000h,015h,000h,055h,055h,000h
db 050h,000h,0EEh,000h,000h,000h,00Eh,000h,000h,000h,099h,099h,090h,000h,00Eh,0E0h
db 000h,00Eh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,0AAh,0A0h,02Ah,000h
db 02Ah,080h,02Ah,080h,000h,000h,000h,000h,000h,000h,000h,015h,000h,055h,055h,000h
db 050h,000h,0EEh,000h,000h,000h,00Eh,000h,000h,000h,000h,009h,099h,000h,00Eh,0E0h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,015h,000h,005h,050h,000h
db 050h,000h,0EEh,0E0h,000h,000h,00Eh,000h,000h,000h,000h,000h,099h,000h,00Eh,0E0h
db 000h,000h,000h,000h,015h,040h,000h,000h,005h,040h,001h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,015h,000h,005h,050h,000h
db 050h,000h,0EEh,0E0h,000h,000h,0EEh,009h,000h,000h,000h,000h,099h,000h,00Eh,0E0h
db 000h,000h,000h,000h,054h,000h,015h,040h,014h,000h,015h,050h,050h,014h,015h,040h
db 051h,050h,015h,040h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,050h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,015h,000h,000h,000h,000h
db 050h,000h,00Eh,0EEh,0EEh,0EEh,0E0h,009h,099h,000h,000h,099h,090h,000h,00Eh,0E0h
db 000h,000h,00Eh,000h,001h,050h,050h,050h,014h,000h,005h,000h,055h,054h,015h,050h
db 014h,014h,055h,050h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h,055h
db 055h,055h,055h,055h,055h,055h,055h,055h,055h,050h,001h,055h,050h,000h,000h,015h
db 055h,000h,000h,000h,0EEh,000h,000h,009h,000h,099h,099h,090h,000h,000h,0EEh,0EEh
db 0EEh,0EEh,0EEh,000h,015h,040h,015h,040h,055h,000h,001h,040h,014h,050h,015h,014h
db 055h,000h,015h,040h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h

dataSeg ends

;cseg ends





bcwLogoSeg  segment para public
; opening screen logo
bcwlogo db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 012,044,240,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 012,255,242,012,032,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,015,255
db 242,207,255,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,207
db 255,032,012,255,240,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 012,240,207,240,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,012,255
db 242,012,240,012,032,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,002
db 207,000,012,240,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,015,255
db 240,207,032,012,032,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,240
db 255,000,242,000,012,255,255,240,242,000
db 015,032,012,242,000,194,000,015,044,255
db 240,000,000,000,000,000,000,000,207,255
db 032,207,032,012,032,000,000,255,240,000
db 015,255,000,015,255,255,044,240,000,000
db 207,255,255,032,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,240
db 255,015,242,000,012,240,000,000,242,000
db 015,032,242,012,240,207,032,015,044,240
db 012,240,000,000,000,000,000,000,255,255
db 000,207,032,012,032,000,207,032,207,044
db 242,000,240,015,255,255,044,240,000,000
db 207,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,240
db 255,015,012,242,012,240,000,000,015,032
db 242,012,240,000,242,207,242,015,044,240
db 000,242,000,000,000,000,000,000,255,255
db 000,207,032,012,032,000,207,000,015,044
db 242,000,000,000,015,032,012,240,000,000
db 207,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,207,240
db 255,015,012,242,012,255,255,032,000,255
db 032,012,240,000,242,207,207,047,044,240
db 000,242,000,000,000,000,000,000,255,255
db 032,207,032,012,032,000,207,000,015,032
db 015,255,240,000,015,032,012,240,000,000
db 207,255,242,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,192,240
db 255,015,012,242,012,240,000,000,000,207
db 000,012,240,000,242,207,012,255,044,240
db 000,242,000,000,000,000,000,000,207,255
db 044,032,000,012,032,000,207,255,255,032
db 000,000,242,000,015,032,012,240,000,000
db 207,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,240
db 255,015,012,242,012,240,000,000,000,207
db 000,000,242,012,240,207,000,207,044,240
db 012,240,000,000,000,000,000,000,015,255
db 242,000,000,012,044,000,207,000,015,044
db 240,012,242,000,015,032,012,255,255,242
db 207,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,012,044
db 032,000,015,032,012,255,255,242,000,207
db 000,000,012,242,000,207,000,012,044,255
db 242,000,000,000,000,000,000,000,000,255
db 255,240,000,015,240,000,207,000,015,032
db 015,255,000,000,015,032,012,255,255,242
db 207,255,255,032,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,192
db 255,255,240,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,012
db 255,255,255,255,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,015
db 032,015,000,000,000,000,000,012,032,000
db 207,240,000,000,000,000,000,000,012,032
db 000,000,000,194,000,000,000,000,000,000
db 000,000,242,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,000,255,240,207
db 255,255,242,000,000,000,000,000,207,242
db 000,000,015,255,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 015,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,015,255,240,242,207,255,194
db 000,255,000,000,000,000,000,012,255,240
db 000,207,032,255,242,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,032,000,000,000,000,000,000,000
db 255,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,012,032,207,242,194,012,240,194
db 000,255,000,000,000,000,000,000,207,032
db 000,207,032,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,015,032,000,000,000,000,000,000,000
db 255,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,194,012,240,194
db 000,255,000,000,000,000,000,000,207,032
db 000,207,032,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,207,032,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,194,012,240,194
db 000,255,000,000,000,012,000,000,207,032
db 000,207,032,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,207,032,000,000,000,000,000,000,000
db 000,000,000,002,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,194,012,240,194
db 000,255,000,000,000,255,240,000,207,032
db 207,255,255,242,000,000,207,240,000,000
db 242,000,207,000,000,000,000,015,242,000
db 207,255,255,032,000,000,207,032,000,000
db 255,000,000,255,000,012,032,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,207,255,240,207
db 255,255,000,000,255,012,255,255,207,032
db 000,207,032,000,000,194,012,255,000,207
db 242,207,255,240,000,000,207,012,255,242
db 000,207,032,000,000,207,015,242,000,000
db 255,242,207,255,012,255,242,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,015,255,240,194,012,240,194
db 000,255,000,012,242,000,207,032,207,032
db 000,207,032,000,207,240,000,207,240,012
db 242,000,207,255,032,015,240,000,194,000
db 000,207,032,000,207,240,000,255,032,000
db 255,000,000,255,240,015,255,240,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,204,255,240,194,012,240,194
db 000,255,000,012,242,000,207,032,207,032
db 000,207,032,000,207,240,000,207,000,012
db 242,000,015,240,000,015,240,012,032,000
db 000,207,032,000,207,240,000,207,000,000
db 255,000,000,255,000,000,255,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,194,012,240,194
db 000,255,000,012,242,000,207,032,207,032
db 000,207,032,000,207,240,207,000,000,012
db 242,000,015,240,000,015,255,255,255,240
db 000,207,032,000,207,240,207,000,000,000
db 255,000,000,255,000,000,255,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,194,012,240,194
db 000,255,000,012,242,000,207,032,207,032
db 000,207,032,000,207,255,000,000,000,012
db 242,000,015,240,000,015,015,000,207,032
db 000,207,032,000,207,255,000,000,000,000
db 255,000,000,255,000,000,255,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,194,012,240,194
db 000,255,000,012,242,000,207,032,207,032
db 000,207,032,000,207,255,000,000,194,012
db 242,000,015,240,000,000,240,000,207,032
db 000,207,032,000,015,255,000,000,194,000
db 255,000,000,255,000,000,255,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,194,012,240,194
db 000,255,000,207,255,240,207,032,207,242
db 012,255,032,000,012,255,240,207,000,012
db 242,000,015,240,000,255,240,000,207,032
db 000,255,032,000,000,255,240,015,000,015
db 255,032,015,255,000,000,255,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,207,240,194,012,240,194
db 000,255,000,000,015,255,032,000,015,242
db 000,207,242,000,000,207,255,000,000,207
db 255,032,015,255,000,012,255,255,255,032
db 000,255,240,000,000,015,255,032,000,000
db 255,032,000,255,240,000,255,240,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,012,255,240,194,012,240,194
db 000,255,000,000,000,194,000,000,000,032
db 000,012,000,000,000,012,000,000,000,000
db 240,000,000,032,000,000,194,000,012,032
db 000,015,000,000,000,000,240,000,000,000
db 002,000,000,002,000,000,002,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,002,255,240,194,207,242,194
db 207,255,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,015,255,207,015,255,255
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,000,255,000,000,255,032
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,004,085,085,000,000,000
db 000,000,000,000,000,000,000,015,255,255
db 250,000,000,000,255,255,255,170,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,000,000,000,004
db 085,000,000,000,000,000,000,000,000,000
db 000,004,000,000,000,000,000,000,000,000
db 000,000,000,000,004,082,004,080,002,034
db 000,000,255,255,255,255,255,255,255,255
db 250,170,000,000,255,255,255,170,170,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,000,000,000,080
db 000,084,000,000,000,000,000,000,000,000
db 000,004,034,000,034,034,034,034,255,255
db 255,255,255,255,242,197,000,085,015,255
db 000,000,255,255,255,255,255,255,255,255
db 250,170,170,000,255,255,255,170,170,170
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,255,255,255,240,069
db 000,085,079,242,034,034,034,047,255,255
db 255,244,000,079,255,255,255,255,255,255
db 255,255,255,255,255,005,085,085,015,255
db 032,000,255,255,255,255,255,255,255,255
db 250,170,170,170,255,255,255,170,170,170
db 170,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,207,242,034,032,005
db 085,085,047,255,255,255,255,255,255,255
db 255,244,036,079,255,255,255,255,255,255
db 255,255,255,255,255,240,000,000,255,255
db 240,000,255,255,255,255,255,255,255,255
db 250,170,170,170,255,255,255,170,170,170
db 170,170,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,047,255,242,034,000
db 000,000,207,255,255,255,255,255,255,255
db 255,242,000,207,255,255,255,255,255,255
db 255,255,255,255,242,034,034,034,034,034
db 032,000,255,255,255,255,255,255,255,255
db 250,170,170,170,255,255,255,170,170,170
db 170,170,170,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,240,255,255,255,255
db 255,255,255,255,255,255,255,255,255,255
db 242,034,034,034,034,034,034,034,000,000
db 000,000,000,000,000,000,000,000,000,034
db 032,000,000,000,000,000,032,255,255,255
db 250,170,170,170,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,242,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,034,000
db 000,002,032,000,000,002,032,000,000,034
db 032,000,000,000,000,000,000,255,255,255
db 240,170,170,170,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,242,032,000,032,000
db 000,000,000,000,032,000,000,000,034,000
db 000,000,000,000,000,002,000,000,000,000
db 000,000,002,000,000,000,000,000,000,034
db 000,000,000,000,000,000,000,255,255,255
db 240,032,170,170,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,242,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,034
db 000,000,000,000,000,000,000,255,255,255
db 240,032,032,170,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,242,032,000,032,000
db 000,000,000,002,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,032
db 000,000,000,000,000,000,000,255,255,255
db 240,032,032,034,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,000,032,034,034
db 034,034,034,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,032
db 000,000,255,255,255,255,255,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,034,002,034,034
db 034,000,000,032,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,032
db 000,000,255,255,255,255,255,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,034,034,034,034
db 034,032,002,000,002,034,002,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,032,000,034,000
db 000,000,255,255,255,255,255,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,032,000,032
db 034,034,034,000,034,032,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,032,032,034,000
db 000,000,255,255,255,255,255,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,032,034
db 034,034,034,032,002,000,000,002,034,002
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,032,032,032,000
db 000,000,255,255,255,255,255,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,002,032,034,034
db 034,034,034,034,034,002,034,034,000,000
db 000,002,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,000,032,032,000
db 000,000,255,255,240,032,032,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,000,002,034,034,034,034,034
db 034,034,034,034,034,034,000,034,000,000
db 000,000,255,255,240,032,032,255,255,255
db 240,032,032,032,032,047,255,170,170,170
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,034,034,032,034,034
db 034,034,034,000,002,034,034,000,000,000
db 000,000,002,034,034,032,032,034,000,000
db 000,000,255,255,240,032,032,255,255,255
db 240,032,032,032,032,032,032,032,032,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,032,034,002,034,034
db 034,034,034,034,034,034,034,034,000,000
db 002,000,000,000,034,032,032,034,000,000
db 000,000,255,255,240,032,032,255,255,255
db 240,032,032,032,032,032,032,032,032,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 002,034,034,034,000,000,002,034,034,000
db 034,034,032,034,034,000,032,032,000,000
db 000,000,255,255,240,032,032,255,255,255
db 240,032,032,032,032,032,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,000,000,000,000,000,000,034,034,000
db 002,034,034,034,034,000,032,032,000,000
db 000,000,255,255,240,032,032,255,255,255
db 255,250,170,170,170,170,170,170,170,170
db 160,000,002,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,032,034,034,034
db 034,034,034,034,034,034,034,034,034,032
db 000,000,000,000,000,002,034,034,032,032
db 034,034,034,002,032,000,034,000,000,000
db 000,000,255,255,240,032,032,255,255,255
db 255,255,255,255,250,170,170,170,160,000
db 042,170,170,170,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,032,034,032,002
db 034,034,034,034,034,034,034,034,034,034
db 034,034,032,034,034,034,002,034,032,000
db 000,000,000,000,000,000,034,000,000,000
db 000,000,255,255,240,032,032,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,170,170,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,034,034,000,000,000
db 000,000,000,000,000,000,000,002,034,034
db 034,034,034,034,034,034,032,000,000,000
db 000,000,000,000,240,032,032,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,170,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,000,000,000,000
db 000,000,000,034,034,034,032,032,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,002,000,000,000
db 000,000,000,000,000,000,000,255,255,255
db 255,255,255,255,255,255,255,170,170,170
db 170,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,032,032,000,000
db 000,000,000,000,000,000,000,000,000,207
db 255,255,255,255,255,255,255,170,170,170
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,034,034,034,034,002,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,255,255,255,255,255,170,170,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,034,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,032,034,034,034,034,034,000,000
db 015,242,240,240,032,002,034,032,032,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,255,255,170,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,000,207,207,207,207
db 207,207,207,207,207,207,207,000,000,000
db 000,000,000,082,082,082,032,032,032,242
db 192,012,032,240,240,012,034,034,002,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,192,192,192,204
db 204,207,204,204,207,207,204,204,255,000
db 000,000,000,080,082,082,032,032,044,047
db 242,242,002,242,242,000,034,034,032,032
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,192,000,000,000
db 000,000,000,000,000,192,192,204,000,192
db 000,000,000,082,080,082,032,032,044,194
db 242,242,240,000,240,032,194,034,034,002
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,032,192,204,207,207
db 207,207,207,207,207,207,207,204,194,207
db 255,000,000,082,082,082,032,032,044,194
db 240,255,242,032,240,240,012,034,034,032
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,192,192,192,192
db 192,192,192,192,192,192,192,192,194,000
db 000,012,240,082,080,082,032,032,044,207
db 240,255,242,032,240,240,000,242,034,034
db 002,000,000,000,000,000,255,240,000,000
db 000,000,000,000,000,000,000,000,255,252
db 240,060,255,240,255,252,255,240,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,192,192,000,015
db 207,207,207,207,207,207,207,207,207,000
db 000,194,000,082,082,082,032,032,044,015
db 242,207,242,032,240,240,000,194,034,034
db 032,032,000,000,000,000,060,060,243,240
db 063,192,063,240,063,240,000,000,060,192
db 255,060,015,000,060,192,060,060,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,000,204,207,207
db 207,207,207,207,207,207,207,207,207,194
db 194,000,000,000,194,082,032,032,032,252
db 252,044,255,192,240,240,000,015,034,034
db 034,002,000,000,000,000,060,000,060,060
db 255,240,063,192,063,192,000,000,060,192
db 240,252,015,000,060,192,060,240,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,032,192,192,192
db 192,204,204,204,204,204,204,204,204,192
db 000,000,000,000,000,194,032,032,000,000
db 000,000,000,207,255,255,255,252,207,204
db 207,240,000,000,000,000,255,000,255,000
db 063,192,255,192,255,192,000,000,255,252
db 240,060,063,192,255,252,252,060,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,000,192,192,192
db 192,192,192,192,192,192,192,000,000,192
db 000,000,015,255,255,255,255,255,255,255
db 255,255,255,255,255,255,255,255,252,204
db 204,252,000,000,000,000,000,000,000,000
db 003,000,000,000,000,000,252,000,000,000
db 000,000,015,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,034,002,034,034,034
db 034,034,034,034,034,034,034,034,034,034
db 034,034,034,255,255,255,255,255,255,255
db 255,255,255,255,255,242,000,000,012,034
db 034,047,000,000,000,000,000,000,000,000
db 063,240,063,192,000,000,060,000,063,192
db 063,060,063,000,255,192,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,002,002,034,034,034
db 034,034,034,034,034,034,034,034,255,255
db 255,255,255,255,255,252,002,000,000,012
db 255,255,255,255,255,242,005,002,032,034
db 034,034,000,000,000,000,000,000,000,000
db 015,000,240,240,000,000,060,060,255,240
db 240,240,015,000,240,240,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,002,002,034,047,034
db 034,034,034,034,034,034,034,044,255,255
db 255,242,015,255,255,032,240,000,015,252
db 255,255,255,034,242,034,000,000,032,034
db 032,034,000,000,000,000,000,000,000,000
db 003,192,063,192,000,000,243,240,063,192
db 000,240,063,192,240,240,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,002,002,034,005,197
db 080,002,034,034,034,034,034,015,032,000
db 000,047,002,034,034,032,240,037,032,240
db 047,034,047,034,034,034,034,242,047,002
db 034,047,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,002,002,034,005,197
db 037,194,034,034,034,034,034,032,032,005
db 000,000,002,034,034,032,000,092,032,000
db 015,242,034,034,047,034,034,242,034,034
db 047,034,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,000,002,034,032,000
db 000,034,034,034,034,034,034,034,032,002
db 000,002,034,034,034,034,000,092,012,034
db 034,034,034,034,034,034,034,034,034,034
db 044,034,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,000,002,034,034,034
db 034,034,034,034,034,034,242,034,032,002
db 000,034,034,034,034,032,000,092,012,034
db 034,034,034,034,034,034,047,255,255,255
db 242,047,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,000,002,034,034,034
db 034,034,034,034,034,034,034,034,032,002
db 080,000,000,000,000,000,002,092,012,255
db 255,255,255,032,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,000,002,034,034,034
db 034,034,034,034,034,034,034,032,000,085
db 085,002,034,034,092,204,092,092,032,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,002,002,002,034,034
db 034,034,034,034,034,047,255,255,240,005
db 085,204,204,204,204,204,204,092,032,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,002,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 034,085,085,085,085,204,204,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,010,160
db 000,000,000,000,000,000,000,000,010,000
db 000,000,168,000,002,000,000,021,000,000
db 000,001,080,000,238,000,000,000,014,000
db 009,153,153,153,156,000,014,224,000,014
db 238,000,005,085,000,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,080,000,000,000,000,000
db 000,000,000,000,000,080,000,000,160,000
db 042,128,162,160,160,160,162,160,042,000
db 042,040,040,160,042,160,000,021,080,000
db 000,021,080,000,238,000,000,000,014,000
db 153,144,000,000,156,000,014,224,000,000
db 014,005,010,168,005,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,160,000
db 160,160,040,040,160,160,040,040,010,000
db 160,160,040,040,010,000,000,021,085,000
db 000,080,080,000,238,000,000,000,014,009
db 153,000,000,000,000,000,014,224,000,000
db 000,005,010,168,005,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,010,160
db 042,128,040,000,000,160,170,000,042,128
db 000,160,168,040,002,128,000,021,005,080
db 005,080,080,000,238,000,000,000,014,009
db 153,000,000,000,000,000,014,224,000,000
db 000,005,010,010,005,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,010,000,042,128,042,128,170,160
db 000,000,000,000,000,000,000,021,005,080
db 005,080,080,000,238,000,000,000,014,000
db 153,144,000,000,000,000,014,224,000,014
db 000,000,005,085,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,010,000,160,160,160,160,170,128
db 000,000,000,000,000,000,000,021,000,080
db 005,000,080,000,238,000,000,000,014,000
db 009,153,153,144,000,000,014,238,238,238
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,010,000,000,160,160,160,000,160
db 000,000,000,000,000,000,000,021,000,085
db 085,000,080,000,238,000,000,000,014,000
db 000,000,153,153,144,000,014,224,000,014
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,170,160,042,000,042,128,042,128
db 000,000,000,000,000,000,000,021,000,085
db 085,000,080,000,238,000,000,000,014,000
db 000,000,000,009,153,000,014,224,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,021,000,005
db 080,000,080,000,238,224,000,000,014,000
db 000,000,000,000,153,000,014,224,000,000
db 000,000,021,064,000,000,005,064,001,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,021,000,005
db 080,000,080,000,238,224,000,000,238,009
db 000,000,000,000,153,000,014,224,000,000
db 000,000,084,000,021,064,020,000,021,080
db 080,020,021,064,081,080,021,064,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,080,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,021,000,000
db 000,000,080,000,014,238,238,238,224,009
db 153,000,000,153,144,000,014,224,000,000
db 014,000,001,080,080,080,020,000,005,000
db 085,084,021,080,020,020,085,080,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,080,001,085,080,000
db 000,021,085,000,000,000,238,000,000,009
db 000,153,153,144,000,000,238,238,238,238
db 238,000,021,064,021,064,085,000,001,064
db 020,080,021,020,085,000,021,064,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 012,255,255,015,242,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,255,242,000,207,032,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 015,255,240,242,255,032,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,255,255,000,207,207,255,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,015,032,015,240,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 015,255,240,207,032,012,032,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,240,255,000,015,032,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 207,255,032,207,255,255,032,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,240,255,015,240,000,012,255,255,240
db 242,000,015,032,207,255,032,207,000,015
db 044,255,255,032,000,000,000,000,000,000
db 207,255,032,207,032,012,032,000,015,255
db 255,000,255,255,240,015,255,255,044,240
db 000,000,207,255,255,032,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,240,255,015,015,032,012,240,000,000
db 207,000,207,012,240,000,242,207,240,015
db 044,240,000,242,000,000,000,000,000,000
db 255,255,000,207,255,255,032,000,207,000
db 015,044,240,000,000,000,015,032,012,240
db 000,000,207,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 012,240,255,015,012,242,012,255,255,032
db 012,252,240,012,240,000,242,207,255,015
db 044,240,000,242,000,000,000,000,000,000
db 255,255,000,207,032,012,032,000,207,000
db 015,032,255,255,000,000,015,032,012,240
db 000,000,207,255,242,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 207,240,255,015,012,242,012,240,000,000
db 000,207,000,012,240,000,242,207,015,255
db 044,240,000,242,000,000,000,000,000,000
db 255,255,032,242,000,012,032,000,207,255
db 255,032,000,012,242,000,015,032,012,240
db 000,000,207,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,240,255,015,012,242,012,240,000,000
db 000,207,000,012,240,000,242,207,000,255
db 044,240,000,242,000,000,000,000,000,000
db 207,255,240,000,000,012,032,032,207,000
db 015,032,000,000,242,000,015,032,012,240
db 000,000,207,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,032,242,002,012,255,012,255,255,242
db 000,207,000,000,207,255,032,207,000,015
db 044,255,255,032,000,000,000,000,000,000
db 012,255,255,000,000,012,034,000,207,000
db 015,032,255,255,240,000,015,032,012,255
db 255,242,207,255,255,032,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 015,002,015,255,242,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,015,255,255,255,255,032,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,012,240,207,032,000,000,000,000,000
db 000,000,012,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,012,255,255,240,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,012,240,000,015
db 032,012,255,242,000,000,000,000,000,000
db 015,240,000,000,000,242,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,012,255,240,015,255
db 255,242,015,255,240,000,000,000,000,000
db 255,255,000,207,255,255,032,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,207,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,255,255,255,242,012
db 240,194,000,255,000,000,000,000,000,000
db 207,032,000,207,032,015,240,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,012,032,000,000,000,000,000
db 000,000,255,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,000,000,000,000,000
db 207,032,000,207,032,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,207,032,000,000,000,000,000
db 000,000,240,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,000,000,000,000,000
db 207,032,000,207,032,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,207,032,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,000,000,015,032,000
db 207,032,207,255,255,242,000,000,012,032
db 000,000,002,000,002,000,000,000,000,000
db 240,000,207,255,255,032,000,000,012,000
db 000,000,002,000,000,207,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,000,015,255,255,000
db 207,032,000,207,032,000,000,012,047,242
db 000,015,242,012,255,032,000,000,012,255
db 255,242,000,207,032,000,000,012,255,240
db 000,015,255,032,012,255,000,207,240,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,207,242,000,255,242
db 207,032,000,207,032,000,012,240,000,255
db 032,012,255,240,255,242,000,012,240,000
db 255,032,000,207,032,000,012,240,012,255
db 000,000,255,000,000,255,207,207,255,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,255,255,240,194,012
db 240,194,000,255,000,012,242,000,207,032
db 207,032,000,207,032,000,207,240,000,015
db 240,012,242,000,015,255,000,015,240,000
db 240,000,000,207,032,000,207,240,000,207
db 240,000,255,000,000,255,000,012,255,032
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,255,240,207,255
db 240,207,255,255,000,012,242,000,207,032
db 207,032,000,207,032,000,207,240,012,240
db 000,012,242,000,015,240,000,015,240,207
db 240,000,000,207,032,000,207,240,012,240
db 000,000,255,000,000,255,000,000,255,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,012,242,000,207,032
db 207,032,000,207,032,000,207,252,240,000
db 000,012,242,000,015,240,000,015,252,032
db 255,032,000,207,032,000,207,252,240,000
db 000,000,255,000,000,255,000,000,255,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,012,242,000,207,032
db 207,032,000,207,032,000,207,242,000,000
db 000,012,242,000,015,240,000,000,194,000
db 207,032,000,207,032,000,207,242,000,000
db 000,000,255,000,000,255,000,000,255,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,015,255,000,207,032
db 207,240,000,207,032,000,015,255,032,012
db 240,012,242,000,015,240,000,015,032,000
db 207,032,000,207,032,000,012,255,032,012
db 240,012,255,000,000,255,000,000,255,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,000,255,255,242,012
db 255,255,032,255,255,000,000,255,255,240
db 000,207,242,000,255,240,000,015,242,000
db 207,032,012,255,242,000,000,207,242,240
db 000,012,255,240,012,255,032,015,255,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,240,194,012
db 240,194,000,255,000,000,000,255,000,000
db 012,240,000,015,032,000,000,015,240,000
db 000,012,242,000,012,240,000,000,255,000
db 207,032,000,207,032,000,000,012,242,000
db 000,000,207,000,000,207,000,000,207,032
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,207,255,240,194,012
db 240,194,000,255,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,207,242,207,255
db 255,207,240,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,012,255,240,012
db 255,240,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,000,194,000,000
db 194,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,085,080,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,207,255,160
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,004,082,004,032
db 000,000,000,000,000,000,015,255,255,255
db 255,255,250,160,000,000,255,255,255,170
db 160,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,034,000,000
db 000,069,085,080,000,000,000,000,000,000
db 000,000,000,000,064,000,000,000,000,000
db 000,000,000,000,012,204,196,085,000,082
db 079,192,000,000,255,255,255,255,255,255
db 255,255,250,170,160,000,255,255,255,170
db 170,160,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,080,000,085,000,000,000,000,000,000
db 000,000,012,196,000,076,204,252,255,255
db 255,255,255,255,255,255,242,197,085,085
db 012,255,000,000,255,255,255,255,255,255
db 255,255,250,170,170,160,255,255,255,170
db 170,170,160,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,207,204,204
db 192,069,080,085,044,204,204,207,255,255
db 255,255,255,244,004,079,255,255,255,255
db 255,255,255,255,255,255,255,032,000,000
db 015,255,032,000,255,255,255,255,255,255
db 255,255,250,170,170,170,255,255,255,170
db 170,170,170,160,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,015,252,192
db 000,005,085,085,015,255,255,255,255,255
db 255,255,255,192,068,015,255,255,255,255
db 255,255,255,255,255,255,255,255,255,255
db 252,204,192,000,255,255,255,255,255,255
db 255,255,250,170,170,170,255,255,255,170
db 170,170,170,170,160,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,044,204,252
db 012,207,000,000,255,255,255,255,255,255
db 255,255,255,204,207,255,255,255,252,204
db 204,204,192,000,000,000,000,000,000,000
db 000,000,192,000,000,034,034,034,002,255
db 255,255,250,170,170,170,255,255,255,170
db 170,170,170,170,170,160,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,240,204,204
db 207,255,255,255,204,204,204,204,204,204
db 204,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 002,002,000,000,000,000,000,000,000,255
db 255,255,250,170,170,170,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 002,012,000,000,000,000,000,000,000,255
db 255,255,242,010,170,170,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,240,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 002,012,000,000,000,000,000,000,000,255
db 255,255,242,002,010,170,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 002,192,000,000,000,000,000,000,000,255
db 255,255,242,002,002,042,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 002,192,000,000,255,255,255,255,255,255
db 255,255,242,002,002,000,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 002,000,000,000,255,255,255,255,255,255
db 255,255,255,255,255,255,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,002,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 015,000,000,000,255,255,255,255,255,255
db 255,255,255,255,255,255,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,002,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,002
db 000,000,000,000,255,255,255,255,255,255
db 255,255,255,255,255,255,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,002
db 192,000,000,000,255,255,255,255,255,255
db 255,255,255,255,255,255,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,002
db 192,000,000,000,255,255,255,255,255,255
db 255,255,255,255,255,255,255,255,255,170
db 170,170,170,170,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,002,015
db 000,000,000,000,255,255,242,002,002,255
db 255,255,242,002,002,255,255,255,255,170
db 170,170,170,170,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,002,002,012
db 000,000,000,000,255,255,242,002,002,255
db 255,255,242,002,002,002,002,002,002,002
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,192,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,002,192
db 000,000,000,000,255,255,242,002,002,255
db 255,255,242,002,002,002,002,002,002,002
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,002,192
db 000,000,000,000,255,255,242,002,002,255
db 255,255,242,002,002,002,002,002,002,002
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,002,002,000
db 000,000,000,000,255,255,242,002,002,255
db 255,255,242,000,000,000,000,002,170,170
db 170,170,170,170,000,010,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,002,015,000
db 000,000,000,000,255,255,242,002,002,255
db 255,255,255,255,255,170,170,170,170,170
db 170,160,000,042,170,170,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,002,000,000,000,002,204,000
db 000,000,000,000,255,255,242,002,002,255
db 255,255,255,255,255,255,255,255,170,160
db 000,042,170,170,170,160,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,015,192,000
db 000,000,000,000,000,255,242,002,002,255
db 255,255,255,255,255,255,255,255,255,170
db 170,170,170,170,160,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,012,204,204,204,204,204,204,204
db 204,204,204,204,204,204,204,192,192,000
db 000,000,000,000,000,000,000,000,000,255
db 255,255,255,255,255,255,255,255,255,170
db 170,170,170,160,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,204
db 204,204,204,204,204,204,204,204,204,204
db 204,204,204,204,204,204,204,204,204,204
db 204,204,204,204,204,204,204,192,012,000
db 000,000,000,000,000,000,000,000,000,000
db 255,255,255,255,255,255,255,255,255,170
db 170,170,160,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,252,204
db 204,204,204,204,204,204,204,204,204,204
db 204,204,207,255,255,255,255,255,255,255
db 255,255,255,255,255,252,204,192,000,192
db 000,000,000,000,000,000,000,000,000,000
db 000,000,015,255,255,255,255,255,255,170
db 170,160,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,204
db 204,204,207,255,255,255,255,255,255,255
db 255,255,255,255,240,000,000,000,000,000
db 000,000,000,000,000,000,012,192,000,012
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,012,255,255,255,170
db 160,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,252
db 252,252,252,252,252,252,252,252,255,255
db 255,255,255,255,240,037,034,034,034,034
db 034,015,034,015,015,015,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,207,160
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,204
db 204,252,252,252,252,252,252,252,252,240
db 000,000,000,000,000,037,037,037,034,002
db 000,240,034,000,194,015,047,012,032,000
db 012,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,012,012
db 012,012,012,012,012,012,012,012,012,012
db 012,032,000,000,012,032,032,037,002,002
db 012,015,047,047,012,015,015,000,192,000
db 000,192,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,012,252
db 252,252,252,252,204,252,252,252,252,252
db 032,015,000,000,012,037,037,037,002,002
db 012,207,240,255,240,047,015,000,002,000
db 000,012,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,012,204
db 204,204,204,252,252,252,252,252,204,204
db 192,192,012,242,207,000,005,037,002,002
db 012,207,240,255,032,044,015,000,012,032
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,012,012
db 000,012,000,000,000,000,000,012,012,012
db 000,000,000,015,000,037,032,037,002,002
db 012,207,240,255,242,044,015,002,000,192
db 000,000,012,000,000,000,000,000,060,060
db 000,000,000,000,000,000,000,000,000,000
db 060,012,252,060,207,048,060,012,060,060
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,012,012
db 252,252,252,252,252,252,252,252,252,252
db 252,240,015,032,000,012,037,037,002,002
db 012,047,255,015,255,044,015,000,000,015
db 000,000,000,192,000,000,000,000,063,240
db 063,060,240,240,240,000,240,000,000,000
db 063,192,243,252,015,000,063,192,063,240
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,012,012
db 252,252,252,252,252,252,252,252,252,252
db 252,192,000,000,000,000,012,037,002,002
db 000,044,252,255,002,000,000,000,000,012
db 204,204,012,194,000,000,000,000,060,000
db 060,000,240,000,000,240,000,240,000,000
db 060,012,240,060,015,000,060,012,060,060
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,012,012
db 012,012,012,012,012,012,012,012,012,012
db 012,012,000,000,000,000,000,000,000,000
db 000,207,252,204,204,204,204,207,255,255
db 255,255,255,242,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,012,204,204,204,204,204,204
db 207,204,204,204,204,204,204,204,000,255
db 255,255,255,207,000,000,000,000,000,000
db 000,000,015,000,000,000,000,000,060,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,012,204
db 204,204,204,204,204,204,204,204,204,204
db 204,204,204,204,204,204,204,255,207,255
db 255,255,252,204,204,204,204,192,005,082
db 044,204,255,204,000,000,000,000,000,000
db 000,000,015,000,240,240,000,000,063,240
db 240,240,240,240,015,000,240,240,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,204
db 192,204,204,204,204,204,204,204,204,192
db 000,000,000,000,207,255,255,032,015,255
db 242,000,252,204,204,204,204,192,005,082
db 000,204,207,204,000,000,000,000,000,000
db 000,000,015,048,240,240,000,000,060,060
db 240,000,063,240,015,000,240,240,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,204
db 000,000,000,204,204,204,204,204,204,015
db 032,000,000,207,012,204,204,000,032,000
db 000,240,252,204,204,204,204,204,000,000
db 012,204,204,204,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,255,192,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,204
db 000,085,085,204,204,204,204,204,204,015
db 000,092,000,207,012,204,204,000,000,085
db 034,032,252,204,204,204,204,204,204,204
db 204,204,204,204,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,192
db 005,000,002,204,204,204,204,204,204,192
db 000,092,000,000,192,204,192,204,000,085
db 032,204,204,204,204,204,204,204,204,204
db 204,015,255,252,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,192
db 000,204,204,204,204,204,204,204,204,192
db 000,092,000,192,000,000,000,000,000,085
db 044,204,204,204,204,000,000,000,000,000
db 192,012,204,207,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,012,204,192
db 000,204,204,204,204,204,204,204,204,192
db 000,092,000,000,000,000,000,000,000,085
db 044,204,204,204,204,204,207,255,255,240
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,000,204,000
db 000,192,204,204,000,204,204,204,204,000
db 000,092,085,085,085,085,092,204,092,085
db 032,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,002,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,092,085,085,085,085,085,085,085,085
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,002,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,005,204,204,204,085,085,085,085,085
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,080,000,000,000
db 000,000,000,000,000,000,000,002,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,001,085
db 080,000,000,021,085,014,238,238,000,000
db 238,224,000,153,153,144,012,000,238,238
db 238,238,238,000,000,000,000,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,080,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 040,040,000,000,000,000,000,000,000,000
db 000,000,000,000,040,000,010,000,000,021
db 080,000,000,021,080,000,238,000,000,000
db 014,000,009,153,000,009,156,000,014,224
db 000,000,014,000,080,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 160,000,160,160,040,040,160,160,042,040
db 010,000,160,160,042,040,010,000,000,021
db 080,000,000,080,080,000,238,000,000,000
db 014,009,153,000,000,000,156,000,014,224
db 000,000,000,005,010,010,005,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 040,040,160,160,042,160,042,160,040,000
db 010,000,042,160,040,040,010,032,000,021
db 005,000,000,080,080,000,238,000,000,000
db 014,009,153,000,000,000,000,000,014,224
db 000,000,000,005,010,010,005,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,170,000,170,128,000,000
db 000,000,170,128,000,000,000,000,000,021
db 005,080,005,080,080,000,238,000,000,000
db 014,009,153,000,000,000,000,000,014,224
db 000,000,000,000,080,000,080,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,042,000,160,160,160,160
db 160,000,000,000,000,000,000,000,000,021
db 000,080,005,000,080,000,238,000,000,000
db 014,000,153,153,144,000,000,000,014,224
db 000,238,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,010,000,042,160,042,128
db 000,160,000,000,000,000,000,000,000,021
db 000,085,085,000,080,000,238,000,000,000
db 014,000,000,153,153,153,000,000,014,224
db 000,238,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,010,000,002,128,160,160
db 160,160,000,000,000,000,000,000,000,021
db 000,085,085,000,080,000,238,000,000,000
db 014,000,000,000,000,153,144,000,014,224
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,021
db 000,005,080,000,080,000,238,000,000,000
db 014,000,000,000,000,000,153,000,014,224
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,021
db 000,005,080,000,080,000,238,224,000,000
db 014,000,000,000,000,000,153,000,014,224
db 000,000,000,000,080,080,000,000,020,080
db 005,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,080,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,021
db 000,000,000,000,080,000,014,238,000,014
db 224,009,144,000,000,009,153,000,014,224
db 000,000,014,000,021,000,080,080,085,000
db 005,000,081,020,000,080,021,020,080,080
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,085,085,085
db 085,085,085,085,085,085,085,085,085,085
db 085,085,085,085,085,085,085,080,000,021
db 000,000,000,000,080,000,000,238,238,238
db 000,009,153,153,153,153,144,000,014,224
db 000,014,238,000,080,080,080,080,020,000
db 005,016,085,084,080,080,020,000,080,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000,000,000,000,000,000,000
db 000,000,000,000


finalScreen \
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 002h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,0C0h,000h,000h
db 000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,0F0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,000h,000h
db 000h,000h,000h,0C0h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,020h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,00Ch,0C0h,000h,000h
db 000h,000h,00Ch,020h,000h,000h,00Ch,0F0h,0C0h,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,00Ch,000h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 020h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,0C2h,000h,000h,000h
db 000h,000h,002h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,0F0h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 020h,000h,000h,000h,000h,000h,0C2h,000h,000h,000h,000h,00Ch,0C0h,000h,000h,000h
db 000h,000h,020h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,02Ch,000h,000h,000h,000h,000h,000h,0C2h,000h
db 000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 020h,000h,000h,000h,000h,000h,0F0h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h
db 000h,002h,000h,000h,000h,0C2h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,020h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h
db 000h,020h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,00Ch,002h,000h,000h,000h,000h,002h,00Ch,020h
db 000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,000h,00Fh,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h
db 002h,020h,000h,002h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0F0h
db 000h,000h,000h,000h,000h,000h,00Fh,000h,000h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,000h,0C2h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h
db 022h,000h,000h,00Fh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0C2h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,002h
db 000h,000h,000h,0F0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,0C0h,000h,000h,00Fh
db 000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,020h
db 000h,000h,000h,000h,00Ch,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,020h
db 000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,00Ch
db 020h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,020h
db 000h,000h,000h,000h,0C2h,000h,000h,000h,000h,0CCh,000h,000h,000h,000h,002h,000h
db 00Ch,00Ch,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h
db 020h,000h,000h,000h,000h,000h,00Ch,020h,000h,000h,000h,000h,000h,000h,000h,020h
db 000h,000h,000h,000h,0F0h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,020h,000h
db 000h,0C2h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h
db 0F0h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,020h
db 000h,000h,000h,00Ch,020h,000h,000h,000h,00Ch,000h,000h,000h,000h,002h,000h,000h
db 00Ch,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h
db 0C2h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,002h,000h
db 000h,000h,000h,00Fh,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,020h,000h,000h
db 0F0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h
db 00Fh,000h,000h,000h,000h,000h,000h,0F0h,000h,000h,000h,000h,000h,000h,002h,000h
db 000h,000h,000h,0C2h,000h,000h,000h,000h,0C2h,000h,000h,000h,002h,000h,000h,00Fh
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0C0h,000h,00Ch,000h,002h,020h,000h,000h,000h
db 00Ch,020h,000h,000h,000h,000h,000h,0F0h,0C0h,000h,000h,000h,000h,000h,002h,000h
db 000h,000h,000h,0F0h,000h,000h,000h,00Ch,000h,000h,000h,000h,020h,000h,000h,0F0h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,00Ch,00Ch,000h,000h,000h,020h,000h,000h,000h
db 000h,0F0h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,002h,000h
db 000h,000h,00Ch,020h,000h,000h,000h,0C0h,000h,000h,000h,002h,000h,000h,0C2h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,002h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,002h,000h,000h,000h
db 000h,0C2h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,020h,000h
db 000h,000h,0CCh,000h,000h,000h,00Ch,0C0h,000h,000h,000h,020h,000h,00Ch,020h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0C0h,00Ch,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,00Fh,000h,000h,000h,000h,020h,000h,00Ch
db 002h,0CFh,000h,000h,000h,000h,000h,0CFh,000h,000h,000h,000h,000h,000h,020h,000h
db 000h,000h,022h,000h,00Ch,000h,00Ch,000h,020h,000h,000h,020h,000h,0C2h,000h,000h
db 002h,020h,020h,000h,000h,000h,0C0h,000h,002h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,0F0h,000h,000h,000h,020h,000h,000h
db 000h,00Fh,020h,000h,000h,000h,000h,0C2h,000h,000h,000h,000h,000h,000h,020h,000h
db 000h,00Ch,0C0h,000h,000h,000h,0C0h,000h,000h,000h,002h,000h,00Fh,020h,000h,000h
db 000h,020h,000h,000h,000h,0C0h,0C2h,000h,020h,000h,000h,000h,0C0h,000h,000h,000h
db 000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,002h,00Ch,000h
db 020h,00Ch,0F0h,002h,000h,000h,000h,00Fh,000h,0CCh,000h,000h,000h,002h,020h,000h
db 000h,002h,020h,000h,000h,00Ch,000h,000h,000h,000h,020h,000h,0F0h,000h,020h,000h
db 000h,0C0h,020h,002h,000h,0C2h,0CCh,000h,0F0h,000h,000h,0C0h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,00Ch,000h,020h,000h,00Ch,000h,020h,000h
db 000h,000h,0F0h,000h,000h,000h,000h,00Fh,000h,000h,000h,000h,000h,002h,000h,000h
db 000h,0CCh,000h,000h,000h,00Ch,000h,00Ch,000h,002h,000h,00Fh,0CCh,000h,000h,000h
db 0C0h,000h,0C0h,000h,000h,000h,0CFh,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,0C2h,020h,000h,000h,020h,000h
db 000h,000h,0C2h,000h,0C0h,000h,000h,00Fh,000h,000h,000h,000h,000h,002h,000h,000h
db 000h,022h,000h,000h,002h,0C0h,002h,000h,000h,020h,00Ch,0F0h,0C0h,000h,000h,000h
db 000h,00Ch,020h,000h,000h,0C0h,000h,000h,000h,000h,000h,0CCh,000h,000h,000h,000h
db 000h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,02Ch,020h,0C0h,0C0h,022h,000h
db 0C0h,000h,00Fh,020h,000h,00Ch,000h,02Fh,000h,000h,000h,000h,000h,002h,000h,000h
db 00Ch,02Ch,000h,0C0h,00Ch,000h,020h,000h,002h,000h,0CFh,000h,000h,000h,000h,000h
db 000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,020h,0C2h,00Ch,000h,0C2h,020h
db 000h,0F0h,002h,020h,000h,00Ch,000h,00Ch,00Fh,020h,000h,000h,000h,020h,000h,000h
db 0CCh,000h,020h,000h,0CCh,000h,000h,000h,020h,00Ch,020h,000h,000h,000h,000h,000h
db 00Ch,0C0h,000h,000h,00Ch,002h,000h,000h,0C0h,000h,000h,000h,020h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,00Ch,000h,00Fh,020h,022h
db 000h,000h,00Ch,0C0h,000h,000h,0C0h,00Ch,020h,022h,02Fh,00Ch,0C0h,020h,000h,002h
db 022h,020h,000h,000h,0C0h,000h,000h,002h,000h,0F2h,000h,002h,000h,0C0h,000h,000h
db 000h,000h,0C0h,000h,000h,000h,002h,000h,000h,000h,000h,000h,022h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,020h,000h,0FCh,02Ch,022h,022h
db 000h,000h,000h,0F2h,000h,000h,0C0h,00Ch,02Fh,0FFh,0FFh,0FCh,000h,020h,000h,0CCh
db 0C2h,000h,00Ch,00Ch,000h,000h,000h,020h,002h,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,002h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0C0h,00Fh,02Fh,00Ch,020h
db 02Ch,000h,000h,0CFh,000h,000h,0C0h,00Ch,020h,0FFh,0F2h,0FCh,0F2h,020h,000h,002h
db 0FFh,000h,000h,0C0h,000h,000h,002h,000h,0F2h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,002h,0CFh,020h,000h,000h,000h,000h,000h,000h,000h,000h,0CCh,000h,002h
db 0C0h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,002h,0FFh,000h,000h
db 022h,000h,000h,00Fh,020h,000h,0C0h,000h,0F0h,0FCh,022h,00Fh,0F2h,02Ch,0F2h,0CCh
db 02Ch,000h,00Ch,0C0h,000h,000h,020h,00Fh,000h,000h,000h,000h,000h,000h,002h,0CCh
db 0CFh,0CFh,00Ch,0CCh,0CFh,000h,002h,000h,000h,000h,000h,000h,000h,000h,002h,020h
db 020h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,000h,000h,002h,00Fh,0C0h,000h
db 022h,000h,000h,00Ch,0F0h,000h,0CCh,002h,0FCh,000h,000h,020h,0F2h,0F2h,02Ch,022h
db 002h,002h,00Ch,000h,000h,002h,00Ch,0CCh,000h,000h,000h,000h,000h,0FFh,0CFh,0C0h
db 000h,000h,000h,000h,00Ch,000h,000h,002h,000h,000h,000h,000h,0C2h,000h,00Ch,02Ch
db 00Ch,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,020h,000h
db 000h,020h,002h,00Ch,0C2h,000h,00Ch,020h,0F0h,000h,000h,000h,002h,02Ch,0CCh,0C2h
db 000h,000h,0C2h,0F0h,000h,02Ch,0CCh,000h,000h,002h,000h,002h,00Ch,0CCh,0C0h,000h
db 000h,000h,000h,000h,002h,0CCh,0C0h,000h,0C0h,000h,000h,000h,000h,002h,0F0h,000h
db 0CCh,020h,0F0h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,00Ch,000h,0CFh,00Ch
db 000h,022h,000h,002h,02Fh,020h,02Ch,000h,0F0h,000h,000h,000h,022h,00Ch,0C2h,020h
db 000h,00Ch,0C2h,000h,002h,00Ch,020h,000h,000h,0CFh,00Fh,0CFh,0C0h,000h,0C0h,020h
db 000h,0F0h,000h,0F0h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,00Ch,02Ch,00Fh
db 022h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,02Fh,000h,020h,000h,0C0h,000h,00Ch,020h
db 000h,002h,000h,000h,0FCh,020h,00Ch,000h,0C2h,000h,000h,020h,020h,002h,02Ch,000h
db 02Ch,0FCh,0C0h,000h,020h,022h,000h,000h,000h,02Ch,0CFh,0CCh,0C0h,0C0h,000h,00Ch
db 0C0h,0CFh,0C0h,0C0h,000h,000h,000h,000h,00Ch,0C0h,000h,000h,000h,000h,0C0h,0F2h
db 002h,0C2h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,000h,0C0h,00Ch,0F0h,000h,00Ch,00Ch,002h,000h,022h
db 0CFh,002h,020h,000h,002h,0FCh,02Ch,0C0h,0C2h,000h,0C0h,0F2h,020h,02Fh,002h,000h
db 00Ch,0C0h,0C0h,002h,002h,020h,000h,000h,000h,0CFh,0C2h,0C0h,0C0h,0C0h,0CCh,0C2h
db 0CCh,000h,0C0h,0CFh,0C0h,0C0h,0C0h,0C0h,000h,00Fh,020h,000h,000h,000h,002h,0C0h
db 00Ch,00Ch,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,02Ch,000h,02Ch,0CFh,0C0h,0C0h,0C0h,000h,000h,002h
db 020h,002h,022h,000h,00Ch,0C2h,0CCh,0C0h,0C2h,000h,0CCh,0F2h,02Fh,0F2h,0C0h,00Ch
db 0FCh,000h,0CCh,020h,0F2h,000h,000h,020h,0FCh,0CFh,0C0h,0FCh,0C0h,000h,00Ch,0CCh
db 0C0h,000h,0C0h,0C0h,0C0h,020h,000h,0C0h,000h,000h,020h,0C2h,000h,000h,000h,000h
db 000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CFh,000h,0C2h,00Fh,02Ch,0C0h,000h,022h,000h,0C0h,020h
db 0F0h,020h,002h,02Ch,00Ch,022h,0C0h,0C0h,0CCh,000h,000h,002h,02Ch,0C0h,022h,002h
db 00Ch,020h,002h,0CCh,000h,020h,000h,00Ch,0CCh,000h,0CCh,0CCh,0C0h,00Ch,0CCh,0C0h
db 0C0h,0C0h,020h,0C0h,0C0h,000h,0F0h,000h,000h,0C0h,0CFh,022h,000h,000h,000h,000h
db 0C0h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FCh,02Ch,0F0h,0C2h,022h,000h,000h,0F0h,00Ch,00Ch,020h
db 02Fh,02Ch,02Fh,02Ch,0F2h,0FCh,00Ch,0C0h,00Fh,000h,000h,002h,0CFh,02Fh,000h,000h
db 0C0h,0C0h,02Ch,0F0h,000h,000h,000h,00Ch,0C0h,0C0h,020h,0CCh,020h,00Ch,0C0h,0CCh
db 0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,000h,000h,000h,000h,00Fh,0CFh,02Ch,000h,000h,00Fh
db 00Ch,0C0h,000h,000h,000h,0C0h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C2h,000h,00Fh,0F0h,00Ch,0C0h,000h,00Ch,0CCh,00Ch,002h
db 0CFh,0C0h,0C0h,002h,02Ch,0F0h,022h,0CCh,0CFh,000h,000h,022h,0FFh,0F2h,000h,0CCh
db 020h,022h,0CCh,000h,000h,000h,00Ch,00Ch,0CCh,000h,0CCh,000h,000h,0CCh,0C0h,0C0h
db 0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,000h,000h,000h,000h,00Ch,0F2h,020h,000h,002h,0C2h
db 00Fh,000h,0C0h,002h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FCh,0C2h,000h,0FFh,0FFh,0FCh,0C0h,022h,0C2h,022h,00Ch
db 002h,0CCh,000h,002h,02Fh,0F2h,0CCh,0CCh,00Fh,000h,000h,002h,0F0h,022h,0CCh,0CCh
db 0C0h,022h,0F0h,000h,000h,000h,00Ch,0C0h,0C0h,0CCh,0CCh,002h,00Ch,0C0h,0C0h,0C0h
db 0C0h,0C0h,0C0h,0C0h,0C0h,0C0h,000h,000h,000h,000h,000h,0F0h,0F2h,022h,0C0h,0C0h
db 000h,02Ch,00Ch,0C0h,0C2h,0C0h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,000h,022h,0C0h,0F2h,0F2h,0CCh,0C0h,00Ch,020h,0F2h
db 002h,00Ch,0C0h,000h,020h,00Ch,0C2h,00Ch,002h,022h,000h,02Fh,0FFh,020h,00Fh,0C0h
db 002h,022h,0C0h,000h,0F0h,00Ch,002h,0C0h,0C0h,000h,000h,000h,0CCh,000h,0C0h,0C2h
db 0C2h,0F0h,0F0h,0C0h,0C2h,0C0h,0C0h,0C0h,000h,000h,000h,0CFh,0F0h,0F0h,002h,0C0h
db 000h,000h,000h,0C0h,000h,0CFh,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0CCh,0C0h,000h,0FFh,00Fh,020h,002h,000h,000h,02Ch
db 020h,000h,022h,000h,0C2h,0FCh,02Fh,00Ch,0FCh,0F0h,000h,02Ch,022h,002h,00Ch,000h
db 022h,020h,020h,000h,020h,00Ch,0CCh,000h,002h,000h,0C0h,00Ch,0CCh,0C0h,0C0h,0C0h
db 0C0h,0C0h,0C0h,0C0h,000h,0C0h,000h,000h,000h,000h,0C0h,0CCh,0FCh,0C0h,000h,002h
db 00Ch,020h,00Ch,020h,020h,0C2h,000h,02Ch,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,022h,020h,00Ch,02Fh,02Fh,00Fh,02Ch,00Ch,02Fh,02Ch
db 020h,000h,002h,02Ch,0F2h,022h,0CFh,02Ch,0CFh,020h,00Ch,022h,0C0h,022h,0C0h,002h
db 02Fh,022h,002h,000h,000h,0CCh,0C0h,000h,000h,0CCh,0C0h,0CCh,0CCh,0C0h,000h,0C0h
db 000h,000h,0C0h,0C2h,0C0h,002h,0C0h,0C0h,000h,0C0h,0C0h,002h,0FFh,002h,0C0h,000h
db 000h,000h,00Ch,0FCh,02Fh,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Fh,002h,022h,0F2h,02Fh,02Fh,0FFh,0F2h,0C2h,020h
db 000h,000h,000h,022h,020h,022h,0C2h,0FCh,0CFh,0C0h,002h,020h,0F2h,02Ch,0CFh,02Ch
db 000h,022h,000h,02Ch,0C0h,0CCh,0C0h,000h,000h,000h,0C0h,0CCh,0CCh,000h,000h,0CCh
db 000h,0C0h,000h,0C0h,0C0h,0C0h,0C0h,000h,000h,0C0h,0C0h,00Ch,0CCh,00Ch,0CFh,000h
db 000h,00Ch,000h,0C2h,0CFh,022h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0C2h,00Ch,022h,022h,0C2h,0C2h,0F2h,022h,0C2h
db 0C0h,002h,000h,002h,0F0h,002h,0FFh,0CCh,0CCh,0C2h,002h,02Ch,0C0h,02Ch,0F2h,0F0h
db 020h,0FFh,022h,0C0h,0CFh,0CCh,0CFh,0C2h,002h,00Ch,0C0h,00Ch,000h,000h,000h,020h
db 000h,002h,000h,0C0h,0C0h,0C0h,000h,000h,0C0h,0C0h,000h,000h,0FCh,0CCh,0CCh,0C0h
db 002h,000h,002h,0F2h,0C2h,02Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0C0h,00Fh,0FFh,0F2h,022h,0F2h,000h,0C2h,000h
db 000h,020h,002h,02Ch,022h,002h,02Ch,00Fh,0CCh,0F2h,0F2h,002h,000h,0CCh,02Ch,00Fh
db 0CCh,0C2h,000h,000h,00Ch,0CCh,0C2h,000h,000h,00Fh,0C0h,000h,000h,000h,000h,000h
db 000h,0C2h,0C0h,0C0h,000h,0C0h,0C0h,000h,000h,000h,000h,000h,0FCh,0F0h,000h,0C0h
db 000h,0CCh,0F0h,0C0h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,020h,0C0h,0CFh,0FCh,0CCh,022h,02Fh,002h,000h
db 000h,002h,00Fh,0F2h,0FFh,020h,022h,02Ch,0CCh,0FFh,0C2h,0C0h,00Ch,0C2h,0F0h,02Ch
db 02Ch,0CCh,020h,020h,000h,022h,0CCh,0F0h,0C0h,000h,0C0h,020h,0C0h,000h,0C0h,0C0h
db 000h,00Ch,000h,0C0h,000h,0C0h,000h,000h,000h,000h,000h,00Ch,0CCh,0C0h,0F0h,000h
db 000h,0C0h,020h,02Fh,000h,020h,000h,00Fh,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0C0h,00Fh,022h,002h,0F0h,020h,022h,022h,000h
db 00Ch,02Fh,0C2h,020h,00Ch,0CFh,022h,0C0h,0CCh,02Fh,022h,0F2h,02Ch,02Fh,00Ch,002h
db 002h,0C2h,02Fh,0CFh,020h,000h,000h,000h,0C2h,000h,000h,0C0h,0C0h,0C0h,0C2h,0C0h
db 000h,000h,000h,0C0h,0C0h,000h,0C0h,000h,0C0h,000h,000h,00Fh,0FFh,0C0h,000h,000h
db 000h,000h,02Fh,0C0h,000h,000h,000h,0CCh,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,0F0h,000h,000h,0F0h,0CFh,002h,000h,02Ch,000h,022h
db 020h,0CFh,0FFh,0C0h,0CCh,0CCh,002h,022h,0CCh,0FFh,02Ch,0FFh,0C2h,022h,0C0h,000h
db 000h,0C2h,00Ch,0CFh,0FFh,0F0h,00Fh,0C2h,0CFh,0CFh,0CFh,0C0h,000h,0CCh,0C0h,000h
db 000h,000h,000h,002h,0C0h,000h,000h,000h,000h,000h,000h,00Fh,0CFh,020h,000h,000h
db 000h,000h,000h,0C2h,020h,000h,000h,00Ch,000h,000h,0CFh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C2h,000h,0C0h,002h,0C0h,020h,0C2h,0F0h,0CCh,00Ch
db 0C2h,022h,0F2h,00Ch,0CFh,022h,0C0h,022h,0CCh,0C2h,02Fh,0FCh,022h,0C2h,0F0h,000h
db 0C2h,0F2h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,00Fh,0CFh,0CFh,0C2h,000h,000h,000h,000h
db 00Ch,0CFh,000h,0C0h,000h,000h,000h,0C0h,000h,000h,0C0h,000h,0CCh,0C0h,000h,000h
db 000h,020h,000h,00Ch,0F0h,00Ch,000h,000h,000h,000h,0CFh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,0C0h,000h,000h,002h,022h,002h,00Ch,002h,00Fh
db 0CFh,0F2h,022h,02Fh,0CCh,0C0h,0FCh,0C2h,00Ch,0CCh,020h,0CCh,020h,0CFh,0F2h,0F2h
db 0F0h,02Ch,02Fh,0FFh,0CFh,0FFh,0FFh,0FFh,020h,0CFh,0CFh,0CFh,020h,000h,000h,000h
db 0CFh,00Ch,0C0h,000h,000h,000h,000h,0C0h,000h,000h,0F0h,00Fh,0F0h,000h,000h,000h
db 00Fh,000h,000h,000h,00Ch,0F0h,0F0h,000h,000h,000h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,020h,0C2h,002h,020h,000h,020h,000h,000h,000h,0C2h
db 02Fh,0F2h,000h,022h,022h,0CCh,0C2h,022h,02Ch,0C2h,022h,0C0h,0CFh,0F2h,0FCh,022h
db 02Fh,0FFh,020h,020h,0CCh,0CFh,0FFh,0FCh,0F0h,00Ch,0CFh,0CFh,0CFh,0C0h,000h,0CCh
db 0F0h,000h,0C0h,00Ch,000h,0C0h,0C0h,000h,000h,000h,0C0h,00Fh,0FCh,0C0h,000h,000h
db 0FFh,000h,000h,0C0h,000h,0FFh,0C0h,0C2h,000h,0C0h,022h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Fh,022h,002h,00Ch,0FFh,0FFh,020h,0CCh,000h,0FFh,00Ch
db 0F2h,022h,0F2h,020h,0F2h,022h,0CCh,0C2h,02Ch,0C2h,02Ch,000h,0FFh,022h,0CFh,0FCh
db 0FCh,00Ch,0CCh,0C0h,0C2h,0F2h,0FFh,0CCh,0CFh,020h,000h,00Ch,0CFh,0C2h,000h,0C0h
db 0F0h,0C0h,0CFh,000h,000h,0C0h,000h,000h,0C0h,000h,000h,0C2h,0FCh,0FCh,000h,00Fh
db 02Ch,0F2h,0CCh,00Fh,022h,000h,000h,02Fh,020h,022h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Fh,022h,002h,0CFh,022h,000h,0FFh,0FFh,0FFh,022h
db 00Ch,000h,0F0h,002h,020h,000h,00Ch,0CCh,02Ch,0C2h,0CCh,00Ch,0CFh,02Fh,0FFh,0FCh
db 0CCh,0CFh,000h,000h,00Ch,00Ch,0CCh,0CFh,0FFh,020h,000h,0C0h,0CFh,0CFh,0CFh,0C2h
db 0CFh,0C0h,0C0h,000h,000h,000h,0C2h,000h,000h,000h,002h,0F2h,02Ch,0FCh,020h,0C2h
db 022h,02Ch,0F0h,0F0h,000h,020h,02Ch,000h,020h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,002h,0F2h,000h,000h,02Fh,0CCh,0CCh,0FCh,0F2h,0FFh
db 0F2h,0FFh,0F2h,000h,000h,000h,000h,00Ch,02Ch,0C2h,0CFh,022h,0CFh,0CCh,0CCh,0CFh
db 0FFh,000h,022h,000h,00Ch,000h,00Ch,0CFh,0CFh,002h,0C0h,0CCh,0CFh,0CFh,0C0h,0CCh
db 0CFh,00Fh,0C0h,002h,000h,000h,000h,000h,000h,000h,00Ch,020h,020h,020h,0FFh,0F2h
db 020h,000h,000h,020h,020h,020h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,002h,0CFh,00Fh,0FFh,0FFh,0FCh,0F0h,02Fh,002h
db 020h,02Ch,0FFh,0FFh,00Ch,0FFh,0F0h,000h,0CCh,0CCh,02Fh,0CCh,0CCh,0CCh,0C0h,0FFh
db 0F2h,0C0h,00Ch,000h,000h,020h,0C0h,00Fh,0C2h,0C0h,0C0h,0CFh,0CFh,0C2h,0C0h,0CCh
db 0CFh,0CFh,0C0h,0C0h,000h,000h,000h,000h,002h,00Ch,00Fh,0FFh,020h,02Ch,020h,02Ch
db 0F0h,020h,002h,002h,000h,0F2h,0C0h,000h,020h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,000h,000h,0C2h,00Fh,0FFh,02Fh,020h,002h,0CCh,002h
db 002h,002h,000h,000h,000h,00Fh,0CCh,0CCh,0CCh,0CCh,0CCh,0C2h,002h,020h,000h,02Fh
db 022h,0C0h,0F0h,000h,000h,000h,000h,00Ch,0F2h,0C0h,0CFh,0CFh,0CFh,0C0h,0C0h,000h
db 0CFh,0C0h,000h,0C0h,000h,0C0h,000h,000h,000h,000h,000h,0FFh,0F0h,022h,020h,020h
db 020h,00Ch,02Ch,0F2h,0F2h,000h,0F2h,020h,000h,020h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,00Ch,000h,0FCh,0C0h,0CCh,000h,0CCh,00Ch,0C0h,002h
db 000h,000h,000h,00Ch,0CCh,0CCh,0C0h,00Ch,0CFh,0CCh,022h,020h,0FFh,0F2h,0CFh,0F0h
db 0FCh,0CFh,0C0h,020h,000h,000h,0C0h,0C2h,02Ch,0C0h,0CFh,0CFh,0CFh,0C2h,0C0h,0C0h
db 0CCh,0CFh,000h,0C0h,0C0h,0C0h,002h,00Ch,000h,0C0h,000h,00Ch,0F0h,0F0h,0FFh,0FFh
db 000h,002h,0F2h,0F0h,000h,000h,0C2h,0F2h,020h,000h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,000h,002h,02Ch,0CCh,0C0h,020h,000h,0C0h,000h
db 000h,00Ch,0CCh,0C0h,000h,000h,00Ch,0CCh,0FCh,0CCh,0C2h,02Fh,02Ch,0F0h,0FFh,0F2h
db 00Fh,02Fh,000h,000h,000h,020h,000h,000h,02Ch,0CFh,0CFh,0FFh,0CFh,0CFh,000h,000h
db 0C0h,0CFh,0C0h,0C0h,0C0h,0C2h,0C0h,0C0h,0C0h,0C0h,000h,020h,000h,000h,000h,000h
db 0F2h,000h,000h,000h,000h,000h,000h,0F2h,000h,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,000h,000h,0CFh,02Ch,00Ch,000h,000h,020h,00Ch,0CCh
db 0CCh,000h,000h,000h,000h,00Ch,0CFh,0C2h,0FCh,0CCh,0CFh,022h,00Fh,00Ch,0F0h,002h
db 0CFh,0F2h,00Fh,022h,000h,000h,000h,000h,0C2h,00Ch,02Fh,0CFh,0CFh,0CFh,000h,000h
db 0C0h,0CFh,0C0h,0C0h,0C2h,0CFh,0C0h,0C0h,000h,0C0h,000h,000h,020h,000h,002h,0FFh
db 000h,000h,000h,000h,000h,0F2h,0F2h,0F2h,000h,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0F0h,00Ch,002h,000h,000h,02Ch,020h,000h,000h,00Ch
db 000h,002h,000h,002h,00Ch,0C0h,02Ch,022h,0FCh,02Ch,0CFh,0C2h,02Fh,00Fh,002h,0F0h
db 0CFh,0F0h,0CFh,0FFh,020h,0C0h,000h,000h,000h,020h,0F0h,0FFh,0F2h,0C2h,0CCh,0CCh
db 0C0h,0CFh,000h,0C0h,0CFh,0CFh,0C2h,0C0h,000h,0C0h,000h,000h,000h,000h,00Fh,0F2h
db 000h,000h,002h,0F2h,0FFh,000h,000h,002h,000h,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,000h,000h,000h,00Ch,0C0h,020h,002h,000h,000h,000h
db 000h,002h,002h,00Ch,0C0h,002h,0C2h,020h,0CCh,0F2h,0CFh,0C2h,020h,002h,0C2h,0C2h
db 00Fh,02Ch,0FFh,0F2h,00Ch,0FFh,000h,000h,000h,00Ch,000h,00Ch,0FFh,0CFh,0CFh,0C2h
db 0CCh,0FFh,0C0h,000h,0CFh,0CFh,0CFh,0CFh,0C0h,000h,000h,020h,020h,000h,000h,0F2h
db 000h,0C2h,0FFh,0C0h,0C0h,000h,020h,020h,020h,022h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,0CCh,0C0h,002h,0C0h,000h,000h,000h,0C0h,002h,0C0h
db 000h,000h,000h,0CCh,000h,02Ch,000h,0C0h,0CFh,0F2h,0CCh,0FCh,022h,020h,0C2h,0F0h
db 002h,00Ch,0CFh,02Fh,0C2h,0C2h,000h,0FFh,000h,000h,02Ch,0C0h,00Fh,0FFh,0CFh,0C0h
db 0CFh,0CFh,0C0h,000h,0CFh,0CFh,0CFh,0CFh,0CFh,0C2h,020h,020h,020h,000h,00Ch,0F2h
db 0F2h,0F2h,020h,000h,020h,000h,020h,020h,022h,000h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,0C0h,000h,000h,002h,000h,0C0h
db 000h,02Fh,0CCh,020h,00Fh,0C0h,000h,00Ch,0C0h,0FFh,0CCh,0CCh,022h,020h,000h,0C0h
db 020h,000h,0C0h,000h,0CCh,0FCh,020h,020h,000h,0FFh,0CCh,0FFh,000h,0FFh,0CFh,0C0h
db 0CFh,0CFh,020h,000h,0CFh,0CFh,0CFh,0CFh,0CFh,0C2h,020h,020h,020h,000h,00Ch,0F2h
db 0F2h,020h,000h,000h,000h,000h,020h,000h,000h,020h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,020h,000h,0C0h,00Ch,00Fh,0FFh
db 02Fh,0CCh,02Ch,0C2h,02Ch,000h,0C2h,00Ch,00Ch,0CFh,02Ch,022h,000h,020h,000h,000h
db 0FCh,020h,0FFh,0CFh,0FFh,002h,0C2h,00Fh,000h,000h,00Ch,0FFh,020h,00Fh,0FFh,0CFh
db 0CFh,0CFh,0C0h,000h,0CCh,0CFh,0CFh,0CFh,0CFh,022h,000h,020h,020h,020h,02Ch,0FFh
db 000h,000h,000h,00Ch,020h,020h,020h,000h,000h,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,00Fh,0CFh
db 0CCh,0FFh,000h,0C2h,0F0h,000h,00Ch,0CCh,00Ch,0F2h,0FCh,02Fh,020h,022h,000h,000h
db 00Ch,0FFh,02Fh,00Ch,0FFh,0F0h,000h,0F0h,000h,000h,00Ch,0CFh,0FFh,00Fh,0CFh,0CFh
db 0CFh,000h,0C0h,0C0h,0C0h,0CFh,0CFh,0CFh,000h,022h,0F2h,022h,020h,020h,000h,0C2h
db 02Ch,000h,000h,00Ch,0F0h,020h,020h,020h,002h,020h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,0CFh,0CFh,0CCh
db 0CCh,022h,0FFh,0C2h,0C0h,022h,00Ch,0CCh,00Ch,0C2h,0FCh,0CCh,0C0h,002h,020h,000h
db 000h,00Ch,0FFh,00Ch,0F2h,0F0h,0CCh,00Fh,0CCh,020h,00Ch,0CFh,0FFh,02Ch,0CFh,0FFh
db 020h,000h,0C0h,0C0h,000h,0CFh,0CFh,0CFh,002h,000h,000h,00Ch,020h,020h,000h,020h
db 02Fh,000h,000h,0FFh,020h,020h,020h,020h,000h,020h,022h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,00Ch,000h,000h,000h,000h,000h,0CCh,0FFh
db 0F2h,0FCh,0FFh,0FCh,0CFh,0CCh,00Ch,0C0h,0F0h,0C2h,000h,0C0h,022h,020h,020h,000h
db 000h,000h,00Ch,0FCh,0F0h,0CCh,0CCh,0C0h,0C0h,0FFh,0FFh,0FFh,0FFh,0F0h,00Ch,0CFh
db 02Ch,0FFh,020h,0F0h,0C0h,0C0h,0CFh,0F0h,0F0h,002h,000h,00Ch,020h,020h,000h,020h
db 02Fh,000h,0FFh,00Fh,020h,020h,020h,020h,020h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,00Ch,0CCh,0CCh
db 0FFh,0FFh,0FFh,02Fh,020h,0F0h,0FCh,0F2h,0C0h,0C0h,020h,0CCh,0FCh,0C0h,022h,000h
db 000h,020h,00Fh,0FFh,0FCh,0C0h,0F2h,0FFh,0FFh,0CCh,0FFh,0FFh,0FFh,0FFh,0F2h,002h
db 0CFh,0FFh,00Fh,000h,0C0h,0C0h,0C2h,022h,000h,0C0h,0C2h,00Ch,020h,000h,020h,000h
db 02Fh,0FFh,020h,00Fh,000h,020h,020h,020h,000h,020h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,00Ch,000h,000h,002h,020h,00Ch,0CCh,0FFh,0FFh
db 0FFh,0FFh,0FCh,0FFh,02Fh,02Fh,0CCh,0FCh,0FFh,0F0h,000h,0C0h,02Fh,020h,002h,020h
db 000h,000h,00Ch,000h,0FFh,0F2h,002h,0CFh,0FFh,0F2h,0FFh,0F0h,020h,0FFh,0FFh,0FFh
db 0FFh,0FFh,000h,002h,0C0h,00Ch,0C2h,002h,000h,00Fh,02Fh,00Fh,020h,020h,020h,020h
db 02Ch,0F2h,000h,002h,020h,020h,020h,022h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,00Ch,0CFh,02Fh,02Fh,02Fh
db 0FFh,0FFh,0FFh,0FCh,0FCh,0FFh,0FFh,0CFh,0FFh,0FFh,002h,0CCh,0CFh,0F0h,000h,020h
db 000h,000h,000h,000h,0FFh,0FFh,0FFh,02Fh,0F0h,00Ch,0FCh,0F0h,02Ch,0FFh,0FFh,0FFh
db 0FFh,000h,0C0h,000h,0F2h,002h,0C0h,0F0h,00Fh,00Fh,0C0h,002h,020h,020h,020h,000h
db 02Ch,020h,000h,00Fh,000h,020h,020h,022h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,000h,000h,000h,0CCh,00Ch,0CFh,00Fh,00Ch,0FCh,0FFh
db 0CFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,002h,00Ch,0FFh,0FFh,02Ch,002h
db 000h,000h,000h,00Ch,0FFh,0FFh,0F2h,0F0h,022h,020h,020h,020h,020h,020h,0FFh,0FFh
db 000h,000h,000h,00Fh,000h,0F2h,000h,0C0h,000h,0C0h,0C0h,0C2h,020h,020h,020h,000h
db 02Ch,020h,000h,00Fh,000h,020h,0F2h,0F2h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,002h,0F0h,0C2h,0CFh,0CFh,0C2h,0FFh,02Fh
db 0FFh,0FFh,0FFh,0FFh,020h,000h,0FFh,0FFh,0FFh,0FFh,0C0h,0FCh,0CCh,0CFh,0CFh,022h
db 020h,000h,0C0h,00Ch,0CFh,02Fh,0F0h,02Ch,020h,020h,02Ch,020h,020h,02Ch,0FFh,0F0h
db 002h,000h,000h,00Ch,0F2h,0C2h,000h,002h,000h,000h,020h,000h,000h,020h,000h,000h
db 02Ch,020h,000h,00Fh,002h,0F2h,0F2h,0F2h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,020h,0F0h,020h,0C0h,0C2h,020h,0F0h,0CFh,0F2h,0F2h
db 0FFh,0FFh,0FFh,0FFh,02Ch,0CFh,00Fh,0FFh,0CFh,0FFh,02Ch,0FCh,0FFh,0FCh,0FCh,0F2h
db 020h,00Ch,000h,000h,0FFh,020h,0F2h,0FFh,02Fh,0F2h,020h,020h,020h,02Fh,0F2h,000h
db 020h,0F0h,00Ch,00Fh,0C0h,0C2h,000h,00Ch,0F2h,000h,000h,0F2h,000h,020h,020h,020h
db 02Fh,020h,000h,00Fh,002h,0F2h,0F2h,022h,020h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0F2h,0F0h,000h,0C0h,00Ch,020h,0F2h,0F0h,0FFh,0CFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,02Ch,0CFh,0F0h,0FFh,0FCh,0CFh,0C2h,022h,0CFh,0FFh,0FFh,00Ch
db 002h,002h,000h,00Ch,00Ch,020h,020h,0F0h,02Ch,020h,020h,0F0h,000h,020h,000h,0F2h
db 000h,020h,000h,020h,0F0h,0C0h,000h,000h,002h,0F2h,000h,0F2h,020h,0F0h,020h,020h
db 02Fh,020h,000h,00Fh,002h,0F2h,0F2h,020h,000h,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,02Ch,00Ch,0CCh,000h,00Ch,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0F0h,0CFh,0C2h,00Fh,0FFh,0FCh,0FCh,0FFh,0FFh,0FFh,0FFh,0CCh
db 0F2h,020h,00Ch,000h,000h,0C0h,020h,020h,020h,000h,020h,000h,000h,002h,0F2h,000h
db 0F0h,000h,000h,0C0h,000h,0F0h,000h,020h,000h,0F2h,000h,0F2h,000h,020h,020h,020h
db 00Fh,000h,000h,00Fh,0C2h,0F2h,0F2h,020h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C2h,0CCh,002h,002h,0CFh,0FFh,0FFh,0FFh,0FFh,0FFh,0F2h
db 02Ch,0FCh,00Ch,0FFh,0FFh,00Ch,0CFh,00Ch,0FFh,0FFh,0FFh,0FFh,0FCh,0FFh,0FFh,0FCh
db 0FCh,02Fh,000h,000h,000h,0FCh,020h,000h,000h,020h,000h,000h,000h,020h,000h,0C2h
db 020h,020h,020h,002h,000h,0F0h,000h,000h,020h,000h,0F2h,0F0h,000h,0F0h,020h,020h
db 00Fh,000h,000h,002h,0C2h,0FFh,0F2h,022h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CCh,002h,0F0h,020h,0C0h,0FFh,0FFh,0FFh,0FFh,0FFh,0F2h
db 020h,000h,020h,0CFh,0FFh,022h,0CFh,0C0h,0FFh,0F0h,0FFh,020h,0C0h,0CFh,0FFh,0FFh
db 0F0h,002h,000h,000h,0C2h,00Ch,020h,020h,000h,000h,000h,00Fh,0F0h,000h,0F0h,000h
db 000h,020h,000h,00Ch,020h,0F0h,020h,02Ch,000h,0F0h,002h,0F0h,000h,0F2h,020h,020h
db 00Fh,020h,000h,00Fh,0C2h,0FFh,0F2h,020h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,0FFh,002h,000h,000h,0FFh,0FFh,0FFh,0FFh,0F2h,0F0h
db 020h,00Fh,0CFh,020h,0FFh,0F2h,000h,0C0h,0CFh,02Ch,020h,02Ch,0C2h,00Ch,0FFh,0FFh
db 0FCh,0FFh,022h,020h,000h,0CFh,020h,000h,000h,00Ch,000h,022h,0F2h,0FCh,000h,020h
db 0F2h,020h,020h,020h,0FFh,0F0h,020h,0FFh,02Ch,0CFh,020h,0F0h,000h,022h,020h,020h
db 022h,000h,000h,00Fh,0C2h,0F2h,022h,020h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C2h,0FCh,000h,00Ch,0FFh,0FFh,0FFh,022h,0F2h,020h
db 020h,000h,0CFh,0CFh,002h,0FFh,020h,0C0h,00Ch,0F0h,020h,0FCh,0CFh,000h,0FFh,0FFh
db 0FFh,0F0h,022h,020h,000h,002h,000h,000h,000h,020h,000h,0F2h,0F2h,000h,020h,022h
db 0F2h,022h,020h,020h,00Fh,0F0h,002h,0CFh,00Ch,0F2h,0F2h,0C0h,002h,022h,020h,020h
db 02Fh,020h,000h,00Fh,002h,0F2h,0F0h,020h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,0C0h,0C0h,0FFh,0FFh,0FFh,0F2h,02Fh,0F0h,020h
db 000h,000h,00Fh,0CFh,000h,020h,020h,0C0h,0C0h,0CFh,0F0h,0FCh,0CFh,000h,0FFh,0F2h
db 0FFh,022h,0F2h,0C0h,000h,000h,000h,000h,000h,000h,020h,0C0h,000h,022h,0F2h,0F2h
db 022h,022h,020h,000h,02Ch,0F0h,002h,000h,000h,0F2h,0FFh,020h,0CFh,0F2h,020h,020h
db 00Fh,000h,000h,00Fh,002h,0F2h,020h,022h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,0C2h,0FFh,0FFh,0FFh,02Fh,020h,020h,020h
db 000h,000h,020h,0CFh,0C2h,002h,020h,000h,0CCh,00Ch,020h,020h,0FFh,020h,0FFh,0F2h
db 0FFh,0F2h,0C2h,02Fh,02Fh,02Ch,000h,000h,000h,000h,020h,000h,0C2h,0FFh,0F2h,0F2h
db 022h,020h,020h,020h,020h,000h,00Ch,0FFh,002h,022h,0F2h,0F2h,0FFh,0F2h,020h,020h
db 02Fh,000h,000h,00Fh,002h,0F2h,020h,020h,000h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,020h,0FFh,0FFh,0F2h,022h,0FFh,02Ch,020h,020h
db 000h,020h,000h,000h,0C0h,0C0h,020h,000h,0F0h,0C0h,000h,000h,000h,0C0h,0C2h,0F0h
db 020h,0FFh,002h,022h,000h,000h,000h,000h,000h,000h,0F0h,000h,0F2h,0FFh,0F2h,0F2h
db 022h,022h,020h,020h,020h,020h,000h,0FFh,0FFh,022h,022h,022h,0FFh,0FFh,0F2h,020h
db 00Fh,000h,000h,00Fh,002h,0F2h,020h,002h,022h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,02Fh,0CFh,0FFh,0FFh,0FFh,020h,02Fh,0FCh,022h,000h
db 022h,020h,020h,020h,000h,0C0h,0C0h,000h,0CFh,0CFh,000h,000h,020h,0CCh,0C0h,020h
db 0F2h,0FFh,0FFh,002h,0C2h,020h,000h,000h,0F2h,020h,0CFh,0F2h,0F2h,022h,0F2h,0F2h
db 0F2h,0F2h,020h,020h,020h,020h,000h,0C2h,0F2h,0F2h,020h,022h,0F2h,0F2h,022h,022h
db 00Ch,000h,000h,00Fh,002h,0F0h,0C2h,020h,000h,0C2h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0CFh,0FFh,0FFh,0FFh,0FFh,02Ch,0FCh,0F2h,022h,020h
db 02Ch,0F0h,020h,000h,000h,0C0h,0CFh,002h,0C0h,0C0h,000h,000h,022h,0C0h,002h,020h
db 00Ch,022h,000h,0FFh,02Fh,000h,000h,00Ch,0FFh,020h,00Ch,0F2h,0F2h,022h,0F2h,0F2h
db 0F2h,0F2h,020h,020h,020h,022h,000h,02Ch,0F2h,0F2h,000h,022h,022h,0FFh,022h,022h
db 00Ch,000h,000h,00Fh,002h,02Fh,0FFh,0F0h,0F2h,0FFh,022h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CFh,0FFh,0FFh,0FFh,0FCh,0FFh,0F2h,0FCh,022h,000h,020h
db 02Ch,0CFh,000h,020h,000h,000h,0CFh,0C2h,000h,0CFh,0C2h,000h,00Ch,0CFh,00Fh,020h
db 0C0h,020h,0F0h,020h,000h,0C0h,000h,000h,0F2h,020h,00Ch,0F2h,0F2h,0F2h,0F2h,0F2h
db 0F2h,0F2h,020h,020h,0F0h,022h,020h,020h,0F2h,0F2h,000h,020h,022h,0FFh,020h,022h
db 00Ch,000h,000h,00Fh,0C2h,0F2h,000h,0F2h,0F2h,0FFh,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CFh,0FFh,0FFh,0FFh,0FFh,0F2h,020h,0F2h,0F2h,020h,020h
db 020h,0FFh,0CFh,020h,020h,0C0h,0C2h,0C0h,00Ch,0CFh,0CFh,000h,0CCh,0CFh,00Ch,020h
db 000h,000h,020h,00Ch,000h,022h,000h,0C0h,0F2h,0F2h,020h,0F2h,0F2h,022h,0F2h,0F2h
db 0F2h,0F2h,0F0h,0F2h,0F0h,022h,020h,020h,002h,0F2h,000h,020h,022h,0F2h,022h,0F2h
db 02Ch,002h,022h,02Fh,000h,00Ch,0FFh,0F2h,0F2h,0FFh,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,0FFh,0FFh,0FFh,0F2h,0FCh,0FFh,0FCh,0F0h,000h,000h
db 000h,020h,0CFh,0FFh,020h,000h,000h,0C0h,0CFh,0CFh,0C0h,0C0h,000h,00Fh,0C2h,000h
db 020h,020h,000h,000h,020h,020h,000h,0FFh,0FFh,0F2h,0F2h,0F2h,0F2h,022h,0F2h,0F2h
db 0F2h,0F2h,0F2h,0F2h,0F2h,020h,020h,020h,00Ch,0F2h,020h,020h,020h,0F2h,0F2h,0F2h
db 00Ch,0FFh,0C0h,00Fh,0C2h,0C2h,0F2h,0F2h,0F0h,0FFh,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,022h,0F2h,02Ch,0F0h,02Fh,020h,00Fh,020h,020h,000h
db 022h,000h,020h,0C0h,0CFh,020h,000h,0CFh,0CFh,0C0h,0C0h,0CFh,0CFh,0CFh,0CFh,0C0h
db 000h,000h,000h,000h,000h,020h,000h,0FFh,0F2h,0F2h,022h,002h,020h,020h,022h,0F0h
db 0F0h,020h,0F0h,020h,0F2h,020h,020h,020h,000h,0F2h,020h,020h,000h,0F2h,0F2h,022h
db 00Fh,0C0h,000h,00Fh,000h,0F2h,022h,022h,020h,0F2h,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,022h,0F0h,0F2h,020h,0F0h,020h,000h,000h,020h,000h
db 020h,000h,000h,020h,0C0h,0CFh,0F0h,0CFh,0C0h,0C0h,0C0h,0CFh,0CFh,0CFh,0C2h,000h
db 020h,000h,000h,000h,000h,000h,00Ch,0FFh,0F2h,022h,02Ch,000h,0F0h,022h,022h,020h
db 020h,020h,020h,0F2h,020h,020h,020h,000h,020h,0C2h,022h,000h,000h,020h,022h,022h
db 02Fh,000h,000h,00Ch,0CFh,0F2h,020h,020h,020h,0F2h,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0F0h,020h,022h,020h,02Ch,020h,0FCh,0C0h,000h,020h,020h
db 0CFh,0F0h,002h,000h,000h,0C0h,0CCh,0CFh,0C0h,0C0h,0CCh,0CFh,0CFh,0CFh,0C0h,020h
db 020h,000h,000h,000h,000h,000h,000h,0CFh,0F2h,020h,020h,002h,0F0h,020h,020h,020h
db 020h,020h,020h,0F0h,020h,020h,000h,020h,020h,000h,022h,02Ch,0F0h,020h,020h,022h
db 022h,000h,020h,02Fh,0C2h,020h,020h,020h,022h,0FFh,0F0h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FCh,02Ch,022h,0C2h,0C0h,020h,020h,020h,000h,020h,020h
db 02Ch,0FFh,000h,000h,020h,000h,0CFh,0C0h,0C0h,0C0h,0CFh,0CFh,0CFh,0CFh,0C0h,020h
db 000h,000h,000h,000h,000h,000h,000h,0C2h,0F2h,020h,020h,000h,0F2h,022h,020h,020h
db 020h,020h,020h,020h,000h,000h,002h,020h,000h,000h,022h,02Ch,0F2h,000h,020h,020h
db 0C2h,022h,002h,02Fh,0C2h,020h,020h,022h,0F2h,0FFh,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,02Ch,02Ch,02Ch,0C2h,000h,000h,000h,000h,000h,020h,000h
db 000h,0CFh,0C0h,000h,000h,02Ch,0CFh,0C0h,0C0h,0C0h,0CFh,0CFh,0CFh,0CFh,000h,020h
db 000h,000h,020h,000h,000h,00Ch,00Ch,0F2h,022h,020h,000h,000h,0F2h,022h,020h,020h
db 020h,020h,020h,020h,020h,000h,020h,000h,000h,000h,022h,022h,000h,000h,020h,020h
db 0FFh,0CFh,020h,00Fh,0C2h,020h,02Ch,0C2h,0FFh,0F0h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,020h,020h,000h
db 020h,002h,000h,0C0h,0C0h,0CFh,0CFh,0C0h,0C0h,0C0h,0CCh,0CFh,0CFh,0CFh,020h,020h
db 000h,000h,0F0h,000h,000h,000h,002h,0F2h,020h,000h,020h,000h,0F2h,022h,000h,020h
db 020h,000h,020h,020h,022h,0F2h,0F2h,0F2h,000h,000h,0C2h,020h,000h,000h,020h,020h
db 02Ch,002h,0F2h,00Fh,0F2h,022h,00Fh,0F2h,0FFh,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h
db 000h,000h,000h,000h,0C0h,0CFh,0CFh,0C0h,0C0h,0CCh,0C0h,0CFh,0CFh,0CFh,000h,020h
db 00Ch,000h,000h,000h,000h,000h,0CCh,0F2h,0F0h,000h,000h,000h,002h,020h,020h,020h
db 000h,000h,020h,000h,0F2h,0F2h,0F2h,0F2h,000h,020h,002h,0F2h,0F0h,020h,020h,02Ch
db 000h,000h,000h,0F0h,0C2h,022h,0CFh,022h,0FFh,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,020h,020h,000h,000h,000h,000h,020h,000h,000h,000h
db 000h,000h,000h,000h,020h,0CFh,0CFh,0CFh,0C0h,0CCh,0C2h,0CFh,0CFh,0CFh,000h,0C0h
db 000h,002h,000h,0C0h,020h,022h,0C2h,002h,0C0h,000h,000h,000h,002h,020h,020h,000h
db 020h,000h,000h,0F2h,020h,020h,0F2h,0F2h,020h,000h,000h,0F2h,022h,020h,020h,0C2h
db 000h,000h,000h,020h,0F2h,0F2h,0F2h,0F2h,0F2h,020h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,000h,002h,000h,022h,000h,000h,020h,002h,020h,000h
db 000h,000h,000h,020h,000h,000h,0CFh,0C2h,00Ch,0CFh,0CFh,0C2h,0C0h,0C0h,002h,00Ch
db 000h,000h,000h,000h,002h,02Fh,022h,022h,000h,020h,020h,000h,002h,020h,020h,000h
db 000h,0FFh,0F2h,020h,020h,020h,020h,022h,0F0h,000h,020h,022h,022h,022h,0F2h,0F0h
db 000h,000h,00Ch,00Ch,0FFh,0F2h,0FFh,0F2h,0F0h,020h,02Fh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,00Ch,000h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 0C0h,000h,000h,000h,000h,000h,000h,02Ch,000h,000h,000h,000h,00Ch,000h,000h,000h
db 000h,000h,000h,002h,000h,000h,000h,002h,000h,000h,000h,000h,000h,002h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,00Fh,020h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch
db 020h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,00Ch,020h,000h,000h
db 000h,000h,000h,020h,000h,000h,0CCh,000h,000h,000h,020h,000h,000h,000h,000h,000h
db 000h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,0F0h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 020h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h
db 000h,000h,002h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0C2h,000h
db 000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 020h,000h,000h,000h,000h,00Ch,0C0h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h
db 000h,000h,020h,000h,000h,00Ch,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 020h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h
db 000h,002h,000h,000h,000h,0F0h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,000h
db 000h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h
db 000h,020h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h
db 000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,000h,0C2h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h
db 002h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0F0h
db 000h,000h,000h,000h,000h,000h,00Ch,020h,000h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,000h,0F0h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h
db 020h,000h,000h,0C2h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0C2h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,002h
db 000h,000h,000h,000h,00Ch,020h,000h,000h,000h,000h,0C0h,000h,0A5h,000h,000h,002h
db 000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,00Fh
db 000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,020h
db 000h,000h,000h,000h,00Fh,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,020h,020h
db 000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,00Ch
db 020h,000h,000h,000h,000h,000h,00Ch,020h,000h,000h,000h,000h,000h,000h,000h,020h
db 000h,000h,000h,000h,0C2h,000h,000h,000h,000h,0CCh,000h,000h,000h,000h,002h,000h
db 000h,00Fh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,000h
db 0F0h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,000h,020h
db 000h,000h,000h,000h,0F0h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,020h,000h
db 000h,0F0h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h
db 0C2h,000h,000h,000h,0C0h,000h,000h,020h,000h,000h,000h,000h,000h,000h,002h,020h
db 000h,000h,000h,00Ch,020h,000h,000h,000h,00Ch,000h,000h,000h,000h,002h,000h,000h
db 002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h
db 00Fh,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,000h,000h,002h,000h
db 000h,000h,000h,0CCh,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,020h,000h,00Ch
db 020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h
db 00Ch,020h,000h,000h,000h,000h,000h,0F0h,000h,000h,000h,000h,000h,000h,002h,000h
db 000h,000h,000h,022h,000h,000h,000h,00Ch,000h,000h,000h,000h,002h,000h,000h,0C2h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,000h,020h,000h,000h,000h
db 00Ch,020h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,002h,000h
db 000h,000h,00Ch,020h,000h,000h,000h,00Ch,000h,000h,000h,000h,020h,000h,00Ch,020h
db 000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,022h,000h,000h,000h
db 000h,0F0h,000h,000h,000h,0C0h,000h,0C0h,0C0h,000h,000h,000h,000h,000h,020h,000h
db 000h,000h,00Fh,000h,000h,000h,000h,0C0h,000h,000h,000h,002h,000h,000h,0F0h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,002h,000h,000h,000h
db 000h,0C2h,000h,000h,000h,000h,000h,0C2h,000h,000h,000h,000h,000h,000h,020h,000h
db 000h,000h,0C2h,000h,00Ch,0C0h,00Ch,000h,000h,000h,000h,020h,000h,00Fh,000h,000h
db 00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,0C0h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,00Ch,020h,000h,000h,020h,020h,000h,000h
db 002h,00Fh,000h,000h,000h,000h,000h,0C2h,000h,000h,000h,000h,000h,000h,020h,000h
db 000h,000h,0F0h,000h,000h,000h,0C0h,000h,000h,000h,002h,000h,000h,0F0h,000h,000h
db 00Ch,0C0h,000h,020h,000h,0C0h,002h,000h,020h,0CFh,000h,0C0h,000h,000h,0C0h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,002h,000h,000h
db 000h,00Ch,020h,000h,000h,000h,000h,022h,000h,000h,000h,000h,000h,000h,020h,000h
db 000h,00Ch,020h,000h,000h,000h,0C0h,002h,000h,000h,020h,000h,0CFh,000h,000h,000h
db 00Ch,020h,000h,000h,000h,000h,0C0h,0C0h,000h,000h,0F0h,020h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,000h,0C0h,000h,002h,000h,00Ch
db 002h,000h,0F0h,020h,000h,020h,000h,002h,000h,000h,000h,000h,000h,002h,000h,000h
db 000h,0CCh,000h,000h,000h,00Ch,000h,000h,000h,002h,002h,00Ch,0F0h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Fh,002h,000h,000h,00Fh,00Ch,000h,0C0h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,0C2h,0C0h,0C0h,00Ch,00Ch,020h,0C2h
db 000h,000h,0F2h,000h,000h,000h,000h,00Fh,000h,000h,000h,000h,000h,002h,000h,000h
db 000h,022h,000h,000h,000h,0C0h,000h,000h,000h,020h,002h,0C2h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,00Ch,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,000h,0C0h,0C0h,002h,020h
db 002h,020h,0CFh,020h,000h,000h,000h,00Fh,000h,000h,000h,000h,000h,002h,000h,000h
db 00Ch,0C0h,0C0h,000h,00Ch,0CCh,000h,000h,002h,000h,002h,020h,000h,000h,000h,000h
db 002h,000h,002h,0C0h,000h,020h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,020h,000h,0C0h,000h,0F0h,020h,000h,0C2h,002h
db 000h,000h,00Fh,020h,000h,00Ch,000h,00Ch,000h,0C0h,00Ch,000h,000h,022h,000h,000h
db 002h,0F0h,000h,00Ch,00Ch,000h,0C0h,000h,020h,000h,0F0h,000h,000h,000h,000h,00Ch
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,000h,000h,0C0h,000h
db 020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,000h,000h,020h
db 000h,000h,00Ch,0F0h,000h,00Ch,000h,00Ch,020h,0C0h,00Ch,020h,0C0h,020h,000h,000h
db 0CCh,00Fh,002h,0C0h,0C0h,000h,000h,022h,000h,00Fh,000h,020h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,000h,000h,000h,0C2h,020h,002h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,002h,000h,000h,002h,002h,00Ch,020h,002h,020h,002h
db 000h,000h,000h,0F2h,000h,000h,0C0h,00Ch,020h,0FFh,0F0h,0FCh,022h,020h,000h,000h
db 0F2h,0F0h,000h,00Ch,000h,000h,000h,020h,00Ch,0C0h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C2h,000h,000h,000h,000h,00Ch,0F0h,002h,00Ch,000h
db 000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,002h,002h,0C2h,00Fh,002h,002h
db 020h,000h,000h,0C2h,000h,000h,0C0h,00Ch,02Ch,0FFh,0FFh,02Fh,0F2h,020h,000h,02Ch
db 0C2h,000h,0C0h,00Ch,000h,002h,002h,000h,0CCh,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,002h,000h,000h
db 022h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,020h,00Ch,02Ch,000h,0C0h
db 020h,000h,00Ch,0CFh,000h,000h,0C0h,000h,0FFh,02Fh,022h,0FFh,0F2h,02Ch,002h,0C2h
db 022h,00Fh,0C0h,0C0h,002h,000h,020h,00Ch,020h,000h,000h,000h,000h,000h,000h,000h
db 0FCh,000h,00Ch,0FCh,0FFh,02Ch,020h,000h,000h,000h,000h,000h,0CCh,000h,00Ch,0C0h
db 0C0h,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,0C0h,000h,000h,000h,0C2h,000h,000h
db 002h,000h,000h,0C2h,020h,000h,0C0h,002h,0F0h,000h,000h,02Fh,0C2h,0CFh,0F0h,0FCh
db 0F0h,0C0h,00Ch,000h,000h,002h,000h,0F2h,000h,000h,000h,000h,000h,000h,0FCh,0CCh
db 0CCh,0CCh,0CCh,0C0h,0CCh,0F0h,000h,000h,000h,000h,000h,000h,000h,000h,0C2h,020h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,022h,000h
db 002h,02Ch,020h,00Ch,0C2h,000h,00Ch,002h,0F0h,000h,000h,00Ch,0F2h,022h,02Ch,002h
db 00Ch,002h,0CCh,020h,000h,020h,002h,020h,000h,000h,000h,000h,000h,0FCh,02Ch,000h
db 0C0h,0C0h,0C0h,0C0h,0C0h,0CCh,000h,000h,000h,000h,000h,000h,000h,0FCh,0CFh,00Ch
db 0FCh,002h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,000h,000h,000h,0F0h,000h
db 000h,020h,000h,000h,022h,002h,00Ch,000h,0FCh,000h,000h,000h,0F2h,02Ch,00Fh,020h
db 00Ch,02Ch,0CFh,0C0h,002h,000h,0F2h,000h,020h,002h,00Ch,0C0h,0FCh,00Ch,000h,0C0h
db 0C0h,000h,0C0h,0C0h,00Ch,0FCh,000h,00Ch,000h,000h,000h,000h,000h,000h,000h,002h
db 00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,002h,000h,002h,00Ch,02Ch,000h,00Fh,000h
db 000h,002h,000h,000h,0FCh,000h,02Ch,002h,0C2h,000h,000h,00Fh,02Fh,002h,0FCh,000h
db 00Fh,0CCh,00Ch,002h,020h,0CFh,000h,000h,000h,020h,0CCh,0CCh,00Ch,00Ch,000h,000h
db 00Ch,00Fh,002h,00Fh,0C0h,0C0h,000h,002h,000h,002h,000h,000h,000h,00Ch,0CCh,0C2h
db 00Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,00Ch,0FFh,000h,000h,0CCh,00Ch,000h,00Ch,0F2h,0FCh
db 000h,002h,020h,000h,00Fh,0F0h,00Ch,0F0h,0C2h,000h,0C0h,0F0h,020h,000h,022h,020h
db 00Ch,0CFh,0CCh,002h,0CCh,0C0h,000h,000h,000h,00Ch,0CCh,0CCh,0CCh,000h,000h,00Ch
db 00Ch,00Ch,00Ch,00Ch,0C0h,0C0h,000h,0C0h,000h,000h,000h,000h,000h,000h,0C0h,0C0h
db 0F0h,00Ch,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,020h,00Fh,00Ch,000h,0C0h,0C0h,000h,0C0h,000h,0CCh
db 020h,00Ch,022h,000h,002h,0F0h,00Ch,0C0h,0C2h,000h,0C0h,0F0h,022h,0FCh,0C0h,000h
db 00Fh,0C0h,000h,020h,0CCh,000h,0C0h,000h,00Ch,0CCh,0FCh,00Ch,0CCh,0F0h,00Ch,0CCh
db 00Ch,00Ch,00Ch,00Ch,000h,00Ch,000h,0F0h,000h,00Ch,000h,000h,000h,000h,000h,002h
db 000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,00Fh,000h,0C0h,0C0h,000h,000h,0C0h,000h,0C0h,00Ch
db 020h,0C0h,022h,00Ch,00Ch,0C2h,000h,0C0h,0C2h,000h,000h,0F0h,02Fh,0FCh,020h,000h
db 00Ch,000h,002h,00Fh,020h,0C0h,000h,000h,0FCh,0FCh,00Ch,0CCh,000h,00Ch,00Ch,0CCh
db 0CCh,0CCh,02Ch,00Ch,02Ch,0C0h,0C0h,000h,0C0h,0C0h,0CCh,0CCh,0C0h,000h,000h,000h
db 000h,002h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CFh,0F2h,0FFh,00Ch,0F2h,000h,00Ch,000h,000h,022h,000h
db 0C2h,002h,000h,02Ch,0FFh,0FFh,0CFh,0C2h,02Fh,00Ch,000h,002h,0FFh,02Fh,000h,000h
db 0C0h,002h,022h,022h,000h,00Ch,000h,0F0h,0C0h,00Ch,0CCh,0C0h,0C0h,00Ch,00Ch,0CCh
db 00Ch,02Ch,0CCh,00Ch,0CCh,000h,0CCh,0C0h,0C0h,000h,00Ch,0FCh,002h,000h,000h,02Ch
db 0C0h,0C0h,000h,020h,0CFh,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0F0h,00Fh,0C0h,0C2h,002h,000h,000h,00Ch,00Ch,000h,002h
db 002h,020h,000h,022h,0FFh,0CCh,020h,0C0h,02Fh,000h,002h,002h,0FFh,00Fh,002h,00Ch
db 0C2h,000h,022h,020h,000h,020h,000h,0CCh,00Ch,00Fh,0CCh,0C0h,0C0h,0CCh,0CCh,00Ch
db 00Ch,02Ch,00Ch,00Ch,00Ch,000h,0CCh,0C0h,0C0h,0C2h,00Ch,0C2h,0CCh,000h,002h,00Ch
db 000h,0C0h,000h,002h,020h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Fh,00Ch,000h,0C0h,02Ch,0FFh,022h,02Ch,0CCh,000h,002h
db 022h,022h,00Ch,0F2h,0FFh,002h,0F2h,0CCh,00Fh,020h,000h,002h,0FFh,0F2h,02Ch,00Ch
db 000h,0C2h,022h,000h,000h,000h,00Ch,00Ch,00Ch,0CCh,0CCh,0C2h,00Ch,00Ch,00Ch,00Ch
db 00Ch,00Ch,02Ch,00Fh,00Fh,00Ch,0CCh,0C0h,0C0h,0C0h,0C0h,0FFh,0F0h,000h,000h,000h
db 000h,002h,000h,000h,002h,00Fh,022h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FCh,002h,0C0h,0FCh,0FFh,020h,022h,022h,00Ch,0CFh,0C2h
db 002h,002h,020h,000h,02Ch,02Ch,0C2h,0CCh,002h,020h,000h,022h,0F2h,020h,000h,0CFh
db 000h,02Ch,000h,020h,000h,000h,0CCh,0CCh,0C0h,0C0h,0CCh,0C0h,00Ch,0C0h,00Ch,00Ch
db 00Ch,00Ch,0CCh,00Ch,00Ch,020h,000h,0C0h,000h,0C0h,0C2h,0CCh,0CCh,0CCh,0C0h,020h
db 000h,000h,000h,0CFh,0C0h,00Fh,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CCh,0C0h,000h,000h,0F0h,022h,00Fh,000h,000h,000h,000h
db 000h,000h,0F0h,000h,022h,0FCh,00Fh,0FCh,00Ch,020h,000h,020h,0FFh,002h,02Ch,000h
db 002h,0FFh,000h,000h,000h,00Ch,02Ch,0C0h,0CCh,0C0h,0C0h,00Ch,0CCh,00Ch,00Ch,00Ch
db 02Ch,00Ch,00Ch,00Ch,002h,000h,000h,000h,000h,000h,000h,00Fh,0CCh,0CCh,0CFh,002h
db 000h,020h,000h,0C2h,020h,000h,002h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,020h,020h,00Fh,0CFh,002h,022h,002h,0FCh,020h,020h
db 020h,000h,0CCh,000h,002h,00Ch,02Ch,0FCh,00Fh,0F0h,00Ch,02Ch,0F2h,000h,02Ch,000h
db 02Fh,0CCh,020h,002h,000h,00Ch,0C0h,000h,000h,0C0h,000h,00Ch,0C0h,0C0h,0CCh,0C0h
db 0CCh,00Ch,00Ch,00Ch,000h,000h,000h,000h,000h,000h,000h,0CCh,0CFh,0CFh,00Ch,000h
db 00Ch,00Ch,000h,0FCh,00Fh,020h,0F0h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,02Ch,022h,002h,002h,0F2h,0FCh,0FFh,0FFh,0FFh,0C0h
db 020h,000h,00Ch,0CCh,00Fh,02Ch,0F2h,0FCh,0CCh,0F2h,000h,02Fh,0C0h,022h,0C0h,022h
db 0FCh,0FCh,0C0h,000h,020h,0CCh,0C0h,000h,0CCh,0C0h,0C0h,00Ch,0CCh,0C0h,0C0h,0C0h
db 0C0h,0C0h,0CCh,00Ch,000h,000h,00Ch,0C0h,000h,000h,000h,00Ch,0CCh,0C0h,0CCh,00Ch
db 000h,0CCh,000h,0FCh,02Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,000h,002h,020h,022h,0F0h,0F2h,0C2h,0F2h,000h
db 0F0h,000h,000h,0CCh,002h,022h,002h,0CCh,0CFh,0C2h,002h,020h,0F2h,00Ch,0C2h,022h
db 0CCh,020h,020h,00Ch,00Ch,0CCh,020h,020h,000h,00Ch,000h,00Ch,0C0h,0C0h,0CCh,000h
db 0C0h,000h,000h,0CCh,00Ch,000h,000h,00Ch,000h,000h,000h,00Ch,0FFh,0CFh,000h,000h
db 000h,0C0h,000h,02Fh,0FCh,02Ch,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0C2h,00Fh,02Ch,022h,002h,00Fh,0FFh,00Ch,000h
db 000h,000h,0C0h,00Ch,0C0h,022h,02Ch,002h,0C2h,0F2h,002h,02Ch,022h,0CCh,0F2h,02Fh
db 02Fh,0C2h,0C2h,0CCh,00Fh,0CCh,0F0h,0C2h,000h,00Fh,000h,0C0h,0C0h,0C0h,0CCh,0C0h
db 0C0h,00Ch,000h,0C0h,00Ch,00Ch,000h,000h,000h,000h,000h,000h,0FCh,0F0h,0CCh,00Ch
db 000h,000h,00Fh,020h,0CCh,000h,002h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,020h,00Fh,00Ch,00Ch,022h,02Fh,002h,000h,000h
db 000h,000h,000h,000h,022h,020h,020h,02Ch,0CCh,0FFh,0C2h,022h,000h,0CFh,02Fh,0C2h
db 0CCh,0FCh,000h,000h,020h,0F0h,022h,000h,000h,00Ch,000h,000h,0CCh,0C0h,0C0h,00Ch
db 0CCh,002h,00Ch,0C0h,00Ch,00Ch,000h,00Ch,000h,0C0h,000h,000h,0FFh,02Ch,000h,000h
db 000h,002h,020h,0F0h,0C0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0F0h,0CCh,0FCh,00Ch,002h,02Ch,022h,020h,000h
db 000h,00Ch,0CCh,02Fh,022h,020h,022h,02Ch,0CCh,02Fh,0C2h,0FFh,02Ch,0C2h,020h,02Ch
db 00Fh,0FCh,022h,00Ch,000h,0F0h,000h,000h,002h,00Ch,00Fh,000h,000h,000h,00Ch,00Ch
db 0C0h,020h,00Ch,000h,00Ch,000h,002h,000h,000h,0C0h,000h,00Ch,0FFh,0C0h,0C0h,000h
db 000h,00Fh,02Ch,0CFh,000h,000h,000h,00Ch,020h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,020h,002h,0C2h,02Ch,000h,02Ch,020h,022h,020h
db 000h,0CFh,0CCh,020h,00Ch,022h,002h,02Fh,0CCh,022h,02Fh,0FFh,0CFh,02Fh,020h,002h
db 000h,0CFh,00Ch,0FFh,0FFh,002h,000h,000h,0FCh,0FCh,00Ch,000h,00Ch,000h,0CCh,000h
db 000h,000h,000h,00Ch,000h,000h,000h,000h,00Ch,0CCh,00Ch,002h,0FFh,000h,000h,000h
db 000h,000h,022h,0CFh,0F0h,000h,000h,0C2h,000h,000h,0CFh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CCh,000h,000h,00Fh,000h,022h,022h,000h,020h,022h,0F0h
db 022h,0FFh,0CFh,0CCh,00Ch,0FCh,020h,022h,0CCh,0CFh,022h,0FFh,0C2h,0F0h,00Ch,000h
db 0CCh,022h,0CCh,0F2h,0FFh,0FFh,0FCh,0F2h,0CCh,0FCh,0FCh,0F0h,000h,0CCh,002h,000h
db 000h,0F0h,0C0h,00Ch,0C0h,00Ch,00Ch,000h,000h,000h,0C0h,002h,0F0h,000h,000h,000h
db 0CCh,020h,000h,000h,0CFh,000h,000h,000h,000h,000h,0CFh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,020h,0C0h,00Fh,0C0h,022h,000h,00Ch,00Fh,00Ch,00Fh
db 0C2h,0F2h,022h,020h,0CCh,00Fh,0C2h,022h,00Ch,0C2h,022h,00Ch,020h,0FFh,0FFh,02Fh
db 0CFh,022h,0CCh,00Fh,0FFh,0FFh,0FFh,0FFh,00Fh,0FCh,0FCh,0FCh,00Fh,000h,000h,000h
db 00Fh,0FCh,020h,0C2h,000h,000h,00Ch,000h,000h,0CCh,000h,000h,0CCh,000h,000h,000h
db 0F0h,000h,000h,000h,0C2h,0F0h,020h,002h,000h,000h,0CFh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,00Ch,020h,000h,0C2h,020h,000h,0F2h,0C0h,00Fh
db 0FFh,0C2h,020h,022h,0CCh,0CCh,0CCh,002h,02Ch,0C2h,02Ch,0C2h,0FFh,0F2h,0FFh,0F2h
db 0FCh,02Fh,0FFh,0CCh,0FFh,0CFh,0FFh,0FFh,020h,0CCh,0FCh,0FCh,0FFh,020h,000h,00Ch
db 0F0h,000h,02Ch,00Ch,000h,0C0h,0CCh,000h,0C0h,00Ch,000h,00Fh,0FCh,000h,000h,00Ch
db 02Fh,020h,000h,002h,002h,0CFh,020h,0C2h,000h,000h,022h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,020h,0CFh,0FFh,0F0h,0F0h,000h,00Ch,000h,000h,0CFh
db 0F2h,002h,000h,0FCh,002h,02Ch,0CCh,0C0h,02Ch,0C2h,0CCh,0CFh,00Ch,0CFh,0CCh,0FFh
db 0FFh,02Fh,000h,0CCh,0CFh,0CFh,0FFh,0CCh,0CFh,000h,000h,0CCh,0FCh,0FCh,0C0h,000h
db 0F0h,000h,0C0h,000h,0C0h,000h,00Ch,000h,0CCh,00Ch,0C0h,00Fh,0C2h,0CCh,000h,000h
db 0C2h,002h,000h,0C2h,002h,02Fh,022h,0C0h,020h,002h,0C2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0FFh,0FFh,00Ch,022h,0CFh,0FFh,0FFh,0F2h,00Fh,0C2h
db 0FCh,020h,020h,0C0h,000h,000h,02Ch,0CFh,02Ch,0C2h,00Ch,000h,0CFh,0FFh,0FFh,0FFh
db 0FCh,0CCh,0C0h,0C0h,00Fh,0F0h,02Ch,0CFh,0FFh,020h,00Fh,000h,0CCh,0FCh,020h,000h
db 0FCh,020h,0FCh,000h,000h,000h,000h,0C0h,00Ch,000h,000h,0C2h,00Fh,0CFh,0C0h,0CCh
db 0C2h,002h,0F0h,002h,000h,000h,002h,000h,02Fh,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0CFh,0F0h,0C0h,022h,002h,0CFh,0FFh,0FFh,0FFh
db 0FFh,000h,002h,000h,0C0h,000h,000h,0C2h,0C2h,0C2h,0C0h,0CFh,02Fh,0FFh,00Ch,0CCh
db 0C2h,0CFh,00Ch,000h,00Ch,0C2h,0CCh,0CCh,0CFh,002h,00Ch,00Ch,0FCh,0FCh,0CCh,00Ch
db 0FCh,00Ch,0F0h,000h,000h,000h,0C0h,000h,00Ch,000h,00Ch,022h,002h,0CFh,0CFh,0C2h
db 022h,022h,02Fh,0C2h,000h,000h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,000h,00Ch,0C0h,020h,022h,0FCh,0FFh,0CCh,00Fh,00Ch
db 00Ch,0FFh,02Ch,0FFh,0FFh,000h,000h,020h,0CCh,0CCh,0C0h,0CFh,0CCh,0CCh,0CFh,0FFh
db 0FCh,0C2h,000h,000h,002h,0CCh,0C0h,0CCh,0CFh,00Ch,00Ch,0CCh,0FCh,0FCh,00Ch,00Ch
db 0FCh,00Ch,020h,000h,00Ch,000h,0C0h,000h,00Ch,0C0h,00Fh,022h,002h,0FFh,00Fh,0CFh
db 000h,000h,000h,002h,0A0h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0CCh,002h,0F0h,0FFh,022h,022h,002h,02Ch,0CFh
db 00Ch,000h,000h,000h,0FFh,0F0h,00Fh,0CCh,0CFh,0CCh,0CCh,0CCh,0C0h,02Fh,020h,0FFh
db 0FCh,0F0h,0F2h,000h,0C0h,020h,000h,0FCh,0F2h,0CCh,00Ch,0FCh,0FCh,02Ch,00Ch,00Ch
db 0FCh,0FCh,020h,00Ch,0C0h,0C0h,000h,00Ch,0C0h,00Ch,000h,0FFh,0C2h,0FFh,022h,0C2h
db 002h,00Ch,000h,00Ch,02Fh,02Fh,02Fh,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CCh,020h,0CCh,0CCh,002h,0FFh,0FFh,0C2h,00Ch,00Ch,002h
db 000h,000h,000h,000h,000h,0CCh,0CCh,0CFh,0CCh,0CCh,0C2h,0CFh,0F2h,000h,0CFh,0CFh
db 0CFh,0F2h,022h,000h,00Ch,000h,00Ch,0CCh,0F0h,0FCh,0CCh,0FCh,0FCh,0FCh,00Ch,00Ch
db 0CCh,0F0h,000h,00Ch,000h,00Ch,0C0h,0CCh,0FCh,000h,000h,02Fh,0CFh,002h,002h,002h
db 0FFh,000h,0CFh,02Fh,020h,000h,02Fh,020h,002h,002h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,02Ch,00Ch,002h,0C0h,022h,000h,00Ch,000h,0C0h
db 000h,020h,00Ch,0CCh,0CCh,000h,000h,0CCh,0CFh,0CCh,0C2h,022h,00Ch,0CFh,0F2h,0F0h
db 00Ch,022h,0FCh,020h,000h,000h,020h,0C0h,00Ch,0FCh,0CCh,0FCh,0FCh,0FCh,00Ch,00Ch
db 00Ch,0FCh,02Ch,00Ch,00Ch,0CCh,0CCh,00Ch,0FCh,000h,000h,000h,00Fh,0CFh,0F0h,000h
db 0C2h,0F2h,000h,000h,000h,000h,00Fh,022h,002h,002h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,0C2h,0CFh,000h,02Ch,000h,0C0h,00Ch,000h,000h,000h
db 0CCh,0CCh,000h,000h,000h,000h,0CCh,0CFh,0FCh,0CCh,0CCh,022h,0C0h,000h,0CCh,02Fh
db 0FFh,02Fh,0F0h,0C0h,00Ch,00Ch,020h,00Ch,000h,0F0h,00Ch,0FCh,0FCh,0FCh,02Ch,00Ch
db 00Ch,0CCh,0FCh,00Ch,0CCh,00Ch,00Ch,000h,00Ch,000h,000h,000h,000h,000h,000h,0FFh
db 0F0h,000h,000h,000h,000h,000h,00Ch,0F2h,002h,022h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,020h,00Ch,020h,0C0h,000h,000h,00Ch,000h,000h,020h
db 000h,000h,000h,002h,000h,0CCh,0FFh,0C2h,0FCh,0FCh,0CCh,022h,0FCh,0F2h,0F0h,0FCh
db 02Fh,0FFh,0FFh,0FFh,00Fh,000h,0C0h,000h,000h,0CFh,02Ch,0FCh,0FCh,000h,00Ch,0C0h
db 00Ch,02Ch,020h,00Ch,0CCh,02Ch,0FCh,02Ch,00Ch,00Ch,000h,000h,000h,000h,002h,020h
db 000h,000h,000h,02Ch,02Fh,0FFh,020h,002h,002h,002h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CCh,0C2h,002h,000h,000h,000h,002h,0C0h,000h,000h,000h
db 000h,000h,00Ch,0F0h,00Ch,02Ch,02Ch,020h,0CCh,0F2h,0CFh,0C2h,020h,0FCh,0F0h,00Ch
db 000h,0CFh,0FFh,0FCh,0FFh,0F0h,000h,000h,00Ch,00Ch,0C2h,00Fh,0FCh,0FCh,00Ch,0FCh
db 00Ch,02Ch,02Ch,00Ch,00Ch,0FCh,0FCh,0CCh,000h,00Ch,000h,002h,000h,000h,00Fh,022h
db 000h,00Ch,02Fh,02Fh,000h,000h,002h,002h,002h,002h,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,0F0h,020h,002h,000h,000h,00Ch,020h,000h,020h,000h
db 002h,000h,000h,00Ch,020h,0F2h,020h,0CFh,0CFh,0F2h,0CCh,022h,022h,00Ch,02Ch,000h
db 002h,02Fh,0FCh,0F2h,00Fh,00Fh,0FFh,000h,000h,0C0h,00Ch,000h,0FFh,0FCh,0FCh,0FCh
db 00Ch,0FCh,020h,00Ch,00Ch,0FCh,0FCh,0FCh,0FCh,000h,000h,002h,000h,000h,00Ch,02Fh
db 00Fh,02Fh,020h,000h,000h,000h,002h,002h,020h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,002h,0C2h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,0FCh,00Ch,0C2h,02Ch,022h,002h,00Ch,0C0h,002h,0CCh,0F0h,002h,000h,00Ch,02Fh
db 0CFh,000h,0F2h,0F2h,020h,0F2h,0C2h,000h,0FFh,000h,00Ch,0FFh,00Ch,0FCh,0FFh,02Ch
db 0FCh,0FCh,020h,00Ch,0CCh,0FCh,0FCh,0FCh,0FCh,0F0h,022h,000h,000h,002h,00Fh,02Fh
db 02Fh,022h,000h,000h,020h,002h,002h,022h,000h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,000h,000h,00Fh,000h,000h,000h,000h,000h,000h,002h
db 000h,0FCh,0C0h,000h,0C0h,020h,000h,00Ch,002h,0FFh,0CCh,022h,002h,020h,000h,00Fh
db 0CFh,00Fh,000h,00Ch,0FFh,00Ch,0CFh,002h,020h,000h,0FFh,0FFh,000h,0CFh,0FCh,0FCh
db 0FCh,0FCh,020h,00Ch,00Ch,0FCh,0FCh,0FCh,0FCh,0FFh,02Fh,000h,000h,002h,00Ch,0FFh
db 0FFh,000h,000h,00Ch,020h,002h,002h,002h,002h,002h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,00Ch,000h,000h,020h,000h,000h,00Ch,000h,002h,002h
db 0CCh,0CCh,0CCh,0CCh,002h,000h,000h,00Ch,0CCh,0CFh,0CCh,0CCh,000h,022h,002h,0C0h
db 00Fh,0C0h,022h,00Fh,0FFh,02Ch,000h,0F0h,002h,000h,00Ch,0CFh,0F2h,00Ch,0FCh,0FCh
db 0FCh,0F0h,000h,00Ch,00Ch,0FCh,0FCh,0FCh,0FFh,00Fh,022h,000h,000h,000h,000h,000h
db 000h,000h,000h,00Ch,02Ch,002h,002h,002h,002h,002h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,0C2h,00Ch,0FFh,0FCh
db 0CFh,0CCh,020h,02Fh,0CCh,0C0h,02Ch,0C2h,00Ch,0C2h,0FCh,022h,020h,0F2h,020h,000h
db 00Ch,002h,020h,0FFh,0FFh,0FCh,02Fh,0C2h,00Ch,000h,00Ch,0CFh,0FFh,000h,0FCh,0FCh
db 0FFh,000h,00Ch,000h,00Ch,0CCh,0FCh,0FCh,02Fh,020h,002h,002h,020h,000h,000h,000h
db 02Fh,000h,000h,00Fh,020h,002h,000h,002h,000h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,0C0h,00Fh,0F2h,0CFh
db 0CFh,0F2h,0FFh,0FCh,000h,00Ch,000h,0C0h,000h,0C2h,0FCh,0CCh,0CCh,002h,02Ch,000h
db 000h,000h,0CFh,020h,002h,0CCh,0CFh,02Fh,022h,0FCh,00Ch,0FFh,0FFh,020h,0FFh,0FCh
db 0F0h,0CFh,00Ch,00Ch,00Ch,0CCh,0FCh,0F2h,0C2h,000h,000h,00Fh,000h,002h,002h,002h
db 00Fh,000h,00Fh,02Fh,022h,002h,002h,020h,020h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,020h,000h,00Ch,020h,000h,000h,0CFh,0FCh
db 02Ch,002h,02Fh,0FFh,0FCh,0C2h,0CCh,0CCh,0C0h,0C2h,000h,0CCh,0C2h,000h,022h,000h
db 002h,00Ch,02Ch,0FFh,02Ch,0C0h,0C0h,0CCh,0CCh,0FFh,0FFh,0FFh,0FFh,0FFh,000h,000h
db 00Fh,0FFh,0C0h,0CCh,000h,00Ch,0FCh,020h,020h,0C2h,0C0h,00Ch,020h,002h,002h,002h
db 02Fh,02Ch,0F2h,00Fh,000h,002h,002h,002h,000h,020h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C0h,000h,000h,000h,000h,000h,000h,000h,0CCh,0CFh,0FFh
db 0FCh,0FFh,0F2h,022h,02Fh,0FFh,0FCh,0CCh,0FFh,0F0h,0C0h,0C2h,00Fh,020h,0C2h,000h
db 000h,000h,02Ch,0CFh,0FFh,0F2h,000h,0FFh,0FCh,0CFh,0FFh,0F2h,0FFh,0FFh,0FFh,0FFh
db 0FFh,0FFh,002h,020h,00Ch,00Ch,0FFh,00Fh,000h,0C0h,0CFh,00Fh,020h,000h,000h,002h
db 00Fh,0F2h,000h,00Fh,000h,002h,002h,00Fh,000h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,00Fh,020h,000h,0CCh,0CFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0CFh,0FCh,0FFh,0FCh,020h,0C2h,00Ch,0C0h,000h,020h
db 020h,000h,000h,000h,0FFh,0FFh,0C0h,0CFh,0FCh,0CFh,00Fh,0F2h,002h,0CFh,0FFh,0FFh
db 0FFh,0F0h,000h,00Ch,000h,000h,0F2h,022h,00Fh,00Ch,020h,002h,000h,000h,002h,002h
db 00Ch,022h,000h,00Fh,000h,002h,002h,02Fh,002h,002h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,002h,000h,000h,00Fh,00Ch,0CCh,02Fh,0FFh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0CFh,0FFh,0FFh,0FCh,0CCh,0CCh,0FFh,0F2h,022h
db 000h,000h,00Ch,000h,0FFh,0FFh,0F2h,0FFh,0F2h,00Fh,022h,00Fh,0F2h,00Fh,0FFh,0FFh
db 0F0h,000h,0C0h,00Fh,00Fh,0F0h,002h,020h,00Ch,0F0h,0C0h,0C2h,002h,002h,002h,002h
db 00Ch,020h,000h,00Fh,000h,002h,02Fh,00Fh,002h,002h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,00Ch,0CCh,0F0h,0C0h,0FFh,0FFh,0CFh
db 0FFh,0FFh,0FFh,0FFh,0F2h,0FFh,0FFh,0FCh,0FFh,0FFh,0C0h,0CCh,0FCh,0CCh,02Ch,022h
db 000h,000h,000h,00Fh,0FFh,0FFh,0FFh,002h,0C2h,022h,002h,002h,00Fh,002h,0FFh,0C2h
db 000h,000h,002h,00Fh,0F0h,002h,000h,022h,000h,000h,0F0h,0C0h,002h,002h,002h,002h
db 00Ch,020h,000h,00Fh,000h,00Fh,02Fh,022h,000h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,000h,000h,000h,00Ch,000h,0F0h,0C0h,0FCh,02Fh,0FFh
db 0FFh,0FFh,0FFh,0FFh,02Ch,0F2h,0CFh,0FFh,0FFh,0FFh,0FFh,00Ch,0FFh,0FFh,0F2h,02Fh
db 020h,000h,0F0h,02Fh,0FFh,0FFh,022h,02Fh,0F2h,002h,002h,002h,002h,0CFh,0FFh,000h
db 0C0h,002h,00Fh,0CCh,020h,002h,000h,00Fh,020h,000h,000h,0C2h,000h,022h,002h,002h
db 02Fh,020h,000h,00Fh,002h,00Fh,02Fh,022h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Ch,020h,000h,00Ch,00Ch,0F0h,020h,0FFh,0FCh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,02Ch,0FCh,0FCh,0FFh,0FFh,0CFh,0FFh,0FCh,0FFh,0FFh,0FFh,020h
db 022h,000h,000h,000h,0CCh,022h,0CFh,0CFh,022h,0F2h,0C2h,022h,000h,0FFh,000h,00Fh
db 000h,022h,00Ch,022h,0F0h,000h,000h,000h,0FFh,020h,000h,0F2h,000h,002h,022h,002h
db 02Fh,020h,000h,00Fh,00Fh,02Fh,02Fh,022h,000h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,00Ch,02Ch,000h,000h,020h,02Fh,02Fh,02Fh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0F0h,0FCh,0F2h,0CFh,0FFh,0FFh,0CFh,0CFh,0FFh,0F2h,0C2h,0FFh
db 002h,000h,000h,000h,00Ch,022h,0C2h,002h,002h,020h,002h,000h,000h,000h,02Ch,020h
db 002h,002h,000h,020h,0C0h,020h,002h,002h,00Ch,022h,000h,0F2h,00Fh,022h,022h,002h
db 02Fh,000h,020h,00Fh,00Fh,02Fh,02Fh,022h,000h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FCh,02Ch,0C0h,000h,0FFh,0FFh,0FFh,02Fh,02Fh,0FFh,0FFh
db 0FFh,0FFh,0FFh,0FFh,0F0h,0CFh,0F0h,02Fh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,02Fh,0CFh
db 0C0h,02Ch,000h,000h,002h,00Fh,020h,0F0h,000h,000h,000h,002h,000h,022h,000h,00Fh
db 020h,002h,002h,0C2h,000h,020h,002h,022h,000h,00Fh,02Ch,0F0h,002h,022h,002h,002h
db 00Fh,000h,000h,00Fh,0CFh,02Fh,02Fh,022h,000h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CCh,0CFh,020h,000h,00Fh,0FFh,0FFh,0FFh,0FFh,0FFh,0F2h
db 002h,020h,000h,0FFh,0FFh,020h,0FCh,000h,0FFh,0FFh,0FFh,0F0h,000h,0FFh,0FFh,0FFh
db 00Fh,0F2h,000h,000h,020h,0CFh,020h,000h,0C0h,000h,000h,000h,0C2h,000h,00Fh,022h
db 002h,000h,000h,00Fh,000h,020h,002h,002h,002h,0C0h,00Fh,0F0h,002h,02Fh,002h,002h
db 00Fh,000h,002h,00Fh,0CFh,02Fh,022h,022h,002h,002h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CCh,0F2h,0C0h,000h,00Ch,0CFh,0FFh,0FFh,0FFh,0F2h,002h
db 002h,00Ch,0F2h,00Fh,0FFh,0F2h,0CCh,020h,0CFh,0FFh,00Fh,02Ch,0F0h,00Fh,0FFh,0FFh
db 0CFh,022h,020h,020h,000h,0CFh,020h,000h,000h,000h,000h,0FFh,020h,0F2h,020h,000h
db 002h,002h,002h,000h,0F0h,020h,002h,000h,002h,022h,02Fh,0F0h,002h,02Fh,002h,002h
db 022h,000h,000h,00Fh,0CFh,02Fh,022h,022h,002h,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,0FCh,000h,0CFh,0FFh,0FFh,0FFh,0FFh,0F2h,000h
db 000h,00Ch,0FCh,0F0h,0CFh,0FFh,00Ch,000h,00Fh,022h,00Fh,0CCh,0FCh,00Ch,0FFh,0FFh
db 0FFh,0C0h,022h,022h,020h,0CCh,0C0h,000h,000h,000h,00Fh,02Fh,0FFh,000h,000h,002h
db 022h,002h,002h,002h,0CFh,020h,002h,0CFh,02Ch,0FFh,0C2h,0C0h,002h,02Fh,002h,002h
db 022h,000h,000h,00Fh,0CFh,02Fh,022h,022h,002h,002h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0C0h,000h,020h,00Fh,0FFh,0FFh,0FFh,00Fh,002h,000h
db 000h,000h,0CCh,0FCh,020h,002h,022h,00Ch,000h,0F2h,0C2h,0FCh,0FCh,020h,0FFh,0FFh
db 0FFh,00Fh,022h,000h,000h,0C2h,0C0h,002h,000h,000h,002h,022h,020h,002h,022h,00Fh
db 022h,002h,002h,002h,00Fh,020h,002h,000h,00Ch,0FFh,0FFh,000h,00Fh,022h,022h,022h
db 02Fh,000h,000h,00Fh,00Fh,02Fh,022h,000h,002h,002h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,0FCh,0FFh,0FFh,0FFh,0FFh,002h,002h,000h
db 000h,000h,00Fh,0FCh,0F0h,002h,002h,00Ch,00Ch,00Fh,002h,020h,0FCh,020h,0FFh,0F2h
db 0FFh,0F2h,0C2h,02Fh,000h,00Ch,002h,002h,000h,002h,000h,000h,002h,02Fh,0FFh,022h
db 022h,002h,022h,002h,000h,020h,00Fh,022h,00Ch,02Fh,02Fh,0FCh,00Fh,02Fh,022h,002h
db 00Fh,000h,000h,00Fh,00Fh,02Fh,020h,002h,000h,002h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,022h,0CCh,0CFh,0FFh,0F2h,00Fh,0CFh,02Fh,00Fh,002h
db 002h,002h,0C2h,00Ch,020h,0C0h,000h,00Ch,00Ch,000h,002h,002h,002h,000h,0F2h,0F2h
db 0CFh,0FFh,0CFh,02Ch,0F2h,00Ch,020h,000h,000h,002h,0C0h,000h,02Fh,02Fh,02Fh,0F2h
db 022h,02Fh,022h,002h,002h,000h,00Ch,02Fh,02Fh,02Fh,022h,02Fh,02Fh,02Fh,022h,002h
db 02Fh,000h,000h,00Fh,00Fh,02Fh,000h,020h,002h,022h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,00Ch,00Ch,0FFh,0FFh,0F2h,002h,0FFh,0F2h,002h,000h
db 002h,000h,000h,000h,00Ch,00Ch,002h,000h,0FCh,002h,002h,002h,00Ch,000h,0C2h,002h
db 002h,0FCh,0FCh,0C2h,0CFh,020h,020h,000h,000h,000h,0FFh,0CFh,02Fh,02Fh,02Fh,022h
db 022h,02Fh,022h,002h,002h,002h,002h,0CFh,02Fh,022h,02Fh,022h,02Fh,02Fh,022h,002h
db 00Fh,000h,000h,00Fh,00Fh,022h,002h,020h,020h,002h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0F2h,0FFh,0FFh,002h,002h
db 000h,020h,000h,000h,00Ch,00Ch,022h,000h,00Ch,020h,000h,000h,00Ch,00Ch,0C2h,022h
db 0CFh,0CCh,0CCh,0FCh,02Ch,000h,000h,00Ch,0FFh,000h,00Fh,0FFh,02Fh,02Fh,02Fh,02Fh
db 02Fh,02Fh,022h,002h,002h,002h,000h,00Fh,02Fh,0F2h,002h,002h,02Fh,02Fh,022h,022h
db 00Ch,000h,000h,00Fh,00Fh,022h,022h,000h,02Fh,0F2h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0CFh,0FFh,022h,002h
db 00Ch,0FFh,000h,000h,002h,00Ch,0FCh,0F0h,00Ch,00Ch,020h,000h,00Ch,0CCh,00Fh,00Fh
db 00Ch,020h,000h,000h,02Fh,0C0h,020h,00Ch,0CFh,022h,00Ch,0FFh,022h,022h,02Fh,02Fh
db 02Fh,02Fh,022h,00Fh,002h,002h,022h,000h,0FFh,0F2h,002h,002h,02Fh,02Fh,022h,022h
db 00Ch,000h,000h,00Fh,00Fh,00Fh,022h,0CFh,02Fh,02Fh,022h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CFh,0FFh,0FFh,0FFh,0FFh,0FFh,0F2h,022h,022h,000h,0C2h
db 00Ch,0FCh,0F0h,000h,000h,00Ch,0FCh,00Ch,00Ch,00Ch,0FCh,000h,00Ch,0FCh,02Ch,002h
db 000h,00Ch,000h,0CCh,002h,000h,000h,002h,02Fh,02Fh,000h,0FFh,022h,022h,02Fh,02Fh
db 02Fh,02Fh,022h,00Fh,022h,002h,002h,002h,00Fh,0F2h,002h,002h,002h,02Fh,022h,002h
db 00Ch,000h,020h,00Fh,0CFh,000h,00Fh,02Fh,02Fh,02Fh,0F0h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,0FFh,0FFh,0FFh,0FFh,0F2h,0FFh,0C2h,0F2h,000h,002h
db 002h,00Ch,0FFh,0F0h,000h,002h,00Ch,00Ch,0CCh,0FCh,0FCh,020h,000h,0FCh,0F0h,02Fh
db 000h,000h,000h,000h,020h,020h,000h,0CFh,02Fh,02Fh,0F0h,02Fh,02Fh,022h,02Fh,02Fh
db 02Fh,02Fh,02Fh,00Fh,02Fh,002h,002h,002h,00Fh,022h,000h,002h,002h,02Fh,02Fh,02Fh
db 00Ch,0F2h,0FCh,0FFh,000h,00Fh,0FFh,02Fh,02Fh,02Fh,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,022h,0FFh,0FFh,0F2h,022h,0CFh,00Fh,0F2h,000h,000h
db 002h,002h,00Ch,00Ch,0F2h,000h,00Ch,00Ch,0FCh,0FCh,00Ch,00Ch,0FFh,02Ch,0FCh,002h
db 000h,002h,000h,00Ch,00Ch,000h,000h,0FFh,0FFh,02Fh,0F2h,0FFh,00Fh,022h,02Fh,02Fh
db 022h,022h,00Fh,02Fh,00Fh,022h,000h,002h,00Ch,02Fh,020h,000h,002h,02Fh,02Fh,02Fh
db 00Fh,0C0h,000h,00Fh,0C2h,02Fh,022h,022h,022h,02Fh,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,002h,0C2h,0F2h,02Fh,00Fh,00Fh,000h,022h,000h,000h
db 00Fh,000h,002h,0CCh,00Ch,0F2h,000h,0CCh,0FCh,00Ch,00Ch,0CCh,0FCh,0FCh,0FCh,002h
db 000h,000h,000h,000h,000h,000h,000h,0FFh,0FFh,02Fh,022h,00Ch,02Fh,002h,00Fh,022h
db 022h,002h,002h,020h,00Fh,022h,002h,002h,000h,02Fh,022h,002h,002h,002h,02Fh,02Fh
db 00Fh,020h,000h,00Fh,0CFh,022h,022h,022h,002h,02Fh,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0FFh,002h,022h,0F2h,002h,022h,02Fh,002h,000h,002h,022h
db 000h,000h,002h,002h,00Ch,00Ch,00Ch,0FCh,02Ch,00Ch,00Ch,0FCh,0FCh,0FCh,0F2h,022h
db 000h,002h,000h,002h,000h,000h,00Ch,00Fh,0FFh,022h,002h,000h,022h,002h,022h,002h
db 022h,00Fh,002h,002h,002h,002h,002h,000h,000h,002h,022h,000h,0C0h,002h,022h,002h
db 00Fh,000h,020h,00Ch,0CFh,022h,002h,002h,002h,02Fh,0F2h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0C2h,022h,022h,000h,000h,000h,002h,0C0h,000h,002h,000h
db 0CFh,0FFh,000h,000h,000h,00Ch,00Ch,02Ch,00Ch,00Ch,0CCh,0FCh,0FCh,0FCh,0F0h,022h
db 000h,002h,000h,000h,000h,000h,000h,00Fh,022h,022h,002h,002h,022h,002h,002h,002h
db 000h,000h,002h,002h,002h,000h,002h,002h,002h,00Ch,022h,02Ch,0F2h,000h,002h,002h
db 0C2h,000h,022h,02Fh,0CFh,022h,002h,002h,00Fh,02Fh,020h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Fh,00Fh,002h,000h,000h,000h,002h,002h,000h,002h,000h
db 00Ch,0FCh,020h,002h,000h,00Ch,0FCh,0FCh,00Ch,00Ch,00Ch,0FCh,0FCh,0FCh,0F0h,000h
db 002h,000h,000h,000h,000h,002h,000h,02Fh,022h,002h,002h,000h,00Fh,022h,002h,002h
db 002h,002h,020h,000h,002h,000h,002h,002h,000h,000h,022h,02Ch,0F2h,002h,002h,002h
db 0F2h,022h,002h,02Fh,0C2h,002h,000h,020h,00Fh,0F2h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,00Fh,022h,022h,002h,0C0h,002h,000h,000h,000h,000h,000h
db 000h,00Ch,00Ch,00Ch,000h,00Ch,0FCh,0FCh,00Ch,00Ch,00Ch,0FCh,0FCh,0FCh,02Fh,000h
db 000h,000h,002h,000h,000h,000h,000h,02Fh,022h,002h,002h,000h,00Fh,022h,000h,002h
db 002h,002h,002h,000h,000h,002h,00Fh,000h,000h,000h,022h,020h,000h,000h,002h,002h
db 022h,022h,0F2h,00Fh,0F2h,022h,00Fh,0F2h,02Fh,020h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,002h,000h,002h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,00Ch,00Ch,0CCh,0FCh,0FCh,00Ch,00Ch,00Ch,0FCh,0FCh,0FCh,020h,002h
db 000h,002h,002h,000h,000h,000h,0C0h,02Fh,022h,002h,000h,000h,00Fh,022h,022h,002h
db 002h,002h,002h,00Ch,02Fh,02Fh,02Fh,0F2h,000h,000h,002h,02Fh,022h,002h,002h,00Ch
db 020h,000h,00Fh,002h,0C2h,022h,0FFh,02Ch,02Fh,000h,002h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,020h,002h,000h,002h,000h,002h,000h,000h,000h,000h
db 000h,000h,000h,002h,00Ch,0FCh,0FCh,0FCh,0CCh,00Ch,02Ch,0FCh,0FCh,0FFh,000h,002h
db 000h,000h,000h,002h,00Fh,000h,000h,02Fh,022h,002h,002h,000h,00Fh,022h,000h,002h
db 002h,002h,020h,00Fh,02Fh,02Fh,02Fh,02Fh,022h,000h,00Ch,022h,022h,002h,002h,00Fh
db 000h,000h,000h,0F0h,0F2h,022h,022h,022h,022h,020h,00Fh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,0CCh,000h,002h,002h,000h,000h,002h,000h,000h,002h,000h
db 000h,000h,000h,000h,000h,0CCh,0FCh,0FCh,00Fh,0FCh,0FCh,0CCh,0FCh,02Ch,002h,002h
db 000h,000h,020h,000h,000h,022h,0C2h,020h,002h,000h,000h,000h,002h,000h,000h,002h
db 002h,002h,0CFh,0F2h,002h,002h,002h,02Fh,020h,002h,00Ch,022h,022h,00Fh,022h,0F2h
db 000h,000h,00Ch,02Ch,0FFh,0FFh,0FFh,02Fh,02Fh,000h,00Fh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,020h,0F0h,000h,000h,000h,000h,000h,002h,000h,000h,000h
db 002h,000h,002h,000h,000h,000h,00Ch,0FCh,00Fh,0FCh,0FCh,0FCh,0FCh,0F0h,0C2h,000h
db 000h,000h,000h,000h,022h,022h,022h,022h,020h,002h,002h,002h,000h,002h,000h,002h
db 00Fh,02Fh,02Fh,002h,00Fh,002h,002h,00Fh,02Fh,000h,000h,00Fh,02Fh,02Fh,02Ch,000h
db 000h,000h,002h,000h,000h,00Fh,02Fh,020h,002h,002h,02Fh,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h


bcwLogoSeg ends

 
soundBlasterSeg segment 

Heil db 07Bh,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,07Ah,07Bh,07Ah,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Eh,0B8h,0C2h,0C0h,0C0h,0BFh,0BEh,0BFh,0BCh,0BEh,0BAh,0BEh,083h,071h,077h
db 074h,076h,075h,075h,076h,075h,078h,072h,08Fh,0C2h,0B6h,0BEh,0B7h,0BDh,0B5h,0BEh
db 08Bh,06Dh,074h,071h,073h,072h,073h,072h,072h,073h,073h,073h,073h,074h,074h,0ABh
db 0BCh,0B7h,0B9h,0B6h,0B7h,0B6h,0B6h,0B5h,0B5h,0B4h,0B4h,0B3h,0B3h,0B2h,0B2h,0B1h
db 0B1h,0B0h,0B1h,0AEh,0B0h,0ACh,0B2h,09Dh,066h,069h,067h,068h,067h,069h,068h,069h
db 069h,06Ah,069h,06Ah,069h,06Ah,06Ah,06Bh,06Ah,06Bh,06Ah,06Bh,06Ch,06Bh,06Ch,06Bh
db 06Ch,06Ch,06Dh,06Ch,06Dh,06Ch,06Dh,06Dh,06Dh,06Dh,06Eh,06Ch,073h,0ACh,0B5h,0B1h
db 0B3h,0B1h,0B2h,0AFh,0B2h,0AEh,0B1h,0ACh,0B3h,07Fh,064h,06Ah,067h,069h,069h,069h
db 069h,068h,06Bh,066h,07Eh,0B6h,0A1h,06Bh,068h,06Ah,06Ah,06Ah,06Ah,06Ah,06Bh,06Ah
db 06Ch,069h,09Ch,0B6h,0ADh,0B2h,0ADh,0B0h,0ACh,0B0h,0ABh,0B1h,07Ch,062h,069h,065h
db 069h,065h,069h,065h,06Bh,063h,085h,0B4h,0AAh,0B0h,0A9h,0AFh,0A8h,0B1h,07Eh,060h
db 067h,064h,066h,065h,066h,066h,067h,066h,067h,066h,067h,067h,068h,067h,068h,068h
db 069h,068h,069h,069h,06Ah,069h,06Ah,06Ah,06Ah,06Ah,06Ah,06Ah,06Bh,06Ah,06Eh,0A7h
db 0B3h,0AFh,0B1h,0AEh,0B0h,0ADh,0B0h,0A6h,06Dh,066h,069h,066h,069h,066h,06Ah,067h
db 06Bh,066h,06Ch,063h,08Bh,0B4h,0ACh,0B0h,0ADh,0AEh,0ADh,0ACh,0ADh,0AAh,0AFh,093h
db 05Fh,068h,062h,067h,063h,068h,063h,068h,064h,069h,064h,06Ah,062h,098h,0B0h,0ACh
db 0ABh,0AEh,09Eh,064h,066h,064h,066h,065h,066h,065h,067h,066h,067h,066h,067h,067h
db 068h,067h,068h,068h,069h,068h,069h,069h,06Ah,06Ah,069h,06Ah,069h,072h,0ADh,0AEh
db 076h,065h,06Ch,068h,06Dh,068h,06Dh,068h,06Fh,065h,095h,0B6h,0AEh,0B1h,0AFh,0AFh
db 0AEh,0AEh,0AEh,0ADh,0ADh,0ABh,0AFh,09Bh,063h,067h,064h,067h,064h,067h,066h,067h
db 066h,067h,067h,068h,067h,068h,067h,069h,068h,069h,068h,06Ah,069h,06Ah,069h,06Ah
db 06Ah,06Bh,06Ah,06Bh,06Ah,06Bh,06Bh,06Ch,06Bh,06Ch,06Bh,06Dh,06Bh,06Eh,069h,09Dh
db 0B7h,0AFh,0B4h,0AFh,0B2h,0AEh,0B1h,0AEh,0B0h,0ADh,0AFh,0ABh,0B0h,09Ch,065h,067h
db 066h,067h,066h,068h,067h,067h,067h,068h,067h,09Dh,0B3h,0A9h,0B3h,08Fh,062h,069h
db 067h,0A0h,0B2h,07Dh,061h,06Ah,064h,06Ah,064h,06Ah,064h,06Ch,061h,087h,0B1h,0AEh
db 0A2h,065h,06Ah,064h,06Bh,062h,080h,0B3h,0AAh,0B0h,0A9h,0AFh,0A8h,0B1h,080h,060h
db 067h,064h,066h,065h,065h,067h,066h,068h,063h,077h,0AEh,0ABh,0ACh,0ACh,0AAh,0AFh
db 085h,05Dh,069h,061h,068h,062h,068h,062h,06Ah,05Fh,07Ch,0AEh,0ABh,0ABh,0ACh,0AAh
db 0ACh,0A7h,0AEh,08Fh,05Eh,066h,061h,065h,062h,065h,063h,066h,063h,066h,063h,067h
db 062h,096h,0B0h,0A8h,0ACh,0A9h,0ABh,0A8h,0ABh,0A6h,0ADh,079h,05Dh,065h,060h,064h
db 061h,063h,062h,064h,063h,065h,063h,065h,064h,065h,064h,066h,064h,067h,065h,067h
db 063h,070h,0A9h,0ADh,0ABh,0ACh,0AAh,0ACh,0A8h,0ADh,09Bh,064h,064h,063h,064h,064h
db 064h,065h,063h,06Bh,0A5h,0ACh,0AAh,0AAh,0A9h,0AAh,0A8h,0A9h,0A8h,0A3h,067h,061h
db 061h,063h,061h,063h,061h,065h,060h,067h,05Dh,08Ch,0AEh,0A7h,0AAh,0A8h,0A7h,0A9h
db 0A5h,0ABh,078h,05Bh,063h,060h,062h,061h,061h,063h,061h,065h,05Eh,079h,0ADh,0A6h
db 0AAh,0A7h,0A8h,0A7h,0A6h,0A7h,0A5h,0A8h,099h,05Fh,060h,05Eh,060h,060h,060h,061h
db 060h,062h,05Fh,064h,05Ch,08Bh,0ADh,0A4h,0A9h,0A6h,0A7h,0A6h,0A5h,0A8h,076h,059h
db 063h,05Dh,062h,05Dh,062h,05Fh,062h,05Fh,064h,05Dh,072h,0A9h,0A6h,0A8h,0A5h,0A8h
db 0A3h,0AAh,087h,059h,063h,05Dh,062h,05Eh,062h,05Fh,062h,05Fh,063h,05Fh,065h,05Fh
db 066h,05Bh,087h,0ADh,0A7h,0A9h,0A7h,0A6h,0A8h,0A4h,0AAh,07Ch,059h,063h,05Dh,063h
db 05Fh,09Ah,0A9h,0A5h,0A7h,0A4h,0A6h,0A4h,0A6h,0A2h,0A5h,06Dh,05Ah,060h,05Dh,05Fh
db 05Fh,05Eh,061h,05Ch,08Ch,0ACh,0A1h,0A8h,0A2h,0A7h,0A1h,0A6h,09Fh,0A8h,077h,058h
db 05Fh,05Bh,05Eh,05Dh,05Eh,05Dh,05Fh,05Dh,060h,05Dh,06Bh,0A4h,0A4h,0A6h,0A3h,0A5h
db 0A3h,0A4h,0A2h,0A3h,0A2h,09Eh,062h,05Bh,05Ch,05Ch,05Ch,05Eh,05Ch,05Fh,05Ch,060h
db 05Ch,062h,059h,078h,0A8h,0A3h,0A5h,0A4h,0A2h,0A7h,07Ch,056h,061h,05Ah,061h,05Ch
db 061h,05Ch,061h,05Dh,062h,05Ch,06Bh,0A3h,0A7h,0A5h,074h,055h,080h,0A8h,0A7h,09Bh
db 05Fh,060h,05Fh,05Fh,060h,060h,060h,060h,061h,061h,099h,0AAh,0A5h,0A7h,0A5h,0A6h
db 0A4h,0A6h,0A3h,0A5h,06Eh,05Ah,060h,05Dh,060h,05Dh,063h,098h,0ABh,071h,05Ch,060h
db 05Fh,060h,065h,09Fh,0A7h,0A5h,0A6h,0A4h,0A5h,0A2h,0A6h,09Ah,061h,05Bh,088h,0AEh
db 07Fh,059h,05Fh,060h,09Eh,0A3h,0A4h,0A2h,0A4h,0A0h,0A6h,091h,05Ah,05Dh,059h,086h
db 0ADh,07Dh,059h,05Dh,05Dh,05Bh,060h,058h,087h,0A6h,0A5h,08Eh,056h,064h,094h,0AAh
db 06Dh,05Bh,05Dh,05Dh,05Dh,05Fh,05Eh,097h,072h,058h,064h,059h,070h,0A3h,0A2h,062h
db 062h,058h,081h,0A8h,0A6h,096h,05Dh,060h,05Eh,05Eh,061h,05Ch,075h,0AAh,0A4h,0A2h
db 064h,05Fh,05Fh,060h,060h,060h,061h,060h,062h,060h,065h,05Ch,083h,0ADh,0A5h,0A9h
db 0A6h,0A7h,0A7h,0A4h,0AAh,080h,059h,063h,05Dh,063h,05Eh,063h,05Fh,064h,05Dh,078h
db 0AEh,098h,064h,05Fh,093h,0ADh,0A4h,0A9h,0A3h,0A9h,09Bh,063h,05Fh,060h,060h,060h
db 061h,05Fh,069h,0A5h,0A6h,0A7h,0A5h,0A7h,0A4h,0A6h,0A3h,0A6h,09Ch,063h,05Dh,060h
db 05Dh,061h,05Ch,06Dh,0A5h,0A5h,0A5h,0A4h,0A4h,0A4h,0A3h,0A3h,0A2h,0A4h,09Ch,065h
db 057h,081h,0ACh,082h,058h,05Fh,05Ah,060h,059h,062h,055h,080h,090h,056h,064h,05Ah
db 098h,0A6h,0A4h,0A3h,0A4h,0A2h,0A3h,0A2h,0A0h,066h,059h,05Fh,058h,071h,0A7h,0A0h
db 0A1h,060h,05Fh,056h,07Fh,0A7h,0A2h,096h,059h,060h,057h,089h,0A8h,09Fh,0A7h,08Fh
db 059h,05Eh,059h,08Ah,0ABh,07Dh,057h,060h,05Ah,05Fh,05Ah,061h,057h,081h,0A9h,0A1h
db 0A5h,0A3h,09Fh,062h,05Ch,05Ch,05Dh,05Dh,05Eh,05Eh,05Dh,060h,05Ch,08Eh,0ABh,0A1h
db 0A8h,0A1h,0A6h,0A0h,0A6h,09Eh,0A8h,072h,059h,05Dh,05Dh,05Bh,060h,05Ah,096h,074h
db 059h,05Eh,06Dh,0AAh,098h,063h,08Fh,0ABh,09Eh,0A7h,09Eh,0A8h,093h,060h,059h,05Fh
db 059h,061h,056h,074h,095h,05Bh,060h,05Bh,087h,0B1h,07Dh,06Ch,0A7h,0A1h,0A5h,0A3h
db 0A1h,0A6h,07Eh,055h,061h,059h,060h,05Ah,060h,05Bh,062h,058h,076h,0A7h,0A3h,0A4h
db 0A3h,0A3h,0A3h,0A2h,0A3h,0A0h,0A5h,095h,05Ch,05Ch,05Ch,05Ch,05Ch,05Dh,05Ch,05Dh
db 05Dh,05Fh,05Ch,08Fh,0AAh,0A0h,0A6h,0A1h,0A5h,0A0h,0A5h,09Eh,0A6h,070h,058h,05Ch
db 05Ch,05Bh,05Dh,05Bh,061h,057h,085h,0A8h,0A1h,0A4h,0A2h,0A2h,0A3h,0A0h,0A4h,09Eh
db 0A7h,082h,056h,05Ch,05Ah,05Bh,05Ch,05Bh,05Eh,058h,071h,0A5h,0A1h,0A3h,0A2h,0A0h
db 0A2h,09Eh,0A6h,086h,056h,05Dh,059h,05Ch,05Bh,05Ch,05Dh,059h,06Dh,0A4h,0A1h,0A0h
db 067h,056h,080h,0A8h,09Eh,0A4h,09Fh,0A3h,09Eh,0A4h,06Eh,056h,05Dh,059h,05Dh,059h
db 05Eh,059h,060h,056h,080h,0A7h,0A1h,0A3h,0A1h,0A1h,0A2h,09Eh,0A6h,07Ah,055h,05Eh
db 059h,05Dh,05Bh,05Ch,05Ch,05Ch,05Eh,05Ah,06Ch,0A4h,0A2h,0A4h,0A2h,0A2h,0A3h,09Fh
db 0A6h,08Ch,059h,05Dh,094h,0A4h,0A2h,07Eh,052h,061h,056h,061h,057h,095h,0A3h,0A2h
db 0A0h,0A2h,0A1h,096h,057h,05Fh,055h,062h,051h,07Eh,08Dh,056h,05Fh,05Bh,05Dh,05Dh
db 05Dh,05Fh,05Ah,06Dh,0A6h,0A2h,0A5h,0A2h,0A4h,0A2h,0A2h,0A2h,0A1h,0A3h,09Bh,05Fh
db 05Bh,058h,07Ch,0ADh,084h,05Bh,05Ah,05Eh,057h,08Bh,0A6h,0A0h,0A3h,0A1h,0A1h,0A1h
db 09Fh,0A2h,09Dh,0A5h,07Ch,051h,068h,09Eh,09Fh,0A0h,066h,058h,057h,070h,0A7h,090h
db 05Ah,05Bh,056h,084h,0A6h,09Dh,0A1h,09Dh,0A0h,09Eh,09Eh,0A0h,06Fh,052h,05Ch,056h
db 05Ch,057h,05Ch,08Ch,0A9h,06Fh,058h,058h,066h,0A0h,0A0h,0A0h,09Eh,0A0h,09Eh,09Fh
db 09Dh,0A0h,093h,059h,058h,057h,058h,058h,059h,059h,05Ah,05Ah,05Ah,091h,0A5h,09Dh
db 0A3h,09Dh,0A3h,08Fh,059h,05Ah,059h,05Bh,057h,075h,0ABh,089h,05Ch,057h,05Fh,053h
db 088h,081h,050h,06Eh,09Fh,0A3h,0A0h,0A2h,0A0h,0A1h,09Fh,0A1h,09Eh,0A0h,09Eh,09Fh
db 064h,057h,057h,06Eh,0A9h,08Bh,05Dh,055h,05Eh,051h,083h,083h,04Fh,069h,09Bh,0A3h
db 09Eh,0A2h,09Dh,0A1h,09Ch,0A2h,08Fh,057h,05Ah,057h,05Ah,058h,05Bh,059h,05Bh,059h
db 05Fh,095h,0A5h,09Dh,0A4h,09Bh,0A6h,089h,05Ah,059h,093h,0A0h,0A4h,07Ah,053h,05Ch
db 058h,05Ah,05Bh,059h,05Eh,056h,07Bh,0A6h,0A1h,098h,05Bh,094h,0A6h,073h,055h,05Fh
db 059h,05Eh,05Bh,05Dh,08Eh,0ACh,077h,056h,06Fh,0A6h,099h,060h,05Ch,05Ah,080h,0AFh
db 084h,05Ah,061h,09Dh,0A3h,0A5h,077h,054h,073h,0A7h,097h,05Eh,05Dh,05Ch,05Fh,05Ah
db 075h,0ACh,091h,05Fh,05Ch,061h,059h,082h,0AAh,0A3h,096h,056h,066h,056h,094h,0A3h
db 0AAh,084h,05Ah,05Fh,05Fh,05Dh,062h,059h,084h,0A9h,0A6h,094h,05Bh,063h,093h,0ACh
db 09Fh,0ACh,083h,05Ah,061h,05Dh,060h,05Eh,061h,05Eh,062h,05Ch,06Fh,0A6h,0A6h,0A4h
db 06Fh,058h,080h,0ABh,0A3h,0A9h,09Ch,063h,05Dh,088h,0B1h,080h,05Dh,05Eh,065h,09Ch
db 0AAh,06Dh,060h,05Ch,076h,0A8h,0A5h,09Fh,067h,059h,088h,0A9h,0A6h,091h,058h,063h
db 05Ch,063h,05Dh,062h,05Fh,063h,060h,063h,062h,09Eh,0A9h,0A7h,0A7h,0A6h,0A7h,0A6h
db 0A6h,0A0h,064h,060h,05Ch,080h,0B1h,08Ah,05Eh,05Fh,061h,05Eh,063h,05Bh,080h,0ABh
db 0A6h,09Dh,05Eh,064h,05Ah,089h,0ACh,0A2h,0ABh,094h,060h,05Fh,061h,05Dh,082h,0B1h
db 087h,05Dh,062h,060h,099h,0ABh,07Ah,057h,079h,0A7h,0A6h,0A5h,0A8h,0A2h,0AAh,07Ah
db 05Ah,060h,068h,0A6h,0A0h,069h,05Ch,061h,05Fh,05Fh,06Ch,0A8h,0A3h,0A9h,0A3h,0A8h
db 0A2h,0A7h,0A1h,0A8h,095h,060h,05Bh,08Dh,0ACh,07Ch,058h,061h,05Ah,062h,05Bh,096h
db 0A6h,0A5h,0A2h,0A8h,090h,059h,060h,05Bh,08Fh,0A9h,09Fh,0A9h,08Ah,059h,062h,097h
db 0A8h,06Fh,059h,060h,05Ch,05Fh,061h,0A0h,0A2h,072h,053h,080h,0A5h,0A7h,096h,061h
db 05Ah,090h,0A6h,0A7h,085h,055h,068h,09Eh,0A4h,0A4h,072h,058h,060h,05Ch,05Fh,05Eh
db 05Fh,097h,0A7h,0A6h,080h,053h,071h,0A1h,0A5h,0A3h,0A4h,0A5h,07Dh,051h,073h,0A2h
db 0A5h,09Dh,068h,058h,062h,056h,076h,0A5h,0A3h,09Eh,062h,05Dh,05Dh,05Eh,05Bh,06Fh
db 0A9h,0A0h,0A4h,062h,061h,057h,07Eh,0A7h,0A5h,099h,05Eh,05Fh,05Dh,05Fh,05Ch,076h
db 0AEh,090h,062h,05Ch,095h,0A6h,0A5h,0A2h,0A9h,08Fh,05Ch,05Eh,096h,0A4h,0A7h,07Fh
db 057h,061h,05Bh,060h,05Dh,05Fh,05Eh,05Fh,061h,05Dh,06Fh,0A7h,0A5h,0A6h,0A6h,0A3h
db 0A9h,081h,058h,062h,05Bh,061h,05Dh,062h,05Ch,080h,0B0h,08Bh,05Eh,060h,061h,05Dh
db 08Eh,0ACh,0A4h,0A8h,0A4h,0A7h,0A4h,0A5h,0A4h,074h,055h,07Bh,0AAh,093h,05Dh,060h
db 05Ch,062h,05Bh,07Dh,0AFh,08Eh,05Fh,060h,09Ah,0A7h,0A8h,080h,058h,063h,062h,0A7h
db 0A0h,0AAh,06Fh,05Eh,05Eh,061h,05Eh,063h,05Dh,065h,05Ah,08Dh,0A9h,0AAh,090h,05Bh
db 064h,05Eh,098h,0A9h,0A5h,0A7h,0A5h,0A6h,0A5h,0A0h,061h,060h,05Dh,061h,05Dh,063h
db 05Dh,064h,05Eh,0A0h,0A3h,0AFh,079h,074h,0AAh,0A4h,0A6h,0A5h,066h,087h,0AAh,0A5h
db 08Fh,057h,063h,05Bh,061h,05Eh,060h,060h,05Eh,06Fh,0A8h,0A4h,0A7h,0A5h,0A5h,0A8h
db 081h,055h,06Fh,0A1h,0A3h,065h,05Fh,05Eh,060h,05Fh,060h,05Fh,064h,09Eh,0A9h,0A6h
db 0A6h,0A6h,0A4h,0A7h,097h,05Dh,060h,05Eh,060h,05Fh,060h,05Fh,060h,061h,060h,063h
db 05Eh,08Ch,0AEh,0A3h,0AAh,0A3h,0A9h,0A4h,0A7h,06Bh,05Eh,060h,060h,05Fh,061h,05Fh
db 063h,05Eh,092h,0ACh,0A4h,0A9h,0A5h,0A8h,0A4h,0A7h,0A3h,0A7h,0A1h,0A9h,089h,059h
db 061h,05Ch,061h,05Ch,063h,05Ah,07Ah,0AAh,0A2h,0A7h,0A3h,0A6h,0A2h,0A7h,0A0h,0A9h
db 08Bh,05Ah,05Fh,05Ch,05Eh,05Dh,05Fh,05Eh,05Fh,05Dh,067h,0A2h,0A5h,0A5h,0A4h,0A5h
db 0A3h,0A4h,0A2h,0A5h,09Ch,062h,05Bh,05Eh,05Ch,05Fh,05Dh,060h,05Dh,062h,05Bh,093h
db 0A9h,0A4h,0A6h,0A4h,0A3h,0A5h,09Eh,066h,05Bh,060h,05Ch,061h,05Ah,06Ah,0A0h,0A6h
db 066h,060h,059h,07Ch,0A9h,0A5h,09Ch,060h,05Dh,061h,05Bh,07Fh,0ABh,0A2h,0A7h,0A3h
db 0A5h,0A5h,071h,059h,061h,05Ch,060h,05Eh,060h,05Fh,060h,061h,05Dh,07Bh,0ADh,0A2h
db 0AAh,0A2h,0A8h,0A2h,0A8h,0A0h,0ABh,088h,05Ah,05Fh,05Dh,05Eh,05Fh,05Eh,061h,05Dh
db 071h,0A8h,0A4h,0A7h,0A4h,0A6h,0A3h,0A6h,0A2h,0A7h,094h,05Dh,05Eh,05Dh,05Eh,05Eh
db 05Eh,05Fh,05Eh,066h,0A2h,0A5h,0A5h,0A4h,0A4h,0A3h,0A4h,0A3h,0A4h,09Dh,062h,05Bh
db 05Eh,05Dh,05Eh,05Dh,05Fh,05Eh,060h,05Eh,062h,05Bh,080h,0ACh,0A1h,0A9h,0A2h,0A8h
db 0A0h,0AAh,073h,05Bh,05Fh,05Eh,05Eh,060h,05Eh,061h,05Eh,063h,05Bh,079h,0AAh,0A4h
db 0A7h,0A6h,0A5h,0A6h,0A3h,0A9h,088h,058h,062h,05Ch,061h,05Dh,062h,05Dh,063h,05Ch
db 06Eh,0A5h,0A7h,0A5h,0A8h,076h,05Ah,064h,05Ch,06Ch,0A2h,0A8h,0A4h,0A8h,0A2h,0ABh
db 086h,05Ah,062h,05Dh,060h,05Fh,061h,060h,061h,061h,060h,068h,0A3h,0A8h,0A7h,0A7h
db 0A7h,0A6h,0A5h,0A7h,09Ah,060h,060h,05Eh,061h,05Fh,062h,05Fh,062h,060h,064h,05Eh
db 093h,0ACh,0A5h,0A9h,0A6h,0A7h,0A5h,0A6h,0A5h,070h,05Ah,063h,05Dh,063h,05Dh,064h
db 05Dh,067h,059h,08Ch,089h,058h,072h,0A4h,0AAh,0A6h,0A8h,0A6h,0A7h,0A6h,0A5h,0A7h
db 09Ch,061h,05Fh,05Fh,060h,060h,060h,061h,061h,062h,060h,097h,0ACh,0A5h,0A9h,0A5h
db 0A7h,0A5h,0A6h,0A2h,06Bh,05Bh,062h,05Dh,062h,05Eh,063h,05Eh,065h,05Bh,08Dh,0ACh
db 0A5h,0A8h,0A6h,0A6h,0A6h,0A4h,0A7h,075h,059h,063h,05Dh,062h,05Eh,062h,05Eh,064h
db 05Bh,080h,0ADh,0A3h,0A9h,0A4h,0A8h,0A3h,0A8h,0A2h,0AAh,086h,059h,062h,05Eh,09Bh
db 06Eh,05Bh,062h,05Eh,062h,05Fh,062h,060h,09Ah,0A9h,0A5h,0A6h,0A6h,0A5h,0A6h,0A5h
db 0A3h,067h,05Dh,05Eh,060h,05Ch,06Dh,0A6h,0A4h,0A5h,06Ch,05Bh,062h,05Bh,072h,0A7h
db 0A4h,0A6h,0A5h,0A5h,0A5h,0A2h,0A8h,08Dh,058h,061h,05Bh,061h,05Ch,061h,05Dh,061h
db 05Eh,062h,061h,09Fh,0A6h,0A9h,07Dh,057h,074h,0A7h,0A4h,0A7h,0A3h,0A7h,0A2h,0A9h
db 084h,058h,061h,05Bh,061h,05Dh,061h,05Dh,062h,05Bh,070h,0A7h,0A5h,0A6h,0A5h,0A5h
db 0A5h,0A4h,0A4h,0A3h,0A4h,09Dh,061h,05Dh,05Dh,05Eh,05Eh,05Fh,05Eh,05Fh,060h,099h
db 0A8h,0A3h,0A6h,0A3h,0A5h,0A3h,0A4h,0A1h,0A3h,06Ah,05Ah,05Eh,05Ch,05Eh,05Dh,05Fh
db 05Eh,05Fh,05Eh,061h,05Ch,078h,0ACh,0A1h,0A9h,0A1h,0A9h,09Fh,0ABh,07Dh,05Bh,05Eh
db 065h,09Fh,0A5h,06Ah,05Ch,05Fh,05Fh,05Ch,069h,0A2h,0A7h,0A3h,0A8h,077h,05Ah,05Fh
db 069h,0A7h,0A1h,0A6h,06Ah,05Dh,05Fh,060h,05Dh,069h,0A4h,0A2h,06Bh,05Bh,064h,05Ah
db 077h,0A8h,0A6h,0A1h,068h,05Ah,087h,0ACh,0A1h,0AAh,095h,05Fh,060h,05Eh,062h,05Bh
db 07Bh,0AFh,091h,05Fh,061h,05Eh,063h,05Bh,080h,0ADh,0A3h,0A9h,0A3h,0A8h,0A3h,0A8h
db 0A1h,0AAh,084h,059h,061h,05Dh,061h,05Dh,061h,05Dh,062h,05Ch,06Fh,0A6h,0A6h,0A6h
db 0A7h,076h,056h,07Bh,0A9h,0A3h,0A7h,0A3h,0A7h,0A0h,0AAh,07Dh,058h,061h,05Ch,061h
db 05Ch,062h,05Ah,083h,0ACh,0A1h,0A9h,0A1h,0A8h,09Fh,0A9h,06Dh,05Eh,059h,073h,097h
db 05Bh,060h,05Dh,060h,05Eh,060h,060h,060h,061h,062h,09Fh,0A7h,0A8h,0A3h,0ABh,089h
db 05Ah,066h,09Fh,0A6h,0A6h,0A3h,0A9h,084h,059h,061h,05Fh,09Bh,0A8h,072h,05Ah,061h
db 05Eh,060h,064h,0A0h,0A8h,0A3h,0A9h,080h,059h,063h,05Ch,065h,09Ah,0ABh,0A0h,0ACh
db 080h,059h,062h,05Dh,062h,095h,0AEh,073h,05Eh,05Eh,06Eh,0A7h,0A5h,0A6h,0A5h,076h
db 055h,07Dh,0A8h,0A5h,09Dh,05Fh,061h,05Ch,063h,059h,078h,0A8h,0A5h,09Fh,064h,05Dh
db 062h,05Ah,07Bh,0ABh,0A3h,0A7h,0A4h,0A5h,0A5h,0A2h,0A9h,083h,056h,062h,05Ah,061h
db 05Ch,061h,05Dh,062h,05Ch,070h,0A8h,0A5h,0A5h,069h,060h,05Dh,07Bh,0ADh,0A1h,0AAh
db 0A1h,0A8h,06Ah,05Eh,05Eh,060h,05Eh,062h,05Dh,064h,05Bh,092h,0A9h,0A9h,08Bh,059h
db 065h,05Fh,09Eh,0A7h,0A7h,0A5h,0A7h,0A3h,0A9h,099h,061h,05Eh,05Fh,05Fh,060h,060h
db 060h,05Fh,064h,09Fh,0A9h,0A5h,0A7h,0A4h,0A6h,0A4h,0A6h,0A3h,0A6h,0A1h,0A8h,075h
db 058h,060h,05Ah,066h,09Fh,0A4h,06Bh,05Ah,062h,059h,071h,0A5h,0A4h,0A4h,0A4h,06Fh
db 059h,062h,05Ah,06Eh,0A4h,0A4h,0A4h,0A6h,074h,057h,063h,059h,06Ch,0A0h,0A5h,064h
db 061h,058h,07Eh,0A9h,0A3h,0A5h,0A0h,062h,060h,058h,080h,0A8h,0A6h,096h,05Dh,05Fh
db 05Fh,05Ah,082h,0AAh,0A3h,096h,058h,064h,05Ah,065h,057h,081h,0A9h,0A3h,0A7h,09Dh
db 061h,091h,0AAh,09Fh,0AAh,087h,05Ah,05Fh,05Dh,05Dh,08Dh,0ABh,09Eh,0ABh,08Bh,05Bh
db 05Eh,05Eh,05Eh,05Fh,05Eh,060h,05Dh,06Dh,0A8h,0A3h,0A9h,0A1h,0AAh,079h,059h,061h
db 05Eh,060h,05Fh,060h,061h,060h,061h,061h,062h,061h,062h,063h,09Ch,0ABh,0A7h,0A8h
db 0A7h,0A7h,0A6h,0A6h,0A2h,067h,05Fh,060h,060h,060h,062h,060h,063h,060h,065h,05Ch
db 089h,0AEh,0A6h,0A9h,0A7h,0A7h,0A7h,0A6h,0A7h,0A3h,0AAh,087h,05Ah,062h,05Eh,060h
db 08Fh,0B0h,07Bh,05Ch,062h,05Eh,065h,09Dh,0AAh,0A2h,0ABh,080h,05Ah,062h,064h,0A4h
db 0A4h,0A8h,0A2h,0ABh,082h,059h,062h,05Ch,063h,092h,0AFh,075h,05Eh,05Dh,06Dh,0A5h
db 0A6h,0A4h,0A9h,073h,05Ch,05Eh,06Eh,0A9h,0A2h,0A7h,0A3h,0A6h,0A3h,0A3h,0A6h,08Fh
db 057h,062h,058h,063h,056h,084h,0A7h,0A6h,093h,05Bh,061h,092h,0AAh,09Eh,0ABh,083h
db 058h,064h,09Eh,0A3h,0A3h,0A0h,0A7h,080h,056h,060h,059h,060h,059h,08Bh,0ACh,07Dh
db 058h,05Fh,061h,0A1h,0A1h,0A6h,0A0h,0A9h,080h,055h,068h,0A0h,0A2h,0A3h,06Eh,057h
db 05Fh,05Ah,05Fh,05Ch,060h,05Bh,062h,058h,082h,0AAh,0A2h,0A6h,0A2h,0A5h,0A1h,0A5h
db 0A0h,0A8h,080h,056h,060h,05Ah,05Fh,05Bh,060h,05Bh,061h,059h,072h,0A6h,0A4h,0A4h
db 0A4h,0A3h,0A4h,0A2h,0A2h,0A4h,095h,057h,062h,055h,08Eh,0A3h,0A6h,086h,058h,05Eh
db 05Ch,05Ch,08Ch,0A9h,09Eh,0A8h,08Ah,057h,060h,059h,094h,0A5h,0A3h,0A0h,0A7h,08Dh
db 059h,05Dh,05Ch,05Ah,083h,0ADh,080h,058h,05Fh,05Dh,09Ch,0A1h,0A8h,077h,058h,05Dh
db 066h,0A2h,0A2h,0A3h,0A3h,0A0h,0A6h,082h,055h,05Eh,05Dh,099h,0A4h,070h,056h,060h
db 058h,069h,0A1h,0A2h,0A3h,06Ch,05Ah,05Bh,070h,0A9h,09Dh,0A6h,09Eh,0A5h,09Dh,0A5h
db 09Ch,0A8h,089h,05Ah,058h,05Eh,055h,086h,0A4h,0A3h,08Ah,054h,05Fh,057h,093h,0A4h
db 0A0h,0A2h,0A0h,0A1h,09Fh,0A0h,09Dh,0A1h,06Bh,054h,05Ch,056h,066h,0A0h,09Ah,064h
db 055h,05Eh,054h,074h,0A3h,0A1h,09Ah,061h,055h,084h,0A6h,09Dh,0A1h,0A0h,098h,05Ah
db 05Bh,058h,05Ch,059h,05Ch,05Ah,05Ch,05Fh,09Bh,0A3h,0A1h,0A1h,0A1h,0A0h,0A0h,0A1h
db 099h,05Eh,059h,05Bh,057h,074h,0ABh,08Bh,05Ch,058h,05Eh,056h,082h,0A7h,09Eh,0A4h
db 093h,059h,05Eh,056h,087h,0A6h,09Fh,0A1h,0A1h,096h,05Ch,05Ah,05Bh,057h,07Bh,0A8h
db 09Eh,099h,054h,062h,051h,08Ch,0A0h,0A7h,086h,058h,05Bh,05Dh,058h,08Bh,0A6h,09Fh
db 0A2h,0A2h,097h,05Ch,05Ch,058h,080h,0ADh,080h,059h,05Ah,05Eh,059h,091h,0A4h,0A5h
db 081h,055h,05Fh,05Ah,05Fh,091h,0A9h,09Dh,0A9h,083h,056h,065h,09Bh,0A5h,09Eh,0A7h
db 078h,056h,05Eh,05Ah,060h,09Ah,0A3h,0A4h,077h,055h,061h,057h,066h,09Bh,0A6h,09Fh
db 0A5h,09Eh,0A7h,087h,056h,061h,097h,0A6h,06Ch,058h,05Eh,058h,069h,0A3h,0A0h,0A3h
db 067h,05Bh,059h,073h,0A8h,09Eh,0A5h,09Eh,0A4h,09Eh,0A4h,09Ch,0A6h,089h,057h,05Bh
db 059h,05Ah,05Bh,05Ah,05Dh,059h,069h,0A2h,0A0h,0A3h,0A0h,0A2h,0A0h,0A1h,09Eh,0A3h
db 094h,05Bh,059h,05Bh,057h,079h,0ACh,085h,05Ah,05Ah,05Dh,057h,088h,0A7h,09Dh,0A5h
db 08Eh,057h,05Eh,056h,08Dh,0A5h,0A1h,0A0h,0A3h,091h,059h,05Bh,05Ch,057h,080h,0A8h
db 09Fh,093h,052h,063h,052h,092h,09Fh,0A8h,080h,058h,05Bh,05Dh,059h,092h,0A4h,0A1h
db 0A0h,0A5h,08Eh,058h,05Dh,059h,08Ah,0ABh,079h,058h,05Dh,05Ch,05Eh,099h,0A2h,0A5h
db 079h,056h,060h,059h,063h,09Ah,0A5h,0A1h,0A3h,0A1h,0A1h,0A1h,0A0h,0A1h,09Ch,064h
db 057h,05Eh,055h,073h,0A4h,0A1h,09Ch,060h,059h,05Dh,057h,075h,0AAh,090h,05Bh,05Eh
db 058h,089h,0A8h,09Dh,0A7h,08Dh,058h,05Eh,058h,060h,055h,080h,0A6h,0A3h,094h,059h
db 060h,058h,088h,0ACh,07Fh,058h,05Eh,061h,09Eh,0A3h,0A2h,0A3h,0A0h,0A6h,08Bh,057h
db 05Fh,05Ah,05Fh,05Bh,05Fh,05Ch,05Fh,05Dh,060h,05Ch,062h,05Bh,08Dh,0ABh,0A2h,0A7h
db 0A2h,0A6h,09Dh,063h,05Dh,05Ch,07Eh,0B1h,086h,05Fh,05Ch,063h,059h,090h,0A6h,0A8h
db 089h,059h,061h,05Eh,05Eh,090h,0ABh,0A2h,0A6h,0A5h,097h,058h,064h,057h,091h,0A6h
db 0A8h,089h,057h,063h,05Ch,09Ch,0A3h,0A9h,07Dh,058h,062h,05Ch,063h,09Bh,0A8h,0A2h
db 0A7h,0A1h,0A9h,08Fh,05Ah,062h,094h,0ABh,072h,05Bh,05Fh,05Ch,066h,0A2h,0A2h,0A6h
db 070h,05Ah,061h,05Ch,06Ah,0A6h,09Fh,06Ah,057h,086h,0A9h,0A3h,0A5h,0A5h,09Dh,063h
db 05Bh,061h,059h,07Ah,0A9h,0A0h,0A6h,09Eh,066h,05Bh,060h,05Dh,05Fh,05Eh,05Fh,062h
db 09Dh,0A8h,0A3h,0A9h,080h,057h,063h,05Bh,063h,05Bh,094h,0A8h,0A5h,0A5h,0A5h,0A3h
db 0A6h,09Eh,066h,05Ah,061h,059h,077h,0A9h,0A2h,0A6h,0A2h,0A5h,06Fh,059h,061h,05Ch
db 060h,05Ch,062h,05Bh,095h,0A6h,0A9h,083h,058h,062h,060h,09Fh,0A5h,0A5h,0A5h,0A3h
db 0A7h,08Fh,059h,061h,05Ch,05Fh,084h,0B3h,07Fh,05Eh,05Dh,062h,05Ch,09Ah,0A4h,0AAh
db 080h,059h,061h,05Eh,061h,09Bh,0A7h,0A5h,0A3h,0A9h,08Bh,058h,061h,05Dh,096h,0ABh
db 077h,05Ah,05Fh,069h,0A8h,0A1h,0A7h,06Ah,05Dh,060h,05Dh,06Eh,0A9h,0A2h,0A9h,0A1h
db 0A8h,0A1h,0A7h,09Fh,0A9h,091h,060h,05Ah,061h,056h,083h,0A6h,0A6h,092h,05Bh,05Eh
db 05Eh,05Bh,083h,0AFh,082h,05Ah,061h,05Eh,09Ch,0A4h,0A6h,0A1h,0A9h,088h,05Ah,05Fh
db 05Fh,05Bh,08Fh,0A7h,0A6h,087h,056h,063h,05Dh,09Bh,0A6h,074h,057h,064h,058h,06Ch
db 0A0h,0A8h,0A1h,0AAh,076h,05Ah,060h,05Eh,05Fh,061h,09Bh,0A8h,075h,056h,07Bh,0A8h
db 0A5h,09Eh,062h,05Eh,061h,05Bh,07Bh,0ADh,0A1h,0AAh,0A0h,0A9h,09Fh,0ABh,078h,05Ah
db 05Eh,05Eh,05Eh,061h,093h,0AEh,073h,05Dh,05Ch,06Dh,0A5h,0A5h,0A4h,0A6h,0A1h,0A9h
db 080h,058h,060h,061h,09Dh,0A5h,070h,058h,062h,05Ah,06Dh,0A5h,0A3h,0A4h,06Bh,05Bh
db 061h,05Bh,070h,0A8h,0A2h,0A8h,0A0h,0ABh,074h,05Ch,05Ch,06Ch,0A5h,09Fh,063h,05Fh
db 05Ah,080h,0AAh,0A4h,098h,05Ch,060h,05Eh,05Ch,080h,0AEh,09Eh,0AAh,09Fh,0A8h,09Fh
db 0A9h,09Dh,0ABh,07Eh,059h,05Ch,05Eh,05Ch,098h,0A3h,0A7h,07Dh,057h,05Fh,063h,0A1h
db 0A1h,06Bh,058h,062h,059h,071h,0A6h,0A2h,0A6h,0A1h,0A8h,074h,059h,05Eh,068h,0A7h
db 09Fh,0A6h,066h,05Fh,058h,078h,0A7h,0A3h,09Ch,060h,05Dh,05Eh,05Ah,07Bh,0ABh,09Eh
db 0A8h,09Fh,0A5h,065h,05Fh,058h,077h,0A9h,093h,05Ah,062h,056h,08Dh,0A5h,0A7h,088h
db 058h,060h,05Dh,05Ch,08Dh,0A9h,0A0h,0A6h,0A1h,0A4h,0A1h,0A3h,0A1h,06Dh,056h,060h
db 057h,06Ch,0A3h,09Dh,062h,05Ch,05Ch,05Eh,05Ah,06Fh,0A7h,0A0h,0A7h,09Fh,0A8h,072h
db 05Ah,05Ch,069h,0A6h,09Bh,065h,05Ah,061h,058h,078h,0A9h,0A0h,0A7h,09Dh,068h,058h
db 063h,056h,077h,0A5h,0A4h,0A2h,0A5h,09Fh,0A8h,076h,059h,05Ch,067h,0A2h,0A0h,065h
db 05Eh,059h,07Ch,0A8h,0A2h,099h,05Ch,05Fh,05Dh,05Bh,07Eh,0ACh,09Eh,0A8h,09Eh,0A7h
db 09Eh,0A6h,09Ch,0AAh,080h,058h,05Bh,05Dh,05Ah,094h,0A3h,0A5h,080h,055h,05Fh,05Fh
db 09Eh,0A1h,06Eh,055h,062h,056h,06Fh,0A1h,0A5h,0A0h,0A5h,09Dh,0A9h,07Dh,058h,05Ch
db 062h,09Bh,0A4h,06Ah,05Bh,05Ah,072h,0A7h,0A0h,09Fh,05Fh,05Eh,05Bh,060h,059h,070h
db 0A7h,0A1h,0A6h,09Fh,0A7h,072h,059h,05Eh,05Ch,05Dh,05Fh,05Ch,095h,0A6h,0A6h,081h
db 055h,063h,059h,062h,05Ah,064h,058h,082h,0AAh,0A3h,0A6h,0A4h,0A1h,065h,05Dh,05Fh
db 05Eh,05Fh,05Fh,060h,05Fh,061h,05Fh,08Dh,0B1h,080h,05Dh,062h,065h,0A3h,0A5h,0A8h
db 0A3h,0ACh,084h,05Ah,062h,061h,09Fh,0A7h,074h,059h,065h,05Ah,070h,0A3h,0A9h,0A2h
db 0ACh,073h,05Eh,05Eh,070h,0A7h,0A5h,0A6h,0A6h,0A3h,0AAh,080h,058h,061h,062h,0A1h
db 0A4h,06Fh,059h,064h,059h,072h,0A6h,0A5h,0A3h,06Ah,05Ch,063h,05Bh,074h,0A9h,0A3h
db 0A8h,0A3h,0A7h,0A2h,0A7h,0A0h,0A8h,090h,05Ch,05Eh,05Fh,05Ah,083h,0AFh,083h,05Ah
db 062h,05Dh,09Ch,0A4h,0A9h,07Bh,059h,060h,066h,0A4h,0A3h,0A5h,0A3h,0A4h,0A3h,0A3h
db 0A2h,0A2h,0A2h,09Fh,066h,058h,05Fh,057h,071h,0A7h,096h,05Eh,05Dh,05Bh,060h,058h
db 077h,0A8h,0A1h,0A4h,0A2h,0A2h,0A3h,0A0h,0A7h,083h,055h,05Fh,059h,05Eh,05Bh,05Dh
db 05Eh,05Bh,072h,0A9h,0A0h,0A3h,05Fh,061h,057h,080h,0A8h,0A2h,0A4h,0A3h,0A2h,0A4h
db 0A0h,0A7h,07Ch,055h,05Fh,059h,05Fh,05Ah,060h,05Ah,062h,058h,076h,0A7h,0A3h,0A5h
db 0A3h,0A2h,0A4h,0A0h,0A7h,086h,056h,05Fh,05Bh,096h,0A7h,074h,056h,061h,058h,068h
db 09Dh,0A7h,09Fh,0A9h,077h,058h,05Fh,05Bh,063h,09Dh,0A4h,0A3h,0A3h,0A3h,0A2h,0A2h
db 0A0h,0A2h,09Ch,064h,057h,05Fh,056h,074h,0A5h,0A0h,09Dh,05Eh,05Dh,057h,07Fh,0A9h
db 09Ch,0A7h,094h,062h,056h,08Bh,0A5h,0A0h,0A0h,0A2h,094h,05Ah,05Bh,05Ah,05Bh,05Bh
db 05Bh,05Ch,05Bh,063h,09Ch,0A5h,09Fh,0A7h,07Ah,057h,05Eh,063h,0A1h,0A1h,0A4h,0A0h
db 0A3h,0A0h,0A2h,09Fh,0A2h,098h,05Fh,059h,05Bh,059h,05Ch,05Ah,05Dh,05Bh,05Eh,05Ah
db 090h,0A7h,0A0h,0A4h,0A0h,0A3h,09Fh,0A3h,09Eh,0A3h,09Ch,0A6h,07Eh,054h,05Ch,058h
db 05Bh,05Bh,05Bh,05Dh,057h,074h,0A8h,09Eh,0A5h,09Eh,0A3h,09Eh,0A3h,09Dh,0A2h,09Dh
db 0A1h,09Ch,0A2h,09Ah,0A3h,06Dh,055h,059h,058h,058h,05Ah,057h,05Dh,054h,080h,0A5h
db 09Eh,0A1h,0A1h,099h,05Fh,058h,05Ch,055h,075h,0A6h,09Dh,0A3h,09Bh,062h,057h,059h
db 075h,0ACh,087h,05Bh,058h,05Eh,055h,085h,0A7h,09Eh,0A5h,090h,058h,05Eh,056h,089h
db 0A6h,09Eh,0A2h,09Fh,0A2h,09Eh,0A1h,09Ch,0A3h,073h,053h,05Ch,056h,061h,099h,0A1h
db 09Fh,074h,04Dh,075h,0A0h,0A1h,09Dh,09Fh,061h,05Ah,054h,075h,0A5h,09Dh,0A1h,099h
db 061h,056h,05Ah,058h,05Bh,059h,05Bh,05Ah,05Ch,059h,089h,0A9h,09Bh,0A9h,089h,05Ah
db 05Ch,096h,0A1h,0A4h,07Ah,054h,05Eh,058h,060h,098h,0A3h,0A3h,078h,053h,061h,057h
db 060h,05Ah,09Ah,06Ah,05Ch,059h,075h,0A8h,0A1h,0A4h,0A2h,0A2h,0A5h,07Ch,053h,062h
db 057h,062h,057h,064h,053h,08Ch,081h,058h,061h,05Dh,05Fh,060h,05Ch,08Ah,0ACh,0A2h
db 0A7h,0A3h,0A5h,0A4h,0A3h,0A6h,074h,058h,061h,05Bh,060h,05Dh,060h,05Eh,061h,05Eh
db 061h,05Fh,062h,060h,063h,061h,09Ah,0AAh,0A6h,0A8h,0A6h,0A6h,0A7h,09Eh,061h,061h
db 05Eh,063h,05Bh,077h,0AAh,0A4h,0A7h,0A4h,06Dh,05Bh,063h,05Bh,072h,0AAh,09Ch,065h
db 05Eh,063h,05Bh,07Fh,0AEh,0A3h,0AAh,0A3h,0A7h,069h,060h,05Ch,07Ah,0ABh,0A4h,0A1h
db 05Fh,064h,059h,085h,0ABh,0A3h,0A9h,099h,05Fh,061h,05Dh,063h,05Ah,07Ch,0A9h,0A6h
db 09Eh,063h,05Dh,08Bh,0ADh,0A2h,0A8h,0A3h,09Dh,05Bh,065h,056h,08Ch,0A6h,0A9h,08Eh
db 05Bh,060h,05Fh,05Eh,089h,0B1h,080h,05Bh,062h,05Eh,063h,05Dh,092h,0ABh,0A4h,0A8h
db 0A4h,0A6h,0A4h,0A5h,0A4h,070h,058h,063h,059h,06Fh,0A5h,0A5h,0A3h,06Bh,05Bh,062h
db 05Ch,062h,05Dh,063h,05Dh,065h,05Bh,08Ch,0ABh,0A6h,0A6h,0A7h,0A5h,0A7h,0A3h,0AAh
db 074h,05Ah,060h,05Fh,05Fh,061h,05Eh,097h,0A7h,0A9h,081h,059h,062h,063h,0A2h,0A6h
db 06Fh,05Ch,05Fh,074h,0AEh,0A0h,0ABh,09Fh,0ABh,06Eh,05Eh,05Eh,061h,05Dh,063h,05Dh
db 066h,05Ah,08Eh,0A9h,0AAh,08Fh,05Ch,063h,060h,062h,061h,062h,063h,05Fh,072h,0AAh
db 0A7h,0A8h,06Ch,060h,064h,061h,064h,062h,065h,063h,09Fh,0ABh,0AAh,0A7h,0AEh,08Fh
db 05Eh,065h,061h,064h,063h,063h,065h,061h,075h,0ACh,0A9h,0AAh,0ABh,076h,05Fh,063h
db 075h,0B0h,0A5h,0AAh,065h,068h,05Ch,084h,0ADh,0A8h,0AAh,0A2h,065h,064h,060h,066h
db 05Eh,078h,0ADh,09Fh,064h,066h,05Eh,08Bh,0AFh,0A6h,0ACh,09Bh,060h,067h,05Dh,090h
db 0ABh,0ABh,090h,05Ch,066h,061h,09Ah,0AFh,07Ch,05Dh,065h,061h,064h,064h,09Eh,0ADh
db 0A5h,0AFh,084h,06Ch,0AFh,0A3h,0ACh,0A5h,078h,058h,06Ah,058h,076h,099h,068h,05Eh
db 068h,05Bh,084h,0ABh,0ACh,09Ah,064h,061h,066h,05Dh,086h,0AEh,0A7h,0A9h,0A8h,0A7h
db 0A9h,0A5h,0ACh,07Eh,05Ch,063h,060h,061h,062h,060h,065h,05Ch,082h,0ACh,0A9h,09Bh
db 060h,063h,063h,05Fh,084h,0B0h,0A4h,0ADh,09Ch,064h,099h,0AAh,0A8h,083h,057h,067h
db 05Ch,067h,05Ch,099h,0A9h,0A9h,0A6h,0A9h,0A5h,0A9h,0A3h,0A8h,069h,061h,05Bh,079h
db 0AAh,0A3h,0A7h,0A2h,069h,05Dh,061h,05Fh,060h,060h,060h,062h,05Fh,095h,0ABh,0A5h
db 0A9h,0A5h,0A7h,0A5h,0A1h,063h,060h,05Bh,080h,0B0h,08Ch,05Eh,060h,060h,05Dh,08Bh
db 0ADh,0A0h,0ACh,090h,05Dh,061h,05Eh,08Fh,0ACh,0A0h,0ACh,08Ch,05Bh,061h,05Eh,093h
db 0ABh,0A0h,0ACh,087h,05Bh,05Fh,05Fh,05Eh,08Eh,0AFh,07Dh,05Ah,062h,05Dh,064h,09Ah
db 0ABh,0A1h,0ADh,080h,059h,06Ah,0A4h,0A2h,0A7h,06Dh,05Eh,05Bh,075h,0A8h,0A4h,0A0h
db 064h,05Dh,060h,05Dh,062h,05Dh,06Ch,0A3h,0A5h,067h,062h,05Bh,07Eh,0ABh,0A4h,0A8h
db 0A1h,064h,061h,05Ah,080h,0AAh,0A6h,098h,05Dh,061h,060h,05Dh,083h,0ADh,0A4h,098h
db 058h,066h,05Ah,067h,057h,085h,0A8h,0A9h,098h,05Fh,063h,05Dh,08Ch,0ADh,0A1h,0ADh
db 090h,05Fh,060h,060h,060h,061h,060h,062h,061h,063h,065h,0A4h,0A6h,0ADh,078h,05Eh
db 061h,06Eh,0AAh,0A0h,068h,061h,05Fh,080h,0B1h,0A2h,0AEh,09Bh,068h,05Dh,066h,05Bh
db 080h,0AFh,094h,05Dh,067h,05Ch,096h,0A8h,0ACh,088h,05Bh,064h,060h,063h,062h,063h
db 064h,05Fh,079h,0AEh,0A6h,0ACh,0A4h,072h,05Ah,083h,0B0h,090h,05Eh,066h,05Fh,066h
db 05Fh,068h,05Dh,07Ch,0ACh,0A9h,0A9h,0A9h,06Dh,062h,060h,07Ch,0B2h,096h,063h,064h
db 062h,066h,060h,080h,0B1h,0A5h,0AEh,0A0h,06Ch,05Ch,08Dh,0AEh,0A5h,0ADh,098h,060h
db 065h,05Eh,090h,0AFh,0A4h,0AEh,092h,060h,063h,061h,060h,088h,0B4h,083h,060h,063h
db 062h,062h,097h,0AEh,0A4h,0AEh,08Bh,05Bh,06Bh,09Eh,0ACh,0A3h,0AEh,07Fh,05Ch,062h
db 068h,0A5h,0A5h,06Eh,05Ch,066h,05Ch,076h,0A9h,0A7h,0A4h,06Ah,05Fh,064h,05Eh,078h
db 0ACh,0A4h,0ABh,0A2h,072h,057h,085h,0A9h,0A9h,097h,05Eh,062h,061h,05Fh,082h,0B3h
db 087h,060h,061h,063h,05Fh,093h,0ADh,0A4h,0AAh,0A5h,0A9h,0A4h,0A8h,0A2h,0AAh,074h
db 05Ch,05Eh,06Dh,0A9h,09Dh,066h,05Eh,061h,05Fh,061h,05Eh,06Ch,0A8h,0A1h,06Ch,059h
db 087h,0ABh,0A4h,0A8h,0A5h,0A1h,062h,061h,05Bh,080h,0B0h,08Bh,05Dh,061h,05Fh,062h
db 05Dh,083h,0B3h,086h,05Fh,060h,062h,05Fh,093h,0ACh,0A5h,0A8h,0A6h,0A6h,0A6h,0A5h
db 0A5h,06Eh,05Bh,061h,05Eh,061h,05Eh,061h,05Fh,063h,05Ch,086h,0AEh,0A2h,0ADh,097h
db 062h,060h,062h,060h,062h,05Fh,064h,05Fh,06Ah,0A0h,0ACh,0A3h,0AFh,07Eh,05Eh,061h
db 06Ah,0A5h,0A6h,06Ch,060h,062h,063h,05Fh,06Fh,0A7h,0A9h,0A7h,073h,059h,082h,0ABh
db 0A6h,0A8h,0A2h,063h,065h,05Bh,086h,0AAh,0A9h,096h,060h,061h,063h,05Ch,089h,0ACh
db 0A8h,094h,05Ch,064h,060h,060h,089h,0B1h,0A1h,0AFh,093h,061h,061h,097h,0ACh,0A2h
db 0ADh,087h,05Ch,062h,061h,09Ah,0ACh,075h,05Ch,063h,05Eh,06Ah,0A5h,0A5h,0A9h,070h
db 05Fh,05Eh,074h,0ABh,0A5h,0A7h,0A6h,06Eh,05Eh,05Eh,076h,0ADh,0A3h,0A3h,061h,061h
db 05Fh,05Fh,077h,0B3h,08Fh,065h,05Ch,066h,059h,08Ah,0A9h,0AAh,093h,05Ch,064h,05Eh
db 093h,0ACh,0A2h,0ADh,08Bh,05Ch,064h,09Eh,0A7h,0A8h,07Bh,059h,064h,05Dh,063h,05Eh
db 064h,05Eh,066h,05Bh,080h,0ACh,0A6h,0A9h,0A3h,066h,08Dh,0AEh,0A1h,0ADh,08Fh,05Eh
db 060h,060h,061h,060h,061h,062h,061h,063h,061h,066h,09Bh,0AFh,074h,061h,061h,072h
db 0ABh,0A7h,0AAh,0A6h,0A8h,0A7h,0A6h,0A9h,092h,05Ah,065h,05Ch,065h,05Ah,085h,0AFh
db 08Dh,05Bh,066h,05Dh,09Dh,0A6h,0ADh,080h,05Dh,063h,061h,061h,063h,061h,065h,05Dh
db 080h,0AEh,0A6h,0AAh,0A3h,067h,062h,05Eh,080h,0B2h,090h,05Fh,065h,05Fh,067h,05Ch
db 088h,0ACh,0ABh,098h,05Fh,066h,097h,0AFh,0A3h,0AFh,089h,05Ch,065h,060h,0A1h,0A6h
db 0ADh,07Eh,05Dh,063h,060h,065h,0A2h,0A8h,0ACh,07Ah,05Dh,064h,060h,068h,0A5h,0A7h
db 0ABh,075h,060h,05Fh,072h,0AAh,0A7h,0A7h,0A9h,071h,05Fh,05Fh,075h,0ACh,0A5h,0A4h
db 066h,060h,063h,05Eh,079h,0AFh,097h,061h,063h,05Dh,08Eh,0ADh,0A6h,0A8h,0A8h,09Ch
db 063h,05Eh,090h,0ABh,0A6h,08Bh,056h,067h,05Ch,0A1h,0A4h,0ACh,07Ch,05Ch,062h,05Fh
db 065h,09Dh,0A9h,072h,05Ch,064h,05Dh,06Fh,0A7h,0A6h,0A7h,0A5h,0A9h,07Fh,056h,075h
db 0A5h,0A7h,0A2h,06Bh,05Bh,064h,059h,07Ah,098h,05Bh,065h,05Dh,066h,05Ah,081h,0ADh
db 0A5h,0A9h,0A5h,0A8h,0A4h,0A8h,0A2h,0AAh,086h,059h,062h,05Fh,09Bh,0A8h,074h,059h
db 063h,05Ch,062h,060h,0A3h,0A3h,0ACh,076h,05Dh,05Dh,06Dh,0A6h,0A6h,0A4h,0A8h,073h
db 05Ch,05Eh,06Eh,0A9h,0A2h,0A5h,066h,05Eh,05Fh,060h,05Fh,060h,061h,060h,062h,05Eh
db 08Ch,0AFh,0A2h,0ADh,092h,05Fh,061h,061h,061h,062h,062h,062h,062h,062h,067h,0A3h
db 0A9h,0A9h,0A7h,0A9h,0A6h,0AAh,097h,05Eh,063h,05Dh,08Dh,0B0h,081h,05Bh,064h,05Eh
db 065h,05Dh,095h,0AAh,0AAh,08Ah,058h,06Eh,09Fh,0ACh,0A2h,0AEh,07Ah,05Dh,060h,06Ah
db 0A7h,0A3h,06Ah,05Eh,062h,061h,060h,06Eh,0ABh,0A4h,0AAh,06Ah,063h,05Ch,07Ch,0ABh
db 0A6h,0A1h,062h,064h,05Ch,085h,0AEh,0A2h,0ADh,098h,064h,05Ch,093h,0A8h,0A8h,089h
db 058h,065h,05Ch,064h,090h,0B2h,078h,05Fh,060h,062h,063h,0A3h,0A5h,0AAh,0A1h,0AEh
db 081h,06Ah,0A7h,0A4h,0A4h,0A8h,077h,05Ah,060h,06Ah,0A8h,0A1h,0A7h,069h,05Dh,060h
db 05Dh,070h,0ABh,09Ah,065h,05Ch,064h,05Ah,07Fh,0ABh,0A3h,0A8h,0A4h,0A7h,0A3h,0A6h
db 0A1h,0A9h,088h,058h,060h,05Ch,060h,05Dh,060h,05Dh,061h,05Ch,06Bh,0A4h,0A5h,0A6h
db 0A5h,0A5h,0A4h,0A4h,0A4h,0A3h,0A3h,09Fh,065h,05Bh,05Eh,05Dh,05Eh,05Eh,05Fh,05Fh
db 05Fh,05Fh,05Eh,062h,05Ch,077h,0ACh,0A3h,0A9h,0A3h,0A8h,0A2h,0A7h,0A0h,0AAh,08Dh
db 05Bh,05Fh,05Eh,05Eh,05Fh,05Eh,060h,05Fh,061h,05Eh,062h,05Eh,064h,05Bh,085h,0ACh
db 0A4h,0A8h,0A6h,0A6h,0A7h,0A3h,0A9h,07Ch,059h,062h,05Dh,061h,05Eh,061h,060h,060h
db 062h,05Eh,072h,0ABh,0A4h,0AAh,0A4h,0AAh,079h,058h,076h,0ABh,099h,062h,061h,060h
db 062h,05Dh,079h,0AFh,095h,061h,062h,05Eh,08Ch,0AFh,0A1h,0AFh,090h,061h,060h,09Ah
db 0A7h,0AAh,080h,059h,065h,05Ch,067h,098h,0AEh,071h,060h,05Eh,072h,0A9h,0A5h,0A5h
db 06Ah,05Eh,063h,05Dh,076h,0ABh,0A4h,0A5h,063h,064h,05Bh,080h,0ADh,0A4h,0AAh,09Eh
db 064h,061h,05Eh,081h,0B2h,088h,05Eh,061h,062h,05Fh,08Fh,0B1h,080h,05Ch,062h,066h
db 0A5h,0A6h,0AAh,0A3h,0ACh,082h,059h,06Ch,0A3h,0A5h,0A6h,071h,05Bh,063h,05Ch,06Eh
db 0A7h,0A0h,068h,05Dh,063h,05Bh,07Ah,0ABh,0A5h,0A1h,061h,064h,05Ah,085h,0ACh,0A4h
db 0A8h,0A4h,0A7h,0A3h,0A7h,0A1h,0AAh,080h,058h,062h,05Ch,061h,05Dh,061h,05Eh,062h
db 05Ch,073h,0A9h,0A4h,0A7h,0A4h,0A7h,0A3h,0A6h,0A2h,0A8h,094h,05Ch,05Fh,05Dh,05Fh
db 05Eh,060h,05Eh,060h,05Fh,063h,09Ch,0A9h,074h,058h,07Ch,0AAh,0A3h,0A8h,0A3h,0A7h
db 0A3h,0A6h,0A0h,0A9h,08Bh,059h,060h,05Ch,05Fh,05Eh,060h,05Eh,060h,05Fh,060h,063h
db 09Eh,0A8h,0A5h,0A6h,0A5h,0A5h,0A4h,0A4h,0A3h,0A2h,068h,05Bh,05Fh,05Dh,05Fh,05Eh
db 05Fh,05Eh,061h,05Eh,063h,05Bh,07Dh,0ACh,0A3h,0A9h,0A3h,0A8h,0A2h,0A8h,0A0h,0AAh
db 088h,05Ah,060h,05Eh,093h,0ACh,075h,05Ah,060h,05Eh,05Fh,062h,099h,0ABh,072h,05Dh
db 05Eh,06Eh,0A9h,0A2h,0A7h,0A3h,074h,054h,07Fh,0A8h,0A3h,0A5h,09Fh,065h,05Ch,060h
db 05Bh,075h,0AEh,092h,062h,05Ch,063h,058h,084h,0A9h,0A6h,096h,05Ah,064h,059h,090h
db 0AAh,0A2h,0A9h,08Eh,05Ah,063h,096h,0AAh,09Eh,0ACh,080h,05Ah,05Fh,062h,09Bh,0A7h
db 06Fh,05Ah,061h,05Bh,06Bh,0A5h,0A3h,0A6h,06Ah,05Eh,05Bh,076h,0AAh,0A1h,0A7h,0A1h
db 0A6h,0A0h,0A6h,09Fh,0A8h,08Bh,059h,05Eh,05Bh,05Dh,05Dh,05Eh,05Dh,05Fh,05Dh,066h
db 0A1h,0A4h,0A6h,075h,055h,07Ah,0A8h,0A2h,0A6h,0A2h,0A4h,0A1h,0A4h,09Fh,0A7h,08Ah
db 058h,05Eh,05Ah,05Dh,05Ch,05Eh,05Dh,05Eh,05Eh,05Eh,061h,09Bh,0A7h,0A4h,0A5h,0A3h
db 0A4h,0A2h,0A3h,0A2h,0A3h,0A0h,0A3h,09Eh,0A6h,084h,055h,05Eh,058h,05Dh,059h,05Eh
db 05Ah,05Fh,05Ah,06Ah,0A1h,0A3h,0A3h,0A3h,0A1h,0A2h,0A1h,0A2h,0A0h,0A2h,09Fh,0A1h
db 067h,057h,05Bh,05Ah,05Bh,05Ch,05Bh,05Dh,05Bh,05Fh,058h,07Eh,0A9h,09Fh,0A5h,09Fh
db 0A5h,09Eh,0A4h,09Dh,0A7h,081h,056h,05Dh,059h,05Ch,05Ah,05Ch,05Bh,05Dh,05Dh,05Eh
db 05Dh,060h,099h,0A7h,0A2h,0A5h,0A0h,0A6h,090h,059h,060h,059h,08Eh,0A8h,09Eh,0A8h
db 08Bh,057h,060h,058h,093h,0A3h,0A5h,081h,054h,062h,057h,063h,055h,094h,078h,059h
db 05Eh,069h,0A7h,0A1h,0A6h,0A1h,0A5h,0A0h,0A4h,09Fh,0A6h,094h,05Dh,05Bh,05Ch,05Bh
db 05Dh,05Ch,05Eh,05Ch,05Fh,05Dh,098h,0A5h,0A6h,080h,053h,071h,0A0h,0A6h,0A1h,0A7h
db 070h,05Ah,05Ch,06Dh,0A8h,09Fh,0A4h,061h,060h,057h,07Eh,0A6h,0A4h,098h,05Dh,05Eh
db 05Eh,05Bh,07Dh,0AFh,089h,05Dh,05Dh,060h,05Bh,08Ah,0ACh,09Eh,0ABh,08Eh,05Dh,05Eh
db 096h,0A6h,0A3h,0A2h,0A6h,08Ch,057h,061h,05Ah,060h,05Bh,061h,05Ch,061h,05Ch,069h
db 09Fh,0A7h,069h,060h,05Bh,07Ah,0ABh,0A2h,0A8h,0A3h,0A7h,0A2h,0A7h,0A0h,0A9h,08Ah
db 059h,05Fh,05Ch,05Fh,05Ch,060h,05Dh,061h,05Dh,069h,0A1h,0A7h,0A3h,0A8h,07Bh,055h
db 074h,0A6h,0A4h,0A5h,0A3h,0A4h,0A3h,0A3h,0A1h,0A5h,091h,059h,05Eh,05Bh,05Eh,05Bh
db 05Fh,05Ch,060h,05Ch,061h,05Dh,097h,0A7h,0A4h,0A5h,0A5h,0A3h,0A5h,0A1h,0A4h,09Fh
db 0A7h,074h,057h,05Eh,05Bh,05Dh,05Dh,05Eh,05Eh,05Dh,060h,05Ah,074h,0A9h,0A2h,0A7h
db 0A3h,0A5h,0A2h,0A4h,0A2h,0A3h,0A1h,0A3h,0A0h,0A1h,067h,059h,05Ch,05Bh,05Ch,05Dh
db 05Ch,05Eh,05Ch,060h,059h,080h,0ABh,09Fh,0A7h,0A0h,0A7h,09Fh,0A6h,09Ch,0AAh,080h
db 059h,05Bh,05Dh,05Ah,060h,056h,085h,0A6h,0A5h,08Fh,05Ah,05Fh,095h,0A5h,0A4h,07Fh
db 054h,062h,058h,061h,05Ah,062h,05Ah,063h,058h,077h,0A8h,0A3h,0A6h,0A3h,0A5h,0A3h
db 0A4h,0A1h,0A7h,08Eh,058h,05Fh,05Ah,05Eh,05Ch,05Fh,05Dh,060h,05Ch,066h,09Fh,0A7h
db 0A2h,0A9h,07Eh,055h,072h,0A3h,0A5h,0A3h,0A5h,070h,059h,060h,05Ch,060h,05Dh,061h
db 05Dh,062h,05Bh,081h,0B0h,08Ah,05Bh,063h,05Dh,099h,0A7h,0A9h,080h,059h,064h,062h
db 0A5h,0A3h,0ABh,072h,05Eh,05Eh,070h,0A8h,0A5h,0A6h,0A5h,0A5h,0A5h,0A2h,0A8h,08Fh
db 059h,061h,05Bh,061h,05Ch,061h,05Dh,062h,05Ch,06Ah,09Fh,0ABh,0A0h,0AEh,076h,073h
db 0ACh,0A0h,0A8h,0A1h,0A7h,06Dh,05Bh,05Fh,05Eh,05Fh,05Eh,060h,05Eh,062h,05Ch,081h
db 0B0h,089h,05Dh,062h,060h,098h,0AAh,0A3h,0ABh,087h,059h,064h,05Eh,09Fh,0A4h,0ABh
db 07Ch,05Bh,060h,068h,0A6h,0A4h,0A8h,070h,05Ch,062h,05Eh,062h,05Fh,063h,05Eh,065h
db 05Bh,086h,0ACh,0A6h,0A8h,0A7h,0A7h,0A7h,0A4h,0AAh,07Ch,05Ah,063h,05Dh,066h,09Bh
db 06Bh,05Eh,061h,061h,060h,06Fh,0A9h,0A6h,0A7h,06Eh,05Bh,081h,0AEh,0A3h,0AAh,0A3h
db 0A6h,066h,062h,05Bh,07Dh,0AFh,091h,05Eh,062h,05Eh,062h,05Fh,063h,060h,064h,05Fh
db 069h,09Fh,0ACh,0A3h,0AFh,080h,05Eh,062h,069h,0A4h,0A7h,06Eh,05Fh,063h,062h,063h
db 063h,062h,064h,062h,066h,05Fh,084h,0B0h,0A6h,0ACh,0A7h,0ABh,0A6h,0ABh,07Ah,059h
db 07Bh,0AAh,0A8h,0A2h,066h,061h,062h,062h,062h,062h,063h,062h,065h,061h,095h,0AFh
db 0A7h,0ABh,0A7h,0AAh,0A6h,0AAh,0A5h,0ABh,076h,05Ch,063h,05Fh,063h,060h,064h,060h
db 066h,05Dh,080h,0B1h,092h,05Fh,066h,05Fh,097h,0ACh,0A9h,0A7h,0ACh,097h,060h,064h
db 096h,0AEh,0A3h,0ADh,089h,05Bh,065h,060h,09Fh,0A6h,0ACh,07Fh,05Bh,064h,05Fh,066h
db 09Fh,0A8h,0A9h,07Dh,059h,067h,05Ch,06Ch,09Fh,0ACh,06Ch,062h,05Dh,07Ah,0ACh,0A5h
db 0A9h,0A5h,0A8h,0A4h,0A8h,0A3h,0AAh,08Fh,05Ch,062h,05Eh,061h,05Fh,062h,05Fh,062h
db 060h,063h,060h,065h,05Eh,08Fh,0AEh,0A5h,0AAh,0A5h,0A9h,0A5h,0A8h,0A3h,0ABh,07Ch
db 05Ah,063h,05Eh,062h,05Eh,063h,05Fh,065h,05Ch,07Ch,0ACh,0A4h,0A9h,0A5h,0A8h,0A5h
db 0A7h,0A4h,0A7h,0A3h,0A6h,0A3h,0A6h,0A1h,0A8h,073h,059h,05Fh,05Ch,05Fh,05Eh,05Fh
db 05Fh,05Eh,061h,05Ch,076h,0ABh,0A3h,0A9h,0A2h,0A7h,0A2h,0A7h,0A0h,0A9h,08Dh,05Ah
db 05Fh,05Dh,05Eh,05Eh,05Fh,05Fh,05Eh,060h,05Fh,062h,05Eh,093h,0ABh,0A4h,0A7h,0A4h
db 0A7h,0A3h,0A6h,0A1h,0A7h,071h,059h,060h,05Dh,060h,05Eh,061h,05Dh,062h,05Bh,080h
db 0ADh,0A2h,0A9h,0A3h,0A8h,0A2h,0A8h,0A0h,0AAh,083h,059h,05Fh,05Dh,05Fh,05Eh,05Fh
db 05Fh,060h,05Fh,060h,061h,060h,061h,061h,062h,061h,063h,062h,064h,062h,065h,061h
db 067h,05Eh,08Ah,0AFh,0A7h,0ABh,0A8h,0A9h,0A8h,0A7h,0ABh,07Ch,05Bh,066h,05Fh,064h
db 060h,065h,060h,066h,05Eh,07Ch,0AEh,0A7h,0ABh,0A7h,0AAh,0A6h,0AAh,0A4h,0ACh,091h
db 05Dh,062h,05Fh,062h,061h,062h,062h,062h,063h,062h,064h,062h,066h,05Fh,087h,0B0h
db 0A6h,0ACh,0A6h,0ABh,0A6h,0AAh,0A4h,0AEh,083h,05Bh,064h,063h,0A4h,0A5h,0ACh,079h
db 05Dh,061h,06Ch,0AAh,0A0h,06Ah,05Eh,064h,05Fh,064h,060h,065h,060h,066h,060h,068h
db 05Dh,085h,0AEh,0A8h,0AAh,0A9h,0A8h,0AAh,0A5h,0ADh,080h,05Ch,064h,060h,064h,061h
db 064h,062h,064h,063h,064h,064h,064h,065h,064h,09Ah,0AFh,0A8h,0ACh,0A8h,0ABh,0A8h
db 0ABh,0A6h,0ABh,074h,05Eh,064h,061h,064h,061h,064h,062h,065h,062h,066h,060h,078h
db 0ADh,0A8h,0ACh,0A8h,0ABh,0A8h,0A9h,0A7h,0A9h,0A7h,0A8h,0A2h,068h,05Fh,062h,060h
db 063h,061h,063h,062h,063h,062h,064h,063h,064h,063h,065h,063h,067h,063h,069h,060h
db 08Eh,0B2h,0A8h,0ADh,0A9h,0ACh,0A8h,0ACh,073h,060h,065h,062h,065h,064h,065h,064h
db 066h,064h,067h,065h,068h,063h,070h,0A7h,0AFh,0A9h,0B1h,080h,060h,068h,064h,068h
db 065h,068h,066h,068h,067h,068h,067h,068h,068h,068h,06Bh,066h,092h,0B6h,0A9h,0B5h
db 09Bh,068h,068h,068h,068h,069h,068h,06Bh,068h,06Bh,068h,06Dh,066h,09Ah,0B5h,0AEh
db 0B1h,0AEh,0AEh,0AEh,0ADh,0AEh,079h,063h,06Ah,065h,069h,066h,06Ah,067h,06Ah,068h
db 06Bh,068h,06Ch,069h,06Ch,06Ah,0A8h,0B0h,0B1h,0ADh,0B4h,094h,064h,06Fh,0A7h,0B0h
db 0B0h,080h,061h,06Ch,065h,06Ch,066h,06Ch,066h,06Eh,063h,086h,0B4h,0AEh,0B0h,0AEh
db 0AEh,0ADh,0ADh,0AEh,0ACh,0ACh,0ABh,0ACh,0A5h,06Ah,064h,066h,064h,066h,064h,067h
db 065h,069h,065h,06Ah,061h,089h,0B3h,0AAh,0AFh,0ABh,0ADh,0AAh,0ACh,0AAh,0ABh,0A9h
db 0AAh,0A9h,0AAh,0A4h,06Ah,060h,063h,062h,064h,063h,064h,064h,065h,064h,065h,065h
db 065h,065h,066h,065h,06Ah,0A5h,0AEh,0AAh,0ACh,0AAh,0ACh,0A9h,0ACh,0A2h,067h,063h
db 064h,064h,064h,065h,065h,065h,065h,066h,066h,066h,066h,066h,067h,066h,06Eh,0AAh
db 0ADh,0ADh,0ABh,0AEh,0A9h,0B0h,097h,062h,066h,063h,067h,064h,067h,065h,067h,065h
db 068h,068h,0A0h,0B0h,0ABh,0ADh,0AAh,0ADh,0AAh,0ACh,0A9h,0ACh,0A7h,0AEh,080h,05Dh
db 066h,061h,065h,062h,065h,063h,066h,063h,067h,064h,067h,063h,069h,062h,096h,0B1h
db 0AAh,0ADh,0ABh,0ABh,0AAh,0A9h,0ABh,075h,05Eh,066h,061h,067h,062h,067h,063h,068h
db 063h,06Ah,061h,07Ch,0AEh,0ABh,0ACh,0ABh,0AAh,0ACh,0A7h,0AFh,08Fh,05Eh,067h,062h
db 066h,063h,066h,063h,066h,064h,066h,065h,067h,09Eh,0AFh,0A9h,0ADh,0A9h,0ACh,0A8h
db 0ABh,0A8h,0ABh,0A6h,0ABh,0A4h,0ADh,08Eh,05Eh,063h,060h,062h,061h,063h,063h,064h
db 062h,06Bh,0A8h,0A8h,0ACh,0A5h,0AFh,082h,05Dh,065h,061h,064h,062h,064h,063h,063h
db 065h,064h,065h,064h,067h,062h,098h,0AFh,0A9h,0ACh,0AAh,0AAh,0AAh,0A8h,0AAh,0A6h
db 0ADh,080h,05Ch,065h,060h,064h,061h,064h,062h,064h,063h,064h,064h,065h,064h,065h
db 065h,064h,067h,062h,07Eh,0B2h,0A8h,0AFh,0A7h,0AEh,0A6h,0B1h,080h,05Fh,066h,063h
db 065h,064h,064h,065h,065h,066h,065h,067h,066h,067h,066h,068h,067h,068h,067h,069h
db 068h,06Ah,068h,06Bh,067h,06Dh,064h,088h,0B4h,0AFh,0A5h,068h,0A5h,0B0h,0AEh,0ADh
db 0AEh,0ADh,0ADh,0ACh,0ACh,0ABh,0ABh,0AAh,0AAh,0AAh,0AAh,0A8h,0AAh,0A4h,069h,061h
db 063h,063h,063h,064h,063h,065h,063h,067h,060h,08Bh,0B1h,0A7h,0ADh,0A7h,0ACh,0A7h
db 0ABh,0A6h,0ABh,0A4h,0ADh,08Fh,05Eh,063h,060h,062h,061h,062h,063h,062h,063h,062h
db 064h,062h,098h,0AFh,0A7h,0ABh,0A7h,0AAh,0A6h,0A9h,0A4h,0AAh,073h,05Dh,062h,060h
db 062h,061h,062h,062h,063h,062h,063h,064h,063h,064h,064h,065h,064h,065h,065h,066h
db 065h,066h,065h,068h,065h,06Ah,062h,092h,0B3h,0AAh,0AEh,0AAh,0ADh,0A6h,06Dh,063h
db 067h,064h,067h,065h,067h,066h,068h,065h,068h,066h,06Ah,064h,079h,0B0h,0ACh,0AFh
db 0ACh,0AEh,0ABh,0AEh,0A9h,0AFh,09Ch,064h,066h,064h,066h,064h,066h,065h,067h,065h
db 068h,065h,09Bh,0B1h,0AAh,0AEh,0AAh,0ADh,0A9h,0ACh,0A8h,0ABh,0A8h,0ABh,0A6h,0ADh
db 093h,060h,063h,062h,063h,063h,063h,064h,063h,065h,063h,066h,062h,068h,05Fh,086h
db 0B1h,0A8h,0ACh,0A9h,0AAh,0A9h,073h,05Fh,066h,062h,065h,063h,066h,063h,066h,065h
db 066h,065h,067h,066h,067h,066h,068h,066h,06Ah,063h,084h,0B8h,095h,066h,068h,067h
db 068h,068h,069h,069h,069h,06Ah,069h,06Ch,0A4h,0B4h,0ABh,0B5h,08Bh,063h,06Bh,066h
db 06Bh,067h,06Bh,068h,06Ch,067h,07Bh,0B4h,0A6h,06Fh,068h,06Dh,066h,083h,0BAh,09Ah
db 069h,06Ah,06Ah,06Bh,06Ah,06Bh,06Ch,06Bh,06Ch,06Bh,06Ch,06Ch,06Dh,06Ch,06Dh,06Dh
db 06Eh,06Dh,06Eh,06Dh,06Eh,06Eh,06Fh,06Eh,06Fh,06Eh,06Fh,070h,070h,06Fh,070h,070h
db 070h,071h,06Eh,07Ch,0B7h,0B4h,0B7h,0B4h,0B7h,0B1h,0BAh,09Ah,069h,070h,06Dh,06Fh
db 06Dh,06Fh,06Eh,06Fh,06Fh,06Fh,070h,070h,0A6h,0BAh,0B2h,0B6h,0B2h,0B5h,0B1h,0B4h
db 0AFh,0B4h,07Bh,068h,06Dh,06Bh,06Ch,06Dh,06Ch,06Dh,06Ch,06Eh,06Ch,06Fh,06Ah,07Ch
db 0B4h,0B2h,0B4h,0B2h,0B2h,0B1h,0B1h,0B0h,0B1h,0B0h,0AFh,0AFh,0AEh,0AFh,0ADh,0AEh
db 0ACh,0ADh,0ABh,0ADh,0AAh,0ADh,0A7h,0B0h,085h,05Dh,067h,061h,066h,063h,066h,063h
db 067h,064h,067h,064h,06Dh,0A6h,0AEh,0AAh,0ACh,0AAh,0ACh,0A9h,0ABh,0A8h,0ABh,0A7h
db 0ABh,0A5h,0AEh,085h,05Ch,064h,060h,064h,061h,064h,061h,065h,05Fh,075h,0ABh,0A8h
db 0ABh,0A7h,0AAh,0A7h,0A9h,0A5h,0ABh,098h,060h,062h,060h,062h,061h,062h,061h,063h
db 062h,063h,063h,064h,063h,064h,064h,065h,064h,065h,065h,066h,065h,066h,066h,067h
db 066h,067h,067h,068h,067h,068h,068h,069h,068h,069h,06Ah,069h,06Ah,069h,06Ah,06Bh
db 06Bh,06Ah,06Bh,06Ch,06Bh,06Ch,06Bh,06Ch,06Ch,06Dh,06Ch,06Eh,06Bh,077h,0B2h,0B1h
db 0B3h,0B0h,0B4h,0AEh,0B6h,099h,067h,06Ch,069h,06Ch,069h,06Ch,06Ah,06Ch,06Bh,06Ch
db 06Eh,0A8h,0B4h,0B0h,0B2h,0B0h,0B1h,0AFh,0B0h,0AEh,0AEh,074h,066h,06Ah,068h,069h
db 069h,06Ah,06Ah,069h,06Ah,069h,06Ch,067h,07Dh,0B4h,0AEh,0B3h,0ADh,0B2h,0ABh,0B4h
db 08Ch,062h,06Bh,066h,06Ah,067h,06Ah,068h,06Bh,068h,06Ch,068h,06Ch,067h,06Eh,065h
db 092h,0B5h,0AEh,0B2h,0AEh,0AFh,0AFh,0ADh,0AFh,0ABh,0B2h,08Fh,061h,06Ah,064h,06Ah
db 065h,06Ah,065h,06Ah,066h,06Bh,066h,06Ch,066h,06Eh,063h,08Fh,0B4h,0AEh,0B0h,0AEh
db 0ADh,0AFh,0ABh,0B1h,080h,061h,06Ah,065h,069h,066h,069h,067h,069h,068h,069h,069h
db 06Ah,069h,06Ah,069h,06Bh,06Ah,06Bh,06Ah,06Bh,06Bh,06Ch,06Bh,06Ch,06Ch,06Dh,06Ch
db 06Dh,06Dh,06Eh,06Dh,06Dh,06Eh,06Dh,06Eh,06Eh,06Fh,06Eh,06Fh,06Eh,070h,06Fh,070h
db 06Eh,072h,06Ch,081h,0BAh,0B3h,0B8h,0B3h,0B7h,0B0h,0B9h,08Fh,068h,070h,06Bh,06Fh
db 06Ch,070h,06Ch,071h,06Ah,080h,0B6h,0B3h,0B5h,0B3h,0B3h,0B2h,0B2h,0B2h,0B0h,0B2h
db 0A7h,06Ch,06Ah,06Ah,06Ah,06Ah,06Bh,06Bh,06Ch,06Bh,06Ch,06Bh,06Ch,06Ch,06Dh,06Ch
db 06Dh,06Dh,06Eh,06Dh,06Eh,06Dh,06Eh,06Fh,06Eh,06Fh,06Eh,06Fh,070h,070h,06Fh,070h
db 06Fh,070h,071h,071h,070h,071h,070h,071h,071h,072h,071h,072h,071h,072h,072h,073h
db 072h,073h,072h,073h,073h,074h,073h,074h,073h,074h,073h,075h,074h,075h,074h,076h
db 074h,076h,073h,078h,070h,08Ah,0BFh,0B9h,0B6h,078h,075h,074h,075h,074h,076h,074h
db 076h,075h,076h,075h,076h,076h,076h,076h,076h,07Bh,0B8h,0BCh,0BCh,0BAh,0BBh,0B9h
db 0BAh,0B7h,0BAh,0B6h,0B8h,0B5h,0B8h,0B2h,0BBh,09Bh,06Bh,071h,06Eh,070h,06Fh,06Fh
db 071h,06Dh,080h,0B8h,0B3h,0B7h,0B3h,0B6h,0B3h,0B4h,0B2h,0B3h,0B3h,0ABh,06Eh,06Ch
db 06Ah,06Eh,06Bh,06Eh,06Ah,06Eh,06Ch,0ABh,0B1h,0B7h,085h,066h,06Fh,06Ah,06Dh,06Ch
db 06Dh,06Dh,06Ch,06Eh,06Ah,07Fh,0B6h,0B1h,0B2h,074h,06Ch,06Ch,06Dh,06Dh,06Eh,06Dh
db 06Eh,06Dh,06Eh,06Eh,06Fh,06Eh,06Fh,06Eh,070h,06Fh,070h,06Fh,070h,06Fh,071h,070h
db 071h,070h,071h,070h,072h,071h,072h,071h,073h,071h,072h,075h,0B1h,0B9h,0B8h,0B6h
db 0B7h,0B4h,0B9h,0A7h,06Fh,070h,06Eh,070h,06Fh,070h,06Fh,06Fh,070h,06Fh,071h,06Fh
db 073h,06Ch,08Bh,0BDh,0B3h,0BAh,0B2h,0B8h,0B1h,0BAh,086h,069h,070h,06Dh,06Fh,06Eh
db 06Fh,06Eh,06Fh,06Fh,070h,06Fh,070h,06Fh,070h,070h,071h,070h,071h,070h,071h,072h
db 071h,072h,072h,071h,072h,073h,072h,073h,072h,073h,072h,073h,073h,074h,073h,074h
db 073h,074h,073h,074h,074h,075h,074h,077h,071h,086h,0BFh,0B7h,0BDh,0B6h,0BCh,0B4h
db 0BEh,094h,06Ch,074h,070h,073h,071h,073h,071h,073h,072h,073h,072h,073h,072h,074h
db 073h,074h,073h,074h,073h,074h,074h,075h,074h,075h,074h,075h,075h,076h,075h,076h
db 075h,076h,075h,076h,077h,076h,077h,076h,077h,076h,077h,078h,077h,077h,078h,077h
db 078h,077h,078h,078h,079h,078h,079h,078h,078h,078h,079h,07Bh,0B4h,0C1h,0BCh,0BFh
db 0BCh,0BDh,0BBh,0BCh,0B9h,0BAh,080h,071h,075h,073h,074h,074h,075h,074h,075h,075h
db 075h,075h,075h,076h,075h,07Bh,0B5h,0BCh,0BAh,0BBh,0B9h,0BAh,0B8h,0BAh,0AEh,074h
db 072h,071h,072h,072h,072h,072h,073h,072h,073h,072h,073h,074h,074h,073h,074h,073h
db 074h,073h,074h,075h,074h,075h,074h,075h,075h,076h,075h,076h,075h,076h,075h,076h
db 076h,077h,076h,077h,076h,077h,076h,078h,077h,078h,077h,078h,077h,078h,077h,078h
db 077h,079h,078h,079h,077h,07Ah,077h,07Ch,073h,099h,0C4h,0BAh,0C0h,0BBh,0BEh,0BAh
db 0BCh,0B9h,0BBh,0B8h,0BBh,0B7h,0B9h,0B6h,0B8h,07Fh,06Eh,072h,070h,072h,071h,072h
db 071h,072h,072h,073h,072h,073h,072h,072h,073h,074h,073h,074h,073h,074h,073h,074h
db 075h,074h,074h,075h,074h,075h,076h,075h,076h,075h,076h,075h,076h,075h,076h,077h
db 076h,077h,076h,077h,076h,077h,076h,077h,078h,077h,078h,077h,078h,077h,078h,077h
db 078h,079h,078h,078h,079h,078h,079h,078h,078h,079h,07Ah,079h,07Ah,079h,07Ah,079h
db 07Ah,079h,07Ah,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Bh
db 07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Dh,07Bh,07Dh,07Ah,07Fh,077h,0A1h,0C8h
db 0BEh,0C4h,0BEh,0C2h,0BDh,0C1h,0BAh,0C4h,097h,072h,07Ah,075h,078h,076h,079h,076h
db 079h,077h,079h,076h,07Eh,0B8h,0BFh,0BDh,0BDh,0BBh,0BCh,0BAh,0BBh,0B8h,0BBh,0B6h
db 0BCh,084h,06Eh,075h,071h,074h,072h,073h,072h,073h,073h,074h,073h,074h,073h,074h
db 073h,074h,074h,075h,074h,075h,074h,075h,075h,076h,075h,076h,075h,076h,075h,076h
db 077h,077h,076h,077h,076h,077h,076h,077h,076h,077h,078h,077h,078h,077h,078h,077h
db 078h,077h,078h,078h,079h,078h,079h,078h,079h,078h,079h,078h,079h,079h,07Ah,079h
db 07Ah,07Ah,07Ah,07Ah,079h,080h,0BCh,0BFh,0BFh,0BDh,0BFh,0BBh,0C1h,0A9h,073h,078h
db 075h,078h,075h,077h,076h,078h,076h,078h,077h,0B0h,0C0h,0BAh,0BCh,0BAh,0BBh,0B9h
db 0BAh,0B7h,0B9h,080h,06Fh,074h,071h,073h,072h,073h,072h,073h,073h,074h,073h,074h
db 073h,074h,073h,074h,074h,075h,074h,075h,074h,075h,074h,075h,075h,076h,075h,076h
db 075h,076h,075h,076h,076h,077h,076h,077h,076h,077h,076h,077h,078h,078h,077h,078h
db 077h,078h,077h,078h,077h,078h,079h,078h,079h,079h,078h,079h,078h,079h,078h,079h
db 07Ah,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,07Ah,07Ah,07Bh,07Ah,07Bh
db 07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh
db 07Ch,07Ch,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Eh,07Eh,07Fh,07Fh

Aaah db 080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,0C3h,0D6h,0CEh,0D2h,0CEh,0D0h,0CCh
db 0CFh,0CAh,0CEh,087h,077h,07Bh,07Ah,07Ah,07Bh,07Ah,07Bh,079h,07Ch,078h,07Dh,076h
db 08Bh,0CCh,0CBh,0C9h,0CCh,08Ah,073h,07Ah,076h,079h,076h,078h,078h,079h,078h,079h
db 079h,078h,079h,078h,079h,078h,07Ah,077h,07Bh,074h,08Eh,0D0h,0BBh,07Ah,079h,076h
db 07Bh,072h,092h,0CDh,0C7h,0C0h,079h,075h,078h,072h,093h,0CEh,0C1h,0CAh,0C0h,0C7h
db 07Fh,072h,071h,075h,06Fh,080h,0C0h,0C2h,07Bh,072h,06Dh,090h,0C9h,0BEh,0C5h,0BEh
db 0C1h,07Dh,06Ch,071h,06Bh,080h,0C2h,0BCh,0C0h,0BCh,080h,064h,074h,065h,080h,0B9h
db 0C1h,0B8h,0C3h,07Eh,06Ah,067h,080h,0BDh,0BBh,0BAh,0BCh,07Bh,065h,06Ah,069h,067h
db 073h,0B4h,0BDh,0B6h,0BFh,084h,063h,067h,073h,0B7h,0B9h,0B6h,0BBh,080h,061h,066h
db 074h,0B9h,0B4h,0B7h,0B6h,07Dh,05Ch,069h,060h,067h,067h,0B1h,0B3h,0B8h,0B0h,0BBh
db 08Dh,05Dh,065h,060h,064h,09Ch,0BEh,07Fh,05Eh,063h,061h,067h,0ADh,0B2h,0B6h,07Dh
db 05Bh,064h,05Fh,063h,064h,0A8h,0B6h,0AFh,0B7h,088h,058h,065h,062h,0AEh,0AEh,0B4h
db 0ABh,0B7h,089h,058h,061h,05Ch,061h,05Bh,092h,0B8h,0A8h,0B7h,095h,05Dh,05Ch,060h
db 058h,08Eh,0B5h,0ACh,0AFh,0AEh,0A4h,05Eh,05Bh,05Dh,059h,07Dh,0BAh,092h,05Ch,05Dh
db 05Bh,05Fh,058h,082h,0B6h,0A8h,0B2h,0A9h,0ACh,060h,05Fh,053h,080h,0B1h,0AAh,0ADh
db 0A5h,05Fh,05Ah,058h,05Dh,055h,072h,0AEh,0ABh,0ABh,0AAh,06Bh,055h,05Dh,056h,06Ch
db 0ADh,0A8h,0AEh,0A6h,0B0h,076h,054h,05Bh,057h,05Fh,0A4h,0A9h,0AEh,072h,053h,05Bh
db 058h,059h,05Dh,09Fh,0AFh,06Ch,056h,057h,06Dh,0AFh,0A5h,0ADh,0A5h,0AEh,071h,052h
db 05Bh,055h,05Ah,059h,0A2h,0A8h,0AEh,076h,052h,05Bh,055h,05Fh,0A3h,0AAh,0AAh,0A6h
db 0AEh,081h,04Fh,059h,058h,09Fh,0AAh,0A5h,0ACh,07Fh,04Dh,05Bh,052h,05Bh,052h,093h
db 0ACh,0A4h,0ACh,08Bh,04Fh,05Bh,051h,099h,0A8h,0A8h,0A4h,0ABh,08Dh,050h,057h,053h
db 057h,054h,057h,055h,057h,056h,058h,059h,09Bh,0ADh,072h,04Dh,075h,0ACh,0A6h,0A9h
db 0A6h,0A9h,06Bh,050h,05Ah,051h,067h,0A5h,0A9h,0A5h,0AAh,06Eh,04Fh,059h,053h,058h
db 058h,0A1h,0A6h,0ACh,073h,050h,057h,061h,0AAh,0A2h,0ACh,0A0h,0AEh,074h,050h,056h
db 055h,058h,09Fh,0A5h,0ABh,072h,04Fh,058h,052h,05Dh,0A1h,0A6h,0A8h,0A3h,0ACh,080h
db 04Eh,057h,057h,09Dh,0A7h,0A2h,0AAh,07Bh,04Bh,058h,04Fh,058h,051h,091h,0ABh,0A2h
db 0ABh,087h,04Dh,057h,051h,097h,0A7h,0A3h,0A5h,0A2h,0A7h,093h,050h,054h,050h,054h
db 051h,055h,052h,056h,052h,058h,052h,05Ah,04Eh,081h,0ACh,0A4h,0A7h,0A6h,09Fh,05Bh
db 053h,057h,050h,072h,0ADh,0A2h,0AAh,09Eh,062h,04Eh,05Ah,04Dh,071h,0A7h,0A7h,09Fh
db 05Dh,051h,058h,04Eh,074h,0ABh,0A3h,0A8h,0A1h,05Fh,052h,055h,055h,052h,065h,0A8h
db 0A5h,0A7h,0A6h,06Dh,04Ch,05Bh,04Eh,066h,0A1h,0AAh,0A2h,0ACh,06Dh,051h,052h,065h
db 0A7h,0A4h,0A5h,0A6h,06Bh,04Dh,058h,051h,057h,058h,0A2h,0A4h,0A9h,0A1h,0ACh,080h
db 04Eh,056h,056h,09Bh,0A7h,0A3h,0A6h,0A1h,0A9h,08Ch,04Fh,054h,052h,053h,054h,050h
db 072h,0ADh,09Fh,0A9h,0A0h,0A7h,09Fh,0A7h,09Dh,0AAh,082h,04Eh,051h,053h,04Fh,056h
db 049h,07Dh,089h,048h,05Ah,04Dh,05Ah,04Ch,087h,0A9h,0A3h,0A5h,0A5h,09Ah,053h,055h
db 050h,057h,04Dh,071h,0A8h,0A5h,09Dh,058h,052h,055h,04Fh,073h,0ACh,0A0h,0A9h,0A1h
db 0A6h,061h,051h,053h,054h,053h,055h,053h,056h,054h,059h,050h,07Bh,0AFh,0A2h,0ACh
db 09Bh,05Dh,051h,05Ah,04Eh,078h,0ACh,0A4h,0A7h,0A6h,0A5h,0A8h,06Eh,04Dh,05Ah,04Fh
db 063h,0A1h,0A9h,0A2h,0AAh,071h,04Eh,058h,051h,05Fh,09Eh,0AAh,0A2h,0ACh,075h,04Eh
db 057h,052h,05Bh,09Dh,0A7h,0A7h,074h,04Ch,05Ah,050h,05Ah,053h,0A0h,0A3h,0AEh,074h
db 052h,054h,061h,0A3h,0A8h,0A4h,0AAh,071h,04Fh,058h,053h,056h,057h,09Ah,0ABh,0A2h
db 0ADh,080h,04Fh,058h,058h,09Fh,0A8h,0A3h,0ABh,07Ch,04Dh,05Ah,051h,05Bh,096h,0ADh
db 09Fh,0AEh,07Dh,050h,057h,053h,057h,053h,08Ch,0AFh,0A0h,0AFh,089h,053h,055h,057h
db 052h,088h,0AEh,0A1h,0ADh,08Fh,052h,056h,053h,057h,053h,059h,051h,06Ch,0AAh,0A6h
db 0A9h,0A5h,0A8h,0A5h,0A7h,0A3h,0A8h,097h,053h,055h,051h,058h,04Eh,073h,0ABh,0A4h
db 09Fh,054h,059h,04Eh,080h,0ACh,0A3h,0A8h,0A4h,0A0h,058h,054h,052h,058h,04Fh,06Bh
db 0A8h,0A5h,0A2h,05Fh,051h,058h,050h,06Fh,0ABh,0A3h,0A8h,0A2h,064h,04Fh,05Ah,04Eh
db 06Ch,0A8h,0A5h,0A3h,05Eh,053h,055h,056h,053h,065h,0AAh,0A3h,0AAh,0A1h,0ADh,073h
db 050h,057h,053h,05Ch,09Fh,0A7h,0A7h,0A4h,0ABh,081h,04Ch,05Ah,050h,05Ah,04Eh,08Dh
db 0AAh,0A6h,0A6h,0A8h,097h,054h,054h,08Bh,0AEh,09Eh,0AEh,085h,051h,054h,054h,052h
db 057h,04Fh,078h,0B0h,08Dh,052h,059h,051h,090h,0ABh,0A5h,0A6h,0A8h,094h,050h,058h
db 051h,059h,04Fh,07Bh,0ADh,0A2h,0AAh,09Ch,05Dh,051h,05Ah,04Fh,076h,0ACh,0A4h,0A8h
db 0A5h,0A5h,067h,04Ah,07Bh,0AAh,0A5h,099h,051h,058h,050h,05Ah,04Dh,076h,0ABh,0A4h
db 0A7h,0A4h,0A5h,065h,04Fh,058h,04Fh,068h,0A6h,0A5h,0A5h,0A6h,06Ah,04Dh,05Ah,04Eh
db 065h,0A4h,0A4h,05Ch,057h,050h,07Ah,0ADh,0A2h,0A9h,0A3h,0A8h,0A3h,0A7h,0A0h,0AAh
db 081h,04Dh,056h,051h,055h,052h,055h,053h,056h,054h,056h,05Ch,0A4h,0A6h,0A9h,0A2h
db 0ADh,080h,04Fh,058h,052h,058h,052h,08Ch,0AFh,0A0h,0AEh,08Ah,054h,055h,057h,051h
db 088h,0AEh,0A2h,0ACh,092h,051h,05Ah,04Fh,090h,0A8h,0AAh,084h,04Eh,059h,053h,056h
db 08Fh,0AEh,0A2h,0A9h,0A6h,095h,04Dh,05Ch,04Eh,05Dh,04Bh,080h,0AAh,0A7h,0A5h,0A9h
db 0A2h,0A9h,0A0h,0ADh,076h,050h,053h,05Ch,09Fh,0A8h,0A1h,0ABh,073h,04Fh,053h,05Eh
db 0A3h,0A5h,0A3h,0A7h,070h,04Ch,057h,051h,055h,056h,099h,0AAh,06Bh,050h,054h,065h
db 0ACh,0A0h,0ABh,09Fh,0ACh,06Dh,050h,055h,054h,054h,058h,098h,0ABh,0A1h,0ADh,07Eh
db 04Eh,057h,053h,058h,094h,0ADh,0A0h,0ADh,080h,04Eh,057h,055h,09Ch,0A6h,0AAh,076h
db 04Dh,05Ah,050h,05Ah,052h,09Bh,0A7h,0A9h,0A2h,0ACh,08Ah,051h,055h,056h,052h,088h
db 0AEh,0A1h,0ACh,08Eh,051h,057h,052h,059h,04Fh,07Eh,0AEh,0A3h,0AAh,09Bh,058h,056h
db 050h,080h,0AFh,0A0h,0ADh,096h,057h,054h,055h,056h,053h,070h,0B2h,090h,059h,053h
db 05Bh,050h,082h,0AEh,0A5h,0A9h,0A7h,0A2h,05Bh,056h,054h,059h,052h,06Ch,0ABh,0A5h
db 0A6h,05Fh,056h,056h,059h,054h,068h,0AAh,0A7h,0AAh,0A6h,0AAh,0A5h,0ACh,087h,04Fh
db 05Ah,052h,05Ah,053h,05Ch,050h,078h,0ADh,0A7h,0A9h,0A7h,0A8h,069h,051h,05Ch,050h
db 06Bh,0A7h,0A9h,0A5h,0ABh,06Bh,053h,058h,057h,056h,05Fh,0A0h,0ACh,0A4h,0AFh,079h
db 052h,058h,060h,0A5h,0A9h,0A6h,0ACh,076h,04Fh,05Bh,054h,05Ah,056h,058h,08Eh,0B5h
db 078h,055h,058h,061h,0A8h,0A7h,0ACh,0A5h,0AFh,07Fh,051h,05Bh,055h,05Ah,055h,092h
db 0B0h,0A3h,0B1h,08Ah,054h,058h,059h,055h,08Eh,0B0h,0A5h,0ABh,0A6h,0AAh,0A6h,0A9h
db 0A4h,0ACh,074h,04Eh,05Ah,052h,05Ah,055h,09Eh,0A8h,0AAh,0A2h,0AEh,087h,053h,056h
db 058h,052h,08Eh,0ACh,0A6h,0A6h,0AAh,095h,056h,054h,058h,050h,080h,0AEh,0A4h,0A8h
db 0A5h,0A6h,0A7h,0A3h,0AAh,076h,04Dh,057h,052h,056h,055h,055h,057h,052h,07Bh,0B3h
db 08Bh,053h,05Ah,052h,094h,0ABh,0A7h,0A6h,0ABh,091h,053h,057h,056h,055h,059h,052h
db 074h,0ADh,0A5h,0AAh,0A4h,061h,056h,053h,077h,0B0h,0A3h,0ABh,0A5h,0A8h,0A6h,0A5h
db 0A9h,080h,04Bh,05Bh,050h,05Ah,050h,05Ch,04Eh,080h,0ACh,0A6h,0A8h,0A7h,0A6h,0A7h
db 068h,04Fh,05Ah,050h,068h,0A7h,0A7h,0A6h,0A9h,06Ch,04Eh,05Ah,051h,064h,0A4h,0A8h
db 0A7h,0A7h,0A6h,0A6h,0A5h,0A5h,0A4h,0A6h,0A0h,05Dh,050h,055h,052h,056h,052h,05Fh
db 0A2h,0A6h,0A6h,0A3h,0AAh,07Eh,04Bh,05Ah,04Fh,05Bh,04Dh,094h,0A6h,0ACh,080h,04Fh
db 057h,054h,055h,093h,0ACh,0A4h,0A6h,0A8h,090h,04Eh,05Bh,091h,0B0h,06Ah,053h,054h
db 057h,054h,058h,053h,097h,0AAh,0A7h,0A5h,0ABh,08Fh,050h,059h,051h,090h,0ADh,0A2h
db 0ADh,089h,050h,059h,052h,05Ah,04Fh,082h,0AFh,0A2h,0ADh,095h,058h,054h,059h,050h
db 080h,0AFh,0A3h,0AAh,0A5h,0A4h,05Ch,055h,055h,057h,056h,056h,05Fh,0A7h,0A5h,0ABh
db 0A3h,0AFh,07Dh,050h,058h,054h,058h,055h,090h,0AFh,0A2h,0B0h,087h,053h,057h,058h
db 053h,08Dh,0AEh,0A4h,0AAh,0A6h,0A7h,0A6h,0A5h,0A7h,069h,04Fh,058h,053h,057h,05Bh
db 0A4h,0A5h,0A9h,0A2h,0ADh,080h,04Eh,058h,053h,058h,093h,0AEh,0A0h,0AFh,081h,051h
db 056h,056h,055h,091h,0ADh,0A2h,0AEh,088h,04Fh,059h,053h,099h,0A8h,0A7h,0A4h,0ABh
db 08Dh,050h,058h,053h,057h,054h,059h,051h,06Fh,0ADh,0A4h,0AAh,0A4h,0AAh,0A1h,0AEh
db 07Eh,050h,057h,055h,056h,097h,0AAh,0A6h,0A5h,0AAh,08Ch,04Eh,05Ah,051h,094h,0AAh
db 0A4h,0A8h,0A3h,0A9h,096h,055h,053h,055h,053h,057h,051h,06Ah,0A9h,0A5h,0A8h,0A5h
db 0A5h,0A6h,0A2h,0A9h,089h,04Eh,056h,052h,053h,083h,0B3h,079h,051h,056h,054h,056h
db 053h,08Eh,0ADh,0A2h,0AAh,0A2h,0A9h,0A2h,0A8h,0A1h,0A7h,09Fh,0ACh,07Eh,04Dh,054h
db 053h,052h,056h,04Eh,080h,0ACh,0A1h,0A7h,0A3h,09Fh,057h,054h,052h,055h,053h,056h
db 052h,05Eh,09Fh,0A9h,065h,053h,056h,056h,055h,060h,0A5h,0A7h,0A9h,0A6h,0A8h,0A3h
db 0AAh,08Dh,050h,058h,051h,05Ah,04Eh,080h,0AEh,0A3h,0AAh,0A4h,0A3h,05Ah,057h,04Fh
db 07Bh,0AEh,0A2h,0AAh,09Ch,05Bh,052h,057h,054h,058h,052h,066h,0A7h,0A7h,0A8h,0A7h
db 0A7h,0A6h,0A6h,0A5h,0A5h,0A5h,09Fh,05Ah,052h,054h,054h,054h,053h,060h,0A5h,0A4h
db 0A9h,0A2h,0ACh,07Ah,04Eh,058h,051h,058h,053h,091h,0ACh,0A2h,0ADh,086h,050h,057h
db 054h,055h,089h,0B3h,079h,04Fh,066h,0A8h,0A4h,0AAh,0A2h,0ACh,075h,04Fh,058h,053h
db 058h,055h,098h,0ABh,0A6h,0A6h,0A9h,08Eh,04Dh,05Bh,04Fh,05Dh,04Ch,085h,0A9h,0ABh
db 091h,054h,056h,058h,052h,085h,0AEh,0A5h,0A9h,0A8h,09Eh,059h,055h,058h,051h,079h
db 0AEh,0A5h,09Eh,053h,05Bh,052h,05Bh,053h,05Ch,052h,068h,0A5h,0ACh,0A6h,0ACh,0A4h
db 0B0h,081h,052h,058h,057h,057h,05Ah,053h,082h,0B1h,0A4h,0AEh,099h,058h,05Ah,053h
db 087h,0B1h,0A4h,0ACh,0A5h,0ABh,0A3h,0ABh,065h,054h,056h,058h,056h,059h,055h,05Ch
db 053h,08Fh,0AFh,0A7h,0AAh,0A8h,0A8h,0A8h,0A7h,0A9h,0A4h,0ACh,07Eh,04Eh,05Ah,052h
db 05Ah,052h,092h,0ACh,0A5h,0A9h,0A5h,0A8h,0A5h,0A8h,0A3h,0A8h,0A1h,0ABh,07Fh,04Dh
db 057h,052h,055h,054h,054h,057h,051h,071h,0AEh,0A2h,0ABh,0A2h,0AAh,066h,052h,056h
db 056h,054h,05Eh,0A1h,0A8h,066h,051h,05Ah,051h,06Bh,0AAh,0A6h,0A9h,0A6h,0A8h,0A5h
db 0A8h,0A4h,0AAh,095h,053h,057h,053h,059h,04Fh,078h,0AEh,0A2h,0ABh,09Dh,05Fh,050h
db 05Ah,04Fh,075h,0ACh,0A5h,0A9h,0A4h,0A7h,068h,050h,058h,053h,058h,054h,059h,054h
db 05Ah,055h,05Ch,051h,074h,0ACh,0A9h,0A9h,0AAh,0A6h,0ADh,077h,051h,05Ah,056h,059h
db 059h,099h,0AEh,0A4h,0B1h,082h,052h,05Ah,057h,059h,05Ah,055h,081h,0B7h,087h,055h
db 05Ch,057h,05Eh,054h,08Bh,0B1h,0A8h,0ADh,0AAh,0AAh,0AAh,0A8h,0ADh,073h,051h,05Ch
db 056h,05Bh,057h,05Bh,095h,0B2h,0A3h,0B3h,086h,055h,05Ah,05Ah,058h,092h,0B2h,0A4h
db 0B2h,08Ch,055h,05Ah,059h,059h,05Ch,055h,07Dh,0B4h,0A6h,0B0h,0A6h,0ACh,061h,05Bh
db 053h,07Ah,0AFh,0A8h,0ABh,0A8h,0A9h,06Ah,053h,05Ch,053h,06Dh,0AAh,0AAh,0A7h,067h
db 054h,05Eh,053h,072h,0ACh,0ABh,0A9h,0ABh,068h,057h,056h,073h,0B0h,0A6h,0ADh,0A6h
db 06Ch,050h,05Fh,051h,06Fh,0A9h,0ABh,0A8h,0ACh,06Ch,054h,05Bh,057h,05Ah,05Fh,0A6h
db 0A9h,0ACh,0A7h,0B0h,083h,051h,05Dh,055h,05Dh,054h,091h,0B0h,0A6h,0B0h,091h,054h
db 05Ch,055h,05Eh,052h,082h,0B2h,0A6h,0AFh,09Ch,05Dh,056h,08Eh,0B2h,0A3h,0B2h,08Dh
db 057h,057h,05Bh,054h,08Ah,0B1h,0A5h,0AFh,094h,055h,05Bh,056h,05Dh,052h,080h,0B1h
db 0A8h,0ACh,0A9h,0A9h,0A9h,06Ch,052h,05Ch,056h,05Ch,057h,05Dh,057h,096h,0B0h,0A6h
db 0B1h,08Ch,052h,05Eh,055h,05Fh,053h,08Ah,0B1h,0A9h,0ACh,0ABh,0A2h,05Ch,059h,058h
db 05Ah,059h,05Ch,059h,05Ch,05Ah,05Eh,05Ah,060h,056h,080h,0B4h,0AAh,0B0h,0AAh,0AFh
db 0A9h,0B2h,07Ah,054h,05Fh,057h,05Eh,058h,061h,055h,08Dh,0B3h,0AAh,0AFh,0ABh,0AEh
db 0AAh,0ACh,06Dh,055h,05Fh,055h,06Eh,0ADh,0A6h,05Fh,05Dh,056h,082h,0B3h,0A9h,0AEh
db 0AAh,0ACh,0AAh,0A9h,0AEh,07Fh,050h,05Eh,054h,05Eh,056h,05Eh,056h,060h,054h,078h
db 0B2h,09Fh,05Ah,060h,055h,08Fh,0B2h,0ACh,0ACh,0AEh,0A1h,05Dh,05Ah,05Bh,05Ah,05Eh
db 058h,06Eh,0AFh,0ABh,0AEh,0ABh,0ADh,0ABh,0ACh,0A9h,0ADh,09Ch,057h,05Ch,056h,05Eh
db 053h,07Ch,0B0h,0A9h,0ADh,0A5h,061h,058h,059h,05Ch,056h,06Eh,0ADh,0ABh,0ABh,0ACh
db 06Eh,056h,059h,06Eh,0B3h,0A5h,0B1h,0A4h,0B2h,06Bh,077h,0B7h,08Ch,058h,059h,05Ah
db 058h,05Ch,054h,07Ah,0B2h,0A8h,0A4h,056h,060h,051h,089h,0AFh,0AAh,0ABh,0ABh,0AAh
db 0A8h,063h,057h,059h,05Ah,059h,05Bh,058h,05Dh,058h,060h,053h,086h,0B0h,0AEh,099h
db 05Bh,0A6h,0ACh,0ACh,0AAh,0AAh,0ADh,093h,051h,060h,052h,099h,0AAh,0AFh,083h,051h
db 05Eh,055h,05Fh,054h,094h,0AFh,0AAh,0AAh,0ADh,09Ah,057h,05Bh,057h,05Bh,058h,05Ch
db 059h,05Ch,059h,05Eh,059h,098h,0B2h,0AAh,0AEh,0AAh,0ADh,0A9h,0ADh,0A8h,0AEh,06Fh
db 054h,05Bh,058h,05Ah,059h,05Ch,09Bh,0B0h,0A9h,0ADh,0A8h,0ACh,0A9h,0A3h,057h,05Eh
db 04Fh,08Ah,087h,04Fh,060h,054h,05Fh,055h,061h,053h,083h,0B1h,0AAh,0ACh,0ABh,0AAh
db 0ACh,06Bh,055h,05Ch,058h,05Ch,05Ah,05Ch,05Bh,05Ch,05Ch,05Ch,05Eh,05Bh,06Eh,0B1h
db 0ABh,0B1h,0AAh,0B1h,0A8h,0B4h,08Ah,056h,05Eh,05Ah,05Dh,05Bh,05Dh,05Dh,05Dh,05Dh
db 05Dh,05Fh,05Fh,0A2h,0B2h,0AEh,0AFh,0AEh,0ADh,0AFh,0A2h,05Dh,05Dh,05Bh,05Eh,05Ch
db 05Fh,05Ch,05Fh,05Dh,061h,05Bh,097h,0B6h,0ADh,0B2h,0ADh,0B0h,0ADh,0ACh,066h,05Bh
db 05Dh,05Dh,05Dh,05Eh,05Eh,05Fh,060h,05Dh,08Fh,0BDh,084h,05Ah,06Bh,0AFh,0AEh,0B2h
db 0ABh,0B6h,080h,058h,060h,05Ch,05Fh,05Eh,05Fh,060h,05Eh,062h,05Ch,071h,0B2h,0B1h
db 0B1h,0B1h,0AFh,0B1h,0ACh,0B4h,097h,05Ah,05Fh,05Dh,05Eh,05Eh,05Eh,061h,05Bh,06Dh
db 0AEh,0B1h,0AEh,0B4h,07Ah,059h,062h,05Bh,069h,0ADh,0AFh,0B2h,074h,05Ah,061h,05Eh
db 05Fh,066h,0A9h,0B3h,0ADh,0B6h,080h,057h,063h,05Ch,062h,05Dh,09Eh,0B6h,0ABh,0B7h
db 08Eh,059h,061h,05Eh,05Fh,061h,05Bh,085h,0B9h,0ABh,0B5h,0ACh,0B3h,0ABh,0B3h,077h
db 055h,078h,0B6h,09Dh,05Fh,05Dh,05Bh,08Ah,0BDh,084h,05Bh,05Dh,05Fh,05Ch,062h,058h
db 08Bh,0B6h,0ACh,0B1h,0AEh,0AFh,0ABh,069h,059h,05Eh,05Dh,05Ch,06Ah,0B0h,0ACh,0B1h
db 06Dh,05Ah,060h,05Ah,06Fh,0B2h,0ABh,0B2h,0AAh,0B5h,07Ah,057h,060h,05Bh,064h,0A9h
db 0AEh,0B1h,078h,056h,062h,058h,06Bh,0A9h,0B1h,0AAh,0B3h,07Bh,056h,061h,059h,066h
db 0A6h,0B2h,0AAh,0B4h,07Fh,055h,061h,059h,064h,0A2h,0B4h,0A8h,0B5h,080h,057h,05Fh
db 05Bh,05Eh,05Ch,095h,0B9h,07Dh,05Ah,05Dh,067h,0ACh,0AFh,0ADh,0B1h,07Bh,054h,062h
db 058h,062h,05Bh,0A6h,0ACh,0B4h,07Fh,058h,05Fh,065h,0AEh,0ACh,0B1h,071h,058h,061h
db 059h,06Dh,0ADh,0AFh,0ADh,0B0h,077h,055h,062h,057h,06Bh,0A8h,0B2h,0AAh,0B3h,079h
db 057h,05Fh,05Ah,065h,0A8h,0AEh,0AEh,0ABh,0B2h,086h,054h,061h,057h,061h,056h,095h
db 0B2h,0ACh,0AEh,0ACh,0ADh,0ABh,0ACh,0ABh,0AAh,0AAh,0A9h,0AAh,0A8h,0A9h,0A8h,0A6h
db 061h,055h,057h,058h,055h,067h,0ABh,0A6h,0ACh,0A4h,0AEh,076h,052h,059h,061h,0AAh
db 0A5h,0ACh,068h,054h,058h,057h,057h,059h,05Bh,09Fh,0ACh,0A9h,0A9h,0A9h,0A7h,0ABh
db 09Ah,057h,057h,056h,057h,058h,058h,058h,058h,05Ah,05Ah,09Ch,0ADh,0A9h,0A9h,0ADh
db 090h,050h,05Eh,053h,060h,050h,088h,0ADh,0ADh,095h,054h,05Dh,057h,05Ch,057h,05Dh
db 055h,071h,0AFh,0A9h,0AEh,0A8h,0AFh,073h,054h,05Dh,058h,05Ch,05Ch,0A3h,0ACh,0ADh
db 0A8h,0B1h,08Ah,053h,05Eh,056h,05Eh,055h,08Ch,0B3h,0A6h,0B2h,096h,059h,05Bh,059h
db 05Bh,05Bh,05Bh,05Ch,05Bh,066h,0ABh,0AAh,06Ah,057h,061h,056h,075h,0B1h,0ACh,0ABh
db 060h,08Fh,0B5h,0A6h,0B4h,091h,059h,05Bh,05Ch,05Ah,05Fh,056h,07Ch,0B4h,0A9h,0B0h
db 0AAh,0AEh,0AAh,0AEh,0A7h,0B1h,08Ch,053h,05Dh,056h,05Eh,055h,086h,0B7h,087h,054h
db 05Fh,057h,060h,055h,08Fh,0B1h,0ABh,0ADh,0ABh,0ACh,0A6h,061h,05Ah,059h,05Ch,056h
db 06Fh,0AEh,0ABh,0AAh,066h,057h,05Eh,055h,074h,0B0h,0ABh,0ADh,0ACh,0AAh,0AEh,07Dh
db 04Eh,070h,0ACh,0A2h,05Eh,059h,05Ah,05Ah,05Ch,058h,069h,0AEh,0AAh,0AEh,0A7h,0B0h
db 07Bh,053h,05Eh,057h,05Eh,057h,060h,054h,08Ch,0B1h,0AAh,0ADh,0ABh,0ABh,0A9h,062h
db 05Ah,055h,07Bh,0B2h,0A7h,0AEh,0A8h,0ABh,066h,056h,05Ah,058h,05Bh,058h,061h,0A2h
db 0AFh,0A7h,0B0h,080h,051h,06Ch,0AAh,0A9h,0ACh,0A7h,0AFh,078h,052h,05Ch,056h,05Bh
db 059h,09Bh,0AEh,0A8h,0ADh,0A6h,0AFh,095h,059h,056h,096h,0ABh,0ACh,082h,04Eh,05Eh
db 053h,05Dh,054h,05Eh,051h,081h,0AFh,0A8h,0ABh,0A9h,0A9h,0A9h,06Ah,053h,05Bh,056h
db 059h,05Fh,0A9h,0A7h,0ADh,0A4h,0B1h,07Fh,053h,059h,058h,059h,09Bh,0ACh,0A9h,0A7h
db 0ADh,08Dh,052h,05Bh,056h,05Ah,058h,059h,05Bh,056h,06Bh,0ADh,0A9h,0ACh,0A9h,0AAh
db 0AAh,0A8h,0ACh,092h,052h,05Ch,053h,05Dh,051h,081h,0AFh,0A6h,0ABh,0A7h,0A6h,05Dh
db 059h,051h,07Ch,0B0h,0A4h,0ABh,0A5h,0A8h,061h,055h,057h,058h,055h,065h,0A9h,0A6h
db 0ABh,0A4h,0AEh,079h,050h,05Ah,054h,059h,057h,059h,058h,059h,05Ah,057h,06Ch,0AFh
db 0A8h,0AEh,0A7h,0ACh,0A6h,0ACh,0A5h,0AEh,095h,058h,056h,059h,055h,05Bh,053h,071h
db 0ADh,0A8h,0AAh,0A9h,0A8h,0A9h,0A5h,0ADh,089h,050h,05Ah,054h,059h,055h,05Ah,056h
db 05Ah,058h,05Ah,05Dh,0A4h,0AAh,0ABh,0A9h,0AAh,0A8h,0AAh,0A6h,0AAh,0A5h,0A9h,067h
db 053h,057h,057h,055h,061h,0A4h,0AAh,0A5h,0ADh,076h,050h,059h,060h,0ABh,0A4h,0ACh
db 0A1h,0B0h,078h,052h,057h,056h,056h,059h,055h,05Ch,052h,07Dh,0B0h,0A6h,0ABh,0A8h
db 0A8h,0A9h,06Fh,050h,05Ch,054h,05Ah,05Ah,0A6h,0A6h,0AFh,070h,055h,056h,068h,0ABh
db 0A8h,0AAh,0A8h,0A9h,0A8h,0A6h,0ABh,091h,050h,05Ah,051h,05Ch,04Eh,080h,0ADh,0A5h
db 0A9h,0A7h,0A7h,0A7h,0A5h,0A7h,0A3h,0AAh,088h,04Eh,057h,053h,054h,087h,0B0h,09Dh
db 0B0h,088h,055h,052h,059h,04Eh,088h,0ABh,0A5h,0A5h,0A8h,099h,058h,052h,057h,04Fh
db 07Bh,0ACh,0A3h,0A8h,0A4h,0A6h,0A5h,0A2h,0A9h,07Bh,04Bh,058h,050h,056h,052h,056h
db 053h,056h,055h,055h,063h,0AAh,0A3h,0ABh,0A1h,0AFh,074h,050h,057h,055h,056h,057h
db 056h,058h,056h,05Ah,053h,06Dh,0ACh,0A7h,0ABh,0A7h,0AAh,0A7h,0A9h,0A5h,0AAh,095h
db 053h,058h,054h,059h,054h,05Ah,053h,06Ah,0A8h,0A9h,0A8h,0AAh,0A5h,0AEh,083h,04Fh
db 05Ah,054h,05Ah,055h,05Bh,056h,05Ch,055h,06Bh,0ABh,0A9h,0ABh,0A9h,0AAh,0A8h,0AAh
db 0A6h,0ABh,099h,056h,057h,056h,058h,056h,059h,056h,065h,0A9h,0A7h,0ABh,0A6h,0ABh
db 0A4h,0AEh,08Ah,052h,058h,056h,058h,058h,057h,05Ah,055h,06Bh,0ACh,0A8h,0ABh,0A8h
db 0A9h,0A7h,0A9h,0A7h,0A7h,0A7h,0A7h,0A4h,061h,053h,056h,055h,054h,064h,0A9h,0A5h
db 0A9h,064h,054h,057h,057h,056h,062h,0A7h,0A7h,0AAh,0A5h,0ADh,07Eh,04Eh,05Bh,053h
db 05Bh,054h,05Ch,051h,082h,0AFh,0A6h,0ABh,0A7h,0A4h,05Dh,057h,056h,05Ah,054h,06Bh
db 0ACh,0A7h,0ACh,0A5h,0ADh,074h,051h,05Bh,054h,062h,0A2h,0ACh,0A5h,0AEh,078h,051h
db 05Bh,055h,05Bh,055h,05Dh,053h,088h,0B1h,0A7h,0ACh,0A7h,0ABh,0A4h,064h,053h,05Dh
db 052h,073h,0ADh,0A8h,0AAh,0A8h,0A9h,0A8h,0A7h,0A8h,0A6h,0AAh,099h,056h,056h,055h
db 057h,056h,057h,057h,057h,05Dh,0A3h,0A9h,0A9h,0A8h,0A9h,0A7h,0A8h,0A6h,0A8h,0A5h
db 0A7h,066h,051h,056h,054h,055h,05Fh,0A4h,0A6h,0A8h,0A5h,0A7h,0A5h,0A7h,0A4h,0A7h
db 09Bh,059h,051h,055h,053h,055h,053h,057h,054h,059h,053h,092h,0ACh,0A5h,0A8h,0A6h
db 0A6h,0A6h,0A0h,05Dh,052h,056h,054h,058h,054h,058h,054h,05Bh,052h,090h,0ADh,0A7h
db 0A8h,0ABh,098h,055h,059h,055h,05Ah,053h,077h,0B4h,090h,059h,056h,05Bh,053h,087h
db 0B0h,0A7h,0ABh,0A8h,0A9h,0A8h,0A7h,0A9h,0A4h,0ACh,083h,04Fh,059h,054h,057h,057h
db 053h,080h,0B2h,0A2h,0AEh,0A2h,0ADh,0A0h,0AFh,064h,079h,0ACh,0A4h,098h,050h,059h
db 050h,05Bh,04Eh,07Bh,0ABh,0A6h,0A7h,0A7h,0A5h,0A9h,06Bh,050h,054h,065h,0ADh,098h
db 05Dh,052h,059h,053h,05Ah,051h,069h,0A7h,0A9h,0A6h,0A9h,0A3h,0ADh,080h,04Eh,059h
db 053h,059h,053h,08Eh,0B2h,07Bh,050h,05Bh,054h,05Bh,054h,05Dh,051h,085h,0B0h,0A6h
db 0ABh,0A8h,0A9h,0A6h,066h,052h,05Bh,052h,06Eh,0ACh,0A6h,0ABh,0A5h,0ACh,071h,050h
db 05Ah,054h,05Ah,059h,0A1h,0A8h,0AEh,077h,051h,05Ch,055h,061h,0A1h,0ACh,0A7h,0ABh
db 0A7h,0ABh,0A5h,0ABh,09Bh,05Ah,055h,057h,056h,059h,056h,05Ah,057h,05Bh,056h,05Dh
db 053h,087h,0B1h,0A8h,0ACh,0AAh,0A3h,05Dh,059h,059h,059h,05Ah,058h,068h,0ABh,0A9h
db 0ADh,0A9h,0ACh,0A8h,0ABh,0A7h,0ACh,09Ch,059h,057h,058h,058h,058h,058h,059h,059h
db 05Bh,05Ah,09Ah,0AFh,0A9h,0ACh,0A8h,0ABh,0A7h,0ABh,0A6h,0ABh,069h,054h,059h,057h
db 059h,059h,058h,05Bh,055h,08Dh,0B2h,0A7h,0ADh,0A7h,0ACh,0A7h,0AAh,064h,056h,058h
db 059h,058h,05Ah,058h,05Ch,058h,05Eh,054h,081h,0B2h,0A8h,0AEh,0AAh,0ABh,0A9h,06Dh
db 054h,05Eh,057h,05Dh,057h,05Eh,057h,09Bh,0AFh,0ACh,0ABh,0ACh,0A9h,0ACh,0A8h,0ACh
db 0A6h,0ACh,0A4h,0AFh,085h,052h,058h,057h,056h,05Bh,053h,080h,0B1h,0A6h,0ABh,0A7h
db 0A9h,0A8h,0A6h,0ABh,07Bh,04Dh,05Ch,052h,05Bh,054h,05Ch,054h,05Eh,051h,077h,0ADh
db 0A9h,0AAh,0AAh,0A7h,0ADh,075h,051h,05Bh,056h,05Bh,056h,05Bh,058h,05Ch,058h,05Eh
db 056h,06Ch,0ACh,0ACh,0ABh,0ADh,0A9h,0B0h,083h,052h,05Eh,056h,05Dh,058h,05Eh,059h
db 05Eh,059h,05Fh,05Ah,060h,059h,062h,057h,08Fh,0B4h,0ADh,0AFh,0AEh,0AEh,0AAh,065h
db 05Bh,05Bh,05Fh,058h,06Fh,0AEh,0AEh,0ACh,0B0h,072h,057h,05Eh,05Ch,05Dh,05Eh,05Eh
db 0A1h,0B0h,0B2h,080h,054h,063h,059h,062h,05Ah,09Fh,0B1h,0AFh,0ADh,0B2h,098h,057h
db 062h,056h,09Ah,0AFh,0B2h,089h,055h,062h,059h,062h,058h,093h,0B5h,0A9h,0B4h,095h
db 05Ah,05Eh,05Dh,05Dh,060h,059h,07Dh,0B6h,0AAh,0B3h,0A7h,068h,058h,060h,05Ah,061h
db 05Bh,062h,05Bh,064h,058h,099h,0B2h,0B5h,08Fh,058h,062h,05Eh,060h,098h,0B8h,0ACh
db 0B4h,0ABh,0B5h,0A1h,062h,05Ch,060h,05Ch,061h,05Dh,062h,05Dh,063h,05Ch,066h,059h
db 090h,0B6h,0B0h,0B2h,0B1h,0AFh,0B1h,0ADh,0B2h,0ABh,0B6h,089h,058h,05Fh,05Ch,05Eh
db 05Fh,05Ch,062h,059h,079h,0B3h,0AFh,0AFh,0B0h,0ACh,0B3h,07Eh,057h,061h,05Bh,060h
db 05Eh,09Fh,0B5h,0AAh,0B7h,088h,058h,05Fh,05Eh,05Dh,09Bh,0B3h,0ADh,0AEh,0B2h,099h
db 059h,05Fh,05Bh,05Dh,05Eh,05Ah,07Ah,0B6h,0AAh,0B2h,0AAh,0B0h,06Eh,059h,060h,058h
db 070h,0A3h,05Ch,061h,05Bh,061h,05Ch,062h,05Bh,06Dh,0AEh,0B1h,0B0h,0B0h,0AFh,0AFh
db 0AEh,0AEh,0AEh,0ADh,0ADh,0ABh,0AFh,076h,053h,060h,057h,05Fh,057h,061h,055h,094h
db 0B1h,0ADh,0ACh,0B0h,09Dh,05Bh,05Bh,05Bh,05Bh,05Eh,058h,073h,0B1h,0ABh,0B0h,0ABh
db 0AEh,0ABh,0ACh,0AAh,0ACh,0AAh,0ABh,0A9h,0AAh,068h,054h,05Bh,057h,05Bh,057h,05Ch
db 059h,09Bh,0AEh,0AAh,0ABh,0AAh,0A9h,0ABh,0A8h,0ABh,0A5h,0ADh,073h,051h,059h,057h
db 059h,058h,058h,05Bh,054h,082h,0B3h,0A6h,0AEh,0A7h,0ACh,0A6h,0ABh,0A5h,0AAh,0A4h
db 0ADh,090h,052h,058h,054h,058h,055h,05Ah,053h,06Dh,0ACh,0A6h,0ABh,0A4h,0ACh,071h
db 050h,05Ah,054h,05Ah,058h,0A0h,0A9h,0AAh,0A5h,0AEh,088h,050h,05Bh,054h,05Bh,052h
db 087h,0B1h,0A3h,0AFh,093h,057h,056h,059h,056h,05Bh,053h,074h,0AEh,0A8h,0AAh,0A9h
db 0A7h,0ACh,077h,04Fh,05Dh,053h,061h,09Fh,0ADh,067h,055h,059h,058h,059h,059h,05Eh
db 0A0h,0AEh,0A9h,0ACh,0A7h,0AEh,091h,054h,05Bh,056h,05Ah,058h,05Bh,058h,05Ch,059h
db 05Dh,059h,05Fh,056h,08Eh,0B3h,0AAh,0AEh,0ACh,0A2h,05Ah,05Eh,057h,060h,054h,079h
db 0B1h,0ABh,0ADh,0A9h,067h,058h,05Dh,05Ah,05Ch,05Ah,064h,0A8h,0ADh,0AFh,0AAh,0B1h
db 085h,053h,060h,057h,060h,056h,095h,0B2h,0ABh,0AEh,0ABh,0ADh,0ABh,0A9h,064h,058h
db 05Bh,05Ah,05Bh,05Bh,05Bh,05Dh,05Bh,05Fh,057h,085h,0B6h,0A9h,0B1h,0A9h,0B0h,0A9h
db 0AFh,0A6h,0B3h,080h,054h,05Ch,058h,05Bh,05Ah,05Bh,05Ch,05Bh,05Eh,05Ah,06Ah,0ACh
db 0AEh,0ADh,0AEh,0AAh,0B1h,088h,053h,060h,056h,061h,055h,093h,0B1h,0ABh,0ACh,0AEh
db 09Eh,059h,05Dh,058h,05Fh,055h,07Ch,0B3h,0AAh,0AFh,0A9h,0ADh,06Ah,057h,05Ch,05Ah
db 05Ah,064h,0AAh,0ABh,0AEh,0AAh,0AEh,0A8h,0B0h,092h,056h,05Bh,058h,05Bh,059h,05Bh
db 05Ah,05Ch,05Bh,05Dh,05Bh,060h,059h,08Eh,0B5h,0AAh,0B1h,0AAh,0B0h,0A9h,0B0h,0A6h
db 0B3h,07Ah,055h,05Ch,05Ah,05Ah,05Ch,059h,060h,055h,081h,0B3h,0AAh,0AEh,0ACh,0ACh
db 0ACh,0A9h,0B0h,080h,052h,05Dh,057h,05Dh,059h,05Dh,05Ah,05Dh,05Bh,05Eh,05Bh,066h
db 0AAh,0AEh,0AEh,0ACh,0AEh,0AAh,0B1h,096h,057h,05Dh,059h,05Eh,059h,05Fh,058h,071h
db 0B2h,0AAh,0B1h,0A8h,0B2h,073h,058h,05Ah,06Ch,0AEh,0ABh,0ACh,0ADh,072h,054h,05Fh
db 058h,05Dh,05Ah,05Fh,09Ch,0B3h,0A9h,0B0h,0A9h,0AFh,0A8h,0AEh,0A7h,0ADh,067h,057h
db 059h,05Bh,058h,05Dh,058h,05Fh,056h,093h,0B1h,0AAh,0ACh,0ACh,0ABh,0ACh,0A8h,0ADh
db 06Dh,055h,05Ah,059h,059h,05Bh,058h,05Eh,056h,08Dh,0B2h,0A9h,0ADh,0AAh,0ABh,0AAh
db 0A9h,0ABh,0A6h,0AFh,081h,050h,05Ch,055h,05Ah,058h,059h,05Ah,056h,075h,0B2h,0A6h
db 0AEh,0A6h,0AEh,0A5h,0ADh,0A3h,0B0h,08Ch,054h,058h,057h,058h,059h,058h,05Bh,056h
db 06Ah,0ABh,0AAh,0ABh,0AAh,0AAh,0A9h,0A9h,0A8h,0A8h,0A9h,0A1h,05Ch,055h,057h,057h
db 057h,057h,059h,058h,05Bh,056h,092h,0B0h,0A6h,0ADh,0A5h,0ADh,09Ch,05Ch,055h,059h
db 056h,05Bh,054h,06Bh,0ABh,0A9h,0ABh,0A9h,0A9h,0A8h,0A8h,0A8h,0A6h,0A8h,0A6h,0A5h
db 061h,053h,056h,056h,056h,057h,056h,05Ah,054h,08Eh,0AFh,0A5h,0ABh,0A6h,0AAh,0A5h
db 0A9h,0A5h,0A8h,0A2h,0ACh,083h,04Dh,059h,051h,059h,052h,05Bh,04Fh,079h,0ADh,0A5h
db 0A9h,0A6h,0A7h,0A6h,0A6h,0A7h,0A3h,0A9h,090h,050h,056h,052h,056h,053h,057h,054h
db 057h,054h,05Dh,09Eh,0ABh,0A4h,0AAh,0A3h,0ACh,08Bh,051h,057h,054h,056h,055h,057h
db 056h,058h,057h,058h,05Bh,09Eh,0ACh,0A8h,0AAh,0A8h,0A9h,0A6h,0AAh,0A0h,05Dh,054h
db 057h,056h,057h,057h,058h,05Dh,0A3h,0A9h,0A9h,0A7h,0AAh,0A5h,0ACh,093h,054h,057h
db 091h,0B1h,073h,050h,059h,054h,05Ah,054h,05Ch,051h,089h,0AFh,0A7h,0AAh,0A8h,0A8h
db 0A8h,0A6h,0A9h,0A4h,0ADh,080h,04Eh,059h,053h,058h,055h,058h,056h,058h,056h,059h
db 057h,05Dh,0A0h,0ACh,0A8h,0AAh,0A9h,0A7h,0ABh,099h,055h,059h,055h,05Ah,056h,05Bh
db 054h,069h,0A9h,0AAh,0A9h,0A9h,0A8h,0A8h,0A8h,0A8h,0A6h,0A8h,0A5h,0A6h,064h,052h
db 057h,054h,057h,055h,058h,057h,098h,0ACh,0A6h,0A9h,0A6h,0A8h,0A7h,09Fh,057h,058h
db 050h,080h,0B2h,086h,050h,05Ah,052h,05Bh,04Fh,087h,0AEh,0A5h,0A8h,0A6h,0A7h,0A7h
db 0A5h,0A7h,0A3h,0ACh,081h,04Dh,058h,052h,057h,053h,057h,054h,059h,053h,068h,0AAh
db 0A6h,0AAh,0A5h,0AAh,0A3h,0AEh,085h,050h,058h,054h,057h,056h,057h,058h,054h,06Dh
db 0ADh,0A5h,0ABh,0A6h,0A9h,0A6h,0A9h,0A5h,0A7h,0A4h,0A7h,09Fh,05Eh,051h,056h,053h
db 057h,054h,057h,059h,09Fh,0A8h,0A8h,0A6h,0A8h,0A4h,0AAh,095h,054h,055h,054h,055h
db 056h,055h,057h,056h,058h,055h,05Bh,053h,08Bh,0AFh,0A6h,0AAh,0A6h,0A9h,0A7h,0A7h
db 0A8h,0A5h,0ABh,080h,04Ch,05Bh,051h,05Ah,052h,05Bh,053h,05Ch,051h,06Fh,0A9h,0AAh
db 0A7h,0AAh,0A5h,0ABh,0A3h,0AEh,08Ah,053h,056h,056h,055h,05Ah,050h,07Bh,0AEh,0A6h
db 0A9h,0A8h,0A6h,0AAh,06Ch,052h,055h,068h,0ACh,0A4h,0A7h,05Dh,056h,055h,057h,056h
db 057h,05Fh,0A6h,0A7h,0AAh,0A6h,0AAh,0A4h,0ADh,08Fh,053h,058h,055h,058h,056h,058h
db 057h,059h,057h,05Ah,057h,05Ch,054h,08Ah,0B2h,0A7h,0ADh,0A7h,0ACh,0A6h,0ACh,0A5h
db 0AFh,079h,050h,05Bh,055h,05Ah,056h,05Bh,057h,05Dh,054h,076h,0B0h,0A7h,0ADh,0A7h
db 0ACh,0A5h,0AFh,07Eh,050h,05Ch,055h,05Ch,055h,05Eh,052h,083h,0B1h,0A8h,0ACh,0A8h
db 0AAh,0A8h,0A9h,0A8h,0A7h,0A8h,0A6h,0AAh,09Ah,056h,057h,054h,057h,056h,058h,057h
db 057h,05Ch,0A2h,0AAh,0A8h,0A8h,0A8h,0A8h,0A8h,0A6h,0A8h,0A5h,0A7h,067h,050h,058h
db 054h,058h,054h,059h,054h,096h,0ACh,0A6h,0A9h,0A6h,0A7h,0A6h,0A6h,0A4h,062h,051h
db 057h,053h,057h,055h,058h,055h,05Bh,052h,089h,0AFh,0A4h,0ABh,0A5h,0ABh,0A4h,0AAh
db 0A2h,0ADh,077h,04Fh,058h,054h,057h,056h,057h,057h,057h,059h,055h,06Ah,0ADh,0A7h
db 0ABh,0A6h,0AAh,0A6h,0AAh,0A4h,0ABh,096h,055h,057h,055h,057h,056h,059h,055h,066h
db 0AAh,0A7h,0ABh,0A6h,0ABh,0A4h,0AEh,088h,051h,059h,054h,058h,056h,059h,057h,059h
db 058h,058h,05Dh,0A3h,0ABh,0AAh,0A9h,0AAh,0A8h,0A9h,0A7h,0A9h,0A6h,0A9h,067h,052h
db 058h,055h,057h,057h,058h,058h,058h,05Ah,054h,07Ch,0B2h,0A5h,0AEh,0A5h,0ADh,0A4h
db 0ADh,0A2h,0B0h,084h,053h,057h,058h,055h,05Ch,051h,080h,0AFh,0A6h,0AAh,0A8h,0A7h
db 0A9h,0A5h,0ACh,079h,04Fh,059h,054h,058h,056h,058h,058h,058h,05Ah,056h,06Bh,0ACh
db 0A8h,0ABh,0A9h,0A9h,0A9h,0A7h,0ACh,090h,051h,05Bh,054h,05Ah,055h,05Bh,056h,05Bh
db 057h,05Ch,05Ah,0A0h,0ACh,0ABh,0A9h,0ABh,0A8h,0ABh,0A7h,0ABh,0A4h,0ADh,06Ch,053h
db 058h,057h,057h,059h,056h,05Ch,053h,088h,0B1h,0A7h,0ABh,0A8h,0AAh,0A9h,0A7h,0ABh
db 073h,04Fh,05Bh,053h,05Ah,055h,05Bh,055h,05Dh,052h,07Eh,0B0h,0A8h,0ADh,0A8h,0ABh
db 0A7h,0ABh,0A4h,0AEh,086h,050h,05Bh,054h,059h,056h,05Ah,057h,05Ah,058h,05Ah,05Fh
db 0A6h,0AAh,0ACh,0A8h,0ADh,0A5h,0AFh,094h,057h,057h,05Ah,052h,085h,0AFh,0AAh,095h
db 051h,05Eh,052h,060h,050h,083h,0AFh,0A9h,0AAh,0AAh,0A8h,0A9h,068h,055h,059h,058h
db 059h,059h,059h,05Bh,057h,08Fh,0B3h,0A5h,0B2h,090h,057h,05Ch,09Ch,0AFh,0A8h,0ACh
db 0A7h,0ABh,0A7h,0AAh,0A6h,0A9h,064h,054h,057h,057h,057h,059h,057h,05Bh,055h,090h
db 0B0h,0A6h,0ACh,0A7h,0ABh,0A6h,0AAh,0A5h,0A9h,0A3h,0ADh,083h,04Eh,05Ah,052h,05Ah
db 053h,05Bh,050h,07Bh,0AEh,0A5h,0AAh,0A6h,0A7h,065h,053h,059h,055h,059h,055h,05Ah
db 055h,05Ch,052h,08Ah,0B0h,0A8h,0ABh,0A9h,0A9h,0A9h,0A7h,0A9h,0A5h,0AEh,082h,04Fh
db 05Ah,054h,059h,056h,059h,057h,059h,058h,058h,062h,0A7h,0AAh,0AAh,0A9h,0A9h,0A9h
db 0A8h,0A8h,0A7h,0A8h,0A6h,0A9h,06Bh,050h,059h,053h,05Ah,054h,05Ah,053h,093h,0ADh
db 0A6h,0A9h,0A7h,0A7h,0A8h,0A3h,05Eh,054h,057h,056h,057h,058h,057h,059h,058h,05Ah
db 058h,05Ch,055h,076h,0B1h,0A7h,0AEh,0A7h,0ADh,0A4h,0B1h,07Dh,052h,05Bh,057h,059h
db 059h,059h,05Ah,059h,05Ch,057h,06Bh,0ADh,0AAh,0ADh,0AAh,0ACh,0AAh,0AAh,0AAh,0A9h
db 0A9h,0A8h,0A8h,065h,054h,059h,057h,059h,058h,059h,059h,058h,05Ch,055h,080h,0B4h
db 0A7h,0AFh,0A7h,0ADh,0A7h,0ADh,0A6h,0ACh,0A4h,0AEh,093h,057h,056h,059h,055h,05Ch
db 051h,074h,0ADh,0A8h,0A9h,0AAh,0A6h,0ADh,076h,051h,05Ah,055h,059h,057h,05Ah,058h
db 059h,059h,05Ah,05Ah,05Ah,05Bh,05Dh,0A0h,0AFh,0ABh,0ACh,0ACh,0AAh,0ADh,09Eh,05Ah
db 059h,058h,05Ah,05Ah,05Ah,05Bh,05Bh,05Ch,05Ah,05Dh,05Ah,060h,057h,07Bh,0B4h,0ABh
db 0B0h,0ACh,0AEh,0ACh,0ACh,0ACh,0AAh,0AFh,09Ah,058h,05Bh,059h,05Bh,05Ah,05Bh,05Ch
db 05Ah,065h,0A9h,0AFh,0ABh,0B0h,07Dh,053h,061h,057h,060h,05Ah,0A1h,0AEh,0AEh,0AAh
db 0B2h,090h,056h,05Eh,058h,060h,055h,087h,0B4h,0A8h,0B0h,0A9h,0AFh,0A6h,06Dh,04Fh
db 084h,0ADh,0AEh,099h,058h,05Ch,059h,05Bh,05Bh,05Bh,05Ch,05Ah,066h,0A9h,0AEh,0ACh
db 0AEh,0AAh,0B1h,08Bh,053h,05Fh,057h,05Eh,058h,060h,055h,07Dh,0B2h,0AAh,0AFh,0ABh
db 0AEh,0AAh,0ADh,0A8h,0B1h,08Dh,053h,05Ch,057h,05Ch,058h,05Dh,058h,05Eh,058h,068h
db 0A9h,0AEh,0ACh,0ADh,0ABh,0ACh,0AAh,0ABh,0AAh,0A3h,059h,05Dh,051h,084h,0AEh,0ABh
db 097h,054h,05Ch,056h,05Ch,058h,05Ch,05Ah,05Ah,065h,0ACh,0AAh,0AFh,0A9h,0AFh,0A7h
db 0B1h,08Fh,055h,05Bh,058h,05Ah,059h,05Bh,05Ah,05Ch,05Ah,064h,0A9h,0ADh,0ADh,0ABh
db 0ACh,0ABh,0ACh,0A9h,0ACh,0A2h,060h,057h,05Ah,058h,05Bh,059h,05Bh,05Eh,0A7h,0AAh
db 0B0h,075h,054h,05Dh,058h,065h,0A8h,0ACh,0ACh,0AAh,0ADh,0A8h,0AFh,092h,056h,05Ah
db 058h,05Ah,05Ah,05Ah,05Bh,058h,069h,0ACh,0ACh,0ADh,0ABh,0ABh,0ABh,0AAh,0AAh,0A9h
db 0AAh,0A7h,0AAh,0A5h,0AEh,079h,050h,059h,055h,058h,058h,058h,05Ah,054h,07Dh,0B2h
db 0A5h,0ADh,0A6h,0ABh,0A6h,070h,04Bh,07Ch,0ABh,0A8h,0A9h,0A3h,05Eh,056h,057h,058h
db 057h,059h,057h,05Eh,09Fh,0ADh,0A7h,0ACh,0A5h,0AFh,08Eh,054h,059h,056h,059h,058h
db 059h,059h,059h,05Ah,059h,05Ch,058h,097h,0B1h,0A9h,0ADh,0AAh,0ABh,0AAh,0A5h,05Eh
db 059h,055h,07Dh,0B7h,08Bh,058h,058h,05Ch,054h,08Eh,0AFh,0ACh,08Fh,04Fh,061h,053h
db 062h,051h,08Dh,0ADh,0AEh,093h,054h,05Fh,056h,099h,0AFh,0AAh,0AAh,0ADh,096h,053h
db 05Eh,054h,060h,052h,081h,0B0h,0AAh,0ABh,0ABh,0A9h,0ACh,06Bh,055h,05Bh,059h,05Ah
db 05Ah,059h,05Dh,056h,08Ah,0B3h,0A8h,0AEh,0A9h,0ACh,0A9h,0ABh,0A9h,0A8h,0ADh,085h
db 04Eh,05Eh,051h,05Fh,050h,093h,0AAh,0AFh,089h,053h,05Bh,058h,058h,091h,0B1h,0A5h
db 0AEh,0A5h,0AEh,09Bh,05Ch,056h,059h,056h,05Ah,057h,05Bh,057h,05Ch,057h,05Fh,054h
db 088h,0B2h,0A9h,0ADh,0ABh,0ABh,0ABh,0A8h,0AEh,077h,051h,05Eh,054h,063h,0A1h,0AFh
db 0A6h,0B1h,07Bh,053h,05Ch,057h,05Ch,058h,09Bh,0AEh,0A9h,0ABh,0A9h,0AAh,0A9h,0A9h
db 0A5h,063h,054h,059h,056h,05Ah,057h,05Bh,058h,05Bh,058h,05Eh,054h,07Dh,0B2h,0A7h
db 0AFh,0A8h,0AEh,0A6h,0B0h,078h,052h,05Ch,056h,061h,09Eh,068h,055h,05Dh,058h,05Dh
db 058h,065h,0A6h,0AFh,0ABh,0ADh,0A9h,0ADh,0A8h,0AEh,09Bh,05Bh,058h,05Ah,058h,05Ah
db 059h,05Ch,059h,05Dh,059h,060h,056h,08Dh,0B3h,0ABh,0AEh,0ACh,0ACh,0ACh,0ABh,0ABh
db 0A9h,0ACh,0A7h,0AEh,095h,057h,058h,058h,058h,05Bh,054h,074h,0B0h,0A7h,0ACh,0A8h
db 0ABh,0A7h,0ABh,0A6h,0ACh,090h,051h,05Bh,052h,05Dh,04Eh,082h,0ACh,0ABh,096h,055h
db 059h,058h,054h,083h,0B2h,0A3h,0B0h,096h,059h,058h,058h,058h,059h,05Ah,056h,067h
db 0ABh,0A9h,0ABh,0A9h,0AAh,0A8h,0AAh,0A8h,0A8h,0A8h,0A7h,0A6h,066h,052h,058h,054h
db 058h,056h,059h,057h,05Ah,054h,083h,0B6h,083h,054h,05Ah,059h,058h,094h,0B1h,0A4h
db 0B1h,08Ah,054h,05Ch,056h,05Ch,055h,086h,0B7h,085h,055h,05Eh,057h,05Eh,055h,08Eh
db 0B2h,0A9h,0AEh,0A9h,0ADh,0A4h,061h,057h,05Bh,059h,05Bh,05Ah,05Bh,05Bh,05Dh,09Ch
db 0B2h,0AAh,0AEh,0A9h,0AEh,0A8h,0ADh,0A7h,0ADh,0A5h,0B0h,07Ch,052h,05Bh,056h,059h
db 059h,05Ah,059h,05Ah,05Ah,05Bh,059h,064h,0A9h,0ABh,0AEh,0A9h,0AEh,0A7h,0B1h,092h
db 057h,05Bh,09Ch,0ACh,0ADh,080h,04Fh,05Fh,054h,05Eh,056h,05Eh,056h,060h,054h,078h
db 0B0h,0ABh,0ADh,0ABh,0ADh,071h,053h,060h,054h,06Ch,0A8h,0AFh,0A8h,0B1h,072h,056h
db 05Ch,05Ah,05Ah,05Ch,05Bh,09Ch,0B0h,0ABh,0ACh,0ABh,0ABh,0ACh,0A9h,0A9h,063h,059h
db 054h,079h,0B1h,0A6h,0ADh,0A3h,062h,056h,05Bh,057h,05Bh,058h,065h,0A8h,0AAh,0ACh
db 0A7h,0B0h,080h,052h,05Dh,056h,05Dh,056h,096h,0B1h,0A6h,0B1h,08Bh,054h,05Bh,059h
db 059h,08Eh,0B4h,0A3h,0B3h,08Eh,057h,05Ah,059h,05Ah,05Ah,05Ah,05Ah,05Bh,05Ah,064h
db 0A8h,0ADh,0ADh,0ACh,0ACh,0ABh,0ABh,0ABh,0AAh,0AAh,0A8h,0ABh,070h,051h,05Dh,052h
db 068h,0A5h,0ACh,0A6h,0AEh,073h,053h,05Ah,057h,05Ah,05Bh,09Fh,0ACh,0A8h,0ABh,0A7h
db 0AEh,092h,054h,05Ah,056h,05Ah,057h,059h,059h,058h,065h,0ACh,0A5h,067h,054h,060h
db 053h,076h,0AEh,0ABh,0ABh,0ACh,0A8h,0AFh,078h,052h,05Ch,057h,05Ch,058h,05Ch,059h
db 05Dh,05Ah,05Eh,058h,06Ah,0ACh,0ADh,0ADh,0ADh,0ACh,0ACh,0ACh,0ABh,0AAh,0ABh,0A5h
db 062h,057h,05Ah,059h,05Ah,059h,05Bh,05Ah,05Ch,05Ah,05Fh,057h,080h,0B5h,0A8h,0B1h
db 0A8h,0B0h,0A7h,0B2h,075h,056h,05Ch,05Ah,05Bh,05Ch,05Ah,05Fh,057h,084h,0B5h,0A9h
db 0B1h,0AAh,0AFh,0A8h,0B1h,071h,056h,05Ch,05Ah,05Bh,05Bh,05Bh,05Eh,058h,08Ah,0B5h
db 0A8h,0B1h,0A9h,0AFh,0A8h,0AFh,0A5h,0B3h,07Ch,054h,05Bh,059h,05Ah,05Ch,059h,05Eh
db 055h,07Fh,0B3h,0A9h,0AEh,0AAh,0ACh,0AAh,0AAh,0ABh,0A8h,0AEh,093h,053h,05Bh,056h
db 05Bh,057h,05Bh,059h,05Ch,058h,062h,0A4h,0AEh,0AAh,0ADh,0AAh,0ABh,0A9h,0AAh,0A9h
db 0A5h,05Fh,056h,059h,058h,059h,059h,059h,059h,05Ah,05Ah,05Bh,05Bh,05Dh,058h,06Eh
db 0B1h,0AAh,0B0h,0A9h,0B0h,0A7h,0B3h,087h,055h,05Dh,059h,05Bh,05Bh,05Ah,05Eh,057h
db 074h,0B2h,0ABh,0AFh,0ABh,0AEh,0AAh,0ADh,0AAh,0ACh,0A9h,0ACh,0A2h,060h,056h,05Ah
db 058h,05Ah,058h,05Ch,058h,05Dh,057h,093h,0B2h,0A7h,0B2h,090h,055h,05Dh,057h,05Eh
db 058h,05Fh,055h,076h,0B1h,0ABh,0AEh,0ABh,0ACh,0ABh,0ABh,0AAh,0AAh,0A9h,0AAh,0A2h
db 05Dh,058h,058h,059h,058h,05Bh,058h,05Ch,05Ah,0A0h,0ADh,0ADh,0A8h,0B0h,08Dh,055h
db 05Bh,05Ah,058h,08Eh,0B3h,0A6h,0AEh,0A7h,0AEh,0A0h,060h,056h,05Ah,057h,05Bh,058h
db 05Bh,059h,05Eh,09Ch,0B2h,0A5h,0B4h,082h,054h,05Ch,059h,05Bh,099h,0B1h,0A8h,0AEh
db 0A7h,0AFh,099h,059h,059h,059h,05Ah,059h,05Ah,05Ah,05Bh,05Ah,05Ch,05Ah,097h,0B3h
db 0A9h,0B0h,0A9h,0AEh,0A8h,0ADh,0A7h,0ADh,0A5h,0B1h,080h,053h,05Bh,057h,059h,059h
db 059h,05Ah,05Ah,05Bh,05Ah,05Ch,060h,0A7h,0ACh,0AFh,0A8h,0B3h,087h,053h,065h,0A6h
db 0ABh,0ACh,0A8h,0B0h,080h,052h,05Ch,058h,05Ah,05Bh,056h,089h,0B3h,0A8h,0ADh,0AAh
db 0A3h,05Bh,05Bh,058h,05Bh,05Ah,059h,069h,0AFh,0A8h,0AFh,0A7h,0AFh,0A5h,0B2h,088h
db 054h,05Ah,058h,05Ah,05Ah,05Ah,05Bh,05Ah,05Ch,05Bh,05Dh,05Ah,05Fh,057h,08Eh,0B4h
db 0AAh,0B0h,0ABh,0AFh,0AAh,0AEh,0A8h,0AEh,0A7h,0B0h,08Ch,054h,05Bh,058h,05Bh,059h
db 05Bh,05Ah,05Ch,05Bh,05Ch,05Fh,0A4h,0AEh,0ACh,0ADh,0ACh,0ABh,0ABh,0AAh,0AAh,0A7h
db 064h,055h,05Ah,058h,05Bh,059h,05Ch,059h,05Ch,05Ah,05Dh,05Ah,05Fh,059h,06Eh,0AEh
db 0AEh,0AEh,0AEh,0ACh,0AEh,0AAh,0B1h,095h,058h,05Bh,05Bh,058h,088h,0B6h,0A5h,0B4h
db 095h,05Ch,058h,05Dh,057h,05Fh,054h,077h,0AFh,0ACh,0ACh,0ADh,0A9h,0B0h,07Ah,053h
db 05Eh,056h,062h,0A3h,0AEh,0A9h,0ACh,0A9h,0ABh,0A8h,0ACh,09Eh,05Bh,058h,059h,059h
db 058h,05Ah,058h,063h,0A8h,0ABh,0ABh,0AAh,0AAh,0A9h,0AAh,0A8h,0A9h,0A7h,0A9h,0A6h
db 0A9h,0A3h,0ACh,085h,04Eh,05Ah,051h,05Ah,050h,089h,0ADh,0A3h,0ACh,092h,052h,059h
db 052h,05Bh,04Fh,07Eh,0ADh,0A5h,0A9h,0A7h,0A6h,0A8h,06Ah,050h,059h,053h,059h,055h
db 059h,056h,059h,057h,05Ah,058h,05Ah,058h,05Ch,05Bh,0A1h,0ADh,0ABh,0AAh,0ABh,0A8h
db 0ADh,09Ch,05Ah,058h,058h,059h,059h,059h,05Ah,05Ah,05Bh,05Ah,05Ch,05Bh,05Dh,05Ch
db 05Eh,05Bh,05Fh,05Ch,061h,05Ah,099h,0B4h,0ADh,0AFh,0AEh,0ADh,0AEh,0ACh,0AEh,0A9h
db 0B2h,07Eh,053h,05Eh,058h,05Dh,05Ah,05Ch,05Ch,05Dh,05Dh,05Bh,06Eh,0B1h,0ABh,0B1h
db 0A9h,0B4h,079h,056h,05Fh,059h,065h,0A6h,0B0h,0ABh,0B0h,0AAh,0B2h,08Eh,056h,05Eh
db 059h,05Dh,05Ah,05Eh,05Bh,05Fh,05Bh,069h,0ABh,0AFh,0AEh,0AEh,0ADh,0ADh,0ADh,0ACh
db 0ACh,0ACh,0A8h,065h,058h,05Ch,05Ah,05Ch,05Ah,05Ch,05Bh,05Dh,05Ch,05Dh,05Dh,05Eh
db 05Dh,05Fh,05Dh,060h,05Dh,09Ch,0B4h,0ADh,0B1h,0ADh,0B0h,0ADh,0AFh,0ABh,0AFh,0A9h
db 0B2h,081h,054h,05Fh,058h,05Eh,05Ah,05Eh,05Bh,05Fh,05Bh,060h,05Ch,061h,05Ch,063h
db 059h,091h,0B6h,0AEh,0B0h,0AEh,0AFh,0AFh,0ACh,0B1h,076h,056h,060h,05Ah,05Fh,05Ch
db 05Fh,05Dh,060h,05Dh,062h,05Bh,073h,0B3h,0AFh,0B1h,0AFh,0B0h,0AEh,0AFh,0ADh,0AEh
db 0ACh,0AEh,0AAh,0AEh,06Dh,057h,05Dh,05Ah,05Ch,05Bh,05Dh,05Ch,05Eh,05Dh,05Eh,05Dh
db 05Fh,05Dh,067h,0ABh,0B0h,0B0h,0AFh,0AFh,0AEh,0AEh,0AFh,0A1h,05Ah,060h,055h,08Dh
db 0B2h,0ABh,0ADh,0AEh,0A2h,05Eh,05Bh,05Bh,05Ch,05Ch,05Ch,05Dh,05Ch,05Fh,05Ch,09Ch
db 0B3h,0ACh,0AFh,0ADh,0AEh,0ACh,0ACh,0ACh,0AAh,0ACh,0A8h,0AFh,089h,051h,05Dh,055h
db 05Dh,056h,05Fh,053h,07Ch,0B1h,0A9h,0ADh,0AAh,0ABh,0A9h,0AAh,0A9h,0A9h,0A8h,0A8h
db 0A8h,0A7h,0A7h,066h,052h,059h,054h,059h,055h,05Eh,09Eh,0ADh,0A5h,0ACh,0A3h,0AFh
db 08Ch,054h,057h,057h,055h,05Ah,052h,079h,0AFh,0A5h,0AAh,0A6h,0A9h,0A7h,0A8h,0A6h
db 0A7h,0A6h,0A5h,0A6h,0A4h,0A6h,0A1h,0A9h,079h,04Bh,057h,050h,057h,051h,057h,052h
db 059h,04Fh,06Fh,0ABh,0A4h,0A9h,0A4h,0A8h,0A2h,0ACh,07Eh,04Dh,057h,057h,0A1h,0A4h
db 0A8h,0A1h,0ABh,080h,04Ch,057h,051h,057h,052h,059h,04Fh,079h,0ADh,0A3h,0A9h,0A2h
db 0A9h,0A2h,0ABh,072h,04Eh,057h,051h,05Ch,09Eh,0A9h,0A3h,0A7h,0A2h,0AAh,088h,04Dh
db 057h,050h,057h,04Eh,080h,0B1h,082h,04Fh,058h,052h,058h,052h,05Ah,050h,077h,0ADh
db 0A5h,0A9h,0A6h,0A8h,0A6h,0A6h,0A5h,0A6h,0A5h,0A4h,0A5h,0A3h,0A5h,0A1h,0A8h,074h
db 04Bh,056h,04Fh,055h,051h,056h,052h,057h,052h,058h,052h,063h,0A3h,0A8h,0A6h,0A7h
db 0A5h,0A7h,0A4h,0A6h,0A3h,0A6h,0A1h,0A6h,064h,04Eh,054h,052h,053h,054h,054h,055h
db 054h,056h,054h,058h,052h,068h,0A8h,0A6h,0A8h,0A6h,0A7h,0A6h,0A6h,0A6h,0A5h,0A5h
db 0A4h,0A3h,060h,050h,055h,054h,054h,055h,054h,056h,054h,059h,050h,080h,0AFh,0A4h
db 0AAh,0A5h,0A8h,0A6h,0A5h,0A9h,07Ah,04Bh,05Bh,04Fh,05Bh,050h,09Ah,0A5h,0AEh,07Dh
db 050h,056h,05Bh,0A1h,0A9h,0A6h,0A8h,0A3h,0ABh,089h,04Fh,057h,053h,057h,055h,056h
db 057h,054h,068h,0ABh,0A5h,0AAh,0A5h,0A9h,0A4h,0A9h,0A2h,0ABh,093h,055h,053h,057h
db 04Fh,080h,0AEh,0A1h,0ACh,097h,058h,053h,056h,053h,058h,051h,069h,0AAh,0A5h,0A9h
db 0A5h,0A8h,0A4h,0A8h,0A3h,0A9h,093h,053h,054h,053h,055h,055h,055h,056h,056h,057h
db 055h,059h,053h,08Bh,0AFh,0A4h,0ABh,0A4h,0AAh,0A5h,0A8h,062h,054h,055h,058h,053h
db 064h,0A5h,0A9h,0A5h,0ABh,071h,050h,05Ah,054h,059h,059h,09Eh,0ABh,0A6h,0ADh,080h
db 04Dh,05Dh,051h,05Eh,050h,096h,0A8h,0AFh,083h,051h,05Ah,057h,058h,05Bh,053h,083h
db 0B2h,0A6h,0ADh,0A6h,0ABh,0A5h,066h,052h,05Bh,055h,05Bh,057h,05Bh,058h,05Bh,08Fh
db 0B9h,078h,057h,05Ah,05Ch,058h,05Fh,056h,093h,0B1h,0ABh,0ACh,0ACh,0AAh,0ACh,0A8h
db 0ADh,0A6h,0B1h,07Fh,052h,05Ah,058h,05Ah,09Ch,06Dh,054h,05Dh,057h,05Ch,05Ah,05Bh
db 05Dh,059h,091h,0B4h,0A8h,0B0h,0A8h,0B0h,0A1h,061h,057h,05Ch,059h,05Ch,05Ah,05Ch
db 062h,0AAh,0ABh,0B1h,074h,056h,05Fh,058h,069h,0A9h,0AEh,0ACh,0AEh,0AAh,0B1h,089h
db 053h,05Fh,056h,05Fh,057h,061h,054h,07Fh,0B2h,0ABh,0ADh,0ACh,0ACh,0ACh,0AAh,0ACh
db 0A8h,0AFh,094h,055h,05Bh,057h,05Ch,057h,05Dh,055h,06Fh,0AFh,0A9h,0AEh,0A7h,0B0h
db 074h,054h,05Ch,058h,05Ah,05Ah,05Ah,097h,0B2h,0A8h,0AEh,0A8h,0ACh,0A9h,0A6h,05Ch
db 05Ch,052h,080h,0B1h,0A6h,0ADh,09Fh,05Ch,058h,059h,059h,059h,05Ah,058h,063h,0A7h
db 0ABh,0ADh,071h,053h,05Fh,055h,06Ah,0A8h,0ADh,0A9h,0AEh,0A6h,0B1h,083h,053h,05Bh
db 058h,059h,05Ch,055h,084h,0B3h,0A6h,0AFh,0A7h,0ADh,0A7h,0ACh,0A6h,0ACh,0A4h,0AEh
db 08Eh,054h,058h,056h,058h,058h,057h,05Ah,056h,067h,0AAh,0A9h,0ABh,0A8h,0AAh,0A8h
db 0A9h,0A7h,0A7h,0A7h,0A7h,0A6h,065h,051h,058h,054h,059h,054h,05Ah,054h,05Ch,051h
db 087h,0AFh,0A6h,0ABh,0A6h,0AAh,0A6h,0A9h,069h,051h,059h,055h,059h,055h,05Bh,055h
db 097h,0ADh,0A8h,0A9h,0A9h,0A8h,0A8h,0A7h,0A8h,0A6h,0A8h,0A4h,0A8h,0A2h,0A9h,095h
db 056h,052h,056h,052h,058h,04Fh,06Ch,0A8h,0A6h,0A6h,0A7h,0A4h,0A7h,0A1h,0ABh,087h
db 04Fh,054h,054h,053h,057h,04Eh,079h,0ACh,0A3h,0A8h,09Dh,059h,056h,04Fh,07Eh,0ACh
db 0A2h,0A7h,0A4h,0A5h,0A4h,065h,04Fh,056h,052h,055h,054h,055h,057h,052h,08Ch,0ADh
db 0A3h,0A9h,0A5h,0A7h,0A5h,0A5h,0A6h,069h,04Dh,057h,052h,056h,053h,057h,055h,058h
db 056h,057h,057h,056h,065h,0ABh,0A6h,0ABh,0A5h,0ABh,0A3h,0AEh,088h,051h,059h,054h
db 059h,056h,05Ah,053h,073h,0B3h,095h,05Ah,056h,05Ch,053h,081h,0B1h,0A6h,0ACh,0A7h
db 0A6h,05Ch,059h,055h,05Ch,053h,06Fh,0ABh,0AAh,0A9h,0ABh,0A5h,0B0h,07Dh,051h,05Bh
db 056h,05Ch,09Ch,06Bh,053h,05Dh,056h,05Ch,058h,05Dh,059h,09Dh,0AFh,0AAh,0ACh,0A9h
db 0AEh,099h,057h,05Bh,057h,05Ch,057h,05Dh,056h,06Ch,0ACh,0ABh,0AAh,069h,056h,05Fh
db 055h,071h,0AEh,0ABh,0ACh,0ACh,0A9h,0AFh,080h,051h,05Fh,055h,062h,09Bh,0B3h,0A4h
db 0B5h,080h,056h,05Ah,05Bh,05Ah,09Eh,0ADh,0ACh,0A8h,0B0h,08Eh,055h,05Ah,059h,059h
db 05Dh,055h,07Fh,0B2h,0A8h,0ADh,0A9h,0ABh,0AAh,0A7h,0AEh,080h,050h,05Dh,055h,05Ch
db 057h,05Ch,058h,05Ch,058h,05Dh,059h,064h,0A5h,0AFh,0ABh,0ADh,0AAh,0ACh,0A9h,0ACh
db 0A8h,0ACh,0A7h,0ADh,070h,052h,05Bh,057h,05Ah,058h,05Bh,058h,05Bh,059h,05Bh,05Bh
db 05Ah,066h,0ACh,0AAh,0AFh,0A9h,0AFh,0A6h,0B2h,08Fh,057h,05Ah,05Ah,059h,05Eh,055h
db 07Dh,0B2h,0A8h,0AFh,0A4h,063h,058h,05Bh,05Ah,05Ch,059h,067h,0ACh,0AAh,0B0h,0A8h
db 0B3h,07Fh,055h,05Ch,05Ah,05Ah,05Dh,057h,08Fh,0B3h,0AAh,0ADh,0ADh,09Fh,05Ah,05Dh
db 059h,05Ch,05Ah,05Ch,05Ch,05Ch,062h,0A6h,0B0h,0ABh,0B3h,080h,055h,05Fh,061h,0ADh
db 0AAh,0B1h,0A7h,0B4h,080h,055h,05Dh,059h,05Eh,059h,094h,0B4h,0A7h,0B4h,08Fh,057h
db 05Ch,05Ah,05Ch,05Ch,05Dh,05Dh,05Dh,05Eh,05Dh,05Fh,05Dh,09Dh,0B4h,0ACh,0B0h,0ACh
db 0AEh,0AEh,0A7h,060h,05Ch,05Bh,05Eh,05Bh,05Fh,05Bh,066h,0A6h,0B3h,0AAh,0B5h,07Fh
db 057h,060h,05Bh,062h,0A4h,0B1h,0ADh,0AEh,0ADh,0ACh,0AFh,09Dh,05Ah,05Dh,059h,05Dh
db 05Ah,05Eh,05Bh,05Fh,05Ch,060h,05Ch,062h,058h,088h,0B6h,0ACh,0B1h,0ADh,0AFh,0ACh
db 06Dh,058h,061h,05Ah,061h,05Ah,066h,0A3h,0B5h,0A9h,0B7h,080h,059h,05Fh,05Eh,05Dh
db 061h,059h,092h,0B5h,0ADh,0B0h,0B0h,0A3h,05Eh,05Eh,05Dh,05Eh,05Fh,05Bh,071h,0B4h
db 0ACh,0B3h,0ABh,0B2h,0A9h,0B5h,088h,056h,05Fh,05Bh,05Fh,05Ch,05Fh,05Ch,061h,05Ah
db 070h,0B0h,0AEh,0B0h,0AFh,0AFh,0AEh,0AEh,0ADh,0ADh,0ACh,0ACh,0AAh,067h,057h,05Ch
db 05Ah,05Dh,05Ah,05Dh,05Bh,05Fh,059h,08Ch,0B6h,0A8h,0B5h,097h,05Ch,05Bh,05Eh,05Bh
db 060h,057h,079h,0B3h,0ACh,0AFh,0AEh,0ACh,0B1h,07Bh,054h,061h,058h,060h,059h,061h
db 057h,090h,0B4h,0ABh,0B0h,0ACh,0AEh,0ACh,0AEh,0ABh,0ADh,0AAh,0ACh,0A8h,0AEh,09Dh
db 05Bh,059h,059h,059h,059h,05Ah,059h,064h,0ABh,0A9h,0AEh,0A7h,0B2h,07Eh,054h,05Ch
db 059h,059h,05Ch,056h,08Dh,0B3h,0A7h,0AEh,0A8h,0ADh,0A8h,0ABh,0A8h,0AAh,0A7h,0AAh
db 0A6h,0ABh,099h,057h,057h,056h,057h,057h,058h,057h,058h,05Eh,0A3h,0AAh,0AAh,0A8h
db 0A9h,0A7h,0A9h,0A6h,0A8h,0A4h,0A8h,066h,052h,057h,056h,056h,057h,057h,058h,057h
db 05Ah,056h,05Ch,055h,06Dh,0ABh,0ABh,0A9h,0ACh,0A6h,0AFh,07Fh,051h,05Bh,057h,059h
db 05Ah,056h,089h,0B2h,0A5h,0AEh,0A6h,0ACh,0A6h,0ACh,0A3h,0AFh,078h,051h,059h,055h
db 059h,056h,05Ah,057h,05Bh,054h,075h,0B1h,0A6h,0ADh,0A6h,0ADh,0A4h,0B0h,07Dh,051h
db 05Bh,055h,05Bh,056h,05Dh,053h,082h,0B1h,0A6h,0ADh,0A6h,0ACh,0A6h,0ACh,0A3h,0AFh
db 080h,050h,059h,055h,058h,056h,059h,058h,059h,059h,05Ah,058h,05Fh,0A4h,0ACh,0AAh
db 0ABh,0AAh,0A9h,0A9h,0A8h,0A9h,0A4h,061h,054h,059h,056h,059h,057h,05Ah,057h,05Dh
db 055h,090h,0B0h,0A8h,0ABh,0A9h,0AAh,0A9h,0A8h,0AAh,0A6h,0ADh,080h,04Eh,05Ch,053h
db 05Bh,053h,05Dh,051h,081h,0B0h,0A7h,0ABh,0A7h,0A9h,0A7h,0A9h,0A6h,0A9h,0A4h,0ABh
db 091h,052h,057h,053h,057h,055h,057h,056h,057h,05Eh,0A5h,0A8h,0AAh,0A7h,0A9h,0A4h
db 0ACh,091h,053h,057h,054h,058h,056h,058h,057h,059h,057h,05Ah,058h,09Ah,0AEh,0A7h
db 0ABh,0A8h,0AAh,0A6h,0AAh,0A5h,0A9h,068h,052h,058h,056h,057h,057h,057h,05Ah,054h
db 08Bh,0B1h,0A5h,0ADh,0A6h,0ABh,0A5h,0ABh,0A2h,0AEh,074h,051h,058h,055h,057h,057h
db 056h,05Ah,052h,080h,0B1h,0A4h,0ACh,0A5h,0ABh,0A4h,0ABh,0A2h,0AEh,080h,050h,058h
db 054h,058h,056h,057h,057h,058h,058h,059h,058h,05Dh,0A1h,0ACh,0AAh,0A8h,0ADh,089h
db 04Fh,05Eh,054h,0A1h,0A7h,0B0h,07Ah,053h,05Ah,057h,059h,059h,058h,05Dh,055h,07Fh
db 0B3h,0A6h,0AFh,0A7h,0AEh,0A5h,0AFh,074h,053h,05Bh,056h,05Bh,057h,05Dh,054h,08Ch
db 0B1h,0A7h,0AEh,0A8h,0ACh,0A7h,0ABh,0A6h,0ABh,0A4h,0AFh,088h,051h,059h,055h,058h
db 057h,058h,058h,059h,059h,059h,05Bh,05Bh,09Bh,0AFh,0A9h,0ACh,0A9h,0ABh,0A8h,0AAh
db 0A4h,062h,054h,059h,056h,05Ah,058h,05Bh,058h,05Dh,056h,08Fh,0B2h,0A8h,0AEh,0A9h
db 0ACh,0A7h,0ABh,0A7h,0ABh,0A4h,0AFh,086h,050h,05Ah,054h,05Bh,052h,088h,0B1h,0A2h
db 0AFh,093h,057h,057h,059h,056h,05Bh,052h,074h,0AEh,0A7h,0ABh,0A5h,066h,053h,05Ch
db 053h,06Fh,0ADh,0A6h,0ADh,0A5h,0AEh,070h,053h,05Ah,057h,058h,059h,058h,05Ch,054h
db 086h,0B2h,0A6h,0AEh,0A7h,0ADh,0A6h,0ACh,0A4h,0AFh,07Eh,050h,05Bh,054h,05Ah,055h
db 05Ch,052h,082h,0B0h,0A6h,0ACh,0A7h,0ABh,0A6h,0ABh,0A4h,0AEh,080h,04Fh,05Ah,054h
db 05Ah,055h,05Bh,055h,05Ch,053h,06Fh,0ACh,0A9h,0AAh,0AAh,0A8h,0AAh,0A6h,0AEh,08Dh
db 052h,05Ah,055h,059h,056h,059h,057h,05Ah,057h,063h,0A7h,0ABh,0AAh,0A9h,0ABh,0A7h
db 0ADh,092h,053h,05Ah,055h,05Ah,057h,05Ah,058h,05Bh,058h,05Ch,057h,05Eh,055h,08Ch
db 0B2h,0A9h,0ACh,0ACh,0A2h,05Bh,05Ch,058h,05Dh,058h,05Dh,058h,068h,0A8h,0AFh,0AAh
db 0AFh,0A7h,0B2h,088h,054h,05Dh,059h,05Ch,05Ah,05Ch,05Ch,05Ch,05Dh,05Ch,05Eh,05Ch
db 061h,059h,090h,0B5h,0ABh,0B1h,0ACh,0B0h,0ACh,0AEh,06Bh,058h,05Eh,05Bh,05Eh,05Bh
db 063h,0A4h,0B2h,0A9h,0B5h,080h,055h,05Fh,05Ah,060h,0A0h,0B2h,0ABh,0B0h,0ABh,0AEh
db 0ABh,0ADh,0A5h,062h,058h,05Ch,05Ah,05Ch,05Bh,05Ch,05Ch,05Ch,05Eh,059h,08Bh,0B6h
db 0A9h,0B2h,0A9h,0B1h,0A8h,0B0h,06Ah,059h,05Bh,05Dh,05Ah,05Eh,05Ah,060h,059h,062h
db 055h,080h,0B3h,0ADh,0AFh,0AFh,0ACh,0B0h,0A9h,0B4h,080h,056h,05Dh,05Bh,05Bh,05Eh
db 058h,08Ch,0B5h,0A8h,0B2h,099h,058h,05Fh,056h,093h,0B1h,0ACh,0ACh,0AFh,09Dh,05Bh
db 05Bh,05Ch,05Ah,05Eh,056h,073h,0AFh,0ACh,0ACh,0ADh,06Ah,059h,058h,075h,0B2h,0A9h
db 0AEh,0ABh,0ABh,0AEh,07Ah,051h,05Fh,056h,05Fh,057h,060h,055h,08Eh,0B2h,0AAh,0AEh
db 0ACh,0A3h,059h,05Fh,052h,08Ah,0AEh,0AEh,094h,055h,05Dh,059h,05Bh,05Ch,057h,07Bh
db 0B5h,0A8h,0B0h,0A8h,0ADh,068h,058h,05Bh,05Bh,05Ah,065h,0ACh,0ABh,0AFh,06Fh,057h
db 05Dh,05Ah,05Ch,05Ch,05Fh,0A1h,0B1h,0ACh,0ADh,0ACh,0ABh,0AEh,0A0h,05Ch,05Bh,05Ah
db 05Bh,05Bh,05Bh,05Ch,05Bh,05Dh,05Bh,060h,058h,08Ch,0B6h,0ABh,0B1h,0ACh,0AEh,0ACh
db 0ABh,0AEh,078h,052h,060h,056h,05Fh,058h,060h,058h,063h,055h,080h,0B2h,0ADh,0AEh
db 0AFh,0ABh,0B0h,071h,057h,05Eh,05Bh,05Dh,05Ch,05Dh,05Eh,05Dh,05Eh,05Eh,05Fh,05Eh
db 060h,064h,0ACh,0AFh,0B3h,0ACh,0B7h,088h,058h,060h,05Eh,05Eh,061h,05Ah,08Ah,0B8h
db 0ACh,0B3h,0ADh,0B1h,0ABh,06Ch,058h,062h,058h,075h,0B2h,0ACh,0B1h,0ABh,0B2h,075h
db 058h,05Fh,05Ch,05Dh,05Eh,05Dh,09Dh,0B4h,0ACh,0AFh,0ADh,0AFh,0ADh,0ADh,0AAh,067h
db 058h,05Dh,05Bh,05Dh,05Ch,05Dh,05Eh,05Dh,05Eh,05Dh,061h,05Ah,077h,0B4h,0ADh,0B2h
db 0ADh,0B0h,0ADh,0AEh,0ADh,0ACh,0AEh,0A0h,05Bh,05Dh,05Ah,05Dh,05Bh,05Eh,05Bh,05Eh
db 061h,0A8h,0AFh,0AFh,0ACh,0AFh,0AAh,0B1h,09Ah,05Ah,05Ch,05Bh,05Ch,05Ch,05Ch,05Dh
db 05Ch,05Fh,05Ch,061h,059h,093h,0B6h,0ABh,0B1h,0ABh,0B1h,0A4h,063h,05Ah,05Eh,05Bh
db 05Eh,05Ch,05Fh,05Dh,061h,09Eh,0B8h,076h,05Ch,05Dh,06Eh,0B2h,0ADh,0B2h,0ACh,0B1h
db 0AAh,0B5h,08Ch,056h,05Fh,05Bh,05Fh,05Ch,05Fh,05Dh,05Fh,05Eh,05Fh,064h,0ABh,0B0h
db 0B0h,0AFh,0B0h,0ADh,0AFh,0ACh,0AEh,0ABh,0ADh,06Ah,058h,05Dh,05Bh,05Dh,05Ch,05Dh
db 05Dh,09Ch,0B4h,0AAh,0B1h,0A9h,0B3h,099h,05Eh,058h,05Fh,054h,086h,0B1h,0AEh,09Ah
db 057h,05Eh,05Ah,05Dh,05Dh,059h,078h,0B5h,0A8h,0B2h,0A8h,0B1h,0A6h,0B4h,080h,055h
db 05Ch,05Ah,05Ch,05Bh,05Ch,05Dh,05Ch,05Fh,05Ah,06Dh,0AFh,0ADh,0B0h,0ADh,0AFh,0ABh
db 0AEh,0AAh,0B0h,09Dh,05Ch,05Ah,05Bh,05Ah,05Bh,05Bh,05Dh,05Bh,05Eh,05Ch,09Fh,0B1h
db 0ACh,0ADh,0ADh,0ACh,0ACh,0AAh,0ACh,0A8h,0AFh,073h,053h,05Ch,058h,05Bh,059h,05Bh
db 05Bh,05Ah,05Dh,058h,076h,0B4h,0A9h,0B1h,0A9h,0B0h,0A7h,0B3h,080h,054h,05Dh,059h
db 05Ch,05Ah,05Dh,05Bh,05Dh,05Bh,05Eh,05Bh,066h,0A7h,0B1h,0ACh,0B0h,0AAh,0B2h,08Fh
db 055h,05Fh,059h,05Eh,05Bh,05Fh,05Ch,05Fh,05Ch,05Fh,05Dh,061h,05Bh,096h,0B7h,0AAh
db 0B6h,095h,05Ah,061h,05Ch,062h,05Ch,063h,05Ah,079h,0B4h,0AFh,0B1h,0AEh,0B1h,0AEh
db 0AFh,0ADh,0AFh,0ACh,0AEh,0A6h,062h,05Ah,05Dh,05Bh,05Eh,059h,069h,0ADh,0ACh,0B0h
db 0AAh,0B3h,080h,054h,05Eh,061h,0ACh,0A9h,0B0h,0A7h,0B4h,080h,056h,05Ch,05Bh,05Ah
db 05Eh,056h,08Bh,0B3h,0A9h,0AEh,0ACh,0A3h,05Bh,05Dh,058h,05Fh,055h,076h,0B1h,0AAh
db 0AFh,0A9h,0AFh,06Fh,055h,05Dh,059h,05Ch,05Ah,05Eh,09Ch,0B3h,0A7h,0B4h,085h,054h
db 05Fh,058h,05Fh,057h,092h,0B2h,0AAh,0ADh,0ADh,09Fh,058h,05Eh,057h,060h,053h,07Eh
db 0B0h,0ACh,0ACh,0ADh,0A9h,0AFh,074h,054h,05Ch,059h,05Bh,05Eh,0A2h,0AFh,0A9h,0B1h
db 080h,052h,05Fh,056h,05Fh,056h,099h,0AFh,0ABh,0ABh,0AEh,098h,056h,05Dh,056h,05Fh
db 053h,080h,0B2h,0A9h,0AEh,0AAh,0AAh,064h,057h,05Bh,059h,05Ch,059h,063h,0A6h,0ADh
db 0ABh,0ACh,0ABh,0ABh,0AAh,0ABh,0A9h,0ABh,0A7h,0ACh,06Fh,052h,05Bh,055h,05Ah,057h
db 05Ah,058h,05Bh,059h,05Bh,059h,05Ch,059h,062h,0A3h,0B0h,0A9h,0AEh,0A7h,0B1h,08Fh
db 055h,05Ch,058h,05Bh,05Ah,05Ch,05Bh,05Ch,05Ch,05Ch,05Eh,05Ch,060h,058h,088h,0B7h
db 0AAh,0B2h,0ACh,0AAh,05Fh,05Fh,059h,062h,056h,075h,0AFh,0AEh,0ADh,0AFh,06Ch,059h
db 05Dh,05Dh,05Bh,068h,0AAh,0B0h,0ABh,0B3h,07Bh,056h,060h,05Bh,05Eh,05Eh,05Ch,096h
db 0B6h,0A9h,0B6h,090h,058h,060h,05Ah,061h,057h,08Ah,0B5h,0ABh,0B0h,0ADh,0A7h,05Fh
db 05Dh,05Bh,060h,058h,074h,0B2h,0ABh,0B1h,0AAh,0B2h,074h,057h,05Eh,05Bh,05Ch,061h
db 0A4h,0B1h,0AAh,0B3h,081h,054h,060h,059h,060h,059h,062h,056h,086h,0B6h,0AAh,0B3h
db 0A0h,060h,05Ch,05Eh,05Ch,060h,05Ah,071h,0B2h,0ACh,0B1h,0ABh,0B3h,07Ah,056h,061h
db 05Ah,061h,05Ch,0A5h,0ADh,0B4h,07Fh,057h,061h,05Bh,060h,05Dh,05Fh,05Eh,060h,05Fh
db 060h,060h,060h,061h,060h,064h,05Dh,08Fh,0BBh,0ACh,0B9h,09Dh,061h,060h,061h,05Fh
db 064h,05Ch,07Bh,0B8h,0AFh,0B5h,0B0h,0B3h,0AFh,0B2h,0AEh,0B1h,0ADh,0B1h,0ACh,0B1h
db 0A9h,0B3h,07Ah,057h,05Eh,05Bh,05Ch,05Eh,05Ah,097h,0B4h,0ABh,0AFh,0ACh,0ADh,0ACh
db 0ACh,0ABh,0ABh,0ABh,0AAh,0AAh,0A8h,0ACh,09Dh,05Bh,057h,059h,058h,05Bh,055h,06Ch
db 0ACh,0A8h,0ABh,0A9h,0AAh,0A9h,0A7h,0ABh,095h,054h,05Ah,055h,05Ah,056h,05Ah,057h
db 05Bh,058h,05Bh,058h,05Ch,058h,05Eh,055h,079h,0B1h,0AAh,0AEh,0AAh,0ADh,0AAh,0ACh
db 0A9h,0ABh,0A8h,0ABh,09Fh,05Ch,056h,058h,057h,05Ah,056h,068h,0ACh,0A8h,0ACh,0A6h
db 0AFh,079h,051h,05Ch,055h,05Ch,056h,09Ch,0ACh,0ABh,0A7h,0AEh,08Eh,053h,05Bh,056h
db 05Ah,058h,05Bh,058h,05Bh,05Ah,05Bh,05Ah,05Dh,05Ah,05Dh,05Ch,05Eh,05Ch,05Fh,05Ch
db 060h,05Ch,063h,059h,08Bh,0B7h,0ADh,0B1h,0AFh,0A9h,062h,05Eh,05Dh,05Fh,05Eh,05Dh
db 06Bh,0B2h,0ACh,0B4h,0AAh,0B6h,07Fh,058h,05Fh,05Dh,05Eh,060h,05Bh,093h,0B7h,0A9h
db 0B6h,096h,059h,060h,05Bh,062h,058h,086h,0B7h,0AAh,0B4h,0A1h,061h,05Ch,05Eh,05Dh
db 05Fh,05Fh,060h,05Fh,060h,060h,061h,060h,061h,061h,062h,062h,063h,062h,063h,063h
db 064h,063h,064h,065h,064h,065h,065h,066h,065h,066h,066h,067h,066h,067h,066h,06Eh
db 0B0h,0BAh,0B6h,0B9h,0B4h,0BCh,09Bh,05Fh,068h,063h,067h,063h,067h,065h,068h,065h
db 068h,065h,069h,066h,069h,067h,06Ah,067h,06Bh,067h,06Ch,066h,06Eh,063h,098h,0C0h
db 0B9h,0BBh,0B9h,0B8h,0BAh,0B5h,0BDh,081h,060h,06Ah,065h,068h,068h,0ABh,0BCh,0B3h
db 0BEh,08Fh,060h,069h,064h,068h,066h,066h,068h,063h,080h,0BFh,0B3h,0BCh,0B3h,0BBh
db 077h,063h,066h,066h,064h,06Eh,0B1h,0B8h,0B6h,0B8h,0B3h,0BBh,097h,05Dh,068h,060h
db 068h,060h,06Ah,05Dh,081h,0BAh,0B4h,0B6h,0B2h,06Fh,062h,065h,063h,065h,065h,065h
db 066h,065h,067h,065h,068h,066h,069h,066h,069h,068h,0B1h,0B7h,0BEh,083h,061h,06Ah
db 066h,068h,068h,066h,06Bh,063h,08Eh,0C0h,0B5h,0BBh,0B6h,0BAh,0B5h,0B8h,0B4h,0B7h
db 0B3h,0B8h,0A1h,060h,066h,060h,066h,061h,068h,05Eh,079h,0B5h,0B7h,0B3h,0B7h,0B0h
db 0BBh,086h,05Dh,064h,062h,063h,0A8h,0B4h,0B7h,083h,05Bh,066h,060h,064h,063h,063h
db 066h,05Eh,086h,0BCh,0B0h,0B7h,0B1h,0B5h,0B1h,0B3h,0B1h,0B2h,0B1h,0B1h,0B1h,0A7h
db 062h,05Eh,05Eh,05Fh,060h,060h,061h,05Fh,063h,05Eh,09Eh,0B6h,0B0h,0B1h,0B3h,09Dh
db 05Bh,063h,05Dh,062h,05Eh,062h,05Eh,063h,05Fh,068h,0A9h,0B5h,0B0h,0B3h,0B0h,0B2h
db 0AFh,0B1h,0AFh,0ADh,066h,05Dh,05Eh,05Fh,05Eh,060h,05Eh,062h,05Eh,064h,05Ah,08Bh
db 0B9h,0ADh,0B4h,0AEh,0B2h,0ACh,0B3h,073h,059h,060h,05Dh,060h,05Fh,060h,05Fh,061h
db 060h,061h,060h,062h,061h,062h,061h,063h,062h,063h,062h,064h,063h,065h,064h,066h
db 063h,067h,063h,069h,060h,07Eh,0BAh,0B5h,0B8h,0B5h,0B6h,0B4h,0B5h,0B4h,0B4h,0B2h
db 0B4h,0ACh,068h,060h,061h,062h,061h,062h,061h,069h,0ABh,0B6h,0B1h,0B5h,0AEh,0B8h
db 096h,05Ch,062h,05Fh,062h,060h,062h,062h,062h,063h,062h,064h,061h,066h,05Dh,08Eh
db 0BCh,0B1h,0B7h,0B1h,0B4h,0B2h,0B2h,0B2h,0AFh,0B5h,091h,057h,064h,05Ch,064h,05Dh
db 064h,05Dh,064h,05Eh,065h,05Eh,067h,05Ch,0A1h,0B4h,0B9h,08Ch,05Bh,065h,060h,063h
db 061h,063h,063h,063h,064h,064h,066h,063h,068h,060h,09Eh,0B9h,0B8h,096h,05Ch,06Ah
db 05Fh,069h,061h,06Bh,05Dh,086h,0BBh,0B5h,0B7h,0B5h,0B5h,0B4h,0B4h,0B3h,0B3h,0B3h
db 0B2h,0B2h,0ACh,067h,05Fh,061h,060h,061h,061h,061h,062h,062h,0A3h,0B7h,0B0h,0B4h
db 0B0h,0B3h,0AFh,0B2h,0AEh,0B2h,0ABh,0B5h,080h,057h,061h,05Bh,060h,05Dh,060h,05Eh
db 061h,05Eh,062h,05Eh,06Bh,0AEh,0B2h,0B1h,0B1h,0B0h,0B0h,0AFh,0AFh,0AEh,0AEh,0ADh
db 0AEh,0ACh,0ADh,0ABh,0ACh,0ABh,0ABh,0A9h,0ABh,0A8h,0ABh,0A6h,0AEh,086h,050h,05Ch
db 055h,05Bh,056h,05Bh,057h,05Ch,057h,05Ch,057h,05Eh,056h,09Ah,0AEh,0ACh,0A9h,0B0h
db 095h,057h,05Bh,059h,05Ah,05Bh,05Ah,05Dh,058h,068h,0A9h,0AEh,0AAh,0B0h,077h,054h
db 05Eh,059h,05Dh,05Ah,05Dh,05Ch,05Dh,05Dh,05Dh,05Eh,05Eh,05Fh,061h,0A5h,0B2h,0AFh
db 0AFh,0AEh,0ADh,0AEh,0ACh,0AFh,0AAh,0B0h,070h,056h,05Ch,05Ah,05Ch,05Ch,05Bh,05Fh
db 058h,08Dh,0B5h,0AAh,0B0h,0ABh,0AFh,0A6h,065h,058h,05Dh,05Ah,05Dh,05Bh,05Dh,05Ch
db 05Dh,05Dh,05Eh,05Eh,05Eh,05Fh,05Dh,069h,0ADh,0B0h,0B0h,0AFh,0AFh,0AEh,0AEh,0AEh
db 0ACh,0AEh,0ABh,0AEh,06Fh,057h,05Eh,059h,05Dh,05Bh,05Eh,05Ch,05Dh,05Dh,05Eh,05Dh
db 05Fh,05Eh,060h,05Fh,060h,05Fh,060h,060h,061h,061h,062h,061h,062h,063h,062h,063h
db 063h,064h,063h,064h,064h,065h,064h,065h,065h,066h,065h,067h,066h,068h,065h,06Ah
db 063h,09Dh,0BEh,0B5h,0B9h,0B5h,0B8h,0B4h,0B6h,0B3h,0B6h,0B3h,0B5h,0B2h,0B3h,0B1h
db 0B2h,0B0h,0B1h,0AFh,0B0h,0AFh,0B0h,0ADh,0AFh,0ACh,0B0h,0AAh,0B2h,077h,056h,05Eh
db 05Ah,05Eh,05Ch,05Dh,05Dh,05Eh,05Dh,05Eh,05Eh,05Fh,05Eh,060h,05Fh,060h,060h,061h
db 060h,061h,062h,061h,062h,063h,062h,063h,062h,065h,060h,075h,0B8h,0B1h,0B7h,0AFh
db 0BAh,07Fh,05Ch,064h,061h,063h,062h,063h,063h,063h,065h,064h,065h,063h,066h,063h
db 069h,060h,099h,0BDh,0B4h,0B7h,0B6h,0AAh,064h,065h,062h,066h,063h,066h,064h,067h
db 065h,068h,065h,068h,065h,068h,067h,068h,067h,06Ah,067h,06Ah,067h,06Ah,068h,06Bh
db 068h,06Bh,069h,06Ch,069h,06Dh,068h,06Fh,066h,080h,0BEh,0BCh,0BCh,0BDh,0B8h,0C0h
db 08Ah,062h,06Dh,066h,06Bh,068h,06Bh,069h,06Bh,06Ah,06Bh,06Ah,06Ch,06Bh,06Ch,06Bh
db 06Dh,06Ch,06Dh,06Ch,06Dh,06Eh,06Dh,06Eh,06Eh,06Fh,06Dh,071h,06Ah,080h,0C2h,0BDh
db 0C1h,0BDh,0BFh,0BCh,0BDh,0BCh,0BCh,0BAh,0BBh,0B9h,0BAh,0B8h,0B9h,0B7h,0B8h,0B7h
db 0B6h,0B5h,0B6h,0B4h,0B5h,0B3h,0B4h,0B3h,0B3h,0B2h,0B2h,0B1h,0B1h,0B0h,0AFh,0B0h
db 0AFh,0AEh,0AEh,0ADh,0AEh,0ADh,0ADh,0ACh,0ABh,0ACh,0ABh,0AAh,0A9h,0AAh,0A9h,0A8h
db 0A8h,0A8h,0A8h,0A7h,0A7h,0A7h,0A1h,05Dh,054h,056h,055h,056h,057h,057h,057h,058h
db 058h,059h,058h,059h,05Ah,059h,05Ah,05Bh,05Ah,05Bh,05Ch,05Bh,05Ch,05Dh,05Ch,05Dh
db 05Eh,05Dh,05Eh,05Fh,05Eh,05Fh,060h,05Fh,05Fh,060h,061h,060h,061h,061h,062h,061h
db 062h,063h,063h,062h,063h,063h,064h,065h,064h,064h,065h,066h,065h,065h,066h,067h
db 066h,066h,067h,068h,067h,068h,068h,069h,068h,069h,068h,069h,069h,06Ah,069h,06Ah
db 06Bh,06Ah,06Ah,06Bh,06Ch,06Bh,06Ch,06Bh,06Ch,06Dh,06Ch,06Ch,06Dh,06Eh,06Dh,06Eh
db 06Dh,06Eh,06Fh,06Eh,06Fh,06Eh,06Fh,070h,06Fh,070h,06Fh,070h,06Fh,070h,071h,070h
db 071h,070h,071h,072h,071h,072h,071h,072h,073h,073h,072h,073h,072h,073h,074h,073h
db 073h,074h,073h,074h,075h,074h,075h,075h,074h,075h,076h,075h,076h,075h,076h,076h
db 075h,076h,077h,076h,077h,076h,077h,076h,076h,077h,078h,077h,078h,077h,078h,079h
db 079h,078h,079h,078h,079h,078h,079h,079h,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah
db 07Ah,07Ah,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Bh,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh
db 07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,07Fh,080h,07Fh,080h,07Fh
db 080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,081h,080h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,081h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h
db 081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,082h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,082h,083h,082h
db 083h,082h,083h,083h,083h,083h,083h,083h,083h,084h,083h,083h,084h,083h,084h,083h
db 084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h
db 084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h
db 084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h
db 084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h
db 084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,083h,083h,083h,083h
db 083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h
db 083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h
db 083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h
db 083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h,083h
db 083h,083h,083h,083h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,083h,084h,083h,083h,083h,084h,083h
db 084h,083h,083h,083h,084h,083h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,083h,083h,083h,083h,083h,084h,083h,083h,084h,083h,083h
db 083h,082h,083h,083h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,082h,082h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,082h,082h,082h,082h,082h,082h,082h,081h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,081h,081h,081h,082h,081h,082h
db 081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h
db 081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h
db 081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h
db 081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h
db 081h,081h,082h,081h,082h,081h,081h,081h,082h,081h,081h,081h,080h,081h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,080h,080h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h

halt db 080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,08Ch,0CEh,0CBh,0CEh,0C9h
db 0CDh,0C7h,0D0h,0ADh,077h,07Fh,07Ah,07Eh,07Bh,07Dh,07Bh,07Eh,07Bh,07Dh,07Ch,07Dh
db 07Ch,07Dh,07Bh,07Eh,07Bh,07Eh,07Bh,07Eh,07Ch,0BBh,0CBh,0C7h,0C7h,0C7h,0C5h,0C7h
db 0BBh,07Bh,077h,079h,077h,07Ah,074h,085h,0C4h,0C3h,0C3h,0C4h,089h,070h,079h,072h
db 078h,072h,079h,071h,0ADh,0C6h,0BFh,0C2h,0BFh,0C0h,0BEh,0BBh,07Ah,070h,072h,071h
db 072h,072h,072h,072h,073h,072h,072h,073h,072h,073h,072h,073h,072h,073h,073h,073h
db 073h,074h,073h,074h,073h,074h,073h,074h,074h,075h,074h,075h,074h,076h,074h,077h
db 073h,078h,06Fh,097h,0C8h,0BDh,0C3h,0BEh,0C1h,0BCh,0BFh,0BCh,0BDh,0BBh,0BCh,0BAh
db 0BCh,0B5h,077h,06Ah,06Fh,06Bh,06Fh,06Bh,070h,06Bh,071h,068h,0A1h,0BFh,0B8h,0BAh
db 0B8h,0B8h,0B8h,0B5h,0B9h,07Eh,064h,06Ch,068h,06Bh,068h,06Bh,06Ah,06Bh,06Ah,06Bh
db 06Ah,06Ch,06Bh,06Ch,06Ch,0ACh,0BBh,0B6h,0B7h,0B5h,0B6h,0B5h,0B5h,0B3h,0B4h,0B1h
db 0B3h,0B0h,0B3h,0AEh,0B4h,0A3h,066h,062h,064h,062h,066h,060h,077h,0B2h,0B0h,0B0h
db 0B0h,076h,05Dh,065h,060h,065h,062h,065h,062h,066h,062h,067h,060h,07Bh,0B7h,0A2h
db 067h,063h,064h,064h,065h,064h,065h,064h,067h,064h,068h,061h,093h,0B9h,0AEh,0B5h
db 0AFh,0B3h,0AEh,0B2h,072h,060h,064h,063h,063h,064h,062h,066h,060h,095h,0B6h,0ACh
db 0B2h,0ACh,0B2h,0A6h,068h,05Eh,064h,05Fh,065h,05Eh,070h,0ADh,0AFh,0ADh,0AFh,0ACh
db 0AEh,0AAh,0B1h,099h,05Eh,060h,05Fh,05Fh,060h,05Fh,061h,05Fh,061h,063h,0A6h,0ADh
db 0AEh,0A9h,0B2h,08Ah,05Ah,061h,05Fh,05Eh,062h,05Ah,084h,0B3h,0A8h,0AEh,0AAh,0ABh
db 0AAh,0A8h,0ADh,07Eh,055h,061h,059h,05Fh,05Bh,05Eh,08Dh,0B7h,07Eh,05Ah,05Eh,05Eh
db 05Eh,05Fh,05Eh,05Fh,05Fh,060h,05Eh,061h,05Fh,062h,05Eh,09Ah,0B1h,0AAh,0AEh,0AAh
db 0ACh,0A9h,0ACh,0A7h,06Eh,053h,081h,0AEh,0A7h,0AAh,0A7h,0A6h,064h,05Bh,058h,078h
db 0B4h,08Eh,05Dh,059h,05Fh,056h,089h,0ADh,0A5h,0A9h,0A7h,0A7h,0A7h,0A5h,0A7h,0A2h
db 0ABh,082h,052h,05Bh,059h,09Ah,0A9h,06Eh,053h,05Bh,056h,05Bh,057h,05Ch,095h,0AEh
db 072h,052h,071h,0ADh,096h,05Dh,056h,08Ch,0AFh,07Ch,050h,06Ah,0A5h,0A5h,0A5h,066h
db 055h,05Bh,057h,05Bh,058h,05Ch,057h,05Eh,055h,087h,0ADh,0A4h,0A8h,0A6h,09Eh,05Bh
db 05Bh,058h,05Bh,058h,05Ch,058h,05Dh,05Bh,09Fh,068h,05Bh,058h,077h,0AEh,0A4h,0AAh
db 0A5h,0A9h,0A5h,0A7h,0A4h,0A6h,0A4h,0A6h,0A3h,0A5h,0A2h,0A4h,0A1h,0A3h,09Fh,0A5h
db 08Eh,052h,056h,053h,056h,055h,056h,055h,057h,056h,057h,057h,058h,057h,059h,058h
db 05Bh,056h,064h,0A3h,0A7h,0A5h,0A6h,0A2h,0AAh,084h,051h,05Bh,057h,09Ah,0A7h,072h
db 04Ch,076h,0A6h,0A5h,09Dh,05Bh,08Ch,0ABh,09Ch,0ABh,084h,053h,05Ah,09Bh,0A2h,0A6h
db 072h,050h,057h,05Fh,0A4h,09Fh,0A5h,063h,053h,056h,056h,056h,057h,055h,059h,054h
db 08Ah,0AAh,0A0h,0A7h,0A0h,0A6h,09Fh,0A6h,09Dh,0A8h,06Fh,050h,056h,055h,055h,057h
db 053h,08Eh,0A7h,0A0h,0A3h,0A2h,0A1h,0A2h,09Fh,0A1h,061h,053h,051h,06Dh,0A6h,09Dh
db 0A3h,09Dh,0A2h,067h,04Bh,071h,0A9h,08Bh,052h,054h,052h,055h,052h,057h,050h,067h
db 0A4h,09Bh,057h,08Bh,0A6h,09Fh,0A1h,0A2h,08Fh,050h,056h,051h,056h,052h,057h,053h
db 057h,054h,058h,055h,093h,0A7h,0A0h,0A8h,082h,04Eh,05Bh,050h,05Ch,04Eh,08Dh,07Eh
db 04Ch,06Ch,0A5h,09Ch,05Ch,054h,083h,0B0h,07Eh,054h,058h,05Ah,099h,067h,051h,07Fh
db 0AFh,087h,054h,05Dh,09Ah,0A8h,0A2h,0A6h,0A0h,0A8h,08Ch,052h,05Ah,053h,08Eh,0ABh
db 079h,04Dh,06Bh,0A2h,0A4h,0A1h,0A4h,09Fh,0A7h,080h,04Eh,059h,052h,059h,052h,05Ah
db 050h,07Ah,0A9h,0A0h,0A5h,0A0h,0A4h,09Fh,0A4h,09Dh,0A7h,080h,04Eh,058h,051h,057h
db 053h,057h,054h,059h,053h,065h,0A4h,09Eh,05Fh,054h,058h,055h,05Ah,055h,064h,09Ah
db 05Eh,056h,084h,0B2h,07Fh,055h,059h,05Ch,09Ah,068h,054h,05Eh,053h,072h,0A7h,0A7h
db 0A1h,064h,052h,083h,0ACh,0A2h,0A8h,0A4h,0A6h,0A1h,065h,054h,05Ah,057h,058h,064h
db 0A9h,09Ch,067h,04Fh,086h,0A7h,0A8h,090h,053h,05Ch,056h,05Bh,057h,05Bh,059h,05Ch
db 058h,063h,0A1h,0A9h,0A6h,0A7h,0A5h,0A6h,0A5h,0A6h,0A5h,0A0h,05Fh,056h,059h,055h
db 070h,0AFh,090h,05Dh,055h,05Eh,051h,082h,0A9h,0A7h,094h,054h,05Ch,056h,05Dh,053h
db 07Eh,0ACh,0A4h,09Ch,053h,061h,050h,08Eh,0A6h,0ACh,088h,056h,059h,05Ch,055h,090h
db 0A8h,0AAh,087h,053h,05Dh,059h,059h,092h,0AAh,0A8h,084h,050h,060h,055h,05Fh,091h
db 0B3h,071h,059h,05Ah,05Bh,060h,0A6h,0A4h,0ACh,06Fh,057h,058h,06Bh,0ABh,0A4h,0AAh
db 0A3h,0ABh,076h,050h,071h,0A9h,0A4h,0A3h,05Eh,059h,057h,05Ch,055h,06Dh,0A8h,0A6h
db 0A4h,066h,053h,080h,0B2h,087h,056h,05Bh,059h,05Ch,05Ah,05Ch,05Bh,05Ah,06Bh,0AFh
db 09Bh,066h,053h,08Eh,0ABh,0A9h,0A6h,0ABh,098h,05Fh,055h,090h,0A9h,0AAh,087h,053h
db 05Eh,057h,05Dh,057h,088h,0B3h,080h,057h,05Bh,05Ch,05Ah,09Ah,0A9h,0ABh,080h,053h
db 05Fh,059h,05Fh,09Bh,0ABh,0A9h,080h,04Fh,072h,0A7h,0A1h,05Fh,059h,085h,0B5h,080h
db 059h,05Ah,061h,09Dh,0ADh,06Dh,058h,05Dh,05Ch,05Bh,063h,0A3h,0A9h,06Ch,057h,061h
db 057h,070h,0AAh,0A8h,0A9h,0A9h,0A8h,0A9h,0A5h,0ABh,090h,055h,05Eh,058h,05Dh,059h
db 05Dh,05Ah,05Eh,059h,066h,0A2h,0ABh,0A7h,0AAh,0A6h,0AAh,0A4h,0ABh,099h,05Eh,057h
db 08Dh,0B1h,07Dh,054h,05Eh,057h,060h,097h,0AEh,0A0h,0B0h,080h,057h,059h,05Ch,057h
db 061h,051h,08Eh,082h,054h,05Fh,061h,0A4h,0A8h,06Ah,05Ah,059h,075h,0B0h,0A4h,0ABh
db 0A6h,0A9h,0A7h,0A6h,0AAh,087h,051h,05Fh,055h,05Eh,057h,05Eh,058h,060h,056h,06Eh
db 0A7h,0A9h,0A6h,06Bh,056h,061h,055h,072h,0A9h,0A9h,0A5h,068h,057h,060h,056h,075h
db 0ACh,0A8h,0A9h,0A9h,0A6h,0ABh,07Bh,050h,071h,0A8h,0A7h,0A4h,064h,058h,05Bh,05Bh
db 05Bh,05Bh,05Ch,05Ch,05Ch,05Dh,05Dh,05Eh,05Ch,05Fh,05Ch,068h,0A7h,0ACh,0AAh,0ABh
db 0A9h,0ABh,0A7h,0ACh,09Ah,05Ch,05Ch,05Ch,05Ch,05Dh,05Dh,05Eh,05Dh,05Fh,05Eh,09Fh
db 0ABh,0AEh,080h,053h,072h,0A9h,0A9h,0ABh,0A7h,0ADh,079h,056h,05Dh,065h,0ACh,0A1h
db 069h,056h,062h,055h,078h,0AEh,09Ch,05Ch,060h,059h,062h,057h,07Eh,0AFh,0A9h,0ABh
db 0A6h,065h,05Dh,05Ch,060h,05Ah,070h,0ACh,0A5h,062h,061h,058h,084h,0B0h,0ABh,09Bh
db 05Ah,061h,094h,0B5h,079h,057h,071h,0AFh,09Eh,062h,05Dh,05Eh,05Fh,05Bh,075h,0B4h
db 099h,063h,05Bh,094h,0B3h,080h,055h,071h,0AAh,0A6h,063h,060h,059h,080h,0B6h,08Eh
db 05Ch,060h,05Dh,060h,05Fh,060h,060h,05Eh,06Eh,0B1h,0A3h,06Ah,05Ah,067h,056h,082h
db 098h,05Bh,067h,0A0h,0B2h,0ABh,0AEh,0ABh,0ACh,0ADh,09Fh,05Eh,05Fh,08Fh,0B8h,07Dh
db 05Ch,05Eh,060h,05Dh,062h,05Bh,092h,0B2h,0A8h,0AEh,0A9h,0ADh,0A8h,0AAh,069h,05Ch
db 05Dh,05Fh,05Bh,06Bh,0AAh,0A7h,067h,05Eh,05Bh,07Eh,0B4h,0A5h,0AFh,0A5h,0ADh,066h
db 05Fh,057h,07Bh,0B1h,099h,05Bh,061h,05Ah,064h,055h,081h,0ADh,0ADh,09Ch,060h,05Bh
db 094h,0AFh,0A8h,0AAh,0ACh,099h,05Ah,05Eh,05Bh,05Eh,05Ch,05Eh,05Eh,05Ch,067h,0A7h
db 0ACh,0AAh,0AEh,07Dh,053h,074h,0ADh,0A0h,060h,05Eh,05Ah,083h,0B7h,087h,05Bh,063h
db 0A5h,0A8h,0AFh,075h,05Ah,05Ch,06Dh,0ABh,0A9h,0A8h,06Ch,054h,081h,0ADh,0AAh,09Bh
db 05Ah,05Fh,091h,0B4h,078h,058h,05Eh,05Ch,05Eh,05Ch,05Fh,05Ch,062h,058h,07Ch,0B0h
db 0A9h,0ACh,0ABh,0A9h,0ADh,077h,057h,060h,05Bh,05Fh,05Dh,05Fh,05Fh,05Fh,061h,05Ch
db 078h,0B2h,0A8h,0AFh,0A9h,0AEh,0A8h,0ACh,0A7h,0AEh,093h,058h,061h,057h,098h,07Ah
db 055h,061h,068h,0B2h,09Ch,06Ah,052h,090h,0AAh,0AEh,08Fh,059h,062h,09Fh,0ABh,0ABh
db 07Dh,052h,074h,0A9h,0A9h,0A6h,062h,088h,0B4h,080h,055h,068h,0A7h,0A4h,066h,055h
db 081h,0B3h,088h,057h,061h,0A0h,0A9h,0A8h,0A5h,0ACh,086h,052h,05Fh,059h,09Fh,068h
db 059h,05Bh,05Ch,059h,067h,0A7h,0A8h,0A9h,0A7h,0A7h,0A7h,0A7h,0A6h,0A8h,09Dh,05Ch
db 05Bh,056h,080h,0B2h,085h,056h,05Bh,059h,097h,0ABh,0A3h,0A9h,0A2h,0AAh,093h,058h
db 059h,058h,059h,059h,05Ah,058h,068h,0ABh,09Dh,064h,055h,060h,052h,07Ah,0A9h,0A9h
db 09Eh,05Fh,058h,05Eh,055h,07Dh,0ADh,0A6h,0A8h,0A2h,05Dh,090h,0AAh,0A8h,086h,051h
db 05Fh,056h,05Dh,058h,05Dh,05Bh,05Ah,071h,0B0h,0A2h,0AEh,0A0h,0B0h,067h,07Eh,0AEh
db 0A3h,0AAh,09Ch,05Ch,05Bh,056h,080h,0B2h,086h,056h,05Ch,059h,09Ah,0A8h,0AAh,080h
db 04Eh,06Eh,0A4h,0A3h,05Eh,05Bh,057h,05Eh,055h,06Fh,0AAh,09Fh,05Dh,05Eh,055h,084h
db 0AEh,0A5h,0ABh,09Bh,05Ch,099h,0A8h,0A7h,0A4h,0ABh,08Ch,054h,05Ch,057h,05Bh,05Ah
db 05Bh,05Bh,058h,06Ah,0A9h,0A6h,0A9h,0A6h,0A8h,0A5h,0A7h,0A5h,0A5h,0A6h,09Fh,05Dh
db 058h,058h,059h,059h,059h,05Ah,059h,05Bh,059h,091h,0ADh,0A4h,0AAh,0A4h,0A9h,0A3h
db 0A9h,0A2h,0AAh,06Fh,054h,05Ah,058h,059h,059h,058h,05Ch,055h,083h,0AFh,0A2h,0AAh
db 0A3h,0A9h,0A2h,0A9h,0A0h,0ACh,07Bh,052h,059h,057h,059h,059h,058h,05Bh,055h,079h
db 0ADh,0A2h,0AAh,0A3h,0A8h,0A2h,0A8h,0A0h,0AAh,086h,053h,05Ah,056h,05Ah,057h,05Ah
db 058h,05Bh,057h,065h,0A5h,0A6h,0A7h,0A5h,0A6h,0A5h,0A6h,0A4h,0A5h,0A2h,0A5h,0A1h
db 0A6h,072h,04Dh,06Fh,0A8h,095h,059h,055h,088h,0AEh,077h,052h,058h,055h,05Bh,097h
db 0A9h,06Eh,04Eh,074h,0AAh,0A1h,0A7h,0A0h,0A6h,09Eh,0A9h,078h,050h,058h,055h,057h
db 057h,057h,058h,057h,05Ah,055h,068h,0A7h,0A4h,0A6h,0A4h,0A5h,0A3h,0A5h,0A2h,0A6h
db 096h,056h,058h,055h,058h,056h,059h,057h,05Ah,057h,05Ch,055h,091h,0AAh,0A4h,0A6h
db 0A5h,0A5h,0A5h,0A3h,0A5h,0A1h,0A8h,079h,050h,05Ah,054h,05Ah,055h,05Bh,056h,05Ch
db 053h,073h,0ABh,0A3h,0A8h,0A2h,0A7h,0A1h,0AAh,07Dh,051h,05Bh,055h,05Ah,056h,05Bh
db 056h,05Dh,054h,070h,0AAh,0A4h,0A8h,0A4h,0A7h,0A4h,0A7h,0A2h,0A9h,090h,055h,059h
db 057h,059h,058h,059h,059h,058h,064h,0A5h,0A5h,0A8h,0A4h,0A8h,0A2h,0AAh,08Ch,054h
db 05Bh,056h,05Ah,057h,05Bh,059h,05Bh,059h,05Bh,05Ch,09Eh,0A9h,0A7h,0A7h,0A7h,0A6h
db 0A7h,0A5h,0A7h,0A3h,0A8h,06Dh,053h,05Bh,057h,05Ah,058h,05Bh,059h,05Ch,058h,05Eh
db 056h,073h,09Ch,056h,063h,054h,092h,0AAh,0ADh,08Bh,055h,065h,09Fh,0ACh,0A6h,0A9h
db 0A6h,0A9h,0A4h,0A9h,09Bh,05Dh,059h,05Ah,05Ah,05Bh,05Bh,05Ah,063h,0A6h,0A7h,0A9h
db 0A5h,0A8h,0A4h,0ACh,08Fh,055h,05Ch,057h,08Fh,0B0h,07Ah,055h,05Bh,061h,0A5h,0A5h
db 0A8h,0A4h,0A8h,0A3h,0A7h,0A2h,0A8h,09Ah,05Fh,054h,05Ch,051h,078h,0AAh,0A3h,0A5h
db 0A4h,0A3h,0A6h,06Fh,051h,05Ah,055h,05Ah,056h,05Ah,057h,05Bh,058h,05Ch,056h,06Dh
db 0A9h,0A5h,0A8h,0A5h,0A8h,0A4h,0A7h,0A3h,0A9h,094h,057h,058h,057h,059h,059h,059h
db 05Ah,059h,062h,0A2h,0A8h,0A5h,0A8h,0A3h,0ABh,089h,053h,05Dh,056h,05Dh,057h,05Eh
db 055h,073h,0ABh,0A5h,0A8h,0A5h,0A8h,0A4h,0A7h,0A2h,0A9h,090h,055h,05Ah,057h,05Ah
db 058h,05Ah,059h,05Bh,059h,061h,09Fh,0AAh,0A5h,0A8h,0A5h,0A7h,0A3h,0A8h,09Ah,05Ch
db 057h,05Bh,055h,078h,0B1h,08Dh,059h,05Ah,096h,0AAh,0A4h,0A7h,0A3h,0A6h,0A3h,0A6h
db 0A1h,0A6h,09Fh,0A9h,077h,050h,059h,055h,058h,056h,058h,057h,059h,058h,059h,059h
db 05Ah,05Eh,09Dh,0A9h,0A5h,0A7h,0A5h,0A6h,0A4h,0A6h,0A3h,0A3h,062h,056h,058h,058h
db 058h,05Ah,058h,05Bh,058h,05Eh,054h,081h,0AEh,0A4h,0A8h,0A5h,0A7h,0A5h,0A6h,0A5h
db 0A4h,0A5h,0A3h,0A4h,0A2h,0A4h,0A1h,0A5h,09Eh,0A8h,07Dh,050h,058h,054h,056h,056h
db 055h,059h,052h,073h,0AAh,0A1h,0A6h,0A2h,0A4h,0A3h,0A1h,0A6h,080h,04Dh,05Ah,052h
db 05Ah,053h,05Ah,054h,05Bh,053h,06Ah,0A4h,0A5h,0A5h,0A5h,0A3h,0A4h,0A3h,0A4h,0A1h
db 0A4h,0A0h,0A4h,09Eh,0A7h,071h,04Eh,058h,053h,057h,054h,057h,056h,057h,057h,057h
db 058h,057h,05Eh,0A0h,0A5h,0A5h,0A4h,0A5h,0A3h,0A4h,0A2h,0A4h,09Dh,05Eh,054h,058h
db 056h,058h,056h,059h,057h,05Bh,057h,05Dh,053h,07Fh,0ADh,0A3h,0A9h,0A4h,0A7h,0A4h
db 0A5h,0A3h,0A4h,0A3h,0A4h,0A2h,0A3h,09Fh,060h,052h,058h,055h,058h,056h,059h,057h
db 05Ah,056h,05Ch,053h,07Bh,0ACh,0A2h,0A8h,0A3h,0A7h,0A2h,0A7h,0A0h,0AAh,084h,052h
db 05Ah,055h,059h,057h,05Ah,058h,05Ah,059h,059h,05Fh,0A1h,0A7h,0A7h,0A5h,0A6h,0A4h
db 0A6h,0A3h,0A5h,0A2h,0A6h,0A0h,0A9h,077h,051h,059h,055h,059h,056h,059h,058h,059h
db 058h,05Ah,059h,05Ah,05Bh,05Bh,097h,0ACh,0A4h,0A9h,0A4h,0A8h,0A4h,0A8h,0A3h,0A8h
db 069h,055h,05Ah,058h,059h,05Ah,059h,05Bh,059h,05Eh,055h,07Ch,0AEh,0A4h,0AAh,0A5h
db 0A9h,0A5h,0A8h,0A4h,0A7h,0A2h,0A9h,096h,059h,058h,058h,059h,059h,059h,05Ah,059h
db 05Bh,05Ah,05Ch,05Ah,05Eh,057h,079h,0AFh,0A5h,0ABh,0A5h,0AAh,0A4h,0AAh,0A2h,0ADh
db 08Ah,055h,05Ch,059h,05Bh,05Ah,05Bh,05Bh,05Bh,05Ch,05Ch,060h,0A0h,0ABh,0A7h,0A9h
db 0A7h,0A8h,0A6h,0A8h,0A5h,0A8h,0A4h,0A8h,0A1h,0ABh,083h,053h,05Bh,057h,05Ah,058h
db 05Ah,059h,05Ah,05Bh,05Bh,05Ch,05Ah,05Eh,058h,08Ch,0AFh,0A5h,0ACh,0A5h,0ABh,0A4h
db 0AAh,0A2h,0ADh,077h,054h,05Dh,058h,05Ch,059h,05Ch,05Bh,05Dh,05Bh,05Eh,05Ah,069h
db 0A8h,0A9h,0AAh,0A9h,0A9h,0A7h,0A8h,0A7h,0A8h,0A7h,0A3h,062h,058h,05Ah,05Ah,05Bh
db 05Bh,05Ch,05Ch,05Ch,05Ch,05Dh,05Dh,05Dh,05Fh,05Ch,068h,0A8h,0AAh,0ABh,0A9h,0AAh
db 0A9h,0AAh,0A7h,0AAh,0A0h,060h,05Ah,05Ch,05Bh,05Dh,05Ch,05Eh,05Ch,05Fh,05Ch,061h
db 058h,085h,0B2h,0A7h,0AEh,0A8h,0ACh,0A8h,0ABh,0A7h,0ABh,0A5h,0ADh,093h,058h,05Dh
db 059h,05Dh,05Ah,05Dh,05Bh,05Eh,05Ch,05Fh,05Ch,062h,059h,08Bh,0B2h,0A8h,0AEh,0A8h
db 0ACh,0A7h,0ABh,0A5h,0AFh,07Fh,055h,05Fh,059h,05Fh,05Ah,060h,05Ah,063h,056h,07Ch
db 09Ah,057h,064h,059h,098h,0AFh,0AAh,0ACh,0AAh,0ABh,0A9h,0AAh,0A9h,0A9h,0A8h,0A8h
db 0A7h,0A7h,0A6h,0A8h,0A1h,062h,057h,05Bh,059h,05Ch,059h,05Dh,059h,05Fh,057h,091h
db 0AEh,0A7h,0A9h,0A8h,0A8h,0A8h,0A6h,0A8h,0A4h,0ACh,07Eh,053h,05Dh,057h,05Ch,059h
db 05Bh,05Ah,05Ch,05Ch,05Ah,06Ah,0ABh,0A7h,0ABh,0A6h,0A9h,0A6h,0A9h,0A5h,0A8h,0A4h
db 0A8h,0A3h,0A8h,0A1h,0ABh,07Fh,051h,05Ah,056h,05Ah,057h,05Ah,059h,05Bh,059h,05Ch
db 05Ah,05Ch,05Ch,09Ah,0ABh,0A6h,0A8h,0A6h,0A8h,0A5h,0A7h,0A4h,0A6h,069h,055h,05Bh
db 057h,05Bh,058h,05Ch,059h,05Dh,059h,05Fh,056h,076h,0ADh,0A6h,0AAh,0A6h,0A9h,0A6h
db 0A8h,0A6h,0A6h,0A7h,099h,057h,09Ch,0A4h,0AAh,079h,052h,05Bh,057h,05Bh,058h,05Bh
db 05Ah,05Bh,05Ah,05Ch,05Bh,05Ch,060h,0A1h,0AAh,0A8h,0A8h,0A8h,0A7h,0A7h,0A6h,0A7h
db 0A5h,0A7h,06Ch,054h,05Ch,057h,05Ch,058h,05Eh,058h,060h,055h,084h,0AEh,0A6h,0AAh
db 0A7h,0A7h,0A7h,0A6h,0A7h,0A5h,0A6h,0A3h,0A8h,097h,059h,058h,058h,059h,059h,059h
db 05Ah,05Ah,05Ch,059h,05Dh,059h,05Fh,056h,07Ah,0AEh,0A6h,0AAh,0A7h,0A8h,0A7h,0A7h
db 0A7h,0A5h,0AAh,094h,056h,05Bh,058h,05Bh,059h,05Bh,05Ah,05Bh,05Ch,05Bh,05Eh,059h
db 08Fh,0AFh,0A5h,0ACh,0A6h,0AAh,0A5h,0A9h,0A4h,0A9h,0A4h,0A8h,0A2h,0AAh,094h,059h
db 058h,059h,058h,05Ah,058h,05Bh,059h,05Ch,059h,05Eh,059h,060h,056h,07Eh,0AFh,0A7h
db 0AAh,0A8h,0A8h,0A8h,0A7h,0A8h,0A5h,0AAh,091h,056h,05Ch,058h,05Bh,05Ah,05Bh,05Bh
db 05Ch,05Bh,062h,0A2h,0AAh,0A8h,0A8h,0A8h,0A7h,0A7h,0A6h,0A7h,0A5h,0A7h,0A3h,0A7h
db 0A1h,0AAh,089h,053h,05Ah,057h,059h,058h,059h,059h,059h,05Bh,059h,05Dh,059h,05Fh
db 055h,086h,0AEh,0A5h,0AAh,0A6h,0A8h,0A7h,0A6h,0A7h,0A3h,0ABh,086h,052h,05Ch,056h
db 05Bh,058h,05Ch,059h,05Ch,05Ah,05Ch,05Ch,05Eh,09Ch,0ACh,0A7h,0A9h,0A7h,0A8h,0A7h
db 0A7h,0A7h,0A5h,0A8h,070h,053h,05Dh,057h,05Ch,058h,05Dh,058h,05Dh,05Ah,05Eh,05Bh
db 05Fh,05Bh,060h,05Bh,062h,058h,08Ch,0B0h,0A9h,0ABh,0AAh,0AAh,0A9h,0A8h,0AAh,0A5h
db 0AEh,084h,055h,05Fh,059h,05Eh,05Ah,05Fh,05Ah,060h,059h,06Fh,0ABh,0A9h,0ABh,0A8h
db 0AAh,0A8h,0A9h,0A7h,0A8h,0A6h,0A8h,0A4h,0A8h,0A3h,0ABh,07Fh,050h,069h,0A4h,0A1h
db 061h,057h,05Ah,058h,05Bh,059h,05Ch,059h,05Eh,057h,090h,0ADh,0A6h,0A9h,0A7h,0A7h
db 0A6h,0A5h,0A8h,0A3h,0AAh,07Eh,052h,05Ch,056h,05Bh,058h,05Ch,059h,05Ch,05Ah,05Ch
db 05Ah,064h,0A4h,0AAh,0A8h,0A8h,0A8h,0A7h,0A7h,0A6h,0A7h,0A5h,0A5h,066h,056h,05Ah
db 059h,05Ah,05Ah,05Ah,05Bh,05Bh,05Ch,05Ch,05Dh,05Ch,05Eh,05Ch,05Fh,05Ch,062h,058h
db 08Dh,0B1h,0A9h,0ACh,0A9h,0AAh,0AAh,0A8h,0AAh,0A6h,0AEh,083h,055h,05Fh,059h,05Eh
db 05Bh,05Eh,05Ch,05Eh,05Dh,05Dh,068h,0A9h,0AAh,0ACh,0A9h,0ABh,0A8h,0AAh,0A6h,0ABh
db 09Fh,062h,056h,089h,0B0h,0A1h,0AFh,090h,05Bh,059h,098h,0A8h,0AAh,080h,052h,060h
db 056h,05Fh,057h,05Fh,058h,061h,056h,075h,0ABh,0A9h,0A9h,0A9h,0A8h,0A8h,0A6h,0A8h
db 0A5h,0AAh,099h,05Bh,059h,05Ah,059h,05Bh,059h,05Dh,05Ah,05Eh,059h,060h,057h,08Ah
db 0AEh,0A7h,0ABh,0A8h,0A8h,0A9h,0A6h,0A9h,0A4h,0ACh,083h,053h,05Ch,058h,05Ch,05Ah
db 05Bh,05Ch,059h,072h,0B1h,098h,05Fh,05Bh,05Eh,05Ch,05Eh,05Ch,05Eh,05Dh,05Fh,05Fh
db 09Eh,0AEh,0A9h,0ACh,0A9h,0ABh,0A8h,0AAh,0A7h,0AAh,0A4h,0ADh,07Bh,055h,05Eh,059h
db 05Ch,05Ch,05Dh,05Ch,05Ch,05Fh,05Ah,06Fh,0ACh,0A8h,0ACh,0A8h,0ABh,0A7h,0AAh,0A6h
db 0ACh,098h,05Ah,05Dh,059h,05Fh,056h,07Ch,0AFh,0A5h,0ABh,0A5h,0ABh,0A4h,0ADh,07Ah
db 054h,05Dh,058h,05Dh,059h,05Eh,05Ah,060h,056h,079h,0AEh,0A6h,0ABh,0A7h,0A9h,0A7h
db 0A8h,0A7h,0A6h,0A9h,096h,057h,05Ch,057h,05Dh,058h,05Dh,058h,05Eh,059h,060h,059h
db 099h,0ACh,0A9h,0A8h,0A9h,0A6h,0A9h,0A5h,0AAh,0A2h,0ADh,075h,055h,05Bh,05Ah,059h
db 05Ch,059h,05Fh,055h,082h,0ADh,0A9h,098h,057h,05Fh,057h,08Dh,0B3h,080h,057h,05Fh
db 05Bh,05Dh,05Dh,05Ch,060h,059h,07Ch,0B0h,0A8h,0ACh,0A8h,0AAh,0A9h,0A7h,0ADh,085h
db 054h,060h,058h,05Fh,059h,060h,05Ah,061h,058h,071h,0ABh,0AAh,0ABh,0AAh,0AAh,0A8h
db 0A9h,0A7h,0ABh,099h,059h,05Dh,059h,05Eh,05Ah,05Fh,058h,06Ch,0A9h,0AAh,0A9h,0A9h
db 0A8h,0A9h,0A5h,0ACh,093h,057h,05Dh,059h,05Ch,05Bh,05Dh,05Ch,05Ch,063h,0A6h,0A9h
db 0AAh,0A8h,0A9h,0A7h,0A9h,0A6h,0A8h,0A4h,0A7h,066h,058h,05Ah,05Ah,05Ah,05Ch,05Ah
db 05Eh,05Ah,060h,056h,081h,0AFh,0A6h,0AAh,0A7h,0A9h,0A8h,0A7h,0A8h,0A4h,0ABh,08Ch
db 054h,05Dh,058h,05Ch,059h,05Bh,05Ch,05Ah,06Bh,0ACh,0A4h,0ABh,0A4h,0ABh,0A2h,0AFh
db 085h,055h,05Ch,05Ah,05Bh,05Bh,05Ah,05Dh,057h,072h,0ADh,0A6h,0ABh,0A6h,0A9h,0A6h
db 0A9h,0A4h,0ABh,093h,057h,05Bh,058h,05Bh,059h,05Ch,05Ah,05Dh,05Ah,05Eh,05Bh,099h
db 0ACh,0A7h,0A9h,0A7h,0A7h,0A8h,0A6h,0A8h,0A5h,0AAh,075h,053h,05Dh,056h,05Dh,057h
db 05Fh,055h,08Dh,0ACh,0A6h,0A8h,0A6h,0A7h,0A7h,0A5h,0A8h,06Fh,053h,05Ch,056h,05Ch
db 057h,05Dh,057h,05Fh,054h,080h,0AEh,0A5h,0A9h,0A7h,0A7h,0A7h,0A5h,0A7h,0A3h,0AAh
db 08Ch,053h,05Ch,056h,05Bh,058h,05Bh,059h,05Ch,05Ah,05Ch,05Eh,0A0h,0AAh,0A9h,0A7h
db 0A8h,0A6h,0A8h,0A5h,0A8h,0A4h,0A8h,06Bh,055h,05Ah,058h,05Ah,05Ah,059h,05Ch,056h
db 088h,0AFh,0A3h,0AAh,0A3h,0A9h,0A2h,0A8h,066h,057h,059h,05Ah,059h,05Ch,058h,05Eh
db 056h,090h,0ACh,0A6h,0A8h,0A7h,0A6h,0A7h,0A5h,0A8h,0A2h,0ABh,07Ch,052h,05Ch,057h
db 05Ah,058h,05Ah,05Ah,05Ah,05Ch,058h,069h,0A9h,0A6h,0A9h,0A6h,0A8h,0A5h,0A7h,0A5h
db 0A6h,0A5h,0A0h,05Eh,058h,058h,059h,059h,05Ah,059h,05Bh,05Bh,099h,0ABh,0A5h,0A8h
db 0A5h,0A7h,0A4h,0A7h,0A3h,0A6h,068h,054h,059h,058h,059h,05Ah,059h,05Ch,057h,08Ch
db 0ADh,0A3h,0AAh,0A3h,0A8h,0A3h,0A7h,0A2h,0A8h,0A0h,0ABh,083h,051h,05Ah,056h,05Ah
db 057h,05Ah,057h,05Bh,056h,067h,0A6h,0A6h,0A7h,0A5h,0A6h,0A4h,0A5h,0A4h,0A5h,0A4h
db 09Fh,05Eh,056h,057h,058h,057h,059h,057h,05Ah,058h,096h,0AAh,0A4h,0A6h,0A5h,0A5h
db 0A4h,0A4h,0A1h,062h,055h,058h,057h,058h,059h,059h,05Ah,058h,093h,0ABh,0A3h,0A8h
db 0A4h,0A7h,0A3h,0A6h,0A2h,0A6h,09Fh,0A9h,07Eh,050h,05Ah,054h,059h,055h,05Ah,056h
db 05Ch,053h,06Eh,0A8h,0A4h,0A7h,0A5h,0A5h,0A4h,0A4h,0A3h,0A3h,0A3h,0A3h,09Eh,05Eh
db 054h,057h,056h,057h,058h,057h,059h,056h,05Bh,054h,083h,0ADh,0A1h,0A9h,0A2h,0A7h
db 0A1h,0A7h,09Fh,0AAh,07Bh,050h,059h,055h,059h,057h,05Ah,057h,05Bh,055h,06Fh,0ABh
db 0A3h,0A5h,05Bh,08Ch,0ABh,0A2h,0A7h,0A3h,0A5h,0A2h,0A5h,0A0h,0A7h,072h,050h,05Ah
db 054h,05Ah,054h,05Bh,055h,05Dh,052h,07Ah,0AAh,0A4h,0A6h,0A4h,0A5h,0A4h,0A4h,0A4h
db 0A3h,0A4h,0A1h,0A5h,09Bh,05Eh,052h,059h,050h,073h,0A7h,0A0h,0A4h,0A2h,0A1h,0A2h
db 09Fh,0A6h,080h,04Eh,058h,052h,058h,053h,058h,054h,059h,052h,068h,0A4h,0A3h,0A5h
db 0A3h,0A4h,0A2h,0A3h,0A1h,0A2h,0A0h,0A2h,09Fh,0A3h,068h,04Fh,056h,053h,055h,055h
db 056h,055h,057h,057h,057h,058h,056h,065h,0A5h,0A3h,0A6h,0A3h,0A5h,0A2h,0A4h,0A2h
db 0A3h,0A2h,09Eh,05Ch,054h,055h,056h,055h,057h,056h,059h,056h,05Ch,053h,084h,0ACh
db 0A1h,0A8h,0A2h,0A7h,0A1h,0A7h,09Fh,0A9h,07Ah,050h,059h,055h,059h,056h,05Ah,056h
db 05Bh,054h,06Fh,0ADh,096h,05Dh,055h,08Eh,0ACh,0A2h,0A8h,0A3h,0A7h,0A2h,0A7h,0A0h
db 0A9h,06Fh,052h,059h,056h,058h,058h,059h,059h,059h,05Ah,05Ah,05Bh,059h,063h,0A4h
db 0A8h,0A7h,0A6h,0A7h,0A6h,0A6h,0A5h,0A6h,09Eh,05Eh,057h,059h,058h,05Ah,058h,066h
db 0A7h,0A5h,0A8h,0A3h,0A8h,0A1h,0ABh,089h,054h,05Ah,057h,059h,059h,05Ah,05Ah,05Ah
db 05Bh,05Ah,05Ch,05Ah,098h,0ABh,0A7h,0A8h,0A7h,0A6h,0A7h,0A5h,0A7h,0A3h,0AAh,074h
db 052h,05Ch,057h,05Bh,058h,05Bh,05Ah,05Bh,05Bh,05Bh,05Ch,05Bh,064h,0A5h,0A9h,0A9h
db 0A8h,0A8h,0A8h,0A7h,0A7h,0A6h,0A7h,0A4h,0A9h,06Fh,053h,05Ch,057h,05Bh,058h,05Ch
db 059h,05Dh,059h,05Fh,057h,071h,0ACh,0A7h,0AAh,0A7h,0A9h,0A6h,0A9h,0A4h,0ABh,094h
db 058h,05Bh,058h,05Ch,059h,05Ch,05Ah,05Dh,05Bh,05Eh,05Ah,060h,058h,087h,0B0h,0A6h
db 0ACh,0A6h,0ABh,0A6h,0ABh,0A4h,0AEh,07Fh,054h,05Dh,059h,05Dh,05Ah,05Dh,05Ch,05Eh
db 05Ch,05Eh,05Dh,05Fh,05Fh,09Fh,0AEh,0A9h,0ABh,0A9h,0AAh,0A9h,0A9h,0A8h,0A8h,0A7h
db 0A8h,0A6h,0A7h,0A6h,0A7h,0A4h,0A6h,0A3h,0A7h,0A1h,0AAh,07Fh,051h,05Bh,055h,05Ah
db 057h,05Ah,057h,05Bh,059h,05Ch,058h,061h,0A0h,0AAh,0A6h,0A8h,0A5h,0A7h,0A4h,0A7h
db 0A3h,0A7h,0A1h,0A8h,070h,052h,05Ah,057h,05Ah,057h,05Ah,059h,05Ah,05Ah,05Bh,05Ah
db 05Ch,05Ah,05Dh,05Bh,098h,0ADh,0A6h,0AAh,0A6h,0A9h,0A5h,0A9h,0A4h,0A9h,0A2h,0ABh
db 07Eh,052h,05Ch,057h,05Bh,058h,05Bh,05Ah,05Ch,05Ah,05Dh,05Ah,064h,0A4h,0AAh,0A8h
db 0A8h,0A7h,0A7h,0A7h,0A6h,0A7h,0A5h,0A5h,067h,055h,05Bh,058h,05Bh,059h,05Bh,05Ah
db 05Bh,05Ch,05Bh,05Dh,059h,06Fh,0ADh,0A6h,0ABh,0A6h,0ABh,0A5h,0AAh,0A3h,0ACh,094h
db 05Ah,05Ah,05Ah,05Ah,05Bh,05Ah,05Dh,05Bh,05Eh,05Ah,060h,058h,090h,0AFh,0A8h,0ABh
db 0A8h,0A9h,0A8h,0A7h,0A8h,0A6h,0A8h,0A5h,0A8h,0A4h,0A9h,09Bh,060h,052h,088h,0AAh
db 0A2h,0A6h,0A4h,0A3h,0A4h,0A1h,0A6h,06Eh,051h,059h,055h,058h,057h,058h,059h,058h
db 05Ch,055h,074h,0ACh,0A3h,0A9h,0A4h,0A7h,0A3h,0A6h,0A3h,0A5h,0A2h,0A5h,09Ah,05Ah
db 056h,056h,057h,057h,059h,058h,05Ah,058h,05Bh,057h,05Dh,054h,07Ch,0ADh,0A4h,0A9h
db 0A5h,0A7h,0A5h,0A6h,0A5h,0A5h,0A4h,0A4h,0A4h,0A3h,0A2h,063h,054h,058h,056h,057h
db 058h,058h,059h,058h,05Bh,058h,05Ch,056h,070h,0AAh,0A5h,0A8h,0A6h,0A7h,0A5h,0A6h
db 0A6h,0A4h,0A7h,099h,05Ah,058h,058h,059h,059h,058h,05Ah,059h,05Bh,058h,05Eh,055h
db 086h,0AEh,0A4h,0AAh,0A5h,0A8h,0A5h,0A7h,0A5h,0A6h,0A5h,0A3h,0A7h,095h,055h,05Ah
db 056h,05Ah,057h,05Bh,057h,05Ch,058h,05Dh,057h,095h,0ABh,0A5h,0A7h,0A6h,0A6h,0A5h
db 0A6h,0A5h,0A4h,0A5h,0A3h,0A4h,0A3h,0A3h,0A2h,0A3h,0A1h,0A2h,0A0h,0A2h,09Eh,0A5h
db 08Ah,050h,056h,052h,056h,053h,057h,054h,057h,055h,058h,055h,05Ah,052h,086h,0ABh
db 0A1h,0A7h,0A1h,0A6h,0A1h,0A5h,0A0h,0A5h,09Eh,0A8h,085h,050h,057h,053h,056h,055h
db 057h,056h,057h,058h,057h,059h,057h,05Ch,053h,085h,0ADh,0A2h,0A8h,0A3h,0A7h,0A3h
db 0A6h,0A2h,0A5h,0A1h,0A4h,0A1h,0A4h,09Fh,0A4h,09Dh,0A6h,06Eh,04Fh,057h,053h,056h
db 055h,056h,056h,057h,057h,057h,059h,056h,061h,0A2h,0A5h,0A5h,0A4h,0A5h,0A4h,0A4h
db 0A3h,0A4h,09Ch,05Bh,056h,056h,057h,057h,058h,057h,059h,057h,05Ah,058h,05Dh,054h
db 079h,0ADh,0A3h,0A9h,0A4h,0A8h,0A4h,0A7h,0A3h,0A6h,0A2h,0A8h,097h,059h,056h,058h
db 057h,059h,058h,059h,058h,05Bh,059h,05Ch,058h,05Eh,056h,077h,0ADh,0A5h,0AAh,0A5h
db 0A8h,0A5h,0A7h,0A5h,0A6h,0A5h,0A5h,0A4h,0A5h,0A3h,0A4h,0A3h,0A3h,0A2h,0A1h,0A3h
db 099h,057h,056h,054h,057h,055h,058h,055h,059h,056h,05Ah,056h,05Ch,052h,07Ch,0ABh
db 0A3h,0A7h,0A4h,0A6h,0A4h,0A4h,0A3h,0A3h,0A3h,0A2h,0A4h,09Bh,05Bh,054h,056h,056h
db 057h,057h,058h,057h,059h,057h,05Ah,057h,05Ch,055h,070h,0AAh,0A4h,0A8h,0A5h,0A6h
db 0A5h,0A6h,0A4h,0A4h,0A4h,0A3h,0A4h,0A1h,0A6h,06Ch,051h,059h,055h,058h,056h,058h
db 058h,059h,058h,05Ah,059h,05Ah,05Bh,05Ah,05Ch,058h,090h,0AEh,0A4h,0AAh,0A4h,0A9h
db 0A4h,0A8h,0A2h,0ABh,071h,054h,05Bh,058h,05Bh,059h,05Bh,05Ah,05Bh,05Bh,05Bh,05Dh
db 05Bh,065h,0A6h,0A9h,0A9h,0A7h,0A9h,0A7h,0A9h,0A6h,0A8h,0A5h,0A8h,0A2h,0ABh,07Ah
db 052h,05Ch,057h,05Bh,058h,05Ch,059h,05Ch,05Ah,05Dh,05Ah,05Eh,05Bh,05Fh,059h,091h
db 0B0h,0A5h,0AFh,091h,058h,062h,099h,0B1h,070h,05Bh,05Ah,06Dh,0ACh,0A7h,0ABh,0A8h
db 0A9h,0A7h,0A8h,0A6h,0A7h,0A6h,0A7h,0A2h,065h,056h,05Ch,058h,05Ch,059h,05Ch,059h
db 05Eh,059h,060h,056h,07Eh,0AFh,0A7h,0ABh,0A7h,0A9h,0A7h,0A8h,0A7h,0A7h,0A7h,0A6h
db 0A6h,0A0h,05Eh,058h,059h,059h,05Ah,05Ah,05Bh,05Bh,05Ch,05Bh,05Ch,05Ch,05Dh,05Dh
db 05Eh,05Dh,05Eh,05Eh,05Fh,05Eh,060h,05Fh,062h,05Dh,06Eh,0ACh,0ACh,0ADh,0ABh,0ADh
db 0ABh,0ACh,0AAh,0ACh,0A9h,0ABh,0A7h,0ACh,074h,056h,060h,05Ah,05Fh,05Bh,060h,05Bh
db 062h,058h,081h,0B1h,0A8h,0ADh,0A8h,0ABh,0A8h,0ABh,0A7h,0AAh,0A6h,0ABh,097h,05Ah
db 05Dh,05Ah,05Dh,05Bh,05Eh,05Bh,05Eh,05Bh,05Fh,05Ch,062h,058h,087h,0B1h,0A8h,0ACh
db 0A8h,0ABh,0A8h,0AAh,0A8h,0A9h,0A7h,0A9h,0A6h,0A9h,0A0h,060h,059h,05Bh,05Bh,05Bh
db 05Bh,05Ch,05Ch,05Ch,05Dh,05Dh,05Eh,05Dh,05Eh,05Eh,05Fh,05Fh,060h,05Fh,061h,05Eh
db 063h,05Ch,077h,0B1h,0ABh,0AFh,0ABh,0AEh,0AAh,0ACh,0AAh,0ABh,0A9h,0ABh,0A8h,0AAh
db 06Ah,05Ah,05Eh,05Ch,05Eh,05Dh,05Eh,05Eh,05Fh,05Fh,05Fh,060h,060h,060h,060h,065h
db 0A6h,0AFh,0ADh,0ADh,0ACh,0ACh,0ABh,0ABh,0AAh,0ABh,0AAh,0AAh,0A9h,0A8h,0A8h,0A8h
db 0A8h,0A8h,0A4h,063h,058h,05Bh,05Ah,05Bh,05Bh,05Dh,05Ch,05Dh,05Ch,05Eh,05Ch,060h
db 05Bh,06Fh,0ADh,0A9h,0ACh,0A9h,0ABh,0A8h,0ABh,0A7h,0AAh,0A6h,0A9h,0A5h,0AAh,0A3h
db 0ADh,07Fh,053h,05Ch,058h,05Ch,059h,05Ch,05Bh,05Ch,05Ch,05Dh,05Dh,05Dh,05Eh,05Dh
db 060h,059h,084h,0B2h,0A6h,0AEh,0A7h,0ADh,0A6h,0ADh,0A4h,0B0h,080h,057h,05Dh,05Bh
db 05Dh,05Dh,05Dh,05Eh,05Dh,05Fh,05Dh,060h,05Dh,062h,05Ch,096h,0B1h,0AAh,0ADh,0ABh
db 0ABh,0ABh,0AAh,0AAh,0A8h,0ABh,0A6h,0AEh,08Dh,056h,05Eh,05Ah,05Eh,05Bh,05Dh,05Ch
db 05Eh,05Dh,05Fh,05Eh,05Fh,05Fh,060h,05Fh,060h,061h,060h,061h,061h,062h,061h,063h
db 061h,065h,05Fh,076h,0B2h,0AEh,0B0h,0AEh,0AFh,0AEh,0AEh,0ADh,0ADh,0ACh,0ACh,0A9h
db 069h,05Ch,05Fh,05Eh,060h,060h,060h,061h,060h,062h,060h,065h,05Dh,07Ah,0B3h,0ACh
db 0B0h,0ACh,0AFh,0ACh,0ADh,0ACh,0ACh,0ABh,0ABh,0AAh,0ABh,0A9h,0AAh,0A9h,0A9h,0A8h
db 0A8h,0A8h,0A7h,0A5h,066h,058h,05Ch,05Ah,05Ch,05Bh,05Ch,05Ch,05Dh,05Dh,05Eh,05Eh
db 05Eh,05Fh,05Dh,066h,0A6h,0ADh,0ABh,0ABh,0AAh,0AAh,0A9h,0AAh,0A8h,0A9h,0A8h,0A8h
db 0A7h,0A7h,0A6h,0A7h,0A5h,0A7h,0A4h,0A5h,065h,055h,05Ah,059h,059h,05Ah,059h,05Bh
db 05Ah,05Ch,05Ah,05Eh,057h,070h,0ABh,0A7h,0A9h,0A7h,0A8h,0A7h,0A7h,0A7h,0A5h,0A8h
db 09Ch,05Ch,059h,05Ah,059h,05Bh,05Ah,05Ch,05Ah,05Dh,05Ah,05Fh,056h,086h,0AFh,0A6h
db 0AAh,0A7h,0A9h,0A7h,0A8h,0A6h,0A6h,0A6h,0A5h,0A8h,097h,058h,05Ah,058h,05Ah,059h
db 05Bh,05Ah,05Bh,05Ah,05Eh,09Ah,0ADh,074h,053h,076h,0AEh,098h,05Ch,05Ch,05Bh,05Dh
db 05Ch,05Dh,05Ch,05Fh,05Ch,060h,05Ch,063h,058h,086h,0B2h,0A9h,0ADh,0AAh,0AAh,0AAh
db 0A9h,0AAh,0A6h,0AEh,08Ch,056h,05Fh,059h,05Eh,05Bh,05Eh,05Ch,05Fh,05Dh,060h,05Dh
db 060h,05Fh,060h,05Fh,061h,060h,061h,061h,062h,061h,063h,061h,064h,062h,065h,060h
db 070h,0AFh,0B0h,0B1h,0AEh,0B0h,0ADh,0AFh,0ACh,0AEh,0ABh,0AEh,0AAh,0AFh,077h,05Ah
db 062h,05Dh,061h,05Eh,062h,05Fh,062h,060h,063h,061h,063h,061h,065h,061h,0A0h,0B3h
db 0ADh,0AFh,0AEh,0AEh,0ADh,0ADh,0ADh,0ACh,0ABh,0ABh,0ABh,0AAh,0AAh,0AAh,0A9h,0A6h
db 067h,05Ah,05Eh,05Ch,05Eh,05Dh,05Fh,05Eh,05Fh,05Eh,061h,05Eh,061h,05Fh,062h,05Fh
db 063h,05Fh,09Dh,0B1h,0ACh,0AEh,0ACh,0ACh,0ACh,0AAh,0ADh,0A8h,0B0h,07Ch,058h,061h
db 05Ch,060h,05Dh,060h,05Fh,060h,05Fh,061h,060h,061h,061h,062h,0A1h,0B1h,0ACh,0AEh
db 0ACh,0AEh,0ABh,0ACh,0ABh,0ABh,0AAh,0ABh,0A9h,0AAh,0A9h,0A9h,0A8h,0A8h,0A7h,0A8h
db 0A6h,0A8h,0A4h,0AAh,092h,055h,05Bh,057h,05Bh,058h,05Ch,059h,05Dh,059h,05Fh,059h
db 061h,056h,08Bh,0AEh,0A7h,0AAh,0A8h,0A8h,0A9h,0A6h,0A9h,0A4h,0ACh,083h,053h,05Dh
db 057h,05Ch,059h,05Ch,05Ah,05Ch,05Ch,05Dh,05Ch,05Dh,05Dh,05Eh,05Eh,05Eh,05Fh,05Fh
db 060h,05Fh,061h,05Fh,062h,05Fh,064h,05Ch,07Ch,0B3h,0ACh,0AFh,0ACh,0AEh,0ACh,0ACh
db 0ACh,0AAh,0AEh,09Ch,05Ch,05Fh,05Ch,060h,05Eh,061h,05Fh,060h,05Fh,061h,060h,061h
db 061h,062h,061h,062h,062h,063h,062h,064h,063h,064h,063h,065h,064h,066h,064h,067h
db 064h,0A0h,0B6h,0AFh,0B3h,0B0h,0B1h,0AFh,0B1h,0AEh,0AFh,0AEh,0AFh,0ACh,0AEh,0ABh
db 0AEh,0AAh,0ADh,0A9h,0AEh,0A7h,0B0h,089h,058h,060h,05Ch,05Fh,05Dh,05Fh,05Fh,05Fh
db 060h,060h,061h,05Fh,063h,05Ch,090h,0B5h,0A9h,0B0h,0AAh,0AEh,0A9h,0ADh,0A8h,0ADh
db 0A7h,0B0h,08Ch,058h,05Fh,05Ch,05Fh,05Dh,05Fh,05Eh,060h,05Fh,060h,05Fh,061h,060h
db 061h,060h,061h,061h,063h,061h,064h,062h,0A1h,0B2h,0ADh,0AFh,0ADh,0AEh,0ADh,0ADh
db 0ACh,0ADh,0ABh,0ACh,0AAh,0ABh,0A8h,0ACh,09Fh,05Fh,05Dh,05Dh,05Dh,05Eh,05Eh,05Eh
db 05Fh,05Fh,060h,05Fh,060h,060h,061h,061h,061h,062h,061h,062h,063h,062h,063h,064h
db 064h,063h,064h,065h,064h,065h,066h,065h,066h,067h,066h,067h,066h,067h,068h,068h
db 067h,068h,069h,068h,069h,068h,069h,06Ah,069h,06Ah,06Bh,06Bh,06Ah,06Bh,06Ch,06Bh
db 06Ch,06Bh,06Ch,06Dh,06Ch,06Dh,06Eh,06Dh,06Eh,06Eh,06Dh,06Eh,06Fh,06Eh,06Fh,06Eh
db 06Fh,070h,06Fh,070h,06Fh,070h,070h,070h,071h,070h,071h,072h,071h,072h,071h,072h
db 072h,072h,072h,073h,072h,073h,073h,073h,074h,074h,073h,074h,074h,074h,075h,075h
db 074h,075h,074h,075h,076h,075h,076h,076h,075h,076h,077h,076h,077h,077h,076h,077h
db 078h,077h,078h,077h,078h,078h,077h,078h,079h,078h,079h,078h,079h,078h,079h,07Ah
db 079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,07Bh,07Ah,07Bh,07Ah,07Ah,07Bh,07Bh,07Bh
db 07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Bh,07Ch,07Bh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Eh,07Dh,07Eh,07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Fh,07Fh,080h,07Fh,080h,07Fh,080h,080h
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,080h,081h,080h,081h,080h,0C1h,0D2h,0CDh,0CFh,0CCh,0CDh,0CCh,0CCh
db 0C7h,085h,07Bh,07Fh,07Dh,07Fh,07Eh,07Eh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Fh,07Fh,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,07Fh,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,081h,081h,081h,082h,081h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h
db 081h,082h,081h,082h,081h,082h,081h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,081h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,081h,084h,081h,084h,081h,085h,080h,087h,07Fh,09Fh,0D6h,0D0h,0D2h
db 0D0h,0CFh,0D0h,0CBh,0D3h,0ACh,07Ah,081h,07Dh,080h,07Eh,080h,07Fh,080h,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,080h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,082h,080h,082h
db 080h,084h,07Eh,0A2h,0D6h,0CBh,0D1h,0CCh,0CEh,089h,07Eh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,081h,081h,081h,080h,080h,081h
db 081h,081h,081h,081h,081h,081h,081h,081h,081h,081h,081h,082h,081h,081h,081h,081h
db 081h,081h,081h,081h,081h,082h,081h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 081h,082h,081h,081h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h
db 081h,081h,081h,081h,082h,082h,081h,082h,081h,081h,081h,081h,081h,081h,081h,081h
db 081h,081h,081h,081h,081h,081h,081h,081h,081h,081h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,080h,080h,080h,080h,080h,080h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,081h,080h,080h,07Fh,081h,080h,081h,07Eh,091h,0CFh,0CCh,0CDh,0CCh
db 093h,075h,09Dh,0CEh,0CAh,0C1h,07Eh,07Dh,0AAh,0D6h,099h,07Bh,07Ah,07Eh,077h,080h
db 072h,0B1h,09Eh,074h,07Dh,080h,0C6h,0C5h,081h,0A1h,0D4h,09Dh,074h,080h,0C1h,0C3h
db 081h,074h,079h,076h,078h,076h,07Dh,0BEh,0C2h,0C6h,08Dh,070h,078h,074h,077h,075h
db 076h,0B0h,0C7h,0BFh,0C2h,0C2h,0ADh,06Bh,07Ah,06Bh,0AEh,0BEh,0C4h,09Ah,069h,07Dh
db 0B9h,0BCh,07Eh,069h,093h,0C7h,09Fh,06Ch,071h,06Eh,0A8h,0C4h,088h,069h,072h,06Ch
db 071h,06Dh,071h,06Ch,072h,06Dh,073h,06Ah,07Fh,0B9h,0BBh,072h,0A1h,0BFh,0BCh,09Eh
db 065h,072h,069h,071h,06Ah,072h,067h,088h,0C2h,0A6h,06Ch,06Fh,0A4h,0C3h,083h,06Ah
db 06Bh,078h,0B9h,0B3h,076h,069h,06Eh,06Ah,06Dh,06Bh,06Eh,06Bh,06Eh,06Ah,070h,068h
db 08Ch,0C3h,0A1h,069h,06Fh,069h,0A2h,0C0h,08Ch,062h,080h,0B7h,0B3h,06Dh,06Fh,062h
db 094h,09Ah,061h,071h,066h,06Fh,069h,06Eh,069h,06Eh,06Ah,06Dh,06Ah,06Eh,06Bh,06Fh
db 06Ah,06Fh,068h,083h,0C0h,0A9h,06Eh,06Bh,0A0h,0C3h,087h,068h,06Bh,073h,0B6h,0B5h
db 07Ah,062h,08Eh,0C1h,09Bh,066h,06Ch,068h,06Ch,068h,06Eh,066h,080h,0BEh,0A7h,06Bh
db 069h,09Ch,0C3h,082h,07Bh,0BEh,0A4h,06Bh,067h,069h,068h,069h,068h,069h,069h,069h
db 06Ah,06Ah,06Bh,069h,06Ch,067h,07Eh,0BDh,0AAh,06Fh,068h,06Bh,068h,06Dh,066h,07Bh
db 0B9h,0AFh,070h,069h,067h,089h,0C4h,097h,069h,06Bh,0ADh,0B4h,0BAh,08Ch,05Eh,079h
db 0B3h,0B4h,0B5h,0B1h,0B8h,083h,05Fh,06Ah,063h,068h,065h,0A3h,0B8h,080h,05Ch,07Eh
db 0B5h,0A6h,066h,067h,061h,08Eh,0BDh,08Eh,05Fh,06Eh,0AAh,0B3h,072h,061h,065h,064h
db 065h,064h,065h,065h,066h,065h,066h,065h,068h,064h,071h,0B2h,0AFh,073h,05Fh,08Ah
db 0BDh,093h,062h,067h,065h,0A1h,0B8h,080h,05Ch,07Ch,0B6h,0A5h,067h,065h,064h,065h
db 065h,065h,065h,066h,066h,067h,066h,067h,066h,067h,067h,068h,067h,068h,067h,067h
db 068h,069h,068h,069h,068h,068h,069h,06Ah,069h,06Ah,06Ah,06Ah,06Bh,06Ah,06Bh,06Bh
db 06Bh,06Ch,06Bh,06Ch,06Ch,06Bh,06Ch,06Dh,06Ch,06Dh,06Dh,06Ch,06Dh,06Eh,06Dh,06Eh
db 06Dh,06Eh,06Eh,06Dh,06Eh,06Fh,06Eh,06Fh,06Fh,06Eh,06Fh,070h,06Fh,070h,06Fh,070h
db 06Fh,070h,06Fh,070h,071h,070h,071h,070h,071h,070h,071h,072h,071h,072h,072h,071h
db 072h,071h,072h,073h,072h,073h,072h,072h,073h,072h,073h,074h,073h,074h,073h,074h
db 074h,073h,074h,075h,074h,075h,074h,075h,074h,075h,074h,075h,074h,075h,075h,075h
db 076h,075h,076h,075h,076h,075h,076h,076h,076h,076h,077h,076h,077h,076h,077h,076h
db 077h,076h,077h,077h,077h,078h,077h,078h,077h,078h,077h,078h,077h,078h,077h,078h
db 079h,078h,079h,078h,079h,078h,079h,078h,079h,078h,079h,07Ah,079h,07Ah,079h,07Ah
db 079h,07Ah,079h,079h,07Ah,079h,07Ah,079h,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh
db 07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Bh,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh
db 07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Fh,07Fh,07Fh,07Fh,07Fh,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h
db 07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h,080h,080h
db 081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,081h,080h,080h,081h,080h,080h,080h,080h,081h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h


comeHere db 080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,081h,07Ch,09Fh,0D9h,0CDh,0D4h,0CCh,0D1h,088h,07Bh,07Dh
db 07Dh,07Ch,07Fh,07Ch,080h,079h,0B5h,0D3h,0CAh,0CEh,0CAh,0CCh,0CAh,0C9h,0CAh,089h
db 072h,07Ah,074h,07Ah,074h,07Bh,075h,0B6h,0CCh,0C6h,0C7h,0C6h,0C5h,0C6h,0BEh,07Ah
db 071h,074h,073h,073h,073h,073h,078h,0BDh,0C4h,0C4h,0C2h,0C3h,0BFh,0C5h,0AEh,06Dh
db 071h,06Eh,070h,06Eh,06Fh,06Fh,06Eh,078h,0BEh,0BFh,0C1h,0BDh,0C1h,0BBh,0C2h,0A5h
db 068h,06Eh,06Ah,06Dh,069h,06Fh,067h,080h,0C1h,0B9h,0BFh,0B9h,0BEh,0B6h,0C0h,093h
db 062h,06Bh,065h,06Ah,066h,06Bh,066h,06Ch,065h,07Ch,0BCh,0B8h,0BBh,0B7h,0BAh,0B4h
db 0BDh,095h,05Fh,069h,062h,068h,063h,068h,064h,06Ah,061h,078h,0B6h,0B9h,0B6h,0B8h
db 0B2h,0BCh,08Dh,05Dh,068h,061h,066h,063h,066h,063h,066h,064h,067h,065h,066h,065h
db 067h,065h,067h,066h,067h,066h,067h,06Ch,0B2h,0B9h,0B8h,0B6h,0B8h,0B4h,0BAh,0A2h
db 062h,065h,062h,065h,063h,066h,061h,075h,0B7h,0B3h,0B7h,0B1h,0B7h,0AFh,0BAh,091h
db 05Bh,064h,05Fh,062h,061h,062h,063h,05Fh,077h,0B8h,0AFh,0B6h,0AEh,0B5h,0ACh,0B8h
db 089h,05Ah,062h,05Eh,061h,05Fh,061h,060h,061h,061h,05Fh,06Bh,0B0h,0B1h,0B3h,0B0h
db 0B2h,0ADh,0B5h,097h,05Ah,061h,05Ch,061h,05Dh,061h,05Dh,061h,05Eh,062h,060h,0A7h
db 0B2h,0B2h,0ADh,0B5h,091h,059h,061h,05Ch,05Fh,05Eh,05Fh,060h,05Ch,072h,0B4h,0ADh
db 0B3h,0ADh,0B2h,0AAh,0B5h,089h,057h,05Fh,05Bh,05Fh,05Ch,05Fh,05Ch,05Fh,05Dh,060h
db 05Dh,061h,05Dh,09Dh,0B4h,0AEh,0B1h,0ADh,0AFh,0ACh,0AFh,0ABh,0AFh,072h,055h,05Fh
db 058h,05Eh,059h,05Fh,059h,062h,055h,084h,0B3h,0ACh,0AEh,0ADh,0ACh,0ADh,0AAh,0ADh
db 0A7h,0B0h,08Dh,054h,05Bh,058h,05Ah,05Ah,059h,05Ch,057h,06Dh,0ADh,0AAh,0ACh,0AAh
db 0AAh,0ABh,0A8h,0AEh,091h,052h,05Bh,055h,05Ah,056h,05Bh,053h,070h,0AFh,0A7h,0AEh
db 0A5h,0AFh,06Eh,055h,055h,06Ah,0ABh,0A7h,0A9h,0A9h,06Ch,051h,059h,055h,057h,05Eh
db 0A4h,0A8h,068h,053h,05Ah,056h,059h,061h,0A9h,0A7h,0ACh,0A5h,0ACh,0A3h,0AFh,08Bh
db 059h,0A3h,0A6h,0A8h,0A3h,0AAh,080h,04Bh,05Ah,04Fh,05Bh,04Dh,090h,0A9h,0A7h,0A3h
db 0AAh,092h,055h,051h,058h,04Bh,082h,085h,049h,05Ch,050h,05Ah,052h,059h,053h,05Ah
db 053h,05Ah,054h,05Bh,054h,05Dh,051h,089h,0AFh,0A8h,0AAh,0A8h,0A9h,0A5h,061h,054h
db 057h,057h,057h,058h,057h,059h,057h,05Ch,054h,084h,0B2h,0A6h,0ADh,0A7h,0A5h,05Ch
db 059h,056h,05Bh,057h,05Ch,055h,063h,09Ch,06Ah,04Fh,088h,0AFh,0AAh,0AAh,0ABh,0A8h
db 0ABh,0A5h,0AEh,076h,051h,05Ah,055h,05Dh,0A2h,0A8h,0ABh,072h,050h,05Ah,055h,059h
db 057h,058h,05Ah,054h,083h,0B2h,0A4h,0AEh,0A5h,0ACh,0A4h,0ACh,0A2h,0AFh,07Dh,050h
db 058h,055h,056h,057h,054h,084h,0B5h,080h,051h,062h,0A4h,0A8h,0A8h,0A6h,0A8h,0A4h
db 0ABh,08Eh,050h,059h,094h,0AEh,06Ch,050h,057h,052h,05Fh,0A3h,0A6h,0A7h,06Ch,04Ah
db 075h,0ADh,091h,053h,057h,052h,058h,04Fh,079h,0B1h,08Dh,053h,058h,053h,08Fh,0B0h
db 07Bh,04Bh,06Dh,099h,055h,058h,055h,058h,056h,059h,056h,05Ah,057h,05Bh,057h,05Dh
db 053h,081h,0B2h,0A6h,0AEh,0A7h,0ADh,0A5h,0AEh,06Fh,053h,059h,057h,059h,05Ch,0A1h
db 0ACh,0A9h,0AAh,0A8h,0A9h,0A6h,0AAh,09Eh,05Ah,054h,056h,055h,057h,056h,058h,055h
db 05Ah,055h,094h,0AEh,0A6h,0AAh,0A7h,0A8h,0A7h,0A3h,05Ch,055h,056h,056h,056h,057h
db 056h,058h,057h,099h,0ADh,0A7h,0AAh,0A7h,0A8h,0A6h,0A7h,0A3h,05Fh,054h,053h,073h
db 0B4h,08Bh,057h,053h,09Ah,0A6h,0ACh,07Bh,04Fh,057h,05Bh,0A3h,0A7h,0A5h,0AAh,077h
db 04Ch,05Ah,050h,05Ah,051h,05Ch,04Dh,088h,0AAh,0AAh,08Fh,050h,05Ch,096h,0AFh,06Ah
db 053h,057h,056h,056h,058h,056h,059h,054h,083h,0B6h,081h,054h,059h,057h,058h,059h
db 059h,05Bh,057h,070h,0B4h,099h,060h,055h,093h,0B0h,0A9h,0ACh,0A9h,0A9h,0A9h,0A8h
db 0A9h,069h,052h,05Ah,055h,05Ah,056h,05Dh,09Bh,06Eh,04Dh,081h,0AEh,0A8h,0AAh,0A9h
db 0A5h,062h,054h,05Bh,052h,071h,0ADh,0A6h,0ABh,0A6h,0ABh,06Fh,04Dh,076h,0ADh,0A4h
db 0AAh,0A4h,0A9h,066h,052h,056h,055h,056h,056h,057h,058h,057h,058h,058h,059h,058h
db 05Ah,058h,05Fh,09Eh,0B0h,06Eh,055h,05Dh,057h,067h,0ABh,0AAh,0ADh,06Bh,056h,05Bh
db 059h,05Bh,05Bh,05Eh,0A2h,0AEh,0ABh,0ABh,0ACh,0A9h,0AEh,09Bh,05Ah,058h,091h,0B2h
db 0A4h,0B1h,08Bh,053h,05Eh,09Ch,0AFh,06Ch,053h,05Bh,054h,066h,0A9h,0A5h,062h,058h
db 056h,078h,0B7h,08Dh,05Ah,056h,05Dh,052h,08Ch,0ADh,0ADh,08Fh,05Bh,0ABh,0A4h,0AEh
db 06Ch,054h,05Ah,055h,065h,0AAh,0A4h,065h,051h,083h,0B1h,0A4h,0B0h,097h,05Ch,053h
db 092h,0ABh,0ABh,086h,04Dh,05Dh,052h,05Eh,050h,090h,0ACh,0A9h,0A7h,0ABh,09Ah,058h
db 056h,058h,054h,07Dh,0B6h,089h,055h,058h,057h,059h,055h,080h,0B9h,081h,063h,0A8h
db 0A9h,0A9h,06Dh,04Dh,07Eh,0AEh,0A6h,0AAh,0A1h,05Ch,058h,052h,07Dh,0B4h,08Ah,052h
db 05Ah,054h,097h,0AAh,0ABh,081h,04Ch,068h,0A4h,0A6h,060h,055h,059h,053h,070h,0AFh
db 0A5h,0A6h,059h,05Bh,050h,080h,0AFh,0A6h,0ACh,09Fh,05Ch,056h,056h,059h,054h,06Eh
db 0B1h,099h,05Dh,054h,05Ch,051h,080h,0AFh,0A9h,09Dh,054h,05Dh,053h,05Eh,050h,07Ch
db 0AFh,0A8h,0ACh,0A4h,05Fh,059h,054h,07Ch,0B6h,08Dh,056h,05Ah,057h,092h,0B5h,078h
db 053h,05Ah,061h,0ABh,0A7h,0AEh,06Ah,056h,059h,05Ah,058h,062h,0A4h,0ACh,06Ah,053h
db 07Eh,0B8h,08Dh,05Ah,058h,05Dh,053h,08Fh,0AFh,0AEh,090h,052h,05Eh,057h,09Bh,0AFh
db 0A8h,0B1h,088h,052h,05Dh,056h,05Ch,058h,05Eh,056h,07Ah,0B7h,093h,05Ch,059h,09Ch
db 0AEh,0AFh,081h,051h,060h,056h,061h,09Bh,0B5h,071h,055h,075h,0B6h,097h,05Fh,057h
db 060h,053h,085h,0B0h,0AEh,09Ah,056h,05Fh,095h,0B8h,074h,058h,05Bh,05Ch,05Bh,05Dh
db 05Ah,05Fh,058h,083h,0BAh,08Eh,058h,060h,05Bh,09Eh,0B2h,0ACh,0AEh,0ADh,0ACh,0ADh
db 0A4h,05Fh,05Ah,05Ah,05Bh,05Bh,05Bh,05Ch,05Ch,05Fh,0A0h,0B3h,076h,053h,07Ah,0B2h
db 0ABh,0A9h,05Bh,09Ah,0AEh,0B0h,086h,053h,060h,057h,05Fh,059h,05Fh,05Ah,061h,057h
db 072h,0B0h,0AEh,0AFh,0AEh,0ADh,0ADh,0ACh,0ACh,0ABh,0ADh,0A2h,05Dh,059h,059h,05Ah
db 05Ah,05Bh,05Bh,05Ch,05Bh,05Dh,05Bh,05Fh,057h,080h,0B6h,0AAh,0B1h,0AAh,0B0h,0A9h
db 0AFh,0A7h,0B2h,08Fh,056h,05Ch,059h,05Bh,05Ah,05Bh,05Ch,05Bh,05Dh,05Bh,05Eh,05Bh
db 09Ch,0B2h,0ACh,0AEh,0ACh,0ADh,0ADh,0ABh,0ACh,0A9h,0AFh,079h,052h,05Dh,056h,05Dh
db 057h,05Eh,058h,060h,054h,07Dh,0B2h,0AAh,0AEh,0ABh,0ADh,0AAh,0ADh,0A8h,0AFh,08Eh
db 052h,05Dh,054h,05Eh,051h,089h,0B0h,0A9h,0ABh,0AAh,0A9h,0AAh,0A7h,0ADh,075h,050h
db 05Bh,054h,05Ah,058h,09Fh,0ABh,0A9h,0A8h,0A9h,0A8h,0A7h,0A8h,0A2h,05Ch,055h,055h
db 057h,056h,057h,056h,059h,057h,099h,0ADh,0A7h,0AAh,0A7h,0A8h,0A7h,0A7h,0A3h,060h
db 053h,058h,054h,058h,054h,060h,0A3h,0A9h,0A7h,0A8h,0A6h,0A8h,0A5h,0A9h,098h,055h
db 056h,054h,056h,054h,057h,056h,058h,056h,059h,055h,05Bh,052h,080h,0B1h,0A5h,0ADh
db 0A6h,0ABh,0A5h,0ABh,0A3h,0AEh,080h,04Fh,059h,054h,058h,055h,058h,057h,058h,058h
db 057h,062h,0A8h,0A9h,0ABh,0A8h,0ABh,0A7h,0AAh,0A5h,0ACh,09Ch,05Dh,051h,05Bh,04Fh
db 079h,0ACh,0A8h,09Ch,059h,054h,08Bh,0AFh,0A2h,0ABh,0A3h,0AAh,09Bh,05Bh,052h,057h
db 053h,058h,054h,058h,054h,05Ah,054h,095h,0ACh,0A7h,0A9h,0A7h,0A7h,0A8h,0A5h,0A8h
db 0A3h,0ABh,075h,04Dh,058h,052h,057h,054h,057h,055h,057h,057h,055h,06Ah,0AEh,0A4h
db 0ADh,0A2h,0AEh,06Fh,053h,057h,057h,056h,059h,055h,05Ch,051h,084h,0B0h,0A7h,0ABh
db 0A8h,0A8h,0A9h,0A5h,0ACh,077h,04Fh,05Ah,054h,059h,055h,059h,056h,05Ah,057h,05Ch
db 056h,068h,0A9h,0ABh,0ABh,0AAh,0AAh,0A9h,0AAh,0A8h,0ABh,09Dh,059h,057h,056h,058h
db 058h,058h,058h,059h,059h,05Ah,097h,0B4h,078h,051h,071h,0AEh,0A8h,0ADh,0A7h,0AEh
db 071h,053h,05Ch,055h,064h,0A6h,0AAh,0A9h,0A9h,0A9h,0A8h,0A8h,0A7h,0A8h,0A6h,0A5h
db 061h,053h,056h,056h,057h,057h,057h,058h,057h,05Bh,053h,081h,0B2h,0A5h,0ADh,0A6h
db 0ACh,0A5h,0ABh,0A3h,0AFh,080h,050h,058h,054h,057h,057h,057h,058h,057h,05Ah,056h
db 065h,0A8h,0AAh,0AAh,0A9h,0A9h,0A9h,0A7h,0ABh,097h,053h,05Ah,054h,05Bh,050h,07Bh
db 0AFh,0A5h,0ACh,0A5h,0AAh,0A4h,0ADh,075h,050h,059h,054h,058h,056h,059h,056h,059h
db 057h,05Bh,055h,067h,0A9h,0AAh,0ABh,0A9h,0A9h,0A9h,0A9h,0A8h,0A8h,0A8h,0A3h,05Eh
db 055h,056h,057h,056h,058h,056h,059h,057h,099h,0ABh,0ABh,081h,04Bh,06Bh,0A4h,0ACh
db 0A5h,0AEh,06Fh,052h,059h,056h,058h,05Bh,0A0h,0ABh,0A8h,0AAh,0A8h,0A9h,0A7h,0A8h
db 0A6h,0A5h,060h,053h,056h,056h,056h,057h,056h,058h,056h,05Bh,052h,081h,0B1h,0A5h
db 0ADh,0A6h,0ABh,0A5h,0ABh,0A3h,0AEh,080h,04Fh,059h,054h,058h,055h,058h,057h,059h
db 057h,05Ah,057h,060h,0A2h,0ADh,0A7h,0ACh,0A6h,0AFh,08Dh,053h,05Dh,09Bh,0ADh,0A6h
db 0ABh,0A6h,0A9h,0A6h,0A9h,09Fh,05Ch,053h,057h,055h,057h,055h,058h,056h,05Ah,055h
db 05Bh,052h,080h,0B1h,0A6h,0ACh,0A7h,0ABh,0A7h,0AAh,0A6h,0AAh,0A4h,0ACh,092h,053h
db 056h,055h,056h,056h,056h,057h,055h,061h,0A7h,0A6h,067h,04Fh,080h,0AFh,0A5h,0ABh
db 0A6h,0A6h,05Bh,059h,050h,07Dh,0AEh,0A5h,0AAh,0A6h,0A8h,0A7h,0A6h,0A7h,0A3h,0AAh
db 08Dh,04Eh,056h,052h,057h,053h,057h,054h,058h,055h,058h,058h,09Dh,0ABh,0A8h,0A8h
db 0A7h,0A7h,0A6h,0A7h,0A5h,0A5h,064h,050h,057h,053h,057h,054h,058h,055h,059h,054h
db 05Bh,052h,076h,0AEh,0A6h,0ABh,0A7h,0AAh,0A7h,0A8h,0A7h,0A7h,0A6h,0A6h,0A6h,0A2h
db 05Eh,052h,056h,054h,056h,055h,056h,055h,058h,055h,05Ah,052h,07Ch,0B0h,0A5h,0ADh
db 0A5h,0ABh,0A5h,0AAh,0A4h,0A9h,0A3h,0ABh,095h,055h,054h,055h,054h,056h,055h,058h
db 054h,05Fh,0A0h,0ABh,066h,055h,058h,058h,057h,059h,05Bh,0A0h,065h,058h,055h,079h
db 0B2h,0A7h,0ADh,0A8h,0ABh,0A8h,0A9h,0A8h,0A7h,0ABh,095h,053h,059h,054h,059h,055h
db 05Ah,056h,05Ah,056h,05Bh,058h,09Ch,0ADh,0A9h,0AAh,0AAh,0A9h,0AAh,0A7h,0AAh,0A5h
db 0ACh,072h,04Fh,05Ah,053h,05Ah,055h,05Ah,055h,05Ch,052h,07Ch,0B0h,0A6h,0ACh,0A7h
db 0AAh,0A7h,0AAh,0A7h,0A9h,0A5h,0ABh,098h,057h,055h,055h,056h,056h,056h,057h,058h
db 057h,059h,056h,092h,0B0h,0A5h,0ADh,0A5h,0ACh,0A3h,0ADh,0A0h,0B0h,067h,076h,0ADh
db 0A5h,09Bh,053h,057h,053h,057h,055h,057h,056h,057h,05Eh,09Eh,062h,055h,05Ah,057h
db 05Ah,058h,05Bh,057h,05Eh,055h,091h,0B1h,0A9h,0ADh,0ABh,0ABh,0AAh,0A9h,0ABh,0A6h
db 0AFh,07Fh,050h,05Bh,055h,05Ah,057h,059h,059h,059h,05Bh,058h,069h,0ACh,0AAh,0ACh
db 0AAh,0ABh,0A9h,0AAh,0A9h,0A9h,0A9h,0A3h,05Eh,056h,058h,057h,059h,057h,05Ah,057h
db 05Ch,056h,093h,0B0h,0A8h,0ACh,0A9h,0AAh,0A9h,0A9h,0A9h,0A6h,0ADh,07Dh,04Eh,05Bh
db 053h,05Ah,054h,05Bh,055h,05Dh,052h,075h,0AEh,0A9h,0ABh,0A9h,0AAh,0A9h,0A9h,0A7h
db 0ABh,093h,050h,05Dh,04Fh,097h,076h,04Fh,05Ch,055h,05Bh,057h,05Bh,092h,0B7h,071h
db 071h,0B5h,093h,05Ah,058h,05Ah,058h,05Bh,059h,05Bh,05Ah,05Ch,05Eh,0A2h,0AEh,0ACh
db 0ACh,0ACh,0AAh,0ABh,0A9h,0ACh,0A8h,0ACh,06Dh,053h,05Ah,057h,059h,059h,059h,05Bh
db 059h,05Dh,056h,07Ah,0B3h,0A8h,0B0h,0A8h,0AEh,0A8h,0AEh,0A5h,0B1h,08Bh,054h,05Ah
db 057h,05Ah,058h,05Ah,059h,05Ch,058h,066h,0AAh,0ACh,0ACh,0AAh,0ACh,0AAh,0ABh,0A9h
db 0ABh,0A0h,05Dh,056h,059h,058h,05Ah,058h,05Bh,059h,05Ch,058h,097h,0B1h,0A8h,0ADh
db 0A9h,0ACh,0A9h,0ACh,0A7h,0ACh,06Eh,052h,05Bh,055h,05Bh,056h,05Bh,057h,05Ch,057h
db 05Fh,054h,075h,09Dh,057h,05Fh,059h,05Eh,05Bh,05Fh,05Ch,05Fh,05Dh,063h,0A4h,0B3h
db 0ACh,0B1h,0ACh,0B0h,0ABh,0B0h,0AAh,0ADh,066h,05Ah,05Bh,05Ch,05Ah,05Eh,05Bh,05Fh
db 05Ah,062h,056h,086h,0B4h,0ACh,0AFh,0AEh,0AEh,0AEh,0ACh,0AEh,0A9h,0B2h,08Eh,055h
db 05Dh,059h,05Ch,05Bh,05Bh,05Dh,059h,06Fh,0B0h,0ACh,0AEh,0ACh,0ADh,0ADh,0AAh,0AFh
db 092h,054h,05Dh,057h,05Dh,059h,05Dh,05Ah,05Eh,05Ah,05Eh,05Dh,0A3h,0B0h,0ADh,0AEh
db 0ADh,0ADh,0ACh,0ACh,0A6h,061h,059h,05Bh,05Ah,05Bh,05Bh,05Ch,05Bh,05Dh,05Ah,094h
db 0B6h,0A7h,0B5h,090h,058h,05Dh,05Bh,05Dh,05Ch,05Eh,05Dh,05Eh,05Eh,05Eh,062h,0A5h
db 0B2h,0AEh,0B0h,0AEh,0AFh,0ADh,0AEh,0ACh,0ACh,068h,059h,05Dh,05Bh,05Dh,05Dh,05Dh
db 05Eh,05Dh,061h,059h,084h,0B8h,0AAh,0B3h,0ABh,0B2h,0A9h,0B2h,0A7h,0B5h,083h,056h
db 05Ch,05Bh,05Bh,05Dh,05Ah,060h,057h,07Ah,0B3h,0ACh,0AFh,0ADh,0ADh,0AEh,0AAh,0B2h
db 089h,053h,05Eh,058h,05Eh,05Ah,05Dh,05Bh,05Dh,05Dh,05Dh,065h,0AAh,0AFh,0AFh,0AEh
db 0ADh,0ADh,0ACh,0AFh,0A0h,05Bh,05Ch,05Ah,05Dh,05Bh,05Dh,05Ch,05Dh,05Dh,05Fh,09Dh
db 0B5h,0A8h,0B6h,088h,057h,05Fh,05Bh,05Eh,05Ch,05Fh,05Dh,061h,05Bh,06Fh,0B2h,0AEh
db 0B2h,0AEh,0B0h,0ADh,0B0h,0ACh,0B1h,09Eh,05Dh,05Ch,05Ch,05Ch,05Ch,05Dh,05Dh,05Dh
db 05Eh,05Fh,0A1h,0B3h,0ADh,0B0h,0ADh,0AEh,0ADh,0ADh,0ADh,0ABh,0AEh,075h,053h,05Fh
db 057h,05Fh,057h,061h,055h,095h,0B1h,0ACh,0ACh,0ADh,0ABh,0ADh,0A9h,0AEh,06Dh,056h
db 05Bh,059h,05Ah,05Bh,05Ah,05Dh,05Ah,060h,055h,07Eh,0B3h,0ABh,0AEh,0ACh,0ACh,0ADh
db 0A9h,0B2h,083h,053h,05Dh,058h,05Ch,05Ah,05Bh,05Dh,058h,078h,0B4h,0A9h,0B1h,0A6h
db 069h,056h,05Fh,059h,05Fh,059h,060h,059h,062h,056h,094h,0B3h,0ADh,0AFh,0AEh,0ADh
db 0AEh,0ACh,0AFh,0A9h,0B2h,081h,053h,05Eh,058h,05Dh,059h,05Eh,059h,05Fh,058h,06Eh
db 0AFh,0ADh,0AEh,0ACh,0ADh,0ABh,0ADh,0AAh,0AEh,09Ch,059h,05Bh,058h,05Ch,059h,05Dh
db 058h,069h,0ABh,0ADh,0ACh,0ACh,0ABh,0ACh,0A9h,0AEh,097h,056h,05Bh,057h,05Bh,058h
db 05Ch,059h,05Dh,059h,05Eh,05Ah,09Dh,0B0h,0ACh,0ADh,0ACh,0ABh,0ACh,0AAh,0A9h,064h
db 057h,05Ah,05Ah,05Ah,05Ch,059h,05Dh,058h,098h,0B1h,0ABh,0ABh,0AFh,098h,057h,05Dh
db 058h,05Dh,059h,05Dh,05Bh,05Eh,05Bh,062h,0A5h,0B0h,0ACh,0AFh,0ACh,0AEh,0ABh,0ACh
db 0AAh,0A9h,064h,057h,05Ah,05Ah,05Bh,05Ah,05Ch,05Ah,05Eh,058h,08Fh,0B5h,0A8h,0B1h
db 0A9h,0AFh,0A8h,0AFh,0A6h,0B2h,077h,055h,05Ah,059h,059h,05Dh,057h,095h,0B0h,0A9h
db 0ACh,0AAh,0AAh,0AAh,0A8h,0AAh,069h,054h,05Ah,057h,059h,05Ah,059h,05Bh,059h,05Eh
db 055h,07Fh,0B4h,0A8h,0AFh,0A9h,0ADh,0A9h,0ACh,0A9h,0ABh,0A7h,0ACh,099h,056h,059h
db 055h,05Ch,052h,07Ah,0AFh,0A9h,0A1h,058h,05Bh,056h,05Bh,057h,05Ch,057h,05Dh,057h
db 05Fh,056h,094h,0B1h,0AAh,0ADh,0ABh,0ABh,0ABh,0A9h,0ACh,0A7h,0AEh,07Fh,050h,05Ch
db 054h,05Ch,056h,05Ch,057h,05Eh,054h,074h,0B0h,0A9h,0ADh,0A9h,0ADh,0A7h,0B0h,081h
db 050h,05Eh,054h,05Dh,055h,05Fh,052h,081h,0B1h,0AAh,0ACh,0ABh,0A9h,0ACh,0A7h,0AFh
db 07Dh,050h,05Bh,055h,05Ah,057h,05Bh,058h,05Bh,059h,05Ch,058h,065h,0A8h,0AEh,0ACh
db 0ACh,0ABh,0ABh,0AAh,0AAh,0AAh,0AAh,0A8h,0ABh,06Eh,051h,05Ch,052h,069h,0A6h,0ABh
db 0A8h,0ACh,0A5h,0AFh,080h,051h,059h,056h,058h,058h,057h,05Ah,054h,074h,0B0h,0A6h
db 0ADh,0A7h,0ABh,0A7h,0AAh,0A6h,0AAh,0A5h,0AAh,09Dh,05Bh,054h,056h,055h,057h,056h
db 058h,057h,058h,058h,059h,058h,05Ah,059h,05Bh,05Ah,05Ch,05Ah,05Dh,059h,05Fh,056h
db 080h,0B4h,0AAh,0B0h,0AAh,0AFh,0A9h,0AFh,0A7h,0B2h,08Ah,054h,05Ch,058h,05Ch,059h
db 05Ch,05Ah,05Dh,05Ah,05Eh,05Bh,060h,059h,098h,0B4h,0ABh,0AFh,0ACh,0AEh,0ABh,0ADh
db 0A9h,0AFh,074h,053h,05Fh,056h,067h,0A7h,0AFh,0A9h,0AEh,0A7h,0B2h,088h,053h,05Ch
db 057h,05Bh,059h,05Bh,05Ah,05Ch,05Bh,05Dh,05Ch,05Eh,0A0h,0B1h,0ABh,0AFh,0ABh,0AEh
db 0AAh,0ADh,0A9h,0ADh,0A7h,0B0h,07Ah,052h,05Ch,056h,05Bh,058h,05Ch,059h,05Ch,059h
db 05Dh,05Ah,05Eh,05Ah,060h,05Ah,062h,056h,084h,0B4h,0ACh,0AFh,0ADh,0ADh,0ADh,0ACh
db 0ADh,0A9h,0B1h,090h,055h,05Dh,058h,05Ch,05Ah,05Ch,05Bh,05Dh,05Dh,05Dh,05Eh,05Ch
db 09Ch,0B4h,0ABh,0B0h,0ACh,0AFh,0ABh,0AEh,0ABh,0ACh,0AAh,0ABh,0AAh,0ABh,0A9h,0AAh
db 0A8h,0A9h,0A8h,0A8h,0A6h,0A8h,0A5h,0AAh,096h,054h,057h,054h,057h,054h,058h,055h
db 059h,056h,05Ah,055h,05Dh,051h,083h,0AFh,0ABh,098h,053h,05Dh,055h,05Dh,057h,05Ch
db 058h,05Dh,058h,05Eh,059h,061h,055h,08Dh,0B3h,0ABh,0AFh,0ACh,0ACh,0ACh,0ABh,0ABh
db 0AAh,0ABh,0A9h,0AAh,0A9h,0AAh,0A7h,0A9h,0A6h,0A9h,0A3h,0ADh,08Ah,050h,058h,053h
db 058h,055h,058h,056h,059h,056h,059h,057h,05Bh,056h,08Eh,0B2h,0A4h,0B2h,08Fh,055h
db 05Ah,057h,092h,0B2h,0A3h,0B3h,089h,057h,057h,05Bh,054h,091h,0ADh,0ADh,08Ah,051h
db 05Dh,056h,05Ah,091h,0B4h,0A3h,0B3h,08Ah,055h,05Ah,058h,098h,0AFh,0A7h,0ACh,0A7h
db 0ABh,0A7h,0AAh,0A6h,0A9h,0A5h,0A8h,0A4h,0A8h,0A3h,0A8h,09Ah,059h,051h,055h,052h
db 056h,054h,057h,053h,059h,053h,05Bh,050h,082h,0AEh,0A6h,0AAh,0A7h,0A8h,0A7h,0A7h
db 0A7h,0A6h,0A7h,0A3h,0A8h,097h,054h,054h,053h,056h,051h,070h,0B1h,08Fh,058h,051h
db 05Ah,04Dh,083h,0AAh,0AAh,091h,052h,057h,057h,052h,085h,0AFh,0A4h,0AAh,0A5h,0A8h
db 0A5h,0A6h,0A6h,0A3h,0AAh,080h,04Bh,058h,050h,057h,052h,057h,054h,057h,055h,058h
db 055h,05Ch,09Eh,0ACh,0A6h,0AAh,0A6h,0A9h,0A5h,0A8h,0A4h,0A7h,0A4h,0A6h,0A3h,0A6h
db 0A1h,0A8h,092h,052h,053h,051h,053h,053h,053h,054h,054h,055h,055h,056h,056h,057h
db 056h,058h,057h,058h,058h,05Ch,09Dh,0ADh,0A7h,0ABh,0A7h,0AAh,0A7h,0AAh,0A5h,0AAh
db 0A2h,0ADh,074h,050h,055h,061h,0A6h,0A7h,0A6h,0A9h,072h,04Dh,059h,052h,059h,057h
db 09Dh,0AAh,06Fh,04Eh,05Dh,04Fh,068h,0A3h,0ACh,0A3h,0AFh,06Fh,054h,054h,067h,0A8h
db 0A8h,0A7h,0AAh,06Dh,050h,059h,055h,058h,057h,058h,058h,059h,059h,059h,05Ah,059h
db 05Ch,059h,05Dh,057h,096h,0B1h,0AAh,0ADh,0ABh,0ABh,0AAh,0A9h,0ABh,0A7h,0AEh,07Ch
db 050h,05Ch,055h,05Bh,057h,05Bh,058h,05Bh,059h,05Ch,05Ah,05Dh,05Ah,05Dh,05Bh,05Eh
db 05Dh,05Fh,05Ch,05Fh,05Dh,060h,05Dh,061h,05Dh,063h,05Ah,07Fh,0B7h,0AEh,0B4h,0AFh
db 0B2h,0AFh,0B0h,0AFh,0AEh,0B0h,09Eh,059h,061h,058h,063h,055h,081h,0B2h,0B0h,0A1h
db 05Eh,05Dh,05Fh,059h,081h,0B8h,0A8h,0B5h,0A0h,064h,059h,062h,055h,080h,0B4h,0ACh
db 0B1h,0A6h,064h,05Bh,05Eh,05Ch,05Eh,05Eh,05Eh,05Eh,05Fh,05Fh,060h,060h,060h,060h
db 061h,060h,068h,0ACh,0B4h,0B1h,0B2h,0B1h,0B1h,0B0h,0AFh,0B0h,0AEh,0AFh,0AEh,0AEh
db 0ADh,0AEh,0ABh,0AFh,0A0h,05Ch,05Bh,05Ah,05Ch,05Bh,05Ch,05Ch,05Dh,05Dh,05Eh,05Dh
db 05Eh,05Eh,05Fh,05Fh,05Fh,05Fh,060h,061h,05Fh,063h,05Ch,084h,0BBh,0ACh,0B7h,0ADh
db 0B3h,062h,093h,0B5h,0AFh,0B0h,0B2h,0A1h,05Fh,05Dh,05Fh,059h,081h,0B8h,0A9h,0B5h
db 0A1h,064h,059h,062h,056h,080h,0B4h,0AFh,0A4h,05Ch,060h,05Ah,062h,057h,07Eh,0B3h
db 0AFh,0A8h,060h,05Fh,05Dh,05Fh,05Dh,060h,05Eh,061h,05Eh,062h,05Eh,065h,05Bh,083h
db 0B9h,0AFh,0B5h,0AFh,0B2h,0AFh,0B1h,0AFh,0B0h,0AEh,0AFh,0AEh,0A8h,061h,05Ch,05Ch
db 05Eh,05Ch,05Fh,05Ch,060h,05Ch,062h,05Ah,090h,0B8h,0ABh,0B6h,09Bh,05Ch,060h,05Dh
db 060h,05Dh,061h,05Eh,061h,05Fh,062h,05Fh,064h,05Eh,066h,05Bh,080h,0B7h,0B2h,0B3h
db 0B0h,06Ch,061h,05Dh,080h,0B9h,0AEh,0B5h,0AFh,0B2h,06Eh,05Ch,063h,05Bh,074h,0B4h
db 0B0h,0B2h,0B1h,075h,059h,064h,05Ah,071h,0B1h,0ACh,068h,05Fh,061h,060h,062h,05Fh
db 06Ch,0B1h,0B0h,0B4h,074h,05Bh,064h,05Ch,071h,0B3h,0ADh,068h,05Fh,062h,061h,062h
db 063h,062h,064h,061h,066h,05Eh,092h,0BCh,0B1h,0B7h,0B1h,0B5h,0B0h,0B4h,0B0h,0B3h
db 0AFh,0B2h,0AEh,0B2h,0ADh,0B1h,0ABh,0B4h,076h,059h,05Ch,06Bh,0B2h,0AAh,0B1h,0A9h
db 0B3h,07Ah,056h,05Fh,05Ah,05Eh,05Bh,05Eh,05Ch,05Fh,05Dh,060h,05Dh,060h,05Dh,062h
db 05Ch,09Ah,0B7h,0ACh,0B7h,094h,058h,064h,05Bh,0A1h,0B2h,0B1h,0ADh,0B4h,097h,059h
db 061h,05Ah,098h,0B5h,0A9h,0B6h,090h,058h,05Fh,05Ch,05Eh,05Dh,05Dh,05Fh,05Eh,060h
db 05Dh,062h,05Dh,0A2h,0B2h,0B5h,086h,057h,064h,05Dh,063h,05Eh,062h,05Fh,063h,060h
db 063h,060h,06Ah,0AEh,0B5h,0B3h,0B3h,0B2h,0B2h,0B1h,0B3h,0A5h,05Eh,063h,058h,08Eh
db 0B7h,0AEh,0B2h,0AEh,0AFh,0AFh,0AEh,0AFh,0ABh,0B3h,089h,055h,060h,059h,05Eh,095h
db 0B6h,0A5h,0B7h,08Ah,058h,05Ch,05Ch,05Ch,05Dh,05Ch,05Eh,05Ch,05Fh,05Dh,060h,05Ch
db 062h,059h,08Fh,0B7h,0ADh,0B2h,0AFh,0A7h,05Eh,062h,057h,089h,0B6h,0ABh,0B1h,0ADh
db 0A9h,05Fh,060h,056h,083h,0B5h,0AAh,0B2h,0A2h,060h,05Bh,05Dh,05Dh,05Dh,05Eh,05Dh
db 05Eh,05Dh,061h,05Bh,094h,0B7h,0AAh,0B6h,096h,05Bh,05Fh,05Ch,060h,05Dh,060h,05Eh
db 061h,05Eh,068h,0AAh,0B3h,0AFh,0B2h,0AEh,0B2h,0ADh,0B3h,0A1h,061h,05Bh,061h,057h
db 081h,0B6h,0ACh,0B0h,0ADh,0AEh,0AEh,0ABh,0B1h,086h,053h,060h,057h,05Fh,058h,061h
db 056h,080h,0B8h,093h,059h,05Fh,05Bh,060h,05Bh,060h,05Dh,060h,05Ch,061h,05Dh,063h
db 05Ch,065h,059h,082h,0B7h,0B0h,0B2h,0B1h,0AFh,0B3h,076h,05Ah,061h,05Eh,061h,05Fh
db 060h,060h,05Fh,063h,05Ch,07Fh,0B9h,0AEh,0B6h,0ACh,06Dh,05Ch,064h,05Eh,064h,05Fh
db 065h,05Eh,067h,05Ch,099h,0B8h,0B2h,0B3h,0B5h,0A5h,061h,062h,060h,061h,062h,05Fh
db 076h,0B8h,0AEh,0B6h,0AEh,0B6h,0ACh,0B9h,088h,05Bh,061h,05Fh,05Fh,061h,05Fh,064h
db 05Ch,07Ch,0B7h,0B0h,0B4h,0AFh,06Eh,05Ch,063h,05Fh,061h,061h,062h,062h,061h,064h
db 05Eh,088h,0BDh,0ADh,0BAh,0A4h,067h,05Dh,066h,05Bh,086h,0B9h,0B0h,0B6h,0A9h,067h
db 060h,061h,061h,062h,063h,061h,06Ah,0AEh,0B5h,0B2h,0B4h,0B0h,0B7h,095h,05Ah,065h
db 05Dh,064h,05Eh,065h,05Fh,066h,05Eh,070h,0AEh,0B7h,0AFh,0B9h,07Dh,05Dh,063h,062h
db 061h,064h,060h,09Fh,0B8h,0B1h,0B4h,0B2h,0B2h,0B3h,0B0h,0B1h,06Dh,05Dh,060h,060h
db 060h,061h,064h,0ACh,0AFh,0B7h,07Ah,05Dh,05Eh,071h,0A6h,060h,062h,060h,061h,062h
db 05Fh,075h,0B7h,0B0h,0B5h,0B0h,0B3h,0B0h,0B2h,0AEh,0B3h,09Fh,05Bh,062h,058h,094h
db 0B5h,0AEh,0AFh,0B1h,0A1h,05Dh,05Eh,05Ch,05Eh,05Eh,05Eh,05Eh,05Fh,060h,05Fh,060h
db 060h,061h,05Fh,062h,060h,064h,060h,065h,05Eh,09Eh,0B8h,0B2h,0B3h,0B3h,0B1h,0B4h
db 0ABh,06Ch,05Ah,066h,056h,080h,09Eh,05Bh,063h,060h,061h,063h,05Ch,080h,0B8h,0B2h
db 0AAh,062h,062h,062h,05Eh,082h,0BCh,0ADh,0B7h,0AEh,0B5h,0AEh,0B4h,0ABh,0B7h,08Ch
db 058h,062h,05Eh,0A4h,0B1h,0B0h,0ADh,0B3h,092h,056h,061h,05Ah,061h,05Bh,061h,05Ch
db 063h,05Bh,06Dh,0ABh,0B3h,0ADh,0B5h,07Bh,058h,062h,05Bh,067h,0A9h,0B2h,0AFh,0B0h
db 0AEh,0AFh,0AEh,0ADh,0AEh,0A7h,063h,05Ah,05Ch,05Ch,05Ch,05Dh,05Dh,05Dh,05Eh,05Eh
db 05Eh,05Fh,05Fh,060h,05Dh,06Bh,0AFh,0B1h,0B1h,0B0h,0AFh,0B3h,08Dh,054h,065h,057h
db 066h,055h,098h,0B1h,0B2h,0ACh,0B5h,09Dh,062h,058h,064h,052h,08Bh,08Fh,056h,062h
db 05Ch,05Fh,062h,059h,08Bh,0B6h,0B1h,09Dh,058h,065h,059h,09Ah,0B6h,0ADh,0B3h,0ABh
db 0B4h,0A1h,065h,056h,094h,0B0h,0B3h,08Eh,057h,05Eh,05Dh,05Ah,097h,0B1h,0B1h,08Bh
db 054h,061h,05Ah,05Eh,05Eh,05Ah,088h,0B6h,0AEh,09Dh,055h,065h,099h,0B9h,0A5h,0B9h
db 084h,05Ah,05Ch,061h,0A1h,0B3h,0A9h,0B1h,0A7h,0B3h,093h,059h,05Bh,05Ch,05Bh,05Dh
db 05Bh,05Eh,05Bh,05Fh,05Bh,061h,05Ah,063h,056h,087h,0B5h,0AEh,0B0h,0B0h,0ADh,0B0h
db 0AAh,0B3h,07Eh,056h,05Eh,05Bh,05Dh,05Dh,05Ch,060h,058h,080h,0B6h,0ABh,0B1h,0ADh
db 0ACh,069h,059h,060h,057h,075h,0B1h,0ADh,0AAh,064h,05Bh,05Dh,05Ch,05Eh,05Ch,060h
db 05Ch,062h,05Ah,098h,0B4h,0AFh,0AEh,0B3h,09Eh,05Dh,05Dh,060h,058h,086h,0B5h,0AFh
db 09Eh,057h,063h,058h,095h,0B8h,081h,057h,062h,05Bh,062h,05Bh,09Bh,0B5h,0ACh,0B5h
db 091h,057h,062h,05Ah,0A0h,0B1h,0AEh,0AFh,0AEh,0AEh,0ADh,0ADh,0ABh,0AEh,06Eh,056h
db 05Eh,059h,05Dh,05Ah,05Eh,05Bh,05Eh,05Ch,05Fh,05Dh,05Fh,05Dh,060h,060h,0A6h,0B1h
db 0AFh,0AFh,0AFh,0AFh,0AEh,0ADh,0ADh,0ABh,06Ah,057h,05Eh,059h,05Fh,05Ah,060h,05Ah
db 063h,057h,090h,0B4h,0AEh,0AEh,0B0h,0A3h,060h,05Ah,060h,057h,080h,0B4h,0ADh,0A3h
db 05Ah,060h,05Ah,060h,05Bh,060h,05Ch,061h,05Ch,063h,05Bh,09Ch,0B4h,0AFh,0B0h,0B2h
db 09Eh,059h,063h,058h,095h,0B5h,0ABh,0B3h,098h,057h,063h,057h,09Bh,0B0h,0B3h,089h
db 055h,061h,05Bh,060h,099h,0B7h,0A7h,0B7h,089h,059h,05Dh,05Eh,05Bh,097h,0B5h,0AAh
db 0B1h,0ABh,0AFh,0AAh,0B0h,0A7h,0B1h,070h,057h,058h,06Bh,0AFh,0A9h,0ABh,064h,058h
db 05Bh,059h,05Bh,05Ah,05Ch,05Ah,05Eh,058h,08Eh,0B5h,0A9h,0B0h,0A9h,0AFh,0A9h,0AEh
db 0A7h,0B1h,07Ah,053h,05Ch,057h,060h,09Fh,068h,057h,05Dh,05Ah,05Ah,069h,0B0h,0A8h
db 0B1h,0A6h,0B3h,079h,056h,05Ch,05Bh,05Eh,0A6h,0AAh,0B0h,077h,055h,05Dh,059h,05Ch
db 05Bh,05Ch,05Ch,05Ch,05Fh,058h,076h,0B3h,0ACh,0B0h,0AAh,0B1h,073h,056h,061h,057h
db 06Bh,0AAh,0B0h,0A9h,0B3h,076h,058h,05Bh,06Ah,0AFh,0ABh,0ACh,069h,057h,05Fh,057h
db 072h,0AFh,0ACh,0ADh,0ACh,06Eh,055h,05Fh,057h,06Dh,0ADh,0ABh,0AEh,0AAh,0ADh,0A9h
db 0AEh,0A7h,0B0h,099h,05Ch,056h,05Dh,051h,081h,0AFh,0ACh,099h,056h,05Bh,057h,05Ah
db 05Ah,05Ah,05Ch,058h,066h,0A7h,0AFh,0A9h,0B2h,078h,056h,05Ah,067h,0ABh,0ACh,0AAh
db 0AFh,074h,054h,05Ah,068h,0B1h,0A0h,063h,057h,05Dh,058h,05Dh,058h,069h,0ACh,0ABh
db 0AEh,0A8h,0B1h,07Eh,054h,05Ch,061h,0ABh,0A9h,0B0h,06Fh,055h,05Dh,059h,05Dh,059h
db 05Eh,059h,060h,056h,084h,0B3h,0AAh,0AFh,0ACh,0A8h,064h,058h,05Eh,056h,077h,0B2h
db 0AAh,0AEh,0A9h,068h,058h,05Ah,076h,0B9h,094h,05Eh,058h,060h,055h,088h,0B4h,0A8h
db 0B2h,09Ch,05Dh,05Ah,05Dh,056h,080h,0B5h,0A7h,0B1h,0A7h,0B0h,0A6h,0AFh,0A4h,0B3h
db 080h,055h,059h,05Dh,09Fh,0AFh,0A5h,0B1h,07Eh,053h,05Ah,058h,058h,05Ah,058h,05Dh
db 053h,07Ch,0B0h,0ABh,0A1h,05Bh,05Ah,05Ch,056h,07Eh,0B4h,0A6h,0AFh,0A8h,0ABh,063h
db 058h,059h,05Bh,059h,05Bh,05Ah,05Ch,05Ch,05Bh,05Eh,058h,07Dh,0B6h,0A8h,0B2h,0A8h
db 0B1h,066h,05Dh,055h,079h,0B1h,0ACh,0A5h,05Eh,05Bh,05Bh,05Ch,05Ch,05Dh,05Dh,05Dh
db 060h,0A2h,0B2h,0ACh,0B1h,0AAh,0B3h,096h,05Ah,05Bh,05Dh,058h,088h,0B6h,0A7h,0B4h
db 099h,05Bh,05Ch,059h,08Bh,0BBh,080h,058h,05Ch,05Bh,05Ch,09Ch,0B2h,0A9h,0B3h,089h
db 053h,060h,057h,061h,056h,091h,0B3h,0AAh,0B1h,098h,056h,061h,054h,098h,0ADh,0B2h
db 089h,054h,05Fh,05Ch,0A1h,0B0h,0A9h,0B2h,083h,053h,05Fh,057h,05Fh,058h,093h,0B7h
db 080h,055h,060h,059h,062h,09Eh,0B6h,070h,05Ah,05Bh,06Fh,0B2h,0A9h,0B1h,0A8h,0B3h
db 074h,058h,05Ah,06Ah,0B0h,0A5h,064h,059h,05Dh,05Bh,05Dh,05Ch,05Dh,05Eh,05Eh,09Fh
db 0B2h,0ADh,0AEh,0B0h,095h,054h,063h,056h,09Eh,0ADh,0B3h,084h,055h,060h,05Ah,05Fh
db 05Bh,05Fh,05Ch,060h,05Ch,061h,05Ch,067h,0A6h,0B5h,0ABh,0B7h,080h,05Ah,05Eh,066h
db 0ACh,0B1h,0AEh,0B3h,07Fh,055h,063h,059h,067h,0A4h,0B5h,06Ch,05Eh,059h,077h,0B4h
db 0ACh,0B2h,0AAh,06Dh,056h,063h,056h,076h,0AFh,0AFh,0ADh,0B0h,06Dh,05Bh,05Ah,075h
db 0B5h,0AAh,0B1h,0A8h,06Eh,051h,084h,0B2h,0AAh,0B0h,0A1h,05Eh,05Bh,05Ah,05Eh,058h
db 075h,0B6h,09Ch,05Fh,05Bh,05Eh,05Bh,05Fh,05Ch,05Fh,05Bh,066h,0A7h,0B3h,0AAh,0B5h
db 080h,057h,05Fh,064h,0AEh,0ACh,0B2h,072h,058h,060h,05Bh,060h,05Ch,060h,05Bh,063h
db 058h,087h,0B6h,0ADh,0B2h,0AFh,0ABh,067h,05Bh,061h,058h,079h,0B4h,0AEh,0AAh,060h
db 05Fh,05Ch,060h,05Dh,061h,05Eh,062h,05Dh,063h,05Bh,093h,0B9h,0ADh,0B7h,09Ch,05Ch
db 062h,05Bh,096h,0B7h,0ABh,0B7h,096h,05Bh,061h,05Dh,060h,05Fh,061h,05Fh,061h,05Fh
db 069h,0ADh,0B1h,0B4h,07Ah,059h,066h,05Bh,06Fh,0ADh,0B6h,0AEh,0B7h,07Ch,05Ah,063h
db 05Dh,069h,0ACh,0B1h,0B2h,07Ah,055h,07Eh,0B5h,0AEh,0B3h,0ADh,0B3h,071h,05Ah,060h
db 05Eh,05Fh,05Fh,05Fh,060h,060h,061h,060h,062h,060h,062h,068h,0B1h,0AFh,0B8h,076h
db 05Fh,05Eh,075h,0B5h,0B1h,0B3h,0B1h,0B0h,0B2h,0AEh,0B5h,094h,059h,061h,05Dh,05Fh
db 060h,05Bh,07Ch,0B8h,0ACh,0B4h,0ACh,0B2h,06Fh,05Ah,060h,05Ah,06Fh,0B1h,0AEh,0B0h
db 06Bh,05Ch,05Fh,05Eh,05Fh,05Fh,060h,05Fh,062h,05Ch,08Fh,0BAh,0ABh,0B9h,09Bh,060h
db 05Eh,062h,05Bh,08Ah,0B9h,0ACh,0B7h,09Fh,061h,05Eh,060h,05Eh,061h,05Fh,062h,05Fh
db 063h,060h,0A6h,0B2h,0B6h,083h,058h,066h,05Dh,068h,0A5h,0B8h,0ACh,0BAh,084h,05Bh
db 062h,05Fh,063h,0A3h,0B6h,0AFh,0B3h,0AFh,0B2h,0ADh,0B2h,0ACh,0B0h,06Bh,05Ch,059h
db 077h,0B4h,0ACh,0AAh,05Fh,05Fh,05Bh,05Fh,05Bh,060h,05Bh,061h,05Dh,0A6h,0AFh,0B5h
db 080h,058h,062h,05Ch,064h,0A5h,0B3h,0AEh,0B0h,0AFh,0ADh,0B1h,09Eh,05Bh,05Eh,05Bh
db 05Dh,05Eh,05Ah,073h,0B5h,0AAh,0B3h,0A9h,0B4h,072h,058h,05Eh,05Bh,066h,0AEh,0ABh
db 0B2h,06Fh,05Ah,05Dh,05Eh,05Dh,05Fh,05Ch,060h,05Bh,063h,058h,080h,0B5h,0AEh,0B1h
db 0AAh,064h,060h,059h,082h,0B6h,0ACh,0B1h,0ADh,0ACh,067h,05Bh,05Eh,05Ch,05Fh,05Ch
db 061h,05Bh,063h,058h,096h,0B2h,0B4h,092h,058h,062h,05Eh,05Fh,095h,0B9h,0A9h,0B8h
db 093h,05Bh,061h,05Ch,062h,059h,088h,0B8h,0ACh,0B2h,0ADh,0B0h,0AEh,0ADh,0B1h,07Eh
db 053h,062h,057h,066h,0A2h,0B4h,0A8h,0B3h,0A7h,0B6h,08Eh,059h,059h,05Eh,056h,092h
db 0B0h,0B0h,08Eh,053h,060h,058h,05Fh,05Ah,05Fh,05Ah,060h,059h,06Ch,0ADh,0AEh,0AEh
db 06Fh,058h,060h,05Bh,061h,05Bh,062h,05Bh,09Fh,0B2h,0B0h,0AEh,0B3h,097h,05Ah,05Fh
db 05Dh,05Bh,08Ch,0B9h,0A7h,0B7h,098h,05Eh,05Ch,05Eh,05Ch,060h,05Ch,061h,05Ch,062h
db 05Ch,064h,059h,09Ah,0B3h,0B5h,090h,058h,063h,05Eh,060h,098h,0B9h,0AAh,0B8h,091h
db 05Bh,061h,05Ch,063h,059h,08Dh,0B6h,0B1h,09Dh,056h,067h,057h,0A0h,0B0h,0B6h,088h
db 059h,062h,062h,0A7h,0B3h,0ADh,0B5h,084h,056h,063h,05Bh,061h,05Ch,062h,05Dh,062h
db 05Eh,063h,05Eh,065h,060h,0A9h,071h,061h,05Eh,07Dh,0B8h,0B0h,0B5h,0AEh,06Dh,05Dh
db 062h,061h,060h,06Fh,0B5h,0AFh,0B5h,06Fh,05Fh,062h,062h,060h,06Ch,0B1h,0B1h,0B5h
db 075h,05Ch,064h,060h,063h,062h,063h,062h,063h,063h,064h,064h,064h,064h,064h,068h
db 0A9h,0BAh,0B1h,0BCh,08Bh,05Dh,066h,066h,0AEh,0B6h,0B3h,0B8h,088h,058h,069h,05Ch
db 06Ah,05Ch,0A6h,0B2h,0BBh,089h,05Eh,063h,063h,062h,0A6h,0B4h,0B9h,086h,05Bh,066h
db 060h,067h,0A8h,0B6h,0B6h,083h,059h,069h,05Ch,06Dh,0A7h,0BBh,0ADh,0BCh,081h,05Eh
db 060h,06Ah,0ADh,0B5h,0AFh,0B8h,080h,05Ah,062h,069h,0B3h,0AEh,0B5h,0ACh,0B8h,080h
db 059h,062h,05Dh,064h,0A3h,0B7h,075h,05Ah,063h,05Ch,06Dh,0AFh,0B2h,0B1h,0B1h,0B0h
db 0B0h,0AFh,0AFh,0AEh,0AFh,0ACh,0AEh,0ABh,0AEh,0A8h,0B1h,08Fh,055h,05Dh,058h,05Ch
db 05Ah,05Ch,05Bh,05Dh,05Ch,05Dh,05Dh,05Eh,05Dh,05Eh,05Eh,05Fh,05Eh,05Fh,060h,05Fh
db 061h,060h,061h,05Fh,063h,05Eh,074h,0B6h,0B1h,0B4h,0B0h,079h,054h,083h,0B5h,0B0h
db 0B2h,0ACh,066h,05Fh,05Fh,061h,05Ch,072h,0B6h,0A6h,067h,05Dh,063h,05Ah,080h,0B8h
db 0AFh,0A9h,05Dh,065h,05Bh,067h,057h,080h,0B3h,0B4h,0A7h,067h,05Dh,065h,059h,082h
db 0B5h,0B3h,0A5h,063h,05Eh,064h,05Ah,085h,0B6h,0B2h,0A3h,05Eh,061h,061h,05Dh,088h
db 0BBh,0ACh,0B7h,0A2h,062h,060h,05Ch,08Bh,0BAh,0AAh,0B7h,09Ch,060h,05Dh,062h,059h
db 087h,0B9h,0AAh,0B7h,09Eh,064h,058h,098h,0B1h,0B3h,08Dh,056h,062h,05Ah,061h,05Ch
db 060h,05Dh,061h,05Eh,061h,060h,061h,060h,062h,062h,061h,064h,05Fh,072h,0B5h,0B2h
db 0B4h,070h,05Eh,065h,05Dh,076h,0B8h,0A7h,067h,061h,063h,062h,063h,064h,061h,06Ch
db 0B1h,0B5h,0B5h,0B4h,0B3h,0B3h,0B2h,0B2h,0B1h,0B1h,0B0h,0B2h,0ADh,0B4h,086h,054h
db 06Fh,0ABh,0ADh,066h,05Dh,05Dh,060h,05Bh,06Fh,0B3h,0A7h,066h,05Ch,061h,05Dh,062h
db 05Ch,06Eh,0AFh,0ADh,069h,05Eh,060h,061h,05Dh,070h,0B6h,0A8h,069h,05Ch,064h,05Ah
db 080h,0B7h,0B0h,0AAh,060h,064h,05Dh,066h,059h,07Eh,0B5h,0B2h,0B1h,0B1h,06Bh,060h
db 05Bh,07Fh,0B8h,0AEh,0B4h,0AEh,0B1h,0AFh,0AFh,0AFh,0ADh,0B1h,09Bh,059h,05Fh,05Ah
db 05Fh,05Ch,05Fh,05Ch,05Fh,05Eh,05Fh,05Eh,060h,05Fh,061h,060h,061h,060h,062h,061h
db 062h,062h,063h,062h,063h,063h,064h,063h,065h,064h,065h,064h,066h,065h,066h,064h
db 067h,065h,069h,063h,0A0h,0BEh,0B4h,0BAh,0B4h,0BAh,0A9h,06Bh,05Fh,098h,0BDh,0AFh
db 0BCh,09Ch,060h,065h,062h,065h,05Fh,086h,0C2h,095h,063h,062h,066h,05Eh,099h,0B9h
db 0B6h,098h,05Ah,06Ah,05Eh,06Ah,05Dh,094h,0BEh,091h,05Ch,06Ah,05Eh,06Bh,05Ch,09Eh
db 0B6h,0BBh,095h,060h,065h,065h,061h,09Eh,0B9h,0B7h,093h,05Ah,069h,062h,0AEh,0B3h
db 0B7h,0B0h,0BAh,093h,05Bh,06Bh,0A8h,0B8h,0AEh,0B9h,082h,05Bh,063h,067h,0B0h,0B0h
db 0B3h,0B0h,0B3h,0AEh,0B1h,0AEh,0B1h,0ACh,0B1h,0AAh,0B3h,07Ah,056h,05Fh,05Ah,05Dh
db 05Ch,05Eh,05Dh,05Eh,05Eh,05Fh,05Eh,05Fh,060h,05Fh,060h,061h,060h,061h,062h,061h
db 062h,062h,063h,062h,063h,063h,064h,063h,064h,064h,065h,065h,064h,09Fh,0BEh,0AFh
db 0BEh,094h,060h,069h,0ACh,0B6h,0B5h,0B1h,0B9h,090h,05Bh,066h,05Eh,066h,05Eh,093h
db 0BFh,089h,05Dh,066h,060h,065h,060h,099h,0C0h,084h,05Eh,065h,062h,065h,0A7h,0B7h
db 0B7h,087h,059h,06Ah,05Ch,06Ah,05Dh,0A8h,0B2h,0BCh,086h,05Eh,065h,063h,064h,0A8h
db 0B5h,0B8h,084h,05Ch,066h,069h,0B4h,0B0h,0B7h,0AEh,0BAh,085h,05Ch,063h,066h,0AFh
db 0B1h,0B4h,0AEh,0B6h,08Bh,056h,06Eh,0AAh,0B3h,0AEh,0B1h,0AEh,0B0h,0ADh,0AFh,0ACh
db 0AFh,0AAh,0AFh,06Eh,057h,05Dh,05Ah,05Dh,05Ch,05Dh,05Ch,05Eh,05Dh,05Eh,05Eh,05Fh
db 05Eh,05Fh,05Fh,05Fh,060h,061h,060h,061h,061h,062h,061h,062h,063h,062h,063h,063h
db 064h,063h,064h,064h,066h,064h,0A3h,0BBh,0B2h,0B8h,0B1h,0B9h,0A3h,064h,060h,09Ah
db 0BBh,0ADh,0BAh,095h,05Dh,063h,05Fh,062h,061h,063h,062h,063h,063h,064h,063h,064h
db 0A0h,0BEh,080h,05Eh,066h,062h,066h,064h,0A9h,0B6h,0B8h,086h,05Ah,06Ah,05Eh,06Ah
db 05Eh,0A9h,0B3h,0BCh,088h,05Fh,065h,063h,065h,0A8h,0B5h,0B9h,085h,05Bh,068h,060h
db 069h,0A9h,0B8h,0B2h,0B6h,0B1h,0B4h,0B1h,0B3h,0B1h,0B2h,0B0h,0B1h,0AFh,0B0h,0AEh
db 0AFh,0AEh,0AEh,0AAh,068h,059h,05Eh,05Ch,05Eh,05Dh,05Eh,05Dh,05Fh,05Eh,05Fh,05Eh
db 060h,05Fh,060h,060h,061h,060h,061h,061h,062h,062h,063h,062h,063h,063h,064h,063h
db 064h,065h,064h,064h,065h,066h,065h,066h,066h,067h,066h,067h,067h,068h,067h,069h
db 066h,06Bh,063h,095h,0C2h,0B3h,0C0h,0A6h,06Ah,064h,0A2h,0BDh,0B6h,0B8h,0B9h,0A6h
db 05Fh,06Ah,05Fh,06Dh,05Ah,090h,09Ah,05Dh,06Bh,062h,069h,064h,068h,066h,068h,067h
db 068h,068h,06Ah,0ADh,0BBh,0BBh,08Ah,05Eh,06Eh,062h,06Eh,063h,0AEh,0B7h,0C0h,08Ah
db 062h,069h,067h,069h,0AEh,0B9h,0BCh,087h,05Fh,06Ch,063h,06Eh,0ADh,0BCh,0B6h,0B9h
db 0B5h,0B7h,0B5h,0B6h,0B4h,0B5h,0B3h,0B4h,0B2h,0B3h,0B1h,0B3h,0B0h,0B2h,0ACh,06Bh
db 05Bh,063h,05Ah,078h,0B7h,0A2h,062h,05Fh,05Fh,060h,060h,061h,061h,061h,061h,062h
db 062h,063h,062h,063h,063h,064h,063h,065h,064h,065h,064h,066h,065h,066h,065h,067h
db 065h,068h,064h,06Ah,062h,08Eh,0BFh,0B4h,0BBh,0B4h,0BAh,0B2h,0BBh,07Ch,060h,066h
db 063h,065h,068h,0ADh,0B8h,0B5h,0B6h,0B4h,0B5h,0B3h,0B4h,0B2h,0B4h,0AFh,0B7h,080h
db 058h,064h,05Dh,063h,05Eh,063h,05Fh,064h,060h,065h,060h,066h,060h,067h,05Fh,06Ah
db 05Bh,08Ch,0B9h,0B7h,0A5h,062h,065h,062h,066h,060h,080h,0C2h,09Ah,066h,061h,069h
db 05Ch,096h,0B8h,0B8h,09Ch,05Fh,066h,064h,061h,096h,0BDh,0B1h,0B8h,0B1h,0B6h,0B1h
db 0B4h,0B1h,0B3h,0B1h,0B1h,0B0h,0B0h,0B0h,0AEh,0B0h,0ABh,0B3h,07Ch,056h,060h,05Ah
db 05Fh,05Ch,05Fh,05Dh,05Fh,05Eh,05Fh,05Fh,060h,05Fh,061h,060h,061h,061h,062h,061h
db 062h,063h,062h,063h,062h,064h,063h,065h,063h,065h,064h,066h,066h,0ABh,0B8h,0B5h
db 0B5h,0B5h,0B4h,0B4h,0B2h,0B5h,0B0h,0B5h,0AEh,0B8h,087h,05Ah,062h,05Eh,060h,061h
db 05Fh,064h,05Ch,07Fh,0B8h,0AFh,0B4h,0AEh,06Bh,05Fh,05Dh,080h,0BAh,0ACh,0B6h,0ACh
db 0B4h,0ACh,0B4h,0AAh,0B6h,08Ch,059h,05Fh,05Ch,05Eh,05Eh,05Eh,05Fh,05Eh,060h,05Fh
db 060h,05Fh,061h,060h,061h,060h,063h,060h,063h,061h,064h,061h,065h,060h,067h,05Eh
db 07Ch,0B7h,0B4h,0B0h,06Ch,060h,067h,05Dh,080h,0BAh,0B2h,0B6h,0B2h,0B4h,0B2h,0B3h
db 0B2h,0B2h,0B1h,0B0h,0B1h,0AFh,0B1h,0ACh,0B4h,081h,056h,061h,05Ah,060h,05Ch,060h
db 05Dh,060h,05Eh,061h,05Eh,061h,060h,061h,060h,062h,061h,062h,061h,063h,062h,064h
db 063h,064h,063h,065h,064h,065h,064h,066h,067h,0ADh,0B8h,0B5h,0B5h,0B5h,0B4h,0B5h
db 0B2h,0B4h,0B1h,0B5h,076h,05Ch,063h,05Fh,063h,061h,063h,062h,063h,062h,064h,063h
db 064h,064h,065h,064h,065h,065h,066h,065h,066h,066h,067h,066h,067h,067h,068h,068h
db 068h,068h,069h,067h,071h,0B5h,0BAh,0BAh,0B8h,0B8h,0B7h,0B8h,0B6h,0B7h,0B4h,0B7h
db 0B3h,0B7h,0B0h,0BAh,093h,05Ch,065h,060h,064h,061h,064h,062h,065h,063h,066h,063h
db 066h,064h,067h,064h,068h,061h,07Ch,0BBh,0B4h,0B9h,0B4h,0B7h,0B3h,0B6h,0B2h,0B5h
db 0B1h,0B5h,0AFh,0B5h,0ADh,0B8h,080h,059h,061h,05Fh,060h,061h,05Dh,096h,0B9h,0ACh
db 0B8h,097h,05Bh,063h,05Ch,064h,059h,089h,0B7h,0AEh,0B3h,0AFh,0B1h,0AFh,0AFh,0AEh
db 0AEh,0AEh,0ADh,0ADh,0ABh,0ADh,0A9h,0AEh,071h,054h,05Dh,059h,05Ch,05Ah,05Ch,05Bh
db 05Ch,05Dh,05Ch,05Eh,05Bh,06Ah,0ADh,0AEh,0AFh,0AEh,0ADh,0AEh,0ABh,0B0h,09Ah,058h
db 05Dh,059h,05Dh,05Ah,05Dh,05Bh,05Eh,05Bh,05Eh,05Dh,05Eh,05Dh,05Fh,05Eh,05Fh,05Fh
db 060h,05Fh,061h,09Eh,0B9h,0ABh,0BAh,08Ch,05Bh,061h,05Fh,060h,060h,05Fh,062h,05Dh
db 077h,0B8h,0A4h,065h,060h,061h,060h,062h,062h,062h,062h,063h,063h,064h,063h,064h
db 065h,064h,065h,064h,066h,065h,066h,065h,067h,066h,067h,066h,069h,066h,06Ah,064h
db 0A1h,0BEh,0B6h,0BAh,0B6h,0B8h,0B6h,0B7h,0B4h,0B7h,0B2h,0B9h,090h,059h,071h,0ABh
db 0B7h,06Ch,063h,05Ch,080h,0B9h,0B0h,0B5h,0AEh,06Ch,05Fh,062h,062h,05Fh,071h,0B7h
db 0AAh,06Bh,05Ch,08Fh,0BFh,08Bh,05Dh,064h,061h,062h,063h,05Fh,089h,0C1h,090h,060h
db 063h,062h,063h,062h,063h,063h,065h,061h,070h,0B5h,0B4h,0B7h,0B1h,0BAh,086h,058h
db 076h,0B4h,0ACh,069h,05Eh,08Eh,0C1h,08Ah,05Fh,062h,062h,061h,065h,061h,066h,05Eh
db 07Dh,0BBh,0A5h,064h,065h,061h,068h,05Dh,081h,0BAh,0B3h,0B5h,0B0h,06Ch,062h,05Fh
db 080h,0C0h,099h,066h,0ADh,0B3h,0B4h,0AFh,0B8h,08Dh,059h,064h,05Eh,063h,060h,063h
db 061h,063h,062h,063h,063h,064h,064h,064h,065h,063h,067h,061h,077h,0B8h,0B4h,0B7h
db 0B4h,0B5h,0B4h,0B4h,0B3h,0B2h,0B3h,0B1h,0B3h,0AFh,0B3h,0ADh,0B6h,08Dh,058h,062h
db 05Ch,060h,05Eh,060h,05Fh,061h,060h,060h,061h,060h,063h,060h,065h,05Dh,081h,0BAh
db 0B0h,0B6h,0B0h,0B2h,071h,059h,085h,0B7h,0B0h,0A5h,05Ah,066h,059h,069h,054h,088h
db 098h,05Ah,064h,05Fh,063h,060h,063h,062h,063h,063h,063h,064h,063h,065h,063h,067h
db 05Fh,080h,0BCh,0B2h,0B8h,0B3h,0B6h,0B2h,0B5h,0B2h,0B3h,0B1h,0B3h,0B1h,0AFh,069h
db 05Eh,060h,060h,060h,061h,060h,062h,061h,063h,062h,064h,061h,064h,060h,06Dh,0B1h
db 0B3h,071h,05Ch,088h,0C1h,094h,061h,062h,065h,05Fh,098h,0BBh,0B0h,0B6h,0B0h,0B6h
db 0A9h,068h,05Fh,062h,060h,063h,05Fh,06Fh,0B3h,0B1h,0B5h,0AFh,0B7h,081h,05Ah,064h
db 05Eh,063h,05Fh,063h,060h,064h,060h,065h,05Fh,06Fh,0AFh,0B7h,0B1h,0B9h,080h,05Bh
db 066h,05Fh,064h,060h,065h,061h,067h,05Dh,081h,0BEh,09Fh,062h,066h,061h,068h,05Eh
db 088h,0BCh,0B1h,0B9h,0AAh,069h,061h,064h,063h,065h,063h,065h,064h,065h,065h,066h
db 065h,066h,066h,066h,066h,067h,069h,0ACh,0BBh,0B6h,0B9h,0B5h,0B7h,0B4h,0B7h,0B2h
db 0B7h,0B0h,0BAh,080h,05Ch,065h,060h,064h,061h,063h,062h,064h,063h,065h,062h,071h
db 0B6h,0B3h,0B8h,074h,062h,061h,07Bh,0BEh,0A3h,067h,062h,065h,063h,065h,064h,066h
db 063h,06Ch,0AFh,0B8h,0B5h,0B6h,0B5h,0B3h,0B7h,0A2h,05Eh,066h,05Eh,067h,05Ch,085h
db 0BDh,09Ch,05Eh,067h,05Eh,09Fh,0B8h,0B3h,0B2h,0B6h,0A0h,05Fh,064h,05Eh,065h,05Dh
db 082h,0BFh,098h,061h,064h,0A4h,0B8h,07Eh,055h,080h,09Fh,05Bh,067h,05Eh,067h,05Bh
db 088h,0BEh,096h,05Dh,069h,0A5h,0BAh,076h,05Fh,063h,062h,061h,069h,0A9h,06Eh,060h
db 065h,062h,064h,063h,065h,064h,066h,065h,065h,066h,063h,07Dh,0C1h,0A2h,06Bh,060h
db 0A1h,0B9h,0B6h,0B4h,0B9h,0A2h,062h,064h,09Fh,0BDh,080h,059h,07Bh,0B5h,0B3h,0B3h
db 0B3h,074h,05Dh,065h,060h,063h,061h,063h,063h,062h,094h,0C2h,085h,05Fh,065h,063h
db 065h,0A4h,0BCh,07Eh,05Ah,07Eh,0BBh,0A4h,065h,063h,064h,063h,064h,064h,065h,063h
db 06Ch,0AEh,0B9h,0B2h,0BBh,085h,05Ch,068h,060h,068h,061h,068h,05Eh,091h,0BCh,0B3h
db 0B7h,0B4h,0AEh,067h,063h,062h,064h,063h,063h,06Fh,0B9h,0ABh,074h,057h,097h,08Fh
db 05Bh,069h,061h,067h,062h,066h,064h,067h,065h,067h,065h,067h,068h,0A9h,0BCh,0B4h
db 0BAh,0B3h,0BCh,0A0h,064h,064h,0A3h,0B8h,0B7h,08Ch,059h,06Ah,05Eh,06Ah,05Eh,06Bh
db 05Bh,08Fh,0BAh,0B4h,0B4h,0B6h,0B2h,0B6h,0AFh,0B9h,080h,05Bh,063h,060h,062h,063h
db 09Fh,0BFh,078h,07Ch,0BCh,0AEh,0ADh,05Ch,0A5h,077h,05Ch,063h,060h,062h,061h,062h
db 062h,063h,062h,063h,063h,064h,063h,065h,064h,066h,063h,068h,060h,083h,0BEh,0B1h
db 0BAh,0B1h,0B8h,070h,064h,05Fh,080h,0BAh,0B2h,0AFh,064h,066h,05Dh,08Ah,0BFh,094h
db 05Eh,067h,060h,066h,060h,069h,05Ch,080h,0B8h,0B5h,0ACh,068h,062h,066h,05Eh,082h
db 0BBh,0B1h,0B7h,0B2h,0B4h,0B2h,0B1h,0B6h,08Ch,057h,067h,05Ah,068h,059h,09Eh,0B2h
db 0B8h,08Eh,05Bh,063h,060h,062h,09Ah,0BCh,080h,058h,076h,0B3h,0B0h,0B0h,06Ah,05Fh
db 061h,060h,061h,061h,061h,064h,0A6h,0B7h,0AEh,0B8h,08Ah,057h,071h,0ACh,0B4h,0AEh
db 0B6h,07Ah,05Ah,061h,05Eh,061h,060h,060h,062h,05Dh,087h,0BFh,090h,05Dh,068h,0A8h
db 0B5h,074h,05Ch,064h,05Fh,063h,05Fh,066h,0A4h,0B9h,0ACh,0BAh,087h,05Bh,062h,060h
db 062h,0A1h,0BAh,07Dh,057h,07Ah,0B7h,0A3h,063h,05Fh,094h,0BFh,080h,05Dh,05Fh,068h
db 0ABh,0B4h,0AFh,0B3h,0ACh,0B7h,090h,059h,060h,05Eh,09Eh,0B5h,0AAh,0B7h,089h,059h
db 05Eh,05Eh,05Ch,062h,056h,08Eh,08Fh,053h,066h,05Ah,064h,09Ch,0BAh,0A9h,0BAh,08Ah
db 05Ah,060h,060h,0A5h,0B1h,0B2h,080h,052h,076h,0AFh,0A8h,060h,060h,05Ch,061h,05Ch
db 062h,05Bh,06Ah,0A8h,0B5h,0ABh,0B8h,080h,05Ah,060h,05Eh,060h,0A5h,0B1h,0B3h,080h
db 053h,075h,0B0h,0AFh,0ADh,067h,05Eh,059h,07Eh,0B6h,0AAh,0B2h,0AAh,0B1h,0A9h,0B3h
db 07Ch,056h,05Dh,064h,0AEh,0A8h,0B1h,06Bh,05Bh,057h,074h,0B0h,0ABh,0ADh,0ABh,069h
db 058h,058h,075h,0B4h,0A6h,0B0h,0A6h,0AFh,069h,057h,05Ah,05Ah,058h,063h,0A7h,0ABh
db 06Bh,052h,080h,0B7h,08Eh,058h,05Ch,05Ah,05Bh,05Bh,05Ch,05Bh,05Dh,05Ch,05Eh,05Dh
db 05Eh,05Dh,05Fh,05Eh,060h,05Ch,06Fh,0B2h,0A9h,066h,05Eh,05Ch,080h,0BEh,090h,05Fh
db 061h,0A6h,0B1h,0B1h,0ADh,0B4h,090h,057h,062h,05Bh,0A1h,0B1h,0AEh,0AFh,0AEh,0ADh
db 0ADh,0ADh,0A8h,066h,058h,05Dh,05Ah,05Dh,05Bh,05Eh,05Bh,05Fh,05Bh,061h,059h,080h
db 0BAh,096h,05Bh,060h,09Eh,0B6h,0A9h,0B7h,086h,058h,05Eh,05Fh,0A3h,0B2h,0AAh,0B4h
db 083h,053h,06Bh,0AAh,0A9h,066h,059h,05Eh,05Ah,05Fh,059h,068h,0A8h,0B2h,0A9h,0B4h
db 07Bh,057h,05Eh,05Bh,061h,0A8h,0ACh,0B2h,076h,057h,05Fh,05Ch,05Dh,05Eh,05Ch,061h
db 058h,08Ah,0B5h,0ACh,0B0h,0AEh,0AEh,0ADh,068h,05Ch,058h,07Bh,0B4h,0AAh,0B0h,0A8h
db 065h,05Bh,059h,07Ch,0B9h,092h,05Ah,05Dh,059h,095h,0B4h,0A7h,0B3h,090h,056h,060h
db 057h,061h,054h,08Ah,0B1h,0AFh,097h,057h,05Eh,05Bh,05Bh,088h,0BBh,084h,057h,067h
db 0A8h,0AFh,0ABh,0B1h,07Bh,054h,060h,057h,065h,0A3h,0B1h,0A8h,0B3h,07Fh,054h,05Fh
db 058h,05Fh,058h,062h,054h,08Bh,0B1h,0B0h,098h,056h,061h,058h,096h,0B6h,080h,053h
db 070h,0AEh,0ACh,0AEh,0AAh,0B1h,07Ah,054h,05Eh,058h,063h,0A5h,0ADh,0AEh,079h,04Fh
db 078h,0B1h,09Dh,05Bh,05Ch,059h,05Fh,056h,07Bh,0B4h,0A8h,0B0h,0A8h,0AFh,068h,05Ah
db 056h,075h,0B1h,0A9h,0ADh,0A8h,068h,055h,05Dh,059h,05Ch,059h,05Ch,05Ch,09Fh,0B1h
db 0AAh,0AEh,0A8h,0B0h,096h,058h,05Ah,05Ah,056h,084h,0B5h,0A4h,0B2h,098h,05Ch,057h
db 05Dh,054h,080h,0B7h,08Ch,055h,060h,09Fh,0B1h,0A6h,0B2h,080h,053h,05Dh,057h,05Ch
db 057h,095h,0B2h,0A6h,0B2h,08Ch,055h,05Ch,058h,099h,0B0h,0A6h,0B1h,088h,052h,062h
db 0A2h,0ACh,0ABh,074h,050h,05Fh,052h,068h,0A3h,0AFh,0A5h,0B1h,074h,053h,05Ah,058h
db 05Fh,0A6h,0A9h,0ADh,0A5h,0B2h,080h,063h,0AFh,09Eh,05Eh,056h,054h,07Fh,0B3h,0A1h
db 0AFh,099h,05Ch,054h,05Ah,054h,05Ch,052h,06Ch,0A9h,0AAh,0A8h,0ABh,06Ch,052h,05Bh
db 053h,067h,0A9h,0A9h,0ABh,0A7h,0ABh,0A4h,0AEh,088h,05Bh,0A8h,0A3h,0ABh,0A2h,0AEh
db 07Bh,04Eh,058h,053h,058h,053h,05Ah,050h,080h,0AFh,0A4h,0ACh,09Ah,058h,057h,052h
db 082h,0B1h,0A1h,0AFh,093h,057h,054h,058h,054h,059h,055h,05Ah,054h,062h,0A2h,0ACh
db 0A6h,077h,047h,080h,090h,055h,057h,05Bh,053h,08Dh,0ADh,0ADh,08Dh,052h,05Bh,058h
db 058h,08Eh,0B3h,0A3h,0B2h,08Eh,05Ch,0A7h,0A6h,0AEh,06Eh,054h,056h,06Ah,0ACh,0A7h
db 0AAh,0A9h,0A6h,0ACh,07Eh,04Eh,05Bh,053h,05Ch,098h,0AFh,0A2h,0B0h,080h,050h,059h
db 054h,05Ah,054h,05Ch,051h,080h,0AEh,0A9h,09Bh,054h,05Ch,054h,05Dh,051h,07Ch,0B0h
db 0A7h,0ADh,0A2h,061h,055h,05Ah,056h,05Ch,055h,068h,0A6h,0ADh,0A7h,0B0h,074h,054h
db 05Bh,058h,05Ah,05Dh,09Eh,0AFh,0A6h,0B2h,080h,053h,05Ch,057h,05Ch,057h,092h,0B3h
db 0A5h,0B4h,08Dh,058h,059h,05Ch,055h,08Fh,0B0h,0A9h,0ABh,0ADh,09Ch,05Ah,059h,05Ah
db 058h,05Ch,055h,070h,0ADh,0ABh,0AAh,0ACh,0A7h,0B1h,07Dh,053h,059h,061h,0A6h,0ABh
db 0A8h,0AFh,078h,052h,05Ch,057h,059h,05Ah,058h,05Dh,054h,081h,0B1h,0ABh,09Bh,055h
db 05Dh,058h,05Ch,05Bh,059h,073h,0B3h,0A8h,0B0h,0A6h,06Ch,053h,062h,053h,074h,0ADh
db 0ADh,0ABh,0ADh,06Ah,058h,058h,071h,0B6h,098h,060h,056h,096h,0B0h,0ABh,0ABh,0AEh
db 098h,057h,05Bh,059h,057h,082h,0B6h,0A3h,0B3h,097h,05Eh,055h,05Fh,051h,084h,0AFh
db 0ADh,099h,056h,05Ch,094h,0B5h,076h,055h,05Ch,057h,062h,0A3h,0AEh,0A7h,0B1h,07Eh
db 052h,05Eh,056h,060h,09Eh,0B1h,0A5h,0B2h,080h,051h,069h,0A9h,0A5h,063h,055h,05Dh
db 053h,075h,0AFh,0A9h,0ACh,0A7h,067h,054h,05Ch,057h,05Ch,058h,05Dh,059h,0A1h,0ACh
db 0B0h,080h,052h,05Fh,057h,062h,09Fh,0B2h,0A6h,0B4h,080h,055h,05Ch,059h,05Dh,09Ch
db 0B1h,0A7h,0B3h,085h,052h,05Fh,056h,05Fh,055h,093h,0B2h,0A9h,0B1h,095h,054h,060h
db 054h,09Ah,0ABh,0B1h,085h,053h,05Dh,059h,05Bh,05Bh,05Ah,05Fh,057h,078h,0B2h,0ACh
db 0A8h,05Fh,05Ch,05Bh,05Dh,05Dh,05Bh,06Bh,0B0h,0ABh,0B1h,0A9h,0B4h,07Eh,055h,060h
db 058h,064h,0A1h,0B3h,0A8h,0B5h,080h,057h,05Dh,062h,0A8h,0AEh,0ABh,0ADh,0AAh,0ADh
db 0A9h,0AFh,09Dh,05Ch,057h,05Ch,053h,080h,0B2h,0A7h,0AEh,0A0h,05Eh,059h,058h,05Ch
db 055h,072h,0B0h,0A9h,0ACh,0A8h,06Ah,054h,05Ch,057h,05Dh,057h,061h,0A1h,0B0h,0A7h
db 0B2h,07Fh,053h,05Eh,057h,05Fh,09Dh,0B2h,0A5h,0B3h,081h,053h,066h,0A9h,0A9h,0ADh
db 06Bh,057h,056h,06Fh,0B2h,09Bh,05Ch,059h,059h,05Bh,05Ah,05Ch,059h,068h,0ABh,0ACh
db 0ADh,06Fh,055h,060h,055h,06Fh,0AAh,0B0h,0A9h,0B3h,06Ch,07Bh,0B9h,08Eh,057h,05Dh
db 057h,099h,0AFh,0ABh,0AAh,0AFh,095h,057h,05Ah,05Bh,055h,087h,0B3h,0A7h,0AEh,0A8h
db 0ABh,0A6h,063h,057h,055h,079h,0B3h,0A4h,0AFh,09Fh,062h,053h,05Bh,055h,05Ch,057h
db 05Ch,05Ch,0A7h,0A8h,0B0h,074h,055h,05Ch,059h,05Bh,05Ah,05Dh,058h,08Dh,0B5h,0A5h
db 0B4h,092h,05Ah,058h,05Eh,054h,08Ch,0B2h,0AAh,0ACh,0ADh,0A1h,05Dh,058h,05Dh,055h
db 07Dh,0B3h,0A7h,0AFh,0A8h,0ABh,066h,057h,05Ah,059h,05Bh,059h,062h,0A4h,0AFh,0A8h
db 0B1h,07Fh,052h,05Eh,056h,061h,09Eh,0B2h,0A6h,0B4h,080h,054h,05Ch,059h,05Bh,05Ch
db 058h,089h,0B6h,0A5h,0B5h,095h,05Dh,058h,05Eh,054h,087h,0B2h,0A9h,0AFh,09Eh,058h
db 05Fh,053h,08Dh,0AEh,0AEh,091h,054h,05Eh,057h,05Dh,05Ah,05Ch,05Ch,05Ah,06Dh,0B1h
db 0AAh,0AEh,066h,05Ah,05Ch,05Ch,05Dh,05Ch,05Eh,05Fh,0A2h,0B1h,0B2h,080h,054h,064h
db 058h,067h,0A0h,0B7h,0A7h,0B8h,080h,05Ah,05Dh,05Fh,05Ch,0A4h,0ADh,0B4h,07Fh,058h
db 05Dh,066h,0ACh,0B0h,0ACh,0B2h,07Ah,057h,05Dh,067h,0B0h,0ABh,0AFh,0ADh,078h,052h
db 062h,056h,062h,057h,064h,055h,099h,0AEh,0B4h,08Bh,057h,05Fh,05Ch,05Dh,060h,059h
db 085h,0B8h,0A9h,0B5h,09Fh,062h,05Bh,061h,058h,080h,0B7h,0AAh,0B4h,0A3h,065h,058h
db 062h,056h,080h,0B3h,0ADh,0AFh,0AEh,0ACh,0AFh,075h,055h,060h,057h,06Ah,0A9h,0AFh
db 0ABh,0B1h,079h,054h,060h,058h,060h,05Bh,0A6h,0ABh,0B3h,07Ch,056h,05Eh,05Ch,05Ch
db 05Eh,05Ch,061h,056h,084h,0B4h,0AFh,0A0h,05Bh,05Fh,05Eh,05Bh,085h,0B9h,0A8h,0B4h
db 0AAh,0ADh,05Eh,062h,054h,085h,0B1h,0B0h,09Dh,05Ah,05Eh,05Bh,05Eh,05Dh,05Eh,05Dh
db 05Fh,05Eh,05Fh,05Fh,060h,05Fh,060h,060h,061h,060h,062h,063h,0AAh,0B3h,0B6h,080h
db 059h,067h,05Ch,06Ch,0A7h,0B9h,0ACh,0BBh,080h,05Dh,060h,06Ah,0ADh,0B4h,0AEh,0B6h
db 07Fh,059h,063h,05Dh,061h,061h,0A3h,0B6h,0ADh,0B8h,08Ah,059h,062h,061h,0A7h,0B3h
db 0AEh,0B5h,086h,056h,064h,05Ah,064h,05Bh,066h,057h,08Ah,0B5h,0B2h,0A0h,05Bh,064h
db 05Ch,065h,059h,082h,0B8h,0ADh,0B5h,0A7h,067h,05Ch,063h,05Ah,080h,0B8h,0ADh,0B4h
db 0A9h,06Bh,05Ah,064h,058h,07Ch,0B4h,0B0h,0B0h,0B1h,0ADh,0B4h,07Ch,056h,062h,05Ah
db 064h,0A3h,0B4h,0AAh,0B6h,082h,056h,062h,059h,062h,058h,09Ch,0B1h,0B3h,08Ah,055h
db 063h,059h,063h,058h,097h,0B4h,0ADh,0B0h,0AEh,0AFh,0A6h,060h,05Fh,057h,084h,0B6h
db 0A9h,0B1h,0AAh,0ACh,05Fh,05Fh,054h,080h,0B1h,0ADh,09Fh,059h,05Dh,05Ah,05Dh,05Bh
db 05Dh,05Dh,05Ch,064h,0A9h,0AFh,06Eh,059h,060h,05Ch,05Eh,067h,0B0h,0ADh,0B3h,0AAh
db 0B6h,080h,057h,05Fh,05Ch,061h,0A1h,0B3h,0ACh,0B0h,0ABh,0B2h,099h,058h,060h,057h
db 094h,0B4h,0A9h,0B3h,093h,056h,05Eh,058h,05Fh,058h,061h,056h,076h,0B0h,0ADh,0ADh
db 0AEh,06Ah,05Bh,059h,078h,0B3h,0AAh,0A8h,05Dh,05Eh,059h,05Fh,05Ah,060h,059h,068h
db 0A7h,0B2h,0AAh,0B5h,07Dh,057h,05Fh,05Bh,05Eh,05Eh,09Eh,0B4h,0AAh,0B5h,089h,056h
db 061h,059h,060h,058h,090h,0B6h,0A8h,0B5h,096h,05Ch,05Ch,05Eh,058h,08Bh,0B6h,0AAh
db 0B1h,0A9h,0B0h,0A6h,069h,055h,061h,054h,077h,0AFh,0ADh,0ACh,0ACh,068h,058h,05Ch
db 05Ch,05Ah,068h,0ACh,0ADh,0ACh,0AFh,078h,053h,061h,056h,068h,0A5h,0B1h,0A8h,0B3h
db 07Ah,055h,05Eh,05Ah,05Dh,05Dh,09Eh,0B2h,0A8h,0B3h,087h,054h,05Fh,05Bh,0A4h,0ADh
db 0AEh,0A9h,0B1h,08Ch,053h,05Eh,056h,05Fh,055h,08Ch,0B3h,0A8h,0B1h,099h,058h,05Dh
db 058h,05Eh,055h,07Fh,0B3h,0A8h,0B1h,0A2h,063h,056h,060h,054h,07Ch,0B1h,0AAh,0ACh
db 0ABh,0AAh,0ADh,075h,052h,05Fh,054h,067h,0A4h,0AFh,0A7h,0B1h,077h,054h,05Ch,059h
db 05Ah,05Ch,059h,095h,0B2h,0A9h,0ADh,0ACh,09Bh,053h,060h,051h,094h,0ACh,0AFh,08Ah
db 052h,05Eh,056h,05Dh,058h,05Fh,054h,07Bh,0B2h,0A8h,0B0h,0A4h,066h,055h,060h,053h
db 078h,0B0h,0ABh,0ACh,0A9h,066h,058h,05Bh,05Bh,058h,069h,0ACh,0ACh,0ACh,0AEh,076h
db 053h,060h,055h,069h,0A7h,0AFh,0A9h,0AEh,0A6h,0B2h,086h,054h,05Bh,059h,059h,093h
db 0B3h,0A5h,0B2h,08Bh,054h,05Ch,057h,05Dh,054h,087h,0B3h,0A5h,0B2h,097h,05Bh,057h
db 05Dh,054h,082h,0B3h,0A6h,0AFh,09Ch,05Bh,059h,059h,05Ch,056h,075h,0B3h,0A6h,0B0h
db 0A6h,0B0h,069h,059h,055h,071h,0AFh,0A8h,0ADh,0A8h,0ADh,071h,051h,05Dh,053h,067h
db 0A5h,0ADh,0A6h,0AFh,073h,053h,05Ah,057h,059h,05Ch,09Dh,0B0h,0A5h,0B2h,080h,053h
db 05Bh,058h,05Ah,09Ah,0AEh,0A9h,0A9h,0ADh,090h,052h,05Bh,057h,057h,089h,0B4h,0A2h
db 0B3h,08Fh,058h,056h,05Ah,056h,05Ch,053h,076h,0B3h,097h,05Ah,05Ah,094h,0B3h,0A4h
db 0B3h,088h,055h,05Ah,059h,098h,0B1h,0A4h,0B2h,083h,054h,059h,058h,058h,05Ch,054h
db 084h,0B2h,0A7h,0AFh,09Ch,059h,05Ah,057h,05Dh,053h,079h,0B0h,0A9h,0ADh,0A6h,064h
db 057h,05Ah,05Bh,057h,06Bh,0ACh,0ABh,0ABh,0ADh,072h,053h,05Fh,055h,068h,0AAh,0ABh
db 0ACh,0A8h,0B0h,07Eh,051h,05Eh,056h,060h,09Ch,0B2h,0A5h,0B3h,080h,053h,05Ch,056h
db 05Ch,057h,093h,0B1h,0A6h,0B2h,08Eh,054h,05Ch,056h,05Eh,053h,086h,0B2h,0A7h,0B0h
db 09Bh,05Ah,05Ah,058h,05Ch,055h,079h,0B3h,0A7h,0B0h,0A6h,0AFh,067h,059h,055h,074h
db 0B0h,0A9h,0ACh,0A7h,067h,054h,05Bh,058h,059h,065h,0ADh,0A7h,0AFh,068h,058h,059h
db 05Ch,057h,066h,0A6h,0AFh,0A8h,0B1h,078h,054h,05Ch,058h,061h,0A5h,0ABh,0ADh,0A8h
db 0B1h,084h,053h,05Dh,057h,05Ch,096h,0B3h,0A4h,0B3h,087h,054h,05Ch,057h,05Ah,059h
db 05Ch,05Ah,05Ch,05Bh,05Dh,061h,0AAh,0AAh,0B3h,072h,059h,05Ah,06Dh,0B0h,0ABh,0ADh
db 0ADh,071h,055h,05Fh,058h,05Eh,05Ah,061h,09Dh,0B4h,0A7h,0B5h,084h,055h,05Eh,059h
db 05Fh,059h,093h,0B5h,0A8h,0B4h,093h,058h,05Eh,05Ah,05Fh,057h,084h,0B7h,0A8h,0B4h
db 09Dh,061h,059h,060h,055h,081h,0B3h,0ABh,0AFh,0ACh,0AAh,067h,057h,05Eh,056h,074h
db 0B1h,0AAh,0AEh,0AAh,06Ch,055h,060h,055h,071h,0AEh,0ACh,0ACh,0ACh,070h,054h,060h
db 055h,06Dh,0AAh,0AEh,0AAh,0B0h,072h,054h,05Eh,057h,067h,0ABh,0ABh,0AEh,0A8h,0B2h
db 07Fh,054h,05Ch,060h,0A8h,0ABh,0AAh,0AEh,07Dh,050h,060h,054h,060h,055h,0A1h,0A9h
db 0B2h,07Fh,054h,05Dh,059h,05Ch,05Ah,096h,0B4h,0A6h,0B5h,089h,057h,05Ah,05Dh,057h
db 094h,0B1h,0ABh,0ABh,0AEh,099h,059h,05Ah,05Bh,056h,082h,0B5h,0A5h,0B2h,09Ah,05Dh
db 058h,05Bh,059h,05Ch,059h,05Dh,05Ah,05Eh,05Ah,05Fh,057h,08Ch,0B6h,0A8h,0B3h,099h
db 05Ah,05Eh,059h,08Fh,0B6h,0A6h,0B5h,093h,05Ah,05Bh,05Eh,05Ah,060h,056h,07Ch,0B2h
db 0ABh,0AFh,0A8h,065h,05Bh,05Bh,05Eh,058h,06Eh,0AEh,0AEh,0ACh,0B0h,072h,057h,05Fh
db 05Ch,05Dh,063h,0A7h,0B1h,0ABh,0B3h,080h,055h,060h,059h,062h,0A2h,0B1h,0ACh,0ADh
db 0B0h,08Eh,052h,062h,055h,062h,054h,090h,0B3h,0AAh,0B1h,09Bh,058h,060h,057h,061h
db 054h,080h,0B3h,0ABh,0AFh,0A5h,060h,05Bh,05Ah,05Fh,058h,073h,0B1h,0ACh,0AFh,0ABh
db 06Eh,055h,061h,056h,071h,0AEh,0ADh,0ACh,0AEh,0AAh,0B1h,080h,053h,060h,057h,061h
db 09Bh,0B5h,0A4h,0B6h,080h,058h,05Ah,05Ch,058h,09Eh,0ACh,0B1h,080h,054h,05Fh,059h
db 05Eh,059h,097h,0B4h,0A6h,0B5h,08Ch,058h,05Bh,05Dh,057h,093h,0B1h,0ABh,0ACh,0AFh
db 09Bh,05Ah,05Ah,05Ch,056h,082h,0B3h,0A8h,0AEh,0AAh,0ACh,0A9h,06Ah,054h,05Ch,058h
db 05Bh,05Ah,05Bh,05Bh,05Bh,05Eh,057h,080h,0B5h,0A9h,0B2h,0A2h,060h,05Bh,058h,082h
db 0B6h,0A5h,0B4h,09Bh,060h,058h,05Eh,058h,05Fh,056h,072h,0AEh,0ADh,0ACh,0ADh,06Fh
db 055h,060h,057h,06Eh,0ACh,0AEh,0ACh,0AEh,073h,055h,05Fh,058h,05Eh,05Eh,0A9h,0ABh
db 0B0h,0A7h,0B4h,086h,056h,05Ch,05Bh,05Ah,099h,0B1h,0AAh,0ABh,0AEh,097h,054h,05Fh
db 056h,060h,053h,082h,0B3h,0A8h,0B0h,09Fh,05Fh,058h,05Eh,055h,07Eh,0B3h,0A7h,0B0h
db 0A2h,063h,056h,05Eh,054h,079h,0B1h,0A8h,0AEh,0A5h,066h,055h,05Fh,053h,076h,0AFh
db 0AAh,0ADh,0A9h,0ADh,070h,052h,05Eh,054h,06Ah,0A7h,0AEh,0A8h,0B0h,072h,054h,05Ch
db 057h,063h,0A9h,0A9h,0AFh,06Eh,056h,05Bh,05Bh,059h,062h,0A3h,0B0h,0A7h,0B3h,07Ch
db 055h,05Ch,05Ah,05Dh,0A3h,0ACh,0ADh,0A8h,0B1h,089h,054h,05Bh,059h,058h,094h,0B0h
db 0A9h,0AAh,0ADh,097h,056h,05Ah,05Ah,055h,083h,0B3h,0A4h,0B1h,098h,05Ah,059h,058h
db 05Ch,054h,079h,0B2h,0A7h,0AEh,0A4h,062h,058h,056h,07Bh,0B4h,0A3h,0B1h,09Dh,062h
db 053h,05Dh,054h,05Fh,053h,06Ch,0A7h,0AFh,0A7h,0B0h,070h,056h,05Ah,05Ah,059h,060h
db 0A0h,0B1h,0A6h,0B3h,080h,054h,05Ch,058h,05Ch,059h,094h,0B4h,0A5h,0B5h,08Ah,058h
db 059h,05Ch,056h,092h,0B0h,0AAh,0AAh,0AEh,09Ah,059h,059h,05Bh,055h,081h,0B3h,0A6h
db 0AFh,09Dh,05Bh,059h,058h,05Dh,054h,077h,0B0h,0A9h,0ADh,0A7h,065h,057h,05Ah,05Ah
db 058h,069h,0ACh,0ABh,0ABh,0ADh,073h,052h,05Eh,055h,067h,0A8h,0ACh,0ACh,0A8h,0B0h
db 080h,051h,05Eh,056h,060h,09Bh,0B2h,0A4h,0B4h,080h,054h,05Bh,059h,05Bh,09Ah,0B1h
db 0A6h,0B1h,086h,053h,05Dh,056h,05Dh,054h,08Eh,0B2h,0A6h,0B1h,094h,056h,05Bh,057h
db 05Dh,054h,080h,0B3h,0A6h,0B0h,09Eh,060h,056h,05Eh,052h,07Eh,0B1h,0A9h,0ACh,0AAh
db 0A9h,067h,054h,05Dh,054h,06Fh,0ACh,0AAh,0A7h,063h,056h,05Bh,058h,05Ch,057h,066h
db 0A6h,0B0h,0A8h,0B2h,079h,056h,05Ah,066h,0ABh,0ABh,0AAh,0AEh,076h,052h,05Eh,056h
db 05Dh,059h,05Dh,095h,0B5h,0A4h,0B6h,088h,057h,05Ah,05Ch,058h,094h,0B2h,0A7h,0B2h
db 08Fh,054h,05Eh,057h,060h,053h,087h,0B2h,0A9h,0ADh,0ABh,0A8h,063h,057h,05Ch,055h
db 074h,0B1h,0A7h,0AFh,0A6h,0AFh,06Dh,056h,05Ah,05Ah,059h,061h,0A4h,0AEh,0A8h,0B1h
db 07Eh,051h,05Eh,056h,061h,09Eh,0B1h,0A5h,0B3h,080h,054h,05Ch,058h,05Bh,058h,094h
db 0B3h,0A5h,0B4h,08Bh,057h,05Ah,05Bh,056h,090h,0B1h,0A9h,0ACh,0ADh,09Ch,058h,05Ah
db 059h,056h,080h,0B6h,0A3h,0B2h,09Ah,060h,054h,05Fh,051h,080h,0B0h,0A9h,0ACh,0A3h
db 05Dh,05Ah,057h,05Dh,054h,072h,0ADh,0ABh,0AAh,0ABh,069h,056h,05Ah,05Ah,058h,065h
db 0A8h,0ADh,0A9h,0B0h,078h,053h,05Eh,056h,063h,0A5h,0ADh,0ABh,0AAh,0AEh,084h,050h
db 05Fh,054h,05Eh,054h,093h,0B0h,0A8h,0B0h,092h,053h,05Eh,055h,05Eh,056h,060h,053h
db 076h,0ADh,0ADh,0AAh,0ADh,067h,05Ah,056h,076h,0B1h,0A8h,0AEh,0A6h,067h,056h,05Dh
db 058h,05Dh,058h,065h,0A6h,0AFh,0A9h,0B1h,07Ch,053h,05Fh,056h,063h,0A0h,0B2h,0A5h
db 0B5h,07Eh,056h,05Bh,05Bh,05Dh,0A1h,0ADh,0ADh,0A8h,0B2h,08Bh,055h,05Bh,05Ah,058h
db 092h,0B2h,0A8h,0ACh,0ACh,09Bh,055h,05Dh,055h,05Eh,052h,07Dh,0B1h,0A8h,0AFh,0A2h
db 063h,055h,05Eh,052h,079h,0B0h,0A9h,0ACh,0A7h,063h,058h,059h,05Bh,057h,06Bh,0ACh
db 0ABh,0AAh,0ADh,071h,053h,05Dh,055h,067h,0AAh,0ABh,0ACh,0A8h,0B0h,07Eh,051h,05Dh
db 056h,05Ch,058h,098h,0B1h,0A7h,0B2h,089h,053h,05Ch,058h,059h,090h,0B3h,0A4h,0B3h
db 08Dh,056h,05Bh,058h,05Ch,055h,084h,0B4h,0A5h,0B2h,099h,05Dh,057h,05Dh,053h,081h
db 0B3h,0A6h,0B0h,09Eh,05Eh,057h,05Dh,054h,07Eh,0B3h,0A6h,0B0h,0A0h,063h,054h,05Eh
db 052h,07Bh,0AFh,0A9h,0ACh,0A6h,062h,057h,059h,05Ah,05Ah,05Bh,05Ah,060h,0A0h,0B1h
db 0A7h,0B3h,080h,055h,05Bh,060h,0A6h,0AEh,0A9h,0B0h,07Dh,052h,05Eh,057h,05Ch,05Bh
db 059h,08Fh,0B6h,0A5h,0B4h,091h,058h,05Ch,059h,05Dh,056h,080h,0B6h,0A5h,0B3h,09Ch
db 061h,056h,060h,052h,080h,0B1h,0ABh,0ACh,0ACh,0A8h,067h,055h,05Fh,054h,074h,0AEh
db 0ABh,0ABh,0ABh,069h,057h,05Bh,05Bh,058h,066h,0A8h,0AEh,0A9h,0B0h,077h,053h,05Eh
db 058h,05Ch,05Ch,09Fh,0B0h,0A8h,0B2h,084h,053h,05Eh,057h,05Fh,057h,092h,0B3h,0A7h
db 0B4h,090h,058h,05Bh,05Ch,057h,08Dh,0B3h,0A9h,0ADh,0ACh,0A0h,05Ah,05Bh,05Ah,057h
db 07Eh,0B6h,0A4h,0B3h,09Dh,063h,053h,060h,051h,07Fh,0AFh,0ABh,0ACh,0A6h,05Fh,05Bh
db 057h,05Dh,054h,070h,0ADh,0ACh,0AAh,0AEh,06Ch,056h,05Bh,05Bh,059h,064h,0A6h,0AFh
db 0A8h,0B2h,07Bh,054h,05Dh,059h,060h,0A4h,0ADh,0ACh,0A9h,0B1h,086h,053h,05Dh,058h
db 05Bh,094h,0B3h,0A5h,0B3h,08Ah,055h,05Ch,058h,05Ch,059h,05Dh,059h,05Fh,057h,06Bh
db 0AAh,0B0h,0AAh,0B2h,075h,057h,05Ah,06Bh,0AEh,0ABh,0ACh,0AEh,073h,054h,05Fh,058h
db 05Eh,05Ah,05Fh,09Bh,0B4h,0A7h,0B5h,085h,056h,05Eh,05Bh,05Dh,097h,0B5h,0A6h,0B6h
db 089h,058h,05Bh,05Dh,058h,096h,0B1h,0ABh,0ACh,0AFh,099h,059h,05Bh,05Bh,057h,085h
db 0B5h,0A6h,0B2h,09Ah,05Ch,05Ah,05Ah,05Dh,056h,079h,0B4h,0A7h,0B1h,0A4h,067h,054h
db 060h,053h,078h,0AFh,0ABh,0ADh,0A9h,068h,055h,05Eh,055h,072h,0AFh,0AAh,0ADh,0AAh
db 06Eh,053h,060h,054h,06Fh,0ABh,0ADh,0A9h,0AFh,06Eh,056h,05Ch,05Ah,05Ah,062h,0A6h
db 0AEh,0A9h,0B1h,07Eh,052h,05Fh,057h,062h,09Fh,0B2h,0A6h,0B4h,080h,054h,05Dh,059h
db 05Dh,059h,095h,0B3h,0A7h,0B3h,08Dh,055h,05Dh,058h,05Eh,056h,087h,0B5h,0A5h,0B4h
db 098h,05Eh,058h,05Fh,054h,084h,0B2h,0AAh,0ADh,0ACh,0A6h,062h,057h,05Dh,054h,077h
db 0B1h,0A9h,0ADh,0A7h,066h,056h,05Ch,059h,05Ch,059h,063h,0A7h,0ADh,06Ch,056h,060h
db 055h,072h,0ADh,0AEh,0AAh,0B0h,06Dh,059h,058h,071h,0B1h,0A9h,0AEh,0AAh,06Bh,055h
db 05Dh,05Ah,05Ah,065h,0ABh,0ACh,0ACh,0AEh,07Ah,052h,061h,054h,067h,0A2h,0B2h,0A6h
db 0B4h,07Ah,056h,05Ch,05Ah,05Fh,0A5h,0ACh,0AEh,0A8h,0B2h,087h,054h,05Dh,058h,05Bh
db 094h,0B4h,0A5h,0B4h,08Bh,055h,05Ch,058h,05Dh,055h,088h,0B5h,0A6h,0B3h,097h,05Bh
db 058h,05Dh,055h,084h,0B3h,0A6h,0B1h,09Ch,05Dh,058h,05Dh,055h,080h,0B4h,0A6h,0B2h
db 09Eh,062h,055h,05Fh,053h,07Fh,0B1h,0A9h,0ADh,0A4h,060h,059h,059h,05Ch,056h,06Fh
db 0AFh,0AAh,0ACh,0ABh,06Eh,053h,060h,054h,06Dh,0ABh,0ACh,0AAh,0AEh,071h,054h,05Eh
db 058h,05Dh,05Dh,0A8h,0A9h,0B1h,075h,056h,05Dh,05Ah,05Bh,05Fh,0A1h,0B1h,0A8h,0B3h
db 081h,056h,05Dh,05Bh,05Dh,09Dh,0B0h,0ABh,0ACh,0AFh,092h,054h,05Eh,058h,05Bh,08Bh
db 0B7h,0A3h,0B6h,08Fh,05Ch,057h,05Fh,052h,08Eh,0AEh,0AFh,091h,055h,05Eh,059h,05Bh
db 05Dh,057h,07Dh,0B6h,0A7h,0B1h,0A8h,0AEh,063h,05Dh,054h,07Bh,0B1h,0A9h,0AEh,0A6h
db 064h,057h,05Ch,059h,05Dh,058h,066h,0A8h,0AEh,0AAh,0B1h,07Ah,053h,060h,056h,065h
db 0A2h,0B2h,0A6h,0B4h,07Ch,055h,05Ch,05Ah,05Eh,0A3h,0ADh,0ACh,0A9h,0B1h,08Ah,054h
db 05Dh,058h,05Ah,092h,0B4h,0A4h,0B4h,08Ch,055h,05Bh,058h,05Ch,056h,085h,0B5h,0A4h
db 0B3h,098h,05Dh,057h,05Eh,053h,082h,0B2h,0A8h,0AFh,09Fh,05Ch,05Ah,058h,05Dh,055h
db 076h,0B2h,0A9h,0AEh,0A7h,069h,054h,05Fh,054h,073h,0AEh,0ABh,0ACh,0ABh,06Bh,055h
db 05Eh,055h,06Dh,0ADh,0A9h,0AEh,0A8h,0AFh,077h,052h,05Eh,055h,064h,0A3h,0B0h,0A6h
db 0B2h,07Bh,053h,05Dh,057h,060h,0A0h,0AFh,0A7h,0B1h,080h,051h,05Fh,054h,05Fh,054h
db 09Ah,0ACh,0B0h,084h,052h,05Fh,057h,05Eh,056h,092h,0B3h,0A6h,0B3h,091h,057h,05Bh
db 05Bh,057h,08Bh,0B4h,0A5h,0B3h,093h,05Ah,059h,05Ch,056h,087h,0B5h,0A5h,0B3h,097h
db 05Bh,058h,05Ch,058h,05Eh,055h,074h,0B1h,0A0h,05Bh,05Eh,055h,08Ah,0B3h,0A9h,0B0h
db 09Ch,058h,05Fh,054h,091h,0AEh,0B0h,08Eh,054h,05Eh,058h,05Ch,05Ch,058h,080h,0B6h
db 0A6h,0B3h,09Fh,063h,056h,060h,054h,07Fh,0B3h,0A9h,0B0h,0A4h,064h,057h,05Fh,055h
db 07Ah,0B2h,0AAh,0AEh,0AAh,0ADh,06Dh,054h,05Eh,055h,06Dh,0ABh,0ADh,0AAh,0AFh,071h
db 055h,05Dh,059h,05Bh,060h,0A5h,0AFh,0A9h,0B1h,080h,052h,05Fh,056h,061h,09Dh,0B3h
db 0A5h,0B5h,080h,055h,05Ch,05Ah,05Ch,09Ch,0B2h,0A7h,0B3h,086h,054h,05Dh,058h,05Dh
db 094h,0B5h,0A3h,0B6h,087h,058h,059h,05Dh,056h,096h,0AFh,0ABh,0AAh,0AFh,098h,059h
db 059h,05Bh,055h,083h,0B4h,0A6h,0B1h,09Bh,05Ah,05Ah,058h,05Ch,054h,079h,0B2h,0A8h
db 0AEh,0A5h,064h,057h,05Bh,059h,059h,06Ah,0B0h,0A8h,0ADh,064h,05Ah,059h,05Dh,057h
db 06Ah,0AAh,0AEh,0AAh,0AFh,075h,054h,05Fh,056h,067h,0A6h,0AFh,0A9h,0B1h,07Ah,053h
db 05Fh,057h,064h,0A3h,0B1h,0A7h,0B3h,07Dh,054h,05Eh,058h,05Dh,05Ah,099h,0B5h,079h
db 055h,05Fh,058h,05Fh,05Bh,0A2h,0AEh,0AFh,0AAh,0B2h,090h,055h,05Fh,059h,09Bh,0B1h
db 0A8h,0B2h,08Bh,054h,05Eh,057h,05Fh,056h,08Dh,0B4h,0A7h,0B3h,097h,05Ah,05Ah,05Ch
db 057h,086h,0B5h,0A6h,0B4h,099h,05Eh,058h,05Eh,055h,083h,0B3h,0A8h,0AEh,0A9h,0A9h
db 060h,05Ah,058h,05Eh,056h,06Eh,0ADh,0ACh,0ABh,0ADh,06Fh,055h,05Dh,058h,05Ch,05Ah
db 05Fh,09Dh,0B3h,0A7h,0B4h,083h,055h,05Eh,059h,05Dh,098h,0B4h,0A6h,0B4h,088h,055h
db 05Eh,058h,05Eh,057h,08Dh,0B5h,0A6h,0B5h,094h,05Bh,059h,05Eh,055h,089h,0B3h,0A8h
db 0B1h,09Bh,05Ah,05Ch,058h,05Fh,054h,07Eh,0B2h,0A9h,0AEh,0AAh,0ABh,06Ah,055h,05Fh
db 055h,070h,0ADh,0ACh,0AAh,0AEh,072h,054h,05Dh,059h,05Bh,05Fh,0A4h,0AFh,0A9h,0B1h
db 080h,053h,05Fh,057h,05Eh,058h,098h,0B2h,0A8h,0B2h,08Dh,055h,05Eh,05Ah,05Bh,08Fh
db 0B6h,0A4h,0B6h,08Dh,05Bh,059h,05Eh,055h,090h,0B1h,0ABh,0ACh,0AEh,09Eh,05Bh,059h
db 05Bh,056h,080h,0B4h,0A5h,0B2h,09Eh,061h,055h,05Eh,053h,07Eh,0B2h,0A8h,0AEh,0A4h
db 061h,058h,05Bh,059h,05Bh,05Ah,05Ch,05Bh,05Eh,059h,095h,0B4h,0A8h,0B4h,091h,057h
db 05Eh,059h,099h,0B2h,0A8h,0B3h,08Ch,054h,05Fh,057h,05Fh,055h,08Bh,0B4h,0A8h,0B3h
db 098h,05Bh,05Bh,05Ch,057h,084h,0B6h,0A5h,0B4h,099h,05Fh,057h,05Fh,054h,082h,0B2h
db 0A9h,0AFh,0A1h,05Dh,05Bh,059h,05Eh,055h,077h,0B1h,0ABh,0ADh,0AAh,068h,057h,05Ch
db 05Bh,05Ah,068h,0ACh,0ACh,0ACh,0AEh,077h,053h,061h,055h,069h,0A5h,0B1h,0A8h,0B3h
db 078h,055h,05Dh,05Ah,05Ch,05Dh,09Eh,0B2h,0A7h,0B4h,085h,055h,05Eh,059h,05Dh,098h
db 0B5h,0A5h,0B5h,088h,056h,05Dh,059h,05Dh,058h,08Bh,0B6h,0A5h,0B4h,095h,05Ch,058h
db 05Fh,054h,089h,0B2h,0AAh,0ADh,0ADh,0A3h,060h,058h,05Dh,055h,07Bh,0B2h,0A8h,0AFh
db 0A5h,063h,057h,05Bh,05Bh,058h,06Ch,0B0h,0A9h,0ADh,064h,05Ah,05Ah,05Eh,058h,06Bh
db 0ACh,0AEh,0ACh,0AFh,075h,053h,061h,056h,06Ah,0A7h,0B1h,0A8h,0B3h,077h,056h,05Dh
db 059h,062h,0A8h,0ACh,0AEh,0A8h,0B3h,083h,055h,05Ch,05Ah,05Bh,09Ch,0AEh,0AFh,082h
db 051h,060h,056h,05Fh,058h,060h,059h,060h,05Ah,060h,05Bh,060h,05Dh,0A6h,0AFh,0B1h
db 0ABh,0B5h,08Eh,057h,05Fh,05Ch,09Eh,0B3h,0A9h,0B5h,089h,055h,060h,059h,060h,057h
db 090h,0B6h,0A9h,0B5h,096h,05Ah,05Ch,05Eh,059h,089h,0B7h,0A7h,0B5h,098h,05Dh,05Ah
db 05Fh,056h,086h,0B5h,0A9h,0B0h,0ABh,0A9h,05Fh,05Dh,059h,060h,056h,073h,0AEh,0ADh
db 0ACh,0AEh,06Eh,057h,05Dh,05Bh,05Bh,064h,0A9h,0AFh,0ABh,0B1h,07Dh,053h,061h,057h
db 065h,0A2h,0B2h,0A7h,0B4h,07Fh,055h,05Eh,059h,060h,0A0h,0B2h,0A8h,0B4h,082h,054h
db 05Fh,058h,05Fh,058h,096h,0B3h,0A8h,0B3h,090h,056h,05Dh,05Ah,05Ah,08Dh,0B6h,0A4h
db 0B6h,091h,05Bh,059h,05Fh,055h,08Dh,0B2h,0ABh,0ACh,0ADh,0A1h,05Eh,059h,05Dh,055h
db 07Fh,0B2h,0AAh,0A1h,057h,05Fh,056h,060h,053h,07Dh,0B0h,0ADh,0A3h,05Ch,05Dh,059h
db 05Fh,056h,077h,0B3h,0AAh,0B0h,0A8h,06Bh,055h,061h,055h,074h,0AEh,0ADh,0ACh,0ACh
db 06Dh,056h,05Fh,056h,06Dh,0AFh,0ABh,0AFh,0A9h,0B1h,079h,054h,05Fh,057h,064h,0A4h
db 0B0h,0A8h,0B2h,07Eh,053h,05Fh,057h,05Fh,058h,09Eh,0ADh,0B1h,081h,053h,05Fh,058h
db 05Fh,05Ah,05Eh,05Bh,05Fh,05Ch,060h,05Ch,061h,05Eh,0A5h,0B1h,0B1h,0ADh,0B4h,091h
db 057h,060h,05Bh,09Dh,0B3h,0AAh,0B4h,08Bh,055h,061h,059h,061h,057h,090h,0B6h,0A9h
db 0B5h,098h,05Bh,05Dh,05Dh,059h,088h,0B8h,0A7h,0B6h,099h,05Fh,059h,061h,055h,086h
db 0B4h,0AAh,0B1h,0A0h,05Dh,05Dh,059h,060h,056h,07Ah,0B3h,0ABh,0AFh,0A9h,068h,059h
db 05Dh,05Dh,05Ah,06Bh,0AFh,0ADh,0AEh,0AEh,077h,054h,063h,056h,06Ch,0A9h,0B1h,0A9h
db 0B4h,077h,057h,05Eh,05Bh,05Ch,060h,0A1h,0B2h,0A9h,0B4h,084h,055h,05Fh,05Ah,05Fh
db 09Bh,0B5h,0A7h,0B6h,087h,057h,05Dh,05Bh,05Ch,097h,0B5h,0A7h,0B5h,08Bh,057h,05Eh
db 05Ah,05Fh,057h,08Ah,0B6h,0A7h,0B5h,098h,05Dh,059h,05Fh,055h,087h,0B3h,0AAh,0AEh
db 0ACh,0A6h,061h,059h,05Eh,056h,079h,0B2h,0AAh,0A6h,05Bh,05Fh,057h,060h,055h,077h
db 0B0h,0ACh,0AEh,0AAh,06Ah,056h,05Fh,056h,071h,0B0h,0ABh,0AEh,0ABh,06Fh,053h,061h
db 054h,070h,0ABh,0AEh,0AAh,0B0h,071h,056h,05Dh,058h,068h,0ADh,0AAh,0B0h,0A7h,0B3h
db 07Dh,055h,05Ch,05Ah,05Eh,0A2h,0ACh,0AFh,07Bh,053h,05Eh,058h,05Dh,05Ah,05Ch,092h
db 0B9h,07Dh,057h,05Eh,05Bh,05Eh,05Ch,05Fh,05Ch,05Fh,05Ch,061h,05Bh,06Bh,0AAh,0B3h
db 0ACh,0B6h,07Bh,05Ah,05Eh,06Bh,0AFh,0AFh,0AEh,0B1h,078h,057h,062h,05Bh,060h,061h
db 0A6h,0B2h,0ADh,0B4h,083h,055h,062h,059h,063h,09Eh,0B7h,0A8h,0B8h,085h,058h,05Fh
db 05Ch,05Fh,05Bh,092h,0B8h,0A8h,0B7h,092h,05Ch,05Ch,060h,058h,090h,0B5h,0ACh,0B0h
db 0AEh,0A3h,05Ch,05Eh,05Ah,060h,057h,079h,0B3h,0ABh,0B0h,0A8h,06Ah,056h,062h,055h
db 076h,0B0h,0AEh,0ADh,0AEh,06Bh,059h,05Dh,05Dh,05Ah,068h,0ACh,0AFh,0ADh,0B1h,07Bh
db 054h,061h,057h,067h,0A5h,0B2h,0A9h,0B3h,07Dh,055h,05Fh,059h,063h,0A2h,0B2h,0A8h
db 0B4h,080h,055h,05Fh,059h,061h,09Fh,0B3h,0A8h,0B4h,084h,054h,060h,058h,060h,056h
db 095h,0B2h,0ABh,0ADh,0AEh,09Dh,057h,060h,054h,091h,0AFh,0AEh,090h,052h,061h,056h
db 061h,056h,063h,053h,07Eh,0AFh,0B0h,0A3h,062h,059h,061h,054h,080h,0B1h,0AFh,0A2h
db 05Eh,05Bh,05Fh,057h,080h,0B5h,0AAh,0B1h,0A3h,05Fh,05Eh,057h,085h,0B5h,0A9h,0B0h
db 0AAh,0AEh,0A9h,06Bh,054h,05Fh,054h,071h,0AEh,0ABh,0AAh,063h,05Ah,05Ah,05Dh,058h
db 06Ch,0ACh,0ACh,0ACh,0AEh,072h,055h,05Eh,059h,05Dh,05Fh,0A8h,0ABh,0B1h,077h,055h
db 05Fh,059h,05Fh,05Bh,0A6h,0ACh,0B3h,07Ch,057h,05Eh,05Ah,062h,0A7h,0AEh,0AEh,0AAh
db 0B3h,088h,055h,05Eh,05Ch,0A2h,0B0h,0AAh,0B2h,083h,053h,060h,057h,05Fh,057h,096h
db 0B3h,0A8h,0B3h,08Fh,056h,05Dh,05Bh,059h,08Eh,0B6h,0A5h,0B5h,092h,05Ah,05Ah,05Dh
db 057h,08Ah,0B5h,0A6h,0B3h,097h,05Ch,059h,05Dh,056h,086h,0B3h,0A8h,0AEh,0AAh,0A6h
db 05Dh,05Bh,058h,05Dh,055h,071h,0AFh,0AAh,0ADh,0A8h,0AEh,075h,052h,05Fh,055h,067h
db 0A4h,0AFh,0A7h,0B1h,077h,054h,05Ch,058h,05Bh,05Bh,09Dh,0B1h,0A7h,0B2h,084h,053h
db 05Dh,058h,05Ch,096h,0B3h,0A4h,0B4h,087h,055h,05Bh,05Ah,059h,093h,0B3h,0A5h,0B3h
db 08Ch,056h,05Ah,05Bh,057h,08Eh,0B3h,0A5h,0B2h,091h,056h,05Bh,057h,05Dh,054h,081h
db 0B4h,0A6h,0B1h,09Ch,05Fh,057h,05Dh,054h,080h,0B2h,0A7h,0AFh,0A1h,060h,058h,05Ch
db 058h,05Dh,057h,06Ah,0ACh,0A7h,064h,05Ah,05Bh,05Ch,059h,06Eh,0B0h,0AAh,0AEh,065h
db 05Bh,05Bh,05Eh,059h,06Ch,0ADh,0AEh,0ACh,0B0h,076h,055h,061h,057h,06Ah,0A8h,0B0h
db 0AAh,0B2h,079h,055h,060h,058h,066h,0A5h,0B1h,0A9h,0B2h,07Eh,054h,05Fh,058h,060h
db 059h,09Fh,0AFh,0ADh,0ABh,0B1h,093h,057h,05Eh,059h,05Dh,05Ah,05Eh,05Bh,05Eh,05Dh
db 05Eh,05Dh,05Fh,05Eh,05Fh,05Eh,060h,05Fh,061h,060h,061h,060h,062h,061h,062h,062h
db 060h,072h,0B7h,0AFh,0B8h,0ADh,0BBh,07Eh,05Eh,05Fh,06Eh,0B0h,0B3h,0B0h,0B6h,07Bh
db 05Ah,063h,05Eh,061h,064h,0A7h,0B5h,0AEh,0B7h,086h,059h,064h,05Dh,064h,09Fh,0B9h
db 0ABh,0B9h,089h,05Ah,062h,05Dh,063h,05Ch,095h,0B9h,0ACh,0B8h,097h,05Dh,060h,060h
db 05Ch,08Eh,0BBh,0A9h,0B8h,099h,061h,05Ch,063h,058h,08Ch,0B5h,0AEh,0B0h,0B0h,0A7h
db 064h,05Bh,062h,058h,07Eh,0B6h,0ACh,0B2h,0A9h,067h,05Bh,05Eh,05Fh,05Bh,070h,0B2h
db 0AEh,0B0h,0AFh,075h,056h,063h,057h,06Fh,0ACh,0B1h,0ACh,0B2h,077h,057h,062h,058h
db 06Ah,0A9h,0B1h,0ACh,0B3h,07Bh,056h,061h,059h,067h,0A6h,0B2h,0AAh,0B4h,07Fh,055h
db 061h,059h,064h,0A2h,0B4h,0A8h,0B6h,080h,056h,05Fh,05Ah,05Eh,05Bh,097h,0B5h,0A7h
db 0B6h,08Dh,059h,05Ch,05Eh,058h,095h,0B1h,0B0h,08Eh,053h,063h,057h,062h,056h,091h
db 0B5h,0AAh,0B3h,098h,05Ah,05Dh,05Dh,059h,087h,0B8h,0A6h,0B6h,099h,05Fh,058h,061h
db 055h,081h,0B4h,0ABh,0B0h,0A4h,060h,05Ch,05Bh,05Fh,057h,074h,0B1h,0ACh,0AAh,063h
db 05Ch,05Bh,05Fh,05Ah,070h,0B1h,0ACh,0AEh,066h,05Ch,05Ch,060h,059h,06Eh,0ADh,0B0h
db 0ADh,0B2h,075h,057h,05Fh,05Ch,05Eh,062h,0A6h,0B2h,072h,059h,060h,05Ch,060h,05Dh
db 060h,05Eh,060h,05Fh,061h,060h,061h,060h,062h,061h,064h,061h,064h,061h,065h,05Fh
db 074h,0B5h,0B4h,0B4h,0B5h,07Bh,05Bh,068h,05Ch,073h,0B0h,0B7h,0B0h,0B8h,07Ch,05Dh
db 064h,061h,062h,066h,0A7h,0B8h,0AFh,0BAh,087h,05Bh,064h,05Fh,064h,0A1h,0B9h,0ADh
db 0BAh,08Ch,05Bh,064h,05Fh,063h,09Ch,0BBh,0AAh,0BCh,08Dh,05Eh,060h,063h,05Ch,09Ch
db 0B5h,0B2h,0B0h,0B5h,09Dh,05Fh,05Fh,062h,05Bh,08Bh,0B8h,0ADh,0B2h,0B0h,0AAh,064h
db 05Dh,060h,05Ah,07Eh,0B7h,0ABh,0B2h,0ACh,0B1h,0ADh,0B0h,0ACh,0AEh,0ABh,0AEh,0AAh
db 0ACh,0A9h,0ACh,0A9h,0AAh,0A9h,0A9h,0A8h,0A9h,0A7h,0A8h,0A6h,0A7h,0A6h,0A6h,0A5h
db 0A6h,0A4h,0A5h,0A4h,0A4h,0A3h,0A3h,0A2h,0A3h,0A2h,0A2h,0A1h,0A2h,0A0h,0A1h,0A0h
db 0A0h,09Fh,0A0h,09Fh,09Fh,09Eh,09Eh,09Dh,09Eh,09Dh,09Ch,09Dh,09Ch,09Bh,09Ch,09Ch
db 09Bh,09Ah,09Bh,09Ah,09Ah,099h,09Ah,099h,098h,098h,099h,098h,097h,098h,097h,096h
db 097h,096h,097h,096h,095h,096h,095h,094h,094h,095h,094h,093h,093h,094h,093h,092h
db 093h,092h,092h,093h,092h,091h,092h,091h,090h,091h,090h,091h,090h,08Fh,08Fh,090h
db 08Fh,08Eh,08Fh,08Eh,08Eh,08Fh,08Eh,08Dh,08Eh,08Eh,08Dh,08Ch,08Dh,08Ch,08Dh,08Dh
db 08Ch,08Bh,08Ch,08Bh,08Ch,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,089h,08Ah,089h
db 08Ah,08Ah,089h,088h,089h,088h,089h,088h,088h,088h,088h,087h,088h,087h,088h,087h
db 086h,087h,086h,087h,086h,087h,086h,085h,086h,085h,086h,085h,086h,085h,084h,085h
db 084h,085h,084h,085h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,081h,082h,081h,082h,081h,082h,081h,081h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,081h,080h,081h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,07Fh
db 080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh
db 07Fh,07Fh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Fh,07Eh,07Fh
db 07Eh,07Eh,07Eh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Dh,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh
db 07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Ch,07Ch,07Bh,07Ch,07Bh
db 07Ch,07Bh,07Ch,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch
db 07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Ah,07Bh,07Ah,07Bh,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh
db 07Bh,07Bh,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Bh,07Bh,07Bh,07Bh,07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Bh
db 07Ah,07Bh,07Ah,07Bh,07Ah,07Bh,07Bh,07Bh,07Ch,07Bh,07Bh,07Bh,07Ch,07Bh,07Ch,07Bh
db 07Ch,07Bh,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch
db 07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch
db 07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch
db 07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch,07Bh,07Ch
db 07Ch,07Ch,07Ch,07Ch,07Ch,07Ch,07Ch,07Dh,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Eh,07Dh,07Eh,07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Eh,07Eh,07Eh,07Eh,07Fh,07Eh,07Eh,07Eh,07Eh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Fh,07Fh,07Fh,07Fh,07Fh,07Eh,07Fh
db 07Eh,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,080h,07Fh,080h,07Fh,080h,07Fh,080h
db 07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h
db 07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h
db 07Fh,080h,07Fh,080h,07Fh,080h,080h,080h,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh
db 080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh
db 080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh
db 080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh
db 080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h



yourPass db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,07Fh,03Fh,030h,035h,033h,036h,034h,036h,036h
db 038h,037h,039h,039h,03Bh,03Ah,03Ch,03Bh,03Dh,03Ch,03Fh,03Dh,040h,03Eh,041h,040h
db 043h,040h,045h,040h,048h,03Eh,066h,097h,08Fh,093h,091h,092h,091h,091h,092h,08Fh
db 095h,07Fh,041h,047h,044h,047h,046h,047h,047h,047h,053h,095h,094h,096h,094h,096h
db 094h,096h,093h,095h,093h,092h,050h,047h,048h,04Ah,049h,04Ch,049h,04Dh,04Ah,050h
db 046h,079h,0A0h,096h,09Ch,097h,09Bh,097h,09Bh,096h,09Bh,095h,09Dh,080h,048h,04Eh
db 04Bh,04Eh,04Ch,04Fh,04Dh,050h,04Eh,051h,051h,091h,0A0h,09Bh,09Eh,09Ch,09Dh,09Bh
db 09Ch,09Bh,09Ch,09Ah,09Bh,099h,09Ch,098h,09Eh,08Dh,050h,04Dh,04Fh,04Eh,051h,04Ch
db 063h,0A0h,09Bh,09Eh,09Bh,09Eh,09Bh,09Eh,09Ah,09Dh,09Ah,09Dh,099h,09Ch,098h,09Ch
db 097h,0A0h,080h,04Ah,050h,04Dh,050h,04Fh,04Fh,052h,04Eh,061h,0A0h,09Ch,09Fh,09Ch
db 09Fh,09Ch,09Eh,09Bh,09Eh,09Ch,09Dh,09Ah,09Dh,09Ah,09Ch,09Ah,09Ch,099h,09Ch,099h
db 09Ah,056h,04Fh,049h,06Ch,0A1h,098h,09Eh,099h,09Ch,099h,09Bh,099h,09Ah,099h,09Ah
db 099h,099h,098h,099h,098h,099h,098h,098h,097h,098h,097h,098h,096h,098h,095h,098h
db 094h,09Ah,088h,04Bh,049h,04Bh,04Ah,04Dh,048h,060h,09Ch,097h,09Ah,097h,09Ah,097h
db 099h,098h,099h,097h,098h,097h,098h,096h,097h,096h,097h,095h,096h,095h,096h,095h
db 096h,094h,096h,094h,096h,093h,096h,093h,095h,056h,045h,049h,049h,049h,04Bh,04Ah
db 04Ch,049h,04Fh,046h,071h,0A0h,096h,09Bh,097h,09Ah,097h,099h,098h,099h,098h,098h
db 099h,090h,04Eh,04Bh,04Bh,04Dh,04Ch,04Eh,04Dh,04Fh,051h,090h,09Eh,09Ah,09Ch,09Ah
db 09Ch,099h,09Bh,099h,09Ah,05Ah,04Bh,04Fh,04Fh,04Fh,050h,04Fh,052h,04Fh,054h,04Ch
db 079h,0A5h,09Bh,0A1h,09Ch,0A0h,09Ch,09Fh,09Dh,09Eh,09Ch,09Dh,09Ch,09Dh,09Ch,09Ah
db 09Fh,069h,048h,054h,04Ch,054h,04Dh,056h,04Ch,087h,0A2h,09Eh,09Fh,09Eh,09Dh,09Fh
db 09Ch,09Fh,099h,0A3h,075h,04Ah,054h,04Fh,053h,051h,054h,052h,054h,053h,055h,053h
db 05Dh,09Dh,0A2h,0A2h,0A1h,0A2h,0A0h,0A1h,09Fh,0A1h,09Eh,0A2h,09Ch,0A5h,072h,04Dh
db 056h,052h,055h,054h,055h,055h,055h,057h,053h,06Ah,0A7h,0A1h,0A5h,0A1h,0A4h,0A1h
db 0A3h,0A0h,0A2h,0A1h,0A2h,0A0h,0A1h,0A0h,0A0h,09Fh,0A0h,09Fh,09Fh,09Eh,09Fh,09Eh
db 09Eh,09Dh,09Eh,09Dh,09Dh,09Ch,09Dh,09Ch,09Dh,09Bh,09Ch,09Bh,09Ch,09Ah,09Bh,09Ah
db 09Bh,09Ah,09Bh,098h,09Bh,097h,09Dh,085h,049h,04Fh,04Bh,050h,04Dh,052h,04Bh,062h
db 09Fh,09Ah,09Eh,09Ah,09Eh,098h,0A1h,07Ch,048h,053h,04Ch,053h,04Dh,055h,04Bh,073h
db 0A3h,09Dh,095h,050h,057h,04Ch,080h,0A5h,09Ch,0A1h,09Dh,0A0h,09Ch,0A0h,062h,04Eh
db 054h,051h,054h,053h,057h,095h,0A3h,09Eh,0A1h,09Eh,0A1h,09Dh,0A0h,09Eh,09Eh,05Dh
db 050h,053h,053h,053h,054h,054h,056h,055h,057h,054h,059h,052h,06Ch,0A7h,0A2h,0A5h
db 0A2h,0A3h,0A2h,0A2h,0A2h,0A1h,0A3h,097h,056h,055h,055h,056h,056h,056h,057h,057h
db 058h,058h,093h,0A9h,0A2h,0A6h,0A2h,0A5h,0A2h,0A5h,0A1h,0A4h,0A0h,0A4h,09Fh,0A8h
db 089h,051h,057h,054h,057h,056h,057h,058h,055h,066h,0A5h,0A3h,0A6h,0A2h,0A6h,0A1h
db 0A5h,0A0h,0A6h,095h,058h,056h,057h,057h,058h,057h,059h,057h,05Ah,058h,05Ch,058h
db 05Eh,055h,079h,0ADh,0A5h,0A9h,0A6h,0A8h,0A6h,0A6h,0A6h,0A4h,0A8h,094h,056h,05Ch
db 057h,05Ch,058h,05Ch,059h,05Dh,059h,05Eh,059h,099h,0ABh,0A7h,0A8h,0A8h,0A7h,0A8h
db 0A0h,060h,059h,05Bh,05Bh,05Ch,05Ch,05Dh,05Ch,05Eh,05Dh,05Fh,05Dh,062h,05Ah,075h
db 0AFh,0A9h,0AEh,0A9h,0ACh,0A9h,0ABh,0A8h,0ABh,0A7h,0AAh,0A6h,0AAh,0A4h,0ADh,07Ah
db 055h,05Eh,058h,05Eh,05Ah,05Fh,05Bh,061h,058h,07Ah,0AFh,0A7h,0ACh,0A8h,0ABh,0A7h
db 0AAh,0A7h,0A9h,0A6h,0AAh,0A4h,0A9h,0A3h,0ABh,072h,056h,05Ch,059h,05Bh,05Bh,05Bh
db 05Dh,05Ah,05Fh,058h,077h,0AEh,0A7h,0ABh,0A8h,0A9h,0A8h,0A7h,0A8h,0A6h,0AAh,099h
db 05Ah,05Ch,05Ah,05Ch,05Bh,05Ch,05Ch,05Ch,05Eh,05Ch,060h,05Ah,08Ch,0B1h,0A6h,0ADh
db 0A7h,0ACh,0A7h,0ABh,0A5h,0ABh,0A4h,0AEh,08Ah,057h,05Dh,05Ah,05Dh,05Bh,05Dh,05Ch
db 05Eh,05Dh,05Eh,062h,0A3h,0ACh,0AAh,0AAh,0AAh,0A8h,0AAh,0A8h,0A9h,0A6h,0A9h,06Dh
db 057h,05Eh,05Ah,05Eh,05Bh,05Fh,05Bh,061h,059h,086h,0B2h,0A6h,0AEh,0A6h,0ACh,0A6h
db 0ACh,0A4h,0B0h,080h,057h,05Dh,05Ch,05Ch,05Eh,05Ch,060h,058h,07Ch,0B0h,0A7h,0ACh
db 0A8h,0AAh,0A8h,0A8h,0A9h,0A7h,0ABh,096h,058h,05Dh,05Ah,05Dh,05Bh,05Dh,05Dh,05Ch
db 066h,0A8h,0A9h,0ABh,0A8h,0AAh,0A7h,0AAh,0A7h,0A9h,0A6h,0A9h,0A5h,0A9h,0A2h,0ACh
db 085h,053h,05Dh,057h,05Ch,059h,05Dh,059h,05Eh,058h,06Bh,0A9h,0A8h,0A8h,0A8h,0A8h
db 0A7h,0A7h,0A7h,0A6h,0A6h,0A5h,0A5h,067h,056h,05Bh,059h,05Bh,05Ah,05Bh,05Bh,05Ch
db 05Bh,05Dh,05Ch,05Fh,05Bh,06Ah,0A8h,0A9h,0AAh,0A9h,0A9h,0A8h,0A9h,0A7h,0A8h,0A8h
db 0A4h,062h,059h,05Bh,05Ch,05Bh,05Dh,05Bh,05Eh,05Ch,098h,0ADh,0A7h,0AAh,0A8h,0A9h
db 0A7h,0A8h,0A7h,0A7h,0A6h,0A7h,0A6h,0A6h,0A4h,0A6h,09Dh,05Ch,058h,058h,059h,059h
db 05Ah,05Ah,05Bh,05Ch,09Ch,0AAh,0A7h,0A7h,0A6h,0A6h,0A6h,0A5h,0A6h,0A3h,0A8h,06Fh
db 053h,05Bh,056h,05Bh,058h,05Bh,05Ah,05Ch,05Ah,05Dh,05Bh,05Dh,05Bh,062h,0A1h,0ABh
db 0A8h,0AAh,0A7h,0A9h,0A6h,0AAh,09Dh,05Fh,05Ah,05Bh,05Bh,05Ch,05Ch,05Ch,064h,0A6h
db 0A8h,0ABh,0A5h,0AEh,081h,055h,060h,059h,05Fh,05Bh,05Fh,05Bh,061h,058h,073h,0ADh
db 0A9h,0ACh,0AAh,0AAh,0A9h,0A9h,0A9h,0A7h,0AAh,09Eh,05Dh,05Ch,05Bh,05Dh,05Ch,05Dh
db 05Dh,05Eh,060h,0A1h,0ACh,0A9h,0AAh,0A9h,0A8h,0A9h,0A8h,0A8h,0A7h,0A8h,0A6h,0A7h
db 0A4h,0AAh,08Eh,055h,05Ch,057h,05Ch,059h,05Ch,05Ah,05Dh,059h,064h,0A2h,0ABh,0A7h
db 0A9h,0A6h,0A8h,0A6h,0A8h,0A5h,0A7h,0A3h,0A9h,06Fh,054h,05Bh,058h,05Bh,05Ah,05Bh
db 05Ah,05Bh,05Ch,05Ch,05Dh,05Bh,068h,0A8h,0A8h,0AAh,0A8h,0A9h,0A7h,0A9h,0A6h,0AAh
db 09Ch,05Eh,05Ah,05Bh,05Bh,05Bh,05Bh,05Ch,05Ch,060h,09Fh,0ACh,0A7h,0AAh,0A7h,0A9h
db 0A6h,0A9h,0A4h,0A8h,0A3h,0ABh,076h,054h,05Dh,058h,05Bh,05Ah,05Bh,05Bh,05Bh,05Dh
db 059h,071h,0AEh,0A5h,0ABh,0A6h,0AAh,0A5h,0AAh,0A3h,0ADh,092h,059h,05Bh,05Ah,05Bh
db 05Bh,05Bh,05Dh,05Ch,05Dh,060h,0A2h,0AAh,0A9h,0A8h,0A9h,0A7h,0A9h,0A6h,0A9h,0A4h
db 0A9h,0A2h,0ADh,07Bh,054h,05Bh,059h,05Ah,05Bh,059h,05Eh,056h,07Ch,0AEh,0A5h,0A9h
db 0A6h,0A8h,0A6h,0A6h,0A6h,0A4h,0A9h,090h,054h,05Ch,056h,05Ch,057h,05Dh,056h,06Fh
db 0AAh,0A4h,0A9h,0A4h,0A8h,0A3h,0A9h,0A1h,0ABh,090h,059h,055h,08Eh,0A9h,0A3h,0A4h
db 0A6h,094h,054h,059h,056h,05Ah,057h,05Ah,058h,05Ah,059h,05Eh,09Ch,0A9h,0A5h,0A7h
db 0A5h,0A5h,0A5h,0A5h,0A5h,0A2h,0A5h,06Ch,052h,05Ah,056h,05Ah,057h,05Bh,058h,05Bh
db 059h,05Ch,05Ah,05Ch,05Ah,063h,0A2h,0A9h,0A7h,0A8h,0A7h,0A7h,0A6h,0A6h,0A6h,0A5h
db 0A5h,067h,055h,05Bh,057h,05Bh,058h,05Dh,058h,05Fh,056h,087h,0AEh,0A4h,0AAh,0A5h
db 0A9h,0A5h,0A8h,0A4h,0A8h,0A2h,0ABh,08Ch,054h,05Bh,057h,05Ah,059h,05Ah,05Ah,05Ch
db 05Bh,05Ch,05Eh,09Dh,0AAh,0A6h,0A8h,0A6h,0A7h,0A6h,0A6h,0A5h,0A5h,066h,056h,05Bh
db 059h,05Bh,059h,05Ch,059h,05Eh,056h,089h,0AFh,0A4h,0ABh,0A4h,0AAh,0A4h,0A9h,0A3h
db 0AAh,0A1h,0ADh,088h,056h,059h,059h,058h,05Dh,054h,07Dh,0ACh,0A4h,0A8h,0A5h,0A6h
db 0A5h,0A4h,0A6h,0A2h,0A8h,08Dh,053h,05Ah,056h,059h,058h,059h,05Ah,057h,067h,0A6h
db 0A5h,0A7h,0A5h,0A6h,0A5h,0A3h,0A7h,092h,054h,05Bh,091h,0ACh,09Dh,0ACh,080h,054h
db 059h,057h,058h,058h,058h,059h,059h,05Bh,059h,05Bh,05Ch,09Dh,0A9h,0A6h,0A7h,0A6h
db 0A6h,0A5h,0A6h,0A0h,05Fh,058h,058h,05Ah,059h,05Bh,059h,05Ch,059h,05Fh,056h,089h
db 0AEh,0A5h,0AAh,0A6h,0A8h,0A6h,0A7h,0A5h,0A6h,0A5h,0A6h,0A4h,0A6h,09Ah,05Ah,058h
db 057h,059h,058h,05Bh,058h,05Ch,058h,05Eh,056h,08Eh,0ACh,0A5h,0A8h,0A6h,0A6h,0A7h
db 0A4h,0A7h,0A2h,0AAh,07Eh,052h,05Ch,056h,05Bh,058h,05Bh,05Ah,05Bh,05Bh,059h,068h
db 0A8h,0A6h,0A9h,0A6h,0A8h,0A5h,0A7h,0A5h,0A6h,0A5h,0A0h,05Fh,057h,059h,059h,059h
db 05Ah,05Bh,05Ah,05Ch,05Ah,05Eh,057h,080h,0B0h,0A3h,0ACh,0A3h,0ABh,0A2h,0ADh,072h
db 056h,05Bh,05Bh,05Ah,05Dh,059h,095h,0ACh,0A6h,0A9h,0A6h,0A8h,0A5h,0A7h,0A4h,0A8h
db 06Fh,053h,05Dh,056h,05Dh,057h,05Fh,056h,093h,0ABh,0A6h,0A6h,0A7h,0A4h,0A8h,0A2h
db 0A8h,066h,059h,054h,072h,0A9h,0A4h,0A5h,0A5h,060h,083h,0ABh,0A4h,08Fh,04Fh,05Fh
db 052h,05Eh,053h,060h,051h,076h,0A8h,0A6h,0A5h,0A7h,0A3h,0A7h,0A1h,0ABh,083h,052h
db 05Ah,057h,059h,059h,058h,05Bh,056h,06Fh,0ABh,0A3h,0A9h,0A3h,0A8h,0A2h,0A8h,0A1h
db 0AAh,08Fh,057h,057h,093h,0A9h,0A1h,0A5h,0A2h,0A3h,0A3h,09Ch,05Ah,056h,056h,057h
db 056h,059h,056h,05Fh,09Eh,0A6h,0A4h,0A5h,0A3h,0A4h,0A2h,0A3h,0A2h,09Eh,05Ch,055h
db 056h,057h,056h,058h,056h,05Ah,056h,05Ch,053h,085h,0ABh,0A2h,0A7h,0A3h,0A6h,0A3h
db 0A4h,0A3h,0A3h,0A3h,0A1h,0A5h,092h,053h,058h,054h,058h,055h,059h,055h,05Ah,056h
db 05Eh,098h,0ABh,09Fh,0ACh,07Dh,053h,059h,058h,05Ah,098h,0A8h,0A4h,0A5h,0A4h,0A4h
db 0A4h,0A2h,0A5h,0A0h,0A7h,06Eh,051h,058h,055h,057h,057h,056h,05Bh,053h,082h,0ABh
db 0A1h,0A6h,0A3h,0A5h,0A3h,0A2h,0A6h,074h,04Fh,05Bh,052h,061h,097h,064h,052h,05Dh
db 052h,073h,0ABh,096h,059h,05Ah,057h,05Bh,058h,05Ch,056h,069h,0A5h,0A7h,0A6h,0A7h
db 0A5h,0A7h,0A3h,0A9h,091h,056h,05Ah,057h,05Ah,059h,05Bh,059h,05Ch,05Ah,060h,09Fh
db 0AAh,0A6h,0A8h,0A6h,0A7h,0A5h,0A6h,0A5h,0A3h,062h,056h,059h,058h,05Ah,05Ah,05Bh
db 05Ah,05Bh,05Bh,05Ch,05Bh,05Eh,05Ah,06Ch,0ABh,0A8h,0ABh,0A7h,0AAh,0A6h,0A9h,0A5h
db 0ABh,098h,05Bh,05Ah,05Ah,05Bh,05Bh,05Bh,05Dh,05Bh,05Eh,05Dh,09Ch,0ACh,0A8h,0A9h
db 0A8h,0A8h,0A8h,0A7h,0A7h,0A5h,0A9h,073h,054h,05Eh,057h,05Dh,058h,05Eh,059h,05Eh
db 05Ah,05Fh,05Ah,060h,05Bh,061h,05Ah,063h,058h,08Bh,0B0h,0A9h,0ACh,0AAh,0A9h,0AAh
db 0A7h,0ABh,0A5h,0AFh,086h,056h,05Eh,05Bh,05Ch,05Dh,05Ch,05Fh,059h,075h,0ADh,0A8h
db 0ABh,0A8h,0A9h,0A9h,0A6h,0ADh,08Bh,055h,05Fh,05Ah,099h,0AEh,076h,055h,05Fh,05Ah
db 05Fh,05Ah,05Fh,05Ch,060h,05Ch,061h,05Bh,06Fh,0ACh,0AAh,0ACh,0A9h,0ABh,0A9h,0AAh
db 0A7h,0ACh,09Bh,05Dh,05Ch,05Bh,05Dh,05Dh,05Dh,05Eh,05Eh,05Fh,05Fh,09Eh,0AEh,0A9h
db 0ABh,0AAh,0AAh,0A9h,0A9h,0A9h,0A7h,0AAh,075h,052h,076h,0ADh,098h,05Ch,05Ch,05Bh
db 05Ch,05Ch,05Dh,05Dh,05Dh,05Eh,05Fh,09Dh,0AEh,0A8h,0ABh,0A8h,0AAh,0A8h,0A9h,0A6h
db 0A8h,06Ah,058h,05Dh,05Ah,05Dh,05Bh,05Eh,05Bh,061h,058h,088h,0B1h,0A6h,0ACh,0A7h
db 0ABh,0A6h,0AAh,0A6h,0AAh,0A3h,0ADh,08Eh,056h,05Eh,097h,0ADh,070h,056h,05Dh,059h
db 05Dh,059h,05Fh,059h,060h,056h,080h,0AEh,0A6h,0AAh,0A7h,0A8h,0A8h,0A6h,0A8h,0A4h
db 0ABh,08Dh,055h,05Dh,058h,05Ch,05Ah,05Bh,05Ch,059h,06Ah,0AAh,0A6h,0AAh,0A6h,0A9h
db 0A6h,0A6h,0A8h,094h,052h,060h,052h,094h,0A6h,0ABh,083h,053h,05Ch,058h,05Ch,059h
db 05Ch,05Bh,05Ch,05Ch,05Ch,05Dh,060h,09Fh,0ACh,0A8h,0A9h,0A7h,0A8h,0A7h,0A8h,0A7h
db 0A5h,066h,057h,05Dh,059h,05Dh,05Ah,05Eh,05Ah,05Fh,057h,08Ch,0AEh,0A7h,0AAh,0A7h
db 0A9h,0A7h,0A8h,0A7h,0A6h,0A7h,0A4h,0AAh,092h,056h,05Bh,058h,05Bh,059h,05Bh,05Ah
db 05Ch,05Ah,061h,09Fh,0AAh,0A6h,0A9h,0A6h,0A8h,0A5h,0A8h,09Dh,05Dh,059h,05Ah,05Ah
db 05Ah,05Bh,05Bh,05Bh,05Eh,09Ch,0ABh,0A6h,0A8h,0A6h,0A8h,0A5h,0A6h,0A4h,0A6h,0A3h
db 0A7h,0A1h,0AAh,086h,051h,05Bh,055h,05Ah,056h,05Bh,057h,05Ch,056h,068h,0A4h,0A7h
db 0A6h,0A6h,0A5h,0A5h,0A4h,0A5h,0A3h,0A5h,09Fh,061h,054h,059h,056h,05Ah,057h,05Bh
db 057h,05Dh,054h,08Eh,0AAh,0A4h,0A6h,0A5h,0A4h,0A6h,0A2h,0A7h,06Ah,055h,055h,06Ch
db 0A9h,0A2h,0A2h,05Eh,057h,058h,059h,058h,059h,059h,05Ah,05Ah,059h,05Dh,056h,07Eh
db 0AFh,0A3h,0ABh,0A3h,0AAh,0A3h,0A9h,0A0h,0ACh,082h,054h,05Ah,058h,05Ah,059h,05Ah
db 05Bh,05Ah,05Ch,05Ah,064h,0A3h,0A9h,0A7h,0A7h,0A7h,0A7h,0A6h,0A6h,0A5h,0A7h,0A3h
db 0A7h,06Eh,053h,05Bh,056h,05Bh,057h,05Ch,058h,05Eh,054h,080h,0AEh,0A3h,0AAh,0A4h
db 0A9h,0A3h,0A9h,0A1h,0ACh,080h,053h,05Bh,057h,05Ah,059h,059h,05Ch,056h,073h,0ACh
db 0A3h,0AAh,0A3h,0A8h,0A3h,0A8h,0A1h,0AAh,08Dh,055h,05Ah,057h,059h,058h,05Ah,059h
db 05Bh,059h,05Ch,05Ch,09Bh,0AAh,0A6h,0A8h,0A6h,0A6h,0A6h,0A5h,0A6h,0A3h,0A7h,070h
db 052h,05Ch,055h,05Ch,056h,05Dh,056h,05Fh,053h,080h,0ACh,0A5h,0A8h,0A6h,0A6h,0A6h
db 0A3h,0A9h,07Fh,04Fh,06Ah,0A3h,0A5h,0A4h,067h,054h,05Ah,057h,05Bh,058h,05Bh,059h
db 05Ch,059h,05Fh,056h,077h,0ADh,0A5h,0AAh,0A5h,0A9h,0A4h,0A8h,0A3h,0ABh,08Bh,055h
db 05Ch,057h,05Bh,059h,05Ch,05Ah,05Dh,059h,064h,0A4h,0A8h,0A7h,0A8h,0A7h,0A6h,0A6h
db 0A5h,0A6h,0A5h,0A5h,0A4h,0A5h,0A3h,0A5h,0A2h,0A6h,094h,056h,058h,056h,058h,057h
db 058h,058h,058h,05Fh,0A0h,0A5h,0A5h,0A4h,0A5h,0A3h,0A4h,0A3h,0A4h,09Dh,05Fh,054h
db 058h,056h,059h,057h,059h,05Bh,09Eh,0A5h,0A6h,0A2h,0AAh,083h,051h,05Bh,054h,05Bh
db 056h,05Dh,053h,079h,0ABh,0A2h,0A8h,0A2h,0A7h,0A1h,0A7h,09Fh,0AAh,085h,053h,059h
db 056h,058h,058h,057h,05Ah,055h,06Ch,0A8h,0A3h,0A7h,0A4h,0A5h,0A4h,0A3h,0A7h,08Ch
db 050h,05Dh,052h,094h,0A4h,0A8h,080h,04Eh,066h,09Fh,0A2h,060h,056h,058h,058h,057h
db 05Ah,058h,05Bh,058h,093h,0AAh,0A4h,0A7h,0A4h,0A6h,0A3h,0A6h,0A2h,0A6h,06Ch,052h
db 05Ah,055h,05Ah,056h,05Ch,057h,05Dh,053h,080h,0ACh,0A3h,0A8h,0A5h,0A6h,0A4h,0A5h
db 0A4h,0A3h,0A4h,0A2h,0A3h,0A1h,0A3h,09Fh,0A5h,06Dh,050h,058h,054h,057h,056h,057h
db 059h,053h,080h,0ACh,09Eh,0A8h,09Fh,0A6h,09Eh,0A7h,09Ch,0AAh,07Ch,051h,056h,055h
db 055h,059h,051h,081h,0A9h,0A0h,0A4h,0A2h,09Ch,058h,056h,055h,058h,055h,058h,055h
db 060h,09Fh,0A6h,0A3h,0A4h,0A3h,0A3h,0A2h,0A2h,0A2h,09Ch,05Ch,054h,056h,056h,056h
db 057h,057h,059h,058h,095h,0A9h,0A1h,0A6h,0A1h,0A5h,0A1h,0A5h,09Fh,0A5h,064h,054h
db 052h,06Dh,0A6h,0A0h,09Eh,05Bh,053h,080h,0B0h,07Eh,053h,056h,057h,056h,058h,056h
db 05Bh,053h,071h,0A9h,0A2h,0A7h,0A2h,0A6h,0A2h,0A5h,0A0h,0A8h,08Ch,052h,058h,055h
db 058h,056h,059h,057h,059h,057h,05Fh,09Eh,0A7h,0A4h,0A6h,0A3h,0A5h,0A3h,0A4h,0A2h
db 0A3h,0A1h,0A3h,0A0h,0A3h,09Eh,0A5h,08Eh,052h,055h,054h,056h,055h,056h,057h,055h
db 060h,0A1h,0A3h,0A3h,0A2h,0A3h,0A1h,0A2h,0A0h,0A3h,099h,058h,054h,054h,055h,055h
db 057h,054h,05Eh,09Dh,0A6h,0A0h,0A7h,076h,04Fh,05Bh,053h,05Ah,053h,05Ch,051h,085h
db 0AAh,0A2h,0A6h,0A2h,0A5h,0A1h,0A5h,09Fh,0A7h,07Ah,04Eh,05Ah,052h,05Ah,054h,05Ah
db 054h,05Ch,051h,072h,0A7h,0A4h,0A5h,0A5h,0A3h,0A5h,0A0h,0A9h,084h,050h,059h,056h
db 094h,0AAh,06Fh,053h,057h,064h,0A7h,0A0h,0A5h,062h,056h,056h,059h,057h,05Ah,057h
db 05Ch,056h,090h,0AAh,0A3h,0A7h,0A4h,0A6h,0A3h,0A5h,0A1h,0A7h,070h,051h,05Bh,055h
db 05Ah,056h,05Bh,056h,05Dh,053h,07Dh,0ACh,0A2h,0A8h,0A4h,0A6h,0A4h,0A5h,0A3h,0A4h
db 0A3h,0A4h,0A1h,0A3h,0A0h,0A4h,068h,051h,058h,054h,058h,055h,059h,055h,05Bh,052h
db 080h,0ABh,0A1h,0A7h,0A1h,0A6h,0A1h,0A5h,09Fh,0A9h,07Eh,04Fh,059h,054h,058h,056h
db 058h,056h,059h,058h,059h,058h,05Bh,059h,05Ch,059h,05Eh,056h,078h,0ADh,0A4h,0AAh
db 0A5h,0A9h,0A4h,0A9h,0A2h,0ABh,08Bh,054h,05Bh,057h,05Bh,058h,05Bh,059h,05Dh,059h
db 065h,0A4h,0A9h,0A7h,0A8h,0A6h,0A7h,0A4h,0A9h,097h,059h,059h,08Ch,0B1h,077h,056h
db 059h,061h,0A4h,0A4h,0A8h,06Eh,054h,05Ch,058h,05Ch,059h,05Dh,058h,05Fh,056h,080h
db 0AFh,0A4h,0AAh,0A5h,0A9h,0A4h,0A9h,0A2h,0ACh,080h,053h,05Dh,057h,05Ch,058h,05Dh
db 058h,05Eh,057h,06Eh,0A9h,0A7h,0A8h,0A7h,0A7h,0A7h,0A6h,0A6h,0A5h,0A6h,0A3h,0A6h
db 0A1h,0A9h,072h,052h,05Bh,056h,05Ah,058h,05Ah,059h,05Ah,05Bh,057h,071h,0ADh,0A3h
db 0AAh,0A3h,0A9h,0A3h,0A9h,0A1h,0ABh,08Eh,056h,059h,058h,058h,05Ah,059h,05Bh,059h
db 05Ch,059h,05Dh,059h,060h,056h,081h,0AFh,0A6h,0AAh,0A7h,0A9h,0A7h,0A6h,0A8h,0A4h
db 0ABh,08Bh,054h,05Dh,057h,05Ch,059h,05Ch,05Ah,05Ch,05Bh,05Dh,05Fh,0A0h,0AAh,0A8h
db 0A8h,0A8h,0A7h,0A7h,0A7h,0A6h,0A6h,0A4h,0A8h,077h,04Eh,072h,0A6h,0A4h,0A0h,060h
db 057h,059h,059h,059h,05Ah,05Ah,05Bh,05Ah,05Eh,057h,086h,0AFh,0A3h,0ABh,0A4h,0AAh
db 0A3h,0AAh,0A1h,0ACh,07Ch,054h,05Ch,058h,05Ah,05Ah,05Bh,05Bh,05Ah,05Dh,058h,06Bh
db 0A9h,0A7h,0A9h,0A7h,0A8h,0A6h,0A7h,0A6h,0A5h,0A6h,0A4h,0A6h,0A3h,0A8h,077h,050h
db 05Ch,054h,05Ch,056h,05Dh,056h,05Fh,053h,079h,0ABh,0A5h,0A7h,0A6h,0A5h,0A6h,0A4h
db 0A6h,0A2h,0A8h,091h,056h,058h,057h,059h,058h,059h,059h,05Ah,05Ah,05Dh,09Eh,0A8h
db 0A6h,0A6h,0A6h,0A5h,0A6h,0A3h,0A5h,0A2h,0A6h,06Ah,053h,059h,057h,058h,059h,058h
db 05Ah,058h,05Dh,054h,07Ah,0ACh,0A4h,0A8h,0A4h,0A7h,0A5h,0A5h,0A4h,0A4h,0A3h,0A3h
db 0A4h,0A2h,0A4h,0A0h,0A7h,075h,04Fh,059h,053h,058h,056h,058h,057h,058h,059h,056h
db 06Bh,0A9h,0A1h,0A8h,0A2h,0A7h,0A1h,0A7h,0A0h,0A9h,090h,056h,056h,057h,057h,058h
db 057h,059h,057h,05Bh,057h,05Dh,055h,08Dh,0ACh,0A4h,0A7h,0A4h,0A6h,0A4h,0A5h,0A4h
db 0A3h,0A4h,0A3h,0A3h,0A2h,0A2h,0A1h,0A0h,060h,053h,056h,056h,056h,057h,056h,059h
db 055h,090h,0A9h,0A1h,0A5h,0A2h,0A3h,0A2h,0A2h,0A1h,065h,051h,059h,054h,059h,054h
db 05Ah,055h,05Bh,052h,084h,0ABh,0A1h,0A7h,0A2h,0A6h,0A1h,0A5h,09Fh,0A8h,079h,050h
db 05Ah,054h,059h,056h,059h,056h,059h,057h,05Bh,057h,062h,0A1h,0A7h,0A5h,0A6h,0A4h
db 0A5h,0A4h,0A4h,0A3h,0A4h,0A2h,0A3h,0A1h,0A3h,09Fh,0A6h,08Ch,051h,057h,053h,057h
db 054h,057h,055h,058h,056h,059h,058h,098h,0A8h,0A3h,0A5h,0A3h,0A3h,0A3h,0A3h,0A2h
db 0A2h,066h,051h,059h,054h,059h,056h,059h,056h,05Bh,056h,05Dh,053h,075h,0AAh,0A4h
db 0A7h,0A4h,0A5h,0A4h,0A4h,0A4h,0A3h,0A4h,0A2h,0A3h,0A1h,0A4h,09Eh,0A7h,079h,04Eh
db 058h,052h,058h,054h,058h,055h,05Ah,053h,06Fh,0A8h,0A1h,0A7h,0A0h,0A6h,09Eh,0AAh
db 07Dh,051h,059h,055h,057h,058h,056h,05Ah,053h,075h,0AAh,0A2h,0A6h,0A2h,0A5h,0A3h
db 0A4h,0A3h,0A2h,0A5h,091h,053h,059h,054h,058h,055h,059h,056h,059h,056h,05Bh,057h
db 095h,0A9h,0A3h,0A6h,0A3h,0A5h,0A3h,0A4h,0A3h,0A3h,0A2h,0A2h,0A1h,0A2h,0A0h,0A2h
db 0A0h,09Eh,05Eh,052h,055h,054h,055h,056h,055h,057h,055h,05Ah,052h,080h,0ABh,0A0h
db 0A6h,0A0h,0A5h,0A0h,0A4h,09Fh,0A4h,09Eh,0A6h,08Bh,052h,056h,054h,055h,055h,055h
db 056h,056h,057h,057h,058h,057h,059h,057h,05Bh,055h,06Dh,0A9h,0A3h,0A8h,0A3h,0A6h
db 0A3h,0A6h,0A1h,0A8h,091h,056h,058h,056h,059h,057h,059h,058h,05Ah,058h,05Bh,059h
db 095h,0ABh,0A3h,0A9h,0A3h,0A9h,096h,05Ah,059h,058h,05Ah,05Ah,05Ah,05Bh,05Ah,061h
db 0A2h,0A9h,0A7h,0A7h,0A6h,0A6h,0A6h,0A5h,0A5h,0A4h,0A4h,067h,054h,05Ah,057h,05Ah
db 058h,05Bh,059h,05Ch,059h,05Fh,056h,076h,0ACh,0A5h,0AAh,0A5h,0A8h,0A5h,0A7h,0A4h
db 0A7h,0A4h,0A6h,0A3h,0A5h,0A2h,0A5h,09Fh,0A8h,081h,050h,05Ah,054h,059h,055h,05Ah
db 056h,05Ch,054h,06Ah,0A5h,0A5h,0A5h,0A5h,0A4h,0A5h,0A3h,0A4h,0A1h,0A4h,0A1h,0A3h
db 060h,056h,052h,073h,0A9h,09Fh,0A5h,09Ch,060h,052h,059h,054h,059h,055h,05Ah,055h
db 05Ch,054h,08Bh,0AAh,0A2h,0A7h,0A2h,0A6h,0A1h,0A5h,0A0h,0A8h,072h,051h,05Ah,055h
db 059h,056h,059h,058h,059h,05Ah,056h,06Dh,0ABh,0A1h,0AAh,0A0h,0ABh,06Dh,055h,059h
db 05Ah,058h,05Ch,057h,05Eh,054h,086h,0ADh,0A4h,0A8h,0A6h,0A6h,0A6h,0A4h,0A6h,0A2h
db 0AAh,082h,051h,05Bh,056h,05Ah,058h,05Ah,059h,05Ah,05Ah,05Bh,05Bh,05Ch,05Ch,092h
db 0B2h,078h,059h,05Bh,066h,0A7h,0A8h,0A9h,0A8h,0A7h,0A7h,0A6h,0A6h,0A5h,0A7h,0A4h
db 0A7h,069h,055h,05Ah,058h,05Ah,05Ah,05Ah,05Ch,059h,05Eh,056h,07Dh,0AEh,0A4h,0A9h
db 0A5h,0A8h,0A6h,0A7h,0A5h,0A6h,0A5h,0A4h,0A5h,0A4h,0A5h,0A2h,0A4h,0A0h,0A8h,083h
db 050h,05Ah,054h,058h,056h,059h,057h,059h,059h,059h,05Fh,0A0h,0A6h,0A6h,0A5h,0A5h
db 0A4h,0A4h,0A3h,0A4h,09Eh,05Eh,055h,057h,057h,057h,058h,058h,059h,058h,05Ah,058h
db 05Ch,056h,075h,0AFh,094h,05Bh,05Bh,05Ah,05Ch,05Bh,05Eh,058h,06Bh,0A9h,0A8h,0A9h
db 0A7h,0A8h,0A7h,0A7h,0A7h,0A6h,0A6h,0A5h,0A5h,066h,056h,05Bh,059h,05Ah,05Ah,05Ah
db 05Bh,05Bh,05Ch,05Ch,05Dh,05Ch,05Eh,05Ch,060h,05Ch,062h,059h,08Dh,0B0h,0A9h,0ACh
db 0A9h,0AAh,0AAh,0A8h,0AAh,0A5h,0AEh,083h,055h,05Fh,059h,05Eh,05Bh,05Eh,05Ch,05Eh
db 05Dh,05Dh,067h,0A8h,0AAh,0ABh,0A9h,0AAh,0A8h,0A9h,0A8h,0A9h,0A7h,0A8h,0A6h,0A7h
db 0A6h,0A6h,0A5h,0A6h,0A4h,0A5h,0A0h,063h,054h,05Ah,056h,05Ah,057h,05Bh,058h,05Dh
db 055h,08Ch,0ACh,0A4h,0A8h,0A4h,0A8h,0A3h,0A7h,0A1h,0AAh,077h,051h,05Ch,056h,05Ch
db 058h,099h,0A7h,0A5h,0A4h,0A5h,0A3h,0A5h,0A2h,0A3h,062h,055h,057h,058h,057h,059h
db 057h,05Bh,057h,05Dh,053h,080h,0ACh,0A4h,0A8h,0A4h,0A5h,0A5h,0A4h,0A5h,0A1h,0A9h
db 089h,052h,05Ah,055h,05Ah,057h,05Ah,057h,05Ah,059h,05Bh,05Ah,05Bh,05Bh,05Bh,05Ch
db 05Ch,05Dh,05Dh,05Dh,061h,0A2h,0ABh,0A9h,0A9h,0AAh,0A7h,0A9h,0A6h,0A9h,0A5h,0A9h
db 06Bh,057h,05Ch,05Ah,05Bh,05Ch,05Ah,05Eh,05Ah,061h,056h,07Fh,0AEh,0A9h,09Eh,05Dh
db 05Eh,05Ch,05Dh,05Fh,05Bh,070h,0AEh,0A8h,0ACh,0A8h,0ABh,0A8h,0AAh,0A8h,0A8h,0A9h
db 09Fh,05Dh,05Bh,05Bh,05Ch,05Ch,05Ch,05Ch,05Dh,05Eh,05Dh,096h,0B0h,0A5h,0B0h,08Ah
db 057h,060h,05Ah,060h,05Ah,062h,058h,07Dh,0B0h,0A9h,0ABh,0A9h,0AAh,0A9h,0A8h,0A9h
db 0A7h,0ABh,096h,058h,05Dh,05Ah,05Dh,05Bh,05Dh,05Ch,05Dh,05Eh,05Dh,060h,05Bh,090h
db 0B1h,0A7h,0ADh,0A7h,0ACh,0A7h,0ABh,0A5h,0ABh,0A3h,0AEh,085h,055h,05Dh,059h,05Dh
db 05Bh,05Dh,05Ch,05Dh,05Ch,05Eh,05Dh,05Fh,05Eh,05Fh,05Eh,05Fh,05Fh,061h,05Eh,068h
db 0A8h,0ADh,0ACh,0ACh,0ACh,0ABh,0ABh,0AAh,0AAh,0A9h,0A8h,06Ah,05Ah,05Fh,05Ch,05Fh
db 05Dh,05Fh,05Eh,060h,05Fh,060h,05Fh,061h,05Fh,062h,060h,063h,060h,066h,05Ch,087h
db 0B5h,0ABh,0B1h,0ACh,0AFh,0ABh,0AEh,0ABh,0ADh,0AAh,0ACh,0A9h,0ACh,0A8h,0ABh,0A7h
db 0ABh,0A5h,0AEh,08Bh,056h,05Fh,05Ah,05Eh,05Bh,05Eh,05Ch,05Eh,05Dh,05Fh,062h,0A3h
db 0ACh,0ABh,0A9h,0A9h,0A8h,0A9h,0A7h,0A8h,0A6h,0A8h,0A5h,0A8h,0A3h,0ABh,08Ch,055h
db 05Ch,058h,05Bh,05Ah,05Ah,05Ch,058h,06Ah,0A9h,0A5h,0A9h,0A5h,0A9h,0A5h,0A7h,0A5h
db 0A6h,0A5h,0A0h,05Ch,05Ah,056h,05Ch,053h,06Eh,0A8h,0A5h,0A2h,064h,053h,080h,0B1h
db 085h,055h,05Bh,058h,05Ch,059h,05Ch,059h,05Eh,058h,06Ah,0A7h,0A8h,0A8h,0A8h,0A6h
db 0A8h,0A5h,0A7h,0A4h,0A8h,09Eh,065h,050h,083h,0AAh,0A3h,0A5h,0A4h,0A3h,0A5h,0A0h
db 0A8h,073h,051h,05Ah,055h,058h,057h,058h,058h,058h,05Bh,055h,06Fh,0AAh,0A3h,0A7h
db 0A4h,0A6h,0A3h,0A5h,0A3h,0A4h,0A3h,0A3h,0A2h,0A3h,0A2h,0A1h,0A3h,09Fh,0A5h,08Dh
db 051h,056h,053h,057h,054h,057h,055h,057h,056h,058h,057h,058h,058h,059h,059h,05Ah
db 05Ah,05Ah,05Fh,0A1h,0A7h,0A7h,0A5h,0A7h,0A3h,0A9h,095h,056h,05Bh,057h,05Bh,057h
db 05Dh,056h,06Bh,0A7h,0A6h,0A8h,0A6h,0A6h,0A5h,0A5h,0A4h,0A7h,098h,056h,05Bh,055h
db 05Dh,052h,078h,0A9h,0A4h,0A5h,0A5h,0A3h,0A8h,070h,053h,05Bh,057h,059h,059h,059h
db 05Bh,056h,082h,0AEh,0A1h,0AAh,0A3h,0A8h,0A2h,0A7h,0A2h,0A6h,0A1h,0A5h,0A1h,0A5h
db 0A0h,0A4h,09Eh,0A5h,09Ch,0A8h,080h,050h,056h,054h,055h,056h,054h,059h,051h,06Eh
db 0A6h,0A2h,0A3h,0A3h,0A1h,0A6h,075h,04Eh,05Ah,052h,059h,055h,095h,0A5h,0A1h,0A3h
db 0A1h,0A3h,0A1h,0A2h,09Fh,0A1h,065h,050h,057h,053h,056h,054h,057h,055h,090h,0A8h
db 09Eh,0A9h,084h,050h,059h,054h,059h,054h,05Ah,052h,075h,0AAh,0A1h,0A7h,0A1h,0A5h
db 0A0h,0A6h,09Fh,0A9h,086h,051h,057h,055h,057h,057h,056h,059h,054h,069h,0A5h,0A3h
db 0A5h,0A3h,0A4h,0A4h,0A2h,0A6h,08Dh,051h,05Ah,053h,05Bh,050h,080h,0AAh,0A0h,0A6h
db 0A0h,0A6h,09Eh,0A6h,06Ch,051h,057h,055h,056h,058h,056h,05Ah,053h,082h,0ABh,0A0h
db 0A7h,0A1h,0A5h,0A1h,0A4h,0A0h,0A3h,0A0h,0A3h,09Fh,0A2h,09Eh,0A2h,09Dh,0A2h,09Bh
db 0A6h,07Fh,04Dh,055h,051h,055h,053h,055h,054h,055h,055h,056h,055h,057h,056h,057h
db 057h,058h,057h,059h,057h,062h,0A2h,0A5h,0A5h,0A5h,0A5h,0A4h,0A4h,0A3h,0A4h,0A2h
db 0A3h,0A2h,0A2h,0A1h,0A3h,09Fh,0A4h,091h,054h,055h,054h,056h,055h,056h,056h,056h
db 057h,059h,097h,0A6h,0A2h,0A4h,0A1h,0A3h,0A1h,0A2h,0A2h,09Fh,0A3h,06Ch,04Eh,058h
db 051h,058h,057h,09Dh,09Fh,0A7h,070h,051h,057h,055h,056h,057h,055h,05Ah,052h,080h
db 0ABh,0A0h,0A8h,0A0h,0A6h,0A0h,0A5h,09Eh,0A8h,07Eh,04Fh,059h,052h,05Ah,052h,08Dh
db 0A8h,0A1h,0A4h,0A1h,0A3h,0A1h,09Fh,05Eh,053h,056h,056h,056h,056h,057h,057h,058h
db 057h,059h,058h,059h,059h,05Ah,059h,05Ch,059h,095h,0ABh,0A5h,0A8h,0A4h,0A7h,0A4h
db 0A7h,0A3h,0A7h,06Ch,053h,05Bh,057h,05Ah,058h,05Bh,059h,05Ch,059h,05Ch,05Ah,05Dh
db 05Bh,05Eh,05Ah,060h,058h,08Dh,0AFh,0A6h,0ABh,0A8h,0A9h,0A7h,0A8h,0A7h,0A7h,0A6h
db 0A7h,0A6h,0A5h,0A6h,0A4h,0A6h,0A1h,0A9h,077h,051h,05Ch,055h,05Ah,057h,05Ah,058h
db 05Bh,059h,05Ch,05Ah,05Ch,060h,0A2h,0A8h,0A8h,0A6h,0A8h,0A5h,0A7h,0A4h,0A7h,0A3h
db 0A7h,068h,056h,059h,059h,059h,05Ah,059h,05Ch,059h,05Eh,056h,07Eh,0AEh,0A4h,0AAh
db 0A5h,0A8h,0A5h,0A7h,0A4h,0A7h,0A4h,0A5h,0A4h,0A5h,0A3h,0A4h,0A2h,0A4h,0A1h,0A3h
db 0A1h,0A3h,099h,05Ah,054h,056h,055h,057h,055h,057h,057h,058h,057h,059h,058h,059h
db 059h,05Ah,059h,05Bh,059h,05Dh,059h,05Fh,056h,07Dh,0AFh,0A5h,0ABh,0A6h,0A9h,0A5h
db 0A8h,0A4h,0A7h,0A4h,0A6h,0A3h,0A6h,0A2h,0A6h,0A0h,0A9h,07Dh,050h,05Ah,054h,059h
db 056h,05Ah,057h,05Ah,058h,05Bh,059h,05Ch,05Ah,05Dh,059h,05Fh,056h,07Ah,0AEh,0A5h
db 0ABh,0A5h,0AAh,0A4h,0ADh,07Bh,054h,05Eh,058h,05Eh,058h,060h,056h,087h,0AEh,0A5h
db 0AAh,0A6h,0A9h,0A3h,067h,056h,05Fh,055h,072h,0ABh,0A6h,0A9h,0A6h,0A8h,0A5h,0A6h
db 0A5h,0A6h,0A3h,0A6h,0A3h,0A5h,0A1h,0A5h,09Fh,0A9h,084h,051h,059h,054h,058h,056h
db 058h,057h,058h,058h,059h,059h,05Ah,097h,0AAh,0A3h,0A7h,0A3h,0A6h,0A3h,0A5h,0A2h
db 0A5h,0A2h,0A3h,0A1h,0A2h,0A1h,0A2h,0A0h,0A1h,0A0h,0A1h,09Eh,0A1h,09Dh,0A0h,09Dh
db 0A0h,09Ch,0A0h,099h,0A4h,070h,04Ch,053h,050h,052h,052h,051h,055h,04Eh,077h,0A7h
db 09Ch,0A3h,09Dh,0A1h,09Dh,0A0h,09Dh,09Fh,09Ch,09Eh,09Ch,09Eh,098h,05Ch,04Dh,053h
db 04Fh,053h,04Fh,054h,050h,056h,050h,058h,04Dh,076h,0A6h,09Eh,0A2h,09Fh,0A0h,09Fh
db 09Fh,09Eh,09Eh,09Eh,09Dh,09Eh,09Ch,09Eh,09Bh,09Fh,099h,0A2h,080h,04Ah,053h,04Eh
db 052h,050h,052h,051h,053h,052h,053h,053h,053h,054h,054h,055h,055h,057h,054h,064h
db 0A3h,0A1h,0A3h,0A1h,0A2h,0A1h,0A2h,0A0h,0A1h,09Fh,0A1h,09Eh,0A1h,09Ch,0A4h,07Dh
db 04Bh,057h,04Eh,058h,04Eh,08Ah,0A4h,09Fh,0A0h,0A0h,09Eh,0A0h,09Ch,0A0h,09Ah,0A4h
db 075h,04Bh,054h,050h,053h,051h,054h,053h,054h,054h,055h,055h,055h,057h,054h,059h
db 052h,080h,0AAh,09Fh,0A6h,0A0h,0A4h,0A0h,0A3h,0A0h,0A3h,09Fh,0A2h,09Fh,0A1h,09Eh
db 0A0h,09Dh,0A0h,09Ch,0A0h,09Bh,0A2h,08Eh,052h,051h,051h,051h,053h,052h,054h,053h
db 055h,054h,056h,053h,057h,054h,059h,052h,066h,0A2h,0A3h,0A3h,0A4h,0A1h,0A3h,0A0h
db 0A3h,09Fh,0A2h,09Eh,0A3h,09Ch,0A4h,09Ah,0A7h,080h,05Ah,09Eh,09Fh,09Dh,0A0h,09Ah
db 0A3h,07Dh,04Ch,052h,051h,051h,055h,04Ch,07Eh,0A3h,0A1h,08Dh,04Fh,055h,053h,050h
db 080h,0A8h,09Bh,0A4h,09Ch,0A1h,09Ch,0A0h,09Dh,09Eh,09Dh,09Dh,0A0h,08Dh,04Eh,054h
db 04Fh,053h,052h,050h,068h,0A7h,098h,0A5h,097h,0A7h,05Eh,075h,0A5h,09Ah,09Fh,09Ch
db 09Eh,09Ch,09Dh,09Bh,09Ch,09Bh,09Bh,09Ah,09Ah,09Bh,09Ah,09Ah,099h,09Ah,099h,099h
db 098h,099h,098h,098h,097h,098h,097h,097h,096h,097h,096h,092h,050h,049h,04Ah,04Bh
db 04Ah,04Dh,04Ah,04Fh,049h,052h,046h,080h,07Bh,041h,063h,096h,09Eh,098h,09Eh,097h
db 0A0h,07Ch,046h,058h,092h,09Dh,05Bh,04Ch,04Fh,050h,04Dh,059h,09Ah,09Ch,09Ch,09Ch
db 09Ch,09Bh,09Bh,09Ah,09Bh,09Ah,09Ah,099h,09Ah,099h,099h,098h,099h,098h,097h,098h
db 097h,096h,097h,096h,097h,096h,095h,096h,095h,095h,094h,095h,094h,094h,093h,094h
db 093h,095h,091h,096h,060h,040h,04Bh,044h,04Bh,048h,08Fh,092h,09Ch,061h,060h,09Eh
db 090h,091h,045h,087h,094h,097h,090h,09Bh,07Fh,047h,049h,087h,096h,098h,06Dh,03Eh
db 05Dh,094h,096h,093h,056h,045h,04Ch,045h,05Dh,09Ch,089h,052h,044h,080h,09Ch,096h
db 097h,099h,08Ah,04Ah,04Ah,07Fh,0A2h,06Bh,044h,05Bh,09Ah,08Fh,054h,046h,079h,0A3h
db 076h,046h,057h,094h,098h,05Ch,044h,073h,09Fh,095h,09Ch,096h,09Ah,096h,09Ah,095h
db 09Ah,093h,09Ch,084h,04Ah,049h,084h,09Ch,094h,099h,094h,097h,094h,097h,092h,05Ah
db 040h,072h,09Bh,094h,097h,095h,097h,095h,096h,094h,095h,093h,094h,094h,08Ch,047h
db 04Dh,03Fh,07Ah,076h,03Fh,04Fh,04Ah,094h,093h,061h,03Dh,072h,098h,09Bh,088h,04Eh
db 047h,081h,09Ch,095h,098h,097h,096h,097h,091h,056h,042h,076h,09Ch,093h,098h,094h
db 097h,095h,096h,095h,095h,094h,095h,094h,094h,094h,092h,095h,091h,098h,06Eh,03Dh
db 058h,090h,095h,093h,094h,092h,093h,092h,093h,092h,092h,091h,092h,091h,092h,091h
db 091h,090h,091h,090h,090h,08Eh,054h,03Ah,069h,096h,08Dh,093h,08Dh,093h,08Ch,094h
db 05Fh,03Bh,05Ah,097h,081h,049h,040h,07Ch,095h,08Fh,092h,08Fh,091h,090h,090h,090h
db 059h,03Ah,066h,094h,08Fh,088h,043h,083h,091h,092h,08Dh,096h,07Ah,041h,047h,085h
db 093h,093h,068h,039h,05Bh,091h,092h,08Eh,050h,042h,047h,045h,048h,045h,04Eh,08Fh
db 094h,059h,03Fh,06Eh,09Ah,092h,097h,093h,095h,093h,094h,093h,094h,093h,092h,094h
db 08Ah,04Bh,043h,076h,09Fh,06Dh,041h,053h,092h,093h,095h,05Ch,03Eh,068h,09Ah,091h
db 097h,091h,096h,091h,096h,090h,096h,08Eh,098h,083h,04Bh,041h,080h,095h,096h,076h
db 03Eh,052h,08Ch,096h,091h,095h,092h,094h,092h,093h,091h,092h,091h,092h,091h,092h
db 091h,090h,091h,090h,091h,08Fh,092h,05Ah,03Eh,047h,042h,047h,044h,049h,044h,07Fh
db 09Ch,06Ah,03Fh,059h,094h,08Eh,04Fh,044h,074h,0A1h,072h,044h,052h,091h,096h,096h
db 094h,097h,092h,09Ah,080h,046h,04Bh,083h,09Ch,063h,040h,062h,099h,094h,093h,04Bh
db 080h,09Bh,092h,098h,093h,097h,093h,096h,092h,097h,090h,09Ah,074h,040h,051h,08Fh
db 093h,058h,03Fh,070h,098h,096h,086h,046h,04Bh,080h,0A0h,065h,043h,05Bh,09Bh,08Ah
db 051h,045h,07Ch,0A1h,073h,042h,059h,093h,099h,095h,061h,040h,06Eh,09Ah,097h,097h
db 098h,095h,099h,062h,042h,066h,09Eh,085h,04Dh,04Ah,082h,0A0h,06Ch,042h,061h,098h
db 098h,098h,099h,096h,09Dh,071h,041h,05Dh,096h,099h,096h,05Dh,042h,071h,09Eh,095h
db 09Bh,096h,09Ah,095h,099h,094h,09Ah,092h,09Dh,083h,04Ch,047h,084h,099h,099h,076h
db 040h,059h,092h,096h,056h,045h,072h,0A2h,07Ch,046h,053h,08Ch,09Fh,058h,070h,0A1h
db 093h,09Ch,094h,09Bh,094h,09Bh,093h,09Dh,074h,042h,057h,093h,095h,056h,045h,072h
db 0A4h,07Bh,049h,050h,090h,099h,09Bh,06Ah,041h,065h,09Ah,097h,097h,050h,080h,09Eh
db 095h,09Bh,096h,099h,096h,098h,097h,096h,09Ah,072h,03Fh,05Dh,092h,09Ah,093h,09Ah
db 092h,09Eh,072h,045h,04Ch,04Dh,090h,098h,097h,097h,097h,097h,096h,096h,095h,097h
db 094h,097h,092h,09Ah,076h,042h,04Ch,047h,04Bh,080h,0A1h,067h,044h,05Ch,09Ch,08Bh
db 053h,044h,07Fh,09Ch,095h,098h,096h,096h,097h,095h,099h,062h,041h,066h,09Eh,085h
db 04Bh,04Ah,081h,0A0h,06Ah,043h,060h,098h,098h,097h,098h,096h,09Bh,071h,040h,05Dh
db 095h,099h,095h,05Dh,042h,070h,0A0h,080h,048h,04Fh,049h,051h,047h,075h,0A4h,07Fh
db 049h,052h,04Bh,054h,048h,07Fh,0A1h,09Ah,09Dh,09Ch,09Bh,099h,058h,04Fh,04Bh,06Eh
db 0A3h,097h,09Fh,098h,09Eh,098h,09Dh,098h,09Dh,097h,09Eh,08Bh,050h,04Bh,080h,0A3h
db 071h,046h,05Fh,09Ah,095h,056h,04Ah,079h,0A8h,079h,04Bh,057h,097h,09Bh,09Dh,099h
db 09Eh,097h,0A0h,085h,04Dh,04Fh,08Bh,09Eh,09Ah,099h,09Eh,083h,049h,053h,08Bh,0A1h
db 065h,046h,06Ah,0A0h,098h,09Dh,099h,09Bh,099h,09Ah,099h,099h,09Ch,08Ah,04Bh,04Eh
db 081h,0A5h,06Ah,047h,05Fh,09Dh,096h,09Bh,054h,050h,047h,070h,09Eh,09Bh,08Fh,04Fh
db 04Dh,080h,0A7h,071h,048h,05Eh,09Bh,09Ah,09Ch,09Ah,09Ch,099h,09Bh,098h,09Dh,08Dh
db 04Fh,04Bh,080h,0A5h,070h,047h,05Dh,09Bh,095h,057h,04Ch,050h,04Eh,051h,04Fh,052h
db 053h,098h,09Ch,0A1h,06Dh,049h,068h,0A4h,08Fh,057h,04Dh,086h,0A3h,09Ch,09Eh,09Dh
db 09Dh,09Eh,098h,05Fh,047h,07Ch,0A0h,09Eh,08Bh,04Dh,054h,088h,0A6h,06Ch,049h,068h
db 0A1h,09Ch,09Ah,059h,04Dh,07Ah,0ABh,07Dh,04Eh,058h,09Ah,09Eh,0A0h,09Bh,0A3h,07Ch
db 049h,05Eh,099h,09Dh,05Eh,04Ch,077h,0AAh,080h,050h,055h,095h,09Fh,0A0h,072h,047h
db 06Ah,09Fh,09Eh,09Eh,09Eh,09Eh,09Dh,09Eh,09Dh,09Dh,09Ch,09Dh,09Bh,09Dh,099h,0A0h
db 070h,048h,052h,055h,09Dh,096h,061h,044h,07Ch,09Eh,09Fh,08Bh,04Dh,053h,04Dh,081h
db 0A8h,074h,04Ch,052h,057h,095h,05Bh,052h,050h,071h,0ACh,084h,054h,052h,094h,0A0h
db 0A3h,077h,049h,067h,09Fh,09Fh,0A0h,09Eh,0A1h,09Ch,0A4h,080h,04Bh,05Ah,097h,0A0h
db 09Fh,06Eh,047h,06Eh,0A0h,09Dh,09Fh,09Dh,09Fh,09Ch,09Fh,09Ah,0A2h,086h,04Eh,053h
db 08Fh,0A0h,09Eh,076h,044h,067h,09Ah,09Fh,09Bh,09Eh,09Ah,09Eh,09Ah,09Eh,099h,09Eh
db 097h,09Ch,054h,07Eh,0A1h,097h,09Dh,098h,09Bh,098h,09Ah,098h,099h,098h,099h,097h
db 098h,097h,098h,096h,097h,096h,097h,096h,096h,095h,096h,095h,096h,094h,095h,093h
db 095h,092h,097h,087h,049h,048h,048h,049h,049h,049h,04Bh,04Ah,04Ch,04Ah,04Dh,04Ah
db 050h,048h,06Bh,09Fh,097h,09Ch,098h,09Bh,098h,09Ah,098h,099h,098h,099h,097h,098h
db 097h,097h,096h,097h,096h,097h,095h,096h,095h,096h,095h,095h,094h,095h,094h,094h
db 093h,094h,093h,093h,092h,093h,092h,093h,092h,092h,091h,092h,091h,092h,091h,090h
db 090h,090h,091h,090h,08Fh,090h,08Fh,090h,090h,08Fh,08Eh,08Fh,08Eh,08Fh,08Fh,08Eh
db 08Dh,08Eh,08Dh,08Eh,08Dh,08Eh,08Dh,08Ch,08Dh,08Ch,08Dh,08Ch,08Bh,08Ch,08Bh,08Ch
db 08Bh,08Ch,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,089h,08Ah,089h,08Ah,089h,08Ah
db 089h,088h,089h,088h,089h,088h,089h,088h,089h,088h,087h,088h,087h,088h,087h,087h
db 087h,086h,087h,086h,087h,086h,087h,086h,087h,086h,086h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 083h,084h,083h,083h,084h,083h,084h,083h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh
db 080h,07Fh,080h,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h
db 07Fh,07Fh,07Fh,07Fh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Dh,07Dh,07Eh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Dh,07Dh,07Dh,07Dh,07Eh,07Dh,07Dh,07Eh,07Dh,07Dh
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Dh,07Dh,07Dh,07Dh,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh
db 07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh
db 07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh
db 07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh
db 07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh
db 07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Dh,07Dh,07Dh,07Dh,07Dh,07Dh
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch
db 07Dh,07Ch,07Dh,07Dh,07Ch,07Dh,07Ch,07Dh,07Dh,07Dh,07Eh,07Dh,07Dh,07Eh,07Dh,07Dh
db 07Ch,07Dh,07Ch,07Dh,07Dh,07Ch,07Dh,07Dh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh
db 07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Eh,07Eh
db 07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Fh,07Eh,07Fh,07Eh,07Eh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh
db 07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Fh,07Fh,07Fh,07Fh,07Fh,07Fh
db 07Fh,07Fh,07Fh,07Fh,07Fh,07Fh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh
db 07Fh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Fh,07Eh,07Fh,07Fh
db 07Fh,080h,07Fh,07Fh,07Fh,07Fh,07Eh,07Fh,080h,080h,07Fh,080h,07Fh,080h,07Fh,080h
db 07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h
db 07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h
db 07Fh,080h,07Fh,07Fh,07Fh,080h,07Fh,080h,079h,037h,02Fh,032h,031h,033h,033h,035h
db 034h,036h,036h,037h,037h,039h,038h,03Ah,039h,03Ch,03Ah,03Eh,03Bh,041h,038h,05Ch
db 090h,088h,08Dh,08Ah,08Ch,089h,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,08Ah,08Ah
db 08Ah,08Ah,08Ah,089h,08Bh,084h,044h,03Ch,03Eh,03Eh,03Fh,040h,040h,042h,040h,045h
db 03Eh,070h,098h,08Bh,096h,080h,044h,043h,044h,044h,046h,046h,047h,047h,048h,048h
db 049h,048h,04Bh,04Ah,04Ch,04Bh,04Dh,04Bh,04Fh,04Bh,052h,048h,07Ah,0A1h,098h,09Eh
db 099h,09Ch,099h,09Ch,099h,09Ah,099h,09Ah,099h,099h,098h,099h,098h,099h,097h,099h
db 096h,09Bh,089h,04Bh,04Dh,04Bh,04Dh,04Ch,04Eh,04Dh,04Fh,04Eh,050h,04Fh,051h,050h
db 052h,050h,053h,051h,054h,053h,056h,052h,058h,04Fh,076h,0A8h,09Fh,0A4h,0A0h,0A3h
db 0A0h,0A2h,0A0h,0A1h,0A0h,0A1h,09Fh,0A0h,09Fh,09Fh,09Eh,09Eh,09Fh,09Dh,0A0h,091h
db 051h,053h,050h,054h,052h,055h,052h,056h,053h,058h,052h,08Dh,0A7h,0A1h,0A3h,0A1h
db 0A2h,0A1h,0A1h,0A0h,0A1h,0A0h,0A0h,09Fh,0A0h,09Fh,09Eh,09Fh,09Eh,09Fh,09Dh,09Fh
db 09Ch,0A1h,08Ah,04Eh,053h,050h,053h,051h,054h,052h,055h,053h,056h,054h,093h,0A5h
db 0A0h,0A2h,0A1h,0A1h,0A0h,0A1h,09Dh,05Fh,050h,058h,050h,06Ch,0A6h,09Fh,0A4h,09Fh
db 0A3h,09Eh,0A3h,09Ch,0A6h,08Ah,051h,055h,054h,055h,055h,055h,057h,056h,057h,05Ch
db 09Eh,0A3h,0A6h,0A0h,0AAh,080h,051h,059h,056h,059h,058h,058h,05Ah,055h,071h,0ACh
db 0A3h,0A9h,0A2h,0A8h,0A1h,0ABh,07Fh,051h,05Dh,056h,05Dh,056h,05Fh,053h,081h,0ACh
db 0A5h,0A7h,0A7h,0A5h,0A8h,0A3h,0ABh,07Bh,053h,05Ch,058h,05Bh,05Bh,058h,08Ch,0AFh
db 0A1h,0AEh,08Fh,058h,05Ch,05Ah,05Dh,05Ah,05Eh,058h,072h,0ADh,0A7h,0ABh,0A7h,0AAh
db 0A7h,0A9h,0A7h,0A8h,0A6h,0A8h,0A1h,062h,058h,05Bh,05Ah,05Bh,05Bh,05Ch,05Ch,05Ch
db 05Dh,05Dh,05Eh,05Eh,05Fh,05Eh,060h,05Eh,062h,05Dh,095h,0B2h,0AAh,0AEh,0AAh,0ADh
db 0ABh,0A9h,068h,05Dh,05Fh,05Fh,060h,060h,060h,064h,0A2h,0B0h,0ABh,0AEh,0ABh,0ADh
db 0ABh,0ACh,0AAh,0ABh,0A9h,0ABh,0A8h,0ABh,0A7h,0ACh,09Ah,05Dh,05Dh,05Ch,05Dh,05Dh
db 05Eh,05Eh,05Eh,065h,0A5h,0ACh,0AAh,0AAh,0AAh,0AAh,0AAh,0A9h,0A9h,0A8h,0A9h,06Ch
db 058h,05Fh,05Ah,05Fh,05Bh,060h,05Ch,09Ch,0ACh,0AEh,082h,056h,063h,05Ah,062h,05Ch
db 063h,05Ch,064h,05Ah,079h,0AFh,0ACh,0ACh,0ADh,0ABh,0ADh,0AAh,0ADh,0A8h,0AFh,09Ch
db 061h,05Bh,061h,058h,082h,0AFh,0ABh,09Eh,05Bh,062h,05Ah,08Dh,0B6h,083h,05Ah,061h
db 05Eh,061h,060h,060h,062h,05Dh,07Ch,0B4h,0A9h,0B0h,0AAh,0AFh,0AAh,0AEh,0A9h,0ADh
db 0A9h,0ACh,0A8h,0A9h,064h,05Fh,058h,07Fh,0B0h,0A6h,0ADh,0A2h,065h,05Bh,05Fh,05Dh
db 05Fh,05Eh,060h,05Eh,062h,05Dh,096h,0B2h,0A9h,0AEh,0A9h,0AEh,0A8h,0ADh,0A7h,0AFh
db 075h,059h,05Fh,05Dh,05Fh,05Eh,060h,05Fh,05Fh,060h,060h,061h,061h,062h,061h,063h
db 061h,066h,05Dh,080h,0B6h,0ACh,0B2h,0ADh,0B0h,0ADh,0AFh,0ACh,0AEh,0ABh,0AEh,0ABh
db 0ADh,0AAh,0ACh,0A9h,0ACh,0A7h,0AEh,095h,05Ah,05Fh,05Ch,05Fh,05Dh,060h,05Eh,060h
db 05Eh,065h,0A4h,0AEh,0AAh,0ACh,0AAh,0ACh,0AAh,0AAh,0AAh,0A9h,0A9h,06Fh,057h,061h
db 05Ah,062h,05Ah,063h,059h,09Eh,077h,05Ah,062h,05Fh,060h,062h,060h,064h,05Dh,08Fh
db 0B4h,0ABh,0AFh,0ACh,0AEh,0ACh,0ACh,0ACh,0ABh,0ACh,0A9h,0AEh,098h,05Ch,060h,05Dh
db 05Fh,05Eh,060h,060h,05Fh,061h,060h,062h,060h,065h,05Ch,082h,0B5h,0ABh,0B0h,0ACh
db 0AEh,0ACh,0ACh,0ADh,0AAh,0AFh,094h,05Ah,062h,05Dh,062h,05Eh,062h,05Fh,062h,060h
db 063h,061h,064h,061h,064h,061h,066h,060h,073h,0B0h,0AFh,0B1h,0AFh,0B0h,0AEh,0AFh
db 0ACh,0B1h,0A0h,062h,061h,060h,062h,062h,063h,062h,063h,063h,065h,062h,097h,0BBh
db 081h,05Fh,066h,063h,068h,0A5h,0B4h,0AEh,0B2h,0AEh,0B0h,0ADh,0B0h,0ACh,0B0h,0AAh
db 0B2h,07Eh,05Bh,064h,05Fh,063h,060h,064h,061h,064h,061h,065h,05Fh,072h,0AFh,0B0h
db 0B0h,0AFh,0AFh,0AFh,0AEh,0AEh,0ADh,0ADh,0ACh,0AEh,0ABh,0ADh,0A9h,0B0h,08Fh,059h
db 062h,05Dh,061h,05Eh,061h,05Eh,062h,05Eh,06Ch,0AAh,0ADh,0ADh,0ACh,0ACh,0ABh,0ABh
db 0ABh,0ABh,0AAh,0AAh,0A9h,0AAh,0A8h,0AAh,0A6h,0ACh,097h,05Ah,05Dh,05Bh,05Dh,05Bh
db 05Eh,05Ch,05Fh,05Dh,060h,05Ch,099h,0AFh,0A8h,0ACh,0A9h,0ABh,0A8h,0AAh,0A7h,0AAh
db 0A6h,0A9h,0A4h,0ACh,090h,057h,05Dh,059h,05Ch,05Bh,05Ch,05Ch,05Ch,05Dh,05Dh,05Fh
db 05Ch,095h,0B0h,0A7h,0ADh,0A7h,0ACh,0A6h,0ABh,0A5h,0ABh,0A3h,0AEh,081h,055h,05Dh
db 059h,05Ch,05Bh,05Ch,05Ch,05Ch,05Eh,05Dh,05Eh,05Dh,061h,05Bh,092h,0B1h,0A7h,0ADh
db 0A7h,0ADh,0A0h,062h,05Ch,05Fh,05Ch,060h,05Bh,06Dh,0ACh,0AAh,0ACh,0A9h,0ABh,0A9h
db 0ABh,0A7h,0ACh,09Bh,05Dh,05Ch,05Dh,05Dh,05Dh,05Dh,05Fh,05Ch,065h,0A1h,0AFh,06Eh
db 05Dh,05Ch,075h,0B1h,0A8h,0A9h,061h,062h,058h,082h,0B1h,0A8h,0ADh,0A8h,0ACh,0A7h
db 0ACh,0A5h,0AFh,085h,056h,05Fh,05Bh,05Fh,05Ch,05Fh,05Dh,05Eh,05Eh,05Eh,067h,0A8h
db 0ACh,0ACh,0AAh,0ABh,0A9h,0AAh,0A9h,0AAh,0A8h,0A9h,0A7h,0A8h,0A6h,0A8h,0A4h,0A9h
db 098h,059h,05Bh,059h,05Bh,05Bh,05Bh,05Ch,05Bh,062h,0A3h,0A9h,0A9h,0A8h,0A8h,0A6h
db 0A8h,0A5h,0A7h,0A4h,0A6h,067h,056h,05Bh,059h,05Ah,05Ah,05Bh,05Ch,05Bh,05Ch,05Ch
db 05Dh,05Ch,05Eh,05Ch,05Fh,05Eh,09Ch,0AEh,0AAh,0ABh,0AAh,0A9h,0AAh,0A8h,0AAh,0A6h
db 0ABh,075h,055h,05Eh,059h,05Eh,05Bh,05Eh,05Dh,05Eh,05Eh,05Fh,05Fh,05Eh,067h,0A8h
db 0ABh,0ACh,0AAh,0ABh,0A9h,0AAh,0A9h,0AAh,0A7h,0AAh,0A5h,0ACh,078h,055h,05Fh,059h
db 05Fh,059h,05Fh,05Ah,061h,057h,07Dh,0AFh,0A8h,0ABh,0A8h,0AAh,0A8h,0A9h,0A8h,0A7h
db 0A7h,0A6h,0A7h,0A5h,0A7h,0A3h,0AAh,079h,052h,05Dh,057h,05Dh,057h,05Eh,058h,060h
db 055h,078h,0ADh,0A6h,0A9h,0A6h,0A8h,0A6h,0A7h,0A5h,0A7h,0A4h,0A7h,09Bh,05Ch,058h
db 059h,059h,05Ah,05Ah,05Bh,05Ah,05Bh,05Bh,05Ch,05Ch,05Ch,05Ch,05Eh,05Bh,066h,0A7h
db 0AAh,0AAh,0A9h,0A9h,0A8h,0A8h,0A7h,0A8h,0A6h,0A6h,067h,057h,05Ch,05Ah,05Ch,05Bh
db 05Dh,05Ch,09Ch,0ACh,0A7h,0A9h,0A7h,0A9h,0A6h,0A8h,0A5h,0A8h,0A3h,0ABh,07Ah,052h
db 05Dh,057h,05Ch,059h,05Ch,05Bh,059h,07Ah,0B5h,08Ah,05Dh,058h,060h,055h,08Eh,0ABh
db 0ACh,08Eh,056h,063h,09Dh,0ACh,0A6h,0A9h,0A6h,0A8h,0A5h,0A9h,09Eh,05Eh,059h,05Ah
db 05Ah,05Ah,05Ch,05Bh,05Dh,05Ah,05Fh,058h,08Ch,0AFh,0A6h,0ABh,0A7h,0A9h,0A6h,0A8h
db 0A6h,0A7h,0A5h,0A7h,0A5h,0A5h,0A5h,09Fh,05Eh,057h,059h,059h,059h,059h,05Bh,059h
db 05Ch,058h,090h,0ADh,0A4h,0AAh,0A4h,0A9h,0A3h,0A8h,0A2h,0AAh,071h,054h,05Ah,058h
db 05Ah,059h,05Bh,05Ah,05Bh,05Bh,05Ch,05Ch,05Dh,05Ch,05Eh,05Dh,099h,0AFh,0A6h,0ABh
db 0A7h,0AAh,0A6h,0AAh,0A4h,0ABh,06Dh,057h,05Ch,05Bh,05Bh,05Ch,05Bh,05Eh,05Bh,060h
db 057h,07Dh,0B0h,0A7h,0ABh,0A7h,0AAh,0A7h,0A9h,0A7h,0A8h,0A6h,0A7h,0A7h,0A5h,0A7h
db 0A3h,0A9h,079h,052h,05Dh,055h,05Dh,057h,05Dh,057h,05Fh,054h,079h,0ACh,0A6h,0A8h
db 0A6h,0A7h,0A6h,0A6h,0A5h,0A5h,0A5h,0A4h,0A5h,0A3h,0A5h,0A1h,0A8h,07Ah,04Fh,05Bh
db 053h,05Bh,054h,05Dh,051h,082h,0ABh,0A2h,0A7h,0A3h,0A5h,0A3h,0A4h,0A2h,0A3h,0A2h
db 0A2h,0A1h,0A2h,0A0h,0A2h,09Eh,0A4h,071h,04Dh,058h,051h,059h,051h,05Ah,050h,087h
db 0A7h,0A0h,0A3h,0A2h,0A1h,0A2h,0A0h,0A3h,09Dh,0A6h,07Dh,04Dh,057h,052h,056h,054h
db 056h,055h,056h,057h,055h,061h,0A2h,0A3h,0A4h,0A2h,0A3h,0A2h,0A1h,0A4h,093h,052h
db 059h,052h,05Ah,04Fh,078h,0A8h,0A0h,0A4h,0A1h,0A3h,0A0h,0A2h,09Fh,0A2h,09Eh,0A3h
db 093h,054h,054h,053h,055h,054h,056h,053h,061h,0A2h,0A0h,0A4h,066h,051h,058h,053h
db 066h,0A5h,0A0h,0A5h,05Dh,080h,0ABh,09Eh,0A6h,09Fh,0A4h,09Eh,0A4h,064h,052h,056h
db 055h,055h,056h,055h,059h,053h,089h,0A9h,0A0h,0A5h,0A1h,0A4h,0A0h,0A3h,0A0h,0A3h
db 09Fh,0A2h,09Fh,0A1h,09Dh,0A1h,09Ch,0A2h,065h,04Fh,054h,053h,053h,054h,053h,057h
db 050h,084h,0A8h,09Eh,0A3h,09Fh,0A2h,09Fh,0A0h,09Fh,0A0h,09Eh,09Fh,09Eh,09Eh,09Eh
db 09Dh,09Ch,05Fh,04Dh,053h,050h,054h,051h,055h,051h,057h,04Eh,080h,0A7h,09Dh,0A3h
db 09Dh,0A2h,09Dh,0A2h,09Bh,0A5h,074h,04Ch,055h,051h,054h,052h,054h,054h,055h,055h
db 055h,056h,056h,058h,056h,091h,0A9h,0A1h,0A5h,0A1h,0A4h,0A0h,0A3h,09Fh,0A4h,068h
db 050h,057h,054h,057h,055h,058h,055h,059h,055h,05Bh,053h,06Eh,0A8h,0A3h,0A6h,0A3h
db 0A5h,0A3h,0A4h,0A3h,0A4h,0A2h,0A2h,0A1h,0A2h,064h,052h,057h,054h,058h,055h,059h
db 054h,05Bh,052h,083h,0AAh,0A1h,0A6h,0A2h,0A5h,0A2h,0A4h,0A1h,0A3h,0A1h,0A2h,09Fh
db 0A3h,098h,058h,054h,054h,055h,055h,056h,055h,05Eh,0A0h,0A2h,0A5h,06Ch,051h,05Ah
db 052h,064h,0A1h,0A4h,0A3h,0A3h,0A2h,0A2h,0A2h,0A2h,0A2h,099h,057h,056h,053h,058h
db 054h,059h,054h,05Ah,054h,05Ch,051h,08Eh,0A6h,0A8h,086h,052h,05Bh,057h,058h,08Dh
db 0ACh,0A1h,0A8h,0A2h,0A7h,0A1h,0A6h,0A0h,0A7h,06Fh,051h,059h,055h,059h,056h,05Ah
db 056h,05Dh,053h,07Eh,0ABh,0A5h,09Ah,056h,05Eh,052h,089h,0ABh,0A3h,0A7h,0A3h,0A7h
db 0A2h,0A7h,0A0h,0AAh,077h,051h,05Ah,056h,058h,059h,058h,05Bh,055h,07Dh,0ADh,0A1h
db 0A9h,0A2h,0A7h,0A2h,0A7h,0A1h,0A6h,0A1h,0A5h,0A0h,0A5h,09Fh,0A5h,066h,052h,056h
db 056h,056h,058h,055h,05Ah,053h,089h,0AAh,0A1h,0A6h,0A2h,0A5h,0A2h,0A3h,0A2h,0A2h
db 0A1h,0A1h,0A1h,0A1h,0A0h,0A0h,09Eh,060h,050h,055h,053h,056h,054h,056h,056h,095h
db 0A5h,0A0h,0A3h,0A0h,0A2h,09Fh,0A2h,09Eh,0A2h,09Ch,0A5h,074h,04Dh,056h,051h,055h
db 053h,056h,054h,057h,054h,058h,054h,061h,0A0h,0A3h,0A3h,0A3h,0A3h,0A2h,0A2h,0A0h
db 0A3h,099h,059h,053h,055h,055h,056h,056h,057h,056h,058h,056h,059h,056h,05Ch,054h
db 070h,0A9h,0A3h,0A7h,0A4h,0A5h,0A4h,0A4h,0A4h,0A3h,0A5h,097h,056h,058h,055h,058h
db 056h,059h,057h,05Ah,057h,05Ch,056h,090h,0ABh,0A3h,0A7h,0A4h,0A6h,0A3h,0A6h,0A2h
db 0A6h,0A0h,0A9h,080h,050h,05Ah,054h,059h,056h,059h,057h,059h,058h,05Ah,05Eh,0A1h
db 0A6h,0A6h,0A4h,0A6h,0A3h,0A6h,0A2h,0A6h,0A0h,0A6h,09Eh,0A9h,076h,051h,058h,056h
db 057h,058h,056h,05Bh,052h,07Dh,0AAh,0A4h,099h,055h,05Ch,055h,05Dh,052h,079h,0ABh
db 0A3h,0A7h,0A3h,0A7h,0A2h,0A7h,0A0h,0AAh,086h,052h,059h,057h,058h,059h,055h,07Ah
db 0B1h,08Ah,057h,05Ah,059h,05Bh,059h,05Dh,056h,072h,0ACh,0A4h,0A9h,0A4h,0A8h,0A4h
db 0A7h,0A3h,0A9h,090h,055h,05Bh,056h,05Dh,054h,07Eh,0B1h,08Bh,056h,05Ch,058h,05Dh
db 058h,05Fh,055h,074h,0ABh,0A7h,0A8h,0A7h,0A6h,0A8h,0A3h,0ABh,088h,053h,05Dh,058h
db 05Ch,059h,05Bh,05Bh,05Ch,05Bh,05Ch,05Dh,05Dh,05Eh,05Ch,060h,059h,07Ch,0B1h,0A7h
db 0ADh,0A7h,0ACh,0A6h,0ACh,0A5h,0AEh,08Ch,057h,05Fh,05Ah,05Eh,05Bh,05Eh,05Ch,05Fh
db 05Dh,060h,05Dh,061h,05Dh,064h,059h,081h,0B2h,0A9h,0ADh,0AAh,0ACh,0AAh,0ABh,0AAh
db 0A9h,0A9h,0A9h,0A8h,0A8h,0A5h,065h,059h,05Ch,05Ch,05Ch,05Dh,05Ch,05Fh,05Bh,097h
db 0AEh,0A8h,0ABh,0A8h,0A9h,0A9h,0A7h,0A9h,0A5h,0ABh,079h,054h,05Fh,058h,05Dh,05Ah
db 05Dh,05Bh,05Eh,05Ch,05Eh,05Ch,05Eh,05Eh,060h,09Ch,0B0h,0A7h,0ADh,0A7h,0ACh,0A6h
db 0ABh,0A6h,0AAh,0A4h,0ABh,0A2h,0AEh,08Ah,056h,05Bh,05Ah,05Ah,05Ch,05Ah,05Eh,058h
db 06Eh,0A9h,0A8h,0A8h,0A9h,0A5h,0ADh,080h,054h,05Eh,059h,05Eh,099h,0ACh,0A5h,0A9h
db 0A5h,0A7h,0A5h,0A7h,0A4h,0A5h,067h,055h,05Ch,054h,06Ch,0A8h,0A5h,0A6h,0A6h,06Dh
db 053h,05Dh,056h,05Dh,057h,05Eh,057h,095h,0ABh,0A5h,0A8h,0A5h,0A8h,09Ah,059h,05Dh
db 054h,085h,0ADh,0A3h,0A9h,0A3h,0A8h,0A2h,0A8h,069h,055h,05Ah,058h,059h,059h,05Ch
db 09Bh,0A9h,0A4h,0A6h,0A4h,0A6h,0A4h,0A5h,0A3h,0A4h,0A3h,0A4h,0A2h,0A3h,0A1h,0A5h
db 094h,055h,056h,054h,057h,055h,057h,056h,058h,05Ch,09Fh,0A3h,0A6h,0A0h,0A9h,080h
db 050h,059h,058h,09Ah,0A5h,0A1h,0A4h,0A1h,0A6h,08Ch,051h,059h,053h,059h,054h,05Ah
db 052h,06Dh,0A7h,0A2h,0A6h,0A1h,0A6h,071h,04Dh,072h,0A6h,0A1h,0A5h,0A1h,0A4h,0A0h
db 0A4h,09Eh,0A6h,089h,051h,057h,054h,057h,055h,057h,056h,057h,057h,057h,058h,058h
db 059h,058h,05Bh,055h,070h,0AAh,0A3h,0A9h,0A2h,0A8h,0A1h,0ABh,080h,052h,05Ch,056h
db 05Bh,058h,05Ch,059h,05Ch,059h,05Dh,05Ah,05Eh,059h,060h,057h,08Ah,0AEh,0A7h,0AAh
db 0A7h,0A8h,0A8h,0A5h,0ABh,074h,054h,05Eh,058h,05Dh,05Ah,05Eh,05Bh,05Eh,05Ch,05Eh
db 05Dh,05Eh,05Dh,062h,0A0h,0AEh,0A9h,0ABh,0A9h,0ABh,0A8h,0A9h,0A8h,0A9h,0A6h,0A8h
db 0A6h,0A7h,0A5h,0A7h,0A5h,09Fh,05Bh,05Bh,057h,05Dh,054h,071h,0A8h,0A6h,0A6h,0A6h
db 0A5h,0A6h,0A3h,0A5h,0A2h,0A7h,096h,05Ah,055h,05Ah,052h,07Ch,0AAh,0A1h,0A6h,0A2h
db 0A4h,0A3h,0A2h,0A3h,0A0h,0A6h,08Ah,050h,05Bh,093h,0A8h,09Ch,0A9h,07Dh,04Fh,058h
db 053h,058h,053h,059h,051h,07Ch,0AAh,09Fh,0A6h,0A0h,0A5h,09Eh,0A7h,06Eh,051h,056h
db 062h,0A5h,09Eh,0A6h,09Eh,0A5h,09Ch,0A8h,080h,050h,055h,055h,053h,059h,050h,07Ch
db 0A8h,09Fh,0A5h,098h,058h,057h,051h,080h,0A9h,09Eh,0A5h,09Fh,0A3h,09Fh,0A3h,09Dh
db 0A6h,07Ch,04Ch,059h,04Fh,05Ah,04Eh,08Fh,0A2h,0A6h,080h,04Fh,057h,054h,055h,058h
db 051h,080h,0AAh,09Fh,0A5h,0A0h,0A3h,0A0h,0A2h,0A0h,0A1h,0A0h,0A0h,09Fh,09Eh,0A0h
db 09Dh,0A1h,065h,04Eh,054h,051h,054h,054h,053h,056h,050h,083h,0A8h,09Dh,0A3h,0A0h
db 098h,052h,058h,04Dh,080h,0A6h,09Eh,0A3h,09Fh,0A1h,09Eh,0A2h,09Ch,0A5h,077h,04Ch
db 056h,050h,055h,052h,056h,053h,056h,054h,057h,054h,05Eh,09Eh,0A4h,0A2h,0A2h,0A2h
db 0A0h,0A4h,08Eh,050h,059h,051h,05Ah,04Eh,07Ch,0A7h,0A0h,0A4h,0A1h,09Fh,05Fh,052h
db 056h,054h,058h,054h,060h,09Dh,0A6h,0A0h,0A8h,075h,050h,05Ah,054h,05Eh,09Ah,0A6h
db 0A1h,0A5h,0A1h,0A3h,0A1h,0A3h,0A0h,0A2h,09Fh,0A2h,09Fh,0A1h,09Eh,0A0h,09Dh,0A0h
db 09Ch,0A0h,060h,04Fh,052h,053h,050h,05Dh,09Ch,0A0h,09Eh,0A0h,09Ch,0A4h,080h,04Bh
db 05Ch,095h,0A2h,09Ch,0A0h,09Bh,0A0h,09Bh,0A0h,091h,054h,050h,052h,050h,054h,04Eh
db 063h,0A1h,09Dh,09Eh,05Eh,050h,053h,052h,055h,052h,05Ah,09Bh,0A2h,0A0h,0A0h,0A1h
db 09Eh,0A2h,08Dh,04Eh,057h,04Dh,088h,0A3h,09Eh,09Fh,0A1h,091h,051h,054h,051h,054h
db 052h,055h,054h,055h,05Bh,09Dh,0A1h,0A2h,0A0h,0A2h,09Fh,0A2h,09Eh,0A1h,09Dh,0A1h
db 09Ch,0A1h,099h,0A5h,080h,04Dh,053h,052h,051h,055h,04Dh,078h,0A5h,09Fh,093h,04Fh
db 057h,04Fh,059h,04Ch,076h,0A6h,09Eh,0A2h,09Fh,0A1h,09Eh,0A1h,09Eh,0A0h,09Dh,09Fh
db 09Ch,09Fh,09Ah,0A1h,065h,04Dh,053h,051h,051h,053h,052h,055h,04Eh,080h,0A6h,09Ch
db 0A2h,09Dh,0A0h,09Dh,0A0h,09Dh,09Eh,09Ch,09Eh,09Ch,09Dh,09Dh,099h,058h,04Fh,051h
db 050h,051h,051h,052h,052h,053h,054h,053h,054h,054h,055h,053h,05Fh,0A0h,0A1h,0A3h
db 0A0h,0A2h,09Fh,0A2h,09Fh,0A1h,09Dh,0A2h,09Bh,0A4h,06Ch,04Eh,054h,052h,053h,055h
db 051h,08Eh,0A3h,0A3h,07Fh,04Bh,05Ah,050h,05Ah,04Fh,08Ch,0A5h,0A0h,0A2h,0A0h,0A1h
db 0A1h,0A0h,09Fh,0A0h,09Fh,09Fh,09Eh,09Eh,09Dh,09Eh,09Ch,09Fh,09Ah,0A1h,074h,048h
db 055h,04Dh,055h,04Eh,08Eh,0A0h,09Eh,09Ch,0A1h,089h,04Ch,055h,04Ch,089h,0A2h,09Ch
db 09Fh,09Dh,09Dh,09Dh,09Ch,09Ch,060h,04Bh,053h,04Fh,051h,058h,09Dh,09Bh,0A2h,064h
db 04Eh,053h,052h,052h,054h,054h,093h,0A3h,09Eh,0A0h,09Fh,09Fh,09Eh,09Dh,09Eh,09Dh
db 09Eh,09Bh,09Eh,09Ah,0A1h,088h,04Dh,051h,04Fh,051h,051h,052h,051h,052h,053h,052h
db 054h,053h,055h,053h,057h,051h,069h,0A4h,0A0h,0A2h,0A1h,0A2h,0A0h,0A0h,0A1h,09Fh
db 0A0h,09Eh,0A0h,09Dh,0A0h,09Ah,0A4h,07Eh,04Ch,054h,050h,054h,052h,054h,053h,054h
db 055h,054h,056h,054h,058h,052h,088h,0A8h,0A0h,0A5h,0A0h,0A3h,0A0h,0A2h,09Fh,0A1h
db 09Fh,0A1h,09Fh,0A0h,09Fh,09Fh,09Dh,05Eh,04Fh,054h,052h,055h,053h,055h,053h,056h
db 054h,057h,055h,058h,054h,065h,0A3h,0A2h,0A4h,0A2h,0A3h,0A1h,0A2h,0A1h,0A3h,0A0h
db 0A2h,09Eh,0A2h,09Dh,0A5h,07Ch,04Ch,057h,050h,057h,051h,059h,04Eh,07Bh,0A9h,09Dh
db 0A6h,096h,05Bh,052h,059h,04Fh,077h,0A8h,09Eh,0A4h,0A0h,0A2h,0A0h,0A1h,0A0h,0A1h
db 09Fh,0A0h,09Eh,09Fh,09Eh,09Fh,09Dh,09Eh,09Dh,09Eh,09Ch,09Dh,09Ch,09Dh,09Bh,09Ch
db 09Ah,09Ch,09Ah,09Bh,09Ah,094h,051h,04Fh,04Ch,052h,049h,066h,09Eh,09Ah,09Ch,09Ah
db 09Dh,069h,043h,06Ch,09Dh,09Bh,09Ah,09Dh,098h,09Dh,095h,0A1h,07Ah,04Ah,04Eh,04Fh
db 04Bh,087h,09Dh,09Eh,07Ah,047h,053h,04Dh,051h,050h,04Dh,07Ch,0A6h,098h,0A1h,099h
db 09Fh,099h,09Eh,099h,09Dh,098h,09Dh,098h,09Dh,097h,099h,054h,04Fh,048h,06Eh,0A0h
db 097h,09Ch,098h,09Ah,05Ah,04Ah,04Fh,04Dh,04Fh,04Eh,050h,04Fh,050h,051h,051h,052h
db 052h,052h,052h,058h,099h,0A1h,09Fh,09Fh,09Fh,09Eh,09Fh,09Dh,09Eh,09Dh,09Eh,09Ch
db 09Eh,09Ah,0A2h,082h,04Ah,053h,04Dh,052h,04Fh,053h,050h,054h,051h,055h,051h,056h
db 052h,058h,04Fh,079h,0A7h,09Fh,0A3h,0A0h,0A2h,0A0h,0A1h,09Fh,0A0h,09Eh,09Fh,09Eh
db 09Fh,09Dh,09Eh,09Dh,09Dh,09Dh,09Dh,09Ch,09Ch,09Bh,099h,059h,04Dh,050h,04Fh,050h
db 050h,051h,051h,052h,052h,053h,053h,054h,053h,055h,054h,056h,054h,059h,051h,080h
db 0AAh,09Eh,0A6h,09Fh,0A5h,09Eh,0A5h,09Ch,0A8h,07Eh,050h,056h,058h,097h,0A5h,09Dh
db 0A7h,07Bh,04Eh,057h,053h,057h,054h,057h,056h,057h,057h,058h,058h,058h,059h,058h
db 05Bh,055h,080h,0ADh,0A1h,0AAh,0A2h,0A8h,0A2h,0A7h,0A1h,0A7h,09Fh,0A9h,08Dh,056h
db 055h,059h,052h,082h,0AAh,0A0h,0A6h,0A2h,09Eh,058h,05Ah,051h,080h,0AAh,0A0h,0A5h
db 0A0h,0A5h,0A0h,0A5h,09Eh,0A7h,07Fh,04Ch,063h,09Dh,0A2h,0A0h,0A2h,09Eh,0A5h,080h
db 04Bh,05Ah,04Fh,05Bh,04Ch,089h,0A2h,0A6h,085h,050h,057h,055h,055h,058h,052h,07Ah
db 0AAh,09Eh,0A6h,0A0h,0A4h,0A0h,0A3h,09Fh,0A2h,09Fh,0A2h,09Fh,0A0h,09Eh,09Fh,09Eh
db 09Fh,09Dh,09Fh,09Dh,09Eh,09Dh,09Ah,058h,04Fh,051h,051h,052h,052h,052h,053h,053h
db 054h,054h,055h,054h,056h,054h,05Fh,09Fh,0A3h,0A3h,0A2h,0A2h,0A1h,0A2h,0A0h,0A1h
db 0A0h,0A0h,09Fh,0A0h,09Eh,09Fh,09Eh,09Fh,09Ch,09Fh,09Bh,09Fh,099h,0A2h,075h,04Ah
db 054h,04Eh,053h,050h,054h,051h,054h,052h,055h,052h,057h,053h,058h,050h,087h,0A8h
db 09Fh,0A4h,0A0h,0A2h,09Fh,0A2h,09Fh,0A0h,09Fh,0A0h,09Eh,09Fh,09Eh,09Fh,09Ch,09Fh
db 09Bh,09Fh,09Ah,0A2h,086h,04Ch,052h,04Fh,052h,051h,052h,052h,053h,053h,054h,054h
db 054h,055h,055h,056h,056h,057h,055h,05Eh,09Eh,0A5h,0A3h,0A4h,0A2h,0A2h,0A1h,0A2h
db 0A1h,0A1h,0A0h,0A1h,0A0h,0A0h,09Eh,0A0h,09Eh,0A0h,09Dh,09Eh,05Fh,04Fh,052h,052h
db 053h,053h,053h,055h,090h,0A6h,09Bh,0A8h,07Eh,050h,055h,055h,053h,08Eh,0A5h,09Fh
db 0A1h,0A3h,08Dh,04Fh,058h,050h,059h,04Dh,07Ch,0A8h,09Eh,0A4h,09Fh,0A0h,05Bh,056h
db 04Fh,076h,0A7h,09Eh,0A2h,0A0h,0A0h,0A1h,06Ah,04Dh,059h,050h,062h,09Fh,0A1h,0A1h
db 09Eh,0A5h,078h,04Ch,059h,04Fh,059h,050h,093h,0A1h,0A6h,07Dh,04Eh,05Ah,052h,059h
db 054h,05Ah,051h,07Dh,0AEh,088h,053h,05Ah,055h,05Ch,052h,081h,0ABh,0A1h,0A7h,0A2h
db 0A5h,0A2h,0A5h,0A2h,0A4h,0A1h,0A3h,0A1h,0A2h,0A0h,0A0h,060h,053h,056h,055h,056h
db 056h,056h,057h,057h,058h,058h,059h,058h,059h,059h,05Ah,05Ah,05Bh,05Ah,05Ch,05Ah
db 05Eh,059h,06Bh,0A9h,0A8h,0AAh,0A7h,0A9h,0A7h,0A8h,0A6h,0A7h,0A5h,0A6h,0A5h,0A5h
db 0A4h,0A5h,0A4h,0A4h,0A3h,0A3h,0A2h,0A3h,0A2h,0A2h,0A1h,0A2h,0A1h,0A0h,0A1h,0A0h
db 09Fh,0A0h,09Fh,09Eh,09Eh,09Fh,09Eh,09Dh,09Eh,09Dh,09Ch,09Dh,09Ch,09Dh,09Ch,09Bh
db 09Bh,09Ah,09Bh,09Ah,09Ah,099h,09Ah,099h,099h,098h,099h,098h,099h,097h,098h,097h
db 098h,096h,097h,096h,097h,095h,096h,094h,097h,093h,098h,084h,047h,04Bh,048h,04Bh
db 04Ah,04Bh,04Ah,04Ch,04Bh,04Dh,04Ch,04Dh,04Dh,04Fh,04Eh,051h,04Dh,059h,099h,09Ch
db 09Ch,09Ch,09Bh,09Bh,09Ah,09Bh,09Ah,09Ah,099h,09Ah,099h,099h,098h,099h,098h,099h
db 098h,098h,097h,097h,096h,097h,096h,097h,096h,096h,095h,096h,095h,095h,094h,095h
db 093h,094h,093h,094h,093h,093h,092h,093h,092h,093h,091h,092h,091h,092h,091h,092h
db 090h,092h,08Fh,091h,08Fh,08Eh,04Ah,045h,03Fh,067h,098h,08Eh,094h,08Fh,092h,08Eh
db 091h,08Fh,091h,08Fh,090h,08Fh,090h,08Eh,08Fh,08Eh,08Fh,08Eh,08Fh,08Dh,08Eh,08Dh
db 08Eh,08Ch,08Eh,08Ch,08Eh,08Ah,091h,07Fh,03Fh,041h,040h,042h,041h,042h,043h,044h
db 044h,044h,045h,045h,046h,046h,047h,047h,048h,048h,049h,049h,04Ah,04Ah,04Bh,04Bh
db 04Ch,04Bh,04Eh,04Bh,050h,049h,080h,0A0h,098h,09Ch,098h,09Bh,098h,09Ah,098h,099h
db 098h,099h,097h,098h,097h,098h,096h,097h,096h,097h,096h,096h,095h,096h,095h,095h
db 094h,095h,094h,094h,093h,094h,093h,094h,093h,093h,092h,093h,092h,092h,091h,092h
db 091h,092h,091h,091h,090h,091h,090h,090h,08Fh,090h,08Fh,090h,090h,08Fh,08Eh,08Fh
db 08Eh,08Fh,08Fh,08Eh,08Dh,08Eh,08Dh,08Eh,08Dh,08Ch,08Dh,08Dh,08Ch,08Ch,08Dh,08Ch
db 08Bh,08Ch,08Bh,08Ch,08Bh,08Ah,08Ah,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,089h,08Ah,08Ah
db 089h,08Ah,089h,089h,089h,088h,089h,088h,088h,089h,088h,088h,088h,087h,088h,087h
db 087h,088h,087h,086h,087h,086h,087h,086h,086h,087h,086h,085h,086h,085h,086h,085h
db 086h,085h,086h,085h,084h,085h,084h,084h,085h,084h,085h,084h,084h,085h,084h,083h
db 084h,083h,084h,083h,084h,083h,083h,083h,082h,083h,082h,083h,082h,083h,083h,082h
db 083h,082h,083h,082h,081h,082h,081h,082h,082h,081h,082h,081h,082h,081h,082h,081h
db 081h,081h,080h,081h,081h,080h,081h,080h,081h,081h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,03Eh
db 030h,034h,033h,034h,034h,035h,036h,036h,037h,038h,039h,038h,03Ah,039h,03Bh,03Ah
db 03Eh,03Ah,040h,037h,05Dh,090h,088h,08Dh,089h,08Bh,089h,08Bh,089h,08Ah,089h,08Ah
db 089h,08Ah,088h,089h,088h,089h,088h,089h,088h,089h,087h,088h,087h,088h,087h,088h
db 087h,088h,087h,087h,086h,087h,086h,087h,086h,087h,086h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 085h,084h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,080h,082h,080h,081h,080h,082h,080h,082h,080h
db 083h,080h,085h,06Fh,033h,035h,072h,086h,080h,083h,080h,083h,080h,082h,081h,082h
db 080h,082h,081h,081h,080h,081h,080h,081h,081h,080h,081h,080h,081h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,081h,080h,082h,07Eh,086h,066h
db 038h,080h,080h,081h,080h,081h,080h,080h,080h,080h,081h,080h,080h,080h,081h,07Fh
db 085h,06Bh,030h,037h,074h,085h,080h,083h,080h,082h,080h,082h,080h,081h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,083h,063h,036h,084h
db 07Bh,087h,03Ch,05Ch,086h,080h,081h,080h,080h,080h,080h,080h,080h,081h,080h,081h
db 080h,082h,07Eh,045h,029h,05Dh,084h,081h,080h,083h,080h,086h,03Dh,05Eh,087h,082h
db 071h,030h,03Ah,074h,089h,080h,085h,080h,085h,080h,084h,080h,083h,081h,082h,081h
db 082h,081h,082h,082h,081h,082h,080h,085h,059h,02Bh,04Ah,081h,083h,082h,083h,082h
db 083h,082h,083h,083h,082h,082h,082h,082h,081h,082h,081h,082h,081h,082h,081h,082h
db 081h,082h,080h,082h,080h,082h,080h,084h,07Eh,044h,02Bh,063h,085h,084h,072h,033h
db 038h,036h,038h,03Ah,034h,054h,08Ch,082h,089h,084h,088h,084h,087h,084h,087h,084h
db 086h,085h,086h,085h,086h,085h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 085h,084h,085h,084h,083h,084h,084h,084h,083h,084h,082h,087h,07Ah,03Bh,034h,06Dh
db 08Bh,081h,088h,082h,087h,082h,087h,082h,087h,082h,086h,080h,089h,075h,039h,035h
db 074h,089h,082h,086h,083h,087h,07Dh,038h,07Ah,085h,088h,060h,02Fh,04Bh,083h,088h
db 085h,087h,085h,087h,085h,086h,085h,086h,085h,086h,085h,086h,086h,085h,085h,085h
db 086h,084h,086h,082h,089h,05Dh,02Fh,04Bh,085h,081h,041h,036h,065h,094h,064h,037h
db 043h,085h,086h,08Dh,04Dh,05Ch,092h,085h,080h,037h,085h,082h,094h,054h,055h,08Eh
db 089h,082h,042h,039h,06Fh,091h,087h,08Dh,088h,08Ch,089h,08Ch,089h,08Ah,089h,08Ah
db 089h,08Ah,089h,08Ah,089h,089h,088h,089h,089h,088h,089h,088h,089h,088h,089h,087h
db 08Ah,085h,08Dh,075h,038h,03Eh,07Bh,08Eh,085h,08Bh,086h,08Ah,086h,08Ah,086h,089h
db 04Dh,035h,05Dh,094h,073h,03Dh,03Eh,07Fh,08Dh,089h,08Bh,089h,08Ah,089h,08Bh,085h
db 048h,038h,067h,096h,06Ch,03Bh,046h,084h,08Dh,053h,037h,064h,092h,08Ah,08Fh,08Ch
db 08Eh,08Ch,08Dh,08Ch,08Dh,08Bh,08Dh,08Ch,08Ch,08Ah,08Ch,056h,035h,060h,090h,08Ah
db 08Eh,08Ah,08Dh,08Bh,08Dh,08Bh,08Eh,08Ah,08Fh,080h,043h,03Ch,074h,094h,086h,094h
db 077h,03Dh,043h,080h,093h,05Ah,039h,05Bh,095h,080h,044h,041h,079h,09Ah,064h,03Ch
db 055h,091h,08Fh,08Fh,051h,03Eh,068h,09Eh,076h,044h,048h,088h,094h,05Fh,03Ah,068h
db 094h,096h,087h,04Eh,040h,07Dh,096h,096h,07Bh,040h,051h,08Ah,098h,05Ah,040h,06Ah
db 09Ah,094h,08Ch,048h,088h,097h,095h,095h,094h,095h,094h,095h,093h,096h,091h,099h
db 06Bh,041h,04Bh,045h,04Ah,048h,04Bh,049h,04Ch,04Ah,04Dh,04Bh,04Dh,04Dh,04Eh,086h
db 0A3h,06Ch,046h,064h,09Dh,09Ah,098h,058h,04Ah,077h,0A8h,07Dh,04Ch,055h,095h,09Ch
db 063h,046h,074h,0A1h,09Bh,09Dh,09Bh,09Ch,09Ch,09Ah,09Ch,099h,09Fh,085h,04Ah,053h
db 089h,0A4h,067h,048h,067h,0A1h,098h,09Fh,097h,09Fh,096h,0A2h,074h,048h,05Bh,09Bh
db 095h,05Ch,045h,07Eh,09Eh,09Eh,087h,04Bh,052h,08Ah,0A3h,06Ah,047h,06Ah,09Fh,09Ch
db 097h,057h,04Ch,07Dh,0A9h,07Bh,04Bh,05Ah,098h,09Fh,09Dh,06Bh,045h,071h,09Eh,0A0h
db 093h,057h,04Ch,082h,0A4h,09Bh,0A0h,09Dh,09Eh,09Dh,09Bh,09Fh,066h,04Bh,053h,04Fh
db 053h,051h,053h,053h,052h,055h,050h,070h,0A7h,09Dh,0A4h,09Eh,0A2h,09Dh,0A1h,09Dh
db 0A1h,09Ch,0A2h,092h,057h,04Eh,082h,0A9h,078h,04Bh,060h,09Dh,09Ch,05Dh,04Eh,07Ch
db 0ABh,080h,050h,059h,098h,0A1h,068h,04Ah,077h,0A4h,0A1h,096h,054h,055h,084h,0AEh
db 074h,050h,062h,0A4h,09Dh,0A5h,05Bh,080h,0A7h,09Eh,0A2h,0A0h,0A0h,0A0h,09Eh,0A1h
db 09Ch,0A4h,07Fh,04Bh,05Dh,099h,09Fh,063h,04Ah,079h,0A5h,09Dh,0A0h,09Eh,09Fh,09Eh
db 066h,049h,073h,0A8h,088h,051h,054h,08Eh,0A6h,06Eh,04Ah,06Ch,0A2h,09Fh,0A0h,0A0h
db 09Dh,0A3h,074h,048h,068h,0A2h,095h,059h,04Eh,082h,0A6h,09Bh,0A2h,09Dh,0A1h,09Dh
db 09Eh,060h,04Ch,075h,0AAh,083h,051h,055h,093h,0A3h,06Bh,049h,070h,0A3h,09Dh,0A1h
db 09Dh,0A0h,09Ch,0A3h,078h,048h,064h,09Ch,09Fh,09Ch,063h,049h,077h,0A7h,086h,04Fh
db 057h,08Fh,0A7h,067h,051h,051h,063h,0A4h,096h,05Ch,04Eh,083h,0A7h,09Ch,0A4h,09Ch
db 0A4h,096h,060h,049h,081h,0A2h,0A3h,089h,050h,057h,092h,0A3h,0A1h,079h,047h,069h
db 09Eh,0A1h,0A0h,09Fh,0A2h,073h,048h,06Ch,0A2h,095h,055h,052h,082h,0ADh,076h,04Fh
db 060h,0A1h,09Dh,0A4h,09Bh,0A7h,074h,04Ch,063h,0A4h,095h,05Fh,04Bh,085h,0A1h,0A5h
db 085h,058h,09Fh,09Fh,0A0h,0A0h,09Dh,0A4h,081h,04Ch,057h,04Fh,057h,04Fh,080h,0ACh
db 07Eh,04Eh,05Fh,09Dh,0A1h,0A3h,06Bh,04Ch,071h,0AAh,08Ch,057h,052h,091h,0A2h,0A6h
db 07Bh,060h,0AAh,09Ah,0A7h,09Bh,0A5h,09Ah,0A7h,07Eh,04Dh,05Eh,09Bh,09Fh,061h,050h
db 057h,052h,058h,052h,05Eh,095h,065h,04Dh,081h,0A7h,0A1h,0A4h,0A2h,0A2h,0A1h,0A2h
db 0A1h,0A0h,0A1h,0A0h,0A0h,09Fh,0A0h,09Eh,0A0h,069h,049h,071h,0A4h,09Ch,0A1h,09Ch
db 0A2h,09Ah,0A5h,072h,04Dh,052h,05Ah,097h,056h,055h,04Eh,078h,0ABh,083h,051h,057h
db 096h,0A3h,09Fh,0A0h,09Fh,09Eh,0A2h,092h,053h,053h,085h,0ABh,073h,04Ch,063h,0A1h
db 09Dh,0A2h,09Dh,0A1h,09Ch,0A1h,09Bh,0A3h,08Eh,054h,04Fh,055h,04Ch,07Ah,0A5h,09Dh
db 0A0h,09Dh,09Eh,09Eh,09Ch,0A1h,075h,047h,065h,09Eh,097h,057h,051h,052h,052h,053h
db 054h,053h,059h,09Bh,0A1h,067h,04Ah,079h,0A5h,0A0h,096h,053h,095h,0A1h,0A4h,079h
db 049h,068h,09Eh,0A2h,09Dh,065h,04Ah,07Eh,0A4h,0A2h,091h,054h,097h,0A2h,06Bh,04Ah
db 071h,0A7h,08Eh,054h,055h,08Bh,0AAh,073h,04Dh,068h,0A6h,096h,05Bh,051h,084h,0ACh
db 07Ch,04Eh,063h,09Fh,0A2h,0A1h,0A3h,073h,048h,073h,08Fh,052h,059h,08Fh,0ABh,070h
db 04Fh,06Dh,0A9h,095h,05Ah,053h,089h,0ADh,07Bh,04Fh,067h,0A2h,0A3h,0A3h,0A2h,0A3h
db 0A1h,0A3h,0A0h,0A4h,094h,057h,053h,085h,0ADh,077h,051h,056h,05Bh,09Eh,0A0h,068h
db 04Ch,07Dh,0A6h,0A3h,096h,054h,099h,0A1h,0A6h,078h,04Bh,069h,0A3h,09Bh,05Ah,056h
db 055h,058h,053h,06Ch,0AAh,097h,05Bh,08Fh,0ADh,071h,053h,05Ah,057h,059h,057h,05Ah
db 058h,05Ch,056h,077h,0B1h,091h,05Eh,09Dh,0A8h,0A5h,0A7h,0A5h,0A6h,0A4h,0A6h,0A3h
db 0A6h,0A1h,0A8h,073h,051h,05Bh,055h,05Ah,059h,099h,0A8h,072h,04Eh,075h,0AAh,097h
db 059h,09Bh,0A4h,0A9h,07Bh,04Eh,06Ch,0A4h,0A5h,0A3h,064h,055h,05Bh,055h,06Dh,0AAh
db 0A1h,0A7h,05Ah,08Ch,0A7h,0A8h,087h,050h,062h,09Bh,0A9h,0A1h,0A7h,0A0h,0A9h,089h
db 052h,05Bh,055h,093h,0AAh,077h,04Dh,070h,0A6h,09Ch,059h,05Bh,055h,05Eh,052h,075h
db 0A7h,0A6h,0A4h,0A9h,09Fh,0ADh,06Eh,072h,0ABh,0A3h,09Bh,05Ah,054h,089h,0A9h,0A4h
db 089h,04Eh,05Eh,052h,05Fh,051h,088h,0AAh,0A2h,0A9h,092h,057h,05Ah,08Fh,0AFh,075h
db 051h,06Eh,0A9h,0A3h,0A3h,05Fh,059h,057h,05Bh,055h,06Bh,0A6h,0A5h,0A6h,0A5h,0A6h
db 0A4h,0A5h,0A4h,0A4h,0A3h,0A4h,0A1h,0A5h,06Ah,051h,059h,055h,059h,056h,05Bh,095h
db 0ACh,070h,051h,072h,0AAh,0A0h,0A8h,0A0h,0A9h,09Dh,0AEh,076h,067h,0A7h,0A1h,09Fh
db 05Fh,050h,080h,0ABh,09Dh,0A8h,092h,058h,055h,08Ah,0ADh,075h,052h,057h,05Eh,0A0h
db 0A0h,066h,04Fh,07Dh,0AEh,086h,054h,05Bh,099h,0A5h,0A5h,079h,04Bh,06Fh,0A4h,09Ch
db 058h,059h,054h,05Ch,052h,072h,0A8h,0A3h,0A6h,0A4h,0A4h,0A3h,0A3h,0A4h,0A2h,0A6h
db 094h,056h,057h,055h,058h,056h,059h,055h,065h,0A5h,09Fh,063h,052h,080h,0B0h,084h
db 053h,061h,09Dh,0A8h,0A3h,0A6h,0A3h,0A5h,0A3h,0A4h,0A2h,0A4h,0A1h,069h,04Dh,07Ah
db 0ABh,08Ch,052h,05Bh,091h,0ACh,06Bh,054h,056h,058h,055h,05Bh,054h,05Dh,051h,084h
db 0A9h,0A4h,0A5h,0A6h,0A2h,0A8h,09Eh,0ACh,06Ch,070h,0AAh,0A1h,09Ah,058h,055h,086h
db 0AEh,07Bh,04Fh,066h,0A1h,0A1h,05Ch,059h,050h,07Eh,08Dh,04Dh,064h,099h,0A9h,0A1h
db 0A7h,0A1h,0A6h,0A1h,0A4h,0A1h,0A3h,0A2h,0A1h,0A4h,07Ah,048h,06Dh,092h,056h,055h
db 056h,055h,058h,053h,06Bh,0A8h,0A0h,0A7h,09Fh,06Dh,049h,080h,088h,050h,05Bh,057h
db 097h,0A9h,071h,04Fh,072h,0A8h,0A1h,0A2h,057h,08Fh,0A5h,0A7h,082h,04Fh,062h,09Eh
db 0A3h,067h,04Fh,080h,0A7h,0A5h,094h,058h,099h,0A7h,06Dh,052h,057h,066h,0ABh,097h
db 060h,052h,086h,0AFh,07Ch,063h,0ABh,09Eh,0A9h,09Eh,0A8h,09Dh,0ABh,080h,051h,05Eh
db 09Eh,0A0h,068h,04Bh,07Fh,0A5h,0A5h,093h,056h,056h,08Dh,0A9h,09Eh,0A5h,09Eh,0A6h
db 094h,058h,053h,087h,0ACh,078h,050h,058h,053h,058h,054h,08Fh,0A7h,0A0h,0A4h,0A1h
db 0A3h,0A0h,0A2h,0A0h,0A1h,0A2h,078h,045h,070h,08Eh,057h,052h,08Fh,0A3h,0A5h,081h
db 04Dh,059h,055h,097h,0A5h,06Eh,04Bh,071h,0A8h,091h,057h,055h,08Ah,0ACh,074h,051h
db 059h,054h,059h,054h,05Bh,052h,083h,0AAh,0A2h,0A6h,0A3h,0A4h,0A3h,0A2h,0A4h,09Fh
db 0A8h,080h,05Bh,0A8h,096h,064h,049h,088h,07Fh,04Dh,05Ch,051h,05Ch,052h,092h,0A4h
db 0A7h,080h,04Eh,065h,09Eh,0A5h,0A2h,06Eh,04Bh,07Ah,0A6h,0A5h,099h,059h,056h,086h
db 0B0h,07Ah,051h,064h,0A4h,0A0h,0A7h,09Dh,0ACh,072h,06Ah,0AAh,09Dh,0A5h,09Ch,064h
db 04Fh,05Bh,04Fh,06Dh,0A4h,0A2h,09Fh,05Eh,055h,056h,057h,054h,067h,0A7h,09Ah,060h
db 052h,084h,0AFh,080h,051h,063h,0A0h,0A2h,066h,050h,080h,0AAh,0A1h,0A7h,0A2h,0A6h
db 0A1h,0A5h,0A0h,0A5h,09Eh,0A7h,08Dh,054h,055h,056h,055h,058h,053h,06Fh,0ACh,092h
db 059h,056h,057h,057h,059h,055h,06Ch,0ADh,096h,060h,053h,08Eh,0A8h,0A8h,088h,050h
db 065h,097h,067h,051h,083h,0AFh,086h,053h,063h,09Ch,0A9h,069h,053h,079h,0B1h,08Ch
db 05Ah,05Ah,099h,0A8h,0A5h,0A5h,0A6h,0A3h,0A7h,099h,05Dh,055h,088h,0AFh,07Eh,050h
db 067h,0A1h,0A6h,0A1h,0A8h,070h,052h,05Ah,057h,059h,05Bh,09Bh,0A8h,0A3h,0A6h,0A1h
db 0A9h,08Eh,053h,05Bh,093h,0ABh,071h,04Fh,072h,0A7h,0A3h,09Fh,05Dh,055h,080h,0B2h
db 07Fh,054h,05Fh,0A2h,0A1h,0AAh,067h,078h,0ACh,09Eh,0A7h,0A0h,0A5h,09Fh,0A4h,09Fh
db 0A4h,09Dh,0A6h,08Eh,054h,055h,08Ch,0A9h,072h,04Ch,06Ah,0A5h,096h,059h,052h,083h
db 0ADh,079h,050h,060h,0A2h,09Bh,063h,04Ch,080h,0A4h,0A4h,08Dh,051h,058h,090h,0A8h
db 09Bh,0A9h,080h,04Fh,058h,053h,058h,053h,05Ah,050h,07Ah,0A9h,0A1h,0A4h,0A2h,0A2h
db 0A3h,0A0h,0A6h,07Eh,04Bh,064h,09Fh,09Fh,05Fh,04Fh,07Dh,0ADh,081h,051h,05Dh,097h
db 0A7h,061h,07Bh,0ABh,09Ch,0A6h,09Ch,0A5h,09Ch,0A4h,068h,04Dh,06Dh,0AAh,08Ah,058h
db 050h,090h,0A1h,0A5h,07Dh,04Dh,057h,057h,09Bh,0A1h,069h,04Bh,076h,0A9h,08Bh,053h
db 057h,090h,0A7h,09Dh,0A5h,09Dh,0A3h,09Eh,0A3h,09Ch,0A2h,09Bh,0A3h,099h,0A6h,082h
db 050h,051h,055h,04Eh,085h,0A4h,09Dh,09Eh,0A1h,091h,054h,050h,085h,0A9h,074h,04Bh
db 064h,09Fh,098h,05Ah,04Eh,07Eh,0ACh,07Ch,050h,059h,09Eh,09Bh,0A7h,061h,075h,0A5h
db 09Fh,091h,051h,053h,08Ah,0A4h,09Fh,080h,047h,064h,098h,0A3h,09Ch,06Ah,046h,076h
db 0A4h,08Ch,04Fh,058h,04Eh,088h,0A7h,07Ah,049h,067h,09Ch,0A3h,09Dh,0A4h,09Bh,0A6h
db 07Bh,04Ch,05Eh,09Eh,09Bh,062h,049h,07Fh,0A2h,0A1h,08Dh,050h,055h,08Ch,0A8h,06Fh
db 04Ah,06Ah,0A2h,09Fh,09Bh,05Ch,04Eh,07Dh,0ACh,080h,04Fh,056h,052h,057h,04Fh,083h
db 0A8h,09Eh,0A4h,09Fh,0A2h,09Fh,0A1h,09Eh,0A0h,09Eh,09Fh,09Dh,09Fh,09Dh,09Ah,058h
db 051h,051h,052h,052h,054h,053h,054h,053h,055h,054h,056h,056h,054h,066h,0AAh,095h
db 060h,04Eh,08Ah,0A4h,0A6h,087h,04Fh,05Eh,098h,0A7h,069h,04Fh,077h,0A8h,0A1h,09Bh
db 055h,095h,0A4h,0A3h,0A1h,0A3h,09Fh,0A4h,097h,05Bh,050h,082h,0ABh,07Dh,04Eh,061h
db 09Dh,0A2h,0A0h,0A1h,09Fh,0A1h,09Fh,0A0h,09Eh,09Fh,09Dh,09Fh,065h,049h,071h,0A7h
db 087h,051h,053h,08Dh,0A5h,06Eh,049h,06Bh,0A1h,09Eh,09Fh,09Eh,09Eh,09Fh,09Ch,0A2h
db 082h,04Ah,056h,04Dh,057h,04Bh,080h,0A4h,09Dh,09Fh,09Dh,09Eh,09Dh,09Dh,09Fh,06Fh
db 045h,06Fh,08Ch,04Dh,056h,04Dh,087h,0A7h,077h,049h,065h,09Ch,0A1h,09Dh,0A0h,09Ch
db 0A0h,09Ah,0A3h,088h,04Fh,052h,051h,051h,054h,04Dh,06Eh,0A7h,08Eh,052h,057h,04Dh
db 087h,07Ch,046h,06Dh,09Eh,0A3h,09Fh,0A2h,09Eh,0A1h,09Dh,0A0h,09Ch,0A1h,094h,055h
db 087h,0A7h,06Fh,04Ah,064h,0A2h,093h,059h,04Dh,080h,0A9h,07Ah,04Ah,060h,09Ah,09Fh
db 09Eh,09Eh,0A0h,07Ah,045h,066h,099h,09Eh,053h,058h,047h,07Fh,082h,04Ch,056h,053h
db 054h,057h,04Fh,07Eh,0A6h,0A1h,091h,04Fh,059h,051h,05Ah,050h,079h,0ADh,088h,054h
db 059h,096h,0A4h,0A4h,07Ah,04Bh,06Ch,0A1h,0A4h,09Fh,064h,04Fh,07Dh,0AEh,084h,053h
db 05Bh,099h,0A4h,0A4h,076h,04Bh,070h,0A2h,0A3h,09Dh,05Fh,051h,080h,0AFh,080h,053h
db 057h,057h,056h,05Ah,053h,07Fh,0ACh,0A0h,0A7h,0A1h,0A6h,0A0h,0A5h,09Eh,0A8h,080h
db 04Eh,05Ah,052h,05Bh,050h,08Dh,0A5h,0A8h,082h,05Ch,0A8h,09Dh,0A8h,09Dh,0A7h,09Ch
db 0AAh,082h,052h,059h,099h,0A2h,06Ch,049h,078h,0A3h,0A4h,095h,05Bh,050h,08Ah,0A4h
db 0A4h,084h,04Dh,060h,099h,0A3h,0A2h,06Fh,04Eh,058h,060h,0AAh,094h,063h,04Ah,089h
db 0A2h,0A8h,087h,051h,05Ah,098h,0A3h,0A5h,074h,04Fh,058h,05Eh,0A6h,09Ah,065h,04Bh
db 083h,0A5h,0A5h,08Dh,052h,05Ah,092h,0A8h,09Eh,0A5h,09Fh,0A4h,09Fh,0A3h,09Eh,0A3h
db 09Dh,0A3h,09Bh,0A6h,083h,04Eh,058h,093h,0A4h,066h,04Fh,053h,063h,0A9h,08Eh,05Eh
db 04Ah,08Bh,0A0h,0A6h,080h,04Eh,05Bh,09Ah,09Fh,068h,048h,07Ah,0A1h,0A4h,090h,058h
db 04Fh,08Dh,0A0h,0A6h,07Dh,05Dh,0A4h,09Dh,0A0h,0A0h,069h,04Eh,055h,052h,054h,055h
db 054h,096h,0A0h,0A7h,073h,066h,0A8h,09Dh,09Dh,059h,051h,080h,0A8h,09Bh,0A3h,09Fh
db 098h,054h,054h,053h,051h,073h,0AAh,09Ah,0A6h,09Bh,0A4h,09Ah,0A6h,070h,04Bh,068h
db 0A2h,09Dh,09Eh,05Bh,050h,079h,0AEh,07Eh,052h,056h,09Ch,09Ch,0A7h,069h,052h,04Fh
db 066h,093h,056h,051h,08Ah,0A5h,0A2h,082h,04Ah,062h,098h,0A3h,061h,050h,076h,0ADh
db 084h,054h,057h,095h,0A5h,06Dh,04Ch,072h,0A8h,091h,055h,056h,08Bh,0ADh,073h,04Fh
db 067h,0A7h,095h,05Fh,04Eh,088h,0A5h,0A5h,088h,04Eh,05Bh,053h,093h,0A8h,074h,04Ch
db 070h,0A4h,0A2h,0A3h,0A0h,068h,04Dh,07Bh,0A8h,09Fh,0A4h,09Fh,0A4h,09Eh,0A4h,09Ch
db 0A7h,080h,04Eh,056h,053h,055h,055h,055h,057h,052h,06Ch,0AAh,094h,05Ah,091h,0A8h
db 09Fh,0A5h,09Fh,0A4h,09Eh,0A3h,09Eh,0A4h,09Dh,0A3h,09Ah,0A7h,083h,051h,052h,055h
db 050h,059h,04Bh,07Bh,089h,04Dh,05Ah,054h,092h,0A8h,070h,050h,058h,055h,057h,057h
db 056h,090h,0A9h,0A1h,0A5h,0A1h,0A3h,0A3h,09Dh,05Ch,052h,080h,0AFh,07Fh,053h,057h
db 057h,055h,059h,053h,080h,0ACh,09Fh,0A8h,09Fh,0A8h,09Dh,0AAh,064h,078h,0A9h,09Fh
db 0A3h,0A2h,09Dh,061h,04Dh,080h,0A6h,0A1h,08Fh,04Fh,059h,051h,059h,053h,059h,054h
db 059h,055h,05Ah,057h,098h,0A6h,0A4h,0A4h,0A4h,0A3h,0A4h,0A2h,09Fh,05Eh,056h,053h
db 075h,0AEh,089h,056h,057h,096h,0A5h,0A5h,07Dh,04Ah,06Ch,09Fh,0A6h,09Eh,068h,04Bh
db 080h,0A5h,0A5h,092h,055h,056h,090h,075h,049h,078h,0A4h,0A3h,0A3h,0A0h,061h,051h
db 07Dh,0AFh,081h,054h,05Bh,09Bh,0A4h,06Ch,04Ch,07Ah,0A7h,0A2h,0A3h,0A3h,0A1h,0A3h
db 0A0h,0A3h,09Fh,0A3h,09Dh,0A4h,096h,060h,049h,087h,07Ch,04Ch,058h,058h,0A0h,09Eh
db 066h,04Ch,07Bh,0AAh,087h,051h,05Ah,094h,0A7h,06Bh,04Dh,072h,0A6h,09Fh,0A4h,09Fh
db 0A3h,09Eh,0A3h,09Dh,0A5h,087h,04Eh,059h,090h,0A7h,066h,052h,052h,065h,0A6h,094h
db 05Bh,04Fh,083h,0ABh,07Ch,04Dh,061h,09Dh,0A1h,0A0h,0A1h,0A0h,09Fh,0A0h,09Fh,09Fh
db 09Eh,09Fh,09Ch,0A1h,06Eh,047h,06Bh,0A0h,09Ch,09Ah,056h,053h,04Dh,075h,0A9h,083h
db 04Fh,055h,051h,055h,052h,057h,050h,06Bh,0A7h,092h,058h,053h,087h,0AAh,09Ah,0ABh
db 083h,05Bh,09Bh,0A3h,09Ch,0A8h,06Dh,069h,0A7h,09Ch,09Bh,053h,057h,04Eh,07Ch,0AAh
db 081h,050h,05Ah,096h,0A3h,068h,04Ch,075h,0A6h,09Dh,0A3h,09Dh,0A2h,09Ch,0A5h,078h
db 04Ch,058h,04Fh,057h,050h,05Ah,04Dh,080h,0A4h,0A3h,08Fh,052h,058h,08Eh,0A9h,070h
db 04Ch,06Eh,0A4h,0A0h,0A2h,0A2h,09Fh,0A5h,075h,04Bh,069h,0A3h,097h,05Bh,04Fh,084h
db 0A5h,0A1h,088h,04Ah,05Fh,091h,0A9h,062h,056h,050h,06Ch,0A4h,0A1h,09Dh,05Ch,053h
db 056h,055h,056h,056h,057h,05Bh,09Bh,0A6h,06Ch,04Eh,076h,0ACh,08Fh,057h,059h,091h
db 0AAh,09Fh,0A8h,09Eh,0AAh,08Fh,05Ah,051h,091h,0A3h,0A8h,07Eh,05Fh,0A9h,09Ch,0A5h
db 05Dh,056h,054h,059h,052h,065h,0A2h,0A0h,05Ch,086h,0ACh,09Ch,0ABh,088h,05Ah,09Ch
db 0A4h,09Fh,0A6h,078h,04Bh,069h,0A1h,0A1h,09Fh,063h,04Eh,07Bh,0ADh,083h,053h,058h
db 099h,0A2h,0A5h,073h,04Eh,057h,05Dh,0A5h,099h,064h,04Bh,082h,0A4h,0A5h,08Eh,051h
db 05Ah,090h,0AAh,06Eh,04Fh,06Dh,0AAh,091h,05Bh,051h,08Ch,0A7h,0A0h,0A3h,0A0h,0A4h
db 099h,057h,08Ch,0A9h,074h,04Bh,06Bh,0A1h,0A1h,0A0h,0A1h,068h,04Ch,074h,0AAh,089h
db 054h,055h,091h,0A7h,070h,04Bh,06Fh,0A2h,0A2h,09Bh,05Eh,04Eh,080h,0A8h,09Eh,0A3h
db 09Eh,0A2h,09Eh,0A2h,09Ch,0A5h,076h,04Ch,057h,050h,057h,051h,08Dh,0A7h,075h,049h
db 06Ch,09Fh,0A3h,09Ah,063h,04Ah,080h,0A3h,0A4h,08Dh,051h,057h,052h,086h,0ADh,075h
db 053h,054h,05Eh,09Bh,0A5h,060h,057h,04Fh,075h,090h,04Fh,05Dh,093h,0A9h,09Fh,0A5h
db 0A1h,0A2h,0A3h,096h,057h,053h,088h,0A8h,0A1h,087h,048h,065h,094h,0A9h,05Ch,05Bh
db 04Ch,077h,08Dh,051h,05Bh,094h,0A8h,06Fh,04Dh,073h,0A6h,0A3h,09Ch,05Ch,053h,082h
db 0AFh,07Eh,051h,061h,0A0h,0A2h,0A3h,06Dh,04Ch,076h,0A8h,0A0h,0A5h,0A0h,0A4h,09Eh
db 0A7h,076h,04Eh,059h,052h,05Ah,052h,095h,0A3h,0A7h,07Dh,04Fh,05Bh,053h,059h,055h
db 059h,056h,05Ah,057h,05Bh,058h,05Bh,059h,05Dh,056h,089h,0B2h,080h,055h,05Fh,058h
db 060h,057h,092h,0ADh,0A6h,0A9h,0A7h,0A9h,09Fh,05Fh,058h,085h,0B6h,07Ch,069h,0A9h
db 0A5h,0A7h,0A7h,0A4h,0AAh,07Fh,04Fh,06Ah,0A3h,0A5h,0A4h,068h,055h,05Ah,058h,059h
db 063h,0A5h,0A5h,0A7h,0A4h,0A6h,0A4h,0A6h,0A4h,0A4h,0A3h,0A0h,062h,051h,07Eh,0AFh
db 084h,054h,059h,056h,095h,0A6h,0A5h,080h,04Bh,06Ch,09Fh,0A3h,05Bh,05Bh,050h,07Dh
db 0ACh,08Dh,052h,05Eh,051h,096h,0A2h,0ADh,07Eh,065h,0A8h,0A3h,0A2h,065h,04Fh,080h
db 0A8h,0A4h,093h,053h,05Ch,053h,08Ah,0AEh,07Ch,053h,05Ah,05Dh,0A0h,0A4h,0A7h,073h
db 04Dh,076h,0A6h,0A6h,09Bh,060h,051h,088h,0A8h,0A6h,08Ch,050h,060h,096h,0ABh,06Ah
db 052h,074h,0AFh,08Fh,05Ah,057h,093h,0A9h,0A1h,0A7h,0A0h,0A9h,093h,05Ah,053h,08Fh
db 0A6h,0A6h,082h,04Eh,05Ch,053h,05Bh,056h,057h,07Eh,0B4h,080h,059h,056h,05Dh,054h
db 093h,0A7h,0A9h,083h,051h,065h,0A0h,0A6h,065h,056h,05Ch,055h,06Fh,0AAh,0A4h,0A8h
db 0A3h,0A8h,073h,04Fh,075h,0A8h,0A4h,0A5h,0A4h,0A3h,0A7h,077h,04Ch,06Fh,0A5h,09Bh
db 059h,05Ah,053h,080h,0B0h,081h,05Eh,0A7h,09Ch,067h,04Dh,084h,0A6h,0A7h,08Fh,059h
db 09Eh,0A3h,0A3h,0A3h,0A1h,0A6h,08Ah,050h,05Bh,052h,092h,0A5h,0A1h,0A3h,0A1h,0A5h
db 094h,055h,055h,087h,0ADh,075h,050h,064h,0A5h,098h,061h,04Dh,085h,0A4h,0A5h,08Ah
db 050h,05Bh,095h,0A4h,0A3h,077h,04Dh,05Ah,05Bh,0A7h,098h,068h,049h,084h,0A2h,0A8h
db 08Ch,056h,055h,095h,0A2h,0A7h,07Ah,050h,058h,05Ch,09Fh,0A3h,0A2h,0A3h,09Fh,0A7h
db 084h,04Fh,05Dh,097h,0A4h,068h,04Ch,077h,0A7h,09Fh,0A3h,0A0h,0A2h,0A0h,0A1h,09Fh
db 09Fh,09Fh,09Eh,0A0h,097h,05Bh,04Ch,07Fh,0A9h,07Eh,04Bh,05Dh,098h,0A2h,09Bh,0A2h
db 099h,0A6h,07Fh,058h,09Dh,09Ch,09Dh,066h,046h,075h,0A0h,09Fh,090h,054h,04Dh,086h
db 0A1h,09Fh,080h,048h,05Dh,095h,0A0h,09Ch,06Dh,045h,06Fh,0A2h,08Eh,051h,053h,085h
db 0AAh,06Eh,04Fh,053h,052h,053h,053h,08Fh,0A4h,09Ch,0A2h,09Bh,0A4h,08Eh,053h,052h
db 088h,0A8h,072h,04Bh,065h,0A2h,096h,059h,04Fh,080h,0AAh,07Bh,04Dh,05Fh,09Dh,09Dh
db 060h,04Dh,07Ah,0ABh,081h,051h,058h,097h,0A2h,0A1h,074h,048h,06Dh,0A0h,0A1h,09Eh
db 0A1h,09Dh,0A1h,09Ch,0A4h,083h,04Dh,059h,093h,0A3h,09Bh,0A1h,09Ah,0A3h,086h,04Dh
db 055h,08Eh,0A4h,068h,04Ah,06Ah,0A6h,08Bh,055h,04Eh,08Ch,072h,046h,06Fh,0A3h,091h
db 053h,053h,085h,0ABh,072h,04Dh,063h,0A3h,095h,05Dh,04Bh,083h,0A4h,09Eh,0A0h,09Fh
db 09Fh,09Fh,09Dh,09Fh,09Ch,09Fh,09Ah,0A2h,089h,04Fh,051h,089h,0A4h,06Eh,048h,068h
db 09Fh,09Ch,09Dh,09Dh,09Ch,09Dh,09Bh,09Dh,09Ah,09Dh,099h,099h,052h,052h,046h,077h
db 082h,045h,05Bh,092h,09Fh,09Ch,06Dh,043h,06Dh,09Dh,09Ch,09Ch,09Ch,09Ch,099h,09Fh
db 077h,044h,05Fh,098h,099h,057h,04Bh,078h,0A9h,07Bh,04Ch,056h,097h,09Ch,063h,046h
db 075h,0A1h,09Bh,09Dh,09Ch,09Ch,09Ch,09Bh,09Bh,09Ah,09Bh,099h,09Bh,098h,099h,055h
db 079h,0A5h,075h,048h,058h,096h,09Ah,09Ah,065h,042h,06Fh,09Ch,09Bh,090h,051h,04Bh
db 080h,0A1h,096h,09Eh,096h,09Ch,095h,09Dh,094h,09Fh,066h,047h,04Eh,04Ch,04Dh,04Fh
db 08Ch,09Eh,096h,09Eh,095h,0A0h,084h,04Dh,04Bh,050h,048h,07Bh,0A0h,097h,09Ch,098h
db 09Ah,099h,099h,098h,098h,099h,097h,098h,096h,099h,092h,059h,042h,076h,09Ch,095h
db 099h,096h,097h,096h,098h,065h,03Eh,06Ah,097h,099h,08Ch,052h,043h,07Fh,09Ah,099h
db 080h,043h,053h,08Bh,09Ch,05Eh,043h,06Ch,09Eh,095h,099h,096h,098h,097h,095h,09Bh
db 076h,040h,059h,091h,09Ah,094h,098h,094h,098h,094h,097h,094h,097h,093h,096h,092h
db 096h,091h,099h,07Eh,043h,04Bh,044h,04Dh,042h,074h,09Bh,092h,098h,094h,097h,092h
db 059h,040h,06Eh,09Fh,07Eh,046h,04Eh,089h,09Bh,092h,09Ah,091h,09Bh,080h,048h,04Ah
db 085h,09Ah,093h,097h,094h,096h,094h,095h,093h,094h,093h,094h,093h,094h,092h,093h
db 092h,093h,092h,092h,091h,092h,091h,092h,090h,091h,08Fh,091h,08Eh,092h,08Dh,095h
db 077h,03Eh,049h,085h,092h,091h,065h,037h,05Eh,090h,092h,090h,092h,08Fh,092h,08Eh
db 092h,08Dh,092h,08Dh,08Fh,044h,079h,092h,091h,075h,03Ah,04Eh,086h,094h,08Ch,093h
db 08Bh,096h,076h,03Eh,048h,085h,092h,090h,065h,036h,05Eh,08Eh,094h,089h,051h,03Ah
db 074h,093h,094h,07Eh,041h,049h,082h,096h,08Fh,092h,090h,091h,092h,086h,047h,042h
db 077h,09Dh,06Ah,03Fh,053h,091h,091h,092h,092h,092h,091h,092h,090h,091h,090h,091h
db 090h,08Fh,090h,08Fh,090h,08Fh,08Fh,08Eh,08Fh,08Eh,08Fh,08Eh,08Fh,08Ch,08Fh,08Ch
db 090h,08Bh,091h,088h,095h,05Ah,056h,095h,089h,088h,042h,041h,06Dh,09Eh,062h,051h
db 090h,08Ch,08Fh,08Dh,08Eh,08Dh,08Eh,08Dh,08Ch,08Dh,08Ch,08Dh,08Ch,08Ch,08Bh,08Ch
db 08Bh,08Ch,08Bh,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,08Bh,089h,08Ch,080h,041h,03Eh,03Eh
db 03Fh,03Fh,040h,041h,041h,042h,042h,043h,043h,044h,044h,045h,045h,046h,046h,047h
db 047h,048h,047h,04Bh,045h,05Bh,097h,095h,097h,095h,096h,095h,096h,094h,095h,094h
db 095h,093h,094h,093h,094h,092h,094h,092h,094h,08Ah,04Ah,046h,047h,047h,048h,048h
db 048h,049h,049h,04Bh,04Ah,04Ch,04Ah,04Dh,049h,05Bh,09Ah,098h,09Ah,098h,09Ah,097h
db 09Ah,097h,099h,096h,099h,095h,099h,093h,09Dh,071h,044h,04Eh,048h,04Dh,04Ah,04Eh
db 04Bh,04Eh,04Ch,04Fh,04Dh,050h,04Eh,052h,04Eh,054h,04Bh,06Ch,0A2h,09Bh,0A0h,09Ch
db 09Eh,09Bh,09Dh,09Ch,09Dh,09Bh,09Ch,09Ah,09Bh,09Ah,09Bh,099h,09Ah,099h,09Ah,098h
db 09Bh,097h,09Bh,05Eh,048h,04Eh,04Ch,04Eh,04Dh,04Fh,04Eh,050h,04Fh,050h,050h,051h
db 052h,052h,053h,052h,054h,053h,054h,054h,055h,055h,057h,055h,059h,052h,089h,0A9h
db 0A0h,0A5h,0A1h,0A4h,0A0h,0A3h,0A1h,0A2h,0A0h,0A1h,0A0h,0A1h,09Fh,0A0h,09Eh,09Fh
db 09Eh,09Fh,09Ch,09Fh,09Ch,09Eh,09Bh,09Fh,099h,0A1h,06Bh,04Ah,053h,04Eh,052h,050h
db 053h,051h,053h,052h,054h,053h,055h,054h,056h,054h,057h,054h,059h,053h,06Dh,0AAh
db 095h,05Ah,057h,058h,058h,058h,059h,059h,05Ah,059h,05Ch,058h,08Fh,0ADh,0A3h,0AAh
db 0A4h,0A9h,0A2h,0A9h,0A1h,0ABh,070h,054h,059h,059h,059h,05Bh,058h,094h,0AAh,0A4h
db 0A7h,0A5h,0A6h,0A5h,0A4h,0A5h,0A2h,0A8h,075h,051h,05Bh,055h,05Ah,057h,05Bh,058h
db 05Bh,05Ah,05Bh,05Ah,05Ch,05Bh,05Dh,05Ch,05Dh,05Dh,05Eh,05Dh,05Fh,05Eh,05Fh,05Fh
db 060h,05Fh,061h,060h,061h,061h,062h,061h,062h,062h,063h,062h,063h,064h,063h,064h
db 065h,065h,066h,065h,066h,066h,067h,066h,067h,067h,068h,067h,068h,068h,069h,068h
db 069h,069h,06Ah,069h,069h,06Ah,06Bh,06Ah,06Bh,06Ch,06Ch,06Bh,06Ch,06Dh,06Ch,06Dh
db 06Ch,06Dh,06Eh,06Eh,06Dh,06Eh,06Fh,06Eh,06Eh,06Fh,070h,06Fh,070h,06Fh,070h,071h
db 070h,071h,070h,071h,072h,071h,072h,071h,072h,073h,072h,073h,072h,073h,074h,073h
db 073h,074h,073h,074h,075h,074h,074h,075h,076h,075h,076h,075h,076h,075h,076h,077h
db 076h,076h,077h,076h,077h,078h,077h,078h,077h,078h,077h,078h,079h,078h,078h,079h
db 07Ah,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,07Bh,07Ah,07Ah,07Bh,07Ah,07Bh,07Bh
db 07Bh,07Ch,07Bh,07Ch,07Ch,07Bh,07Ch,07Bh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh,07Ch,07Dh
db 07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Dh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh,07Eh,07Fh
db 07Eh,07Fh,07Fh,07Fh,080h,07Fh,080h,07Fh,080h,07Fh,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,082h,081h,082h,081h,082h,081h,082h,081h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,082h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,084h,083h,083h,083h
db 084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h
db 084h,083h,084h,083h,084h,083h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h
db 084h,085h,084h,085h,084h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 085h,086h,085h,085h,085h,085h,085h,085h,085h,085h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,085h
db 085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h
db 085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h,085h
db 085h,085h,085h,085h,085h,085h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h,085h,086h
db 085h,086h,085h,086h,085h,086h,085h,085h,085h,085h,085h,085h,084h,085h,084h,085h
db 085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h
db 084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h
db 084h,085h,084h,085h,084h,084h,085h,084h,085h,084h,085h,084h,085h,084h,085h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h,083h,084h
db 083h,084h,083h,084h,083h,084h,083h,083h,083h,084h,083h,084h,083h,083h,082h,083h
db 083h,083h,083h,083h,083h,083h,084h,083h,083h,082h,083h,083h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h
db 083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h,082h,083h
db 082h,083h,082h,083h,082h,083h,082h,082h,082h,082h,083h,082h,082h,082h,082h,082h
db 082h,082h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h,082h,081h
db 081h,081h,081h,080h,081h,081h,081h,081h,080h,081h,080h,080h,081h,081h,080h,081h
db 081h,081h,081h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h
db 080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h,081h,080h
db 080h,080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h,080h
db 081h,080h,080h,080h,080h,080h,080h,081h,080h,080h,081h,080h,080h,080h,081h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
soundBlasterSeg ends

soundBlasterSeg2 segment 
alert db 082h,082h,081h,082h
db 081h,082h,081h,082h,081h,082h,081h,082h,080h,081h,080h,082h,080h,081h,080h,081h
db 080h,082h,080h,083h,080h,083h,080h,087h,05Eh,031h,039h,036h,039h,038h,03Ah,03Ah
db 03Ah,03Ch,03Ah,047h,087h,087h,088h,088h,088h,088h,088h,088h,087h,088h,083h,047h
db 039h,041h,039h,057h,08Eh,088h,08Ch,089h,08Bh,089h,08Ah,089h,08Ah,089h,089h,089h
db 088h,08Bh,087h,08Eh,065h,037h,044h,03Ch,043h,03Eh,044h,03Fh,047h,03Dh,05Ah,091h
db 08Dh,08Fh,08Eh,08Eh,08Fh,08Eh,08Fh,08Dh,091h,082h,046h,044h,044h,045h,045h,046h
db 047h,047h,049h,047h,083h,097h,091h,095h,092h,094h,092h,094h,091h,094h,05Ah,044h
db 04Bh,047h,04Ch,048h,04Ch,048h,04Fh,046h,076h,09Dh,094h,099h,095h,098h,096h,097h
db 096h,097h,096h,096h,095h,096h,095h,096h,094h,095h,094h,095h,094h,095h,094h,093h
db 094h,093h,094h,093h,094h,093h,093h,092h,093h,092h,093h,092h,093h,091h,092h,091h
db 093h,090h,093h,08Eh,096h,061h,041h,04Ah,045h,04Ah,049h,089h,096h,093h,094h,093h
db 094h,093h,094h,08Eh,04Fh,047h,04Ah,049h,04Bh,04Ah,04Dh,04Ah,04Eh,049h,081h,09Ch
db 096h,098h,09Ah,089h,04Ch,04Eh,081h,0A0h,091h,0A1h,07Bh,04Bh,04Eh,050h,04Bh,082h
db 09Fh,095h,09Fh,081h,049h,053h,04Bh,089h,09Dh,099h,09Ah,09Ah,099h,09Bh,098h,09Bh
db 096h,09Eh,06Bh,049h,052h,04Dh,050h,04Fh,050h,052h,051h,054h,04Fh,066h,0A1h,09Bh
db 0A0h,09Ch,09Fh,09Bh,09Eh,09Ah,0A1h,08Ah,050h,054h,051h,054h,052h,055h,053h,056h
db 054h,058h,054h,091h,0A4h,0A0h,0A1h,0A1h,0A0h,0A0h,09Eh,0A1h,09Ch,0A4h,070h,04Eh
db 058h,052h,05Dh,09Ah,0A0h,0A2h,06Eh,04Fh,05Ah,052h,062h,09Dh,0A3h,0A1h,06Dh,04Ch
db 077h,0A5h,0A0h,0A3h,0A1h,0A2h,0A0h,0A1h,0A0h,0A0h,0A0h,09Fh,0A0h,09Bh,05Bh,056h
db 051h,076h,0ABh,086h,055h,057h,056h,057h,057h,058h,057h,059h,058h,05Ah,059h,05Ch
db 057h,087h,0B0h,080h,054h,068h,0A2h,0A7h,0A5h,0A6h,0A4h,0A6h,0A4h,0A5h,0A3h,0A5h
db 0A1h,0A5h,069h,055h,05Ah,059h,05Ah,05Ah,05Ah,05Ch,059h,05Fh,057h,07Ch,0ADh,0A3h
db 0AAh,0A5h,0A8h,0A4h,0A7h,0A4h,0A7h,0A3h,0A8h,097h,05Bh,05Ah,059h,05Bh,05Ah,05Ch
db 05Bh,05Dh,05Ch,05Eh,05Dh,05Eh,05Eh,05Fh,05Eh,060h,05Fh,061h,05Fh,063h,05Fh,065h
db 05Ch,080h,0B2h,0AAh,0AEh,0ABh,0ADh,0ABh,0ACh,0AAh,0AAh,0A9h,0AAh,0AAh,0A4h,066h
db 05Dh,05Fh,05Fh,060h,05Fh,061h,060h,062h,061h,063h,061h,065h,05Fh,076h,0B0h,0ACh
db 0AFh,0ADh,0ADh,0ACh,0ACh,0ACh,0ABh,0ACh,0AAh,0A8h,067h,061h,05Bh,080h,0B0h,0A9h
db 0A2h,05Eh,063h,05Dh,063h,05Eh,064h,05Fh,065h,05Fh,067h,05Eh,099h,0B1h,0ACh,0AEh
db 0ADh,0ACh,0AEh,0AAh,0AEh,0A8h,0B1h,080h,05Bh,063h,05Fh,063h,061h,063h,062h,063h
db 063h,063h,064h,063h,065h,064h,09Eh,0B3h,0ADh,0B0h,0ADh,0AEh,0ADh,0AEh,0ADh,0ADh
db 0ACh,0ACh,0ACh,0AAh,0AEh,09Ch,05Fh,062h,05Fh,062h,060h,063h,061h,063h,061h,065h
db 061h,09Bh,0B2h,0ABh,0AFh,0ABh,0AEh,0AAh,0AEh,0A9h,0AEh,0A7h,0B1h,084h,05Ah,062h
db 05Eh,062h,060h,062h,061h,062h,063h,062h,063h,063h,065h,061h,098h,0B4h,0ABh,0B0h
db 0ABh,0AFh,0ACh,0AEh,0ABh,0ADh,0AAh,0ADh,0A9h,0ACh,0A9h,0ACh,0A8h,0ACh,0A6h,0AFh
db 07Eh,058h,061h,05Dh,060h,05Eh,060h,05Fh,061h,060h,063h,05Fh,06Bh,0A9h,0ACh,0ACh
db 0ACh,0ACh,0AAh,0ABh,0A9h,0ABh,0A9h,0A8h,069h,05Dh,060h,05Fh,060h,060h,060h,061h
db 060h,063h,060h,065h,05Dh,07Ah,0B1h,0ABh,0AEh,0ABh,0ADh,0ABh,0ACh,0ABh,0AAh,0ABh
db 0AAh,0ABh,0A8h,0ACh,074h,059h,061h,05Dh,061h,05Eh,061h,060h,061h,061h,061h,063h
db 060h,06Eh,0ACh,0ACh,0AEh,0ABh,0ADh,0AAh,0ADh,0AAh,0ACh,0A9h,0ABh,0A8h,0ABh,0A7h
db 0AAh,0A6h,0ACh,096h,05Bh,05Eh,05Ch,05Fh,05Eh,05Fh,05Eh,060h,05Fh,061h,060h,09Bh
db 0AFh,0A8h,0ADh,0A9h,0ACh,0A7h,0ABh,0A6h,0ACh,0A4h,0AFh,080h,058h,060h,05Ch,05Fh
db 05Eh,05Fh,05Fh,05Fh,062h,05Dh,06Eh,0ABh,0AAh,0ACh,0AAh,0AAh,0A9h,0A9h,0A9h,0A9h
db 0A9h,0A7h,0A7h,06Ah,05Ah,05Fh,05Dh,05Fh,05Eh,05Fh,060h,05Fh,060h,060h,061h,060h
db 062h,060h,063h,060h,066h,05Dh,090h,0B3h,0ABh,0AFh,0ACh,0ACh,0ACh,0ABh,0ADh,0A9h
db 0B0h,088h,059h,064h,05Dh,063h,05Fh,063h,060h,064h,061h,064h,062h,065h,062h,09Fh
db 0B2h,0ACh,0AFh,0ACh,0ADh,0ABh,0ADh,0ABh,0ADh,0A8h,0B1h,081h,05Ah,064h,05Eh,063h
db 05Fh,063h,060h,064h,060h,065h,060h,06Ch,0A8h,0B0h,0ACh,0AEh,0ACh,0AEh,0AAh,0ADh
db 0AAh,0AEh,0A8h,0AEh,074h,05Ch,061h,060h,061h,061h,060h,063h,05Eh,08Ah,0B8h,088h
db 05Dh,064h,060h,065h,060h,067h,05Dh,082h,0B4h,0ABh,0B0h,0ADh,0AEh,0ACh,0ADh,0ACh
db 0ABh,0ABh,0AAh,0ACh,0A4h,066h,05Eh,060h,05Fh,062h,060h,062h,060h,064h,05Eh,098h
db 0B1h,0ABh,0AEh,0ABh,0ABh,0ABh,0AAh,0ACh,0A8h,0AFh,080h,058h,063h,05Dh,062h,05Eh
db 062h,05Fh,062h,060h,063h,062h,064h,061h,065h,060h,095h,0B5h,0A9h,0B5h,094h,060h
db 066h,0A1h,0B1h,0AAh,0AEh,0ABh,0ADh,0ABh,0ACh,0AAh,0ABh,06Eh,05Ch,062h,05Fh,062h
db 05Eh,063h,05Fh,065h,05Ch,08Eh,0B3h,0AAh,0AEh,0ABh,0ACh,0ABh,0AAh,0ACh,0A8h,0AFh
db 089h,059h,063h,05Dh,062h,05Fh,062h,05Fh,062h,061h,061h,069h,0A9h,0ACh,0AEh,0ABh
db 0ADh,0AAh,0ACh,0AAh,0ACh,0A9h,0A9h,06Ah,05Dh,060h,05Fh,060h,060h,05Fh,062h,05Fh
db 095h,0B2h,0A7h,0B2h,090h,05Ch,063h,05Eh,063h,05Fh,065h,05Ch,07Bh,0B1h,0AAh,0AEh
db 0ABh,0ACh,0AAh,0ABh,0AAh,0ABh,0A9h,0ABh,0A2h,064h,05Dh,05Fh,05Fh,060h,060h,060h
db 05Fh,062h,05Eh,097h,0B1h,0A8h,0AEh,0A8h,0ADh,0A7h,0ADh,0A5h,0AFh,078h,05Ah,060h
db 05Eh,05Fh,060h,05Fh,061h,05Fh,064h,05Ch,078h,0AFh,0ABh,0A7h,068h,05Fh,063h,05Ch
db 07Bh,0B2h,0A8h,0AFh,0A6h,06Fh,058h,087h,0B1h,0A8h,0ADh,0A8h,0ADh,0A7h,0ADh,0A5h
db 0B0h,082h,058h,060h,05Eh,05Fh,060h,05Eh,062h,05Bh,07Ch,0AFh,0A8h,0ACh,0A9h,0AAh
db 0AAh,0A7h,0ADh,089h,055h,06Ah,09Ch,068h,05Bh,061h,05Dh,062h,05Eh,062h,05Eh,063h
db 05Dh,096h,0B0h,0A9h,0ACh,0ABh,09Dh,05Ah,066h,058h,093h,0ACh,0AFh,08Eh,05Ah,062h
db 05Fh,060h,092h,0B2h,0A5h,0B2h,090h,05Ch,062h,05Eh,062h,05Eh,064h,05Ch,079h,0B0h
db 0A9h,0ADh,0AAh,0ABh,0AAh,0AAh,0AAh,0A8h,0ABh,09Ch,05Eh,05Fh,05Dh,060h,05Eh,060h
db 060h,060h,060h,062h,09Eh,0AFh,0A9h,0ACh,0A9h,0ABh,0A8h,0AAh,0A8h,0A9h,06Dh,05Ah
db 060h,05Ch,060h,05Eh,061h,05Eh,062h,05Dh,064h,05Bh,07Ch,0AFh,0AAh,0ACh,0A9h,06Bh
db 05Fh,05Dh,07Dh,0B2h,0A6h,0B0h,0A2h,06Ch,057h,08Bh,0B0h,0A7h,0AEh,09Ah,05Fh,060h
db 05Eh,060h,05Fh,061h,060h,061h,060h,064h,0A0h,0B0h,0A9h,0ADh,0A9h,0ADh,0A8h,0ACh
db 0A7h,0ABh,06Bh,05Dh,05Fh,060h,05Fh,061h,05Eh,062h,05Eh,065h,05Bh,084h,0B1h,0A9h
db 0ADh,0ABh,0AAh,0ABh,0A8h,0AEh,080h,058h,064h,05Ch,063h,05Dh,064h,05Ah,088h,0B2h
db 0A7h,0B0h,09Ch,062h,05Fh,061h,05Fh,063h,05Dh,076h,0AEh,0AAh,0ADh,0AAh,0ABh,0AAh
db 0AAh,0AAh,0A8h,0ABh,09Fh,060h,05Eh,05Eh,05Fh,05Fh,05Fh,060h,05Fh,061h,060h,09Ah
db 0B0h,0A9h,0ADh,0A8h,0ACh,0A8h,0ABh,0A7h,0ABh,070h,05Ah,061h,05Dh,060h,05Dh,061h
db 05Eh,062h,05Eh,064h,05Ch,078h,0AEh,0ABh,0A7h,068h,05Fh,063h,05Ch,07Bh,0B1h,0A8h
db 0AEh,0A9h,0ADh,0A7h,0ADh,0A6h,0AFh,090h,05Ah,060h,05Dh,060h,05Fh,061h,05Fh,061h
db 05Fh,069h,0A6h,0ADh,0ABh,0ABh,0AAh,0AAh,0AAh,0A9h,0A9h,0A3h,064h,05Eh,05Eh,060h
db 05Eh,060h,05Eh,061h,05Eh,063h,05Ch,08Dh,0B2h,0A7h,0B0h,09Ah,05Eh,063h,05Ch,091h
db 0B0h,0A8h,0ADh,0A8h,0ACh,0A7h,0ACh,0A5h,0AEh,07Ah,058h,061h,05Bh,061h,05Eh,09Dh
db 0ABh,0A9h,0A9h,0A8h,0A7h,0A8h,0A6h,0A8h,0A4h,0AAh,073h,056h,05Fh,05Ah,05Eh,05Bh
db 05Fh,05Bh,061h,058h,080h,0AFh,0A5h,0ABh,0A5h,0AAh,0A4h,0AAh,0A2h,0ADh,085h,057h
db 05Eh,05Bh,05Dh,05Dh,05Ch,05Eh,05Dh,05Fh,05Dh,060h,05Eh,0A0h,0A8h,0AEh,07Eh,058h
db 062h,05Ch,065h,0A1h,0ACh,0A8h,0AAh,0A8h,0A9h,0A8h,0A7h,0A8h,0A3h,067h,059h,05Fh
db 05Bh,060h,05Bh,061h,05Bh,064h,058h,091h,0ADh,0AAh,0A7h,0ADh,09Ah,062h,059h,094h
db 0AAh,0ACh,088h,057h,061h,05Ch,05Fh,060h,05Ah,085h,0AFh,0A9h,099h,05Ch,0A7h,0A5h
db 0ADh,0A3h,0B0h,084h,058h,05Fh,05Eh,09Eh,0A9h,0A7h,0A7h,0A7h,0A5h,0A9h,099h,05Ch
db 05Ch,05Ch,05Bh,05Eh,059h,070h,0ABh,0A5h,0A9h,0A5h,0A8h,0A5h,0A7h,0A5h,0A5h,0A7h
db 09Ch,05Ch,05Ah,05Ah,05Bh,05Bh,05Bh,05Ch,05Ch,05Dh,05Ch,095h,0ACh,0A4h,0A9h,0A4h
db 0A8h,0A4h,0A8h,0A2h,0A8h,06Ch,056h,05Ch,059h,05Ch,05Bh,05Ch,05Bh,05Dh,05Ch,05Fh
db 059h,072h,0ADh,0A5h,0A8h,061h,060h,057h,080h,0ADh,0A6h,0A9h,0A7h,0A4h,06Ah,054h
db 083h,0ABh,0A8h,097h,057h,060h,059h,061h,057h,080h,0B1h,090h,059h,061h,059h,095h
db 0ACh,0A8h,0A7h,0AAh,097h,058h,061h,058h,08Fh,0B0h,080h,056h,062h,058h,063h,057h
db 099h,0A8h,0AEh,084h,058h,060h,061h,09Fh,0ACh,0A4h,0B0h,07Eh,06Bh,0AFh,0A2h,0ACh
db 0A2h,0ADh,071h,058h,05Dh,05Bh,05Dh,060h,09Fh,0A9h,0A7h,0A7h,0A7h,0A5h,0A7h,0A4h
db 0A6h,0A3h,0A6h,06Bh,056h,05Ch,05Ah,05Bh,05Bh,05Bh,05Dh,05Ah,05Fh,058h,07Ch,0ADh
db 0A4h,0AAh,0A5h,0A8h,0A5h,0A6h,0A5h,0A4h,0A8h,092h,055h,05Eh,056h,05Fh,053h,080h
db 0A9h,0A6h,098h,057h,05Fh,058h,060h,055h,07Ch,0AEh,092h,058h,060h,058h,092h,0AAh
db 0A6h,0A5h,0A9h,096h,05Bh,05Ah,093h,0A9h,0A7h,083h,051h,062h,054h,063h,054h,095h
db 0A6h,0ACh,084h,057h,05Eh,05Eh,09Bh,0ABh,0A2h,0AEh,080h,057h,05Eh,05Bh,05Dh,099h
db 0A9h,0A9h,080h,053h,062h,057h,064h,098h,0AFh,0A0h,0B0h,080h,059h,05Ch,061h,09Fh
db 0AAh,0A5h,0A8h,0A4h,0A7h,0A4h,0A7h,0A3h,0A3h,060h,05Ah,057h,05Eh,055h,06Dh,0A3h
db 0A8h,0A1h,0ABh,068h,07Bh,0ACh,0A0h,0A6h,0A3h,0A4h,0A3h,06Ah,054h,05Bh,057h,05Ah
db 059h,05Ah,05Ch,05Ah,05Eh,056h,07Dh,0ADh,0A3h,0A9h,0A3h,0A7h,0A3h,0A7h,0A1h,0A9h
db 086h,052h,05Fh,054h,060h,052h,08Bh,0A6h,0A9h,08Bh,056h,05Ch,05Bh,057h,08Dh,0A9h
db 0A7h,08Ah,052h,060h,058h,09Ch,0A6h,0A6h,0A4h,0A6h,0A4h,0A4h,0A4h,0A3h,0A3h,068h
db 055h,05Ah,058h,059h,062h,0A3h,0A3h,0A5h,0A2h,0A5h,0A1h,0A5h,0A0h,0A5h,098h,05Dh
db 055h,05Ah,053h,075h,0ACh,08Eh,057h,05Ah,057h,05Bh,055h,07Ch,0ACh,09Eh,0A9h,098h
db 062h,051h,089h,0A8h,0A2h,0A4h,0A3h,0A2h,0A3h,09Fh,0A5h,06Dh,052h,059h,057h,059h
db 05Ch,09Bh,0A5h,0A0h,0A7h,07Dh,04Fh,069h,0A1h,0A2h,0A3h,0A0h,0A6h,077h,050h,05Bh
db 053h,05Bh,055h,05Bh,055h,05Eh,053h,077h,0A8h,0A3h,0A5h,0A4h,0A3h,0A6h,075h,04Eh
db 072h,0A5h,0A3h,09Eh,05Eh,058h,058h,05Bh,055h,06Ch,0A7h,0A2h,0A3h,061h,059h,058h
db 05Ch,057h,069h,0A6h,09Fh,060h,05Bh,056h,07Eh,0AEh,0A1h,0A9h,0A1h,0A8h,0A0h,072h
db 04Bh,080h,08Ah,055h,05Ch,05Ah,05Ah,05Dh,056h,080h,0ADh,0A3h,0A8h,0A4h,0A6h,0A5h
db 0A4h,0A8h,07Eh,052h,05Fh,055h,05Fh,055h,097h,0A5h,0AAh,080h,053h,05Eh,05Dh,0A1h
db 0A4h,0A8h,0A1h,0ABh,082h,054h,05Ch,05Ch,09Bh,0A8h,0A2h,0AAh,080h,052h,05Eh,055h
db 05Fh,055h,091h,0A9h,0A4h,0A5h,0A5h,0A4h,0A5h,0A2h,0A4h,0A0h,0A8h,07Ah,051h,05Ch
db 055h,05Ch,056h,05Ch,057h,05Eh,054h,075h,0A8h,0A4h,0A5h,0A5h,0A2h,0A8h,076h,054h
db 05Ah,063h,0A6h,0A1h,0A7h,068h,056h,05Bh,057h,069h,0A8h,0A1h,0A6h,063h,05Ah,059h
db 05Dh,057h,069h,0A4h,0A3h,061h,05Dh,056h,07Ch,0ADh,0A2h,0A9h,0A4h,0A5h,065h,059h
db 05Bh,05Ah,05Ch,05Bh,05Dh,05Bh,05Fh,059h,08Ah,0AEh,0A4h,0AAh,0A5h,0A8h,0A6h,0A6h
db 0A7h,074h,054h,060h,057h,060h,05Bh,0A3h,0A2h,0AEh,074h,05Ah,059h,06Ah,0A5h,0A8h
db 0A4h,0ABh,071h,058h,059h,06Ch,0A9h,0A5h,0A6h,0A7h,06Fh,056h,05Eh,05Bh,05Bh,062h
db 0A1h,0A9h,0A3h,0ADh,078h,06Ch,0B0h,09Eh,0ACh,09Eh,0ABh,068h,05Ah,058h,05Dh,057h
db 065h,09Dh,0AAh,066h,05Dh,056h,076h,0AAh,0A5h,0A6h,0A7h,0A3h,0AAh,075h,055h,05Dh
db 059h,062h,0A1h,0A5h,0A9h,071h,056h,05Bh,069h,0ABh,09Bh,062h,059h,05Dh,05Ch,05Ah
db 070h,0ADh,0A2h,0A7h,05Fh,060h,055h,080h,0ABh,0A6h,0A7h,0A6h,0A4h,067h,058h,05Fh
db 056h,071h,0ABh,09Bh,05Eh,05Eh,057h,085h,0ADh,0A3h,0AAh,0A4h,0A8h,0A3h,0A8h,0A1h
db 0ABh,07Dh,054h,05Dh,058h,05Fh,097h,0ACh,0A0h,0ADh,080h,056h,05Bh,05Eh,09Dh,0A8h
db 0A2h,0AAh,07Eh,053h,05Dh,05Dh,0A4h,0A1h,0A9h,06Fh,056h,05Bh,05Ah,05Ah,05Fh,09Dh
db 0A9h,0A2h,0AAh,080h,051h,06Ch,0A3h,0A7h,0A2h,0A8h,070h,054h,05Dh,058h,05Ch,05Dh
db 0A0h,0A4h,0AAh,075h,056h,05Bh,066h,0A9h,0A2h,0AAh,0A0h,0ACh,078h,055h,05Dh,059h
db 061h,09Ch,0A9h,0A2h,0AAh,07Eh,053h,05Fh,057h,05Fh,057h,05Fh,058h,062h,055h,076h
db 0A9h,0A8h,0A4h,0A9h,063h,084h,0ADh,0A3h,0A7h,0A6h,09Dh,05Eh,059h,05Dh,056h,07Bh
db 0ABh,0A5h,09Ch,05Ah,05Dh,05Bh,059h,07Dh,0B0h,0A0h,0ACh,0A0h,0A9h,063h,05Eh,054h
db 078h,0A9h,0A6h,09Eh,05Dh,05Bh,05Ah,05Dh,059h,071h,0AFh,096h,061h,059h,060h,056h
db 080h,0ADh,0A5h,0A8h,0A6h,0A6h,0A6h,06Dh,057h,05Eh,05Ah,05Ch,063h,0A4h,0A6h,0A8h
db 0A5h,0A7h,0A4h,0A6h,0A4h,0A6h,0A3h,0A4h,065h,058h,05Ah,05Bh,058h,066h,0A4h,0A5h
db 0A5h,06Dh,051h,07Dh,0AAh,0A2h,0A6h,0A3h,0A4h,0A3h,06Fh,051h,05Fh,053h,069h,0A0h
db 0A7h,0A0h,0A9h,070h,055h,05Ah,059h,059h,05Bh,059h,05Dh,059h,05Fh,056h,076h,0AAh
db 0A6h,0A7h,0A6h,0A5h,0A8h,0A2h,0ABh,085h,056h,05Bh,05Ah,058h,091h,0A8h,0A7h,083h
db 051h,060h,057h,05Fh,091h,0AEh,09Eh,0AEh,082h,058h,05Bh,05Dh,097h,0ABh,0A0h,0ADh
db 080h,055h,05Ch,05Ah,05Ch,093h,0ADh,077h,052h,071h,0A9h,0A4h,0A8h,0A2h,0A9h,071h
db 055h,05Dh,059h,05Ch,05Eh,09Eh,0A7h,0A6h,0A5h,0A6h,0A4h,0A5h,0A3h,0A5h,0A1h,0A6h
db 06Ah,055h,05Ah,058h,059h,060h,09Fh,0A6h,0A1h,0A9h,079h,052h,05Ch,05Fh,0A6h,0A0h
db 0A8h,09Eh,0ABh,07Ah,054h,05Ah,059h,05Ah,099h,0A5h,0A4h,0A1h,0A8h,087h,052h,05Bh
db 056h,05Bh,058h,05Bh,059h,05Bh,05Ah,05Bh,05Fh,09Eh,0A7h,0A5h,0A6h,0A4h,0A6h,0A3h
db 0A6h,09Ah,05Eh,057h,05Ch,054h,07Ah,0AAh,0A3h,09Ch,057h,05Eh,055h,060h,052h,079h
db 0A8h,0A7h,09Ch,05Fh,059h,05Eh,056h,07Bh,0ADh,0A2h,0A9h,0A3h,0A6h,066h,058h,05Bh
db 05Ah,05Ch,05Bh,061h,0A0h,0A8h,0A5h,0A7h,0A4h,0A9h,08Eh,054h,060h,056h,061h,053h
db 085h,0ABh,0A5h,0A7h,0A5h,0A4h,0A6h,0A2h,0A6h,0A0h,0A9h,084h,053h,05Bh,058h,059h
db 05Bh,056h,07Fh,0ADh,09Fh,0AAh,097h,05Fh,056h,05Eh,053h,07Dh,0AAh,0A4h,09Ah,056h
db 060h,053h,089h,0A9h,0A4h,0A4h,0A7h,09Ah,05Ch,059h,05Ah,05Ah,05Bh,05Ah,05Ch,05Ah
db 05Dh,05Bh,097h,0AAh,0A6h,0A6h,0A6h,0A4h,0A7h,09Dh,060h,058h,05Eh,055h,079h,0ABh
db 0A2h,0A8h,09Fh,063h,058h,05Ch,05Ah,05Ch,05Bh,05Ch,05Dh,05Ch,060h,058h,087h,0AFh
db 0A5h,0AAh,0A7h,0A1h,05Eh,05Eh,05Ah,060h,058h,074h,0ACh,0A5h,0AAh,0A5h,0AAh,0A3h
db 0ACh,081h,055h,05Fh,058h,060h,058h,091h,0ACh,0A4h,0A8h,0A5h,0A8h,0A4h,0A8h,0A2h
db 0AAh,073h,055h,05Ch,05Ah,05Ch,05Bh,05Bh,092h,0ADh,0A1h,0ACh,088h,055h,05Fh,058h
db 060h,055h,089h,0ABh,0A8h,091h,054h,062h,057h,097h,0A8h,0A7h,0A4h,0ABh,092h,058h
db 05Dh,05Ah,05Dh,05Ah,05Eh,05Bh,05Eh,05Ch,060h,05Dh,09Ch,0AAh,0A9h,0A6h,0ACh,08Fh
db 057h,063h,09Ah,0ADh,0A4h,0ABh,0A2h,0ACh,08Fh,059h,05Ch,05Bh,05Bh,05Dh,05Ch,05Dh
db 05Dh,05Eh,05Ch,060h,05Ch,094h,0AEh,0A7h,0A9h,0AAh,099h,059h,062h,05Ah,063h,056h
db 080h,0ADh,0A7h,0AAh,0A8h,0A7h,0A9h,071h,058h,060h,05Ch,05Eh,063h,0A4h,0A8h,0AAh
db 0A7h,0A8h,0A6h,0A8h,0A4h,0A8h,0A3h,0A7h,068h,059h,05Bh,05Dh,059h,067h,0A3h,0A8h
db 0A4h,0AAh,076h,056h,05Eh,05Ah,05Dh,05Eh,09Ah,0ADh,071h,059h,05Ch,06Bh,0ACh,0A3h
db 0ABh,0A1h,0ADh,074h,057h,05Dh,05Ah,063h,0A3h,0A6h,0AAh,072h,057h,05Fh,05Ah,05Eh
db 05Fh,0A2h,0A6h,0ABh,078h,056h,061h,059h,067h,0A1h,0ABh,0A5h,0AAh,0A4h,0ADh,08Ah
db 056h,063h,09Ch,0ABh,06Eh,058h,05Fh,05Bh,05Fh,05Bh,060h,05Bh,096h,0ACh,0A7h,0A8h
db 0A7h,0A7h,0A8h,0A1h,064h,059h,05Fh,056h,078h,0ABh,0A5h,0A8h,0A6h,0A5h,0A9h,076h
db 054h,05Fh,058h,05Fh,05Ch,09Eh,0A7h,0A7h,0A5h,0A7h,0A4h,0A7h,0A3h,0A6h,0A1h,0A8h
db 06Eh,055h,05Bh,057h,064h,0A4h,0A3h,0A7h,0A0h,0AAh,07Bh,053h,05Ch,057h,05Bh,05Ah
db 05Ah,05Bh,05Ah,05Dh,058h,06Ch,0A8h,0A6h,0A6h,0A7h,0A4h,0AAh,080h,053h,05Fh,058h
db 060h,095h,0ADh,0A0h,0AEh,081h,055h,064h,0A2h,0A4h,0A8h,06Eh,056h,05Ch,05Ah,05Ch
db 05Bh,05Dh,099h,0AAh,0A5h,0A7h,0A4h,0A7h,0A4h,0A6h,0A0h,062h,057h,05Ch,059h,05Ch
db 05Ah,05Ch,05Eh,09Eh,0A8h,0A5h,0A5h,0A6h,0A4h,0A4h,0A5h,09Eh,05Ch,05Bh,058h,05Eh
db 055h,071h,0A7h,0A4h,0A5h,0A4h,069h,056h,05Ch,059h,05Ch,05Ah,060h,09Eh,0A7h,0A5h
db 0A6h,0A5h,0A5h,0A5h,0A3h,0A5h,0A1h,0A5h,069h,055h,05Ah,059h,058h,061h,09Fh,0A6h
db 0A2h,0A9h,078h,053h,05Ch,058h,05Bh,05Ah,059h,08Ch,0ADh,0A0h,0A9h,0A1h,0A8h,0A0h
db 0A7h,09Fh,0A9h,070h,055h,059h,058h,059h,05Ah,059h,05Dh,056h,081h,0ADh,0A0h,0ABh
db 095h,05Eh,057h,08Eh,0AAh,0A2h,0A6h,0A2h,0A5h,0A1h,0A5h,0A0h,0A5h,09Eh,0A8h,080h
db 052h,05Ah,055h,059h,056h,05Bh,053h,078h,0AEh,08Bh,058h,05Ah,095h,0A7h,0A2h,0A4h
db 0A2h,0A3h,0A1h,0A2h,0A1h,0A2h,0A0h,0A1h,0A0h,0A1h,09Fh,0A2h,095h,056h,055h,054h
db 056h,054h,057h,054h,060h,09Eh,0A2h,0A1h,0A1h,0A1h,0A0h,0A0h,0A0h,09Fh,0A0h,09Ch
db 060h,050h,059h,04Fh,06Bh,0A2h,09Fh,0A0h,0A0h,09Dh,0A2h,076h,049h,069h,09Eh,09Fh
db 09Eh,09Eh,09Eh,09Eh,09Dh,09Dh,09Ch,09Eh,094h,055h,052h,052h,053h,052h,054h,052h
db 056h,053h,058h,050h,085h,0A6h,09Dh,0A2h,09Eh,0A0h,09Dh,0A0h,09Dh,09Eh,09Dh,09Eh
db 09Ch,09Eh,09Bh,09Dh,09Ah,09Eh,066h,04Bh,054h,04Fh,054h,050h,056h,04Fh,089h,0A2h
db 09Ch,09Eh,09Dh,09Eh,09Ch,09Ch,09Dh,09Ch,09Ch,09Bh,09Ch,09Ah,09Bh,099h,09Ch,097h
db 09Eh,066h,04Ah,052h,04Fh,050h,051h,050h,053h,04Dh,07Dh,0A4h,098h,0A0h,098h,09Fh
db 098h,09Fh,062h,04Eh,052h,052h,051h,053h,052h,054h,052h,056h,04Fh,073h,0A5h,09Bh
db 0A1h,09Ch,0A0h,09Bh,0A0h,09Ah,0A3h,080h,04Dh,055h,051h,055h,052h,056h,050h,06Eh
db 0A8h,08Ch,057h,053h,058h,050h,07Fh,0A7h,09Dh,0A3h,09Eh,0A2h,09Dh,0A1h,09Dh,0A0h
db 09Bh,0A3h,088h,050h,054h,053h,054h,054h,055h,054h,056h,055h,056h,056h,057h,058h
db 057h,058h,058h,059h,058h,05Fh,09Eh,0A5h,0A3h,0A4h,0A4h,0A3h,0A3h,0A2h,0A3h,09Eh
db 05Fh,055h,059h,057h,059h,056h,062h,0A0h,0A3h,0A4h,0A3h,0A3h,0A2h,0A2h,0A1h,0A2h
db 0A1h,0A1h,0A0h,0A0h,09Fh,0A0h,09Eh,0A2h,090h,053h,056h,053h,057h,053h,059h,052h
db 066h,0A0h,0A1h,0A1h,0A1h,09Fh,0A1h,09Dh,0A3h,08Bh,051h,057h,053h,057h,055h,057h
db 056h,057h,057h,058h,057h,059h,058h,059h,059h,05Ah,05Ah,05Ah,060h,09Fh,0A6h,0A5h
db 0A5h,0A4h,0A4h,0A4h,0A3h,0A3h,09Fh,061h,056h,05Ah,058h,05Ah,057h,063h,0A1h,0A5h
db 0A4h,0A4h,0A3h,0A3h,0A3h,0A3h,0A2h,0A1h,0A1h,0A2h,0A1h,0A1h,0A0h,0A0h,09Fh,0A1h
db 098h,058h,054h,055h,056h,055h,057h,056h,057h,058h,096h,0A5h,0A1h,0A2h,0A1h,0A1h
db 0A0h,0A1h,0A0h,09Fh,0A0h,09Fh,09Fh,09Eh,09Fh,09Eh,09Eh,09Dh,09Dh,060h,04Fh,054h
db 052h,055h,053h,059h,098h,0A0h,09Eh,09Fh,09Eh,09Eh,09Eh,09Dh,09Dh,09Ah,05Ch,050h
db 054h,052h,055h,053h,056h,053h,058h,051h,086h,0A6h,09Dh,0A2h,09Eh,0A1h,09Eh,0A0h
db 09Dh,0A0h,09Ch,09Fh,09Ch,09Eh,09Bh,09Eh,099h,09Fh,064h,04Eh,053h,052h,053h,053h
db 054h,091h,0A1h,09Ch,09Eh,09Ch,09Eh,09Ch,09Dh,09Ch,09Ch,09Bh,09Bh,09Bh,09Bh,09Bh
db 09Ah,09Bh,095h,056h,04Eh,050h,050h,051h,050h,052h,051h,053h,052h,054h,052h,056h
db 050h,067h,0A2h,09Dh,0A1h,09Ch,0A2h,06Fh,04Ah,06Dh,0A1h,09Dh,09Fh,09Ch,09Fh,09Ch
db 09Eh,09Ah,0A0h,088h,04Eh,056h,04Fh,057h,04Ch,079h,0A3h,09Bh,09Fh,09Ch,09Dh,09Dh
db 064h,04Dh,056h,050h,056h,051h,057h,051h,059h,04Eh,080h,0A5h,09Dh,0A2h,09Eh,0A0h
db 09Eh,09Fh,09Eh,09Eh,09Dh,09Eh,09Dh,09Dh,09Ch,09Dh,09Ch,09Ch,09Bh,09Ch,09Bh,09Bh
db 09Ah,09Ah,099h,09Ah,099h,099h,098h,099h,098h,098h,097h,098h,097h,097h,097h,097h
db 096h,096h,096h,096h,095h,059h,047h,04Dh,04Ah,04Dh,04Bh,04Fh,04Ch,050h,04Ch,052h
db 049h,06Ch,09Fh,098h,09Ch,099h,09Bh,098h,09Ah,098h,099h,098h,099h,097h,098h,097h
db 098h,096h,097h,096h,097h,096h,096h,095h,096h,095h,094h,095h,094h,094h,094h,094h
db 093h,093h,058h,044h,04Ch,048h,04Ch,049h,04Dh,04Ah,087h,09Ah,095h,097h,095h,096h
db 095h,096h,094h,095h,094h,095h,094h,094h,093h,094h,093h,093h,093h,092h,092h,093h
db 092h,092h,091h,092h,091h,092h,091h,090h,091h,090h,091h,090h,08Fh,090h,08Fh,090h
db 08Fh,08Eh,08Fh,08Eh,08Eh,08Fh,08Eh,08Dh,08Eh,08Dh,08Eh,08Dh,08Dh,08Ch,08Dh,08Ch
db 08Dh,08Ch,08Ch,08Bh,08Ch,08Bh,08Ch,08Bh,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah
db 08Ah,089h,08Ah,089h,089h,089h,089h,089h,089h,089h,084h,043h,03Eh,03Eh,040h,03Fh
db 042h,03Fh,043h,040h,046h,03Dh,072h,094h,08Bh,090h,08Ch,08Fh,08Ch,08Eh,08Ch,08Dh
db 08Ch,08Dh,08Ch,08Dh,08Ch,08Ch,08Bh,08Ch,08Bh,08Ch,08Bh,08Bh,08Ah,08Bh,08Ah,08Bh
db 08Ah,08Bh,08Ah,08Ah,089h,08Ah,089h,08Ah,089h,089h,088h,089h,088h,089h,088h,088h
db 089h,088h,087h,087h,088h,087h,088h,087h,088h,087h,087h,086h,087h,086h,087h,085h
db 089h,07Dh,03Ch,03Dh,03Bh,03Eh,03Dh,03Fh,03Eh,040h,03Fh,041h,040h,042h,041h,044h
db 042h,045h,042h,04Ch,089h,092h,08Eh,090h,08Eh,090h,08Dh,090h,08Dh,091h,08Bh,092h
db 059h,040h,045h,044h,045h,046h,044h,049h,041h,074h,099h,08Fh,094h,090h,093h,090h
db 092h,090h,091h,090h,091h,090h,08Fh,090h,08Fh,090h,08Fh,08Fh,08Eh,08Fh,08Eh,090h
db 08Dh,090h,08Bh,092h,05Ch,03Fh,046h,043h,045h,045h,045h,047h,046h,049h,043h,060h
db 097h,090h,095h,091h,094h,091h,093h,091h,092h,091h,092h,091h,091h,090h,091h,090h
db 090h,090h,08Fh,090h,08Fh,090h,08Eh,091h,08Ch,094h,072h,03Dh,04Eh,087h,092h,08Dh
db 090h,08Eh,08Fh,08Eh,08Fh,08Eh,08Ah,04Ah,043h,044h,045h,045h,046h,046h,047h,046h
db 049h,046h,04Bh,044h,064h,09Ah,091h,098h,091h,097h,08Fh,09Bh,06Ah,044h,04Ah,050h
db 091h,094h,095h,094h,094h,094h,094h,094h,093h,093h,092h,093h,092h,093h,091h,093h
db 091h,093h,090h,090h,052h,045h,047h,048h,048h,049h,048h,04Bh,048h,04Eh,045h,072h
db 09Ch,092h,098h,094h,097h,095h,095h,094h,095h,094h,094h,095h,093h,091h,04Dh,07Ch
db 09Bh,090h,096h,091h,095h,091h,094h,091h,094h,091h,093h,090h,093h,090h,093h,091h
db 092h,08Fh,092h,08Fh,092h,08Eh,091h,08Eh,092h,08Ch,094h,05Eh,040h,048h,043h,048h
db 046h,047h,047h,048h,049h,049h,04Ah,04Ah,04Ah,04Eh,08Bh,098h,094h,097h,094h,096h
db 094h,095h,094h,095h,094h,095h,093h,094h,093h,094h,092h,093h,092h,093h,092h,093h
db 091h,092h,091h,092h,091h,092h,090h,091h,08Fh,091h,08Fh,091h,08Fh,091h,08Bh,051h
db 040h,04Ah,03Fh,05Eh,093h,090h,091h,092h,090h,093h,08Dh,096h,077h,041h,048h,046h
db 046h,049h,043h,06Bh,09Ah,08Eh,096h,090h,095h,090h,094h,090h,093h,090h,093h,090h
db 093h,090h,092h,08Fh,092h,08Eh,092h,08Eh,093h,085h,049h,044h,047h,045h,048h,045h
db 049h,046h,04Bh,046h,04Dh,043h,076h,09Bh,093h,097h,093h,095h,094h,094h,093h,094h
db 094h,093h,093h,092h,094h,091h,094h,08Fh,098h,06Bh,041h,04Ah,04Ch,090h,092h,095h
db 092h,094h,091h,093h,091h,093h,090h,092h,055h,045h,049h,047h,049h,049h,04Ah,04Bh
db 04Ah,04Ch,04Bh,04Dh,049h,05Eh,09Bh,095h,099h,051h,07Eh,09Eh,094h,09Ah,095h,099h
db 095h,097h,058h,04Ah,04Dh,04Dh,04Ch,058h,098h,097h,09Ah,05Fh,04Ah,050h,04Eh,04Fh
db 056h,097h,09Ah,09Ch,099h,09Bh,098h,09Bh,098h,09Ah,097h,09Bh,096h,09Bh,093h,09Eh
db 07Bh,049h,04Fh,04Dh,04Dh,050h,04Ah,074h,0A1h,096h,09Ch,097h,09Bh,097h,062h,045h
db 071h,0A1h,083h,04Ch,053h,089h,0A3h,065h,04Dh,04Fh,05Dh,09Fh,092h,05Ah,049h,080h
db 0A1h,099h,09Dh,099h,09Ch,09Ah,09Bh,099h,09Ah,099h,09Ah,098h,099h,098h,095h,056h
db 04Dh,04Fh,04Fh,04Fh,050h,050h,050h,051h,052h,052h,052h,054h,051h,063h,0A2h,094h
db 05Dh,04Dh,082h,0A4h,09Ch,0A0h,09Dh,09Fh,09Ch,09Fh,09Bh,0A1h,074h,048h,065h,09Eh
db 096h,058h,050h,07Fh,0AAh,07Ah,04Fh,05Ch,09Bh,09Dh,0A0h,09Bh,0A0h,099h,0A3h,084h
db 056h,097h,09Dh,09Bh,09Eh,09Ah,09Eh,098h,0A0h,08Ch,058h,049h,087h,072h,049h,055h
db 04Fh,053h,053h,051h,089h,0A2h,09Fh,080h,048h,062h,095h,0A3h,099h,0A2h,098h,0A5h
db 07Fh,04Dh,05Ah,096h,09Eh,064h,04Bh,074h,0A6h,087h,050h,057h,08Dh,0A7h,069h,051h
db 053h,062h,0A3h,095h,05Eh,04Eh,082h,0A5h,09Dh,0A1h,09Dh,0A0h,09Dh,09Fh,09Ch,09Fh
db 09Ah,0A2h,083h,04Ch,05Ah,090h,0A4h,063h,052h,04Fh,069h,092h,04Dh,05Bh,04Ch,08Ah
db 0A0h,0A3h,082h,04Eh,05Dh,097h,0A1h,0A0h,071h,049h,071h,0A0h,0A0h,098h,05Ch,050h
db 080h,0AAh,07Eh,04Fh,05Fh,09Bh,0A1h,09Fh,09Fh,0A0h,09Dh,0A3h,08Ah,050h,057h,08Dh
db 0A5h,099h,0A3h,098h,0A5h,089h,058h,08Fh,0A5h,061h,073h,0A9h,082h,050h,056h,050h
db 058h,04Dh,080h,0A3h,0A1h,08Ch,054h,09Bh,09Dh,0A0h,09Dh,09Fh,09Dh,09Fh,09Ch,09Dh
db 09Ch,09Ch,09Eh,06Eh,046h,06Dh,09Dh,09Eh,096h,059h,04Dh,07Eh,0A8h,07Bh,04Eh,054h
db 051h,055h,051h,082h,0A9h,079h,04Eh,061h,09Dh,09Eh,0A0h,065h,050h,057h,054h,056h
db 055h,059h,096h,0A5h,06Dh,04Dh,074h,0A5h,09Fh,0A2h,09Fh,0A1h,069h,04Dh,077h,0A6h
db 09Eh,0A3h,09Eh,0A2h,09Eh,0A1h,09Dh,0A0h,09Bh,0A2h,090h,055h,053h,055h,053h,057h
db 051h,069h,0A3h,09Eh,0A1h,09Eh,0A0h,09Eh,0A0h,09Dh,09Fh,09Dh,09Fh,098h,05Dh,04Dh
db 07Ch,0A9h,080h,04Eh,05Bh,095h,0A2h,09Ah,0A3h,075h,04Ah,065h,09Dh,09Eh,09Ch,061h
db 04Ch,078h,0A9h,082h,050h,059h,092h,0A4h,067h,051h,054h,065h,0A7h,091h,05Eh,04Dh
db 088h,0A1h,0A3h,083h,04Fh,059h,054h,057h,086h,0ADh,075h,053h,056h,05Dh,09Fh,0A0h
db 0A5h,06Bh,053h,057h,066h,0AAh,094h,060h,050h,089h,0A6h,0A1h,0A3h,0A1h,0A1h,0A2h
db 0A0h,0A2h,09Eh,0A4h,07Dh,04Ch,064h,09Ch,09Fh,05Dh,055h,055h,057h,056h,057h,057h
db 05Bh,097h,0A6h,09Fh,0A4h,09Eh,0A7h,08Bh,054h,059h,092h,0A5h,09Fh,0A2h,09Fh,0A2h
db 09Fh,0A1h,09Bh,05Dh,054h,053h,072h,0ACh,086h,057h,056h,092h,0A5h,071h,04Bh,071h
db 0A2h,0A1h,0A0h,09Fh,064h,050h,078h,0ACh,084h,054h,058h,096h,0A3h,06Fh,04Bh,076h
db 0A2h,0A4h,097h,05Dh,050h,087h,0A5h,0A0h,0A0h,0A3h,093h,058h,053h,089h,0A5h,09Eh
db 0A0h,0A2h,090h,053h,057h,089h,0A9h,072h,04Eh,069h,0A2h,09Fh,0A0h,0A0h,09Eh,0A3h
db 07Ah,04Ah,067h,09Dh,0A0h,09Fh,09Eh,09Fh,09Ch,0A3h,082h,04Ch,05Ch,094h,0A1h,09Eh
db 072h,047h,06Eh,0A0h,094h,052h,058h,04Eh,080h,0A8h,080h,04Eh,05Ah,052h,099h,062h
db 057h,050h,075h,08Fh,04Fh,05Dh,051h,091h,0A5h,0A1h,0A2h,0A0h,0A1h,0A0h,0A2h,09Dh
db 067h,04Bh,07Ch,0A3h,0A1h,093h,055h,096h,0A1h,0A0h,0A0h,09Fh,09Fh,09Eh,09Fh,09Dh
db 09Fh,09Bh,0A2h,072h,04Ah,065h,0A1h,093h,05Ah,04Dh,083h,0A2h,09Fh,085h,04Bh,059h
db 04Fh,059h,050h,05Ah,04Eh,06Eh,0A1h,0A2h,09Ah,05Eh,052h,059h,050h,071h,0A6h,09Fh
db 0A3h,09Ch,063h,04Fh,07Eh,0ABh,082h,052h,058h,055h,058h,056h,05Ah,054h,072h,0ACh
db 090h,05Bh,057h,08Eh,0ABh,078h,050h,06Dh,0A4h,0A3h,0A3h,0A3h,0A3h,0A3h,0A2h,0A2h
db 0A1h,0A2h,0A1h,0A1h,0A0h,0A0h,09Fh,09Fh,09Fh,09Fh,0A0h,096h,056h,054h,053h,056h
db 055h,055h,062h,0A5h,096h,062h,04Ch,085h,0A2h,0A4h,089h,051h,05Bh,094h,0A5h,06Dh
db 04Dh,074h,0A3h,0A2h,098h,05Ch,051h,086h,0A5h,0A2h,087h,04Fh,05Ch,052h,05Bh,055h
db 05Ah,056h,05Bh,057h,05Bh,05Ch,09Fh,0A4h,06Fh,04Fh,07Dh,0A8h,0A4h,0A5h,0A4h,0A4h
db 0A2h,0A6h,079h,04Dh,070h,0A1h,0A5h,09Dh,066h,04Eh,082h,0A5h,0A5h,090h,054h,05Bh
db 091h,0A8h,09Fh,0A5h,0A0h,0A4h,0A1h,09Bh,057h,05Ah,053h,05Dh,04Fh,075h,092h,053h
db 05Ch,055h,08Ch,0ADh,07Bh,054h,05Ch,058h,05Ch,059h,091h,0ADh,079h,052h,06Fh,0A6h
db 0A3h,0A7h,0A2h,0A8h,075h,050h,072h,0A9h,097h,05Dh,058h,08Ah,0AFh,07Ch,053h,06Ah
db 0A4h,0A4h,0A5h,0A3h,0A5h,0A3h,0A3h,0A2h,0A3h,0A2h,0A2h,0A1h,0A2h,0A1h,0A1h,0A0h
db 0A0h,09Fh,0A0h,09Fh,09Eh,061h,051h,056h,054h,056h,055h,058h,055h,059h,054h,081h
db 0ADh,080h,052h,062h,09Fh,0A1h,067h,050h,07Eh,0A9h,09Fh,0A5h,0A0h,0A4h,09Fh,0A3h
db 09Fh,0A2h,09Eh,0A2h,09Dh,0A3h,098h,062h,04Bh,080h,0A3h,09Fh,09Eh,0A2h,095h,05Dh
db 04Ch,083h,0A2h,0A1h,087h,04Dh,05Bh,091h,0A5h,068h,04Ch,071h,0A4h,09Ch,0A1h,09Dh
db 0A0h,09Ch,09Fh,09Ch,09Eh,09Ch,09Dh,09Ch,09Dh,09Bh,09Ch,09Bh,09Bh,09Bh,09Ah,09Dh
db 090h,052h,04Eh,080h,0A6h,073h,04Ah,05Dh,09Bh,096h,05Bh,04Ch,055h,04Ch,06Ah,0A1h
db 099h,09Eh,099h,09Fh,064h,04Dh,053h,051h,053h,057h,098h,09Dh,09Fh,09Bh,0A1h,07Dh
db 049h,05Fh,097h,09Eh,05Ch,052h,052h,055h,050h,061h,09Eh,09Eh,09Eh,09Eh,09Eh,09Eh
db 09Dh,09Dh,09Ch,09Dh,09Bh,09Dh,09Bh,09Dh,098h,0A0h,080h,04Bh,053h,04Fh,053h,050h
db 053h,052h,052h,062h,0A4h,091h,05Eh,04Bh,085h,0A0h,0A1h,084h,04Dh,05Bh,093h,0A2h
db 09Ch,09Fh,09Ch,09Eh,09Eh,090h,04Fh,057h,04Eh,059h,04Ch,075h,0A2h,09Eh,09Eh,09Eh
db 09Dh,09Eh,09Bh,09Fh,099h,0A2h,088h,050h,053h,08Bh,0A3h,06Dh,049h,06Ah,09Fh,09Ch
db 09Ch,09Dh,099h,0A1h,071h,04Bh,055h,04Fh,054h,051h,055h,04Fh,07Eh,0AAh,07Eh,04Fh
db 05Ch,09Ah,09Fh,09Fh,09Dh,0A0h,09Bh,0A2h,089h,050h,055h,050h,084h,0A9h,075h,04Dh
db 061h,0A1h,095h,060h,04Bh,081h,0A1h,0A2h,088h,050h,058h,092h,0A1h,0A0h,077h,049h
db 06Ah,09Eh,09Fh,09Dh,05Eh,053h,051h,070h,0AAh,088h,055h,055h,08Dh,0A8h,06Eh,052h
db 055h,061h,0A2h,09Eh,0A1h,065h,04Fh,077h,0ABh,086h,05Ah,09Bh,0A0h,0A0h,0A0h,0A0h
db 09Eh,0A0h,09Fh,097h,052h,091h,09Dh,0A3h,079h,04Dh,055h,058h,09Ah,09Fh,064h,050h
db 057h,053h,057h,054h,05Ah,097h,0A4h,06Bh,04Dh,076h,0A5h,0A0h,099h,056h,059h,051h
db 080h,0ACh,081h,052h,05Ah,057h,096h,0A5h,0A0h,0A3h,09Fh,0A5h,08Fh,055h,058h,08Dh
db 0AAh,071h,04Fh,06Bh,0A7h,095h,05Ch,053h,086h,0ACh,07Ch,050h,065h,0A0h,0A2h,0A2h
db 0A1h,0A2h,09Eh,0A5h,087h,050h,05Dh,093h,0A6h,069h,050h,071h,0ABh,08Bh,059h,054h
db 091h,0A4h,0A1h,09Fh,0A4h,08Bh,052h,059h,091h,0A5h,09Dh,0A2h,0A0h,08Bh,04Bh,05Eh
db 04Ch,096h,069h,054h,052h,06Bh,0A3h,0A2h,09Ch,063h,04Dh,080h,0A4h,0A3h,08Dh,052h
db 059h,055h,057h,059h,054h,073h,0AAh,09Eh,0A6h,09Fh,0A5h,09Eh,0A7h,078h,04Eh,068h
db 0A0h,0A2h,09Fh,065h,04Eh,07Ch,0A8h,09Dh,0A6h,094h,05Bh,052h,085h,0ABh,07Ch,04Fh
db 064h,09Eh,09Fh,05Fh,056h,054h,074h,0AEh,089h,058h,057h,095h,0A3h,0A5h,07Ch,04Dh
db 06Ah,09Fh,0A3h,09Fh,068h,04Eh,07Dh,0A7h,09Fh,0A4h,09Fh,0A3h,09Dh,0A5h,070h,04Dh
db 06Ch,0A7h,091h,05Ah,052h,08Ah,0A6h,09Ch,0A5h,088h,050h,05Ch,090h,0AAh,066h,057h
db 050h,06Dh,093h,057h,056h,08Dh,0A5h,0A3h,080h,04Ch,066h,09Bh,0A5h,09Fh,0A3h,09Fh
db 0A2h,09Eh,0A1h,09Eh,0A1h,09Eh,0A0h,09Dh,09Fh,09Dh,09Eh,09Ch,09Eh,09Ch,09Ah,05Ah
db 051h,052h,054h,050h,062h,0A0h,096h,05Ch,050h,058h,04Fh,070h,0A5h,09Ch,0A2h,09Ch
db 0A0h,065h,04Dh,072h,0A9h,087h,054h,054h,090h,0A2h,09Dh,0A0h,09Eh,09Eh,09Dh,09Eh
db 09Dh,09Ch,09Dh,09Ch,09Dh,09Ah,09Eh,08Ch,04Eh,055h,04Ch,083h,0A1h,099h,09Eh,09Ah
db 09Eh,094h,057h,04Eh,053h,050h,054h,04Eh,060h,09Bh,09Eh,09Bh,066h,048h,077h,0A0h
db 09Eh,091h,052h,053h,084h,0A9h,072h,04Ch,063h,09Fh,09Ch,09Eh,05Eh,052h,053h,055h
db 051h,060h,09Eh,09Fh,0A0h,09Eh,09Fh,09Dh,09Eh,09Dh,09Eh,09Ch,09Eh,09Bh,09Fh,06Ch
db 048h,06Ch,09Fh,09Ah,09Eh,09Ah,09Dh,098h,0A0h,077h,048h,061h,098h,099h,059h,050h
db 051h,053h,051h,053h,052h,055h,052h,08Eh,0A1h,09Eh,09Dh,0A1h,089h,054h,09Bh,09Bh
db 0A0h,09Ah,0A0h,098h,0A2h,088h,052h,051h,08Ah,0A3h,06Fh,048h,06Ah,09Dh,09Dh,09Ch
db 09Eh,09Ah,09Eh,098h,0A1h,080h,04Dh,056h,092h,09Dh,09Dh,070h,046h,069h,09Dh,09Bh
db 09Ch,09Ah,09Dh,098h,0A0h,07Bh,049h,054h,04Dh,054h,04Ch,083h,0A2h,097h,0A2h,084h
db 04Eh,054h,08Dh,0A2h,06Ah,048h,06Dh,09Fh,09Bh,09Ch,09Dh,09Ah,0A0h,06Dh,04Bh,052h
db 05Bh,09Eh,095h,05Ch,04Eh,055h,051h,052h,061h,0A3h,098h,0A1h,059h,057h,04Ch,074h
db 0A1h,0A1h,092h,058h,04Fh,086h,0A1h,0A0h,082h,04Bh,05Eh,095h,0A3h,09Bh,0A1h,09Bh
db 09Fh,09Bh,09Fh,09Ah,09Eh,099h,065h,047h,077h,0A0h,09Bh,09Dh,095h,055h,052h,050h
db 054h,051h,055h,051h,056h,053h,095h,09Fh,0A1h,09Bh,0A4h,082h,04Fh,058h,095h,09Eh
db 0A1h,070h,04Dh,057h,052h,056h,055h,055h,089h,0AAh,074h,04Eh,068h,0A2h,09Fh,0A1h
db 09Eh,0A3h,073h,04Ah,06Eh,09Fh,0A1h,099h,060h,04Dh,081h,0A4h,0A0h,08Ch,04Eh,05Bh
db 04Fh,090h,073h,04Ah,073h,0A2h,0A1h,0A0h,0A0h,060h,056h,052h,073h,0A7h,09Dh,0A4h
db 09Ah,05Fh,053h,058h,055h,058h,056h,058h,05Bh,09Ah,0A5h,06Eh,04Eh,078h,0A7h,0A1h
db 0A4h,0A1h,0A3h,0A0h,0A3h,0A0h,0A2h,09Fh,0A1h,09Eh,0A2h,09Ch,0A4h,06Ah,050h,056h
db 054h,055h,057h,055h,059h,052h,080h,0A8h,09Dh,0A7h,090h,057h,056h,08Ah,0ABh,074h
db 051h,068h,0A6h,096h,060h,04Fh,088h,0A3h,0A5h,087h,051h,05Dh,098h,0A3h,0A4h,074h
db 050h,059h,060h,0A6h,098h,065h,04Dh,084h,0A4h,0A5h,08Dh,051h,05Dh,090h,0ACh,06Ah
db 057h,054h,069h,0A3h,0A3h,0A0h,066h,04Fh,080h,0A6h,0A3h,093h,054h,05Bh,056h,05Ah
db 057h,05Ah,059h,05Bh,059h,05Fh,09Bh,0A9h,070h,051h,07Ah,0A9h,0A3h,0A6h,0A1h,060h
db 088h,0ACh,09Fh,0A8h,0A0h,0A7h,0A0h,0A6h,09Eh,0A6h,09Dh,0A9h,080h,053h,059h,056h
db 058h,056h,082h,0B0h,07Dh,055h,058h,05Ah,056h,05Dh,053h,085h,0A8h,0A6h,090h,053h
db 060h,093h,0ADh,06Dh,059h,058h,06Ah,0A8h,0A2h,0A8h,0A1h,0A9h,076h,051h,06Fh,0A7h
db 0A1h,0A3h,05Ch,05Dh,050h,080h,08Ah,052h,05Eh,058h,05Ch,05Ch,058h,080h,0AFh,0A1h
db 0AAh,0A3h,0A8h,0A2h,0A7h,0A2h,0A5h,0A2h,0A5h,0A1h,0A4h,0A1h,0A2h,067h,050h,079h
db 0ADh,088h,056h,05Ah,094h,0A8h,06Eh,052h,05Ch,054h,066h,098h,05Fh,058h,05Bh,059h
db 05Ch,058h,069h,0A6h,0A0h,063h,059h,05Ch,05Ch,05Ah,068h,0A8h,0A4h,0AAh,0A2h,0AEh
db 077h,06Ch,0B1h,091h,060h,056h,093h,0A7h,0A9h,084h,051h,068h,09Eh,0A8h,0A3h,073h
db 04Eh,07Dh,0A6h,0A8h,098h,060h,055h,08Dh,0A8h,0A7h,089h,051h,065h,09Ah,0AAh,0A1h
db 0A8h,09Fh,0AAh,087h,055h,05Ah,057h,05Bh,059h,05Ch,057h,072h,0AEh,093h,05Fh,057h
db 091h,0AAh,0A3h,0A6h,0A3h,0A6h,0A3h,0A4h,0A3h,0A4h,0A1h,0A4h,0A0h,0A6h,08Fh,054h
db 05Ah,08Dh,0ABh,070h,054h,059h,057h,058h,05Bh,095h,0AAh,06Eh,054h,05Bh,058h,05Bh
db 058h,05Ch,058h,08Bh,0AFh,07Fh,053h,06Ah,0A3h,0A6h,0A5h,0A6h,0A4h,0A6h,0A2h,0A7h
db 091h,056h,05Bh,08Fh,0ACh,073h,051h,06Eh,0A8h,0A0h,0A6h,0A0h,0A6h,09Eh,0A9h,07Fh
db 052h,062h,0A0h,0A1h,0A4h,069h,054h,058h,057h,058h,059h,059h,098h,0A5h,0A4h,0A2h
db 0A4h,0A0h,0A6h,095h,05Ch,053h,08Ah,0A6h,0A0h,0A1h,0A4h,092h,056h,056h,08Bh,0A8h
db 09Ch,0A7h,085h,050h,05Eh,094h,0A7h,065h,057h,051h,070h,093h,053h,05Ah,056h,059h
db 059h,055h,071h,0AAh,09Fh,0A6h,0A0h,0A5h,0A0h,0A4h,0A0h,0A3h,09Fh,0A4h,098h,05Bh
db 055h,057h,056h,057h,057h,058h,058h,05Ah,097h,0A6h,0A1h,0A4h,0A1h,0A3h,0A0h,0A3h
db 0A0h,0A3h,09Eh,0A5h,074h,04Eh,05Ah,052h,05Bh,053h,097h,0A1h,0A7h,079h,051h,059h
db 05Dh,09Fh,0A1h,066h,053h,05Ah,055h,05Bh,057h,05Bh,058h,05Ch,058h,05Eh,055h,077h
db 0ABh,0A2h,0A8h,0A0h,065h,057h,05Dh,058h,05Eh,05Ah,05Eh,05Dh,09Fh,0A7h,0A8h,0A4h
db 0A9h,0A2h,0AAh,095h,05Fh,056h,092h,0A7h,0A9h,083h,053h,05Eh,058h,05Dh,05Ah,05Dh
db 05Bh,05Dh,05Dh,05Dh,05Eh,05Dh,05Fh,05Dh,062h,059h,080h,0B0h,0A6h,0ABh,0A7h,0AAh
db 0A7h,0A8h,0A8h,0A6h,0ABh,091h,057h,060h,059h,05Fh,05Bh,060h,05Ch,060h,05Bh,067h
db 0A3h,0ABh,0A7h,0AAh,0A6h,0AAh,0A6h,0A9h,0A5h,0A9h,0A3h,0AAh,06Fh,058h,05Ah,06Bh
db 0AAh,0A2h,0A9h,0A1h,0ACh,073h,057h,05Ah,067h,0A8h,09Eh,064h,058h,05Eh,059h,05Eh
db 05Ah,05Eh,05Eh,0A3h,0A4h,0AEh,071h,075h,0B0h,0A1h,0ABh,0A2h,0A9h,065h,05Ch,056h
db 075h,0ABh,0A2h,0A9h,09Fh,069h,052h,082h,0AAh,0A3h,0A6h,0A4h,0A1h,05Fh,05Ah,059h
db 05Ch,055h,06Fh,09Ah,056h,061h,055h,08Ch,0ABh,0A4h,0AAh,093h,056h,05Fh,056h,061h
db 053h,080h,0A9h,0A9h,097h,05Bh,05Ch,091h,0ACh,0A3h,0A9h,0A3h,0A9h,099h,05Ch,05Bh
db 05Ah,05Ch,05Bh,05Dh,05Bh,05Eh,05Bh,060h,059h,093h,0ADh,0A6h,0A9h,0A7h,0A7h,0A7h
db 0A5h,0A7h,0A2h,0ABh,07Ch,054h,05Dh,059h,05Fh,09Bh,0A9h,0A6h,0A4h,0A9h,088h,053h
db 05Eh,058h,05Eh,059h,05Dh,05Ah,05Eh,05Ch,05Eh,062h,0A3h,0A8h,0A8h,0A6h,0A8h,0A5h
db 0A8h,0A5h,0A7h,0A4h,0A7h,0A2h,0A9h,07Ch,050h,06Dh,0A5h,09Eh,05Eh,05Bh,056h,07Eh
db 0B1h,087h,058h,05Ah,05Bh,05Ah,05Dh,056h,07Dh,0ADh,0A4h,09Dh,058h,09Eh,0A3h,0A9h
db 0A0h,0ADh,087h,058h,059h,05Dh,055h,08Eh,0A8h,0A8h,088h,053h,063h,09Dh,0A7h,0A5h
db 0A3h,0A9h,082h,052h,05Dh,057h,05Dh,059h,05Ch,05Ah,05Ch,05Ch,05Ch,065h,0A5h,0A6h
db 0A7h,0A6h,0A7h,0A5h,0A5h,0A5h,0A5h,0A5h,0A2h,065h,056h,05Dh,055h,070h,0A8h,0A4h
db 0A1h,061h,058h,05Ch,058h,072h,0AFh,093h,05Eh,059h,05Dh,059h,05Fh,057h,073h,0ABh
db 0A5h,0A9h,0A5h,0A8h,0A4h,0A7h,0A2h,0A9h,091h,057h,05Ch,092h,0ADh,072h,056h,05Ch
db 059h,05Ch,05Bh,05Bh,090h,0B0h,077h,059h,05Bh,065h,0A5h,0A6h,0A7h,0A5h,0A6h,0A4h
db 0A6h,0A4h,0A5h,0A4h,0A1h,063h,057h,05Bh,059h,05Bh,05Ah,05Ch,059h,05Eh,058h,08Bh
db 0ADh,0A3h,0A9h,0A3h,0A8h,09Dh,062h,057h,05Dh,059h,05Dh,059h,05Fh,059h,060h,058h
db 093h,0ABh,0A7h,0A7h,0A7h,0A5h,0A7h,0A4h,0A7h,0A1h,0ABh,07Ah,055h,05Ch,059h,05Eh
db 09Dh,0A5h,0A9h,078h,054h,05Ch,063h,0A8h,0A1h,0A8h,068h,059h,05Bh,05Ch,059h,064h
db 0A3h,0A6h,0A6h,0A5h,0A5h,0A4h,0A6h,0A3h,0A6h,09Ch,05Fh,058h,05Bh,059h,05Bh,059h
db 05Ch,059h,05Eh,059h,061h,055h,083h,0AAh,0A9h,096h,05Ch,0A0h,0A6h,0A6h,0A6h,0A5h
db 0A5h,0A4h,0A5h,0A3h,0A5h,0A1h,0A8h,073h,053h,05Bh,058h,05Ah,05Ah,059h,05Dh,055h
db 080h,0ACh,0A2h,0A8h,0A3h,0A6h,0A3h,0A4h,0A4h,0A2h,0A7h,088h,051h,05Ch,055h,05Ch
db 056h,05Dh,056h,05Eh,056h,068h,0A2h,0A8h,0A3h,0A8h,0A1h,0ABh,082h,053h,062h,09Fh
db 0A4h,0A6h,06Fh,053h,05Dh,055h,066h,0A3h,0A3h,0A5h,06Bh,056h,05Ch,059h,05Ah,061h
db 09Dh,060h,05Ch,05Ah,05Fh,057h,070h,0A9h,0A6h,0A7h,0A6h,0A7h,0A5h,0A6h,0A3h,0A8h
db 095h,057h,05Ch,058h,05Ch,059h,05Dh,059h,05Fh,059h,061h,058h,09Ah,0A6h,0AEh,080h
db 068h,0AEh,0A1h,0AAh,0A3h,0A9h,0A3h,0A7h,0A3h,0A5h,0A4h,09Ch,05Ah,05Bh,057h,05Dh
db 057h,05Dh,058h,05Eh,058h,060h,055h,090h,0AAh,0A7h,0A5h,0AAh,096h,05Dh,059h,091h
db 0ABh,0A3h,0A7h,0A4h,0A6h,0A4h,0A0h,061h,058h,05Ah,059h,05Bh,059h,05Ch,05Ah,05Eh
db 057h,08Fh,0ABh,0A5h,0A7h,0A5h,0A5h,0A5h,0A4h,0A6h,0A1h,0A9h,07Dh,053h,05Dh,057h
db 05Ch,059h,05Ch,05Ah,05Ch,05Bh,05Dh,05Bh,063h,0A3h,0A6h,0ABh,072h,058h,05Ch,06Ch
db 0ACh,0A3h,0AAh,0A4h,0A9h,0A3h,0A9h,0A2h,0AAh,093h,05Ah,05Ah,05Ah,05Ah,05Bh,05Bh
db 05Ch,05Ah,05Eh,05Bh,060h,059h,08Dh,0ADh,0A5h,0AAh,0A5h,0A8h,0A5h,0A7h,0A4h,0A7h
db 0A3h,0A6h,0A1h,0A8h,095h,05Ah,059h,059h,059h,05Bh,05Ah,05Bh,05Ah,05Dh,05Ah,05Fh
db 057h,089h,0ADh,0A4h,0A9h,0A5h,0A7h,0A5h,0A6h,0A4h,0A5h,0A4h,0A4h,0A3h,0A3h,0A3h
db 0A2h,0A2h,067h,054h,05Ah,057h,05Ah,058h,05Bh,059h,095h,0A8h,0A2h,0A6h,0A2h,0A4h
db 0A2h,0A4h,0A0h,0A4h,069h,054h,059h,057h,059h,059h,058h,05Ah,058h,05Eh,053h,07Dh
db 091h,051h,063h,054h,063h,052h,08Bh,0A8h,0ABh,08Fh,058h,05Fh,09Ah,0AAh,0A4h,0A7h
db 0A5h,0A5h,0A6h,099h,05Bh,05Bh,059h,05Ch,059h,05Dh,05Ah,05Dh,05Ah,05Eh,05Ah,060h
db 057h,080h,0AFh,0A4h,0AAh,0A5h,0A9h,0A5h,0A8h,0A4h,0A8h,0A3h,0AAh,094h,059h,05Bh
db 05Ah,05Bh,05Bh,05Ch,05Bh,05Ch,05Ch,05Eh,05Ch,096h,0ADh,0A5h,0AAh,0A4h,0A9h,0A4h
db 0A8h,0A2h,0A9h,0A0h,0ACh,07Dh,055h,05Bh,05Bh,059h,05Dh,056h,089h,0ACh,0A3h,0A6h
db 0A6h,09Bh,05Bh,05Ah,05Bh,05Ah,05Ch,058h,06Ch,0A8h,0A4h,0A7h,0A5h,0A6h,0A5h,0A5h
db 0A4h,0A3h,0A5h,09Ch,05Dh,058h,05Ah,059h,05Bh,059h,05Ch,059h,05Eh,058h,095h,0A8h
db 0A9h,082h,054h,05Fh,059h,05Eh,095h,0ADh,0A2h,0AAh,0A2h,0A9h,0A2h,0A7h,0A1h,0A7h
db 09Fh,0AAh,07Ah,053h,05Bh,057h,05Ah,059h,05Ah,05Ah,05Ah,05Bh,05Bh,05Ch,05Ch,05Fh
db 09Ch,0AAh,0A5h,0A9h,0A3h,0ABh,08Fh,05Dh,0A0h,0A5h,0A5h,0A4h,0A4h,0A3h,0A4h,0A3h
db 0A3h,09Fh,061h,056h,059h,059h,057h,067h,0A7h,0A0h,0A5h,062h,05Ah,054h,076h,0A9h
db 0A0h,0A6h,09Eh,063h,055h,05Bh,057h,05Ch,057h,064h,0A1h,0A6h,0A4h,0A5h,0A3h,0A4h
db 0A3h,0A4h,0A3h,09Dh,05Bh,059h,056h,05Bh,054h,06Eh,0A6h,0A2h,0A4h,0A2h,0A3h,0A2h
db 0A2h,0A2h,0A0h,0A4h,096h,058h,056h,057h,057h,058h,057h,059h,058h,059h,058h,05Bh
db 058h,05Eh,055h,075h,0AAh,0A3h,0A7h,0A4h,0A5h,0A3h,0A4h,0A3h,0A2h,0A3h,0A2h,0A3h
db 0A0h,0A3h,068h,053h,059h,056h,058h,058h,058h,05Ah,058h,05Ch,055h,079h,0ABh,0A1h
db 0A7h,0A1h,0A6h,0A1h,0A4h,0A1h,0A4h,0A0h,0A3h,09Fh,0A3h,09Fh,0A3h,09Ch,0A7h,07Bh
db 04Fh,058h,054h,058h,055h,058h,055h,05Ah,053h,069h,0A4h,0A1h,0A3h,0A1h,0A2h,0A1h
db 0A2h,0A0h,0A1h,0A1h,09Ah,059h,056h,054h,059h,052h,06Bh,0A5h,096h,059h,059h,052h
db 080h,0A9h,09Eh,0A4h,0A0h,09Dh,058h,058h,054h,05Bh,052h,06Eh,0A4h,0A2h,0A2h,0A1h
db 0A1h,0A2h,0A0h,0A2h,09Eh,0A2h,094h,057h,055h,056h,056h,057h,056h,058h,056h,059h
db 056h,05Ch,053h,083h,0A9h,0A0h,0A5h,0A1h,0A4h,0A1h,0A3h,06Bh,04Eh,077h,0A7h,09Fh
db 0A4h,09Fh,0A2h,063h,054h,057h,057h,058h,058h,058h,059h,057h,05Bh,055h,07Ch,0ACh
db 09Eh,0AAh,096h,061h,051h,08Bh,0A7h,0A2h,0A3h,0A3h,0A2h,09Fh,05Bh,05Bh,051h,07Eh
db 0A7h,0A3h,094h,055h,059h,057h,059h,05Ah,056h,06Fh,0A9h,0A1h,0A7h,0A1h,0A4h,0A1h
db 0A4h,0A1h,0A3h,0A0h,0A3h,09Ah,05Ch,055h,056h,058h,054h,06Ah,0A6h,09Fh,0A4h,09Fh
db 06Dh,04Bh,07Bh,0A4h,0A1h,0A1h,0A2h,09Eh,0A3h,06Ah,051h,058h,055h,057h,05Bh,09Ch
db 0A2h,0A2h,0A0h,0A2h,0A0h,0A1h,09Fh,0A1h,09Eh,0A0h,064h,051h,057h,054h,057h,056h
db 057h,056h,058h,055h,05Ah,053h,071h,0A8h,09Fh,0A6h,09Fh,0A6h,069h,054h,05Ah,055h
db 065h,0A4h,0A0h,0A6h,09Eh,0A8h,076h,052h,05Ah,057h,059h,058h,058h,05Ah,059h,05Bh
db 056h,06Ch,0A7h,0A3h,0A6h,0A3h,0A5h,0A3h,0A3h,0A3h,0A2h,0A5h,099h,05Ch,055h,05Ah
db 053h,077h,0A8h,0A1h,09Bh,056h,05Ch,055h,05Eh,052h,076h,0A7h,0A3h,0A4h,0A3h,0A2h
db 0A3h,0A2h,0A3h,09Fh,0A5h,091h,055h,058h,056h,058h,057h,059h,058h,059h,059h,05Ch
db 099h,0A7h,0A2h,0A5h,0A2h,0A4h,0A2h,0A3h,0A1h,0A2h,063h,054h,059h,057h,058h,057h
db 05Eh,09Dh,0A5h,0A3h,0A3h,0A2h,0A2h,0A2h,0A1h,0A2h,0A0h,0A2h,066h,052h,058h,056h
db 057h,05Fh,0A0h,0A0h,066h,052h,05Ch,051h,06Eh,0A4h,0A2h,0A3h,0A2h,068h,053h,05Ch
db 053h,069h,0A4h,0A2h,0A4h,0A1h,0A4h,0A0h,0A4h,09Fh,0A5h,092h,057h,056h,057h,056h
db 05Ah,054h,06Dh,0A6h,0A0h,0A4h,0A0h,0A3h,0A0h,0A2h,0A0h,0A0h,0A2h,096h,055h,057h
db 053h,059h,050h,072h,0A6h,0A0h,09Bh,058h,058h,055h,05Ah,053h,06Eh,0A5h,0A1h,0A3h
db 0A0h,0A3h,0A0h,0A2h,0A0h,0A1h,09Fh,0A1h,09Ah,05Ch,053h,056h,054h,057h,054h,061h
db 09Fh,0A1h,0A2h,0A0h,0A0h,09Fh,0A1h,09Fh,0A0h,09Eh,09Ch,05Ch,053h,054h,056h,052h
db 064h,0A1h,09Eh,0A1h,09Eh,0A0h,09Eh,0A0h,09Dh,09Eh,09Eh,098h,057h,053h,052h,056h
db 050h,067h,0A3h,093h,059h,052h,057h,050h,075h,0A7h,09Bh,0A4h,09Bh,0A1h,05Dh,057h
db 04Fh,073h,0A3h,09Eh,0A0h,09Dh,05Ch,056h,050h,075h,0A6h,09Ch,0A3h,098h,05Bh,054h
db 055h,056h,052h,069h,0A5h,09Eh,0A3h,09Eh,0A1h,09Eh,0A2h,09Ch,0A3h,08Dh,052h,056h
db 052h,056h,054h,057h,054h,057h,054h,05Ch,096h,0A7h,09Ch,0A9h,079h,052h,057h,05Dh
db 09Bh,0A4h,09Eh,0A7h,076h,052h,057h,05Fh,09Fh,0A2h,0A0h,0A4h,073h,04Fh,05Ah,053h
db 05Fh,09Bh,0A3h,0A2h,0A0h,0A5h,080h,04Dh,064h,09Bh,0A3h,09Fh,0A1h,0A0h,09Fh,0A2h
db 08Bh,04Eh,05Ah,051h,05Bh,04Eh,080h,0A5h,09Fh,0A1h,0A0h,0A0h,0A0h,09Eh,0A0h,09Ch
db 0A4h,082h,04Eh,056h,052h,055h,082h,0ACh,074h,052h,055h,056h,057h,096h,0A1h,0A1h
db 09Eh,0A5h,085h,04Fh,05Dh,094h,0A4h,09Bh,0A6h,077h,04Fh,057h,059h,09Dh,09Dh,0A4h
db 06Ah,051h,057h,055h,056h,056h,056h,058h,056h,05Ah,053h,073h,0A8h,0A0h,0A4h,0A0h
db 0A3h,06Ah,04Fh,078h,0A6h,0A0h,099h,055h,05Bh,053h,05Dh,050h,076h,0A5h,0A4h,09Bh
db 05Ch,057h,05Bh,054h,077h,0AAh,09Fh,0A7h,0A0h,0A5h,063h,058h,054h,073h,0A9h,0A0h
db 0A6h,09Dh,064h,053h,05Dh,052h,071h,0A6h,0A2h,0A3h,0A2h,0A3h,0A2h,0A1h,0A2h,0A1h
db 0A1h,09Fh,0A2h,09Eh,0A3h,069h,051h,057h,055h,056h,05Ah,09Bh,0A2h,0A0h,0A0h,0A0h
db 0A0h,0A0h,09Fh,09Fh,09Dh,09Fh,064h,04Fh,056h,053h,055h,05Dh,099h,059h,058h,053h
db 05Bh,050h,06Dh,0A2h,0A3h,09Fh,0A4h,064h,057h,053h,070h,0A5h,0A0h,0A1h,0A0h,062h
db 056h,053h,073h,0A8h,09Eh,0A4h,09Ch,060h,054h,058h,056h,058h,058h,058h,05Ah,057h
db 05Dh,054h,082h,0AAh,0A1h,0A6h,0A3h,0A4h,0A3h,0A2h,0A4h,09Fh,0A7h,082h,051h,05Ah
db 057h,095h,0A6h,09Eh,0A9h,080h,052h,059h,059h,099h,0A5h,09Eh,0A8h,07Bh,051h,059h
db 05Ch,09Dh,0A3h,0A0h,0A5h,078h,04Fh,05Bh,053h,05Bh,055h,094h,0A5h,0A1h,0A3h,0A1h
db 0A2h,0A1h,0A2h,09Fh,0A2h,09Ch,0A6h,078h,04Fh,058h,054h,056h,058h,053h,084h,0A9h
db 09Dh,0A4h,09Eh,0A3h,09Dh,0A3h,09Ch,0A5h,072h,04Fh,057h,053h,058h,055h,091h,0A7h
db 071h,04Fh,05Bh,052h,061h,099h,0A6h,09Ch,0A9h,072h,054h,056h,062h,09Fh,0A3h,09Eh
db 0A6h,070h,053h,056h,063h,0A3h,0A0h,0A1h,0A3h,06Eh,050h,05Ah,054h,059h,056h,059h
db 057h,059h,05Ah,055h,074h,0ABh,09Fh,0A8h,09Fh,0A8h,09Eh,0AAh,078h,053h,05Ah,058h
db 059h,05Ah,058h,05Ch,055h,07Ah,0ACh,0A0h,0A8h,0A1h,0A7h,0A0h,0A7h,09Eh,0AAh,083h
db 053h,05Ah,059h,094h,0A8h,09Eh,0AAh,080h,054h,059h,058h,057h,093h,0A5h,0A6h,080h
db 050h,05Dh,05Ah,0A1h,0A1h,0A6h,0A0h,0A6h,09Eh,0A8h,08Fh,057h,057h,058h,056h,05Bh
db 053h,071h,0A8h,0A1h,0A5h,0A2h,0A3h,0A2h,0A2h,0A2h,0A0h,0A3h,093h,055h,058h,054h
db 059h,055h,059h,057h,05Ah,056h,05Dh,095h,0AAh,09Dh,0ACh,080h,055h,058h,05Dh,099h
db 0A7h,09Eh,0AAh,07Bh,054h,058h,05Eh,09Dh,0A6h,0A0h,0A8h,078h,052h,05Bh,057h,05Ah
db 059h,05Ah,05Ah,05Ah,05Ch,057h,06Dh,0A8h,0A4h,0A6h,0A5h,0A5h,0A6h,0A2h,0A9h,08Ch
db 055h,05Bh,058h,05Ah,05Bh,057h,079h,0ADh,0A1h,0A9h,0A1h,0A8h,0A0h,0A8h,09Eh,0AAh
db 084h,054h,059h,058h,057h,08Bh,0ABh,09Eh,0AAh,089h,055h,05Bh,057h,090h,0A9h,09Eh
db 0AAh,085h,053h,060h,09Ah,0A6h,0A1h,0A4h,0A1h,0A3h,0A0h,0A3h,098h,059h,056h,055h
db 059h,053h,06Eh,0A7h,09Fh,0A4h,09Fh,0A3h,09Fh,0A3h,09Ch,0A6h,08Ah,052h,057h,054h
db 057h,056h,057h,057h,058h,058h,058h,05Ah,095h,0A8h,09Fh,0AAh,080h,051h,064h,09Eh
db 0A3h,0A3h,06Eh,051h,05Dh,052h,068h,0A0h,0A6h,0A0h,0A7h,070h,053h,05Ah,058h,05Ah
db 059h,05Ah,05Ah,05Ah,05Dh,057h,074h,0ABh,0A2h,0A9h,0A3h,0A8h,0A2h,0A7h,0A0h,0AAh
db 08Bh,057h,059h,05Ah,056h,086h,0ABh,0A0h,0A8h,0A1h,0A6h,0A0h,0A6h,09Eh,0A9h,076h
db 053h,059h,057h,058h,058h,059h,05Ah,058h,05Ch,056h,06Ch,0A8h,0A3h,0A6h,0A2h,0A8h
db 076h,04Fh,073h,0A6h,0A4h,0A4h,0A5h,0A2h,0A5h,09Fh,0A8h,086h,053h,05Ah,057h,059h
db 05Ah,055h,07Ch,0ACh,09Eh,0A8h,09Fh,0A6h,09Fh,0A6h,09Dh,0A9h,080h,052h,059h,056h
db 058h,058h,058h,059h,058h,05Ah,058h,063h,0A0h,0A6h,0A2h,0A8h,079h,04Fh,070h,0A4h
db 0A4h,0A4h,0A3h,06Bh,053h,05Eh,053h,06Bh,0A3h,0A6h,0A2h,0A7h,06Eh,055h,05Bh,058h
db 05Bh,05Ah,05Bh,05Bh,05Ah,05Eh,057h,078h,0ADh,0A3h,0AAh,0A3h,0A9h,0A2h,0A8h,0A0h
db 0ABh,088h,056h,05Bh,05Bh,058h,08Ah,0ACh,0A0h,0A8h,0A1h,0A7h,0A0h,0A7h,09Eh,0A8h
db 072h,053h,05Ah,056h,05Fh,09Dh,0A3h,069h,053h,05Eh,053h,06Dh,0A3h,0A6h,0A2h,0A7h
db 06Ah,058h,056h,06Eh,0A8h,0A2h,0A5h,0A3h,0A3h,0A4h,0A0h,0A7h,087h,052h,05Ah,056h
db 058h,059h,055h,07Bh,0ABh,09Fh,0A7h,0A0h,0A6h,09Fh,0A5h,09Dh,0A9h,080h,052h,059h
db 055h,059h,057h,05Ah,057h,05Bh,056h,068h,0A4h,0A3h,0A4h,0A4h,072h,04Eh,076h,0A6h
db 0A2h,0A4h,0A1h,068h,053h,05Dh,052h,06Dh,0A4h,0A4h,0A2h,0A4h,069h,054h,05Ah,058h
db 05Ah,059h,05Ah,05Bh,05Ah,05Eh,056h,07Bh,0ADh,0A2h,0A9h,0A3h,0A7h,0A2h,0A7h,0A0h
db 0AAh,086h,053h,05Dh,056h,05Eh,054h,086h,0ABh,0A2h,0A7h,0A2h,0A6h,0A1h,0A6h,09Fh
db 0A9h,07Ah,051h,05Ch,056h,05Bh,057h,05Ch,057h,05Eh,055h,074h,0AAh,0A3h,0A7h,0A3h
db 0A5h,06Fh,050h,078h,0A8h,0A2h,0A5h,0A2h,0A3h,06Ah,050h,07Bh,0A9h,09Fh,0A6h,09Ah
db 05Fh,055h,05Ah,057h,05Bh,056h,066h,0A3h,0A4h,0A5h,0A3h,0A3h,0A3h,0A3h,0A2h,0A4h
db 098h,058h,059h,053h,080h,0AEh,081h,053h,05Ah,056h,05Bh,054h,085h,0ABh,09Eh,0AAh
db 08Fh,058h,058h,091h,0A8h,09Eh,0AAh,082h,053h,05Bh,057h,059h,08Bh,0ACh,09Ch,0ACh
db 084h,057h,057h,05Bh,053h,08Dh,0A5h,0A7h,086h,051h,05Dh,055h,05Dh,054h,087h,0ABh
db 09Fh,0ABh,08Fh,05Ah,058h,094h,0A7h,0A3h,0A2h,0A7h,08Dh,054h,05Ah,058h,057h,085h
db 0ACh,09Eh,0A8h,09Fh,0A6h,09Eh,0A6h,09Dh,0A8h,075h,052h,05Ah,055h,05Dh,098h,0A6h
db 06Ah,053h,05Bh,054h,067h,0A3h,0A2h,0A4h,0A1h,0A7h,078h,051h,05Bh,05Eh,0A5h,09Eh
db 0A8h,066h,059h,053h,06Fh,0A5h,0A2h,0A2h,0A2h,066h,055h,059h,058h,059h,058h,05Eh
db 09Ch,0A5h,06Eh,04Fh,07Bh,0A7h,0A4h,0A3h,0A5h,0A1h,0A7h,06Dh,055h,057h,068h,0A8h
db 099h,05Eh,058h,059h,05Bh,055h,06Fh,0A9h,0A2h,0A7h,0A1h,06Bh,050h,07Fh,0A9h,0A0h
db 0A8h,099h,05Fh,055h,05Dh,053h,079h,0A9h,0A2h,0A6h,09Fh,05Fh,05Ah,054h,07Dh,0A9h
db 0A3h,098h,055h,05Eh,055h,05Fh,052h,07Bh,0A9h,0A4h,09Bh,058h,05Eh,054h,085h,0ABh
db 0A1h,0A9h,094h,058h,05Ch,057h,05Fh,054h,07Bh,0AAh,0A4h,0A6h,0A5h,0A4h,0A5h,0A1h
db 0A9h,080h,052h,05Ch,056h,05Bh,059h,05Bh,05Ah,05Bh,05Bh,05Ah,067h,0A6h,0A5h,0A7h
db 0A5h,0A6h,0A4h,0A6h,0A4h,0A5h,0A4h,0A0h,062h,056h,05Bh,055h,071h,0A9h,0A0h,0A7h
db 09Fh,0A7h,06Bh,055h,05Ah,059h,059h,05Ah,05Ah,098h,0A7h,0A7h,07Fh,04Eh,06Fh,0A1h
db 0A7h,0A2h,0A7h,09Fh,0AAh,07Dh,054h,05Ah,05Dh,09Eh,0A4h,069h,055h,05Bh,058h,05Bh
db 059h,05Eh,09Ch,0A7h,0A6h,07Bh,04Eh,074h,0A3h,0A8h,0A2h,0A8h,067h,059h,056h,072h
db 0AAh,0A2h,0A6h,0A2h,0A6h,06Fh,050h,077h,0A8h,0A1h,0A6h,09Eh,062h,056h,05Ah,059h
db 058h,067h,0A9h,09Ah,063h,056h,05Fh,053h,079h,0A9h,0A3h,0A6h,0A5h,0A4h,0A4h,0A2h
db 0A5h,0A0h,0A6h,090h,056h,059h,08Fh,0A9h,09Ch,0AAh,082h,053h,05Ah,056h,059h,08Ah
db 0AEh,076h,055h,05Ah,058h,05Ch,09Bh,0A5h,0A3h,0A3h,0A4h,0A2h,0A3h,0A0h,0A4h,09Eh
db 0A5h,067h,055h,054h,06Bh,0A5h,09Fh,0A2h,0A1h,09Fh,0A4h,077h,04Eh,05Bh,052h,05Ah
db 054h,05Ah,054h,05Ch,051h,074h,0A7h,0A2h,0A3h,0A3h,0A1h,0A5h,074h,04Dh,06Fh,0A5h
db 097h,059h,059h,057h,059h,057h,05Bh,058h,05Bh,057h,05Eh,055h,08Fh,0A9h,0A4h,0A4h
db 0A7h,095h,059h,059h,08Fh,0ABh,0A0h,0A7h,0A1h,0A5h,0A0h,0A5h,09Fh,0A5h,09Dh,0A8h
db 07Dh,051h,059h,055h,058h,056h,059h,057h,05Bh,055h,06Dh,0A7h,0A2h,0A5h,0A2h,0A4h
db 0A2h,0A3h,0A1h,0A3h,0A2h,09Ah,056h,05Bh,050h,080h,0A7h,09Fh,0A4h,095h,055h,05Ah
db 050h,085h,0A5h,0A4h,08Bh,050h,05Ch,053h,05Ch,051h,080h,0A9h,09Eh,0A7h,093h,05Bh
db 055h,08Bh,0A9h,09Dh,0A8h,088h,052h,05Bh,054h,091h,0A5h,0A1h,0A2h,0A1h,0A0h,0A2h
db 09Ah,05Ch,055h,058h,056h,058h,056h,059h,056h,05Bh,055h,08Fh,0A8h,0A2h,0A4h,0A2h
db 0A2h,0A3h,0A1h,0A3h,09Eh,0A7h,076h,050h,059h,055h,058h,056h,058h,058h,058h,05Ah
db 056h,06Ah,0A6h,0A2h,0A5h,0A2h,0A4h,0A1h,0A3h,0A2h,0A2h,0A1h,0A2h,0A0h,0A1h,0A0h
db 0A0h,0A0h,09Eh,0A2h,090h,053h,056h,053h,056h,054h,057h,055h,058h,056h,059h,056h
db 08Fh,0A8h,09Eh,0A8h,084h,051h,05Fh,098h,0A6h,09Fh,0A3h,09Fh,0A2h,09Eh,0A2h,09Dh
db 0A2h,09Ch,0A5h,06Ch,051h,054h,062h,0A2h,09Dh,0A0h,060h,053h,055h,056h,054h,061h
db 0A1h,09Ch,061h,052h,05Bh,051h,070h,0A5h,0A0h,0A3h,0A0h,0A1h,0A0h,0A0h,0A0h,09Fh
db 0A0h,09Fh,09Fh,09Dh,0A0h,09Bh,0A3h,079h,04Bh,057h,050h,056h,052h,057h,052h,058h
db 050h,06Ch,0A3h,09Fh,0A1h,09Fh,0A0h,0A0h,09Fh,09Fh,09Eh,0A0h,094h,055h,054h,053h
db 055h,054h,056h,054h,057h,054h,059h,053h,089h,0A7h,09Fh,0A3h,09Fh,0A2h,09Fh,0A1h
db 09Eh,0A0h,09Fh,0A0h,09Dh,09Fh,09Ch,09Fh,09Bh,09Fh,099h,0A2h,075h,04Ch,055h,050h
db 055h,052h,055h,053h,056h,053h,057h,054h,058h,055h,059h,052h,088h,0A7h,09Fh,0A3h
db 0A0h,0A2h,09Fh,0A1h,09Eh,0A1h,09Eh,0A0h,09Eh,09Fh,09Eh,098h,057h,054h,052h,055h
db 053h,056h,054h,058h,053h,05Ah,050h,085h,0A7h,09Fh,0A2h,0A0h,0A0h,0A1h,09Fh,0A1h
db 09Eh,0A1h,09Ch,0A4h,08Ah,053h,053h,08Fh,0A0h,0A1h,07Ah,04Bh,058h,050h,058h,052h
db 058h,053h,058h,055h,059h,054h,060h,09Ch,0A5h,0A0h,0A3h,09Fh,0A3h,09Fh,0A2h,09Eh
db 0A2h,09Ch,0A3h,069h,051h,056h,054h,056h,055h,057h,056h,057h,058h,057h,059h,058h
db 05Ah,058h,05Ch,058h,05Dh,055h,080h,0ACh,0A2h,0A8h,0A3h,0A6h,0A2h,0A5h,0A3h,0A4h
db 0A2h,0A3h,0A1h,0A3h,0A0h,0A2h,066h,053h,059h,056h,059h,056h,059h,057h,05Ah,057h
db 05Ch,054h,074h,0A9h,0A2h,0A7h,0A2h,0A5h,0A2h,0A5h,0A1h,0A4h,0A1h,0A3h,0A0h,0A3h
db 09Fh,0A3h,09Dh,0A6h,080h,050h,058h,054h,058h,056h,057h,057h,058h,058h,059h,059h
db 05Ch,099h,0A7h,0A2h,0A4h,0A2h,0A3h,0A2h,0A3h,0A1h,0A2h,0A0h,0A1h,0A0h,0A1h,09Eh
db 0A3h,092h,056h,056h,054h,057h,055h,057h,056h,058h,056h,05Ah,055h,08Eh,0A8h,09Fh
db 0A5h,0A0h,0A3h,0A0h,0A3h,09Fh,0A3h,09Ch,0A6h,07Fh,04Fh,058h,054h,058h,055h,058h
db 056h,059h,057h,05Ah,058h,05Ah,058h,05Bh,059h,05Ch,05Ah,05Dh,059h,067h,0A3h,0A7h
db 0A6h,0A6h,0A5h,0A6h,0A4h,0A5h,0A4h,0A5h,0A2h,0A4h,0A1h,0A4h,09Fh,0A8h,089h,053h
db 05Ah,055h,08Fh,0A8h,09Dh,0A8h,084h,053h,059h,056h,058h,058h,059h,059h,059h,05Ah
db 05Ah,05Bh,05Bh,097h,0A8h,0A4h,0A6h,0A4h,0A4h,0A3h,0A3h,0A3h,0A2h,0A3h,0A2h,0A2h
db 0A1h,0A3h,09Fh,0A2h,09Eh,0A3h,09Ch,0A5h,074h,04Fh,057h,054h,056h,056h,056h,057h
db 056h,05Ah,053h,06Ah,0A4h,0A2h,0A2h,0A3h,09Fh,0A7h,07Bh,050h,05Ah,055h,059h,057h
db 059h,058h,05Ah,059h,05Ah,059h,061h,0A1h,0A5h,0A6h,0A2h,0AAh,080h,052h,066h,0A1h
db 0A4h,0A5h,0A1h,0A8h,07Eh,050h,069h,0A2h,0A2h,0A5h,0A0h,0A7h,076h,052h,059h,060h
db 0A3h,0A0h,0A6h,069h,054h,05Ah,057h,05Ah,058h,05Bh,058h,05Dh,058h,05Fh,055h,074h
db 0A8h,0A5h,0A5h,0A6h,066h,05Bh,057h,076h,0AAh,0A5h,09Eh,05Eh,05Ah,05Dh,057h,07Bh
db 0ADh,0A2h,0A9h,0A4h,0A7h,0A4h,0A5h,0A4h,0A3h,0A7h,090h,055h,05Ch,056h,05Ch,058h
db 05Ch,058h,05Dh,059h,062h,09Eh,0A9h,0A4h,0A7h,0A4h,0A6h,0A2h,0A7h,099h,05Dh,058h
db 05Ch,054h,07Bh,0ACh,0A0h,0A8h,0A0h,0A7h,09Fh,0A7h,09Dh,0AAh,080h,055h,058h,05Ah
db 056h,05Eh,050h,083h,087h,050h,05Fh,057h,05Eh,090h,0B0h,074h,057h,05Dh,05Ah,05Dh
db 05Ch,09Bh,0A7h,0A9h,07Eh,054h,05Fh,061h,0A7h,0A2h,0ABh,0A1h,0AEh,07Eh,057h,05Bh
db 061h,09Fh,0A8h,0A3h,0ABh,07Bh,054h,05Dh,061h,0A6h,0A2h,0A9h,0A0h,0ADh,07Dh,056h
db 05Ah,060h,09Fh,0A7h,0A2h,0A9h,07Bh,053h,05Dh,057h,05Dh,059h,05Dh,05Ah,05Dh,05Bh
db 05Eh,05Ah,065h,0A1h,0AAh,0A6h,0A9h,0A5h,0A8h,0A4h,0A9h,099h,05Dh,05Ah,05Bh,05Bh
db 05Dh,05Bh,05Dh,05Bh,05Fh,05Ch,09Ah,0ABh,0A7h,0A8h,0A7h,0A6h,0A7h,0A5h,0A7h,0A3h
db 0AAh,074h,055h,05Dh,059h,05Ch,05Ch,05Bh,093h,0ACh,0A3h,0A9h,0A3h,0A7h,0A4h,0A6h
db 0A3h,0A6h,0A2h,0A5h,0A1h,0A4h,0A1h,0A4h,0A0h,0A4h,09Eh,0A6h,073h,051h,059h,055h
db 058h,056h,058h,058h,059h,05Ah,056h,06Ch,0A9h,0A0h,0A8h,09Fh,0AAh,06Eh,056h,059h
db 05Ah,058h,05Ch,058h,096h,0A6h,0A9h,080h,053h,05Dh,05Dh,0A2h,0A3h,0A7h,0A0h,0AAh
db 080h,053h,05Dh,05Ah,09Eh,0A3h,0A9h,076h,053h,05Dh,056h,062h,09Dh,0A8h,0A1h,0AAh
db 07Ah,054h,05Ch,05Fh,0A6h,0A1h,0A9h,09Fh,0ACh,07Ch,055h,05Ah,05Ah,05Ah,09Ah,0A5h
db 0A8h,07Bh,053h,05Dh,057h,05Ch,05Ah,095h,0ABh,0A0h,0ADh,081h,062h,0A6h,0A2h,0A4h
db 0A5h,072h,052h,05Dh,055h,065h,0A1h,0A4h,0A5h,06Dh,055h,059h,06Bh,0ABh,09Eh,0AAh
db 09Eh,0ABh,06Ch,058h,055h,06Bh,0A5h,0A3h,0A3h,0A5h,06Ch,053h,05Dh,055h,068h,0A3h
db 0A4h,0A5h,0A3h,0A4h,0A2h,0A4h,0A1h,0A3h,0A1h,09Eh,05Ch,059h,052h,07Ah,0A8h,09Fh
db 0A4h,0A0h,0A2h,0A0h,0A1h,09Fh,0A0h,09Fh,09Fh,09Fh,09Eh,09Fh,09Ch,0A1h,06Eh,04Ch
db 058h,04Fh,05Eh,098h,0A1h,09Ch,0A0h,09Ch,0A0h,09Ah,0A1h,08Eh,055h,050h,055h,04Dh
db 078h,0A4h,09Ah,0A1h,093h,056h,054h,04Fh,07Bh,0A7h,097h,0A4h,08Dh,058h,04Fh,058h
db 04Ch,07Bh,0A3h,09Fh,091h,050h,059h,04Eh,085h,0A4h,09Ch,0A1h,09Ch,0A0h,09Ch,09Fh
db 09Bh,09Fh,099h,0A3h,080h,04Dh,054h,052h,08Fh,0A1h,099h,0A3h,07Ch,04Dh,055h,050h
db 055h,050h,081h,0AAh,077h,04Fh,056h,053h,055h,055h,055h,057h,055h,058h,053h,065h
db 09Fh,0A3h,09Fh,0A5h,06Eh,053h,056h,065h,0A5h,09Eh,0A2h,061h,055h,057h,057h,058h
db 058h,059h,058h,05Bh,055h,086h,0AAh,0A1h,0A7h,0A2h,0A5h,0A1h,0A4h,0A1h,0A3h,0A0h
db 0A2h,0A0h,0A1h,0A0h,0A1h,09Fh,0A0h,09Fh,0A0h,09Eh,09Fh,09Dh,09Fh,097h,059h,051h
db 054h,053h,054h,054h,054h,056h,055h,057h,052h,080h,0A9h,09Bh,0A8h,08Eh,057h,055h
db 057h,055h,059h,056h,059h,055h,05Bh,055h,05Eh,053h,08Dh,0A6h,0A8h,088h,053h,05Ch
db 058h,05Ah,08Ch,0ADh,09Eh,0ACh,089h,056h,05Ch,058h,092h,0AAh,0A0h,0ABh,086h,054h
db 05Ch,058h,098h,0A6h,0A5h,0A2h,0A7h,08Bh,053h,05Dh,056h,093h,0A8h,0A0h,0A9h,086h
db 052h,05Dh,056h,098h,0A5h,0A4h,0A2h,0A4h,0A1h,0A4h,09Fh,0A4h,09Eh,0A6h,06Dh,052h
db 058h,056h,058h,057h,058h,059h,058h,05Ah,059h,05Ah,059h,05Ch,058h,05Eh,057h,08Eh
db 0ABh,0A4h,0A7h,0A4h,0A6h,09Eh,05Dh,05Ch,054h,080h,0ACh,0A2h,0A7h,0A2h,0A5h,0A3h
db 0A4h,0A2h,0A3h,0A2h,0A2h,0A1h,0A2h,0A1h,0A1h,0A0h,0A1h,0A0h,09Fh,0A0h,09Fh,09Fh
db 09Eh,09Fh,09Ch,09Fh,09Ah,0A3h,080h,04Dh,055h,051h,055h,052h,055h,054h,055h,055h
db 055h,056h,057h,093h,0A3h,0A0h,0A0h,0A4h,088h,04Fh,05Ah,053h,059h,054h,059h,055h
db 05Ah,055h,05Bh,056h,05Ch,056h,05Fh,053h,07Eh,0A9h,0A3h,0A6h,09Eh,05Dh,05Ch,054h
db 080h,0ABh,0A1h,0A8h,099h,05Bh,05Bh,055h,082h,0ACh,0A0h,0A9h,094h,059h,05Bh,055h
db 085h,0ACh,09Fh,0AAh,090h,057h,05Bh,056h,08Ah,0ABh,09Eh,0ABh,08Ch,056h,05Bh,057h
db 08Fh,0AAh,0A0h,0A7h,09Eh,0A8h,094h,05Eh,052h,08Ch,0A5h,0A6h,085h,051h,05Ch,055h
db 05Bh,057h,05Bh,058h,05Bh,059h,05Bh,060h,0A2h,0A5h,0A7h,0A4h,0A6h,0A2h,0A6h,0A2h
db 0A6h,0A0h,0A5h,063h,058h,054h,073h,0A8h,0A0h,0A5h,09Fh,064h,054h,05Ch,053h,06Fh
db 0A8h,0A0h,0A6h,09Eh,0A8h,06Bh,055h,056h,069h,0A6h,0A1h,0A4h,0A1h,0A2h,0A1h,0A2h
db 0A1h,0A0h,0A1h,09Fh,0A1h,09Fh,0A1h,09Ch,0A4h,080h,04Dh,058h,051h,057h,053h,057h
db 055h,058h,056h,058h,057h,058h,058h,059h,058h,05Ah,059h,05Bh,05Ah,05Bh,05Ah,05Ch
db 05Bh,05Eh,058h,07Ch,0B2h,08Eh,05Ch,05Ch,05Eh,05Ch,060h,058h,07Ch,0AEh,0A7h,0A1h
db 05Ch,062h,057h,087h,0AEh,0A6h,0AAh,0A7h,0A3h,05Fh,060h,057h,081h,0AEh,0A4h,0A9h
db 0A6h,0A4h,062h,05Dh,058h,07Eh,0AEh,0A2h,0ABh,0A2h,0A8h,063h,05Dh,055h,07Bh,0ABh
db 0A4h,0A7h,0A2h,061h,05Ch,056h,07Dh,0ACh,0A2h,0A8h,0A4h,0A4h,065h,057h,05Dh,056h
db 070h,0A9h,0A4h,0A6h,0A4h,06Bh,056h,05Eh,059h,05Dh,05Ah,05Dh,05Bh,05Eh,05Ch,05Eh
db 05Dh,060h,05Ch,068h,0A7h,0A8h,0AAh,0A5h,0AEh,080h,056h,061h,05Bh,061h,05Ch,062h
db 05Ch,063h,05Ah,077h,0ADh,0A8h,0ABh,0A9h,0AAh,0A8h,0A9h,0A8h,0A8h,0A7h,0A7h,0A6h
db 0A6h,0A5h,0A6h,0A5h,0A5h,0A4h,0A5h,0A3h,0A4h,0A2h,0A4h,0A0h,0A8h,07Eh,050h,05Ch
db 059h,0A0h,0A0h,0A8h,06Fh,053h,059h,057h,059h,059h,05Ah,05Ah,05Ah,05Bh,05Ah,05Ch
db 05Bh,05Dh,05Ch,05Dh,05Bh,05Fh,05Bh,060h,05Ah,070h,0AAh,0A9h,0A8h,0A9h,0A5h,0ADh
db 080h,056h,061h,05Ah,062h,099h,0AEh,0A2h,0AFh,081h,057h,060h,05Ch,05Fh,096h,0AFh
db 0A2h,0AFh,085h,059h,05Eh,05Dh,05Ch,093h,0AEh,0A3h,0AEh,08Ch,057h,061h,05Ah,09Ah
db 0A9h,0A8h,0A5h,0ABh,090h,057h,05Fh,059h,093h,0ACh,0A2h,0ADh,08Ah,057h,05Eh,05Ch
db 05Bh,08Dh,0AFh,0A1h,0AEh,08Ch,05Ah,05Ch,05Dh,059h,089h,0AEh,0A1h,0ADh,091h,05Bh
db 05Bh,05Ch,05Bh,05Eh,05Ch,05Fh,05Bh,069h,0A5h,0A9h,0A7h,0A9h,0A6h,0A8h,0A5h,0A8h
db 0A4h,0A8h,0A2h,0A9h,069h,05Ah,056h,072h,0A9h,0A4h,0A6h,0A3h,066h,059h,057h,074h
db 0ABh,0A1h,0A7h,0A1h,0A6h,0A2h,0A5h,0A1h,0A4h,0A0h,0A5h,097h,05Ah,056h,058h,058h
db 058h,059h,058h,05Ah,059h,05Bh,059h,05Dh,055h,07Ch,0ACh,0A2h,0A8h,0A3h,0A6h,0A3h
db 0A5h,0A2h,0A5h,0A2h,0A3h,0A2h,0A2h,0A1h,0A2h,0A1h,0A1h,0A1h,0A0h,0A2h,092h,053h
db 058h,052h,058h,054h,059h,055h,05Ah,055h,05Ch,054h,092h,0A5h,0A3h,0A1h,0A6h,08Eh
db 056h,057h,059h,054h,080h,0ABh,09Dh,0A9h,090h,059h,056h,05Ah,053h,080h,0ABh,09Dh
db 0A9h,093h,05Dh,055h,05Ch,052h,07Dh,0A8h,0A1h,0A5h,09Bh,05Bh,05Bh,053h,080h,0A9h
db 0A1h,0A4h,0A3h,09Dh,060h,052h,081h,0AAh,09Dh,0A7h,091h,056h,058h,056h,05Ah,053h
db 077h,0A9h,09Fh,0A6h,09Ah,061h,054h,05Ch,052h,074h,0A8h,0A0h,0A6h,0A0h,0A6h,09Dh
db 0A9h,078h,052h,059h,056h,058h,058h,058h,05Ah,058h,05Ch,056h,06Ah,0A5h,0A5h,0A4h
db 0A6h,0A1h,0A9h,07Fh,053h,05Bh,05Dh,09Dh,0A6h,0A2h,0A8h,07Bh,052h,05Bh,05Eh,0A3h
db 0A2h,0A6h,0A1h,0A5h,0A1h,0A4h,0A0h,0A3h,0A0h,0A2h,09Fh,0A2h,09Fh,0A1h,09Eh,0A0h
db 09Eh,09Ah,055h,089h,0A2h,09Ch,09Fh,09Dh,09Dh,09Dh,09Ch,09Dh,09Ch,09Ch,09Bh,09Ch
db 09Bh,09Bh,09Ah,09Bh,098h,09Dh,065h,04Ah,052h,04Dh,052h,04Fh,052h,050h,053h,051h
db 054h,051h,055h,052h,056h,052h,058h,04Fh,081h,0A6h,09Dh,0A2h,09Eh,0A0h,09Dh,0A0h
db 09Bh,0A3h,077h,04Ch,058h,04Fh,059h,04Fh,091h,09Fh,0A4h,07Ch,04Fh,057h,058h,099h
db 0A1h,09Eh,0A4h,079h,04Dh,059h,051h,05Bh,092h,0A7h,09Ah,0A9h,07Ah,051h,055h,05Ah
db 099h,0A2h,09Eh,0A1h,09Ch,0A5h,086h,050h,05Ah,092h,0A5h,09Ah,0A6h,07Ah,04Eh,057h
db 052h,057h,08Fh,0A6h,09Ah,0A7h,07Eh,050h,056h,054h,056h,056h,056h,057h,056h,058h
db 057h,059h,057h,05Bh,057h,05Dh,053h,07Ch,0AAh,0A2h,0A6h,0A3h,0A4h,0A3h,0A2h,0A3h
db 0A0h,0A6h,08Ch,053h,05Ah,056h,059h,057h,059h,059h,058h,062h,0A2h,0A4h,0A5h,0A3h
db 0A4h,0A2h,0A3h,0A2h,0A2h,0A1h,0A2h,0A1h,0A1h,0A0h,0A0h,09Fh,0A0h,0A0h,09Fh,09Eh
db 09Eh,09Eh,09Dh,09Eh,09Dh,09Eh,09Ch,09Dh,09Bh,09Dh,062h,04Dh,053h,050h,054h,052h
db 054h,053h,054h,054h,055h,055h,056h,056h,057h,056h,057h,058h,057h,059h,058h,059h
db 059h,05Ah,059h,05Dh,057h,08Ch,0ABh,0A2h,0A7h,0A2h,0A6h,0A2h,0A5h,0A1h,0A5h,09Fh
db 0A9h,082h,052h,05Ah,057h,058h,08Ch,0AAh,09Ch,0ABh,085h,054h,05Ah,057h,091h,0A8h
db 09Eh,0AAh,081h,053h,05Ah,058h,096h,0A7h,09Eh,0A8h,080h,052h,05Ah,059h,09Bh,0A4h
db 0A1h,0A3h,0A0h,0A5h,08Ch,051h,05Ch,091h,0A9h,09Bh,0AAh,07Dh,052h,058h,056h,057h
db 057h,057h,059h,058h,05Ah,058h,05Bh,058h,05Dh,056h,08Fh,0A9h,0A4h,0A4h,0A7h,096h
db 057h,05Ch,058h,05Ch,059h,05Dh,05Ah,05Dh,05Ah,05Eh,05Ah,095h,0ACh,0A5h,0A8h,0A5h
db 0A7h,0A5h,0A6h,0A4h,0A6h,0A1h,0AAh,080h,053h,05Dh,05Bh,0A0h,0A3h,0A7h,0A0h,0AAh
db 081h,053h,05Bh,057h,05Bh,059h,05Bh,05Ah,05Bh,05Bh,05Bh,064h,0A3h,0A7h,0A7h,0A5h
db 0A6h,0A4h,0A5h,0A4h,0A5h,0A3h,0A5h,0A1h,0A5h,09Fh,0A8h,083h,052h,05Bh,055h,05Ah
db 057h,05Bh,058h,05Bh,059h,05Ch,05Ah,05Dh,05Ah,05Dh,05Bh,05Eh,05Bh,05Fh,05Ch,060h
db 05Ch,061h,05Ch,063h,059h,07Fh,0AFh,0A8h,0AAh,0A8h,0A9h,0A8h,0A9h,0A8h,0A7h,0A8h
db 0A6h,0A8h,0A5h,0A7h,0A4h,0A7h,0A3h,0A7h,0A0h,0A8h,095h,05Ch,056h,05Dh,052h,080h
db 0A8h,0A6h,095h,057h,05Ah,05Bh,056h,080h,0ADh,0A0h,0AAh,096h,05Ah,05Bh,056h,084h
db 0ACh,09Fh,0AAh,092h,058h,05Bh,055h,089h,0ABh,0A0h,0A7h,0A0h,0A7h,09Ah,061h,052h
db 084h,0A9h,09Eh,0A8h,090h,057h,058h,058h,058h,059h,059h,05Ah,059h,05Ch,059h,05Eh
db 057h,08Dh,0ABh,0A3h,0A7h,0A3h,0A7h,09Dh,05Fh,059h,05Bh,05Bh,05Ah,05Ch,05Ah,05Eh
db 05Ah,060h,057h,08Bh,0ACh,0A6h,0A8h,0A8h,09Ch,05Eh,05Bh,05Eh,058h,07Eh,0AEh,0A5h
db 09Eh,057h,063h,054h,08Dh,0AAh,0A6h,0A7h,0A7h,0A5h,0A7h,0A4h,0A6h,0A3h,0A7h,0A1h
db 0A9h,090h,057h,05Ah,059h,05Ah,05Ah,05Ah,05Bh,05Ah,05Ch,05Ah,05Eh,059h,090h,0ACh
db 0A4h,0A9h,0A5h,0A7h,0A4h,0A6h,0A3h,0A5h,0A3h,0A4h,0A3h,0A4h,0A2h,0A3h,0A1h,0A2h
db 0A1h,0A2h,0A0h,0A1h,0A0h,0A1h,09Eh,0A1h,09Dh,0A3h,06Dh,04Fh,057h,052h,057h,054h
db 058h,055h,058h,056h,05Ah,053h,069h,0A4h,0A1h,0A4h,0A1h,0A2h,0A1h,0A2h,0A0h,0A1h
db 09Fh,0A0h,09Fh,0A0h,09Eh,0A0h,09Dh,09Fh,09Ch,0A1h,094h,059h,050h,056h,04Eh,073h
db 0A4h,09Ch,0A0h,098h,05Ah,053h,050h,075h,0A7h,098h,0A4h,092h,05Ch,04Fh,059h,04Ch
db 075h,0A3h,09Eh,0A0h,09Ah,05Ah,055h,04Fh,077h,0A6h,09Bh,0A2h,09Ch,0A0h,09Ch,09Fh
db 09Bh,09Fh,099h,0A1h,08Ch,051h,052h,052h,052h,053h,053h,054h,054h,055h,054h,056h
db 055h,057h,056h,057h,056h,058h,056h,059h,057h,05Bh,057h,05Dh,054h,073h,0A9h,0A3h
db 0A1h,05Bh,08Eh,0A9h,0A1h,0A6h,0A1h,0A6h,0A1h,0A1h,05Dh,05Bh,051h,07Bh,0A7h,0A4h
db 097h,058h,058h,059h,054h,07Dh,0ABh,09Fh,0A7h,0A0h,0A5h,0A0h,0A4h,09Fh,0A3h,09Fh
db 0A2h,09Fh,0A1h,09Eh,0A1h,09Eh,0A0h,09Dh,0A0h,09Ch,09Fh,09Ch,09Eh,09Bh,09Eh,09Ah
db 09Dh,09Ah,09Eh,099h,09Dh,098h,09Dh,097h,09Eh,094h,0A1h,07Dh,04Ch,04Eh,052h,04Bh
db 086h,09Ch,09Eh,07Dh,049h,053h,04Fh,050h,087h,0A1h,098h,09Dh,099h,09Bh,09Ah,09Ah
db 09Ah,097h,09Dh,06Dh,048h,053h,04Ch,052h,04Eh,052h,04Fh,053h,050h,055h,04Fh,05Fh
db 09Ch,09Eh,09Eh,09Dh,09Dh,09Ch,09Dh,09Ch,09Ch,09Bh,09Ch,09Bh,09Bh,099h,09Bh,099h
db 09Bh,098h,09Ch,093h,059h,04Ah,054h,048h,06Bh,09Ch,09Ah,099h,099h,058h,050h,04Bh
db 06Dh,0A0h,098h,09Ch,096h,056h,050h,04Bh,072h,0A1h,097h,09Eh,092h,054h,051h,04Bh
db 077h,0A2h,097h,09Dh,09Ah,096h,058h,04Bh,07Bh,0A2h,095h,09Eh,098h,096h,050h,053h
db 048h,078h,0A0h,097h,09Eh,08Fh,051h,050h,04Fh,051h,050h,052h,051h,053h,052h,054h
db 053h,055h,054h,055h,054h,057h,054h,058h,055h,059h,055h,05Bh,052h,074h,0A8h,0A1h
db 0A4h,0A1h,0A3h,0A0h,0A2h,0A0h,0A1h,0A0h,0A1h,09Fh,0A0h,09Fh,09Fh,09Eh,09Fh,09Dh
db 09Eh,09Dh,09Eh,09Dh,09Dh,09Ch,09Ch,09Bh,09Ch,09Bh,09Bh,09Ah,09Bh,09Ah,09Ah,099h
db 09Ah,099h,099h,098h,099h,098h,097h,097h,098h,098h,097h,096h,097h,096h,096h,095h
db 096h,095h,095h,094h,095h,094h,095h,094h,094h,093h,094h,093h,092h,092h,093h,092h
db 092h,091h,092h,091h,092h,091h,091h,090h,091h,090h,090h,08Fh,090h,08Fh,090h,08Fh
db 08Fh,08Eh,08Fh,08Eh,08Fh,08Dh,08Eh,08Dh,08Eh,08Dh,08Eh,08Dh,08Dh,08Ch,08Dh,08Ch
db 08Ch,08Bh,08Ch,08Bh,08Ch,08Bh,08Ch,089h,08Ch,089h,08Ch,089h,08Ch,089h,08Bh,088h
db 08Ch,087h,08Ch,085h,08Fh,079h,040h,03Ch,043h,039h,06Ch,08Eh,08Dh,07Bh,03Dh,042h
db 041h,03Fh,06Eh,095h,088h,090h,08Ah,087h,041h,046h,03Bh,06Eh,093h,08Bh,091h,081h
db 043h,046h,03Eh,072h,095h,08Bh,092h,08Ch,090h,08Bh,091h,08Bh,091h,089h,094h,074h
db 040h,042h,045h,03Fh,07Ah,092h,091h,076h,03Dh,049h,042h,049h,044h,049h,045h,049h
db 047h,04Ah,048h,04Bh,049h,04Ch,04Ah,04Dh,04Bh,04Dh,04Ch,04Eh,04Eh,08Dh,09Ah,098h
db 098h,098h,098h,097h,098h,097h,096h,097h,096h,097h,096h,096h,095h,096h,095h,094h
db 095h,094h,095h,094h,093h,094h,094h,093h,092h,093h,092h,093h,092h,091h,092h,091h
db 092h,091h,091h,090h,090h,090h,090h,08Fh,091h,089h,04Ah,044h,046h,046h,047h,047h
db 047h,048h,049h,049h,04Ah,04Ah,04Bh,04Bh,04Ch,04Bh,04Dh,04Ch,04Eh,04Dh,04Fh,04Eh
db 051h,04Ch,05Eh,09Bh,09Ah,09Bh,099h,09Bh,099h,09Ah,099h,099h,098h,099h,098h,098h
db 097h,098h,097h,097h,096h,097h,096h,097h,096h,096h,095h,096h,095h,094h,094h,095h
db 094h,093h,094h,093h,093h,092h,093h,092h,093h,092h,093h,092h,092h,091h,092h,091h
db 091h,090h,091h,090h,091h,08Fh,090h,08Fh,090h,08Fh,090h,08Eh,090h,08Ch,095h,068h
db 03Dh,048h,042h,048h,043h,049h,044h,04Ah,042h,05Fh,096h,091h,094h,092h,093h,092h
db 092h,091h,092h,091h,092h,091h,091h,090h,091h,090h,090h,08Fh,090h,08Fh,090h,08Fh
db 090h,08Eh,090h,08Ch,093h,07Ch,040h,047h,043h,047h,044h,047h,045h,048h,046h,049h
db 046h,04Ch,044h,07Ah,09Bh,090h,097h,091h,096h,091h,096h,090h,099h,067h,043h,04Ch
db 047h,04Bh,049h,04Bh,04Ah,04Ch,04Bh,04Dh,04Dh,04Dh,052h,091h,09Ah,098h,098h,098h
db 098h,097h,098h,097h,097h,096h,097h,096h,097h,096h,096h,095h,096h,094h,095h,094h
db 095h,094h,094h,093h,094h,093h,094h,092h,093h,091h,094h,090h,096h,080h,046h,048h
db 047h,049h,048h,04Ah,04Ah,04Bh,04Ah,04Ch,04Ch,04Dh,04Dh,04Eh,04Eh,04Fh,04Eh,04Fh
db 050h,050h,051h,050h,052h,051h,053h,052h,053h,053h,054h,053h,056h,053h,057h,052h
db 068h,0A3h,09Fh,0A2h,09Fh,0A0h,09Fh,0A0h,09Fh,09Fh,09Eh,09Fh,09Dh,09Eh,09Dh,09Eh
db 09Ch,09Dh,09Ch,09Ch,09Bh,09Ch,09Bh,09Ch,09Ah,09Bh,09Ah,09Ah,099h,09Ah,099h,099h
db 098h,099h,098h,098h,098h,097h,097h,097h,096h,05Bh,048h,050h,04Bh,04Fh,04Ch,051h
db 04Ch,053h,04Ah,07Dh,0A0h,098h,09Ch,099h,09Bh,099h,09Ah,099h,099h,098h,099h,098h
db 099h,097h,098h,097h,098h,096h,097h,096h,097h,096h,096h,095h,096h,095h,095h,094h
db 095h,095h,094h,093h,094h,093h,094h,093h,092h,093h,092h,093h,092h,091h,091h,092h
db 091h,092h,091h,091h,090h,091h,090h,090h,08Fh,090h,08Fh,091h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h

gun db 000h,000h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,09Fh,0CEh,0CEh,09Fh,080h
db 091h,0C4h,0B4h,07Fh,05Ah,07Fh,0B9h,0DDh,0C7h,097h,080h,07Fh,08Ah,0C4h,0EBh,0E1h
db 0C7h,0D1h,0F6h,0FFh,0FFh,0EFh,0D9h,0C4h,0B9h,0CEh,0D9h,0B2h,07Fh,061h,076h,081h
db 07Eh,04Eh,03Ch,056h,061h,056h,061h,080h,0A6h,0B2h,08Dh,080h,080h,08Ah,091h,081h
db 06Fh,06Fh,08Dh,0D9h,0F6h,0EBh,0DDh,0F6h,0FFh,0F6h,0C4h,091h,081h,082h,09Fh,0C7h
db 0DDh,0C7h,0AAh,0B4h,0D1h,0CEh,0A6h,097h,0CEh,0FFh,0F6h,0B4h,0AAh,0DDh,0FFh,0FFh
db 0D9h,0B9h,0B2h,0B2h,0B9h,0D1h,0CEh,091h,073h,073h,08Dh,0B4h,0A6h,082h,080h,080h
db 07Fh,076h,08Ah,0CEh,0EFh,0D1h,0B4h,0C7h,0F6h,0EFh,0B2h,081h,08Ah,0A6h,0AAh,09Fh
db 0B2h,0DDh,0E1h,0B4h,091h,0A6h,0D1h,0E1h,0DDh,0D1h,0B4h,080h,047h,039h,073h,08Dh
db 08Ah,080h,080h,080h,06Fh,04Eh,073h,0B4h,0F6h,0EBh,0B4h,091h,08Dh,091h,097h,097h
db 091h,08Ah,091h,0B2h,0CEh,0CEh,0B2h,091h,08Dh,081h,069h,039h,04Eh,097h,0EBh,0E1h
db 08Dh,06Fh,07Eh,082h,080h,06Fh,073h,08Dh,0C4h,0D1h,0CEh,0B4h,091h,081h,08Dh,0AAh
db 0A6h,08Ah,08Dh,0C4h,0EBh,0DDh,0C4h,0B4h,0B4h,0A6h,097h,0B9h,0EBh,0D9h,08Ah,04Eh
db 047h,06Fh,082h,08Ah,07Eh,04Ch,047h,061h,081h,097h,0B2h,0CEh,0D9h,0C4h,0A6h,0B2h
db 0D1h,0D9h,0A6h,07Fh,07Eh,097h,0CEh,0DDh,0CEh,0B2h,091h,081h,080h,081h,08Dh,0A6h
db 0B4h,0AAh,08Ah,07Fh,07Fh,082h,08Ah,073h,03Ch,039h,069h,08Ah,091h,082h,081h,08Dh
db 08Dh,07Fh,06Fh,076h,08Ah,097h,08Dh,081h,080h,080h,081h,0A6h,0DDh,0EBh,0C7h,09Fh
db 08Dh,08Ah,080h,07Eh,07Eh,080h,080h,080h,080h,080h,06Fh,04Ch,056h,08Dh,0C7h,0B2h
db 07Fh,06Fh,097h,0E1h,0E1h,09Fh,073h,06Fh,080h,0AAh,0C4h,0AAh,080h,04Eh,056h,082h
db 0CEh,0D9h,0B2h,082h,080h,080h,08Dh,0AAh,0C7h,0C7h,0A6h,082h,080h,080h,07Fh,07Eh
db 080h,082h,080h,06Fh,061h,061h,069h,073h,081h,0B2h,0B9h,08Dh,07Eh,080h,09Fh,0B2h
db 09Fh,08Ah,08Ah,08Ah,082h,08Dh,09Fh,09Fh,081h,07Eh,082h,0AAh,097h,06Fh,047h,05Ah
db 07Fh,081h,082h,097h,0A6h,081h,056h,04Ch,080h,0AAh,097h,07Fh,080h,0AAh,0B4h,080h
db 039h,039h,07Eh,0B4h,0CEh,0B4h,08Ah,06Fh,04Ch,05Ah,081h,0AAh,09Fh,08Ah,097h,0C7h
db 0DDh,0C4h,09Fh,09Fh,0A6h,097h,081h,080h,076h,056h,02Fh,039h,073h,080h,06Fh,03Ch
db 056h,082h,0A6h,08Ah,076h,073h,080h,081h,080h,080h,080h,081h,08Ah,091h,091h,091h
db 0A6h,0CEh,0D9h,0B4h,08Dh,082h,081h,076h,04Eh,056h,080h,0A6h,0B2h,08Dh,07Fh,073h
db 06Fh,07Eh,08Dh,0B2h,0B9h,0B9h,0B9h,0C7h,0B9h,09Fh,082h,080h,081h,082h,08Ah,081h
db 073h,04Ch,032h,047h,069h,076h,07Eh,080h,082h,08Dh,08Ah,080h,07Eh,07Fh,081h,08Ah
db 08Ah,082h,080h,076h,05Ah,04Ch,056h,07Eh,097h,0B9h,0B9h,09Fh,081h,080h,091h,0AAh
db 08Ah,061h,047h,07Eh,0B2h,0C4h,08Ah,061h,047h,04Ch,05Ah,07Fh,097h,0C4h,0D1h,0C4h
db 0B2h,0A6h,0AAh,0B4h,0B2h,091h,080h,081h,0A6h,0C4h,0B9h,097h,08Ah,08Ah,08Ah,082h
db 082h,08Dh,08Dh,081h,081h,091h,0B4h,0B9h,08Dh,06Fh,04Ch,05Ah,080h,091h,08Ah,076h
db 04Eh,056h,073h,080h,081h,080h,080h,082h,091h,091h,080h,069h,069h,080h,0A6h,09Fh
db 07Eh,056h,069h,082h,08Dh,080h,073h,07Fh,082h,07Eh,04Ch,047h,073h,082h,07Fh,069h
db 06Fh,080h,080h,061h,04Ch,061h,076h,076h,073h,080h,08Dh,08Dh,081h,081h,08Ah,081h
db 076h,06Fh,080h,08Ah,07Fh,04Eh,056h,081h,0AAh,091h,076h,073h,08Dh,0CEh,0E1h,0CEh
db 0A6h,08Ah,082h,09Fh,0B9h,0B4h,082h,06Fh,06Fh,080h,08Ah,080h,061h,04Ch,056h,07Eh
db 08Dh,09Fh,09Fh,097h,08Dh,080h,06Fh,069h,080h,08Ah,076h,047h,04Ch,081h,0B4h,08Dh
db 04Eh,039h,06Fh,08Dh,081h,05Ah,047h,073h,097h,0B9h,0AAh,08Dh,08Dh,091h,08Dh,07Fh
db 06Fh,07Eh,082h,082h,07Fh,073h,061h,047h,02Fh,047h,080h,0A6h,09Fh,081h,080h,080h
db 07Eh,073h,07Eh,081h,082h,07Fh,076h,081h,097h,08Dh,07Eh,056h,039h,02Fh,047h,07Eh
db 0AAh,0B9h,08Dh,06Fh,069h,081h,0AAh,0B9h,09Fh,080h,07Eh,080h,09Fh,0B4h,0B2h,09Fh
db 0AAh,0B4h,09Fh,080h,073h,081h,0A6h,0A6h,080h,069h,05Ah,06Fh,076h,06Fh,061h,056h
db 04Eh,056h,061h,073h,07Fh,080h,080h,073h,073h,080h,08Ah,081h,07Eh,07Eh,080h,082h
db 081h,080h,081h,080h,069h,04Eh,061h,080h,081h,07Eh,073h,07Eh,07Fh,06Fh,05Ah,07Eh
db 097h,0AAh,08Dh,07Fh,076h,07Eh,080h,08Ah,091h,082h,07Eh,07Fh,091h,09Fh,080h,05Ah
db 061h,080h,08Dh,080h,073h,07Eh,080h,07Eh,061h,069h,081h,091h,08Ah,081h,08Dh,0A6h
db 09Fh,080h,056h,047h,04Eh,076h,091h,0A6h,082h,069h,056h,073h,08Dh,0A6h,091h,081h
db 080h,082h,09Fh,0AAh,0B2h,0AAh,0AAh,0A6h,0A6h,09Fh,08Ah,076h,04Eh,047h,06Fh,082h
db 097h,08Ah,080h,07Fh,07Eh,073h,06Fh,076h,07Fh,07Eh,06Fh,061h,069h,06Fh,073h,073h
db 05Ah,03Ch,032h,04Eh,07Eh,080h,07Fh,076h,07Eh,07Fh,076h,076h,07Eh,07Fh,07Eh,076h
db 07Fh,080h,080h,080h,091h,0B4h,0B2h,08Ah,076h,07Eh,081h,082h,07Eh,05Ah,04Eh,061h
db 07Eh,080h,080h,080h,080h,080h,07Eh,069h,061h,07Eh,082h,082h,080h,081h,08Ah,080h
db 056h,032h,056h,081h,08Dh,073h,03Ch,03Ch,056h,05Ah,04Ch,056h,076h,07Fh,06Fh,061h
db 080h,09Fh,0B2h,09Fh,082h,07Eh,05Ah,04Eh,06Fh,080h,07Eh,061h,069h,080h,08Ah,080h
db 06Fh,073h,080h,081h,08Ah,091h,08Dh,080h,073h,080h,09Fh,0A6h,081h,07Eh,080h,09Fh
db 0B2h,0B2h,0B4h,0B2h,08Dh,080h,080h,08Ah,097h,08Dh,080h,07Fh,07Fh,07Eh,06Fh,056h
db 056h,06Fh,081h,097h,08Dh,07Eh,05Ah,056h,06Fh,080h,082h,080h,069h,061h,07Eh,08Ah
db 081h,06Fh,056h,06Fh,080h,080h,06Fh,05Ah,061h,06Fh,069h,061h,069h,07Eh,080h,080h
db 076h,061h,056h,061h,07Eh,080h,073h,04Eh,05Ah,080h,0AAh,0B9h,0B2h,0A6h,09Fh,091h
db 08Dh,091h,091h,080h,073h,073h,081h,091h,080h,06Fh,06Fh,07Eh,07Eh,061h,056h,06Fh
db 080h,080h,07Fh,080h,08Ah,08Dh,08Ah,080h,076h,06Fh,073h,080h,082h,081h,080h,081h
db 08Ah,081h,07Eh,076h,07Fh,07Fh,076h,076h,081h,08Dh,082h,080h,080h,08Dh,09Fh,097h
db 08Ah,081h,080h,076h,073h,07Eh,080h,080h,080h,081h,08Ah,08Ah,080h,07Fh,080h,081h
db 080h,073h,056h,04Ch,05Ah,073h,076h,073h,061h,05Ah,069h,07Fh,08Ah,08Ah,080h,07Eh
db 07Eh,080h,080h,06Fh,04Ch,047h,05Ah,073h,07Fh,081h,08Ah,082h,07Eh,05Ah,061h,07Fh
db 081h,07Eh,05Ah,05Ah,076h,080h,07Fh,07Eh,07Fh,081h,080h,073h,069h,06Fh,06Fh,073h
db 07Eh,082h,08Dh,081h,073h,069h,073h,07Fh,080h,07Fh,069h,04Eh,04Eh,069h,07Eh,07Eh
db 076h,07Eh,07Fh,073h,04Eh,04Ch,06Fh,081h,080h,069h,04Eh,05Ah,069h,069h,06Fh,080h
db 08Dh,08Dh,080h,07Eh,081h,09Fh,0AAh,097h,082h,080h,07Fh,082h,091h,091h,081h,07Eh
db 07Eh,080h,080h,06Fh,05Ah,069h,080h,091h,091h,081h,076h,073h,080h,097h,0B2h,09Fh
db 082h,07Fh,07Fh,080h,081h,08Dh,091h,082h,07Eh,06Fh,073h,07Fh,080h,080h,081h,08Dh
db 091h,080h,069h,05Ah,073h,082h,091h,08Ah,082h,082h,08Ah,081h,07Eh,073h,06Fh,06Fh
db 076h,080h,091h,097h,080h,061h,04Eh,069h,07Fh,080h,07Fh,06Fh,06Fh,07Eh,080h,07Fh
db 07Eh,080h,081h,080h,06Fh,069h,07Eh,080h,080h,07Eh,07Eh,07Fh,080h,080h,080h,082h
db 097h,0A6h,0A6h,097h,08Dh,08Dh,097h,091h,080h,061h,061h,07Fh,091h,08Dh,080h,07Eh
db 07Eh,076h,06Fh,06Fh,080h,097h,0AAh,0A6h,097h,091h,08Dh,080h,073h,06Fh,073h,080h
db 082h,08Dh,08Dh,080h,06Fh,061h,06Fh,07Eh,080h,080h,081h,08Dh,091h,082h,080h,080h
db 082h,08Ah,080h,076h,07Eh,080h,07Eh,069h,05Ah,076h,082h,08Ah,080h,07Fh,080h,080h
db 080h,081h,08Ah,081h,080h,080h,081h,082h,076h,056h,04Ch,061h,07Eh,080h,082h,08Ah
db 081h,076h,073h,080h,097h,09Fh,081h,06Fh,069h,07Fh,08Dh,091h,080h,076h,07Eh,081h
db 082h,081h,080h,082h,08Ah,08Ah,08Ah,082h,080h,06Fh,05Ah,05Ah,06Fh,073h,073h,06Fh
db 076h,07Fh,07Fh,07Fh,07Fh,080h,081h,080h,07Fh,076h,07Fh,082h,08Dh,081h,076h,069h
db 06Fh,076h,076h,07Eh,080h,081h,080h,076h,073h,076h,080h,081h,082h,081h,07Fh,06Fh
db 061h,06Fh,07Eh,080h,080h,080h,07Fh,06Fh,061h,069h,07Fh,081h,081h,080h,07Eh,076h
db 07Eh,080h,080h,080h,076h,06Fh,073h,080h,082h,08Dh,08Ah,08Ah,08Ah,081h,07Fh,073h
db 06Fh,073h,07Eh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,081h,082h,08Ah,081h,07Eh
db 073h,07Eh,082h,091h,08Dh,081h,080h,081h,082h,080h,07Fh,080h,082h,08Ah,080h,06Fh
db 073h,080h,080h,06Fh,056h,069h,080h,082h,07Fh,073h,073h,07Fh,080h,080h,081h,080h
db 07Fh,076h,07Eh,080h,081h,080h,080h,080h,080h,07Fh,07Fh,080h,08Ah,08Dh,081h,07Eh
db 073h,076h,07Eh,080h,080h,081h,080h,07Eh,07Eh,07Fh,080h,07Fh,076h,07Fh,081h,081h
db 07Fh,076h,07Eh,080h,081h,080h,080h,08Ah,08Dh,080h,073h,061h,06Fh,07Eh,07Fh,076h
db 069h,06Fh,076h,07Eh,07Eh,07Fh,080h,082h,08Dh,08Dh,08Dh,08Ah,080h,076h,076h,080h
db 081h,07Fh,06Fh,06Fh,07Eh,07Fh,07Eh,073h,073h,073h,073h,076h,080h,08Dh,091h,08Dh
db 082h,082h,082h,080h,076h,06Fh,073h,07Eh,080h,082h,081h,07Fh,073h,069h,06Fh,076h
db 07Eh,07Fh,080h,080h,080h,080h,081h,08Ah,08Ah,080h,07Eh,07Fh,080h,081h,080h,080h
db 081h,080h,076h,06Fh,07Eh,080h,081h,080h,080h,080h,07Fh,069h,05Ah,06Fh,081h,08Ah
db 080h,076h,076h,07Fh,07Fh,073h,06Fh,076h,07Fh,07Fh,07Eh,07Fh,081h,08Ah,080h,073h
db 069h,06Fh,080h,08Ah,081h,07Eh,06Fh,076h,080h,080h,07Fh,080h,08Ah,08Dh,081h,07Fh
db 080h,08Ah,08Dh,08Ah,081h,080h,080h,076h,06Fh,076h,080h,080h,080h,080h,080h,07Eh
db 06Fh,06Fh,07Eh,080h,080h,080h,080h,080h,07Eh,06Fh,073h,07Eh,080h,080h,080h,081h
db 081h,080h,07Fh,080h,081h,080h,073h,076h,080h,081h,080h,07Fh,081h,091h,08Ah,07Fh
db 06Fh,076h,081h,08Ah,082h,081h,080h,080h,07Fh,07Fh,080h,080h,07Fh,076h,07Fh,081h
db 082h,080h,073h,073h,07Fh,082h,08Dh,08Dh,08Ah,082h,080h,07Fh,080h,082h,08Ah,08Ah
db 082h,082h,081h,080h,07Eh,073h,076h,07Fh,080h,080h,081h,080h,07Eh,073h,06Fh,076h
db 080h,081h,081h,080h,080h,07Fh,07Fh,080h,080h,07Eh,073h,076h,080h,080h,076h,06Fh
db 076h,080h,081h,080h,07Eh,07Fh,080h,080h,080h,080h,081h,080h,07Fh,080h,082h,08Dh
db 081h,076h,06Fh,07Fh,081h,080h,076h,06Fh,073h,076h,073h,076h,07Fh,080h,080h,076h
db 073h,07Eh,082h,08Ah,080h,073h,069h,06Fh,076h,07Eh,07Eh,07Eh,080h,08Ah,08Dh,081h
db 080h,080h,081h,081h,07Fh,069h,061h,073h,07Fh,080h,081h,080h,080h,076h,073h,076h
db 080h,081h,080h,080h,080h,081h,080h,07Eh,073h,076h,080h,080h,080h,080h,080h,07Fh
db 076h,07Eh,080h,081h,081h,080h,07Eh,07Eh,07Fh,080h,081h,08Ah,08Ah,080h,076h,076h
db 07Fh,081h,081h,07Fh,073h,073h,07Eh,07Fh,07Eh,073h,073h,076h,07Fh,080h,080h,080h
db 081h,081h,081h,080h,080h,080h,080h,07Fh,073h,073h,07Fh,082h,08Ah,082h,080h,07Fh
db 07Fh,07Fh,07Eh,07Eh,07Fh,080h,081h,081h,080h,080h,080h,07Fh,07Eh,073h,073h,07Eh
db 080h,080h,080h,080h,080h,07Fh,07Fh,080h,082h,082h,081h,080h,080h,081h,080h,080h
db 080h,082h,08Ah,082h,080h,080h,080h,07Fh,073h,069h,06Fh,076h,07Fh,07Fh,076h,073h
db 073h,07Eh,080h,080h,080h,080h,080h,07Fh,07Eh,07Eh,07Eh,07Eh,076h,07Eh,080h,082h
db 081h,080h,080h,080h,080h,07Fh,076h,07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,07Eh,076h,07Eh,080h,080h,080h,076h,073h,07Eh,081h,08Ah
db 082h,080h,07Fh,080h,081h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,081h,080h,080h,080h,080h,080h,081h,081h,080h,07Eh,073h,06Fh,073h
db 073h,073h,076h,080h,082h,082h,080h,076h,07Fh,081h,082h,080h,076h,076h,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,081h,08Ah,082h,081h,080h,080h,080h,080h,07Eh
db 073h,073h,07Fh,080h,080h,076h,06Fh,076h,080h,080h,076h,06Fh,073h,080h,082h,081h
db 080h,07Fh,076h,07Eh,07Fh,080h,080h,080h,080h,080h,080h,076h,06Fh,076h,080h,081h
db 080h,080h,080h,080h,07Fh,076h,076h,07Eh,080h,081h,082h,082h,080h,07Eh,07Eh,080h
db 081h,080h,07Eh,076h,080h,082h,082h,080h,076h,076h,07Fh,080h,080h,080h,080h,07Fh
db 07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,081h,082h,081h
db 080h,080h,07Fh,07Fh,07Fh,07Fh,080h,080h,082h,082h,080h,073h,073h,07Eh,080h,07Fh
db 076h,073h,07Eh,080h,080h,07Eh,076h,07Eh,080h,080h,07Fh,076h,073h,076h,080h,081h
db 080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h
db 081h,081h,080h,07Fh,080h,080h,080h,07Eh,076h,07Fh,080h,081h,080h,07Eh,07Eh,07Eh
db 07Fh,07Fh,07Eh,07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh
db 07Eh,07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Eh,073h,06Fh
db 073h,07Fh,080h,080h,07Fh,076h,076h,07Eh,080h,080h,080h,080h,080h,081h,080h,080h
db 080h,080h,080h,080h,080h,080h,07Fh,076h,076h,07Eh,07Eh,07Eh,07Eh,07Eh,076h,073h
db 073h,07Eh,080h,080h,080h,080h,07Fh,076h,076h,07Fh,080h,07Fh,07Eh,080h,081h,082h
db 080h,07Fh,080h,080h,081h,080h,080h,07Eh,073h,076h,080h,080h,080h,07Fh,07Fh,080h
db 080h,080h,080h,080h,07Fh,07Eh,07Fh,080h,080h,080h,080h,080h,080h,07Fh,07Fh,080h
db 080h,080h,07Fh,07Fh,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h
db 07Eh,07Eh,080h,080h,080h,080h,080h,080h,07Fh,07Eh,07Fh,080h,080h,07Fh,07Fh,07Fh
db 07Eh,076h,073h,076h,07Eh,07Eh,07Fh,080h,080h,07Fh,07Eh,07Eh,080h,080h,07Fh,073h
db 073h,076h,07Eh,07Fh,080h,080h,080h,080h,081h,081h,081h,080h,080h,080h,076h,073h
db 076h,07Fh,080h,07Fh,07Fh,080h,07Fh,076h,073h,07Eh,080h,080h,080h,07Fh,080h,081h
db 081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,076h,073h
db 07Eh,080h,07Fh,07Eh,07Fh,081h,082h,081h,07Fh,07Fh,080h,081h,080h,07Eh,076h,07Eh
db 080h,082h,08Ah,08Ah,081h,080h,080h,080h,082h,082h,081h,07Fh,07Fh,080h,080h,080h
db 07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,07Fh,080h,081h,082h,081h,080h,080h,081h,082h,081h,080h,07Fh,07Eh,07Fh,080h
db 080h,080h,07Eh,076h,07Eh,07Fh,07Fh,07Eh,07Eh,080h,080h,07Eh,076h,07Eh,080h,081h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h
db 080h,07Fh,07Eh,07Fh,080h,080h,081h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh
db 07Fh,080h,080h,080h,080h,080h,081h,082h,082h,081h,080h,080h,081h,082h,082h,081h
db 080h,080h,080h,080h,080h,07Fh,080h,080h,07Fh,07Eh,080h,080h,080h,07Eh,076h,07Eh
db 080h,080h,07Fh,07Fh,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,081h
db 082h,081h,07Fh,073h,076h,07Fh,080h,07Fh,076h,07Eh,07Fh,080h,080h,080h,080h,080h
db 080h,07Fh,07Fh,080h,080h,080h,07Eh,076h,07Fh,080h,080h,07Eh,07Eh,080h,081h,080h
db 07Fh,07Eh,080h,081h,081h,080h,080h,080h,080h,07Fh,080h,081h,082h,082h,080h,080h
db 080h,081h,080h,07Eh,07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,07Fh,080h,080h,080h,07Eh,076h,07Eh,080h,082h,082h,082h,080h,080h,080h,080h
db 080h,080h,081h,081h,081h,080h,080h,080h,07Fh,07Eh,076h,07Fh,080h,080h,080h,07Fh
db 07Eh,07Eh,07Fh,080h,081h,081h,080h,07Fh,07Eh,07Fh,080h,080h,07Fh,07Fh,07Fh,080h
db 080h,07Fh,07Fh,080h,081h,081h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh,080h
db 081h,080h,07Eh,07Eh,080h,080h,080h,07Eh,076h,07Fh,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,07Fh,07Eh,07Eh,07Fh,080h,080h,080h,080h,080h
db 07Fh,07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h,07Eh,07Eh,076h,07Eh,07Eh,07Fh
db 080h,080h,080h,080h,07Fh,07Fh,080h,081h,081h,081h,080h,080h,080h,080h,080h,080h
db 080h,07Fh,07Fh,080h,081h,081h,080h,07Fh,07Eh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh,07Fh,080h,080h,080h
db 081h,081h,080h,080h,080h,081h,081h,081h,080h,080h,080h,080h,080h,080h,07Fh,07Eh
db 076h,07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh
db 07Fh,080h,081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h
db 080h,080h,080h,07Fh,07Fh,07Fh,080h,081h,081h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Eh,07Fh,080h,080h,080h,080h
db 080h,080h,080h,07Fh,07Eh,07Fh,080h,080h,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,081h,080h
db 07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h
db 080h,080h,081h,081h,081h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h,07Fh
db 07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,081h,081h,081h,080h,080h,081h,081h,081h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,07Fh,07Eh,07Eh,080h,080h,080h,07Fh,07Fh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,081h,080h,080h,080h
db 080h,080h,080h,080h,080h,07Fh,07Fh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Eh
db 07Fh,080h,080h,080h,080h,080h,080h,081h,081h,081h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,07Eh,07Eh,080h,080h,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Eh,07Eh,07Eh,07Fh
db 07Fh,07Fh,080h,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h
db 080h,080h,07Fh,07Eh,07Eh,07Fh,07Fh,080h,080h,080h,080h,07Fh,07Fh,07Fh,080h,080h
db 080h,080h,07Fh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,07Eh,07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h,081h,081h,080h,080h,07Fh
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh
db 080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 081h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,07Fh
db 07Fh,07Fh,07Fh,080h,080h,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,07Fh,07Fh,080h
db 080h,080h,080h,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,081h,081h,081h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Fh,07Fh
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,000h,000h,000h,000h,000h,000h,000h,000h


alarm db "alarm",000h,000h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,081h,080h,080h,080h,080h,080h,080h,081h,080h,081h,081h,082h,081h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,081h,081h,080h,081h,081h,082h,081h,082h,082h,085h,082h,082h,085h,086h,085h
db 081h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,081h,081h,081h,082h,082h,082h,082h,085h,085h,085h,085h,086h,088h
db 088h,085h,080h,07Eh,07Eh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,081h,081h,081h,082h,082h,082h,082h,085h,085h,086h,086h,088h,088h,088h,088h
db 08Ah,08Ch,08Ch,086h,080h,07Bh,07Bh,07Eh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,081h,082h,085h,085h,086h,086h,088h,088h,088h,08Ah,08Ch,08Ch
db 08Ch,08Ch,090h,091h,08Ah,080h,07Bh,07Ah,07Bh,07Eh,07Eh,07Fh,07Fh,080h,080h,080h
db 080h,080h,080h,080h,081h,081h,082h,085h,086h,086h,088h,088h,08Ah,08Ah,08Ch,08Dh
db 090h,08Dh,08Dh,091h,094h,090h,082h,07Ah,076h,078h,07Bh,07Eh,07Bh,07Eh,07Fh,080h
db 080h,080h,080h,080h,080h,080h,082h,085h,085h,086h,086h,088h,08Ah,08Ch,08Ch,08Dh
db 08Dh,090h,091h,091h,091h,095h,09Ah,097h,08Ah,07Eh,074h,074h,07Ah,07Bh,07Bh,07Bh
db 07Eh,07Fh,07Fh,080h,080h,080h,080h,080h,081h,082h,086h,088h,08Ah,08Ah,08Ch,08Dh
db 090h,08Dh,090h,091h,094h,094h,095h,09Bh,09Bh,090h,07Fh,073h,070h,076h,07Ah,078h
db 07Ah,07Bh,07Eh,07Fh,07Fh,080h,080h,080h,080h,081h,085h,085h,086h,088h,08Ah,08Ch
db 08Dh,090h,091h,091h,094h,097h,097h,095h,097h,09Ch,09Fh,094h,080h,073h,06Fh,074h
db 078h,078h,07Ah,07Bh,07Eh,07Fh,07Fh,080h,080h,080h,080h,081h,085h,086h,08Ah,08Ch
db 08Dh,08Dh,090h,091h,094h,095h,097h,09Ah,09Ah,09Bh,0A0h,0A3h,09Bh,085h,074h,06Ch
db 06Fh,074h,076h,076h,078h,07Ah,07Bh,07Eh,080h,080h,080h,080h,081h,082h,086h,088h
db 08Ah,08Ch,08Dh,090h,091h,094h,095h,097h,09Ah,09Ah,09Ah,09Fh,0A5h,09Fh,08Ah,074h
db 069h,06Ch,073h,074h,074h,076h,07Ah,07Bh,07Bh,07Eh,07Fh,080h,080h,080h,081h,082h
db 086h,08Ah,08Dh,08Dh,090h,091h,094h,095h,097h,09Bh,09Ch,09Ch,09Ch,0A3h,0AAh,0A6h
db 091h,07Bh,069h,069h,070h,074h,074h,076h,078h,07Ah,07Ah,07Eh,07Fh,080h,080h,080h
db 081h,085h,08Ah,08Dh,090h,090h,091h,094h,095h,097h,09Ah,09Ch,09Fh,09Fh,0A3h,0AAh
db 0ABh,09Bh,080h,069h,064h,06Ch,073h,073h,073h,074h,078h,07Ah,07Ah,07Eh,07Fh,080h
db 080h,081h,085h,088h,08Ch,090h,091h,094h,095h,097h,097h,09Bh,09Fh,0A0h,09Fh,0A3h
db 0AAh,0B0h,0A0h,081h,069h,05Dh,065h,06Ch,06Fh,06Fh,073h,076h,076h,078h,07Bh,07Fh
db 080h,080h,080h,082h,086h,08Ah,08Dh,091h,091h,094h,097h,09Bh,09Bh,09Ch,0A0h,0A5h
db 0A5h,0A5h,0ABh,0B4h,0AAh,08Ch,06Fh,05Dh,061h,06Ch,06Fh,06Fh,070h,076h,078h,078h
db 07Ah,07Eh,080h,080h,080h,082h,088h,08Ch,090h,090h,094h,097h,09Bh,09Bh,09Ch,0A0h
db 0A5h,0A5h,0A5h,0ABh,0B5h,0B0h,094h,073h,05Dh,05Dh,069h,06Ch,06Bh,06Ch,073h,074h
db 074h,076h,07Bh,07Eh,07Fh,080h,082h,085h,088h,08Ch,091h,094h,095h,097h,09Bh,09Ch
db 09Ch,0A0h,0A5h,0A6h,0A5h,0A9h,0B4h,0B4h,09Ch,07Ah,060h,05Bh,066h,06Ch,06Ch,06Ch
db 070h,074h,076h,078h,07Bh,07Eh,07Fh,080h,081h,082h,088h,08Ch,090h,090h,094h,097h
db 09Bh,09Bh,09Ch,0A0h,0A3h,0A0h,0A5h,0AEh,0B2h,0A0h,080h,064h,05Ah,061h,069h,06Bh
db 06Bh,06Fh,073h,074h,074h,078h,07Bh,07Fh,080h,080h,081h,085h,08Ah,08Dh,090h,091h
db 094h,095h,097h,09Ah,09Ch,09Fh,09Fh,0A0h,0AAh,0B0h,0A3h,082h,065h,057h,05Dh,069h
db 06Bh,069h,06Bh,070h,073h,074h,076h,07Ah,07Bh,07Eh,080h,081h,082h,085h,088h,08Dh
db 090h,091h,094h,097h,097h,09Ah,09Ch,0A0h,0A0h,0A0h,0A6h,0AEh,0A9h,08Ch,06Ch,05Ah
db 05Bh,066h,06Bh,06Bh,06Bh,06Fh,073h,074h,078h,07Ah,07Bh,07Eh,07Fh,080h,082h,086h
db 08Ah,08Ch,08Dh,090h,094h,094h,095h,09Ah,09Ch,09Fh,09Ch,0A0h,0AAh,0A9h,091h,074h
db 05Bh,05Bh,065h,06Bh,069h,069h,06Fh,073h,074h,074h,078h,07Ah,07Bh,07Eh,080h,081h
db 082h,086h,08Ah,08Ch,08Dh,090h,094h,095h,095h,097h,09Ch,09Ch,09Ch,09Fh,0A9h,0AAh
db 09Ah,07Bh,061h,05Bh,064h,069h,06Bh,06Bh,06Fh,073h,074h,074h,078h,07Bh,07Eh,07Fh
db 080h,080h,082h,086h,08Ah,08Ch,08Dh,090h,091h,094h,095h,09Ah,09Bh,09Bh,09Ch,0A5h
db 0AAh,09Ch,080h,064h,05Ah,060h,069h,069h,069h,06Ch,070h,073h,074h,076h,078h,07Ah
db 07Bh,07Fh,080h,081h,085h,086h,08Ah,08Ch,08Dh,090h,090h,094h,097h,09Bh,09Ah,09Ah
db 0A0h,0A6h,09Fh,085h,069h,05Ah,05Dh,066h,069h,069h,06Bh,06Fh,070h,073h,074h,078h
db 07Ah,07Bh,07Eh,080h,080h,081h,085h,088h,088h,08Ah,08Dh,091h,094h,094h,095h,09Ah
db 09Ah,09Ah,09Fh,0A6h,0A5h,08Ch,070h,05Dh,05Dh,066h,06Bh,06Bh,06Ch,06Fh,073h,074h
db 076h,078h,07Ah,07Bh,07Eh,07Fh,080h,082h,086h,088h,08Ah,08Ch,08Dh,08Dh,090h,094h
db 097h,097h,097h,09Bh,0A3h,0A3h,091h,078h,060h,05Bh,064h,069h,06Bh,06Bh,06Ch,06Fh
db 070h,074h,076h,07Ah,07Bh,07Eh,07Fh,080h,081h,082h,085h,088h,08Ah,08Ch,08Dh,08Dh
db 090h,094h,095h,095h,09Ah,09Fh,0A3h,095h,07Eh,064h,05Bh,061h,066h,069h,069h,06Ch
db 070h,070h,073h,074h,078h,07Ah,07Bh,07Eh,080h,080h,080h,082h,086h,088h,08Ah,08Ch
db 08Dh,08Dh,090h,094h,097h,097h,097h,09Ch,0A3h,09Ah,080h,066h,05Dh,064h,06Bh,06Bh
db 06Bh,06Ch,070h,073h,074h,076h,078h,07Ah,07Eh,07Fh,080h,080h,082h,085h,086h,086h
db 08Ah,08Ch,08Dh,08Dh,091h,094h,095h,095h,09Ah,0A0h,09Ch,086h,06Fh,05Dh,060h,066h
db 06Bh,06Bh,06Ch,06Fh,070h,070h,074h,076h,078h,07Ah,07Eh,080h,080h,080h,081h,085h
db 088h,088h,08Ah,08Ch,08Ch,08Dh,091h,095h,095h,095h,09Ah,09Fh,09Fh,08Ch,076h,061h
db 060h,066h,06Ch,06Bh,06Bh,06Fh,073h,074h,074h,078h,07Ah,07Bh,07Bh,07Fh,080h,081h
db 082h,085h,086h,088h,08Ah,08Ah,08Ch,090h,094h,094h,094h,095h,09Bh,09Ch,090h,07Ah
db 064h,05Dh,065h,069h,06Bh,06Bh,06Fh,073h,073h,074h,076h,07Ah,07Ah,07Bh,07Eh,07Fh
db 080h,081h,082h,085h,086h,088h,08Ah,08Ah,08Ch,090h,091h,091h,091h,09Ah,09Ch,094h
db 07Fh,066h,05Dh,064h,06Bh,06Bh,06Bh,06Ch,070h,073h,073h,074h,078h,07Ah,07Bh,07Eh
db 07Fh,080h,080h,081h,085h,085h,086h,088h,08Ah,08Ch,08Ch,090h,094h,091h,091h,097h
db 09Ch,097h,082h,06Fh,061h,064h,06Bh,06Ch,06Ch,06Fh,070h,073h,073h,076h,078h,07Ah
db 07Ah,07Eh,07Fh,080h,080h,081h,085h,085h,086h,088h,088h,08Ah,08Dh,090h,090h,090h
db 094h,09Ah,09Ah,086h,073h,061h,061h,069h,06Ch,06Bh,06Bh,06Fh,073h,074h,074h,076h
db 078h,07Ah,07Bh,07Fh,080h,080h,080h,081h,082h,085h,086h,088h,088h,08Ch,090h,090h
db 08Dh,090h,097h,09Ah,08Ah,076h,064h,061h,069h,06Ch,06Ch,06Bh,06Fh,073h,074h,074h
db 076h,078h,078h,07Ah,07Eh,080h,080h,080h,081h,082h,085h,086h,088h,08Ah,08Ah,08Ch
db 08Dh,090h,090h,090h,095h,09Ah,090h,07Eh,069h,061h,066h,06Ch,06Fh,06Ch,06Fh,070h
db 073h,074h,078h,07Ah,07Ah,07Bh,07Eh,080h,080h,080h,081h,081h,085h,086h,088h,086h
db 088h,08Ch,090h,08Dh,08Dh,094h,097h,091h,080h,06Ch,064h,065h,06Ch,06Ch,06Ch,06Fh
db 073h,074h,074h,076h,078h,07Ah,07Bh,07Eh,07Fh,080h,080h,080h,082h,082h,082h,085h
db 086h,088h,088h,08Ch,090h,090h,08Dh,091h,097h,094h,082h,073h,065h,065h,06Bh,06Fh
db 06Fh,070h,073h,074h,074h,076h,078h,07Ah,07Bh,07Eh,07Fh,080h,080h,080h,082h,082h
db 085h,086h,086h,088h,08Ah,08Ch,08Ch,08Ch,08Dh,094h,094h,086h,076h,066h,065h,06Bh
db 06Fh,06Ch,06Ch,070h,074h,076h,074h,076h,078h,07Ah,07Bh,07Eh,07Fh,080h,080h,080h
db 081h,081h,085h,085h,086h,088h,08Ah,08Ch,08Ch,08Dh,091h,094h,08Ah,07Ah,069h,065h
db 06Bh,06Fh,06Fh,06Ch,070h,074h,074h,074h,076h,078h,078h,07Ah,07Eh,080h,080h,080h
db 080h,081h,082h,082h,085h,085h,086h,088h,08Ah,08Ch,08Ah,08Ch,090h,094h,08Dh,080h
db 06Fh,066h,06Bh,06Fh,070h,06Fh,070h,073h,074h,076h,076h,078h,07Ah,07Bh,07Eh,07Fh
db 080h,080h,080h,080h,081h,082h,085h,085h,086h,088h,08Ah,08Ah,08Ah,08Dh,094h,08Dh
db 080h,070h,066h,069h,06Fh,070h,070h,073h,074h,076h,076h,076h,078h,07Ah,07Bh,07Eh
db 07Fh,080h,080h,080h,080h,080h,081h,082h,085h,086h,086h,088h,08Ah,08Ch,08Ah,08Dh
db 091h,090h,082h,076h,06Bh,069h,06Fh,073h,073h,073h,074h,076h,076h,078h,078h,07Bh
db 07Bh,07Eh,07Eh,07Fh,080h,080h,081h,081h,082h,082h,085h,085h,086h,088h,088h,088h
db 08Ah,090h,090h,086h,07Ah,06Ch,069h,06Ch,070h,070h,073h,074h,076h,078h,076h,078h
db 07Ah,07Bh,07Bh,07Eh,07Fh,080h,080h,080h,081h,081h,082h,082h,085h,086h,088h,088h
db 088h,088h,08Ch,08Dh,088h,07Eh,06Fh,069h,06Ch,070h,073h,070h,073h,074h,076h,078h
db 078h,07Ah,07Ah,07Bh,07Eh,080h,080h,080h,080h,080h,080h,081h,082h,082h,085h,085h
db 086h,086h,088h,088h,08Ch,090h,08Ah,080h,073h,06Bh,06Ch,070h,073h,073h,073h,074h
db 076h,078h,078h,07Ah,07Bh,07Eh,07Eh,07Fh,080h,080h,080h,080h,081h,081h,082h,082h
db 085h,086h,088h,086h,086h,08Ah,08Dh,08Ch,081h,076h,06Ch,06Ch,070h,073h,074h,074h
db 076h,078h,076h,078h,07Ah,07Bh,07Bh,07Eh,07Eh,07Fh,080h,080h,080h,080h,081h,081h
db 082h,082h,085h,086h,086h,085h,086h,08Ch,08Ch,082h,078h,06Ch,06Bh,06Fh,073h,073h
db 074h,074h,076h,078h,078h,07Ah,07Ah,07Bh,07Eh,07Fh,07Fh,080h,080h,080h,080h,080h
db 081h,082h,081h,081h,082h,085h,086h,086h,086h,08Ah,08Ch,086h,07Eh,070h,06Ch,070h
db 074h,076h,074h,076h,078h,078h,078h,07Ah,07Bh,07Eh,07Bh,07Eh,07Fh,080h,080h,080h
db 080h,080h,081h,081h,082h,082h,085h,085h,086h,086h,088h,08Ah,086h,07Fh,074h,06Fh
db 070h,074h,074h,074h,074h,076h,078h,07Ah,07Ah,07Bh,07Bh,07Eh,07Eh,07Fh,080h,080h
db 080h,080h,080h,080h,081h,081h,082h,082h,085h,085h,086h,086h,088h,08Ah,088h,080h
db 076h,070h,070h,074h,076h,076h,076h,078h,078h,07Ah,07Ah,07Bh,07Bh,07Eh,07Eh,07Fh
db 080h,080h,080h,080h,080h,080h,081h,081h,082h,085h,086h,085h,085h,086h,08Ah,08Ah
db 082h,07Ah,070h,070h,074h,076h,076h,076h,078h,07Ah,07Ah,07Ah,07Ah,07Bh,07Eh,07Eh
db 07Fh,080h,080h,080h,080h,080h,080h,081h,081h,082h,082h,085h,086h,085h,085h,088h
db 088h,082h,07Bh,070h,06Fh,073h,076h,076h,074h,076h,078h,078h,078h,07Ah,07Bh,07Eh
db 07Eh,07Eh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,084h,085h,084h
db 084h,087h,089h,085h,080h,075h,071h,074h,077h,079h,077h,079h,07Bh,07Ch,07Ch,07Ch
db 07Ch,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,081h
db 084h,084h,085h,087h,085h,080h,079h,074h,074h,077h,079h,077h,077h,079h,07Bh,07Bh
db 07Bh,07Ch,07Ch,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h
db 084h,084h,084h,085h,087h,085h,080h,079h,074h,074h,077h,079h,079h,079h,079h,07Bh
db 07Bh,07Ch,07Ch,07Ch,07Ch,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,081h,084h,084h,081h,084h,087h,087h,080h,07Ch,075h,074h,077h,079h,079h,079h
db 079h,07Bh,07Bh,07Ch,07Ch,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,081h,084h,084h,084h,085h,085h,081h,080h,077h,075h,077h,079h,079h
db 077h,079h,07Bh,07Ch,07Bh,07Ch,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,081h,084h,084h,084h,085h,087h,085h,080h,079h,075h,075h
db 079h,07Bh,07Bh,07Bh,07Bh,07Ch,07Ch,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,081h,081h,081h,081h,084h,085h,084h,080h,07Bh,075h
db 075h,077h,079h,079h,07Bh,07Bh,07Bh,07Ch,07Ch,07Fh,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,081h,081h,081h,084h,085h,085h,080h,07Ch
db 077h,076h,077h,079h,079h,07Bh,07Bh,07Ch,07Ch,07Ch,07Ch,07Fh,07Fh,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,081h,080h,081h,085h,085h
db 081h,07Fh,079h,078h,079h,07Bh,07Bh,079h,07Bh,07Ch,07Ch,07Ch,07Ch,07Fh,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,081h,081h,084h
db 085h,081h,080h,07Bh,078h,079h,07Bh,07Bh,079h,07Bh,07Ch,07Fh,07Fh,07Fh,07Fh,07Fh
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h
db 081h,084h,085h,084h,080h,07Bh,078h,078h,07Bh,07Ch,07Ch,07Ch,07Ch,07Fh,07Fh,07Fh
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,084h,084h,080h,07Fh,078h,078h,07Ah,07Bh,07Bh,07Bh,07Ch,07Ch,07Ch
db 07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,084h,084h,080h,07Fh,07Ah,078h,07Ah,07Bh,07Bh,07Ch,07Ch,07Ch
db 07Ch,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,081h,081h,084h,084h,081h,080h,07Bh,078h,07Ah,07Bh,07Bh,07Ch
db 07Ch,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,081h,080h,080h,081h,084h,081h,080h,07Ch,07Ah,07Ah,07Ch,07Ch
db 07Ch,07Ch,07Ch,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,081h,084h,084h,080h,07Ch,07Ah,07Ah,07Ch
db 07Ch,07Ch,07Ch,07Ch,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,084h,081h,080h,07Fh,07Ch
db 07Ah,07Ch,07Dh,07Dh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,081h,080h,080h
db 07Dh,07Ch,07Ch,07Dh,07Dh,07Dh,07Dh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,081h
db 081h,080h,07Dh,07Ch,07Ch,07Dh,07Dh,07Dh,07Dh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,081h
db 083h,081h,080h,07Dh,07Ch,07Ch,07Dh,07Fh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,081h,081h,080h,07Fh,07Ch,07Ch,07Dh,07Dh,07Dh,07Dh,07Fh,07Fh,07Fh,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,081h,081h,080h,080h,07Dh,07Ch,07Dh,07Dh,07Dh,07Dh,07Fh,07Fh,07Fh
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,081h,081h,081h,080h,07Fh,07Ch,07Ch,07Dh,07Dh,07Fh,07Fh,07Fh
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,081h,081h,081h,080h,07Fh,07Ch,07Ch,07Fh,080h,080h
db 07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,07Fh,07Ch,07Ch,07Dh,07Fh
db 07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Dh,07Ch,07Dh
db 07Fh,07Fh,07Dh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,07Fh
db 07Ch,07Dh,07Fh,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,07Dh,07Dh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h
db 080h,07Fh,07Dh,07Dh,07Fh,080h,07Fh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 081h,080h,080h,080h,07Fh,07Fh,07Fh,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,080h,080h,07Fh,07Dh,07Fh,07Fh,080h,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,081h,080h,080h,07Fh,07Dh,07Fh,07Fh,080h,07Fh,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,081h,081h,080h,07Fh,07Dh,07Dh,07Fh,07Fh,07Fh,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,081h,080h,080h,080h,07Fh,07Fh,07Fh,080h,07Fh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,081h,081h,080h,080h,07Eh,07Eh,07Fh,080h
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h,080h,07Fh,07Eh,07Fh
db 07Fh,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,07Eh
db 07Eh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,07Fh,07Eh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,081h,080h
db 080h,080h,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 081h,081h,080h,080h,07Fh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,081h,080h,080h,07Fh,07Eh,07Fh,07Fh,07Fh,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,07Eh,07Eh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Eh,07Eh,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Eh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Eh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,07Eh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 07Fh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,07Fh,07Fh,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,07Fh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h

crash db 000h,000h,07Ah,07Eh,077h,0ADh
db 0CAh,0C2h,0C7h,0C2h,0C5h,0C2h,0C3h,0C1h,0C2h,0C0h,0C1h,0BFh,0C0h,0BEh,0BEh,0BDh
db 0BEh,0BCh,0BCh,0BBh,0BBh,0BAh,0BAh,0B9h,0B9h,0B8h,0B8h,0B7h,0B8h,0B6h,0B7h,0B5h
db 0B6h,0B5h,0B5h,0B4h,0B4h,0B3h,0B3h,0B2h,0B1h,0B2h,0B1h,0B0h,0B0h,0AFh,0AFh,0AEh
db 0AFh,0AEh,0AEh,0ADh,0ACh,0ADh,0ACh,0ABh,0ABh,0AAh,0ABh,0AAh,0A9h,0AAh,0A9h,0A8h
db 0A9h,0A8h,0A8h,0A7h,0A6h,0A7h,0A6h,0A5h,0A6h,0A5h,0A4h,0A4h,0A3h,0A4h,0A3h,0A2h
db 0A2h,0A3h,0A2h,0A1h,0A2h,0A1h,0A0h,0A1h,0A0h,09Fh,0A0h,09Fh,09Eh,09Fh,09Eh,09Dh
db 09Eh,09Dh,09Ch,09Dh,09Ch,09Ch,09Ch,09Bh,09Ch,09Bh,09Ah,09Bh,09Ah,099h,099h,09Ah
db 099h,098h,098h,099h,098h,097h,098h,098h,097h,096h,097h,097h,096h,095h,096h,095h
db 094h,095h,094h,095h,094h,093h,094h,094h,093h,092h,093h,092h,093h,092h,091h,092h
db 091h,092h,091h,090h,091h,090h,091h,090h,08Fh,090h,090h,08Fh,08Eh,08Fh,08Eh,08Fh
db 08Eh,08Dh,08Dh,08Eh,08Dh,08Eh,08Dh,08Ch,08Dh,08Dh,08Ch,08Dh,08Ch,08Bh,08Ch,08Bh
db 08Ch,08Bh,08Ch,08Bh,08Ah,08Bh,08Bh,08Ah,089h,08Ah,089h,08Ah,089h,08Ah,089h,089h
db 088h,089h,088h,089h,088h,088h,087h,088h,087h,088h,087h,088h,087h,087h,086h,087h
db 086h,087h,086h,086h,086h,086h,085h,086h,085h,086h,085h,085h,084h,085h,084h,085h
db 084h,086h,083h,086h,081h,089h,06Fh,035h,03Ch,038h,03Dh,03Ah,03Dh,03Ch,03Eh,03Dh
db 03Fh,03Eh,03Fh,040h,041h,041h,042h,042h,043h,043h,044h,044h,045h,045h,046h,045h
db 047h,046h,048h,047h,049h,048h,049h,049h,04Ah,04Ah,04Bh,04Bh,04Ch,04Ch,04Dh,04Eh
db 04Dh,04Eh,04Fh,04Fh,050h,050h,051h,050h,051h,051h,052h,052h,053h,054h,053h,054h
db 055h,055h,056h,055h,056h,057h,056h,057h,058h,057h,058h,059h,058h,059h,05Ah,05Ah
db 05Bh,05Ah,05Bh,05Ch,05Bh,05Ch,05Dh,05Ch,05Dh,05Eh,05Dh,05Eh,05Fh,05Eh,05Fh,05Fh
db 060h,05Fh,060h,060h,061h,062h,061h,061h,062h,063h,062h,062h,063h,064h,063h,064h
db 065h,064h,064h,065h,066h,065h,066h,067h,067h,066h,067h,068h,068h,067h,068h,069h
db 068h,068h,069h,06Ah,069h,069h,06Ah,06Bh,06Ah,06Ah,06Bh,06Ch,06Bh,06Ch,06Bh,06Ch
db 06Dh,06Dh,06Ch,06Dh,06Eh,06Dh,06Eh,06Dh,06Eh,06Fh,06Fh,06Eh,06Fh,070h,06Fh,070h
db 070h,06Fh,070h,071h,070h,070h,071h,072h,071h,072h,071h,072h,073h,072h,072h,073h
db 072h,073h,074h,073h,074h,073h,073h,074h,075h,074h,075h,074h,075h,075h,076h,075h
db 076h,075h,076h,076h,077h,076h,077h,076h,077h,077h,078h,077h,078h,077h,078h,077h
db 078h,078h,079h,078h,079h,078h,079h,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Bh,07Ah,07Ch,07Bh,07Ch,07Ah,07Dh,07Ah,07Eh,077h,0ABh,0CBh
db 0C2h,0C7h,0C2h,0C5h,0C2h,0C3h,0C1h,0C2h,0C0h,0C1h,0BFh,0BFh,0BEh,0BFh,0BDh,0BEh
db 0BCh,0BDh,0BBh,0BCh,0BAh,0BBh,0B9h,0B9h,0B8h,0B9h,0B7h,0B8h,0B6h,0B7h,0B6h,0B6h
db 0B5h,0B5h,0B4h,0B3h,0B4h,0B3h,0B2h,0B2h,0B1h,0B1h,0B0h,0B0h,0AFh,0B0h,0AFh,0AFh
db 0AEh,0ADh,0AEh,0ADh,0ACh,0ACh,0ABh,0ACh,0ABh,0ABh,0AAh,0A9h,0AAh,0A9h,0A8h,0A9h
db 0A8h,0A8h,0A7h,0A6h,0A7h,0A6h,0A5h,0A6h,0A5h,0A4h,0A5h,0A4h,0A3h,0A4h,0A3h,0A2h
db 0A3h,0A2h,0A1h,0A2h,0A1h,0A0h,0A0h,0A1h,0A0h,09Fh,09Fh,09Eh,09Fh,09Eh,09Dh,09Dh
db 09Eh,09Dh,09Ch,09Dh,09Dh,09Ch,09Bh,09Ch,09Bh,09Ah,09Bh,09Ah,099h,09Ah,099h,09Ah
db 099h,098h,099h,098h,097h,098h,097h,098h,097h,097h,096h,096h,096h,095h,095h,096h
db 095h,094h,095h,095h,094h,093h,094h,093h,093h,092h,093h,092h,093h,092h,092h,091h
db 092h,091h,090h,090h,091h,090h,091h,090h,08Fh,08Fh,090h,08Fh,08Eh,08Fh,08Eh,08Fh
db 08Eh,08Eh,08Eh,08Dh,08Eh,08Dh,08Eh,08Dh,08Ch,08Ch,08Dh,08Ch,08Ch,08Bh,08Ch,08Bh
db 08Ch,08Bh,08Ah,08Ah,08Bh,08Ah,08Bh,08Ah,089h,089h,08Ah,089h,08Ah,089h,089h,088h
db 089h,088h,089h,088h,089h,088h,088h,087h,088h,087h,088h,087h,087h,086h,087h,086h
db 087h,086h,087h,086h,086h,085h,086h,085h,086h,085h,085h,084h,085h,084h,085h,084h
db 086h,083h,086h,081h,088h,072h,037h,03Ch,039h,03Dh,03Bh,03Dh,03Ch,03Eh,03Dh,03Fh
db 03Fh,040h,040h,041h,041h,042h,042h,043h,043h,044h,044h,045h,045h,046h,046h,047h
db 047h,048h,048h,049h,049h,04Ah,049h,04Bh,04Ah,04Bh,04Bh,04Ch,04Ch,04Dh,04Dh,04Eh
db 04Fh,04Eh,04Fh,050h,050h,051h,050h,051h,051h,052h,052h,053h,054h,053h,054h,055h
db 055h,056h,055h,056h,057h,056h,057h,058h,058h,059h,058h,059h,05Ah,059h,05Ah,05Bh
db 05Ah,05Bh,05Bh,05Ch,05Dh,05Ch,05Ch,05Dh,05Eh,05Dh,05Eh,05Fh,05Eh,05Fh,060h,060h
db 05Fh,060h,061h,061h,062h,061h,062h,062h,063h,062h,063h,063h,064h,063h,064h,064h
db 065h,064h,065h,065h,066h,067h,066h,066h,067h,068h,067h,067h,068h,069h,068h,069h
db 068h,069h,06Ah,069h,06Ah,06Bh,06Bh,06Ah,06Bh,06Ch,06Bh,06Ch,06Bh,06Bh,06Ch,06Dh
db 06Ch,06Dh,06Eh,06Dh,06Eh,06Dh,06Eh,06Fh,06Eh,06Eh,06Fh,070h,06Fh,070h,06Fh,070h
db 071h,071h,070h,071h,071h,071h,072h,071h,072h,071h,072h,073h,072h,073h,072h,072h
db 073h,074h,073h,074h,073h,074h,075h,074h,074h,075h,075h,074h,075h,076h,075h,076h
db 076h,077h,076h,077h,076h,077h,076h,077h,077h,078h,077h,078h,077h,078h,078h,079h
db 078h,079h,078h,079h,078h,079h,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,07Ah,07Bh
db 07Ah,07Bh,07Ah,07Bh,07Bh,07Ch,07Bh,07Dh,07Ah,07Dh,07Ah,07Fh,076h,0A9h,0CBh,0C2h
db 0C7h,0C2h,0C5h,0C2h,0C4h,0C1h,0C2h,0C0h,0C1h,0BFh,0C0h,0BEh,0BFh,0BEh,0BDh,0BCh
db 0BDh,0BBh,0BCh,0BAh,0BBh,0BAh,0B9h,0B8h,0B9h,0B8h,0B8h,0B7h,0B7h,0B6h,0B5h,0B6h
db 0B5h,0B4h,0B3h,0B4h,0B3h,0B2h,0B2h,0B1h,0B1h,0B0h,0B0h,0AFh,0B0h,0AFh,0AEh,0AFh
db 0AEh,0ADh,0ADh,0ACh,0ADh,0ACh,0ACh,0ABh,0AAh,0ABh,0AAh,0A9h,0AAh,0A9h,0A9h,0A8h
db 0A7h,0A8h,0A7h,0A6h,0A7h,0A6h,0A5h,0A6h,0A5h,0A5h,0A4h,0A3h,0A4h,0A4h,0A3h,0A2h
db 0A3h,0A2h,0A1h,0A2h,0A1h,0A0h,0A1h,0A1h,0A0h,09Fh,09Fh,09Eh,09Fh,09Eh,09Eh,09Dh
db 09Eh,09Dh,09Ch,09Dh,09Dh,09Ch,09Bh,09Ch,09Bh,09Ah,09Bh,09Bh,09Ah,099h,09Ah,099h
db 098h,098h,099h,098h,097h,098h,098h,097h,096h,097h,096h,096h,095h,096h,095h,095h
db 095h,095h,094h,095h,094h,093h,093h,094h,093h,092h,092h,093h,092h,091h,092h,092h
db 091h,090h,091h,090h,090h,091h,090h,08Fh,090h,090h,08Fh,08Eh,08Fh,08Eh,08Fh,08Eh
db 08Eh,08Eh,08Dh,08Eh,08Dh,08Eh,08Dh,08Ch,08Dh,08Ch,08Dh,08Ch,08Bh,08Ch,08Bh,08Ch
db 08Ch,08Bh,08Ah,08Bh,08Ah,08Bh,08Ah,08Ah,089h,08Ah,089h,08Ah,089h,08Ah,089h,088h
db 088h,089h,088h,089h,088h,088h,087h,088h,087h,088h,087h,087h,086h,087h,086h,087h
db 086h,087h,086h,087h,085h,086h,085h,086h,085h,086h,085h,085h,084h,085h,084h,085h
db 083h,086h,082h,088h,073h,037h,03Ch,039h,03Ch,03Bh,03Dh,03Ch,03Eh,03Dh,03Fh,03Eh
db 040h,040h,041h,041h,042h,042h,043h,043h,044h,044h,045h,045h,046h,046h,047h,047h
db 048h,048h,049h,049h,04Ah,049h,04Ah,04Ah,04Bh,04Ch,04Dh,04Ch,04Dh,04Dh,04Eh,04Fh
db 04Fh,04Fh,050h,050h,051h,050h,051h,052h,052h,053h,052h,053h,053h,054h,055h,055h
db 056h,055h,056h,057h,056h,057h,058h,057h,058h,059h,058h,059h,05Ah,05Ah,05Bh,05Ah
db 05Bh,05Bh,05Ch,05Dh,05Dh,05Ch,05Dh,05Eh,05Dh,05Eh,05Fh,05Eh,05Fh,060h,060h,05Fh
db 060h,060h,061h,062h,061h,061h,062h,063h,062h,063h,063h,064h,063h,064h,065h,064h
db 065h,066h,065h,066h,067h,067h,066h,067h,068h,067h,068h,067h,068h,069h,068h,068h
db 069h,06Ah,069h,06Ah,06Bh,06Bh,06Ah,06Bh,06Ch,06Bh,06Ch,06Bh,06Ch,06Dh,06Ch,06Ch
db 06Dh,06Eh,06Dh,06Eh,06Dh,06Eh,06Fh,06Fh,06Eh,06Fh,070h,06Fh,070h,070h,06Fh,070h
db 071h,070h,071h,071h,072h,071h,072h,071h,072h,073h,073h,072h,073h,072h,073h,074h
db 074h,073h,074h,073h,074h,075h,075h,074h,075h,074h,075h,076h,075h,076h,075h,076h
db 077h,076h,077h,076h,077h,076h,077h,077h,078h,077h,078h,077h,078h,078h,079h,078h
db 079h,078h,079h,078h,079h,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Ah,079h,07Bh,07Ah
db 07Bh,07Ah,07Bh,07Ah,07Ch,07Ah,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h

girly db 000h,000h,080h,095h,080h,095h
db 080h,095h,080h,095h,0BFh,095h,0BFh,0D4h,0D4h,0D4h,0AAh,080h,095h,080h,095h,0D4h
db 0BFh,080h,080h,080h,0BFh,0D4h,0D4h,0AAh,080h,095h,0BFh,0BFh,0BFh,0BFh,080h,080h
db 0AAh,0D4h,095h,080h,080h,080h,080h,080h,080h,0BFh,095h,080h,0AAh,0BFh,0BFh,0AAh
db 080h,080h,080h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,095h,06Bh,080h,06Bh,095h,0BFh,0BFh
db 0BFh,080h,080h,06Bh,0AAh,095h,06Bh,095h,0BFh,0BFh,0BFh,0AAh,080h,080h,080h,080h
db 06Bh,095h,0BFh,095h,06Bh,080h,080h,080h,080h,0BFh,0BFh,0BFh,0BFh,080h,06Bh,080h
db 06Bh,095h,0BFh,0BFh,0AAh,06Bh,080h,06Bh,080h,06Bh,0AAh,0BFh,0BFh,095h,06Bh,080h
db 06Bh,080h,06Bh,0AAh,0BFh,0BFh,0BFh,095h,06Bh,06Bh,080h,0BFh,0BFh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh
db 095h,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,080h,06Bh,080h,06Bh,095h,095h,06Bh,06Bh
db 080h,0BFh,0AAh,0BFh,06Bh,06Bh,06Bh,095h,0BFh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,0AAh
db 0BFh,080h,06Bh,095h,0BFh,0BFh,095h,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,080h,06Bh
db 06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh
db 095h,06Bh,06Bh,0AAh,0AAh,0AAh,080h,06Bh,095h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh
db 0AAh,0AAh,080h,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,080h,06Bh
db 06Bh,06Bh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,06Bh,06Bh
db 06Bh,095h,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,080h,0AAh,0AAh
db 0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,056h,080h,0AAh,0AAh,095h,06Bh,06Bh,06Bh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,056h,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 080h,06Bh,06Bh,080h,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,056h,080h,0AAh,0AAh
db 095h,056h,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,0AAh,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,056h,095h,080h
db 056h,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,06Bh,056h,080h,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,056h,095h,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,095h,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,056h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,080h,06Bh,06Bh,080h
db 0BFh,095h,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,056h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0AAh,0AAh,0BFh,080h,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h
db 06Bh,056h,06Bh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,080h,056h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,056h
db 080h,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,080h,056h,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,06Bh,056h,06Bh,056h,080h,0AAh,0AAh,095h,06Bh,06Bh,06Bh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,056h,06Bh,06Bh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,056h,080h,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,056h,095h,0AAh,0AAh,080h,056h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 095h,080h,06Bh,06Bh,080h,0AAh,0AAh,095h,06Bh,06Bh,06Bh,095h,0AAh,080h,06Bh,06Bh
db 080h,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,080h,056h,080h,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh
db 080h,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,06Bh
db 06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,095h
db 0BFh,080h,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,06Bh,06Bh,095h,0AAh,0AAh,0BFh,080h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh
db 0BFh,080h,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,095h,0BFh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 080h,056h,06Bh,06Bh,080h,0AAh,0AAh,0AAh,06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh,080h
db 0BFh,095h,06Bh,06Bh,06Bh,06Bh,095h,0AAh,080h,056h,080h,0AAh,0AAh,0AAh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,095h,056h,080h,0AAh,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,0AAh,0BFh,080h,06Bh,080h,0BFh
db 0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh,0AAh,0AAh,0BFh,080h,080h,0BFh,0AAh,0AAh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh
db 0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh
db 095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh
db 06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0BFh,080h,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,080h,0AAh,0AAh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,095h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,080h
db 0AAh,0AAh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh
db 0AAh,080h,06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0BFh,095h,06Bh,080h,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh
db 0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh
db 0BFh,0AAh,080h,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,080h,0BFh
db 0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh
db 0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,095h,0AAh,0AAh,095h,056h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,080h,056h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh
db 0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,080h
db 056h,095h,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,056h
db 06Bh,0AAh,0AAh,0AAh,080h,056h,095h,080h,056h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 095h,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,095h,0AAh
db 0AAh,095h,06Bh,06Bh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,080h
db 06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh
db 0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,0AAh,0BFh,080h,06Bh,095h,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,080h,06Bh,095h,0BFh
db 0AAh,0BFh,0AAh,06Bh,06Bh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,095h,06Bh,06Bh,080h,0BFh,0AAh,080h,06Bh
db 080h,06Bh,095h,0BFh,0BFh,0AAh,06Bh,080h,0AAh,0BFh,0AAh,080h,06Bh,06Bh,06Bh,095h
db 0BFh,095h,06Bh,06Bh,080h,0AAh,080h,06Bh,0AAh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh
db 0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,095h,06Bh,06Bh,080h,0AAh,06Bh,06Bh,06Bh
db 0AAh,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 095h,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,095h,0BFh,095h,080h,0AAh
db 0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,056h,095h,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh
db 095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h
db 056h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,056h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0BFh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,0AAh,0BFh,0BFh,080h,06Bh,095h,0BFh,0BFh,0AAh
db 06Bh,06Bh,06Bh,0AAh,080h,06Bh,06Bh,095h,095h,06Bh,080h,0AAh,0BFh,0AAh,0AAh,0AAh
db 0AAh,0BFh,080h,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,080h,06Bh
db 095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,06Bh,056h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh
db 0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,080h,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,080h,080h,0BFh,0AAh,0AAh,06Bh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,080h,06Bh,06Bh,080h,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh
db 095h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,080h,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh
db 06Bh,06Bh,06Bh,095h,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,080h,06Bh
db 095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0BFh,095h,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,095h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,080h,06Bh,095h,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh
db 0AAh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,056h,095h,080h,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh
db 06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,0AAh,080h,056h,095h,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,06Bh,06Bh,095h,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,095h,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0AAh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 0AAh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 06Bh,080h,095h,056h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 080h,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,095h,056h,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,06Bh,06Bh
db 095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0BFh,095h,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh
db 0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh
db 0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh
db 0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh
db 0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh
db 095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh
db 0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh
db 095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh
db 0AAh,0AAh,0AAh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,0BFh,095h,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,080h,0BFh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,080h
db 06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0AAh,0AAh,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,080h,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h
db 080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,056h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0AAh,095h,06Bh,06Bh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,080h,056h,080h,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh
db 0BFh,080h,080h,0BFh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,080h,095h,0BFh,0AAh,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh
db 0BFh,0AAh,0AAh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh,0AAh,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0BFh,095h,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h,095h
db 0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,080h,0AAh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,080h,056h,095h,0AAh
db 0AAh,095h,06Bh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,080h,0BFh,095h,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,095h,056h,06Bh,06Bh,06Bh,06Bh,0AAh,080h,06Bh,06Bh,080h
db 095h,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 080h,056h,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,06Bh,06Bh
db 095h,0AAh,0AAh,0AAh,0AAh,0AAh,095h,056h,06Bh,0AAh,0AAh,06Bh,06Bh,056h,095h,080h
db 06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,056h,095h,0AAh,0AAh,095h,056h,06Bh
db 06Bh,06Bh,06Bh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,080h,06Bh
db 080h,0BFh,095h,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,080h,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,080h,056h,080h,0AAh,095h,06Bh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,06Bh,06Bh,095h,0BFh
db 0AAh,0BFh,095h,06Bh,080h,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,095h,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,080h
db 06Bh,095h,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh
db 080h,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,06Bh,095h,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0BFh,095h,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,080h,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh
db 095h,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,0AAh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,080h,06Bh,095h,0BFh,0AAh,0BFh,0BFh,0AAh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh
db 0AAh,0BFh,095h,06Bh,080h,0BFh,0AAh,0BFh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,080h
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0BFh,0BFh,0AAh,0AAh
db 0AAh,06Bh,0AAh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh,095h
db 0BFh,080h,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,056h,095h,0AAh
db 0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,095h,06Bh,080h
db 0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,095h,06Bh,06Bh,06Bh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 095h,080h,0BFh,0AAh,06Bh,06Bh,0AAh,0AAh,0BFh,080h,080h,0BFh,0AAh,0BFh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh
db 080h,06Bh,06Bh,095h,0BFh,095h,080h,0BFh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,095h,06Bh,080h
db 0AAh,0BFh,0AAh,06Bh,06Bh,095h,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0BFh,095h,06Bh,080h,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0BFh,095h,06Bh,06Bh
db 080h,0BFh,0AAh,06Bh,06Bh,06Bh,095h,0BFh,080h,06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh
db 06Bh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,080h,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0BFh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh
db 0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh
db 06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,080h,06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh,06Bh,0AAh
db 0BFh,0AAh,095h,06Bh,06Bh,06Bh,080h,0AAh,0AAh,06Bh,06Bh,06Bh,095h,0AAh,0BFh,095h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0BFh,095h,06Bh,080h,0BFh,0AAh
db 0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh
db 0BFh,0AAh,0BFh,095h,06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0BFh
db 095h,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,080h,0BFh,095h
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 0AAh,0BFh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh
db 0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0BFh,095h,06Bh,06Bh,080h,0AAh,06Bh
db 06Bh,06Bh,06Bh,095h,0BFh,0BFh,095h,06Bh,06Bh,06Bh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh
db 0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh
db 0BFh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h
db 0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0BFh,0BFh,0BFh,095h,06Bh,080h,0AAh,0BFh,0AAh
db 080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,06Bh,06Bh,06Bh,0AAh,0BFh
db 0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,0AAh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0BFh,0BFh
db 0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0BFh,0AAh,0AAh,0AAh
db 0BFh,0AAh,0BFh,080h,06Bh,06Bh,080h,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,06Bh
db 06Bh,06Bh,080h,0BFh,095h,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh
db 095h,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0BFh,080h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0AAh,0BFh,0AAh,0BFh
db 0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0BFh,0AAh,0BFh,0AAh,0AAh
db 0AAh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0AAh,0BFh,0BFh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,0BFh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,095h,06Bh,06Bh,06Bh,06Bh
db 080h,0AAh,0BFh,0BFh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh
db 0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh
db 0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0BFh,095h,06Bh,080h,0AAh,0AAh,0AAh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0AAh,0BFh,0AAh,0BFh,080h,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh
db 0AAh,0BFh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0BFh,0BFh,0BFh,0BFh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,080h,080h,0AAh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh
db 0BFh,0BFh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 06Bh,0AAh,0BFh,0BFh,0BFh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0BFh
db 0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,0AAh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh,0BFh
db 0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0BFh
db 0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 095h,0BFh,0BFh,0BFh,0BFh,0AAh,06Bh,06Bh,06Bh,0AAh,0BFh,0BFh,080h,06Bh,06Bh,06Bh
db 080h,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,0BFh,0AAh,0AAh,0AAh
db 0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,06Bh,0AAh,0BFh,0BFh,095h,06Bh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,080h,080h,080h,080h,080h,080h,080h,080h,080h,0BFh,0BFh,0BFh,0BFh
db 0BFh,095h,06Bh,080h,06Bh,080h,06Bh,080h,06Bh,080h,080h,0AAh,0BFh,0BFh,0BFh,0BFh
db 0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,0AAh,0BFh,0AAh,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,0AAh,0BFh,0BFh,0AAh,0BFh,0AAh,0BFh
db 0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh
db 0AAh,0BFh,0AAh,0AAh,0AAh,0AAh,0AAh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,06Bh,080h,06Bh,080h,06Bh,080h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,080h,06Bh
db 080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,06Bh,080h,06Bh,080h,06Bh,095h,0BFh,0BFh
db 0BFh,0BFh,0AAh,06Bh,080h,06Bh,080h,06Bh,080h,06Bh,080h,06Bh,080h,06Bh,080h,0BFh
db 0AAh,080h,06Bh,080h,06Bh,095h,0BFh,0BFh,0BFh,0AAh,06Bh,080h,06Bh,080h,06Bh,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,0BFh,0BFh,0BFh,080h,06Bh
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,095h,06Bh,080h,06Bh,080h,080h
db 080h,080h,080h,080h,080h,06Bh,095h,0BFh,095h,06Bh,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,0BFh,0BFh,0BFh,0BFh,0BFh,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,0BFh,0BFh,0BFh,095h,06Bh,095h,0BFh
db 0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,095h,06Bh,080h,06Bh,080h,06Bh
db 080h,06Bh,080h,06Bh,080h,06Bh,0AAh,0BFh,0BFh,0BFh,0BFh,0AAh,06Bh,080h,06Bh,080h
db 06Bh,080h,06Bh,080h,06Bh,080h,06Bh,080h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh
db 095h,06Bh,080h,06Bh,06Bh,06Bh,080h,06Bh,080h,06Bh,080h,06Bh,0AAh,0BFh,0BFh,0BFh
db 0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,0AAh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,095h,0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,06Bh,0AAh,0BFh,0BFh
db 095h,06Bh,080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,06Bh
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,06Bh,080h,06Bh,080h,06Bh
db 080h,06Bh,080h,06Bh,080h,06Bh,095h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh
db 080h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,06Bh,0AAh,0BFh,0BFh,0BFh,0BFh
db 0BFh,0BFh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 080h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,080h,06Bh,095h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,080h,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,0AAh,0BFh,0BFh,0BFh,0BFh
db 0BFh,0AAh,0BFh,0AAh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h
db 0BFh,0BFh,0BFh,0BFh,0BFh,0AAh,0BFh,0AAh,0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,080h,06Bh,080h,06Bh,095h,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0BFh,0AAh
db 0BFh,095h,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh
db 06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,06Bh,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,0BFh,0BFh,0BFh,095h,06Bh,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h,080h
db 080h,080h,080h,080h,080h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h
db 000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h,000h

soundBlasterSeg2 ends

stackSeg SEGMENT STACK 'Stack'
	db     (2*1024)  dup(0)                 ; 2k of stack.  
stackSeg ENDS




END main
